#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(halt_poll_ns, "_gpl", "");
KSYMTAB_DATA(halt_poll_ns_grow, "_gpl", "");
KSYMTAB_DATA(halt_poll_ns_grow_start, "_gpl", "");
KSYMTAB_DATA(halt_poll_ns_shrink, "_gpl", "");
KSYMTAB_FUNC(vcpu_load, "_gpl", "");
KSYMTAB_FUNC(vcpu_put, "_gpl", "");
KSYMTAB_FUNC(kvm_make_all_cpus_request, "_gpl", "");
KSYMTAB_FUNC(kvm_flush_remote_tlbs, "_gpl", "");
KSYMTAB_FUNC(kvm_destroy_vcpus, "_gpl", "");
KSYMTAB_FUNC(kvm_get_kvm, "_gpl", "");
KSYMTAB_FUNC(kvm_get_kvm_safe, "_gpl", "");
KSYMTAB_FUNC(kvm_put_kvm, "_gpl", "");
KSYMTAB_FUNC(kvm_put_kvm_no_destroy, "_gpl", "");
KSYMTAB_FUNC(kvm_set_internal_memslot, "_gpl", "");
KSYMTAB_FUNC(gfn_to_memslot, "_gpl", "");
KSYMTAB_FUNC(kvm_is_visible_gfn, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_is_visible_gfn, "_gpl", "");
KSYMTAB_FUNC(gfn_to_hva_memslot, "_gpl", "");
KSYMTAB_FUNC(gfn_to_hva, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_gfn_to_hva, "_gpl", "");
KSYMTAB_FUNC(kvm_release_page_clean, "_gpl", "");
KSYMTAB_FUNC(kvm_release_page_dirty, "_gpl", "");
KSYMTAB_FUNC(__kvm_faultin_pfn, "_gpl", "");
KSYMTAB_FUNC(kvm_prefetch_pages, "_gpl", "");
KSYMTAB_FUNC(__gfn_to_page, "_gpl", "");
KSYMTAB_FUNC(__kvm_vcpu_map, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_unmap, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_read_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_read_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_read_guest_atomic, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_write_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_write_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_gfn_to_hva_cache_init, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_offset_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_offset_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_clear_guest, "_gpl", "");
KSYMTAB_FUNC(mark_page_dirty_in_slot, "_gpl", "");
KSYMTAB_FUNC(mark_page_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_mark_page_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_halt, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_wake_up, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_kick, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_yield_to, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_on_spin, "_gpl", "");
KSYMTAB_FUNC(kvm_are_all_memslots_empty, "_gpl", "");
KSYMTAB_FUNC(file_is_kvm, "_gpl", "");
KSYMTAB_DATA(enable_virt_at_load, "_gpl", "");
KSYMTAB_DATA(kvm_rebooting, "_gpl", "");
KSYMTAB_FUNC(kvm_enable_virtualization, "_gpl", "");
KSYMTAB_FUNC(kvm_disable_virtualization, "_gpl", "");
KSYMTAB_FUNC(kvm_io_bus_write, "_gpl", "");
KSYMTAB_FUNC(kvm_io_bus_read, "_gpl", "");
KSYMTAB_FUNC(kvm_io_bus_get_dev, "_gpl", "");
KSYMTAB_FUNC(kvm_get_running_vcpu, "_gpl", "");
KSYMTAB_FUNC(kvm_init, "_gpl", "");
KSYMTAB_FUNC(kvm_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_irq_has_notifier, "_gpl", "");
KSYMTAB_FUNC(kvm_gmem_get_pfn, "_gpl", "");
KSYMTAB_FUNC(kvm_gmem_populate, "_gpl", "");
KSYMTAB_DATA(kvm_caps, "_gpl", "");
KSYMTAB_DATA(kvm_host, "_gpl", "");
KSYMTAB_DATA(__SCK__kvm_x86_get_cs_db_l_bits, "_gpl", "");
KSYMTAB_FUNC(__SCT__kvm_x86_get_cs_db_l_bits, "_gpl", "");
KSYMTAB_DATA(__SCK__kvm_x86_cache_reg, "_gpl", "");
KSYMTAB_FUNC(__SCT__kvm_x86_cache_reg, "_gpl", "");
KSYMTAB_DATA(report_ignored_msrs, "_gpl", "");
KSYMTAB_DATA(enable_vmware_backdoor, "_gpl", "");
KSYMTAB_DATA(enable_pmu, "_gpl", "");
KSYMTAB_DATA(kvm_nr_uret_msrs, "_gpl", "");
KSYMTAB_DATA(allow_smaller_maxphyaddr, "_gpl", "");
KSYMTAB_DATA(enable_apicv, "_gpl", "");
KSYMTAB_FUNC(kvm_add_user_return_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_find_user_return_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_set_user_return_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_user_return_msr_update_cache, "_gpl", "");
KSYMTAB_FUNC(kvm_spurious_fault, "_gpl", "");
KSYMTAB_FUNC(kvm_deliver_exception_payload, "_gpl", "");
KSYMTAB_FUNC(kvm_queue_exception, "_gpl", "");
KSYMTAB_FUNC(kvm_requeue_exception, "_gpl", "");
KSYMTAB_FUNC(kvm_queue_exception_p, "_gpl", "");
KSYMTAB_FUNC(kvm_complete_insn_gp, "_gpl", "");
KSYMTAB_FUNC(kvm_inject_emulated_page_fault, "_gpl", "");
KSYMTAB_FUNC(kvm_queue_exception_e, "_gpl", "");
KSYMTAB_FUNC(kvm_requeue_exception_e, "_gpl", "");
KSYMTAB_FUNC(kvm_require_dr, "_gpl", "");
KSYMTAB_FUNC(load_pdptrs, "_gpl", "");
KSYMTAB_FUNC(kvm_post_set_cr0, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cr0, "_gpl", "");
KSYMTAB_FUNC(kvm_lmsw, "_gpl", "");
KSYMTAB_FUNC(kvm_load_guest_xsave_state, "_gpl", "");
KSYMTAB_FUNC(kvm_load_host_xsave_state, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_xsetbv, "_gpl", "");
KSYMTAB_FUNC(kvm_post_set_cr4, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cr4, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cr3, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cr8, "_gpl", "");
KSYMTAB_FUNC(kvm_get_cr8, "_gpl", "");
KSYMTAB_FUNC(kvm_update_dr7, "_gpl", "");
KSYMTAB_FUNC(kvm_set_dr, "_gpl", "");
KSYMTAB_FUNC(kvm_get_dr, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_rdpmc, "_gpl", "");
KSYMTAB_FUNC(kvm_valid_efer, "_gpl", "");
KSYMTAB_FUNC(kvm_enable_efer_bits, "_gpl", "");
KSYMTAB_FUNC(kvm_msr_allowed, "_gpl", "");
KSYMTAB_FUNC(kvm_get_msr_with_filter, "_gpl", "");
KSYMTAB_FUNC(kvm_set_msr_with_filter, "_gpl", "");
KSYMTAB_FUNC(kvm_get_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_set_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_rdmsr, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_wrmsr, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_invd, "_gpl", "");
KSYMTAB_FUNC(kvm_handle_invalid_op, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_mwait, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_monitor, "_gpl", "");
KSYMTAB_FUNC(handle_fastpath_set_msr_irqoff, "_gpl", "");
KSYMTAB_FUNC(kvm_read_l1_tsc, "_gpl", "");
KSYMTAB_FUNC(kvm_calc_nested_tsc_offset, "_gpl", "");
KSYMTAB_FUNC(kvm_calc_nested_tsc_multiplier, "_gpl", "");
KSYMTAB_FUNC(kvm_service_local_tlb_flush_requests, "_gpl", "");
KSYMTAB_FUNC(kvm_set_msr_common, "_gpl", "");
KSYMTAB_FUNC(kvm_get_msr_common, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_gva_to_gpa_read, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_gva_to_gpa_write, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_virt, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_virt_system, "_gpl", "");
KSYMTAB_FUNC(handle_ud, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_wbinvd, "_gpl", "");
KSYMTAB_FUNC(kvm_inject_realmode_interrupt, "_gpl", "");
KSYMTAB_FUNC(__kvm_prepare_emulation_failure_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_prepare_emulation_failure_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_prepare_event_vectoring_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_skip_emulated_instruction, "_gpl", "");
KSYMTAB_FUNC(x86_decode_emulated_instruction, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_instruction, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_instruction_from_buffer, "_gpl", "");
KSYMTAB_FUNC(kvm_fast_pio, "_gpl", "");
KSYMTAB_FUNC(kvm_x86_vendor_init, "_gpl", "");
KSYMTAB_FUNC(kvm_x86_vendor_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_apicv_activated, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_apicv_activated, "_gpl", "");
KSYMTAB_FUNC(____kvm_emulate_hypercall, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_hypercall, "_gpl", "");
KSYMTAB_FUNC(__kvm_vcpu_update_apicv, "_gpl", "");
KSYMTAB_FUNC(kvm_set_or_clear_apicv_inhibit, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_has_events, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_halt_noskip, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_halt, "_gpl", "");
KSYMTAB_FUNC(handle_fastpath_hlt, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_ap_reset_hold, "_gpl", "");
KSYMTAB_FUNC(kvm_task_switch, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_reset, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_deliver_sipi_vector, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_is_reset_bsp, "_gpl", "");
KSYMTAB_FUNC(__x86_set_memory_region, "_gpl", "");
KSYMTAB_FUNC(kvm_get_linear_rip, "_gpl", "");
KSYMTAB_FUNC(kvm_is_linear_rip, "_gpl", "");
KSYMTAB_FUNC(kvm_get_rflags, "_gpl", "");
KSYMTAB_FUNC(kvm_set_rflags, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_start_assignment, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_end_assignment, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_has_assigned_device, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_register_noncoherent_dma, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_unregister_noncoherent_dma, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_has_noncoherent_dma, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_no_poll, "_gpl", "");
KSYMTAB_FUNC(kvm_spec_ctrl_test_value, "_gpl", "");
KSYMTAB_FUNC(kvm_fixup_and_inject_pf_error, "_gpl", "");
KSYMTAB_FUNC(kvm_handle_memory_failure, "_gpl", "");
KSYMTAB_FUNC(kvm_handle_invpcid, "_gpl", "");
KSYMTAB_FUNC(kvm_sev_es_mmio_write, "_gpl", "");
KSYMTAB_FUNC(kvm_sev_es_mmio_read, "_gpl", "");
KSYMTAB_FUNC(kvm_sev_es_string_io, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_entry, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_entry, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_entry, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_entry, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_mmio, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_mmio, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_mmio, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_mmio, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_fast_mmio, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_fast_mmio, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_fast_mmio, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_fast_mmio, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_inj_virq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_inj_virq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_inj_virq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_inj_virq, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_page_fault, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_page_fault, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_page_fault, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_page_fault, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_msr, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_msr, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_msr, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_msr, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_cr, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_cr, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_cr, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_cr, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_vmenter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_vmenter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_vmenter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_vmenter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_vmexit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_vmexit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_vmexit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_vmexit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_vmexit_inject, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_vmexit_inject, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_vmexit_inject, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_vmexit_inject, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_intr_vmexit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_intr_vmexit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_intr_vmexit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_intr_vmexit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_vmenter_failed, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_vmenter_failed, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_vmenter_failed, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_vmenter_failed, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_invlpga, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_invlpga, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_invlpga, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_invlpga, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_skinit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_skinit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_skinit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_skinit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_intercepts, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_intercepts, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_intercepts, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_intercepts, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_write_tsc_offset, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_write_tsc_offset, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_write_tsc_offset, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_write_tsc_offset, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_ple_window_update, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_ple_window_update, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_ple_window_update, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_ple_window_update, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_pml_full, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_pml_full, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_pml_full, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_pml_full, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_pi_irte_update, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_pi_irte_update, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_pi_irte_update, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_pi_irte_update, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_unaccelerated_access, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_unaccelerated_access, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_unaccelerated_access, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_unaccelerated_access, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_incomplete_ipi, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_incomplete_ipi, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_incomplete_ipi, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_incomplete_ipi, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_ga_log, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_ga_log, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_ga_log, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_ga_log, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_kick_vcpu_slowpath, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_kick_vcpu_slowpath, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_kick_vcpu_slowpath, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_kick_vcpu_slowpath, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_doorbell, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_doorbell, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_doorbell, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_doorbell, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_apicv_accept_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_apicv_accept_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_apicv_accept_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_apicv_accept_irq, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_vmgexit_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_vmgexit_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_vmgexit_enter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_vmgexit_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_vmgexit_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_vmgexit_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_vmgexit_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_vmgexit_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_vmgexit_msr_protocol_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_vmgexit_msr_protocol_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_vmgexit_msr_protocol_enter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_vmgexit_msr_protocol_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_vmgexit_msr_protocol_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_vmgexit_msr_protocol_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_vmgexit_msr_protocol_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_vmgexit_msr_protocol_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_rmp_fault, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_rmp_fault, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_rmp_fault, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_rmp_fault, "_gpl", "");
KSYMTAB_FUNC(kvm_cpu_has_injectable_intr, "_gpl", "");
KSYMTAB_FUNC(kvm_cpu_has_interrupt, "_gpl", "");
KSYMTAB_FUNC(kvm_cpu_get_extint, "_gpl", "");
KSYMTAB_DATA(kvm_has_noapic_vcpu, "_gpl", "");
KSYMTAB_FUNC(__kvm_apic_update_irr, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_update_irr, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_clear_irr, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_update_hwapic_isr, "_gpl", "");
KSYMTAB_FUNC(kvm_lapic_find_highest_irr, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_update_ppr, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_match_dest, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_set_eoi_accelerated, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_send_ipi, "_gpl", "");
KSYMTAB_FUNC(kvm_lapic_readable_reg_mask, "_gpl", "");
KSYMTAB_FUNC(kvm_wait_lapic_expire, "_gpl", "");
KSYMTAB_FUNC(kvm_lapic_expired_hv_timer, "_gpl", "");
KSYMTAB_FUNC(kvm_lapic_set_eoi, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_write_nodecode, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_set_base, "_gpl", "");
KSYMTAB_FUNC(kvm_alloc_apic_access_page, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_has_interrupt, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(kvm_set_msi_irq, "_gpl", "");
KSYMTAB_FUNC(kvm_intr_is_single_vcpu, "_gpl", "");
KSYMTAB_DATA(kvm_cpu_caps, "_gpl", "");
KSYMTAB_FUNC(kvm_find_cpuid_entry2, "_gpl", "");
KSYMTAB_FUNC(kvm_update_cpuid_runtime, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cpu_caps, "_gpl", "");
KSYMTAB_FUNC(kvm_cpuid, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_cpuid, "_gpl", "");
KSYMTAB_DATA(kvm_pmu_cap, "_gpl", "");
KSYMTAB_DATA(kvm_pmu_eventsel, "_gpl", "");
KSYMTAB_FUNC(pmc_write_counter, "_gpl", "");
KSYMTAB_FUNC(kvm_pmu_trigger_event, "_gpl", "");
KSYMTAB_DATA(tdp_mmu_enabled, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_free_roots, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_free_guest_mode_roots, "_gpl", "");
KSYMTAB_FUNC(kvm_handle_page_fault, "_gpl", "");
KSYMTAB_FUNC(kvm_tdp_map_page, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_new_pgd, "_gpl", "");
KSYMTAB_FUNC(kvm_init_shadow_npt_mmu, "_gpl", "");
KSYMTAB_FUNC(kvm_init_shadow_ept_mmu, "_gpl", "");
KSYMTAB_FUNC(kvm_init_mmu, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_reset_context, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_load, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_free_obsolete_roots, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_page_fault, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_print_sptes, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_invalidate_addr, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_invlpg, "_gpl", "");
KSYMTAB_FUNC(kvm_configure_mmu, "_gpl", "");
KSYMTAB_FUNC(kvm_zap_gfn_range, "_gpl", "");
KSYMTAB_FUNC(kvm_page_track_register_notifier, "_gpl", "");
KSYMTAB_FUNC(kvm_page_track_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(kvm_write_track_add_gfn, "_gpl", "");
KSYMTAB_FUNC(kvm_write_track_remove_gfn, "_gpl", "");
KSYMTAB_DATA(enable_mmio_caching, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_set_mmio_spte_mask, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_set_mmio_spte_value, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_set_me_spte_mask, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_set_ept_masks, "_gpl", "");
KSYMTAB_FUNC(kvm_tdp_mmu_gpa_is_mapped, "_gpl", "");
KSYMTAB_FUNC(kvm_hv_assist_page_enabled, "_gpl", "");
KSYMTAB_FUNC(kvm_hv_get_assist_page, "_gpl", "");
KSYMTAB_FUNC(kvm_smm_changed, "_gpl", "");
KSYMTAB_FUNC(hv_flush_remote_tlbs_range, "_gpl", "");
KSYMTAB_FUNC(hv_flush_remote_tlbs, "_gpl", "");
KSYMTAB_FUNC(hv_track_root_tdp, "_gpl", "");

SYMBOL_CRC(halt_poll_ns, 0x59e640c0, "_gpl");
SYMBOL_CRC(halt_poll_ns_grow, 0x7afe324e, "_gpl");
SYMBOL_CRC(halt_poll_ns_grow_start, 0x5fb8848b, "_gpl");
SYMBOL_CRC(halt_poll_ns_shrink, 0x39fd83db, "_gpl");
SYMBOL_CRC(vcpu_load, 0xca6cfc49, "_gpl");
SYMBOL_CRC(vcpu_put, 0x55a6c04e, "_gpl");
SYMBOL_CRC(kvm_make_all_cpus_request, 0x957f8fc8, "_gpl");
SYMBOL_CRC(kvm_flush_remote_tlbs, 0x38c2fb1b, "_gpl");
SYMBOL_CRC(kvm_destroy_vcpus, 0xc14c9457, "_gpl");
SYMBOL_CRC(kvm_get_kvm, 0xe99f0b6f, "_gpl");
SYMBOL_CRC(kvm_get_kvm_safe, 0x0871aa73, "_gpl");
SYMBOL_CRC(kvm_put_kvm, 0xa5653829, "_gpl");
SYMBOL_CRC(kvm_put_kvm_no_destroy, 0xbdcaa41b, "_gpl");
SYMBOL_CRC(kvm_set_internal_memslot, 0x24abf833, "_gpl");
SYMBOL_CRC(gfn_to_memslot, 0xa1d6cb6e, "_gpl");
SYMBOL_CRC(kvm_is_visible_gfn, 0x1943078a, "_gpl");
SYMBOL_CRC(kvm_vcpu_is_visible_gfn, 0x8d6ca0ea, "_gpl");
SYMBOL_CRC(gfn_to_hva_memslot, 0x9ad3db0a, "_gpl");
SYMBOL_CRC(gfn_to_hva, 0xc247a550, "_gpl");
SYMBOL_CRC(kvm_vcpu_gfn_to_hva, 0xaf7a4fd2, "_gpl");
SYMBOL_CRC(kvm_release_page_clean, 0x1193968b, "_gpl");
SYMBOL_CRC(kvm_release_page_dirty, 0xc192e50a, "_gpl");
SYMBOL_CRC(__kvm_faultin_pfn, 0x92696680, "_gpl");
SYMBOL_CRC(kvm_prefetch_pages, 0xac197545, "_gpl");
SYMBOL_CRC(__gfn_to_page, 0x29543c96, "_gpl");
SYMBOL_CRC(__kvm_vcpu_map, 0xbebfd26a, "_gpl");
SYMBOL_CRC(kvm_vcpu_unmap, 0x9ba031e8, "_gpl");
SYMBOL_CRC(kvm_read_guest_page, 0x914cc56e, "_gpl");
SYMBOL_CRC(kvm_vcpu_read_guest_page, 0xbcdd68fc, "_gpl");
SYMBOL_CRC(kvm_read_guest, 0x13686df1, "_gpl");
SYMBOL_CRC(kvm_vcpu_read_guest, 0xb7378107, "_gpl");
SYMBOL_CRC(kvm_vcpu_read_guest_atomic, 0x4f1a67c5, "_gpl");
SYMBOL_CRC(kvm_write_guest_page, 0xd64ab256, "_gpl");
SYMBOL_CRC(kvm_vcpu_write_guest_page, 0x13acb5ac, "_gpl");
SYMBOL_CRC(kvm_write_guest, 0x12fa9f20, "_gpl");
SYMBOL_CRC(kvm_vcpu_write_guest, 0xe50adc8a, "_gpl");
SYMBOL_CRC(kvm_gfn_to_hva_cache_init, 0x7d58badd, "_gpl");
SYMBOL_CRC(kvm_write_guest_offset_cached, 0x1f60be80, "_gpl");
SYMBOL_CRC(kvm_write_guest_cached, 0x0d709d1b, "_gpl");
SYMBOL_CRC(kvm_read_guest_offset_cached, 0x18e2bdc3, "_gpl");
SYMBOL_CRC(kvm_read_guest_cached, 0xa9f1a5a5, "_gpl");
SYMBOL_CRC(kvm_clear_guest, 0x1783dd97, "_gpl");
SYMBOL_CRC(mark_page_dirty_in_slot, 0x03abf48a, "_gpl");
SYMBOL_CRC(mark_page_dirty, 0x89f0a632, "_gpl");
SYMBOL_CRC(kvm_vcpu_mark_page_dirty, 0x86cb8654, "_gpl");
SYMBOL_CRC(kvm_vcpu_halt, 0xbb72aaad, "_gpl");
SYMBOL_CRC(kvm_vcpu_wake_up, 0xce1fe84d, "_gpl");
SYMBOL_CRC(kvm_vcpu_kick, 0x349243cb, "_gpl");
SYMBOL_CRC(kvm_vcpu_yield_to, 0x546df6c3, "_gpl");
SYMBOL_CRC(kvm_vcpu_on_spin, 0x6124640d, "_gpl");
SYMBOL_CRC(kvm_are_all_memslots_empty, 0xd22b2d07, "_gpl");
SYMBOL_CRC(file_is_kvm, 0xeaf719fe, "_gpl");
SYMBOL_CRC(enable_virt_at_load, 0x27e9451d, "_gpl");
SYMBOL_CRC(kvm_rebooting, 0x485cd7f6, "_gpl");
SYMBOL_CRC(kvm_enable_virtualization, 0xb41634d2, "_gpl");
SYMBOL_CRC(kvm_disable_virtualization, 0xadf301d7, "_gpl");
SYMBOL_CRC(kvm_io_bus_write, 0x0854b872, "_gpl");
SYMBOL_CRC(kvm_io_bus_read, 0xccd0c2fe, "_gpl");
SYMBOL_CRC(kvm_io_bus_get_dev, 0x4b7bce52, "_gpl");
SYMBOL_CRC(kvm_get_running_vcpu, 0x52af5953, "_gpl");
SYMBOL_CRC(kvm_init, 0x1b3b7e7a, "_gpl");
SYMBOL_CRC(kvm_exit, 0x27046576, "_gpl");
SYMBOL_CRC(kvm_irq_has_notifier, 0xb86bf5a3, "_gpl");
SYMBOL_CRC(kvm_gmem_get_pfn, 0xb0a7f51d, "_gpl");
SYMBOL_CRC(kvm_gmem_populate, 0xe0f429d9, "_gpl");
SYMBOL_CRC(kvm_caps, 0x850bcb40, "_gpl");
SYMBOL_CRC(kvm_host, 0xb8bdeb6e, "_gpl");
SYMBOL_CRC(__SCK__kvm_x86_get_cs_db_l_bits, 0xe322d09b, "_gpl");
SYMBOL_CRC(__SCT__kvm_x86_get_cs_db_l_bits, 0x53d9f927, "_gpl");
SYMBOL_CRC(__SCK__kvm_x86_cache_reg, 0x6cb924e6, "_gpl");
SYMBOL_CRC(__SCT__kvm_x86_cache_reg, 0x59387ba3, "_gpl");
SYMBOL_CRC(report_ignored_msrs, 0xc96d35f4, "_gpl");
SYMBOL_CRC(enable_vmware_backdoor, 0x1db1c372, "_gpl");
SYMBOL_CRC(enable_pmu, 0xb82c0987, "_gpl");
SYMBOL_CRC(kvm_nr_uret_msrs, 0x0b58a11d, "_gpl");
SYMBOL_CRC(allow_smaller_maxphyaddr, 0x9cf59e7a, "_gpl");
SYMBOL_CRC(enable_apicv, 0xce576a13, "_gpl");
SYMBOL_CRC(kvm_add_user_return_msr, 0x7fe19488, "_gpl");
SYMBOL_CRC(kvm_find_user_return_msr, 0x3ab2794c, "_gpl");
SYMBOL_CRC(kvm_set_user_return_msr, 0x053614ec, "_gpl");
SYMBOL_CRC(kvm_user_return_msr_update_cache, 0x3b5f17d5, "_gpl");
SYMBOL_CRC(kvm_spurious_fault, 0x709cd8cb, "_gpl");
SYMBOL_CRC(kvm_deliver_exception_payload, 0xf6bacbc4, "_gpl");
SYMBOL_CRC(kvm_queue_exception, 0x5149741e, "_gpl");
SYMBOL_CRC(kvm_requeue_exception, 0xf5e31bfe, "_gpl");
SYMBOL_CRC(kvm_queue_exception_p, 0x1e10a32d, "_gpl");
SYMBOL_CRC(kvm_complete_insn_gp, 0x7504669e, "_gpl");
SYMBOL_CRC(kvm_inject_emulated_page_fault, 0x3d44a965, "_gpl");
SYMBOL_CRC(kvm_queue_exception_e, 0x07311c99, "_gpl");
SYMBOL_CRC(kvm_requeue_exception_e, 0xc43f0e2a, "_gpl");
SYMBOL_CRC(kvm_require_dr, 0xfade5e6f, "_gpl");
SYMBOL_CRC(load_pdptrs, 0x3f7349ef, "_gpl");
SYMBOL_CRC(kvm_post_set_cr0, 0x24d50343, "_gpl");
SYMBOL_CRC(kvm_set_cr0, 0xbd90f904, "_gpl");
SYMBOL_CRC(kvm_lmsw, 0x87900dae, "_gpl");
SYMBOL_CRC(kvm_load_guest_xsave_state, 0xabd3f6a0, "_gpl");
SYMBOL_CRC(kvm_load_host_xsave_state, 0x8d75f6ad, "_gpl");
SYMBOL_CRC(kvm_emulate_xsetbv, 0xdf35d00e, "_gpl");
SYMBOL_CRC(kvm_post_set_cr4, 0xaa939854, "_gpl");
SYMBOL_CRC(kvm_set_cr4, 0x41a5eeb2, "_gpl");
SYMBOL_CRC(kvm_set_cr3, 0x113fb412, "_gpl");
SYMBOL_CRC(kvm_set_cr8, 0x9e8bd029, "_gpl");
SYMBOL_CRC(kvm_get_cr8, 0x88992a49, "_gpl");
SYMBOL_CRC(kvm_update_dr7, 0xeab48219, "_gpl");
SYMBOL_CRC(kvm_set_dr, 0x497bbab9, "_gpl");
SYMBOL_CRC(kvm_get_dr, 0x0a56e10d, "_gpl");
SYMBOL_CRC(kvm_emulate_rdpmc, 0xbe3fcbea, "_gpl");
SYMBOL_CRC(kvm_valid_efer, 0xda938d79, "_gpl");
SYMBOL_CRC(kvm_enable_efer_bits, 0x1d013832, "_gpl");
SYMBOL_CRC(kvm_msr_allowed, 0x17fe26e7, "_gpl");
SYMBOL_CRC(kvm_get_msr_with_filter, 0xff3947ca, "_gpl");
SYMBOL_CRC(kvm_set_msr_with_filter, 0x2f7d1986, "_gpl");
SYMBOL_CRC(kvm_get_msr, 0xe4fb3f6a, "_gpl");
SYMBOL_CRC(kvm_set_msr, 0x4516792e, "_gpl");
SYMBOL_CRC(kvm_emulate_rdmsr, 0xea263369, "_gpl");
SYMBOL_CRC(kvm_emulate_wrmsr, 0x12ea2d77, "_gpl");
SYMBOL_CRC(kvm_emulate_invd, 0x49e64b31, "_gpl");
SYMBOL_CRC(kvm_handle_invalid_op, 0x38690528, "_gpl");
SYMBOL_CRC(kvm_emulate_mwait, 0xaf62a6d7, "_gpl");
SYMBOL_CRC(kvm_emulate_monitor, 0x78302041, "_gpl");
SYMBOL_CRC(handle_fastpath_set_msr_irqoff, 0xface4112, "_gpl");
SYMBOL_CRC(kvm_read_l1_tsc, 0xef3258ca, "_gpl");
SYMBOL_CRC(kvm_calc_nested_tsc_offset, 0x6303c089, "_gpl");
SYMBOL_CRC(kvm_calc_nested_tsc_multiplier, 0xef14fd98, "_gpl");
SYMBOL_CRC(kvm_service_local_tlb_flush_requests, 0xa7fdeae0, "_gpl");
SYMBOL_CRC(kvm_set_msr_common, 0xb429afc2, "_gpl");
SYMBOL_CRC(kvm_get_msr_common, 0x92801bde, "_gpl");
SYMBOL_CRC(kvm_mmu_gva_to_gpa_read, 0x89340b3f, "_gpl");
SYMBOL_CRC(kvm_mmu_gva_to_gpa_write, 0x934a766b, "_gpl");
SYMBOL_CRC(kvm_read_guest_virt, 0xcdce79e2, "_gpl");
SYMBOL_CRC(kvm_write_guest_virt_system, 0xfeeffe58, "_gpl");
SYMBOL_CRC(handle_ud, 0xc2218405, "_gpl");
SYMBOL_CRC(kvm_emulate_wbinvd, 0x8eb7bdf0, "_gpl");
SYMBOL_CRC(kvm_inject_realmode_interrupt, 0x0e80f19d, "_gpl");
SYMBOL_CRC(__kvm_prepare_emulation_failure_exit, 0x8e8affe3, "_gpl");
SYMBOL_CRC(kvm_prepare_emulation_failure_exit, 0x87aeb896, "_gpl");
SYMBOL_CRC(kvm_prepare_event_vectoring_exit, 0x22ccfed3, "_gpl");
SYMBOL_CRC(kvm_skip_emulated_instruction, 0xa886c093, "_gpl");
SYMBOL_CRC(x86_decode_emulated_instruction, 0x7d65eb7f, "_gpl");
SYMBOL_CRC(kvm_emulate_instruction, 0x34bc5a80, "_gpl");
SYMBOL_CRC(kvm_emulate_instruction_from_buffer, 0xc8cac44a, "_gpl");
SYMBOL_CRC(kvm_fast_pio, 0x83e383f1, "_gpl");
SYMBOL_CRC(kvm_x86_vendor_init, 0x962bd4e0, "_gpl");
SYMBOL_CRC(kvm_x86_vendor_exit, 0x687b78fc, "_gpl");
SYMBOL_CRC(kvm_apicv_activated, 0x179fe4e3, "_gpl");
SYMBOL_CRC(kvm_vcpu_apicv_activated, 0x95ead2e7, "_gpl");
SYMBOL_CRC(____kvm_emulate_hypercall, 0xfcfe6713, "_gpl");
SYMBOL_CRC(kvm_emulate_hypercall, 0x5d445e1b, "_gpl");
SYMBOL_CRC(__kvm_vcpu_update_apicv, 0xb1903f84, "_gpl");
SYMBOL_CRC(kvm_set_or_clear_apicv_inhibit, 0x581228e2, "_gpl");
SYMBOL_CRC(kvm_vcpu_has_events, 0x3a1048f8, "_gpl");
SYMBOL_CRC(kvm_emulate_halt_noskip, 0x748b0a70, "_gpl");
SYMBOL_CRC(kvm_emulate_halt, 0xcdd00c80, "_gpl");
SYMBOL_CRC(handle_fastpath_hlt, 0x316e8d6b, "_gpl");
SYMBOL_CRC(kvm_emulate_ap_reset_hold, 0xf6234f44, "_gpl");
SYMBOL_CRC(kvm_task_switch, 0xdffe0091, "_gpl");
SYMBOL_CRC(kvm_vcpu_reset, 0x0e3b02f0, "_gpl");
SYMBOL_CRC(kvm_vcpu_deliver_sipi_vector, 0xdf4a1dbd, "_gpl");
SYMBOL_CRC(kvm_vcpu_is_reset_bsp, 0xb4a6fc4d, "_gpl");
SYMBOL_CRC(__x86_set_memory_region, 0x051ae10d, "_gpl");
SYMBOL_CRC(kvm_get_linear_rip, 0xc12665ed, "_gpl");
SYMBOL_CRC(kvm_is_linear_rip, 0x41e5e4df, "_gpl");
SYMBOL_CRC(kvm_get_rflags, 0x2d211257, "_gpl");
SYMBOL_CRC(kvm_set_rflags, 0x4de7fa7d, "_gpl");
SYMBOL_CRC(kvm_arch_start_assignment, 0x669d978c, "_gpl");
SYMBOL_CRC(kvm_arch_end_assignment, 0xc246ab0f, "_gpl");
SYMBOL_CRC(kvm_arch_has_assigned_device, 0x5aa1401d, "_gpl");
SYMBOL_CRC(kvm_arch_register_noncoherent_dma, 0x2f0c62c2, "_gpl");
SYMBOL_CRC(kvm_arch_unregister_noncoherent_dma, 0xc9a4e26b, "_gpl");
SYMBOL_CRC(kvm_arch_has_noncoherent_dma, 0x275ea9cc, "_gpl");
SYMBOL_CRC(kvm_arch_no_poll, 0x891de042, "_gpl");
SYMBOL_CRC(kvm_spec_ctrl_test_value, 0x2d82cc24, "_gpl");
SYMBOL_CRC(kvm_fixup_and_inject_pf_error, 0x0b027a10, "_gpl");
SYMBOL_CRC(kvm_handle_memory_failure, 0xe2e19c56, "_gpl");
SYMBOL_CRC(kvm_handle_invpcid, 0xa840f09d, "_gpl");
SYMBOL_CRC(kvm_sev_es_mmio_write, 0x8fc606ad, "_gpl");
SYMBOL_CRC(kvm_sev_es_mmio_read, 0xcde181a3, "_gpl");
SYMBOL_CRC(kvm_sev_es_string_io, 0x8e8771d0, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_entry, 0x2a79fbb9, "_gpl");
SYMBOL_CRC(__traceiter_kvm_entry, 0x76706877, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_entry, 0xb24baa29, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_entry, 0xc071e99f, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_exit, 0x3cdb2b4b, "_gpl");
SYMBOL_CRC(__traceiter_kvm_exit, 0x327ffc3f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_exit, 0xdcaa0709, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_exit, 0x616e6c95, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_mmio, 0xc25a0cbd, "_gpl");
SYMBOL_CRC(__traceiter_kvm_mmio, 0x1cf1c4e0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_mmio, 0x222b20ff, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_mmio, 0x41f160de, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_fast_mmio, 0xa6a5f3a7, "_gpl");
SYMBOL_CRC(__traceiter_kvm_fast_mmio, 0x752c2b00, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_fast_mmio, 0x653f1983, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_fast_mmio, 0xea5cda33, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_inj_virq, 0xbfcbbb01, "_gpl");
SYMBOL_CRC(__traceiter_kvm_inj_virq, 0x7f51547e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_inj_virq, 0x29af3efc, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_inj_virq, 0x6becaded, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_page_fault, 0xcf6fa351, "_gpl");
SYMBOL_CRC(__traceiter_kvm_page_fault, 0x855bd847, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_page_fault, 0xf3afdd6a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_page_fault, 0x7ff2a104, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_msr, 0xdb74735b, "_gpl");
SYMBOL_CRC(__traceiter_kvm_msr, 0xdc7369fe, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_msr, 0x7fb12f51, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_msr, 0xf084b57d, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_cr, 0x5630d1bf, "_gpl");
SYMBOL_CRC(__traceiter_kvm_cr, 0x17f9cfe3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_cr, 0x42a8b6d9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_cr, 0x778e30b9, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_vmenter, 0x909f7f4d, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_vmenter, 0x74910627, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_vmenter, 0x0d4fee7e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_vmenter, 0x6d2c9437, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_vmexit, 0x983887a1, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_vmexit, 0xdca5769c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_vmexit, 0x9ade1b24, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_vmexit, 0x2510fc6d, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_vmexit_inject, 0x2ad67c76, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_vmexit_inject, 0x114eb824, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_vmexit_inject, 0x97c195ef, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_vmexit_inject, 0x8b618aa6, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_intr_vmexit, 0x7dbe41fd, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_intr_vmexit, 0x912a9286, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_intr_vmexit, 0x6c77ee93, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_intr_vmexit, 0xd09da48b, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_vmenter_failed, 0x635dd98d, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_vmenter_failed, 0x23263c0a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_vmenter_failed, 0xea33e584, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_vmenter_failed, 0xe93dfc8c, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_invlpga, 0xd45335a5, "_gpl");
SYMBOL_CRC(__traceiter_kvm_invlpga, 0x54c1e24a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_invlpga, 0xb97e46ef, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_invlpga, 0x4a1c261b, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_skinit, 0x4f7605e5, "_gpl");
SYMBOL_CRC(__traceiter_kvm_skinit, 0xb96e9aa1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_skinit, 0xbfe1a4f0, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_skinit, 0xe0e786a7, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_intercepts, 0xbf3cb5f1, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_intercepts, 0xa6a50230, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_intercepts, 0x7798872a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_intercepts, 0xa588ef67, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_write_tsc_offset, 0x611945ed, "_gpl");
SYMBOL_CRC(__traceiter_kvm_write_tsc_offset, 0x5c11e105, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_write_tsc_offset, 0x127a1edf, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_write_tsc_offset, 0xa84a2e73, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_ple_window_update, 0xc591e51c, "_gpl");
SYMBOL_CRC(__traceiter_kvm_ple_window_update, 0x1412f042, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_ple_window_update, 0x0d35d7c7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_ple_window_update, 0x93a3e40e, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_pml_full, 0xc10ce031, "_gpl");
SYMBOL_CRC(__traceiter_kvm_pml_full, 0xc60d7d0c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_pml_full, 0x576865cc, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_pml_full, 0xf2df48f3, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_pi_irte_update, 0x6777a78b, "_gpl");
SYMBOL_CRC(__traceiter_kvm_pi_irte_update, 0x45e80fdf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_pi_irte_update, 0xfaa736b8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_pi_irte_update, 0x388e0e10, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_unaccelerated_access, 0x2404978e, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_unaccelerated_access, 0x9f68faa3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_unaccelerated_access, 0x1b67b95d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_unaccelerated_access, 0xf32dff97, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_incomplete_ipi, 0x1026dafb, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_incomplete_ipi, 0x9e20b2bc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_incomplete_ipi, 0xba3d5f0b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_incomplete_ipi, 0x4942be67, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_ga_log, 0x0a215124, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_ga_log, 0xa7022320, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_ga_log, 0xbb16787e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_ga_log, 0x1d1b139a, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_kick_vcpu_slowpath, 0x04dc5a49, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_kick_vcpu_slowpath, 0x4733bf8c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_kick_vcpu_slowpath, 0xfa7114e9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_kick_vcpu_slowpath, 0x5f911332, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_doorbell, 0xc8da0ca9, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_doorbell, 0xc7fe55ac, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_doorbell, 0xca3c902c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_doorbell, 0x1f8e9483, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_apicv_accept_irq, 0x986fd79c, "_gpl");
SYMBOL_CRC(__traceiter_kvm_apicv_accept_irq, 0x3d93fb92, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_apicv_accept_irq, 0xeb0c8cae, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_apicv_accept_irq, 0x5c7e9f84, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_vmgexit_enter, 0xa4850678, "_gpl");
SYMBOL_CRC(__traceiter_kvm_vmgexit_enter, 0x8f3a890e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_vmgexit_enter, 0xa6639afd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_vmgexit_enter, 0x8a7fe54a, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_vmgexit_exit, 0xec984ec8, "_gpl");
SYMBOL_CRC(__traceiter_kvm_vmgexit_exit, 0x7510a39a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_vmgexit_exit, 0x6797c10b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_vmgexit_exit, 0x48644036, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_vmgexit_msr_protocol_enter, 0x6a435f26, "_gpl");
SYMBOL_CRC(__traceiter_kvm_vmgexit_msr_protocol_enter, 0x0ca8df68, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_vmgexit_msr_protocol_enter, 0x75a6bf66, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_vmgexit_msr_protocol_enter, 0xf54e2886, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_vmgexit_msr_protocol_exit, 0x4b258fbf, "_gpl");
SYMBOL_CRC(__traceiter_kvm_vmgexit_msr_protocol_exit, 0x25c07225, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_vmgexit_msr_protocol_exit, 0x7446a16c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_vmgexit_msr_protocol_exit, 0x0cff45f4, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_rmp_fault, 0xf13486c1, "_gpl");
SYMBOL_CRC(__traceiter_kvm_rmp_fault, 0x904355a0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_rmp_fault, 0x32ae6ce5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_rmp_fault, 0xad9b683b, "_gpl");
SYMBOL_CRC(kvm_cpu_has_injectable_intr, 0x743270eb, "_gpl");
SYMBOL_CRC(kvm_cpu_has_interrupt, 0x5e7dc153, "_gpl");
SYMBOL_CRC(kvm_cpu_get_extint, 0xa5081822, "_gpl");
SYMBOL_CRC(kvm_has_noapic_vcpu, 0x3f510ff5, "_gpl");
SYMBOL_CRC(__kvm_apic_update_irr, 0x6243ac82, "_gpl");
SYMBOL_CRC(kvm_apic_update_irr, 0x4d8704db, "_gpl");
SYMBOL_CRC(kvm_apic_clear_irr, 0x778bb87e, "_gpl");
SYMBOL_CRC(kvm_apic_update_hwapic_isr, 0xcce6ab29, "_gpl");
SYMBOL_CRC(kvm_lapic_find_highest_irr, 0x2be1b1c3, "_gpl");
SYMBOL_CRC(kvm_apic_update_ppr, 0xf41d6680, "_gpl");
SYMBOL_CRC(kvm_apic_match_dest, 0x2f09940f, "_gpl");
SYMBOL_CRC(kvm_apic_set_eoi_accelerated, 0x2d8b5de2, "_gpl");
SYMBOL_CRC(kvm_apic_send_ipi, 0xe367cced, "_gpl");
SYMBOL_CRC(kvm_lapic_readable_reg_mask, 0x678facd0, "_gpl");
SYMBOL_CRC(kvm_wait_lapic_expire, 0xaa768623, "_gpl");
SYMBOL_CRC(kvm_lapic_expired_hv_timer, 0x44cc9cd4, "_gpl");
SYMBOL_CRC(kvm_lapic_set_eoi, 0x776806df, "_gpl");
SYMBOL_CRC(kvm_apic_write_nodecode, 0x20f72c2e, "_gpl");
SYMBOL_CRC(kvm_apic_set_base, 0x6a1c8ed3, "_gpl");
SYMBOL_CRC(kvm_alloc_apic_access_page, 0xbe0756f6, "_gpl");
SYMBOL_CRC(kvm_apic_has_interrupt, 0x7c45fa40, "_gpl");
SYMBOL_CRC(kvm_apic_ack_interrupt, 0xc176deff, "_gpl");
SYMBOL_CRC(kvm_set_msi_irq, 0x7458fd37, "_gpl");
SYMBOL_CRC(kvm_intr_is_single_vcpu, 0x8158aab6, "_gpl");
SYMBOL_CRC(kvm_cpu_caps, 0x5d2a48db, "_gpl");
SYMBOL_CRC(kvm_find_cpuid_entry2, 0x1867b621, "_gpl");
SYMBOL_CRC(kvm_update_cpuid_runtime, 0x7f91b1aa, "_gpl");
SYMBOL_CRC(kvm_set_cpu_caps, 0x5d996b31, "_gpl");
SYMBOL_CRC(kvm_cpuid, 0x76b4e17f, "_gpl");
SYMBOL_CRC(kvm_emulate_cpuid, 0x51a31274, "_gpl");
SYMBOL_CRC(kvm_pmu_cap, 0xd475c188, "_gpl");
SYMBOL_CRC(kvm_pmu_eventsel, 0xfcc16c54, "_gpl");
SYMBOL_CRC(pmc_write_counter, 0xbefa61b2, "_gpl");
SYMBOL_CRC(kvm_pmu_trigger_event, 0x2ecb6a73, "_gpl");
SYMBOL_CRC(tdp_mmu_enabled, 0x81875f4c, "_gpl");
SYMBOL_CRC(kvm_mmu_free_roots, 0x312a0e71, "_gpl");
SYMBOL_CRC(kvm_mmu_free_guest_mode_roots, 0xf7bf38c8, "_gpl");
SYMBOL_CRC(kvm_handle_page_fault, 0x853fb551, "_gpl");
SYMBOL_CRC(kvm_tdp_map_page, 0xc76a3699, "_gpl");
SYMBOL_CRC(kvm_mmu_new_pgd, 0xcfbb1b12, "_gpl");
SYMBOL_CRC(kvm_init_shadow_npt_mmu, 0xafe807c8, "_gpl");
SYMBOL_CRC(kvm_init_shadow_ept_mmu, 0x6b6cca35, "_gpl");
SYMBOL_CRC(kvm_init_mmu, 0xc1e4bf3f, "_gpl");
SYMBOL_CRC(kvm_mmu_reset_context, 0x29fc8b64, "_gpl");
SYMBOL_CRC(kvm_mmu_load, 0x56eca907, "_gpl");
SYMBOL_CRC(kvm_mmu_free_obsolete_roots, 0xcaac55d6, "_gpl");
SYMBOL_CRC(kvm_mmu_page_fault, 0xe4d224c0, "_gpl");
SYMBOL_CRC(kvm_mmu_print_sptes, 0x3c80eef1, "_gpl");
SYMBOL_CRC(kvm_mmu_invalidate_addr, 0xc8d62cbc, "_gpl");
SYMBOL_CRC(kvm_mmu_invlpg, 0xd93ba4ef, "_gpl");
SYMBOL_CRC(kvm_configure_mmu, 0x06cdc8d1, "_gpl");
SYMBOL_CRC(kvm_zap_gfn_range, 0xbd1e87c7, "_gpl");
SYMBOL_CRC(kvm_page_track_register_notifier, 0x0ce1c417, "_gpl");
SYMBOL_CRC(kvm_page_track_unregister_notifier, 0x4de9972b, "_gpl");
SYMBOL_CRC(kvm_write_track_add_gfn, 0x5a93cb91, "_gpl");
SYMBOL_CRC(kvm_write_track_remove_gfn, 0xaa0b9608, "_gpl");
SYMBOL_CRC(enable_mmio_caching, 0xfab33e4c, "_gpl");
SYMBOL_CRC(kvm_mmu_set_mmio_spte_mask, 0x6ada8f59, "_gpl");
SYMBOL_CRC(kvm_mmu_set_mmio_spte_value, 0x95bb15e2, "_gpl");
SYMBOL_CRC(kvm_mmu_set_me_spte_mask, 0xbd9d6dfc, "_gpl");
SYMBOL_CRC(kvm_mmu_set_ept_masks, 0x5bf7cde0, "_gpl");
SYMBOL_CRC(kvm_tdp_mmu_gpa_is_mapped, 0xf6570564, "_gpl");
SYMBOL_CRC(kvm_hv_assist_page_enabled, 0x0f2a5211, "_gpl");
SYMBOL_CRC(kvm_hv_get_assist_page, 0xd67ba23d, "_gpl");
SYMBOL_CRC(kvm_smm_changed, 0x17553d0a, "_gpl");
SYMBOL_CRC(hv_flush_remote_tlbs_range, 0x0c2c0c6d, "_gpl");
SYMBOL_CRC(hv_flush_remote_tlbs, 0x53ec53f0, "_gpl");
SYMBOL_CRC(hv_track_root_tdp, 0x2da54f89, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f50f32, "rcu_nocb_flush_deferred_wakeup" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x82b8c8f6, "fixup_user_fault" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xae340c50, "preempt_notifier_register" },
	{ 0x12500019, "finish_rcuwait" },
	{ 0x6157f633, "__SCK__tp_func_ipi_send_cpu" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf60300c0, "fpu_free_guest_fpstate" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x491878de, "mmu_notifier_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x995d1071, "prof_on" },
	{ 0x92617389, "xfer_to_guest_mode_handle_work" },
	{ 0x30ec0b8f, "cleanup_srcu_struct" },
	{ 0x1796d14, "file_modified" },
	{ 0xbada6f58, "__put_devmap_managed_folio_refs" },
	{ 0x29c7fa7d, "__vcalloc_noprof" },
	{ 0x77f24400, "perf_register_guest_info_callbacks" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1475d603, "xstate_get_guest_group_perm" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0x38ea9765, "intel_pt_validate_hw_cap" },
	{ 0x1790915f, "bpf_trace_run9" },
	{ 0xe78c1cdf, "idr_destroy" },
	{ 0x7b64d81, "hyperv_stop_tsc_emulation" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x46b01ff5, "__tracepoint_write_msr" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x3fe35aea, "irq_bypass_unregister_consumer" },
	{ 0x9a185ace, "tick_nohz_full_running" },
	{ 0xfb578fc5, "memset" },
	{ 0xdad13544, "ptrs_per_p4d" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x226e615c, "synchronize_srcu_expedited" },
	{ 0x4102c5e2, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xe54012d3, "misc_register" },
	{ 0x5fb6747, "unpin_user_page" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb9c425de, "register_syscore_ops" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4248ae3c, "single_task_running" },
	{ 0x6214aef2, "cpufreq_unregister_notifier" },
	{ 0x59d91a0, "fpu_swap_kvm_fpstate" },
	{ 0x56398615, "mark_tsc_unstable" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x95609b26, "context_tracking_key" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xeeab7019, "simple_attr_read" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xb42d15cf, "mutex_lock_killable" },
	{ 0xa985aeff, "down_read" },
	{ 0x81fd7be2, "__mmdrop" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xc119e274, "__xa_cmpxchg" },
	{ 0xe31fdd06, "fpu_copy_uabi_to_guest_fpstate" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x7c46233a, "cpufreq_quick_get" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb13595e, "smp_call_function_many" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x5e8d08be, "__lruvec_stat_mod_folio" },
	{ 0xaa6a50f9, "__static_key_deferred_flush" },
	{ 0xb98fa7ed, "__xa_insert" },
	{ 0x918431c7, "xa_erase" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0x5eab9be2, "__mmap_lock_do_trace_start_locking" },
	{ 0x911c8743, "seq_read" },
	{ 0xb4b97c90, "pvclock_gtod_register_notifier" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xed4202c8, "perf_event_enable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x29ad8e33, "x86_hyper_type" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1240574f, "irq_work_sync" },
	{ 0x44aaf30f, "tsc_khz" },
	{ 0x7230beea, "fdget" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xfdd3e608, "mmput" },
	{ 0xc683da81, "set_memory_decrypted" },
	{ 0x537f474e, "kthread_destroy_worker" },
	{ 0x57861a5c, "gds_ucode_mitigated" },
	{ 0x3a099605, "__get_user_nocheck_4" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb89e69b1, "jump_label_update_timeout" },
	{ 0x4471a51d, "vhost_task_stop" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x265b6e29, "hyperv_flush_guest_mapping_range" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x83250b00, "cpu_info" },
	{ 0x388be7e9, "get_user_pages_fast_only" },
	{ 0xe0e6ef02, "perf_get_x86_pmu_capability" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0x7d3f3617, "fpu_enable_guest_xfd_features" },
	{ 0x481cedcc, "get_user_pages_unlocked" },
	{ 0xfea41449, "xa_find" },
	{ 0x25db1577, "do_trace_write_msr" },
	{ 0x2979d8b6, "__tracepoint_mmap_lock_start_locking" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x65d9e877, "cpufreq_register_notifier" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe16ed2c6, "__tracepoint_read_msr" },
	{ 0x50b03f5d, "l1tf_vmx_mitigation" },
	{ 0x456d1bf, "pin_user_pages_unlocked" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x690c7e13, "__mmap_lock_do_trace_released" },
	{ 0xef50d181, "dput" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xe534dea0, "xa_store" },
	{ 0x550ce709, "pat_enabled" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb877bffd, "__hrtimer_get_remaining" },
	{ 0x8d6aff89, "__put_user_nocheck_4" },
	{ 0x7452adff, "user_return_notifier_register" },
	{ 0x30024cbb, "__srcu_read_unlock" },
	{ 0x32bc0fcf, "preempt_notifier_dec" },
	{ 0xafd041cb, "mmu_notifier_register" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0xe0d39f1c, "sgx_set_attribute" },
	{ 0x5f2da8c4, "check_tsc_unstable" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0xe9dc51c5, "cpu_emergency_register_virt_callback" },
	{ 0xdce674c4, "generic_file_open" },
	{ 0x7ba1d67, "truncate_inode_pages_range" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0x93fae14b, "hrtimer_cancel" },
	{ 0x68b2c9b1, "vtime_guest_enter" },
	{ 0x888c5be5, "irq_bypass_register_consumer" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0x3c41cf91, "rcuwait_wake_up" },
	{ 0x55473fb7, "single_release" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xeb393c92, "pid_vnr" },
	{ 0xc2b0e1cf, "cpufreq_cpu_get" },
	{ 0xa339a3b8, "preempt_notifier_unregister" },
	{ 0x947b40c6, "cpu_smt_possible" },
	{ 0x25f87992, "fpu_alloc_guest_fpstate" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x3e0268d3, "follow_pfnmap_end" },
	{ 0x69ad6ac1, "cpu_emergency_unregister_virt_callback" },
	{ 0xa256d729, "xa_find_after" },
	{ 0xa32d7d70, "get_file_active" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0xd6df01f7, "perf_get_hw_event_config" },
	{ 0xef8fc95f, "kvm_async_pf_task_wait_schedule" },
	{ 0x16640741, "context_tracking" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb08da2dd, "perf_event_release_kernel" },
	{ 0x754d539c, "strlen" },
	{ 0x43e833f2, "bpf_trace_run7" },
	{ 0x5eedf25f, "get_task_pid" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xf3edd21, "anon_inode_create_getfile" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe77e38c8, "fpstate_clear_xstate_component" },
	{ 0xd898659, "single_open" },
	{ 0xe83eba32, "itlb_multihit_kvm_mitigation" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0x40e42688, "__static_call_update" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x38bc19cd, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xd19bc561, "add_wait_queue_priority" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x5caa6567, "put_pid" },
	{ 0xb86748d1, "__cpuhp_remove_state" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x3466ce63, "x86_msi_msg_get_destid" },
	{ 0x8f00f6d1, "vhost_task_start" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x355d8bf8, "eventfd_ctx_fileget" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x46082687, "mtree_load" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0xda16a682, "vma_kernel_pagesize" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x19bcfcf9, "yield_to" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0x196614ce, "hw_breakpoint_restore" },
	{ 0xbc683d8f, "pin_user_pages_fast" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd5f3bb7b, "set_memory_encrypted" },
	{ 0x444cdee8, "generic_fillattr" },
	{ 0x7a35fae5, "simple_attr_write" },
	{ 0x4e5ee273, "tick_nohz_full_mask" },
	{ 0x6228c21f, "smp_call_function_single" },
	{ 0x68e156d6, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3b7a7163, "__static_call_return0" },
	{ 0x173756c, "__init_rwsem" },
	{ 0x28f42571, "kthread_create_worker" },
	{ 0xbca03f0, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x640c8f92, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6faa4a29, "kthread_flush_work" },
	{ 0x6988d0ca, "cpu_dr7" },
	{ 0x66283031, "x86_match_cpu" },
	{ 0xd0d81b71, "bpf_trace_run4" },
	{ 0x333051c0, "idr_find" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x67955ce6, "profile_hits" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9241b358, "__static_key_slow_dec_deferred" },
	{ 0x1eab809c, "folio_unlock" },
	{ 0x63f835ba, "on_each_cpu_cond_mask" },
	{ 0xebafee8d, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0xea8c9be, "perf_event_create_kernel_counter" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xbb8d1146, "param_get_bool" },
	{ 0x7a2a96c7, "bpf_trace_run6" },
	{ 0x22c2dc90, "vtime_guest_exit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x5b56860c, "vm_munmap" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x6de3c76e, "get_pid_task" },
	{ 0x4e50eb3e, "fpu_copy_guest_fpstate_to_uabi" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x4d9276c, "rt_read_trylock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x1e8c3197, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x466c14a7, "__delay" },
	{ 0x1057a279, "bsearch" },
	{ 0xf7a53a57, "fget" },
	{ 0xf330c682, "__put_task_struct" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x6d40af9b, "__xas_next" },
	{ 0xdcf1a17c, "anon_inode_getfile_fmode" },
	{ 0x28d7a5ab, "xas_find" },
	{ 0x46a6c9ef, "hv_get_tsc_page" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x3ba01b47, "get_compat_sigset" },
	{ 0xcd81a945, "switch_fpu_return" },
	{ 0x5bf7db3e, "hrtimer_init" },
	{ 0x57b19ed6, "noop_dirty_folio" },
	{ 0x301304c2, "__get_user_nocheck_8" },
	{ 0x39b48f25, "irq_work_queue" },
	{ 0xe1aa2d62, "set_hv_tscchange_cb" },
	{ 0x1187629c, "param_set_uint" },
	{ 0xd3a193e3, "fd_install" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0x5b30e25c, "vhost_task_wake" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x74642f3a, "xa_store_range" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfa1eb910, "unregister_syscore_ops" },
	{ 0x51fbafe0, "housekeeping_enabled" },
	{ 0x72d79d83, "pgdir_shift" },
	{ 0x8ef323fc, "smp_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x3db43d65, "perf_event_pause" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x54544051, "perf_event_period" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xb7702376, "vm_mmap" },
	{ 0x7724e40e, "send_sig_mceerr" },
	{ 0x26cda94f, "e820__mapped_raw_any" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0xa7bc7ccd, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe9e8f1b6, "synchronize_srcu" },
	{ 0x1cbd92b0, "cpu_mitigations_off" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x3ddbb68a, "bpf_trace_run8" },
	{ 0x4d924f20, "memremap" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x273e1002, "fpu_sync_guest_vmexit_xfd_state" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xdbc526a5, "__tracepoint_mmap_lock_released" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0x4f599ecf, "cpufreq_cpu_put" },
	{ 0x2be416de, "perf_event_read_value" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x39e3c030, "do_trace_read_msr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x67b38f3b, "get_user_pages_remote" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0xc8d6fdee, "__cond_resched_rwlock_write" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xc58007de, "vhost_task_create" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x8d4f5071, "anon_inode_getfd" },
	{ 0xe67c33b2, "param_get_uint" },
	{ 0x6bbd8324, "perf_unregister_guest_info_callbacks" },
	{ 0x7bd59d56, "follow_pfnmap_start" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x793ac193, "__SCT__tp_func_ipi_send_cpu" },
	{ 0xd567a1b2, "__filemap_get_folio" },
	{ 0x5a506143, "kthread_queue_work" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0xbcb58f62, "__cond_resched_rwlock_read" },
	{ 0x618911fc, "numa_node" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0x85efc7e0, "zero_pfn" },
	{ 0x5782d4c5, "__tracepoint_ipi_send_cpu" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb69d6908, "find_vma" },
	{ 0xda1f78ee, "clear_hv_tscchange_cb" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xcfe59cb, "hyperv_fill_flush_guest_mapping_list" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x65dc489a, "param_ops_bint" },
	{ 0xa0cae8bb, "debugfs_lookup" },
	{ 0x593b37f3, "mark_page_accessed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xcb629113, "kobject_uevent_env" },
	{ 0x2e2df7f4, "irq_remapping_cap" },
	{ 0xb74c43f6, "fpu_update_guest_xfd" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x3ed5a5a3, "init_srcu_struct" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x4688d7ec, "pvclock_gtod_unregister_notifier" },
	{ 0xc794f8c, "fput" },
	{ 0x77f5bb81, "down_write" },
	{ 0xe7232e0f, "user_return_notifier_unregister" },
	{ 0x264635e1, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x6b406731, "__cpuhp_setup_state" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1d19f77b, "physical_mask" },
	{ 0x402cbbf, "preempt_notifier_inc" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0xc0ff936f, "simple_attr_release" },
	{ 0xc9a4b416, "copy_to_user_nofault" },
	{ 0xc4510dc7, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8a0c042e, "dentry_path_raw" },
	{ 0xa99fbf24, "task_cputime_adjusted" },
	{ 0xb9b31de8, "xa_load" },
	{ 0x136d2728, "noop_llseek" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xf8fe3986, "pat_pfn_immune_to_uc_mtrr" },
	{ 0xae8aebd2, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f4d306, "hyperv_flush_guest_mapping" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6ecc607e, "mem_section" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "irqbypass");


MODULE_INFO(srcversion, "AE58F28669681CF01163EF1");

MODULE_INFO(suserelease, "SLFO-1.2");
