#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(af_alg_register_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_unregister_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_release, "_gpl", "");
KSYMTAB_FUNC(af_alg_release_parent, "_gpl", "");
KSYMTAB_FUNC(af_alg_accept, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_sg, "_gpl", "");
KSYMTAB_FUNC(af_alg_count_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_pull_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_wmem_wakeup, "_gpl", "");
KSYMTAB_FUNC(af_alg_wait_for_data, "_gpl", "");
KSYMTAB_FUNC(af_alg_sendmsg, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_resources, "_gpl", "");
KSYMTAB_FUNC(af_alg_async_cb, "_gpl", "");
KSYMTAB_FUNC(af_alg_poll, "_gpl", "");
KSYMTAB_FUNC(af_alg_alloc_areq, "_gpl", "");
KSYMTAB_FUNC(af_alg_get_rsgl, "_gpl", "");

SYMBOL_CRC(af_alg_register_type, 0x08f8032a, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0xc2e6a70d, "_gpl");
SYMBOL_CRC(af_alg_release, 0xdd284848, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0xcbcaac03, "_gpl");
SYMBOL_CRC(af_alg_accept, 0xa997078a, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0x049eaf32, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0xe84af280, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0xbb52cb69, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0x8bef87e2, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0x171e0388, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0x06e03753, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0x5c24dcfd, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0x600441e5, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0x392a8ab2, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8b268e5a, "sk_alloc" },
	{ 0x2d19ff87, "sock_init_data" },
	{ 0xa4f47ddd, "sock_kmalloc" },
	{ 0x547ccf6f, "proto_register" },
	{ 0x4d5c07d3, "sock_register" },
	{ 0x13356863, "proto_unregister" },
	{ 0xa985aeff, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc40bf4ce, "up_read" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x5d1358a7, "lock_sock_nested" },
	{ 0xfaa14df5, "release_sock" },
	{ 0x6857cc3d, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x5fb6747, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf398ee77, "sk_free" },
	{ 0x9ccb5761, "security_sock_graft" },
	{ 0x84d22272, "security_sk_clone" },
	{ 0xccf30d5c, "sock_kfree_s" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbada6f58, "__put_devmap_managed_folio_refs" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xdcd1acc9, "extract_iter_to_sg" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x77f5bb81, "down_write" },
	{ 0x37a0cba, "kfree" },
	{ 0x264635e1, "up_write" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x586661b3, "__wake_up_sync_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3b60a6b0, "sock_wake_async" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x69dc6f5d, "_copy_from_iter" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc67b1fbe, "iov_iter_revert" },
	{ 0x8375762d, "__free_pages" },
	{ 0x92997ed8, "_printk" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x423e5994, "key_put" },
	{ 0x7da6be1, "sock_kzfree_s" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xec46c799, "sock_no_connect" },
	{ 0xafe91e81, "sock_no_socketpair" },
	{ 0x501149b, "sock_no_getname" },
	{ 0xbc2c2bde, "sock_no_ioctl" },
	{ 0x63643d75, "sock_no_listen" },
	{ 0x53a59f22, "sock_no_shutdown" },
	{ 0xab4d965a, "sock_no_sendmsg" },
	{ 0x3de9491b, "sock_no_recvmsg" },
	{ 0x61d169a1, "sock_no_mmap" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2F6B418EE324AF07AF8E40B");

MODULE_INFO(suserelease, "SLFO-1.2");
