#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0x33f2a725, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0xf95048b9, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0x64123adf, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0xe403f15e, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0xa95a4369, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0xf7805b54, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0x5bb39a74, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0xeb33e3f7, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0xa7b002d3, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0xbb78ee88, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0x1f798748, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0x5f3fb7f5, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0x1233c356, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x1a6fb4b7, "crypto_register_template" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x272607b8, "crypto_enqueue_request" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0x168160b8, "crypto_grab_aead" },
	{ 0xb243b83f, "crypto_grab_shash" },
	{ 0xdf16f151, "shash_no_setkey" },
	{ 0xfe4cfa09, "ahash_register_instance" },
	{ 0x68311eea, "crypto_grab_skcipher" },
	{ 0x98a96432, "skcipher_register_instance" },
	{ 0x6822c5ec, "aead_register_instance" },
	{ 0x3c7f8eae, "crypto_skcipher_decrypt" },
	{ 0xdb382c0a, "crypto_skcipher_encrypt" },
	{ 0xdf027d73, "shash_ahash_digest" },
	{ 0xfed22863, "shash_ahash_finup" },
	{ 0x40188962, "crypto_shash_final" },
	{ 0x88006e5c, "shash_ahash_update" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5a901a62, "crypto_alloc_skcipher" },
	{ 0x8a1f3eca, "crypto_destroy_tfm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xefe395e7, "crypto_alloc_ahash" },
	{ 0xced99116, "crypto_alloc_aead" },
	{ 0xeaa4ddd4, "crypto_skcipher_setkey" },
	{ 0xc15550a1, "crypto_spawn_tfm2" },
	{ 0xf7a228b8, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0x8e0c2dc3, "crypto_shash_setkey" },
	{ 0xf238b524, "crypto_shash_import" },
	{ 0x3f05769, "crypto_shash_export" },
	{ 0x80c6870, "crypto_clone_shash" },
	{ 0xcd4b3a77, "crypto_aead_setauthsize" },
	{ 0x6f2d2f6c, "crypto_aead_setkey" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7ac29f15, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x96b42b34, "crypto_unregister_template" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CE601D458BFDA37FC7B6285");

MODULE_INFO(suserelease, "SLFO-1.2");
