#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x5180b5db, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0xc655bfc1, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0xfbfcdfa9, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x1a7763df, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xe50cddb2, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0xd4e211b3, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x6ba1d388, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x7b8d4ba1, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x9fce555d, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x5f8559a6, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x47245c23, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xc5dc3c29, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0xece3ea11, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0xaac3091e, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xf826ff29, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0xf4bf448f, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x8472ad3a, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0xa72415dc, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x9e98b367, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x990d58b9, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0xa438d797, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0xc962f9a7, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x56c6f9f1, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x71ce09cf, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0xd5284ef1, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x491cd01d, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x6876c1e6, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x65d897e0, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0xf5187ac6, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x6c9cef87, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x3e7ee202, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5a506143, "kthread_queue_work" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x28f42571, "kthread_create_worker" },
	{ 0x33719327, "_dev_err" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xc0ac8962, "sched_set_fifo" },
	{ 0x10a14096, "crypto_register_aead" },
	{ 0x8a9ffb87, "crypto_unregister_aead" },
	{ 0x37d5fde5, "crypto_register_ahash" },
	{ 0xb98d3e68, "crypto_unregister_ahash" },
	{ 0xf73fe3a4, "crypto_register_akcipher" },
	{ 0x54a416c5, "crypto_unregister_akcipher" },
	{ 0xdc8d4598, "crypto_register_kpp" },
	{ 0x2ac78a7b, "crypto_unregister_kpp" },
	{ 0xd248978, "crypto_register_skcipher" },
	{ 0x431a6d57, "crypto_unregister_skcipher" },
	{ 0x272607b8, "crypto_enqueue_request" },
	{ 0x7ac29f15, "crypto_dequeue_request" },
	{ 0x9509901d, "crypto_enqueue_request_head" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x537f474e, "kthread_destroy_worker" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8804DBF21A364B6BE271C7E");

MODULE_INFO(suserelease, "SLFO-1.2");
