#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ata_link_next, "_gpl", "");
KSYMTAB_FUNC(ata_dev_next, "_gpl", "");
KSYMTAB_FUNC(atapi_cmd_type, "_gpl", "");
KSYMTAB_FUNC(ata_pack_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mask2mode, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2mask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2shift, "_gpl", "");
KSYMTAB_FUNC(ata_mode_string, "_gpl", "");
KSYMTAB_FUNC(ata_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_id_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_c_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_pio_need_iordy, "_gpl", "");
KSYMTAB_FUNC(ata_do_dev_read_id, "_gpl", "");
KSYMTAB_FUNC(ata_cable_40wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_unknown, "_gpl", "");
KSYMTAB_FUNC(ata_cable_ignore, "_gpl", "");
KSYMTAB_FUNC(ata_cable_sata, "_gpl", "");
KSYMTAB_FUNC(ata_dev_pair, "_gpl", "");
KSYMTAB_FUNC(ata_do_set_mode, "_gpl", "");
KSYMTAB_FUNC(ata_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_std_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_std_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_dev_set_feature, "_gpl", "");
KSYMTAB_FUNC(ata_std_qc_defer, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete, "_gpl", "");
KSYMTAB_FUNC(ata_qc_get_active, "_gpl", "");
KSYMTAB_FUNC(ata_link_online, "_gpl", "");
KSYMTAB_FUNC(ata_link_offline, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_resume, "_gpl", "");
KSYMTAB_FUNC(ata_host_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_host_resume, "_gpl", "");
KSYMTAB_FUNC(ata_port_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_port_free, "_gpl", "");
KSYMTAB_FUNC(ata_host_put, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc_pinfo, "_gpl", "");
KSYMTAB_FUNC(ata_host_start, "_gpl", "");
KSYMTAB_FUNC(ata_host_init, "_gpl", "");
KSYMTAB_FUNC(ata_port_probe, "_gpl", "");
KSYMTAB_FUNC(ata_host_register, "_gpl", "");
KSYMTAB_FUNC(ata_host_activate, "_gpl", "");
KSYMTAB_FUNC(ata_host_detach, "_gpl", "");
KSYMTAB_FUNC(ata_pci_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_pci_shutdown_one, "_gpl", "");
KSYMTAB_FUNC(pci_test_config_bits, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_resume, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_resume, "_gpl", "");
KSYMTAB_FUNC(ata_platform_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_ratelimit, "_gpl", "");
KSYMTAB_FUNC(ata_msleep, "_gpl", "");
KSYMTAB_FUNC(ata_wait_register, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_info, "_gpl", "");
KSYMTAB_FUNC(ata_print_version, "", "");
KSYMTAB_DATA(__tracepoint_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(dev_attr_unload_heads, "_gpl", "");
KSYMTAB_DATA(ata_common_sdev_groups, "_gpl", "");
KSYMTAB_FUNC(ata_std_bios_param, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_unlock_native_capacity, "_gpl", "");
KSYMTAB_FUNC(ata_sas_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_dma_need_drain, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_sdev_init, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_sdev_configure, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_sdev_destroy, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_queuecmd, "_gpl", "");
KSYMTAB_FUNC(__ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_clear_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_pbar_desc, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_cmd_error_handler, "", "");
KSYMTAB_FUNC(ata_scsi_port_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_port_wait_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_sched_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_end_eh, "", "");
KSYMTAB_FUNC(ata_port_schedule_eh, "_gpl", "");
KSYMTAB_FUNC(ata_link_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_eh_freeze_port, "_gpl", "");
KSYMTAB_FUNC(ata_dev_disable, "_gpl", "");
KSYMTAB_FUNC(ata_get_cmd_name, "_gpl", "");
KSYMTAB_FUNC(ata_std_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_tport_delete, "_gpl", "");
KSYMTAB_FUNC(ata_tport_add, "_gpl", "");
KSYMTAB_FUNC(ata_port_classify, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_normal, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_hotplug, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_long, "_gpl", "");
KSYMTAB_FUNC(sata_scr_valid, "_gpl", "");
KSYMTAB_FUNC(sata_scr_read, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write_flush, "_gpl", "");
KSYMTAB_FUNC(ata_tf_to_fis, "_gpl", "");
KSYMTAB_FUNC(ata_tf_from_fis, "_gpl", "");
KSYMTAB_FUNC(sata_link_debounce, "_gpl", "");
KSYMTAB_FUNC(sata_link_resume, "_gpl", "");
KSYMTAB_FUNC(sata_link_scr_lpm, "_gpl", "");
KSYMTAB_FUNC(sata_set_spd, "_gpl", "");
KSYMTAB_FUNC(sata_link_hardreset, "_gpl", "");
KSYMTAB_FUNC(sata_std_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete_multiple, "_gpl", "");
KSYMTAB_FUNC(ata_slave_link_init, "_gpl", "");
KSYMTAB_FUNC(sata_lpm_ignore_phy_events, "_gpl", "");
KSYMTAB_DATA(dev_attr_link_power_management_policy, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enabled, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(ata_ncq_sdev_groups, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message_type, "_gpl", "");
KSYMTAB_DATA(dev_attr_sw_activity, "_gpl", "");
KSYMTAB_FUNC(ata_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_sas_sdev_configure, "_gpl", "");
KSYMTAB_FUNC(ata_sas_queuecmd, "_gpl", "");
KSYMTAB_FUNC(sata_async_notification, "_gpl", "");
KSYMTAB_FUNC(ata_eh_analyze_ncq_error, "_gpl", "");
KSYMTAB_DATA(sata_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_sff_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_sff_check_status, "_gpl", "");
KSYMTAB_FUNC(ata_sff_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dma_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_ready, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_select, "_gpl", "");
KSYMTAB_FUNC(ata_sff_irq_on, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_load, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_read, "_gpl", "");
KSYMTAB_FUNC(ata_sff_exec_command, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer32, "_gpl", "");
KSYMTAB_FUNC(ata_sff_hsm_move, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_delayed_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_pio_task, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_fill_rtf, "_gpl", "");
KSYMTAB_FUNC(ata_sff_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_sff_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_lost_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_sff_thaw, "_gpl", "");
KSYMTAB_FUNC(ata_sff_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_softreset, "_gpl", "");
KSYMTAB_FUNC(sata_sff_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_drain_fifo, "_gpl", "");
KSYMTAB_FUNC(ata_sff_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_sff_std_ports, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_activate_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_one, "_gpl", "");
KSYMTAB_DATA(ata_bmdma_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_bmdma32_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_dumb_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_post_internal_cmd, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_irq_clear, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_stop, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start32, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_clear_simplex, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init_one, "_gpl", "");
KSYMTAB_DATA(sata_pmp_port_ops, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_qc_defer_cmd_switch, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_stm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_cbl_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_timing_merge, "_gpl", "");
KSYMTAB_FUNC(ata_timing_find_mode, "_gpl", "");
KSYMTAB_FUNC(ata_timing_compute, "_gpl", "");

SYMBOL_CRC(ata_link_next, 0xb607dde1, "_gpl");
SYMBOL_CRC(ata_dev_next, 0xe63382db, "_gpl");
SYMBOL_CRC(atapi_cmd_type, 0x8462cb62, "_gpl");
SYMBOL_CRC(ata_pack_xfermask, 0x3a15013b, "_gpl");
SYMBOL_CRC(ata_xfer_mask2mode, 0xc2368ea5, "_gpl");
SYMBOL_CRC(ata_xfer_mode2mask, 0xe77d5ef3, "_gpl");
SYMBOL_CRC(ata_xfer_mode2shift, 0x58db1176, "_gpl");
SYMBOL_CRC(ata_mode_string, 0x6a9e90af, "_gpl");
SYMBOL_CRC(ata_dev_classify, 0x5bcc0df7, "_gpl");
SYMBOL_CRC(ata_id_string, 0xccd86806, "_gpl");
SYMBOL_CRC(ata_id_c_string, 0xafddd545, "_gpl");
SYMBOL_CRC(ata_id_xfermask, 0x030cbca2, "_gpl");
SYMBOL_CRC(ata_pio_need_iordy, 0xb7fb9d9f, "_gpl");
SYMBOL_CRC(ata_do_dev_read_id, 0x8a654517, "_gpl");
SYMBOL_CRC(ata_cable_40wire, 0x1dd7ddf1, "_gpl");
SYMBOL_CRC(ata_cable_80wire, 0xcfc1e69c, "_gpl");
SYMBOL_CRC(ata_cable_unknown, 0x09486351, "_gpl");
SYMBOL_CRC(ata_cable_ignore, 0x754903cc, "_gpl");
SYMBOL_CRC(ata_cable_sata, 0x13dd1a38, "_gpl");
SYMBOL_CRC(ata_dev_pair, 0x8839ce52, "_gpl");
SYMBOL_CRC(ata_do_set_mode, 0x1f0d9331, "_gpl");
SYMBOL_CRC(ata_wait_after_reset, 0xbe99c6f1, "_gpl");
SYMBOL_CRC(ata_std_prereset, 0x642ce4cd, "_gpl");
SYMBOL_CRC(ata_std_postreset, 0xd6dae4c6, "_gpl");
SYMBOL_CRC(ata_dev_set_feature, 0xef87b186, "_gpl");
SYMBOL_CRC(ata_std_qc_defer, 0xd6ee58fb, "_gpl");
SYMBOL_CRC(ata_qc_complete, 0xc6e3532f, "_gpl");
SYMBOL_CRC(ata_qc_get_active, 0x9619d462, "_gpl");
SYMBOL_CRC(ata_link_online, 0xa0221278, "_gpl");
SYMBOL_CRC(ata_link_offline, 0x64ef9858, "_gpl");
SYMBOL_CRC(ata_sas_port_suspend, 0x79ea10d0, "_gpl");
SYMBOL_CRC(ata_sas_port_resume, 0x7cf97f44, "_gpl");
SYMBOL_CRC(ata_host_suspend, 0xea660c05, "_gpl");
SYMBOL_CRC(ata_host_resume, 0xf54a0b2f, "_gpl");
SYMBOL_CRC(ata_port_alloc, 0x574db5c6, "_gpl");
SYMBOL_CRC(ata_port_free, 0xaa3cd0a0, "_gpl");
SYMBOL_CRC(ata_host_put, 0x9fcbf73f, "_gpl");
SYMBOL_CRC(ata_host_alloc, 0xf60a6d01, "_gpl");
SYMBOL_CRC(ata_host_alloc_pinfo, 0xb79057b1, "_gpl");
SYMBOL_CRC(ata_host_start, 0xf0421f8d, "_gpl");
SYMBOL_CRC(ata_host_init, 0x6067b82f, "_gpl");
SYMBOL_CRC(ata_port_probe, 0xcd592bd0, "_gpl");
SYMBOL_CRC(ata_host_register, 0x0a73a1b1, "_gpl");
SYMBOL_CRC(ata_host_activate, 0xa39ac0d1, "_gpl");
SYMBOL_CRC(ata_host_detach, 0x13263060, "_gpl");
SYMBOL_CRC(ata_pci_remove_one, 0x95a8c903, "_gpl");
SYMBOL_CRC(ata_pci_shutdown_one, 0x82dab5fe, "_gpl");
SYMBOL_CRC(pci_test_config_bits, 0xdf1745ee, "_gpl");
SYMBOL_CRC(ata_pci_device_do_suspend, 0x167bfcef, "_gpl");
SYMBOL_CRC(ata_pci_device_do_resume, 0xb7a5ce04, "_gpl");
SYMBOL_CRC(ata_pci_device_suspend, 0x72df7455, "_gpl");
SYMBOL_CRC(ata_pci_device_resume, 0x586f09cb, "_gpl");
SYMBOL_CRC(ata_platform_remove_one, 0x2c6701ae, "_gpl");
SYMBOL_CRC(ata_ratelimit, 0xf8f3a0fb, "_gpl");
SYMBOL_CRC(ata_msleep, 0x833c26dc, "_gpl");
SYMBOL_CRC(ata_wait_register, 0x8b12320e, "_gpl");
SYMBOL_CRC(ata_dummy_port_ops, 0x6c330ea1, "_gpl");
SYMBOL_CRC(ata_dummy_port_info, 0xb61c14d6, "_gpl");
SYMBOL_CRC(ata_print_version, 0x8b953338, "");
SYMBOL_CRC(__tracepoint_ata_tf_load, 0x3e746adf, "_gpl");
SYMBOL_CRC(__traceiter_ata_tf_load, 0x26bfd8a3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_tf_load, 0x1db62657, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_tf_load, 0xcf2b93c8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_exec_command, 0x7b0c1b97, "_gpl");
SYMBOL_CRC(__traceiter_ata_exec_command, 0xfe205b07, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_exec_command, 0x07da320e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_exec_command, 0x46047827, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_setup, 0x164dd6c1, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_setup, 0x163513b2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_setup, 0x1c8bf80f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_setup, 0x9a2851ef, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_start, 0x4d291cdf, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_start, 0xee5cf200, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_start, 0x47ef3211, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_start, 0xa1c3f8a8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_status, 0x4a721260, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_status, 0xaf282243, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_status, 0x36a43bf9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_status, 0xc3e1021c, "_gpl");
SYMBOL_CRC(dev_attr_unload_heads, 0xfaa62470, "_gpl");
SYMBOL_CRC(ata_common_sdev_groups, 0xb7bab976, "_gpl");
SYMBOL_CRC(ata_std_bios_param, 0x1c7c6c61, "_gpl");
SYMBOL_CRC(ata_scsi_unlock_native_capacity, 0xeb77bc0f, "_gpl");
SYMBOL_CRC(ata_sas_scsi_ioctl, 0xfa84e5b1, "_gpl");
SYMBOL_CRC(ata_scsi_ioctl, 0xf4d247e9, "_gpl");
SYMBOL_CRC(ata_scsi_dma_need_drain, 0x2da976a0, "_gpl");
SYMBOL_CRC(ata_scsi_sdev_init, 0xf0f1a075, "_gpl");
SYMBOL_CRC(ata_scsi_sdev_configure, 0xf1b4ae8c, "_gpl");
SYMBOL_CRC(ata_scsi_sdev_destroy, 0x7448d54f, "_gpl");
SYMBOL_CRC(ata_scsi_queuecmd, 0xb9303cbb, "_gpl");
SYMBOL_CRC(__ata_ehi_push_desc, 0x350f4d3b, "_gpl");
SYMBOL_CRC(ata_ehi_push_desc, 0xa96ed2ce, "_gpl");
SYMBOL_CRC(ata_ehi_clear_desc, 0xbd0ae568, "_gpl");
SYMBOL_CRC(ata_port_desc, 0x9270b60c, "_gpl");
SYMBOL_CRC(ata_port_pbar_desc, 0xe1c37cfc, "_gpl");
SYMBOL_CRC(ata_scsi_cmd_error_handler, 0x32357c0f, "");
SYMBOL_CRC(ata_scsi_port_error_handler, 0x4c49fc9e, "_gpl");
SYMBOL_CRC(ata_port_wait_eh, 0x6cc7022f, "_gpl");
SYMBOL_CRC(ata_std_sched_eh, 0x1d14f74c, "_gpl");
SYMBOL_CRC(ata_std_end_eh, 0x82696ca4, "");
SYMBOL_CRC(ata_port_schedule_eh, 0xb0d87f16, "_gpl");
SYMBOL_CRC(ata_link_abort, 0x7bb6fd1e, "_gpl");
SYMBOL_CRC(ata_port_abort, 0x5d5ab87a, "_gpl");
SYMBOL_CRC(ata_port_freeze, 0x94f60fda, "_gpl");
SYMBOL_CRC(ata_eh_freeze_port, 0xc7dc024a, "_gpl");
SYMBOL_CRC(ata_dev_disable, 0x2b0fa0f0, "_gpl");
SYMBOL_CRC(ata_get_cmd_name, 0xbd06f3a9, "_gpl");
SYMBOL_CRC(ata_std_error_handler, 0xdbe2edf5, "_gpl");
SYMBOL_CRC(ata_tport_delete, 0x80f17f70, "_gpl");
SYMBOL_CRC(ata_tport_add, 0xf264fa56, "_gpl");
SYMBOL_CRC(ata_port_classify, 0x4384565a, "_gpl");
SYMBOL_CRC(sata_deb_timing_normal, 0x9371ea58, "_gpl");
SYMBOL_CRC(sata_deb_timing_hotplug, 0xbc79eb0b, "_gpl");
SYMBOL_CRC(sata_deb_timing_long, 0x06c98647, "_gpl");
SYMBOL_CRC(sata_scr_valid, 0x06b1ff2a, "_gpl");
SYMBOL_CRC(sata_scr_read, 0xff7606d9, "_gpl");
SYMBOL_CRC(sata_scr_write, 0x4ecaa2e0, "_gpl");
SYMBOL_CRC(sata_scr_write_flush, 0x9c0b25ae, "_gpl");
SYMBOL_CRC(ata_tf_to_fis, 0xdf0c757f, "_gpl");
SYMBOL_CRC(ata_tf_from_fis, 0xa4c085f8, "_gpl");
SYMBOL_CRC(sata_link_debounce, 0xe09ee40c, "_gpl");
SYMBOL_CRC(sata_link_resume, 0x75918f01, "_gpl");
SYMBOL_CRC(sata_link_scr_lpm, 0xd0a035aa, "_gpl");
SYMBOL_CRC(sata_set_spd, 0xe9c0b6df, "_gpl");
SYMBOL_CRC(sata_link_hardreset, 0xa60140fe, "_gpl");
SYMBOL_CRC(sata_std_hardreset, 0x2f032a17, "_gpl");
SYMBOL_CRC(ata_qc_complete_multiple, 0xeb8532b9, "_gpl");
SYMBOL_CRC(ata_slave_link_init, 0x2643e47b, "_gpl");
SYMBOL_CRC(sata_lpm_ignore_phy_events, 0x8f87cb11, "_gpl");
SYMBOL_CRC(dev_attr_link_power_management_policy, 0xe5cd5f10, "_gpl");
SYMBOL_CRC(ata_ncq_prio_supported, 0x6dd19d0f, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_supported, 0x240e7009, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enabled, 0x36137a3f, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enable, 0x31cbdb9b, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_enable, 0xd2a99031, "_gpl");
SYMBOL_CRC(ata_ncq_sdev_groups, 0xb9cdbc98, "_gpl");
SYMBOL_CRC(dev_attr_em_message, 0x4fb4a786, "_gpl");
SYMBOL_CRC(dev_attr_em_message_type, 0x0a8a57e2, "_gpl");
SYMBOL_CRC(dev_attr_sw_activity, 0x41b77fbf, "_gpl");
SYMBOL_CRC(ata_change_queue_depth, 0x54bb9e45, "_gpl");
SYMBOL_CRC(ata_scsi_change_queue_depth, 0x62f37f46, "_gpl");
SYMBOL_CRC(ata_sas_sdev_configure, 0x1126b4a2, "_gpl");
SYMBOL_CRC(ata_sas_queuecmd, 0x10714ca7, "_gpl");
SYMBOL_CRC(sata_async_notification, 0x9542b337, "_gpl");
SYMBOL_CRC(ata_eh_analyze_ncq_error, 0x4a170af3, "_gpl");
SYMBOL_CRC(sata_port_ops, 0xd21839d1, "_gpl");
SYMBOL_CRC(ata_sff_port_ops, 0x87eebfd3, "_gpl");
SYMBOL_CRC(ata_sff_check_status, 0xeedebfd9, "_gpl");
SYMBOL_CRC(ata_sff_pause, 0xf2a7fe97, "_gpl");
SYMBOL_CRC(ata_sff_dma_pause, 0x639987ed, "_gpl");
SYMBOL_CRC(ata_sff_wait_ready, 0xb6206998, "_gpl");
SYMBOL_CRC(ata_sff_dev_select, 0xfc11abc4, "_gpl");
SYMBOL_CRC(ata_sff_irq_on, 0xd39deeae, "_gpl");
SYMBOL_CRC(ata_sff_tf_load, 0xa284780f, "_gpl");
SYMBOL_CRC(ata_sff_tf_read, 0x8f303a1d, "_gpl");
SYMBOL_CRC(ata_sff_exec_command, 0x6cb07f3d, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer, 0xf782c18a, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer32, 0xecdb5df2, "_gpl");
SYMBOL_CRC(ata_sff_hsm_move, 0xf019b471, "_gpl");
SYMBOL_CRC(ata_sff_queue_work, 0xa6b06f65, "_gpl");
SYMBOL_CRC(ata_sff_queue_delayed_work, 0x4e17c613, "_gpl");
SYMBOL_CRC(ata_sff_queue_pio_task, 0x2cecac7a, "_gpl");
SYMBOL_CRC(ata_sff_qc_issue, 0xa18d37dd, "_gpl");
SYMBOL_CRC(ata_sff_qc_fill_rtf, 0x9d710185, "_gpl");
SYMBOL_CRC(ata_sff_port_intr, 0xb15379a6, "_gpl");
SYMBOL_CRC(ata_sff_interrupt, 0x3a4f6a32, "_gpl");
SYMBOL_CRC(ata_sff_lost_interrupt, 0x1c26a796, "_gpl");
SYMBOL_CRC(ata_sff_freeze, 0x0725c3b9, "_gpl");
SYMBOL_CRC(ata_sff_thaw, 0x7cbde67d, "_gpl");
SYMBOL_CRC(ata_sff_prereset, 0x426e59ba, "_gpl");
SYMBOL_CRC(ata_sff_dev_classify, 0x33d37c00, "_gpl");
SYMBOL_CRC(ata_sff_wait_after_reset, 0x4dfc8416, "_gpl");
SYMBOL_CRC(ata_sff_softreset, 0x967dbd44, "_gpl");
SYMBOL_CRC(sata_sff_hardreset, 0xaacacf18, "_gpl");
SYMBOL_CRC(ata_sff_postreset, 0xd5ce9baa, "_gpl");
SYMBOL_CRC(ata_sff_drain_fifo, 0x98c061bb, "_gpl");
SYMBOL_CRC(ata_sff_error_handler, 0x264b5c84, "_gpl");
SYMBOL_CRC(ata_sff_std_ports, 0x73a48b4a, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_host, 0x49d7dfd0, "_gpl");
SYMBOL_CRC(ata_pci_sff_prepare_host, 0x440190c6, "_gpl");
SYMBOL_CRC(ata_pci_sff_activate_host, 0x7fcd71c8, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_one, 0x2eb41c2c, "_gpl");
SYMBOL_CRC(ata_bmdma_port_ops, 0x5fb48d39, "_gpl");
SYMBOL_CRC(ata_bmdma32_port_ops, 0xd519e7b3, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_prep, 0xaecdb168, "_gpl");
SYMBOL_CRC(ata_bmdma_dumb_qc_prep, 0x29fc51c2, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_issue, 0x6a4abfcf, "_gpl");
SYMBOL_CRC(ata_bmdma_port_intr, 0x9c4fa615, "_gpl");
SYMBOL_CRC(ata_bmdma_interrupt, 0xe818b32b, "_gpl");
SYMBOL_CRC(ata_bmdma_error_handler, 0x8c71fa2b, "_gpl");
SYMBOL_CRC(ata_bmdma_post_internal_cmd, 0x428967b0, "_gpl");
SYMBOL_CRC(ata_bmdma_irq_clear, 0x06c4434b, "_gpl");
SYMBOL_CRC(ata_bmdma_setup, 0x2d32c249, "_gpl");
SYMBOL_CRC(ata_bmdma_start, 0xc85fdc73, "_gpl");
SYMBOL_CRC(ata_bmdma_stop, 0x585bb793, "_gpl");
SYMBOL_CRC(ata_bmdma_status, 0x48abaa8c, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start, 0xd788f8eb, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start32, 0x57e982ec, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_clear_simplex, 0x312a46cb, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init, 0x5434791a, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_prepare_host, 0x1c32e461, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init_one, 0x9c0f8629, "_gpl");
SYMBOL_CRC(sata_pmp_port_ops, 0xcff709ef, "_gpl");
SYMBOL_CRC(sata_pmp_qc_defer_cmd_switch, 0xe0704895, "_gpl");
SYMBOL_CRC(sata_pmp_error_handler, 0x527fd513, "_gpl");
SYMBOL_CRC(ata_acpi_gtm, 0x8ac0bf20, "_gpl");
SYMBOL_CRC(ata_acpi_stm, 0xc506bde5, "_gpl");
SYMBOL_CRC(ata_acpi_gtm_xfermask, 0x096734ad, "_gpl");
SYMBOL_CRC(ata_acpi_cbl_80wire, 0x2458964f, "_gpl");
SYMBOL_CRC(ata_timing_merge, 0xf6e874f5, "_gpl");
SYMBOL_CRC(ata_timing_find_mode, 0xd2b10a05, "_gpl");
SYMBOL_CRC(ata_timing_compute, 0x30e1d278, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xab0eb898, "scsi_device_set_state" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x3ab7b1cc, "scsi_set_sense_field_pointer" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x2123f09b, "pci_read_config_dword" },
	{ 0x6cbf70a9, "transport_setup_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8f008bf7, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x45ee0529, "put_device" },
	{ 0x172eda11, "devm_free_irq" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x5009c71d, "glob_match" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf1dc205d, "scsi_eh_finish_cmd" },
	{ 0xc6cbbc89, "capable" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7707036e, "scsi_device_put" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0x9325f7fe, "pcim_iomap_regions" },
	{ 0xcb629113, "kobject_uevent_env" },
	{ 0x9c034d8b, "sg_miter_next" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x49608959, "migrate_disable" },
	{ 0x33719327, "_dev_err" },
	{ 0x94279677, "scsi_host_put" },
	{ 0x4e40fe96, "transport_class_unregister" },
	{ 0x3d44dcd8, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x24d273d1, "add_timer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x339a3055, "sdev_enable_disk_events" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x1636cab8, "attribute_container_register" },
	{ 0x2b8216f, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x58145b6e, "__devres_alloc_node" },
	{ 0xfae0ff0a, "sg_miter_stop" },
	{ 0x62173924, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xf1b61c1e, "device_link_remove" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x10119bb, "ida_free" },
	{ 0x13f42152, "system_entering_hibernation" },
	{ 0x1d773587, "transport_configure_device" },
	{ 0x6dab0d21, "devres_open_group" },
	{ 0xea079252, "scsi_resume_device" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbb8f2d7a, "pcim_pin_device" },
	{ 0xf441a43a, "transport_add_device" },
	{ 0xeeea9156, "sg_miter_start" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x93022ba6, "__scsi_format_command" },
	{ 0xef211625, "pci_restore_state" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0x2e9c96c7, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb19b445, "ioread8" },
	{ 0x5b163da2, "scsi_rescan_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xa024d28d, "param_ops_string" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0x56e76cc9, "devm_kasprintf" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x73c3bfab, "pm_runtime_forbid" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xa498a4fd, "attribute_container_unregister" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x92a95b69, "scsi_execute_cmd" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf26146f4, "transport_destroy_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1029bc13, "acpi_initialize_hp_context" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0x68957e6a, "scsi_done" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x11e6ecb, "dma_unmap_sg_attrs" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xcdf837bf, "pcim_iomap_table" },
	{ 0x72a646ed, "scsi_remove_device" },
	{ 0x31dfe15f, "blk_abort_request" },
	{ 0xcfcc8304, "scsi_add_host_with_dma" },
	{ 0x57ac7e36, "set_primary_fwnode" },
	{ 0xad82bbd2, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xf80797cf, "_dev_printk" },
	{ 0x8ceed316, "dev_pm_qos_expose_flags" },
	{ 0xe3d14983, "pcim_enable_device" },
	{ 0x8c644909, "scsi_host_alloc" },
	{ 0x349cba85, "strchr" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x915a5d5d, "__scsi_add_device" },
	{ 0xed0fefc, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x9748032d, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x7ae9b294, "acpi_pm_set_device_wakeup" },
	{ 0x835e057b, "pci_bus_type" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x3f166ba5, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x37bdfb4, "transport_class_register" },
	{ 0x4fca9753, "pci_save_state" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x7a81541b, "async_synchronize_cookie" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x41117eb8, "acpi_pm_device_sleep_state" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x212068f0, "devres_release_group" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x3ad908fa, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x4d410798, "devres_remove_group" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6749cd3f, "dmam_alloc_attrs" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x5334e5c8, "scsi_remove_host" },
	{ 0x41eeb0d3, "transport_remove_device" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x2d66d778, "scsi_build_sense" },
	{ 0x3154b62e, "scsi_schedule_eh" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3815f35, "ledtrig_disk_activity" },
	{ 0xf7370f56, "system_state" },
	{ 0x11af771c, "scsi_check_sense" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x9612cd5b, "prepare_to_wait" },
	{ 0x5080cca8, "sdev_evt_send_simple" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x10d9f885, "scsi_sense_desc_find" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x68e801b6, "pci_set_power_state" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x61ba5538, "sdev_disable_disk_events" },
	{ 0x67098dda, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,scsi_common");


MODULE_INFO(srcversion, "734FB3ECF5BF2AF1E3F0596");

MODULE_INFO(suserelease, "SLFO-1.2");
