#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(btmrvl_interrupt, "_gpl", "");
KSYMTAB_FUNC(btmrvl_check_evtpkt, "_gpl", "");
KSYMTAB_FUNC(btmrvl_process_event, "_gpl", "");
KSYMTAB_FUNC(btmrvl_send_module_cfg_cmd, "_gpl", "");
KSYMTAB_FUNC(btmrvl_pscan_window_reporting, "_gpl", "");
KSYMTAB_FUNC(btmrvl_send_hscfg_cmd, "_gpl", "");
KSYMTAB_FUNC(btmrvl_enable_ps, "_gpl", "");
KSYMTAB_FUNC(btmrvl_enable_hs, "_gpl", "");
KSYMTAB_FUNC(btmrvl_register_hdev, "_gpl", "");
KSYMTAB_FUNC(btmrvl_add_card, "_gpl", "");
KSYMTAB_FUNC(btmrvl_remove_card, "_gpl", "");

SYMBOL_CRC(btmrvl_interrupt, 0xa08fbe06, "_gpl");
SYMBOL_CRC(btmrvl_check_evtpkt, 0xc7b39aff, "_gpl");
SYMBOL_CRC(btmrvl_process_event, 0x559dcc13, "_gpl");
SYMBOL_CRC(btmrvl_send_module_cfg_cmd, 0xd2a612e6, "_gpl");
SYMBOL_CRC(btmrvl_pscan_window_reporting, 0x068d4f2b, "_gpl");
SYMBOL_CRC(btmrvl_send_hscfg_cmd, 0xfbd33479, "_gpl");
SYMBOL_CRC(btmrvl_enable_ps, 0x3b754fc6, "_gpl");
SYMBOL_CRC(btmrvl_enable_hs, 0x5c8c29b5, "_gpl");
SYMBOL_CRC(btmrvl_register_hdev, 0x850eebaf, "_gpl");
SYMBOL_CRC(btmrvl_add_card, 0xa37d2934, "_gpl");
SYMBOL_CRC(btmrvl_remove_card, 0x96038d78, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0x310e3a08, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x52978850, "simple_open" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x59e03780, "skb_push" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0xd960722a, "kthread_stop" },
	{ 0x84b783, "default_llseek" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x2505bf18, "kstrtol_from_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x832c88dc, "debugfs_create_x16" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0xa8c2dbb9, "hci_unregister_dev" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0xb2814643, "hci_register_dev" },
	{ 0xcc606390, "__hci_cmd_sync" },
	{ 0x7cc52843, "debugfs_create_u8" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x3131f672, "skb_queue_head" },
	{ 0xd0e342b5, "skb_put" },
	{ 0xdd8ed7ef, "hci_free_dev" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x26a4e37d, "hci_alloc_dev_priv" },
	{ 0x37a0cba, "kfree" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "bluetooth");


MODULE_INFO(srcversion, "4DAA8C2DB56C352B9807349");

MODULE_INFO(suserelease, "SLFO-1.2");
