#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hci_uart_tx_wakeup, "_gpl", "");
KSYMTAB_FUNC(hci_uart_register_device_priv, "_gpl", "");
KSYMTAB_FUNC(hci_uart_unregister_device, "_gpl", "");
KSYMTAB_FUNC(h4_recv_buf, "_gpl", "");

SYMBOL_CRC(hci_uart_tx_wakeup, 0x832b2fdc, "_gpl");
SYMBOL_CRC(hci_uart_register_device_priv, 0xe9ce724b, "_gpl");
SYMBOL_CRC(hci_uart_unregister_device, 0x4e9980b7, "_gpl");
SYMBOL_CRC(h4_recv_buf, 0xd6991b7c, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0x4b2a5e0b, "desc_to_gpio" },
	{ 0x6bfeb7ac, "hci_recv_frame" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x3c41db58, "qca_read_soc_version" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x3e338cb, "serdev_device_close" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x95517964, "devm_gpiod_get" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x986ff2bf, "__percpu_down_read" },
	{ 0xff81487d, "gpiod_remove_lookup_table" },
	{ 0x2bf5c5da, "btbcm_write_pcm_int_params" },
	{ 0xc58ca40c, "btbcm_set_bdaddr" },
	{ 0x9cc3cb55, "tty_unthrottle" },
	{ 0xedb68d44, "hci_reset_dev" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x58842859, "btbcm_check_bdaddr" },
	{ 0x965a246d, "skb_pull_data" },
	{ 0x3c41cf91, "rcuwait_wake_up" },
	{ 0xd4d9c646, "acpi_dev_get_property" },
	{ 0xc684d9df, "regulator_disable" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0x41e83d18, "qca_set_bdaddr_rome" },
	{ 0xbefec929, "__pm_runtime_suspend" },
	{ 0xb2814643, "hci_register_dev" },
	{ 0x4bd51db1, "qca_set_bdaddr" },
	{ 0x214e4265, "bt_warn" },
	{ 0x473c64b6, "__pm_runtime_use_autosuspend" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0xb1bd818a, "btintel_enter_mfg" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xcc606390, "__hci_cmd_sync" },
	{ 0x7cc52843, "debugfs_create_u8" },
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xbe8cd15c, "devm_clk_get_optional_enabled_with_rate" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x167cf624, "hci_devcd_abort" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0x7a5ac7ed, "hci_recv_diag" },
	{ 0x3131f672, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x692bed4, "percpu_free_rwsem" },
	{ 0x20b835f4, "gpiod_get_value_cansleep" },
	{ 0x5c53ae43, "tty_set_termios" },
	{ 0x5ed6577, "regulator_enable" },
	{ 0x149eb2a8, "device_property_present" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0xfecdcb5b, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0xc168a000, "percpu_down_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x51836a8c, "gpiod_set_value" },
	{ 0x4bfb61e4, "tty_register_ldisc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbc5a30bc, "serdev_device_set_baudrate" },
	{ 0x5ad12e30, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xdd8ed7ef, "hci_free_dev" },
	{ 0xa79728d8, "platform_get_irq" },
	{ 0x651df42, "btintel_check_bdaddr" },
	{ 0x5f87091b, "btbcm_finalize" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd69a32bc, "btrtl_download_firmware" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0xa7ab3e7c, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xfc206d1b, "btintel_send_intel_reset" },
	{ 0xe77e7772, "nvmem_cell_get" },
	{ 0x2927e8c6, "gpiod_set_value_cansleep" },
	{ 0x95306438, "devm_pwrseq_get" },
	{ 0x2476a690, "request_firmware" },
	{ 0x1cb01bd0, "btintel_download_firmware" },
	{ 0x93c5da20, "btbcm_initialize" },
	{ 0x42515f88, "serdev_device_set_flow_control" },
	{ 0x88f0de38, "btrtl_initialize" },
	{ 0xba0a72d1, "gpiod_to_irq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x26a4e37d, "hci_alloc_dev_priv" },
	{ 0xb58d76a7, "btintel_read_version" },
	{ 0x37a0cba, "kfree" },
	{ 0x11c6b958, "qca_send_pre_shutdown_cmd" },
	{ 0x818b34ae, "serdev_device_open" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x7964ebe0, "btintel_version_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x20aec938, "dev_kfree_skb_irq_reason" },
	{ 0x22d50cc, "devm_gpiod_get_optional" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x90fe8bbd, "__module_get" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x1a2f220, "get_device" },
	{ 0x64279de8, "btintel_set_bdaddr" },
	{ 0x42afbbe8, "hci_devcd_init" },
	{ 0xb0e48583, "hci_devcd_append_pattern" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x72af6dd5, "serdev_device_set_parity" },
	{ 0x701e06df, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x310e3a08, "skb_queue_purge_reason" },
	{ 0xcac2611d, "hci_devcd_complete" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xef96dfaf, "acpi_dev_get_resources" },
	{ 0xaf78f260, "btrtl_free" },
	{ 0xa7f7c0af, "device_reprobe" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x809bb19b, "pwrseq_power_on" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa9102c9f, "btrtl_get_uart_settings" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x45ee0529, "put_device" },
	{ 0x172eda11, "devm_free_irq" },
	{ 0xbd948af2, "tty_driver_flush_buffer" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0xe9885f1c, "btintel_exit_mfg" },
	{ 0xa916b694, "strnlen" },
	{ 0xca3fe8c9, "pwrseq_power_off" },
	{ 0x3744abfc, "btintel_set_diag" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0xb5614da2, "regulator_bulk_disable" },
	{ 0xf40c71a7, "device_property_read_u32_array" },
	{ 0x9b447f0e, "devm_regulator_get" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb48f8bd5, "__hci_cmd_sync_status" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x8b149c36, "clk_is_match" },
	{ 0xc6cbbc89, "capable" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x6857cc3d, "module_put" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x462c439c, "device_wakeup_disable" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xebe2e16a, "btbcm_read_pcm_int_params" },
	{ 0x420a4d9, "percpu_up_write" },
	{ 0xbe4d2917, "regulator_set_load" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xb152ec2b, "devm_acpi_dev_add_driver_gpios" },
	{ 0x33719327, "_dev_err" },
	{ 0xf1347464, "device_wakeup_enable" },
	{ 0xcfe8571b, "debugfs_create_bool" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x330ba121, "device_property_read_u8_array" },
	{ 0xff4ab208, "devm_clk_put" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x8e15041d, "serdev_device_write_flush" },
	{ 0x69d4de52, "serdev_device_get_tiocm" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcec4fb63, "out_of_line_wait_on_bit_timeout" },
	{ 0x9b22d216, "irq_get_irq_data" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xac7dc499, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe640d1ef, "btrtl_set_quirks" },
	{ 0x59e03780, "skb_push" },
	{ 0x5d95a7f6, "btintel_load_ddc_config" },
	{ 0xe3482bef, "n_tty_ioctl_helper" },
	{ 0xb3a2275e, "debugfs_create_u64" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0x7b5ce5c3, "baswap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcef411d6, "btintel_set_event_mask_mfg" },
	{ 0x7de71d36, "tty_ldisc_flush" },
	{ 0x1112377, "__percpu_init_rwsem" },
	{ 0x12b00b67, "__hci_cmd_send" },
	{ 0xb7027cb0, "serdev_device_wait_until_sent" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x7ea7d1c5, "__serdev_device_driver_register" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x58091021, "qca_uart_setup" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xbe36cce2, "hci_devcd_register" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xd5a1cec0, "device_get_match_data" },
	{ 0x25ef49f8, "hci_devcd_append" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce3ecac6, "debugfs_create_u32" },
	{ 0x14ae496b, "acpi_match_device" },
	{ 0x47e13445, "serdev_device_set_tiocm" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x718b8b7, "bt_info" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xbb025590, "regulator_bulk_enable" },
	{ 0x2c708545, "devm_regulator_bulk_get" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0xc904d05, "btintel_read_boot_params" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xce3fddba, "serdev_device_write_buf" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2119db44, "tty_unregister_ldisc" },
	{ 0x7ccaa77e, "__platform_driver_register" },
	{ 0x89a9f940, "devm_clk_get_optional" },
	{ 0xc5572027, "__hci_cmd_sync_ev" },
	{ 0xa8c2dbb9, "hci_unregister_dev" },
	{ 0x38aa1397, "gpiod_add_lookup_table" },
	{ 0x29dd4a3c, "bit_wait_timeout" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,btqca,btbcm,btintel,btrtl,pwrseq-core");

MODULE_ALIAS("of:N*T*Cti,cc2560");
MODULE_ALIAS("of:N*T*Cti,cc2560C*");
MODULE_ALIAS("of:N*T*Cti,wl1271-st");
MODULE_ALIAS("of:N*T*Cti,wl1271-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1273-st");
MODULE_ALIAS("of:N*T*Cti,wl1273-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1281-st");
MODULE_ALIAS("of:N*T*Cti,wl1281-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1283-st");
MODULE_ALIAS("of:N*T*Cti,wl1283-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1285-st");
MODULE_ALIAS("of:N*T*Cti,wl1285-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1801-st");
MODULE_ALIAS("of:N*T*Cti,wl1801-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1805-st");
MODULE_ALIAS("of:N*T*Cti,wl1805-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1807-st");
MODULE_ALIAS("of:N*T*Cti,wl1807-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1831-st");
MODULE_ALIAS("of:N*T*Cti,wl1831-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1835-st");
MODULE_ALIAS("of:N*T*Cti,wl1835-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1837-st");
MODULE_ALIAS("of:N*T*Cti,wl1837-stC*");
MODULE_ALIAS("of:N*T*Camlogic,w155s2-bt");
MODULE_ALIAS("of:N*T*Camlogic,w155s2-btC*");
MODULE_ALIAS("of:N*T*Camlogic,w265s2-bt");
MODULE_ALIAS("of:N*T*Camlogic,w265s2-btC*");
MODULE_ALIAS("acpi*:QCOM2066:*");
MODULE_ALIAS("acpi*:QCOM6390:*");
MODULE_ALIAS("acpi*:DLA16390:*");
MODULE_ALIAS("acpi*:DLB16390:*");
MODULE_ALIAS("acpi*:DLB26390:*");
MODULE_ALIAS("of:N*T*Cmrvl,88w8897");
MODULE_ALIAS("of:N*T*Cmrvl,88w8897C*");
MODULE_ALIAS("of:N*T*Cmrvl,88w8997");
MODULE_ALIAS("of:N*T*Cmrvl,88w8997C*");
MODULE_ALIAS("acpi*:BCM2E00:*");
MODULE_ALIAS("acpi*:BCM2E01:*");
MODULE_ALIAS("acpi*:BCM2E02:*");
MODULE_ALIAS("acpi*:BCM2E03:*");
MODULE_ALIAS("acpi*:BCM2E04:*");
MODULE_ALIAS("acpi*:BCM2E05:*");
MODULE_ALIAS("acpi*:BCM2E06:*");
MODULE_ALIAS("acpi*:BCM2E07:*");
MODULE_ALIAS("acpi*:BCM2E08:*");
MODULE_ALIAS("acpi*:BCM2E09:*");
MODULE_ALIAS("acpi*:BCM2E0A:*");
MODULE_ALIAS("acpi*:BCM2E0B:*");
MODULE_ALIAS("acpi*:BCM2E0C:*");
MODULE_ALIAS("acpi*:BCM2E0D:*");
MODULE_ALIAS("acpi*:BCM2E0E:*");
MODULE_ALIAS("acpi*:BCM2E0F:*");
MODULE_ALIAS("acpi*:BCM2E10:*");
MODULE_ALIAS("acpi*:BCM2E11:*");
MODULE_ALIAS("acpi*:BCM2E12:*");
MODULE_ALIAS("acpi*:BCM2E13:*");
MODULE_ALIAS("acpi*:BCM2E14:*");
MODULE_ALIAS("acpi*:BCM2E15:*");
MODULE_ALIAS("acpi*:BCM2E16:*");
MODULE_ALIAS("acpi*:BCM2E17:*");
MODULE_ALIAS("acpi*:BCM2E18:*");
MODULE_ALIAS("acpi*:BCM2E19:*");
MODULE_ALIAS("acpi*:BCM2E1A:*");
MODULE_ALIAS("acpi*:BCM2E1B:*");
MODULE_ALIAS("acpi*:BCM2E1C:*");
MODULE_ALIAS("acpi*:BCM2E1D:*");
MODULE_ALIAS("acpi*:BCM2E1F:*");
MODULE_ALIAS("acpi*:BCM2E20:*");
MODULE_ALIAS("acpi*:BCM2E21:*");
MODULE_ALIAS("acpi*:BCM2E22:*");
MODULE_ALIAS("acpi*:BCM2E23:*");
MODULE_ALIAS("acpi*:BCM2E24:*");
MODULE_ALIAS("acpi*:BCM2E25:*");
MODULE_ALIAS("acpi*:BCM2E26:*");
MODULE_ALIAS("acpi*:BCM2E27:*");
MODULE_ALIAS("acpi*:BCM2E28:*");
MODULE_ALIAS("acpi*:BCM2E29:*");
MODULE_ALIAS("acpi*:BCM2E2A:*");
MODULE_ALIAS("acpi*:BCM2E2B:*");
MODULE_ALIAS("acpi*:BCM2E2C:*");
MODULE_ALIAS("acpi*:BCM2E2D:*");
MODULE_ALIAS("acpi*:BCM2E2E:*");
MODULE_ALIAS("acpi*:BCM2E2F:*");
MODULE_ALIAS("acpi*:BCM2E30:*");
MODULE_ALIAS("acpi*:BCM2E31:*");
MODULE_ALIAS("acpi*:BCM2E32:*");
MODULE_ALIAS("acpi*:BCM2E33:*");
MODULE_ALIAS("acpi*:BCM2E34:*");
MODULE_ALIAS("acpi*:BCM2E35:*");
MODULE_ALIAS("acpi*:BCM2E36:*");
MODULE_ALIAS("acpi*:BCM2E37:*");
MODULE_ALIAS("acpi*:BCM2E38:*");
MODULE_ALIAS("acpi*:BCM2E39:*");
MODULE_ALIAS("acpi*:BCM2E3A:*");
MODULE_ALIAS("acpi*:BCM2E3B:*");
MODULE_ALIAS("acpi*:BCM2E3C:*");
MODULE_ALIAS("acpi*:BCM2E3D:*");
MODULE_ALIAS("acpi*:BCM2E3E:*");
MODULE_ALIAS("acpi*:BCM2E3F:*");
MODULE_ALIAS("acpi*:BCM2E40:*");
MODULE_ALIAS("acpi*:BCM2E41:*");
MODULE_ALIAS("acpi*:BCM2E42:*");
MODULE_ALIAS("acpi*:BCM2E43:*");
MODULE_ALIAS("acpi*:BCM2E44:*");
MODULE_ALIAS("acpi*:BCM2E45:*");
MODULE_ALIAS("acpi*:BCM2E46:*");
MODULE_ALIAS("acpi*:BCM2E47:*");
MODULE_ALIAS("acpi*:BCM2E48:*");
MODULE_ALIAS("acpi*:BCM2E49:*");
MODULE_ALIAS("acpi*:BCM2E4A:*");
MODULE_ALIAS("acpi*:BCM2E4B:*");
MODULE_ALIAS("acpi*:BCM2E4C:*");
MODULE_ALIAS("acpi*:BCM2E4D:*");
MODULE_ALIAS("acpi*:BCM2E4E:*");
MODULE_ALIAS("acpi*:BCM2E4F:*");
MODULE_ALIAS("acpi*:BCM2E50:*");
MODULE_ALIAS("acpi*:BCM2E51:*");
MODULE_ALIAS("acpi*:BCM2E52:*");
MODULE_ALIAS("acpi*:BCM2E53:*");
MODULE_ALIAS("acpi*:BCM2E54:*");
MODULE_ALIAS("acpi*:BCM2E55:*");
MODULE_ALIAS("acpi*:BCM2E56:*");
MODULE_ALIAS("acpi*:BCM2E57:*");
MODULE_ALIAS("acpi*:BCM2E58:*");
MODULE_ALIAS("acpi*:BCM2E59:*");
MODULE_ALIAS("acpi*:BCM2E5A:*");
MODULE_ALIAS("acpi*:BCM2E5B:*");
MODULE_ALIAS("acpi*:BCM2E5C:*");
MODULE_ALIAS("acpi*:BCM2E5D:*");
MODULE_ALIAS("acpi*:BCM2E5E:*");
MODULE_ALIAS("acpi*:BCM2E5F:*");
MODULE_ALIAS("acpi*:BCM2E60:*");
MODULE_ALIAS("acpi*:BCM2E61:*");
MODULE_ALIAS("acpi*:BCM2E62:*");
MODULE_ALIAS("acpi*:BCM2E63:*");
MODULE_ALIAS("acpi*:BCM2E64:*");
MODULE_ALIAS("acpi*:BCM2E65:*");
MODULE_ALIAS("acpi*:BCM2E66:*");
MODULE_ALIAS("acpi*:BCM2E67:*");
MODULE_ALIAS("acpi*:BCM2E68:*");
MODULE_ALIAS("acpi*:BCM2E69:*");
MODULE_ALIAS("acpi*:BCM2E6B:*");
MODULE_ALIAS("acpi*:BCM2E6D:*");
MODULE_ALIAS("acpi*:BCM2E6E:*");
MODULE_ALIAS("acpi*:BCM2E6F:*");
MODULE_ALIAS("acpi*:BCM2E70:*");
MODULE_ALIAS("acpi*:BCM2E71:*");
MODULE_ALIAS("acpi*:BCM2E72:*");
MODULE_ALIAS("acpi*:BCM2E73:*");
MODULE_ALIAS("acpi*:BCM2E74:*");
MODULE_ALIAS("acpi*:BCM2E75:*");
MODULE_ALIAS("acpi*:BCM2E76:*");
MODULE_ALIAS("acpi*:BCM2E77:*");
MODULE_ALIAS("acpi*:BCM2E78:*");
MODULE_ALIAS("acpi*:BCM2E79:*");
MODULE_ALIAS("acpi*:BCM2E7A:*");
MODULE_ALIAS("acpi*:BCM2E7B:*");
MODULE_ALIAS("acpi*:BCM2E7C:*");
MODULE_ALIAS("acpi*:BCM2E7D:*");
MODULE_ALIAS("acpi*:BCM2E7E:*");
MODULE_ALIAS("acpi*:BCM2E7F:*");
MODULE_ALIAS("acpi*:BCM2E80:*");
MODULE_ALIAS("acpi*:BCM2E81:*");
MODULE_ALIAS("acpi*:BCM2E82:*");
MODULE_ALIAS("acpi*:BCM2E83:*");
MODULE_ALIAS("acpi*:BCM2E84:*");
MODULE_ALIAS("acpi*:BCM2E85:*");
MODULE_ALIAS("acpi*:BCM2E86:*");
MODULE_ALIAS("acpi*:BCM2E87:*");
MODULE_ALIAS("acpi*:BCM2E88:*");
MODULE_ALIAS("acpi*:BCM2E89:*");
MODULE_ALIAS("acpi*:BCM2E8A:*");
MODULE_ALIAS("acpi*:BCM2E8B:*");
MODULE_ALIAS("acpi*:BCM2E8C:*");
MODULE_ALIAS("acpi*:BCM2E8D:*");
MODULE_ALIAS("acpi*:BCM2E8E:*");
MODULE_ALIAS("acpi*:BCM2E90:*");
MODULE_ALIAS("acpi*:BCM2E92:*");
MODULE_ALIAS("acpi*:BCM2E93:*");
MODULE_ALIAS("acpi*:BCM2E94:*");
MODULE_ALIAS("acpi*:BCM2E95:*");
MODULE_ALIAS("acpi*:BCM2E96:*");
MODULE_ALIAS("acpi*:BCM2E97:*");
MODULE_ALIAS("acpi*:BCM2E98:*");
MODULE_ALIAS("acpi*:BCM2E99:*");
MODULE_ALIAS("acpi*:BCM2E9A:*");
MODULE_ALIAS("acpi*:BCM2E9B:*");
MODULE_ALIAS("acpi*:BCM2E9C:*");
MODULE_ALIAS("acpi*:BCM2E9D:*");
MODULE_ALIAS("acpi*:BCM2E9F:*");
MODULE_ALIAS("acpi*:BCM2EA0:*");
MODULE_ALIAS("acpi*:BCM2EA1:*");
MODULE_ALIAS("acpi*:BCM2EA2:*");
MODULE_ALIAS("acpi*:BCM2EA3:*");
MODULE_ALIAS("acpi*:BCM2EA4:*");
MODULE_ALIAS("acpi*:BCM2EA5:*");
MODULE_ALIAS("acpi*:BCM2EA6:*");
MODULE_ALIAS("acpi*:BCM2EA7:*");
MODULE_ALIAS("acpi*:BCM2EA8:*");
MODULE_ALIAS("acpi*:BCM2EA9:*");
MODULE_ALIAS("acpi*:BCM2EAA:*");
MODULE_ALIAS("acpi*:BCM2EAB:*");
MODULE_ALIAS("acpi*:BCM2EAC:*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8822cs-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8822cs-btC*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723bs-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723bs-btC*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723cs-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723cs-btC*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723ds-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723ds-btC*");
MODULE_ALIAS("acpi*:INT33E1:*");
MODULE_ALIAS("acpi*:INT33E3:*");
MODULE_ALIAS("acpi*:OBDA0623:*");
MODULE_ALIAS("acpi*:OBDA8723:*");

MODULE_INFO(srcversion, "7D57B9E6AF6F0B8CDFB62DB");

MODULE_INFO(suserelease, "SLFO-1.2");
