#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ccp_present, "_gpl", "");
KSYMTAB_FUNC(ccp_version, "_gpl", "");
KSYMTAB_FUNC(ccp_enqueue_cmd, "_gpl", "");
KSYMTAB_FUNC(snp_alloc_firmware_page, "_gpl", "");
KSYMTAB_FUNC(snp_free_firmware_page, "_gpl", "");
KSYMTAB_FUNC(sev_do_cmd, "_gpl", "");
KSYMTAB_FUNC(sev_platform_init, "_gpl", "");
KSYMTAB_FUNC(psp_copy_user_blob, "_gpl", "");
KSYMTAB_FUNC(sev_platform_status, "_gpl", "");
KSYMTAB_FUNC(sev_guest_deactivate, "_gpl", "");
KSYMTAB_FUNC(sev_guest_activate, "_gpl", "");
KSYMTAB_FUNC(sev_guest_decommission, "_gpl", "");
KSYMTAB_FUNC(sev_guest_df_flush, "_gpl", "");
KSYMTAB_FUNC(sev_issue_cmd_external_user, "_gpl", "");
KSYMTAB_FUNC(psp_tee_process_cmd, "", "");
KSYMTAB_FUNC(psp_check_tee_status, "", "");
KSYMTAB_FUNC(psp_check_platform_access_status, "", "");
KSYMTAB_FUNC(psp_send_platform_access_msg, "_gpl", "");
KSYMTAB_FUNC(psp_ring_platform_doorbell, "_gpl", "");

SYMBOL_CRC(ccp_present, 0x04773b60, "_gpl");
SYMBOL_CRC(ccp_version, 0x3a1a3979, "_gpl");
SYMBOL_CRC(ccp_enqueue_cmd, 0x367c977c, "_gpl");
SYMBOL_CRC(snp_alloc_firmware_page, 0x832640c7, "_gpl");
SYMBOL_CRC(snp_free_firmware_page, 0x6da19b50, "_gpl");
SYMBOL_CRC(sev_do_cmd, 0x3e3b5766, "_gpl");
SYMBOL_CRC(sev_platform_init, 0x72f6bfcf, "_gpl");
SYMBOL_CRC(psp_copy_user_blob, 0x2e6a6147, "_gpl");
SYMBOL_CRC(sev_platform_status, 0x91722dce, "_gpl");
SYMBOL_CRC(sev_guest_deactivate, 0x4073e924, "_gpl");
SYMBOL_CRC(sev_guest_activate, 0x3e059f28, "_gpl");
SYMBOL_CRC(sev_guest_decommission, 0x843d6541, "_gpl");
SYMBOL_CRC(sev_guest_df_flush, 0x8fac14a2, "_gpl");
SYMBOL_CRC(sev_issue_cmd_external_user, 0x7234f74a, "_gpl");
SYMBOL_CRC(psp_tee_process_cmd, 0xaa04056c, "");
SYMBOL_CRC(psp_check_tee_status, 0x47d3c97f, "");
SYMBOL_CRC(psp_check_platform_access_status, 0x4a937398, "");
SYMBOL_CRC(psp_send_platform_access_msg, 0x8123d41a, "_gpl");
SYMBOL_CRC(psp_ring_platform_doorbell, 0x6ea40704, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5fbdd86f, "devm_kfree" },
	{ 0x33719327, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xea8985b0, "rmp_make_shared" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd960722a, "kthread_stop" },
	{ 0xb97cdcc9, "devm_get_free_pages" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x46b01ff5, "__tracepoint_write_msr" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xe54012d3, "misc_register" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0xe9baa2f2, "param_ops_charp" },
	{ 0x69368202, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x7c766934, "dmaengine_unmap_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0x14ae496b, "acpi_match_device" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x27ee5529, "dma_async_device_register" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x7ccaa77e, "__platform_driver_register" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0x56e76cc9, "devm_kasprintf" },
	{ 0xfc06c75f, "override_creds" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x758ad137, "_dev_notice" },
	{ 0x89d70369, "path_get" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x526336c8, "atomic_notifier_chain_unregister" },
	{ 0x1fa1d95c, "sha256_zero_message_hash" },
	{ 0x628d7765, "vfs_fsync" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5864e269, "rmp_make_private" },
	{ 0x3aa0c23a, "dma_async_tx_descriptor_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc1b9bf99, "filp_close" },
	{ 0x25db1577, "do_trace_write_msr" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0x797178ae, "pci_disable_msix" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x11e6ecb, "dma_unmap_sg_attrs" },
	{ 0xcdf837bf, "pcim_iomap_table" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xe3d14983, "pcim_enable_device" },
	{ 0x2158c3cc, "amd_iommu_snp_disable" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x53a61fba, "cc_platform_has" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x80a095d8, "scatterwalk_ffwd" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xdac9d797, "kernel_write" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0x3f166ba5, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd917c3f7, "devm_platform_ioremap_resource" },
	{ 0x7d5286b1, "revert_creds" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbca03f0, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x5c249a89, "dma_pool_create" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd0fd7085, "hwrng_unregister" },
	{ 0x98ce86d6, "firmware_request_nowarn" },
	{ 0x5ad12e30, "platform_driver_unregister" },
	{ 0x63f835ba, "on_each_cpu_cond_mask" },
	{ 0xca60ae3, "dma_async_device_unregister" },
	{ 0xa79728d8, "platform_get_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6749cd3f, "dmam_alloc_attrs" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0xb0455e84, "snp_leak_pages" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0xee126581, "pci_disable_msi" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xa810e9b3, "dma_release_channel" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x8d7ceb72, "path_put" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xe0c4e14d, "hwrng_register" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x2b58f1b0, "devm_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0xb75c70e5, "panic_notifier_list" },
	{ 0x92997ed8, "_printk" },
	{ 0x7b5a4926, "sha1_zero_message_hash" },
	{ 0x946dd559, "sha224_zero_message_hash" },
	{ 0x163f0314, "platform_irq_count" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x31ff760, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x8f47e2dd, "pci_enable_msix_range" },
	{ 0x6963f605, "file_open_root" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8375762d, "__free_pages" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x6fbba800, "init_task" },
	{ 0x12bfdb89, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6bc4fb41, "dma_run_dependencies" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x60b2dc00, "device_get_dma_attr" },
	{ 0x9325f7fe, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x981ce084, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x27a9a4cd, "pci_enable_msi" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Camd,ccp-seattle-v1a");
MODULE_ALIAS("of:N*T*Camd,ccp-seattle-v1aC*");
MODULE_ALIAS("acpi*:AMDI0C00:*");
MODULE_ALIAS("pci:v00001022d00001537sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001456sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001468sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001486sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000015DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000014CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000015C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001649sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001134sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000017E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d0000156Esv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "CFD3E7470C53FE3D45F9549");

MODULE_INFO(suserelease, "SLFO-1.2");
