#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(remove_iaa_compression_mode, "_gpl", "IDXD");
KSYMTAB_FUNC(add_iaa_compression_mode, "_gpl", "IDXD");

SYMBOL_CRC(remove_iaa_compression_mode, 0xafa66abb, "_gpl");
SYMBOL_CRC(add_iaa_compression_mode, 0x9318f4db, "_gpl");

MODULE_INFO(supported, "external");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8a1f3eca, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x87c8224c, "idxd_wq_quiesce" },
	{ 0x92997ed8, "_printk" },
	{ 0x4d55a42, "idxd_free_desc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe3ab63c8, "driver_create_file" },
	{ 0x6857cc3d, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xc4e02007, "idxd_drv_disable_wq" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6a5523ca, "__idxd_driver_register" },
	{ 0x9e571b9b, "debugfs_attr_read" },
	{ 0xc0ff936f, "simple_attr_release" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3eccbe2c, "__find_nth_bit" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x891dbb8f, "sgl_free_order" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x553ddbb0, "crypto_unregister_acomp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x911c8743, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x66ca9904, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0x8c5d3b55, "idxd_drv_enable_wq" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0xba9c6f6e, "crypto_register_acomp" },
	{ 0x55473fb7, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x11e6ecb, "dma_unmap_sg_attrs" },
	{ 0x754d539c, "strlen" },
	{ 0xc2cb862e, "sgl_alloc_order" },
	{ 0xd898659, "single_open" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x74ab7603, "idxd_driver_unregister" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x8d82a048, "idxd_alloc_desc" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x3f166ba5, "dma_map_sg_attrs" },
	{ 0x563866b5, "crypto_comp_decompress" },
	{ 0xdc0df056, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x640c8f92, "simple_attr_open" },
	{ 0x4040c3fb, "debugfs_attr_write" },
	{ 0x37b24e7c, "crypto_alloc_base" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x90bc8788, "driver_remove_file" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x2fc1aaa2, "idxd_submit_desc" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x9493fc86, "node_states" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "idxd,idxd_bus");


MODULE_INFO(srcversion, "DB739421D11F6AD0D49DB59");

MODULE_INFO(suserelease, "SLFO-1.2");
