#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dfl_fpga_port_ops_get, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_put, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_add, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_del, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_check_port_id, "_gpl", "");
KSYMTAB_FUNC(__dfl_driver_register, "", "");
KSYMTAB_FUNC(dfl_driver_unregister, "", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_uinit, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_init, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_register, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(dfh_find_param, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_alloc, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_free, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_dfl, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_irq, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_enumerate, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_remove, "_gpl", "");
KSYMTAB_FUNC(__dfl_fpga_cdev_find_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_release_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_assign_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_pf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_vf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_set_irq_triggers, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_get_num_irqs, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_set_irq, "_gpl", "");

SYMBOL_CRC(dfl_fpga_port_ops_get, 0xe4dbaef1, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0xa369e7a4, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0x95173a18, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0xb1385822, "_gpl");
SYMBOL_CRC(dfl_fpga_check_port_id, 0x4136b892, "_gpl");
SYMBOL_CRC(__dfl_driver_register, 0xcca6fe30, "");
SYMBOL_CRC(dfl_driver_unregister, 0x1547c7c4, "");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0x2d10fd6c, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0x8b7d4333, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0xdea4d73e, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0xc258a94d, "_gpl");
SYMBOL_CRC(dfh_find_param, 0xa6869e7b, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0x8f872cec, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0xb0621b16, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0x51cbefff, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0x64ec5bd5, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0x0290ad3d, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0x9555fc92, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port, 0x5fa7b4e6, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0x407b5e89, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0x0da247f7, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0xa98aa93f, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0xc9e0de1f, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0xcc7df3d6, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0xf0dfaac8, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0xbab77c8c, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdc0df056, "try_module_get" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x6857cc3d, "module_put" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0xc5e74216, "release_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0x10119bb, "ida_free" },
	{ 0xaf86b7d6, "cdev_init" },
	{ 0x56bbb810, "cdev_add" },
	{ 0xee672399, "cdev_del" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x1a2f220, "get_device" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x45ee0529, "put_device" },
	{ 0xf8226993, "devm_kmemdup" },
	{ 0x77358855, "iomem_resource" },
	{ 0x45021218, "__devm_request_region" },
	{ 0xc2c787a3, "devm_ioremap" },
	{ 0x33719327, "_dev_err" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x16136184, "bus_register" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xe78c1cdf, "idr_destroy" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5fbdd86f, "devm_kfree" },
	{ 0x343c8959, "device_unregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd917c3f7, "devm_platform_ioremap_resource" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x4f32143d, "device_initialize" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3d44dcd8, "device_add" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xd5b6a98b, "platform_device_del" },
	{ 0x9ac015b7, "platform_device_add" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x4bc59980, "platform_device_put" },
	{ 0x5b5d292e, "device_for_each_child" },
	{ 0x4e89f515, "fpga_region_unregister" },
	{ 0x2d3c134d, "platform_device_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xfc5dd970, "devm_ioremap_resource" },
	{ 0x22c2e717, "__fpga_region_register" },
	{ 0x8397d845, "devm_iounmap" },
	{ 0x8698f625, "__devm_release_region" },
	{ 0x26c55a44, "platform_device_alloc" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "50E5BCC174BDC5D715B8263");

MODULE_INFO(suserelease, "SLFO-1.2");
