#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fpga_image_info_alloc, "_gpl", "");
KSYMTAB_FUNC(fpga_image_info_free, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_load, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(of_fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_put, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_lock, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unlock, "_gpl", "");
KSYMTAB_FUNC(__fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(__fpga_mgr_register, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unregister, "_gpl", "");
KSYMTAB_FUNC(__devm_fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(__devm_fpga_mgr_register, "_gpl", "");

SYMBOL_CRC(fpga_image_info_alloc, 0xfedd7ea6, "_gpl");
SYMBOL_CRC(fpga_image_info_free, 0x226ada5e, "_gpl");
SYMBOL_CRC(fpga_mgr_load, 0x3a02133e, "_gpl");
SYMBOL_CRC(fpga_mgr_get, 0xc7686124, "_gpl");
SYMBOL_CRC(of_fpga_mgr_get, 0xc34096f6, "_gpl");
SYMBOL_CRC(fpga_mgr_put, 0x8807c45a, "_gpl");
SYMBOL_CRC(fpga_mgr_lock, 0x7b0eb862, "_gpl");
SYMBOL_CRC(fpga_mgr_unlock, 0x23339c74, "_gpl");
SYMBOL_CRC(__fpga_mgr_register_full, 0xa6f61e97, "_gpl");
SYMBOL_CRC(__fpga_mgr_register, 0x86172de8, "_gpl");
SYMBOL_CRC(fpga_mgr_unregister, 0x8c2896d6, "_gpl");
SYMBOL_CRC(__devm_fpga_mgr_register_full, 0x96e470d6, "_gpl");
SYMBOL_CRC(__devm_fpga_mgr_register, 0xa6766c8a, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1a2f220, "get_device" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x45ee0529, "put_device" },
	{ 0x5fbdd86f, "devm_kfree" },
	{ 0xeeea9156, "sg_miter_start" },
	{ 0x9c034d8b, "sg_miter_next" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfae0ff0a, "sg_miter_stop" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x33719327, "_dev_err" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x37a0cba, "kfree" },
	{ 0x10119bb, "ida_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd899e3da, "device_match_of_node" },
	{ 0x2ff2eaef, "class_find_device" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x6857cc3d, "module_put" },
	{ 0x82b5fad, "mutex_trylock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x343c8959, "device_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0xe99bba1f, "class_register" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0x754d539c, "strlen" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd6f020db, "device_register" },
	{ 0x58145b6e, "__devres_alloc_node" },
	{ 0x67098dda, "devres_add" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x1fbeaa23, "sg_miter_skip" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xebafee8d, "vmalloc_to_page" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x91cbbcc0, "sg_alloc_table_from_pages_segment" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2476a690, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BFF17D5F207ADE6D0FB5855");

MODULE_INFO(suserelease, "SLFO-1.2");
