#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(gnss_allocate_device, "_gpl", "");
KSYMTAB_FUNC(gnss_put_device, "_gpl", "");
KSYMTAB_FUNC(gnss_register_device, "_gpl", "");
KSYMTAB_FUNC(gnss_deregister_device, "_gpl", "");
KSYMTAB_FUNC(gnss_insert_raw, "_gpl", "");

SYMBOL_CRC(gnss_allocate_device, 0x2a52217c, "_gpl");
SYMBOL_CRC(gnss_put_device, 0xda252a42, "_gpl");
SYMBOL_CRC(gnss_register_device, 0xe965080e, "_gpl");
SYMBOL_CRC(gnss_deregister_device, 0xf92b00a8, "_gpl");
SYMBOL_CRC(gnss_insert_raw, 0x7ad2f904, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf3723554, "cdev_device_del" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x90e6a89, "class_destroy" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x1a2f220, "get_device" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f64df31, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45ee0529, "put_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x77f5bb81, "down_write" },
	{ 0x33719327, "_dev_err" },
	{ 0x264635e1, "up_write" },
	{ 0x54339162, "class_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x10119bb, "ida_free" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xa985aeff, "down_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2bcf0760, "stream_open" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xaf86b7d6, "cdev_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x173756c, "__init_rwsem" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4D44A467D6279B35DFFC3BC");

MODULE_INFO(suserelease, "SLFO-1.2");
