#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_scanout_buffer, "", "");

SYMBOL_CRC(drm_gem_dma_create, 0x3f29ea61, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0x441ed290, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0x53ca2166, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0xea35d1c9, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0xd0249da9, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x7b3dadae, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x8fa78024, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0xbcb92ba8, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0xd8fb48b5, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x02818406, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0xf5d768cd, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0xfaad48de, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0x0302894e, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0xe0733b0a, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x8eec7d07, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_scanout_buffer, 0x5881b407, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb12b09ba, "drm_client_framebuffer_delete" },
	{ 0x36a33e13, "dma_free_pages" },
	{ 0xee17c664, "drm_client_framebuffer_create" },
	{ 0xe640a118, "drm_fb_helper_deferred_io" },
	{ 0x79f9f991, "drm_fb_helper_release_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xebbf6a82, "drm_driver_legacy_fb_format" },
	{ 0x8b5bf0, "drm_fb_helper_fill_info" },
	{ 0x2f16ef84, "drm_gem_create_mmap_offset" },
	{ 0x534b0708, "fb_deferred_io_init" },
	{ 0xa18247be, "fb_deferred_io_cleanup" },
	{ 0xe26a046f, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x92e7c081, "drm_fb_helper_hotplug_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeb22ddb, "fb_sys_write" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x937f988e, "sys_imageblit" },
	{ 0xef8ef512, "drm_atomic_helper_damage_iter_init" },
	{ 0xee919515, "drm_fb_helper_damage_range" },
	{ 0x14fd96e3, "drm_fb_helper_blank" },
	{ 0x11ea121, "dma_alloc_pages" },
	{ 0x848bfbe3, "drm_gem_private_object_init" },
	{ 0xe23dd390, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd3613958, "drm_fb_helper_damage_area" },
	{ 0xdf7f28ab, "sys_fillrect" },
	{ 0x6857cc3d, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x9fd7965, "drm_client_init" },
	{ 0x990eb113, "drm_gem_vm_close" },
	{ 0xa5e05735, "drm_gem_vm_open" },
	{ 0x62f3a6bb, "drm_fb_helper_prepare" },
	{ 0x33719327, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xbb9ff97f, "drm_gem_object_release" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe7f5a9fd, "drm_gem_handle_create" },
	{ 0xe57e9f0d, "drm_gem_fb_get_obj" },
	{ 0x33fb3f10, "__drm_dev_dbg" },
	{ 0xa596d5e3, "fb_deferred_io_mmap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc1877ab3, "drm_fb_helper_pan_display" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0x5dbf9d51, "drm_client_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5ef43cbb, "sys_copyarea" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x999e8297, "vfree" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x7e88de20, "__dma_sync_single_for_device" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x14e567, "drm_client_buffer_vunmap" },
	{ 0x5c0a9fe8, "fb_sys_read" },
	{ 0xe9d2ebd6, "drm_fb_helper_debug_leave" },
	{ 0xb726e9f5, "dma_buf_vmap_unlocked" },
	{ 0x5f7aa5f6, "dma_mmap_attrs" },
	{ 0xb26738ee, "dma_get_sgtable_attrs" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x11c9859, "__vma_start_write" },
	{ 0x501fc489, "drm_fb_helper_initial_config" },
	{ 0xece23979, "drm_fb_helper_unregister_info" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x3dba48f1, "drm_fb_helper_ioctl" },
	{ 0x419ac61d, "drm_fb_helper_set_par" },
	{ 0x17a3f53a, "drm_prime_gem_destroy" },
	{ 0xc583da90, "drm_client_register" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x87d30bd7, "drm_fb_helper_init" },
	{ 0xc49139e1, "drm_fb_helper_debug_enter" },
	{ 0x54075877, "dma_buf_vunmap_unlocked" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x3c45e3e1, "drm_client_buffer_vmap" },
	{ 0x51aedb6c, "drm_fb_helper_lastclose" },
	{ 0x31e0066e, "drm_fb_helper_setcmap" },
	{ 0x5519a486, "drm_fb_helper_alloc_info" },
	{ 0x11b265b2, "drm_helper_disable_unused_functions" },
	{ 0x35a355e8, "drm_fb_helper_unprepare" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x92c49571, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0xb90de454, "drm_fb_helper_fini" },
	{ 0xdc1e61ae, "dma_mmap_pages" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B0764D4D09D5DD015A0A456");

MODULE_INFO(suserelease, "SLFO-1.2");
