#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ssd130x_variants, "_gpl", "DRM_SSD130X");
KSYMTAB_FUNC(ssd130x_probe, "_gpl", "");
KSYMTAB_FUNC(ssd130x_remove, "_gpl", "");
KSYMTAB_FUNC(ssd130x_shutdown, "_gpl", "");

SYMBOL_CRC(ssd130x_variants, 0x760c3ba6, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0x7c55a70f, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0x9d406082, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0x3d369201, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb25e5c66, "drm_mode_probed_add" },
	{ 0xef83e940, "drm_set_preferred_mode" },
	{ 0xf1c7a31c, "pwm_put" },
	{ 0xc684d9df, "regulator_disable" },
	{ 0x44b70134, "pwm_apply_might_sleep" },
	{ 0x31d2bb14, "drm_crtc_helper_atomic_check" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x37a0cba, "kfree" },
	{ 0xbf4a50f4, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xdbe654d7, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xd6cf4cb6, "drm_dev_enter" },
	{ 0xfb578fc5, "memset" },
	{ 0x455cfe92, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xe52a4f77, "drm_atomic_helper_check_plane_state" },
	{ 0x998dccb7, "__drm_gem_destroy_shadow_plane_state" },
	{ 0xbf40e755, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x7908e5a4, "drm_dev_unplug" },
	{ 0x327e70b2, "drm_atomic_helper_shutdown" },
	{ 0x84247d5d, "drm_format_conv_state_reserve" },
	{ 0xef8ef512, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0x789ceed5, "drm_gem_fb_begin_cpu_access" },
	{ 0xe8ba92aa, "drm_fb_xrgb8888_to_rgb332" },
	{ 0x996dc8ee, "drm_gem_fb_end_cpu_access" },
	{ 0xb29d076a, "drm_fb_xrgb8888_to_gray8" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd1969a47, "drm_fb_xrgb8888_to_mono" },
	{ 0x2927e8c6, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5ed6577, "regulator_enable" },
	{ 0x37f33a91, "pwm_get" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x6be84503, "__drm_atomic_helper_crtc_reset" },
	{ 0x23d16c3c, "__drm_gem_reset_shadow_plane" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xde239e6b, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x957f1990, "drm_gem_shmem_dumb_create" },
	{ 0x136d2728, "noop_llseek" },
	{ 0xd854d071, "drm_read" },
	{ 0x364baf6e, "drm_poll" },
	{ 0x99d3b16b, "drm_ioctl" },
	{ 0x636dcbac, "drm_compat_ioctl" },
	{ 0x4e2e0abe, "drm_gem_mmap" },
	{ 0x2bd28a3f, "drm_open" },
	{ 0xfe417660, "drm_release" },
	{ 0xbc981a96, "drm_gem_fb_create_with_dirty" },
	{ 0x46f15178, "drm_atomic_helper_check" },
	{ 0x53d8e764, "drm_atomic_helper_commit" },
	{ 0xa23392d0, "drm_atomic_helper_connector_reset" },
	{ 0x1b46932c, "drm_helper_probe_single_connector_modes" },
	{ 0x885a555d, "drm_connector_cleanup" },
	{ 0xef584762, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xeda983bb, "drm_atomic_helper_connector_destroy_state" },
	{ 0x16711a41, "drm_encoder_cleanup" },
	{ 0xcbd5ed3d, "drm_crtc_cleanup" },
	{ 0x5c42d4e8, "drm_atomic_helper_set_config" },
	{ 0x256c5a13, "drm_atomic_helper_page_flip" },
	{ 0x859088c2, "drm_atomic_helper_update_plane" },
	{ 0xad4571dc, "drm_atomic_helper_disable_plane" },
	{ 0x52281c9a, "drm_plane_cleanup" },
	{ 0x641571bd, "drm_gem_begin_shadow_fb_access" },
	{ 0xa246358c, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe976d673, "regmap_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8375ebf, "__devm_drm_dev_alloc" },
	{ 0xd5a1cec0, "device_get_match_data" },
	{ 0xf40c71a7, "device_property_read_u32_array" },
	{ 0x330ba121, "device_property_read_u8_array" },
	{ 0x149eb2a8, "device_property_present" },
	{ 0x22d50cc, "devm_gpiod_get_optional" },
	{ 0x9b447f0e, "devm_regulator_get" },
	{ 0x1782936b, "devm_backlight_device_register" },
	{ 0xe78fd3c2, "drmm_mode_config_init" },
	{ 0xd3b4fe3b, "drm_universal_plane_init" },
	{ 0xf3dae435, "drm_plane_enable_fb_damage_clips" },
	{ 0xbc31e312, "drm_crtc_init_with_planes" },
	{ 0x53011e67, "drm_encoder_init" },
	{ 0x96634f72, "drm_connector_init" },
	{ 0x7d266efd, "drm_connector_attach_encoder" },
	{ 0xbfcfa2ae, "drm_mode_config_reset" },
	{ 0xe12a352d, "drm_dev_register" },
	{ 0x6d590c96, "drm_fbdev_shmem_setup" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0x33719327, "_dev_err" },
	{ 0x3f785bd2, "drm_mode_duplicate" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CFDA9634AF05C730D266647");

MODULE_INFO(suserelease, "SLFO-1.2");
