#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ttm_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_fini, "", "");
KSYMTAB_FUNC(ttm_sg_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_populate, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_pages_limit, "", "");
KSYMTAB_FUNC(ttm_bo_move_to_lru_tail, "", "");
KSYMTAB_FUNC(ttm_bo_set_bulk_move, "", "");
KSYMTAB_FUNC(ttm_bo_put, "", "");
KSYMTAB_FUNC(ttm_bo_eviction_valuable, "", "");
KSYMTAB_FUNC(ttm_bo_pin, "", "");
KSYMTAB_FUNC(ttm_bo_unpin, "", "");
KSYMTAB_FUNC(ttm_bo_mem_space, "", "");
KSYMTAB_FUNC(ttm_bo_validate, "", "");
KSYMTAB_FUNC(ttm_bo_init_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_init_validate, "", "");
KSYMTAB_FUNC(ttm_bo_unmap_virtual, "", "");
KSYMTAB_FUNC(ttm_bo_wait_ctx, "", "");
KSYMTAB_FUNC(ttm_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_bo_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_io_prot, "", "");
KSYMTAB_FUNC(ttm_bo_kmap, "", "");
KSYMTAB_FUNC(ttm_bo_kunmap, "", "");
KSYMTAB_FUNC(ttm_bo_vmap, "", "");
KSYMTAB_FUNC(ttm_bo_vunmap, "", "");
KSYMTAB_FUNC(ttm_bo_move_accel_cleanup, "", "");
KSYMTAB_FUNC(ttm_bo_move_sync_cleanup, "", "");
KSYMTAB_FUNC(ttm_bo_vm_reserve, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_vm_dummy_page, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault, "", "");
KSYMTAB_FUNC(ttm_bo_vm_open, "", "");
KSYMTAB_FUNC(ttm_bo_vm_close, "", "");
KSYMTAB_FUNC(ttm_bo_vm_access, "", "");
KSYMTAB_FUNC(ttm_bo_mmap_obj, "", "");
KSYMTAB_FUNC(ttm_eu_backoff_reservation, "", "");
KSYMTAB_FUNC(ttm_eu_reserve_buffers, "", "");
KSYMTAB_FUNC(ttm_eu_fence_buffer_objects, "", "");
KSYMTAB_FUNC(ttm_range_man_init_nocheck, "", "");
KSYMTAB_FUNC(ttm_range_man_fini_nocheck, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_init, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_fini, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_tail, "", "");
KSYMTAB_FUNC(ttm_resource_init, "", "");
KSYMTAB_FUNC(ttm_resource_fini, "", "");
KSYMTAB_FUNC(ttm_resource_free, "", "");
KSYMTAB_FUNC(ttm_resource_manager_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_evict_all, "", "");
KSYMTAB_FUNC(ttm_resource_manager_usage, "", "");
KSYMTAB_FUNC(ttm_resource_manager_debug, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_iomap_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_create_debugfs, "", "");
KSYMTAB_FUNC(ttm_pool_alloc, "", "");
KSYMTAB_FUNC(ttm_pool_free, "", "");
KSYMTAB_FUNC(ttm_pool_init, "", "");
KSYMTAB_FUNC(ttm_pool_fini, "", "");
KSYMTAB_FUNC(ttm_pool_debugfs, "", "");
KSYMTAB_DATA(ttm_glob, "", "");
KSYMTAB_FUNC(ttm_device_swapout, "", "");
KSYMTAB_FUNC(ttm_device_init, "", "");
KSYMTAB_FUNC(ttm_device_fini, "", "");
KSYMTAB_FUNC(ttm_device_clear_dma_mappings, "", "");
KSYMTAB_FUNC(ttm_agp_bind, "", "");
KSYMTAB_FUNC(ttm_agp_unbind, "", "");
KSYMTAB_FUNC(ttm_agp_is_bound, "", "");
KSYMTAB_FUNC(ttm_agp_destroy, "", "");
KSYMTAB_FUNC(ttm_agp_tt_create, "", "");

SYMBOL_CRC(ttm_tt_init, 0x37f786fe, "");
SYMBOL_CRC(ttm_tt_fini, 0x150f15ee, "");
SYMBOL_CRC(ttm_sg_tt_init, 0x4ca7fb5c, "");
SYMBOL_CRC(ttm_tt_populate, 0x5db1df58, "");
SYMBOL_CRC(ttm_kmap_iter_tt_init, 0x7f6f0a54, "");
SYMBOL_CRC(ttm_tt_pages_limit, 0x69cc2943, "");
SYMBOL_CRC(ttm_bo_move_to_lru_tail, 0x609d9f89, "");
SYMBOL_CRC(ttm_bo_set_bulk_move, 0x43f786fc, "");
SYMBOL_CRC(ttm_bo_put, 0xfe584583, "");
SYMBOL_CRC(ttm_bo_eviction_valuable, 0xeb5b1827, "");
SYMBOL_CRC(ttm_bo_pin, 0xdfac67b6, "");
SYMBOL_CRC(ttm_bo_unpin, 0xd56c0ef3, "");
SYMBOL_CRC(ttm_bo_mem_space, 0x656cb3fe, "");
SYMBOL_CRC(ttm_bo_validate, 0x6508f243, "");
SYMBOL_CRC(ttm_bo_init_reserved, 0x86c0eefa, "");
SYMBOL_CRC(ttm_bo_init_validate, 0x08d2dea2, "");
SYMBOL_CRC(ttm_bo_unmap_virtual, 0x4194a9f3, "");
SYMBOL_CRC(ttm_bo_wait_ctx, 0x73a5ee75, "");
SYMBOL_CRC(ttm_move_memcpy, 0x1a71d30c, "");
SYMBOL_CRC(ttm_bo_move_memcpy, 0xbb589ac3, "");
SYMBOL_CRC(ttm_io_prot, 0xa048036f, "");
SYMBOL_CRC(ttm_bo_kmap, 0x37eef913, "");
SYMBOL_CRC(ttm_bo_kunmap, 0xd1f0307e, "");
SYMBOL_CRC(ttm_bo_vmap, 0xae448eb7, "");
SYMBOL_CRC(ttm_bo_vunmap, 0x4b2f00e2, "");
SYMBOL_CRC(ttm_bo_move_accel_cleanup, 0xe14faa3f, "");
SYMBOL_CRC(ttm_bo_move_sync_cleanup, 0xe588145e, "");
SYMBOL_CRC(ttm_bo_vm_reserve, 0xaaedff0e, "");
SYMBOL_CRC(ttm_bo_vm_fault_reserved, 0xbd4ba31a, "");
SYMBOL_CRC(ttm_bo_vm_dummy_page, 0x23e99875, "");
SYMBOL_CRC(ttm_bo_vm_fault, 0x112184c3, "");
SYMBOL_CRC(ttm_bo_vm_open, 0x6cfbffbd, "");
SYMBOL_CRC(ttm_bo_vm_close, 0xb5fccaff, "");
SYMBOL_CRC(ttm_bo_vm_access, 0xa6a48467, "");
SYMBOL_CRC(ttm_bo_mmap_obj, 0x9e1f6007, "");
SYMBOL_CRC(ttm_eu_backoff_reservation, 0xedea675c, "");
SYMBOL_CRC(ttm_eu_reserve_buffers, 0x99d48fcb, "");
SYMBOL_CRC(ttm_eu_fence_buffer_objects, 0x8437219d, "");
SYMBOL_CRC(ttm_range_man_init_nocheck, 0x4fa4441d, "");
SYMBOL_CRC(ttm_range_man_fini_nocheck, 0x1630fd5b, "");
SYMBOL_CRC(ttm_lru_bulk_move_init, 0x04f0ae58, "");
SYMBOL_CRC(ttm_lru_bulk_move_fini, 0xf0f04ca2, "");
SYMBOL_CRC(ttm_lru_bulk_move_tail, 0xdf5ece81, "");
SYMBOL_CRC(ttm_resource_init, 0xa2f97b69, "");
SYMBOL_CRC(ttm_resource_fini, 0x5a787f80, "");
SYMBOL_CRC(ttm_resource_free, 0xb3d17e45, "");
SYMBOL_CRC(ttm_resource_manager_init, 0x4da68fdb, "");
SYMBOL_CRC(ttm_resource_manager_evict_all, 0x164e5b5e, "");
SYMBOL_CRC(ttm_resource_manager_usage, 0x88f5f635, "");
SYMBOL_CRC(ttm_resource_manager_debug, 0x3049be28, "");
SYMBOL_CRC(ttm_kmap_iter_iomap_init, 0x6a847134, "");
SYMBOL_CRC(ttm_resource_manager_create_debugfs, 0xcf11c4c6, "");
SYMBOL_CRC(ttm_pool_alloc, 0x5c3bb9d4, "");
SYMBOL_CRC(ttm_pool_free, 0xf20f736d, "");
SYMBOL_CRC(ttm_pool_init, 0x56782611, "");
SYMBOL_CRC(ttm_pool_fini, 0x75017d88, "");
SYMBOL_CRC(ttm_pool_debugfs, 0x0e673584, "");
SYMBOL_CRC(ttm_glob, 0xc43f569b, "");
SYMBOL_CRC(ttm_device_swapout, 0x6316af0d, "");
SYMBOL_CRC(ttm_device_init, 0xe226dff7, "");
SYMBOL_CRC(ttm_device_fini, 0x69dfaf68, "");
SYMBOL_CRC(ttm_device_clear_dma_mappings, 0xd6ba37a7, "");
SYMBOL_CRC(ttm_agp_bind, 0x33767206, "");
SYMBOL_CRC(ttm_agp_unbind, 0x16d4c6dc, "");
SYMBOL_CRC(ttm_agp_is_bound, 0xf9289c61, "");
SYMBOL_CRC(ttm_agp_destroy, 0xa9fdb48e, "");
SYMBOL_CRC(ttm_agp_tt_create, 0x75b46015, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc985430f, "dma_resv_add_fence" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x4d030727, "drm_vma_offset_add" },
	{ 0x2140e8a1, "__drm_printfn_seq_file" },
	{ 0x4d924f20, "memremap" },
	{ 0xdbc526a5, "__tracepoint_mmap_lock_released" },
	{ 0x9493fc86, "node_states" },
	{ 0xbfafce09, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x383ca47, "shrinker_free" },
	{ 0x384b280d, "drm_mm_print" },
	{ 0x4fcc354b, "set_pages_wb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x6249bb21, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xc7b7f233, "ww_mutex_trylock" },
	{ 0x21d163a8, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfdace282, "shrinker_register" },
	{ 0x33b84f74, "copy_page" },
	{ 0x618911fc, "numa_node" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8375762d, "__free_pages" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x593b37f3, "mark_page_accessed" },
	{ 0xe082b6a5, "shmem_file_setup" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xc794f8c, "fput" },
	{ 0x77f5bb81, "down_write" },
	{ 0x264635e1, "up_write" },
	{ 0xd5400889, "agp_free_memory" },
	{ 0x3b360010, "dma_fence_signal" },
	{ 0xc3f30e79, "dma_resv_fini" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x7a905b8, "seq_putc" },
	{ 0x33f23168, "ww_mutex_lock" },
	{ 0xd3bb55f5, "shmem_read_mapping_page_gfp" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1cc093f, "vmap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xbada6f58, "__put_devmap_managed_folio_refs" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xee201b6, "vmf_insert_pfn_prot" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x9f4169e7, "agp_allocate_memory" },
	{ 0xb1430bfa, "agp_unbind_memory" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x25b1a326, "__drm_puts_seq_file" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xf6f9d58d, "init_on_free" },
	{ 0xa985aeff, "down_read" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x32d7189e, "dma_resv_copy_fences" },
	{ 0x9cfa588a, "set_page_dirty" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x911c8743, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa38c4c94, "drm_memcpy_from_wc" },
	{ 0x717e5878, "dma_fence_enable_sw_signaling" },
	{ 0xb85b5d35, "set_pages_array_wc" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xccb43b37, "dma_resv_iter_next_unlocked" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66ca9904, "seq_write" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0x690c7e13, "__mmap_lock_do_trace_released" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x94d23c20, "dma_resv_iter_first_unlocked" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0x55473fb7, "single_release" },
	{ 0x2ce9de4e, "set_pages_array_uc" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x35c1da61, "dma_resv_test_signaled" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x11c9859, "__vma_start_write" },
	{ 0xd898659, "single_open" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x53a61fba, "cc_platform_has" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xc40bf4ce, "up_read" },
	{ 0xdcae9a8b, "drm_vma_offset_remove" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xdf5f361d, "shrinker_alloc" },
	{ 0x6917cb3, "ww_mutex_lock_interruptible" },
	{ 0xd6cf4cb6, "drm_dev_enter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x39d54c05, "param_ops_ulong" },
	{ 0xc164b59f, "dma_resv_reserve_fences" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x512e9ae, "agp_bind_memory" },
	{ 0xebafee8d, "vmalloc_to_page" },
	{ 0x83c7468, "dma_resv_init" },
	{ 0xcce736b5, "dma_resv_wait_timeout" },
	{ 0x5fafb06f, "__drm_printfn_dbg" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0xfa666974, "queue_work_node" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0xe7001b64, "ww_mutex_unlock" },
	{ 0xedc03953, "iounmap" },
	{ 0xd38e7892, "debugfs_create_atomic_t" },
	{ 0x355baffc, "unmap_mapping_range" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "654955A6B60A6D2699444C3");

MODULE_INFO(suserelease, "SLFO-1.2");
