#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb1161409, "usb_submit_urb" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xeeed0cb4, "hid_open_report" },
	{ 0x326438e0, "hid_hw_start" },
	{ 0x1aeccae5, "hid_is_usb" },
	{ 0x96e6d83, "usb_free_urb" },
	{ 0xa7629993, "hid_hw_stop" },
	{ 0x6a578ab1, "usb_alloc_urb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x38ffbd59, "hid_unregister_driver" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0xd6935a2c, "input_event" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb6ddf1e, "input_mt_report_slot_state" },
	{ 0xa6faac64, "input_mt_sync_frame" },
	{ 0x7685a145, "hid_hw_close" },
	{ 0x10119bb, "ida_free" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x877acacd, "hid_hw_request" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x754d539c, "strlen" },
	{ 0x623c3589, "devm_led_classdev_register_ext" },
	{ 0x30e954c3, "input_set_capability" },
	{ 0x6adb4702, "input_ff_create_memless" },
	{ 0x56e76cc9, "devm_kasprintf" },
	{ 0x3f1cb413, "devm_power_supply_register" },
	{ 0x86a0d648, "power_supply_powers" },
	{ 0xed4a133d, "hid_hw_open" },
	{ 0x688275e7, "hid_validate_values" },
	{ 0xccfd793d, "input_mt_init_slots" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5604cbc, "__hid_register_driver" },
	{ 0x33719327, "_dev_err" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xaeefaacf, "hid_hw_raw_request" },
	{ 0x37a0cba, "kfree" },
	{ 0xddf582ea, "hid_hw_output_report" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xff6ad63d, "devm_input_allocate_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3724b25d, "input_register_device" },
	{ 0xd91af080, "input_set_abs_params" },
	{ 0x91c95bfe, "input_alloc_absinfo" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x83dfa7fe, "power_supply_get_drvdata" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbhid,ff-memless");

MODULE_ALIAS("hid:b0003g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0005g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0003g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000024B");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000374");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000002");
MODULE_ALIAS("hid:b0003g*v0000054Cp00001000");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000306");
MODULE_ALIAS("hid:b0005g*v0000046Dp00000306");
MODULE_ALIAS("hid:b0005g*v00000609p00000306");
MODULE_ALIAS("hid:b0003g*v00001345p00003008");
MODULE_ALIAS("hid:b0005g*v00000609p00000368");
MODULE_ALIAS("hid:b0005g*v00000609p00000369");
MODULE_ALIAS("hid:b0003g*v000012BAp0000074B");
MODULE_ALIAS("hid:b0003g*v00001430p0000474C");
MODULE_ALIAS("hid:b0003g*v000012BAp00000100");
MODULE_ALIAS("hid:b0003g*v00001430p000007BB");

MODULE_INFO(srcversion, "F123E680391ED2E154435CD");

MODULE_INFO(suserelease, "SLFO-1.2");
