#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ishtp_device_init, "", "");
KSYMTAB_FUNC(ishtp_start, "", "");
KSYMTAB_FUNC(ishtp_send_suspend, "", "");
KSYMTAB_FUNC(ishtp_send_resume, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_buffer_size, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_rings, "", "");
KSYMTAB_FUNC(ishtp_cl_flush_queues, "", "");
KSYMTAB_FUNC(ishtp_cl_allocate, "", "");
KSYMTAB_FUNC(ishtp_cl_free, "", "");
KSYMTAB_FUNC(ishtp_cl_link, "", "");
KSYMTAB_FUNC(ishtp_cl_unlink, "", "");
KSYMTAB_FUNC(ishtp_cl_disconnect, "", "");
KSYMTAB_FUNC(ishtp_cl_connect, "", "");
KSYMTAB_FUNC(ishtp_cl_establish_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_destroy_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_send, "", "");
KSYMTAB_FUNC(ishtp_get_client_data, "", "");
KSYMTAB_FUNC(ishtp_set_client_data, "", "");
KSYMTAB_FUNC(ishtp_get_ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_set_tx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_rx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_connection_state, "", "");
KSYMTAB_FUNC(ishtp_cl_set_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_recv, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_by_uuid, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_get_client, "", "");
KSYMTAB_FUNC(ishtp_get_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_register, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_unregister, "", "");
KSYMTAB_FUNC(ishtp_register_event_cb, "", "");
KSYMTAB_FUNC(ishtp_get_device, "", "");
KSYMTAB_FUNC(ishtp_put_device, "", "");
KSYMTAB_FUNC(ishtp_set_drvdata, "", "");
KSYMTAB_FUNC(ishtp_get_drvdata, "", "");
KSYMTAB_FUNC(ishtp_dev_to_cl_device, "", "");
KSYMTAB_FUNC(ishtp_bus_remove_all_clients, "", "");
KSYMTAB_FUNC(ishtp_reset_handler, "", "");
KSYMTAB_FUNC(ishtp_reset_compl_handler, "", "");
KSYMTAB_FUNC(ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_wait_resume, "_gpl", "");
KSYMTAB_FUNC(ishtp_get_pci_device, "", "");
KSYMTAB_FUNC(ishtp_trace_callback, "", "");
KSYMTAB_FUNC(ish_hw_reset, "", "");
KSYMTAB_FUNC(ishtp_cl_io_rb_recycle, "", "");
KSYMTAB_FUNC(ishtp_cl_tx_empty, "", "");
KSYMTAB_FUNC(ishtp_cl_rx_get_rb, "", "");

SYMBOL_CRC(ishtp_device_init, 0xd33966c6, "");
SYMBOL_CRC(ishtp_start, 0x42386fe9, "");
SYMBOL_CRC(ishtp_send_suspend, 0x20b3d4ee, "");
SYMBOL_CRC(ishtp_send_resume, 0xd85fb057, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_buffer_size, 0x006a0180, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_rings, 0xf4e7f3d6, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0x74915f18, "");
SYMBOL_CRC(ishtp_cl_allocate, 0xa5213414, "");
SYMBOL_CRC(ishtp_cl_free, 0xf9c1b819, "");
SYMBOL_CRC(ishtp_cl_link, 0x53c40645, "");
SYMBOL_CRC(ishtp_cl_unlink, 0x4a3d2686, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0xabbe1b9a, "");
SYMBOL_CRC(ishtp_cl_connect, 0x6d527283, "");
SYMBOL_CRC(ishtp_cl_establish_connection, 0xb9f50e8b, "");
SYMBOL_CRC(ishtp_cl_destroy_connection, 0x65db4448, "");
SYMBOL_CRC(ishtp_cl_send, 0x1626d9b8, "");
SYMBOL_CRC(ishtp_get_client_data, 0xc699b2b9, "");
SYMBOL_CRC(ishtp_set_client_data, 0x9f346236, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0x8dbb48ee, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0x9306e93a, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0x973062c0, "");
SYMBOL_CRC(ishtp_set_connection_state, 0x7dd458d1, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0x2153121b, "");
SYMBOL_CRC(ishtp_recv, 0x1c1c57c5, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0x97df8ef6, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0x0d7ff2e4, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0xaaf050d4, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0x34ee143b, "");
SYMBOL_CRC(ishtp_register_event_cb, 0x6b5ad8f3, "");
SYMBOL_CRC(ishtp_get_device, 0xa670e2b2, "");
SYMBOL_CRC(ishtp_put_device, 0xb142bb83, "");
SYMBOL_CRC(ishtp_set_drvdata, 0x2b053ee3, "");
SYMBOL_CRC(ishtp_get_drvdata, 0xe72279c5, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0xd21f7a8d, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0x2d6251ee, "");
SYMBOL_CRC(ishtp_reset_handler, 0x82bd79bd, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0x0d864c19, "");
SYMBOL_CRC(ishtp_device, 0x13edcb4e, "");
SYMBOL_CRC(ishtp_wait_resume, 0x2ddc7ab5, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0x195123c2, "");
SYMBOL_CRC(ishtp_trace_callback, 0x10446082, "");
SYMBOL_CRC(ish_hw_reset, 0x62bef14e, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0xb05313a2, "");
SYMBOL_CRC(ishtp_cl_tx_empty, 0xa3f2d2dd, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0x834bc5c9, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xabd100b0, "finish_wait" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45ee0529, "put_device" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x33719327, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd6f020db, "device_register" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0x23e55a9c, "__devm_add_action" },
	{ 0x754d539c, "strlen" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x16136184, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x98ce86d6, "firmware_request_nowarn" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x343c8959, "device_unregister" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F5B162B01BB4560149CAE69");

MODULE_INFO(suserelease, "SLFO-1.2");
