#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hv_get_vmbus_root_device, "_gpl", "");
KSYMTAB_FUNC(__vmbus_driver_register, "_gpl", "");
KSYMTAB_FUNC(vmbus_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(hv_create_ring_sysfs, "_gpl", "");
KSYMTAB_FUNC(hv_remove_ring_sysfs, "_gpl", "");
KSYMTAB_FUNC(vmbus_device_unregister, "_gpl", "");
KSYMTAB_FUNC(vmbus_allocate_mmio, "_gpl", "");
KSYMTAB_FUNC(vmbus_free_mmio, "_gpl", "");
KSYMTAB_DATA(vmbus_connection, "_gpl", "");
KSYMTAB_DATA(vmbus_proto_version, "_gpl", "");
KSYMTAB_FUNC(vmbus_set_event, "_gpl", "");
KSYMTAB_FUNC(vmbus_setevent, "_gpl", "");
KSYMTAB_FUNC(vmbus_free_ring, "_gpl", "");
KSYMTAB_FUNC(vmbus_alloc_ring, "_gpl", "");
KSYMTAB_FUNC(vmbus_send_tl_connect_request, "_gpl", "");
KSYMTAB_FUNC(vmbus_send_modifychannel, "_gpl", "");
KSYMTAB_FUNC(vmbus_establish_gpadl, "_gpl", "");
KSYMTAB_FUNC(vmbus_connect_ring, "_gpl", "");
KSYMTAB_FUNC(vmbus_open, "_gpl", "");
KSYMTAB_FUNC(vmbus_teardown_gpadl, "_gpl", "");
KSYMTAB_FUNC(vmbus_disconnect_ring, "_gpl", "");
KSYMTAB_FUNC(vmbus_close, "_gpl", "");
KSYMTAB_FUNC(vmbus_sendpacket_getid, "", "");
KSYMTAB_FUNC(vmbus_sendpacket, "", "");
KSYMTAB_FUNC(vmbus_sendpacket_mpb_desc, "_gpl", "");
KSYMTAB_FUNC(vmbus_recvpacket, "", "");
KSYMTAB_FUNC(vmbus_recvpacket_raw, "_gpl", "");
KSYMTAB_FUNC(vmbus_next_request_id, "_gpl", "");
KSYMTAB_FUNC(__vmbus_request_addr_match, "_gpl", "");
KSYMTAB_FUNC(vmbus_request_addr_match, "_gpl", "");
KSYMTAB_FUNC(vmbus_request_addr, "_gpl", "");
KSYMTAB_DATA(vmbus_devs, "_gpl", "");
KSYMTAB_FUNC(vmbus_prep_negotiate_resp, "_gpl", "");
KSYMTAB_FUNC(vmbus_hvsock_device_unregister, "_gpl", "");
KSYMTAB_FUNC(vmbus_set_sc_create_callback, "_gpl", "");
KSYMTAB_FUNC(vmbus_set_chn_rescind_callback, "_gpl", "");
KSYMTAB_FUNC(hv_ringbuffer_get_debuginfo, "_gpl", "");
KSYMTAB_FUNC(hv_ringbuffer_spinlock_busy, "_gpl", "");
KSYMTAB_FUNC(hv_pkt_iter_first, "_gpl", "");
KSYMTAB_FUNC(__hv_pkt_iter_next, "_gpl", "");
KSYMTAB_FUNC(hv_pkt_iter_close, "_gpl", "");

SYMBOL_CRC(hv_get_vmbus_root_device, 0x85c5c8a7, "_gpl");
SYMBOL_CRC(__vmbus_driver_register, 0xe07ed6bb, "_gpl");
SYMBOL_CRC(vmbus_driver_unregister, 0xc93b6517, "_gpl");
SYMBOL_CRC(hv_create_ring_sysfs, 0x2ccb6c39, "_gpl");
SYMBOL_CRC(hv_remove_ring_sysfs, 0xab70e3a7, "_gpl");
SYMBOL_CRC(vmbus_device_unregister, 0xd83d8538, "_gpl");
SYMBOL_CRC(vmbus_allocate_mmio, 0x8011d1db, "_gpl");
SYMBOL_CRC(vmbus_free_mmio, 0x31e2e77f, "_gpl");
SYMBOL_CRC(vmbus_connection, 0x0aaa2d43, "_gpl");
SYMBOL_CRC(vmbus_proto_version, 0x46a417ca, "_gpl");
SYMBOL_CRC(vmbus_set_event, 0x9f22a36c, "_gpl");
SYMBOL_CRC(vmbus_setevent, 0x8355c435, "_gpl");
SYMBOL_CRC(vmbus_free_ring, 0xcc313ab4, "_gpl");
SYMBOL_CRC(vmbus_alloc_ring, 0xdb006092, "_gpl");
SYMBOL_CRC(vmbus_send_tl_connect_request, 0x4b2210b8, "_gpl");
SYMBOL_CRC(vmbus_send_modifychannel, 0xefd64b3a, "_gpl");
SYMBOL_CRC(vmbus_establish_gpadl, 0x3e152403, "_gpl");
SYMBOL_CRC(vmbus_connect_ring, 0x758befbe, "_gpl");
SYMBOL_CRC(vmbus_open, 0xb69f18c5, "_gpl");
SYMBOL_CRC(vmbus_teardown_gpadl, 0x30fcfdb7, "_gpl");
SYMBOL_CRC(vmbus_disconnect_ring, 0x4a3d8b5f, "_gpl");
SYMBOL_CRC(vmbus_close, 0x061593fc, "_gpl");
SYMBOL_CRC(vmbus_sendpacket_getid, 0x4387d430, "");
SYMBOL_CRC(vmbus_sendpacket, 0xf20ed8bc, "");
SYMBOL_CRC(vmbus_sendpacket_mpb_desc, 0xb2d40897, "_gpl");
SYMBOL_CRC(vmbus_recvpacket, 0x593120e3, "");
SYMBOL_CRC(vmbus_recvpacket_raw, 0x4fce51ef, "_gpl");
SYMBOL_CRC(vmbus_next_request_id, 0xa2a2e402, "_gpl");
SYMBOL_CRC(__vmbus_request_addr_match, 0xb5769d14, "_gpl");
SYMBOL_CRC(vmbus_request_addr_match, 0x47de8cb3, "_gpl");
SYMBOL_CRC(vmbus_request_addr, 0xfd0f398e, "_gpl");
SYMBOL_CRC(vmbus_devs, 0x59a7261d, "_gpl");
SYMBOL_CRC(vmbus_prep_negotiate_resp, 0x321055cb, "_gpl");
SYMBOL_CRC(vmbus_hvsock_device_unregister, 0x6a168b10, "_gpl");
SYMBOL_CRC(vmbus_set_sc_create_callback, 0x24634c96, "_gpl");
SYMBOL_CRC(vmbus_set_chn_rescind_callback, 0x3a0ab5ab, "_gpl");
SYMBOL_CRC(hv_ringbuffer_get_debuginfo, 0xa03af16e, "_gpl");
SYMBOL_CRC(hv_ringbuffer_spinlock_busy, 0x1cb8f762, "_gpl");
SYMBOL_CRC(hv_pkt_iter_first, 0xb11dc0ff, "_gpl");
SYMBOL_CRC(__hv_pkt_iter_next, 0xea82aa61, "_gpl");
SYMBOL_CRC(hv_pkt_iter_close, 0x19f80664, "_gpl");

MODULE_INFO(supported, "external");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xfddeb056, "efi" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0xeeff7562, "sysfs_update_group" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x33719327, "_dev_err" },
	{ 0x13b9e193, "acpi_dev_resource_interrupt" },
	{ 0x647ef856, "hv_setup_dma_ops" },
	{ 0x7bb045a7, "__request_percpu_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc25b8971, "hv_remove_crash_handler" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x65704d22, "hv_stimer_cleanup" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8900eec, "lockdep_assert_cpus_held" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1cc093f, "vmap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x11ae8dd8, "kobject_init_and_add" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6270d8b3, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xee006366, "hv_isolation_type_tdx" },
	{ 0x79d304b7, "hv_setup_crash_handler" },
	{ 0xd6f020db, "device_register" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xba01ec83, "hv_stimer_global_cleanup" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8b89f01c, "hv_ghcb_hypercall" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb9c425de, "register_syscore_ops" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xbc6bec66, "free_percpu_irq" },
	{ 0x1cd44f98, "hyperv_paravisor_present" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x2c86a755, "hv_tdx_hypercall" },
	{ 0xf9023566, "__cpuhp_setup_state_cpuslocked" },
	{ 0xab1e0e93, "hv_setup_kexec_handler" },
	{ 0xf6fc8791, "__bitmap_xor" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x7ccaa77e, "__platform_driver_register" },
	{ 0x23d8e0a9, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x526336c8, "atomic_notifier_chain_unregister" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xc683da81, "set_memory_decrypted" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xcb8a461c, "hv_stimer_legacy_cleanup" },
	{ 0x335c570f, "enable_percpu_irq" },
	{ 0x3fae6ab0, "hv_vp_index" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x90a9d8cc, "hv_is_hyperv_initialized" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x4475dcaf, "hv_nested" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x7589f67e, "ms_hyperv" },
	{ 0x369e7826, "kobject_uevent" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0x7bbccd05, "nr_node_ids" },
	{ 0xefa610b7, "hv_get_msr" },
	{ 0x331945a0, "hv_curr_partition_type" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0xe9c215c5, "hv_set_msr" },
	{ 0xa96e8b4e, "hv_setup_vmbus_handler" },
	{ 0x57ac7e36, "set_primary_fwnode" },
	{ 0x77358855, "iomem_resource" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xb86748d1, "__cpuhp_remove_state" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf21e1f9b, "disable_percpu_irq" },
	{ 0x6be3a96b, "hv_remove_vmbus_handler" },
	{ 0x16136184, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x25eb9e4c, "kset_create_and_add" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0xde021df3, "kobject_put" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd5f3bb7b, "set_memory_encrypted" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xbdb2217d, "hv_is_isolation_supported" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3c0e8050, "hyperv_pcpu_input_arg" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x31128b8e, "hv_remove_kexec_handler" },
	{ 0xba60262d, "housekeeping_cpumask" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x5ad12e30, "platform_driver_unregister" },
	{ 0xebafee8d, "vmalloc_to_page" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0xb0c76689, "pci_dev_put" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x54c3ce7, "driver_attach" },
	{ 0x343c8959, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xf9664f72, "pci_get_device" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xedc03953, "iounmap" },
	{ 0xa2f7487f, "hv_is_hibernation_supported" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfa1eb910, "unregister_syscore_ops" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x84dc2356, "kset_unregister" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x16dfbf36, "add_interrupt_randomness" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x1a2f220, "get_device" },
	{ 0x9bad141d, "hv_hypercall_pg" },
	{ 0xc3876c1a, "hv_isolation_type_snp" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb75041d1, "hv_stimer_legacy_init" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb75c70e5, "panic_notifier_list" },
	{ 0x6249bb21, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x31ff760, "atomic_notifier_chain_register" },
	{ 0x45ee0529, "put_device" },
	{ 0x37b8b39e, "screen_info" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8375762d, "__free_pages" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x20899467, "hv_stimer0_isr" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x60b2dc00, "device_get_dma_attr" },
	{ 0x393a8d51, "driver_set_override" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cmicrosoft,vmbus");
MODULE_ALIAS("of:N*T*Cmicrosoft,vmbusC*");
MODULE_ALIAS("acpi*:VMBUS:*");
MODULE_ALIAS("acpi*:VMBus:*");

MODULE_INFO(srcversion, "E011BBFF71DEF8344A02DEB");

MODULE_INFO(suserelease, "SLFO-1.2");
