#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i3c_device_do_priv_xfers, "_gpl", "");
KSYMTAB_FUNC(i3c_device_do_setdasa, "_gpl", "");
KSYMTAB_FUNC(i3c_device_get_info, "_gpl", "");
KSYMTAB_FUNC(i3c_device_disable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_enable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_request_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_free_ibi, "_gpl", "");
KSYMTAB_FUNC(i3cdev_to_dev, "_gpl", "");
KSYMTAB_FUNC(i3c_device_match_id, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_register_with_owner, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_unregister, "_gpl", "");
KSYMTAB_DATA(i3c_bus_type, "_gpl", "");
KSYMTAB_FUNC(i3c_for_each_bus_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_register_notifier, "_gpl", "");
KSYMTAB_FUNC(i3c_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enable_hotjoin, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disable_hotjoin, "_gpl", "");
KSYMTAB_FUNC(i3c_master_get_free_addr, "_gpl", "");
KSYMTAB_FUNC(i3c_master_entdaa_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_defslvs_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_do_daa, "_gpl", "");
KSYMTAB_FUNC(i3c_master_set_info, "_gpl", "");
KSYMTAB_FUNC(i3c_master_add_i3c_dev_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_queue_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_free_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_alloc_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_get_free_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_recycle_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_master_register, "_gpl", "");
KSYMTAB_FUNC(i3c_master_unregister, "_gpl", "");

SYMBOL_CRC(i3c_device_do_priv_xfers, 0xadf718bb, "_gpl");
SYMBOL_CRC(i3c_device_do_setdasa, 0x056cded9, "_gpl");
SYMBOL_CRC(i3c_device_get_info, 0x0122e52a, "_gpl");
SYMBOL_CRC(i3c_device_disable_ibi, 0x4195cefa, "_gpl");
SYMBOL_CRC(i3c_device_enable_ibi, 0x0b967239, "_gpl");
SYMBOL_CRC(i3c_device_request_ibi, 0x53827ab0, "_gpl");
SYMBOL_CRC(i3c_device_free_ibi, 0xa9f46394, "_gpl");
SYMBOL_CRC(i3cdev_to_dev, 0xd8ba9aa3, "_gpl");
SYMBOL_CRC(i3c_device_match_id, 0x98466cb5, "_gpl");
SYMBOL_CRC(i3c_driver_register_with_owner, 0x099ff568, "_gpl");
SYMBOL_CRC(i3c_driver_unregister, 0x6e104eda, "_gpl");
SYMBOL_CRC(i3c_bus_type, 0xa35f2d4d, "_gpl");
SYMBOL_CRC(i3c_for_each_bus_locked, 0x323ec4fe, "_gpl");
SYMBOL_CRC(i3c_register_notifier, 0xaa91f3f5, "_gpl");
SYMBOL_CRC(i3c_unregister_notifier, 0x2305c897, "_gpl");
SYMBOL_CRC(i3c_master_enable_hotjoin, 0x049058a6, "_gpl");
SYMBOL_CRC(i3c_master_disable_hotjoin, 0x64a056ae, "_gpl");
SYMBOL_CRC(i3c_master_get_free_addr, 0x086c6e77, "_gpl");
SYMBOL_CRC(i3c_master_entdaa_locked, 0x3d5c8aeb, "_gpl");
SYMBOL_CRC(i3c_master_disec_locked, 0x8bd3a2d4, "_gpl");
SYMBOL_CRC(i3c_master_enec_locked, 0x1831c246, "_gpl");
SYMBOL_CRC(i3c_master_defslvs_locked, 0x8fac37e8, "_gpl");
SYMBOL_CRC(i3c_master_do_daa, 0xc909d23e, "_gpl");
SYMBOL_CRC(i3c_master_set_info, 0xf5400c55, "_gpl");
SYMBOL_CRC(i3c_master_add_i3c_dev_locked, 0xb21c03e0, "_gpl");
SYMBOL_CRC(i3c_master_queue_ibi, 0x5e95cdf0, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_free_pool, 0x76fe3e05, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_alloc_pool, 0x9503ff32, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_get_free_slot, 0x73be4375, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_recycle_slot, 0x34cd225e, "_gpl");
SYMBOL_CRC(i3c_master_register, 0xf465a7b4, "_gpl");
SYMBOL_CRC(i3c_master_unregister, 0xaa79ff79, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa916b694, "strnlen" },
	{ 0xe1ff3063, "bus_register_notifier" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2af85aaf, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x77f5bb81, "down_write" },
	{ 0x33719327, "_dev_err" },
	{ 0x264635e1, "up_write" },
	{ 0x3d44dcd8, "device_add" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xba280219, "i2c_new_client_device" },
	{ 0xf61bc908, "i2c_bus_type" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd6f020db, "device_register" },
	{ 0x2e9c96c7, "device_del" },
	{ 0xe78c1cdf, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xc792841, "pm_runtime_no_callbacks" },
	{ 0xa985aeff, "down_read" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x6e418612, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xea9a479d, "blocking_notifier_chain_unregister" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0xc40bf4ce, "up_read" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x16136184, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x173756c, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xae14d918, "bus_unregister_notifier" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa2de1138, "i2c_client_type" },
	{ 0x343c8959, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x10537f19, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xbc40496c, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45ee0529, "put_device" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9B46586097E0FAF033FE497");

MODULE_INFO(suserelease, "SLFO-1.2");
