#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iio_dma_buffer_block_done, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_block_list_abort, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_request_update, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_enable, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_disable, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_read, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_write, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_usage, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_attach_dmabuf, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_detach_dmabuf, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_enqueue_dmabuf, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_lock_queue, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_unlock_queue, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_set_bytes_per_datum, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_set_length, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_init, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_exit, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_release, "_gpl", "IIO_DMA_BUFFER");

SYMBOL_CRC(iio_dma_buffer_block_done, 0x52d04d34, "_gpl");
SYMBOL_CRC(iio_dma_buffer_block_list_abort, 0xf45da5fd, "_gpl");
SYMBOL_CRC(iio_dma_buffer_request_update, 0xf0e88c32, "_gpl");
SYMBOL_CRC(iio_dma_buffer_enable, 0xcc659648, "_gpl");
SYMBOL_CRC(iio_dma_buffer_disable, 0xac1c744d, "_gpl");
SYMBOL_CRC(iio_dma_buffer_read, 0x43a05c66, "_gpl");
SYMBOL_CRC(iio_dma_buffer_write, 0x2e019be0, "_gpl");
SYMBOL_CRC(iio_dma_buffer_usage, 0x480bb27d, "_gpl");
SYMBOL_CRC(iio_dma_buffer_attach_dmabuf, 0xf35cb88e, "_gpl");
SYMBOL_CRC(iio_dma_buffer_detach_dmabuf, 0x3bf6c144, "_gpl");
SYMBOL_CRC(iio_dma_buffer_enqueue_dmabuf, 0x6aa95814, "_gpl");
SYMBOL_CRC(iio_dma_buffer_lock_queue, 0x90367893, "_gpl");
SYMBOL_CRC(iio_dma_buffer_unlock_queue, 0x8424a20e, "_gpl");
SYMBOL_CRC(iio_dma_buffer_set_bytes_per_datum, 0x71ec5c57, "_gpl");
SYMBOL_CRC(iio_dma_buffer_set_length, 0x67aee681, "_gpl");
SYMBOL_CRC(iio_dma_buffer_init, 0xa7c90f36, "_gpl");
SYMBOL_CRC(iio_dma_buffer_exit, 0xedf43f5b, "_gpl");
SYMBOL_CRC(iio_dma_buffer_release, 0x89d329ad, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0xd6c77aa2, "iio_buffer_put" },
	{ 0x37a0cba, "kfree" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x180d19b3, "iio_buffer_init" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x8a0b6d0b, "iio_buffer_get" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x1fb1e88f, "iio_buffer_signal_dmabuf_done" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "industrialio");


MODULE_INFO(srcversion, "64DCF8D7C4D48A5DA12915B");

MODULE_INFO(suserelease, "SLFO-1.2");
