#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_sensor_read_poll_value, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_read_samp_freq_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_write_samp_freq_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_read_raw_hyst_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_read_raw_hyst_rel_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_write_raw_hyst_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_write_raw_hyst_rel_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_format_scale, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_convert_timestamp, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_get_report_latency, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_set_report_latency, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_batch_mode_supported, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_parse_common_attributes, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_read_poll_value, 0xe29cddae, "");
SYMBOL_CRC(hid_sensor_read_samp_freq_value, 0x1b09b428, "");
SYMBOL_CRC(hid_sensor_write_samp_freq_value, 0x726ac134, "");
SYMBOL_CRC(hid_sensor_read_raw_hyst_value, 0xf3773146, "");
SYMBOL_CRC(hid_sensor_read_raw_hyst_rel_value, 0xbb3dc763, "");
SYMBOL_CRC(hid_sensor_write_raw_hyst_value, 0x1566a99f, "");
SYMBOL_CRC(hid_sensor_write_raw_hyst_rel_value, 0x6e544db8, "");
SYMBOL_CRC(hid_sensor_format_scale, 0x7f7621ec, "");
SYMBOL_CRC(hid_sensor_convert_timestamp, 0x654b6e76, "");
SYMBOL_CRC(hid_sensor_get_report_latency, 0xc7a3cfa9, "");
SYMBOL_CRC(hid_sensor_set_report_latency, 0x5c96f829, "");
SYMBOL_CRC(hid_sensor_batch_mode_supported, 0x305c5993, "");
SYMBOL_CRC(hid_sensor_parse_common_attributes, 0xefca94ba, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x29dcd8b9, "sensor_hub_set_feature" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1af267f8, "int_pow" },
	{ 0xaa486589, "sensor_hub_input_get_attribute_info" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf851f897, "sensor_hub_get_feature" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "hid-sensor-hub");


MODULE_INFO(srcversion, "191F8EAE534206EA6F6657E");

MODULE_INFO(suserelease, "SLFO-1.2");
