#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_sensor_power_state, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_remove_trigger, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_setup_trigger, "", "IIO_HID");
KSYMTAB_DATA(hid_sensor_pm_ops, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_power_state, 0x0c2b50f4, "");
SYMBOL_CRC(hid_sensor_remove_trigger, 0x2d6cfa0d, "");
SYMBOL_CRC(hid_sensor_setup_trigger, 0x8a346c8f, "");
SYMBOL_CRC(hid_sensor_pm_ops, 0xe0207b6d, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x473c64b6, "__pm_runtime_use_autosuspend" },
	{ 0xbefec929, "__pm_runtime_suspend" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x74653454, "iio_trigger_unregister" },
	{ 0x64f8fffd, "iio_trigger_free" },
	{ 0x199cda90, "iio_triggered_buffer_cleanup" },
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0xc6e1f393, "sensor_hub_device_close" },
	{ 0xe393dbd5, "hid_sensor_get_usage_index" },
	{ 0xf851f897, "sensor_hub_get_feature" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29dcd8b9, "sensor_hub_set_feature" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x5584f379, "sensor_hub_device_open" },
	{ 0xe29cddae, "hid_sensor_read_poll_value" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c96f829, "hid_sensor_set_report_latency" },
	{ 0xc7a3cfa9, "hid_sensor_get_report_latency" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x26f6b499, "iio_str_to_fixpoint" },
	{ 0x305c5993, "hid_sensor_batch_mode_supported" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xdb13046, "iio_triggered_buffer_setup_ext" },
	{ 0xdc38f13d, "iio_device_id" },
	{ 0xf6aa438e, "__iio_trigger_alloc" },
	{ 0xb4910d54, "iio_trigger_register" },
	{ 0x1a2f220, "get_device" },
	{ 0x90fe8bbd, "__module_get" },
	{ 0xa7ab3e7c, "pm_runtime_set_autosuspend_delay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x33719327, "_dev_err" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,hid-sensor-hub,hid-sensor-iio-common");


MODULE_INFO(srcversion, "E6C5AD7E4C6A1C7582A12C4");

MODULE_INFO(suserelease, "SLFO-1.2");
