#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0x2445c6df, "");
SYMBOL_CRC(ib_destroy_cm_id, 0xecfcca86, "");
SYMBOL_CRC(ib_cm_listen, 0x7fdd07eb, "");
SYMBOL_CRC(ib_cm_insert_listen, 0xa307c57c, "");
SYMBOL_CRC(ib_send_cm_req, 0x417080e5, "");
SYMBOL_CRC(ib_send_cm_rep, 0x07c8c3e0, "");
SYMBOL_CRC(ib_send_cm_rtu, 0xe94eca3b, "");
SYMBOL_CRC(ib_send_cm_dreq, 0xc8ab2121, "");
SYMBOL_CRC(ib_send_cm_drep, 0x421d8d62, "");
SYMBOL_CRC(ib_send_cm_rej, 0xc0f42401, "");
SYMBOL_CRC(ib_send_cm_mra, 0xd6972fe7, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0xe2d43986, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0xe3fbd4a5, "");
SYMBOL_CRC(ib_cm_notify, 0x5e958afd, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0x481ee730, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0xea760c7, "rdma_create_ah" },
	{ 0xb578d5e5, "ib_init_ah_attr_from_wc" },
	{ 0xec0944e, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0x6174d70f, "ib_register_client" },
	{ 0xc1270f88, "ib_unregister_mad_agent" },
	{ 0x62c194d7, "ib_post_send_mad" },
	{ 0xb195648b, "ib_create_send_mad" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x2d4d7d75, "rdma_destroy_ah_attr" },
	{ 0x833c4214, "ib_set_client_data" },
	{ 0x68d83b05, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb9b31de8, "xa_load" },
	{ 0x5cc2be42, "rdma_put_gid_attr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7dd02326, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xbc745631, "rdma_destroy_ah_user" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x37c69386, "ib_free_send_mad" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xa9f43437, "ib_port_unregister_client_groups" },
	{ 0x918431c7, "xa_erase" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0x361fe9e5, "rdma_move_ah_attr" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0x5aff3079, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe534dea0, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0xeda73bf, "ib_free_recv_mad" },
	{ 0xc5d193e4, "ib_register_mad_agent" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2489978d, "ib_modify_mad" },
	{ 0x3e50f7d9, "ib_create_ah_from_wc" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xef1124d4, "ib_unregister_client" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa5a7ca1, "ib_init_ah_attr_from_path" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0xcf99bd97, "rdma_query_gid" },
	{ 0xfb460de2, "ib_port_register_client_groups" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x45c11da, "ib_modify_port" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "3E75C9F061E69530040EC8C");

MODULE_INFO(suserelease, "SLFO-1.2");
