#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(rdma_user_mmap_disassociate, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_FUNC(uverbs_try_lock_object, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned_with_dma_device, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_revoke, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0xbc6ffdad, "");
SYMBOL_CRC(rdma_user_mmap_disassociate, 0xbb0029e4, "");
SYMBOL_CRC(flow_resources_alloc, 0xc8b67d38, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0xdb5f4506, "");
SYMBOL_CRC(flow_resources_add, 0x74484bdd, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0xd0da13b8, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x282511ec, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(uverbs_uobject_put, 0xd5dc6373, "");
SYMBOL_CRC(uverbs_try_lock_object, 0x1e1d3d2e, "");
SYMBOL_CRC(uverbs_idr_class, 0x4ebdde9a, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0xe4012af7, "");
SYMBOL_CRC(uverbs_fd_class, 0x29a6d6e3, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x7f4d30bd, "");
SYMBOL_CRC(_uverbs_alloc, 0x079b1661, "");
SYMBOL_CRC(uverbs_get_flags64, 0x682ff0bb, "");
SYMBOL_CRC(uverbs_get_flags32, 0xad8bb3f1, "");
SYMBOL_CRC(uverbs_copy_to, 0x467152f4, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x3e0e8e52, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x68083a35, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x200c4b89, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0x49fb5ede, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x03500f63, "");
SYMBOL_CRC(ib_umem_get, 0x442a6f84, "");
SYMBOL_CRC(ib_umem_release, 0x9447bfa6, "");
SYMBOL_CRC(ib_umem_copy_from, 0xa5c67406, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0xaba42b79, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0xf9f08640, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0x5907ef84, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned_with_dma_device, 0x81e28016, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0x032baf08, "");
SYMBOL_CRC(ib_umem_dmabuf_revoke, 0x5bc98e58, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0xd2bf135e, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0x477a85b8, "");
SYMBOL_CRC(ib_umem_odp_get, 0x2a79aed6, "");
SYMBOL_CRC(ib_umem_odp_release, 0xeaae83e1, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0x997b3186, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0x672ac104, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3083bb6c, "ib_query_port" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0x8d304f20, "nla_put" },
	{ 0x33f23168, "ww_mutex_lock" },
	{ 0xb974afde, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x14804b34, "ib_qp_usecnt_inc" },
	{ 0xf4be7d8, "dma_buf_put" },
	{ 0x10119bb, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x30ec0b8f, "cleanup_srcu_struct" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8beecf0, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x177db439, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x9a11a77, "rdma_create_user_ah" },
	{ 0xbc745631, "rdma_destroy_ah_user" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x5c7d68a3, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd2bd787c, "ib_destroy_cq_user" },
	{ 0xa985aeff, "down_read" },
	{ 0x81fd7be2, "__mmdrop" },
	{ 0x5a390048, "rdma_restrack_del" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xc119e274, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9cfa588a, "set_page_dirty" },
	{ 0x918431c7, "xa_erase" },
	{ 0x5eab9be2, "__mmap_lock_do_trace_start_locking" },
	{ 0x75829582, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7230beea, "fdget" },
	{ 0x436bc9f6, "igrab" },
	{ 0xa2361b3a, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xfdd3e608, "mmput" },
	{ 0x5c3a6ecd, "dma_map_sgtable" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0xfea41449, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2979d8b6, "__tracepoint_mmap_lock_start_locking" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x690c7e13, "__mmap_lock_do_trace_released" },
	{ 0x9d05317f, "ib_alloc_xrcd_user" },
	{ 0xe534dea0, "xa_store" },
	{ 0x30024cbb, "__srcu_read_unlock" },
	{ 0x3b6d35c, "rdma_set_cq_moderation" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0x41e43001, "ib_dealloc_xrcd_user" },
	{ 0xf199c9dc, "dma_buf_detach" },
	{ 0x2bcf0760, "stream_open" },
	{ 0xac196caf, "mmu_interval_notifier_insert" },
	{ 0xe804399a, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x51921b33, "ib_open_qp" },
	{ 0xb4ea9553, "ib_dealloc_pd_user" },
	{ 0x867e78e6, "rdma_get_gid_attr" },
	{ 0x11e6ecb, "dma_unmap_sg_attrs" },
	{ 0xf5214224, "rdma_port_get_link_layer" },
	{ 0xa256d729, "xa_find_after" },
	{ 0x80e99749, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xfc032608, "rdma_query_gid_table" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0x5eedf25f, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x61275af4, "rdma_restrack_put" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xdc0e27d8, "ib_attach_mcast" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x9f2d21b8, "rdma_umap_priv_init" },
	{ 0xc40bf4ce, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0xc63c47cb, "ib_destroy_wq_user" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x5caa6567, "put_pid" },
	{ 0xe99bba1f, "class_register" },
	{ 0xaf86b7d6, "cdev_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x2a87154, "rdma_user_mmap_entry_put" },
	{ 0xbc683d8f, "pin_user_pages_fast" },
	{ 0x3548b143, "mmu_interval_notifier_remove" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xdc0df056, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x68e156d6, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x173756c, "__init_rwsem" },
	{ 0xef1124d4, "ib_unregister_client" },
	{ 0x11b582f2, "show_class_attr_string" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x8c1c2e2a, "unpin_user_pages_dirty_lock" },
	{ 0x1056f31c, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0xce2e43a2, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf995f6d7, "mmu_interval_read_begin" },
	{ 0x8fd61032, "ib_create_qp_user" },
	{ 0xcce736b5, "dma_resv_wait_timeout" },
	{ 0xf3723554, "cdev_device_del" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf7c2c630, "radix_tree_lookup" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x6de3c76e, "get_pid_task" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x7087ee17, "kill_fasync" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x1e8c3197, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xf7a53a57, "fget" },
	{ 0xf330c682, "__put_task_struct" },
	{ 0x97a390bf, "ib_query_srq" },
	{ 0xe7001b64, "ww_mutex_unlock" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x685c67f3, "__dynamic_ibdev_dbg" },
	{ 0x2f592f47, "ib_rdmacg_try_charge" },
	{ 0xd3a193e3, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1c5c7241, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x5ba4745e, "unpin_user_page_range_dirty_lock" },
	{ 0x7707c6ca, "iput" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x1d227d8f, "dma_buf_unpin" },
	{ 0xab027839, "zap_vma_ptes" },
	{ 0x9630bf37, "ib_dereg_mr_user" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xa7bc7ccd, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xe9e8f1b6, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa5de157b, "rdma_dev_access_netns" },
	{ 0x1a2f220, "get_device" },
	{ 0x7c3e7b2e, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xdbc526a5, "__tracepoint_mmap_lock_released" },
	{ 0x73d78539, "down_read_trylock" },
	{ 0x15225f69, "dma_buf_dynamic_attach" },
	{ 0xe78b0b41, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xc99bf060, "radix_tree_iter_delete" },
	{ 0x4ea14bd, "ib_destroy_srq_user" },
	{ 0xa07d5686, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x4cd29368, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f64df31, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xc1121ab5, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x45ee0529, "put_device" },
	{ 0xb5d5d35b, "radix_tree_lookup_slot" },
	{ 0x609a2055, "ib_modify_qp_with_udata" },
	{ 0x6c395b3c, "ib_register_event_handler" },
	{ 0x8ac65263, "ib_detach_mcast" },
	{ 0xa573543b, "dma_buf_map_attachment" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x8375762d, "__free_pages" },
	{ 0x389117f0, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6857cc3d, "module_put" },
	{ 0x6174d70f, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x2a730987, "compat_ptr_ioctl" },
	{ 0x279b88d, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x4109edc2, "__task_pid_nr_ns" },
	{ 0x75a54147, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3ed5a5a3, "init_srcu_struct" },
	{ 0xc794f8c, "fput" },
	{ 0x833c4214, "ib_set_client_data" },
	{ 0x77f5bb81, "down_write" },
	{ 0x33719327, "_dev_err" },
	{ 0x264635e1, "up_write" },
	{ 0xe09ab3f7, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xc7e6f0f4, "radix_tree_next_chunk" },
	{ 0xc4510dc7, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb9b31de8, "xa_load" },
	{ 0x5cc2be42, "rdma_put_gid_attr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x90119831, "dma_buf_get" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "9671813C90BFED2F1C922D3");

MODULE_INFO(suserelease, "SLFO-1.2");
