#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xaadc7ad7, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x989e31f2, "");
SYMBOL_CRC(rdma_iw_cm_id, 0xec55775a, "");
SYMBOL_CRC(rdma_res_to_id, 0x4f39bca5, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x8e611502, "");
SYMBOL_CRC(rdma_create_user_id, 0xe51e25e1, "");
SYMBOL_CRC(rdma_create_qp, 0x186598b8, "");
SYMBOL_CRC(rdma_destroy_qp, 0xb2095cb2, "");
SYMBOL_CRC(rdma_init_qp_attr, 0xcb2bf851, "");
SYMBOL_CRC(rdma_destroy_id, 0x725ed4c9, "");
SYMBOL_CRC(rdma_get_service_id, 0xd7d45406, "");
SYMBOL_CRC(rdma_read_gids, 0xbc19d81a, "");
SYMBOL_CRC(rdma_set_service_type, 0xecd96c82, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0xb8456982, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x56262201, "");
SYMBOL_CRC(rdma_set_ib_path, 0x1e801be1, "");
SYMBOL_CRC(rdma_resolve_route, 0xa7a78afc, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x76b6c562, "");
SYMBOL_CRC(rdma_set_afonly, 0x3ecb291e, "");
SYMBOL_CRC(rdma_listen, 0x6370086c, "");
SYMBOL_CRC(rdma_resolve_addr, 0x90658106, "");
SYMBOL_CRC(rdma_bind_addr, 0xf7989f43, "");
SYMBOL_CRC(rdma_connect_locked, 0x4d40dc12, "");
SYMBOL_CRC(rdma_connect, 0x663b190c, "");
SYMBOL_CRC(rdma_connect_ece, 0xc29a2fbf, "");
SYMBOL_CRC(rdma_accept, 0x1516a1c3, "");
SYMBOL_CRC(rdma_accept_ece, 0xb3186f86, "");
SYMBOL_CRC(rdma_lock_handler, 0x854b4a8b, "");
SYMBOL_CRC(rdma_unlock_handler, 0x48f55793, "");
SYMBOL_CRC(rdma_notify, 0x931aaa7e, "");
SYMBOL_CRC(rdma_reject, 0x24632538, "");
SYMBOL_CRC(rdma_disconnect, 0x88743645, "");
SYMBOL_CRC(rdma_join_multicast, 0xac7cba8d, "");
SYMBOL_CRC(rdma_leave_multicast, 0x412fc9b6, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x985b7fd2, "iw_cm_connect" },
	{ 0xc1121ab5, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x490aa058, "rdma_addr_cancel" },
	{ 0x5e958afd, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0x3d79df92, "ib_sa_get_mcmember_rec" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x6174d70f, "ib_register_client" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4b1056c3, "ib_sa_path_rec_get" },
	{ 0x2445c6df, "ib_create_cm_id" },
	{ 0xe682b7dd, "__ip_mc_dec_group" },
	{ 0xaebc0749, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0xe60853d1, "ib_init_ah_from_mcmember" },
	{ 0x2d4d7d75, "rdma_destroy_ah_attr" },
	{ 0x833c4214, "ib_set_client_data" },
	{ 0xf1597117, "init_net" },
	{ 0x68d83b05, "ib_get_cached_pkey" },
	{ 0x7c0edf48, "configfs_register_subsystem" },
	{ 0xd70958b6, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb9b31de8, "xa_load" },
	{ 0x5cc2be42, "rdma_put_gid_attr" },
	{ 0xc5efe949, "config_group_init_type_name" },
	{ 0x745ac523, "dev_get_by_index" },
	{ 0x92e1be0d, "iw_destroy_cm_id" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6c88aae8, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x7c8c3e0, "ib_send_cm_rep" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x692bf6e4, "iw_cm_disconnect" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0x8beecf0, "ib_destroy_qp_user" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0x481ee730, "ib_cm_init_qp_attr" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x421d8d62, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x177db439, "rdma_restrack_set_name" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x69be946b, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x7744cb40, "ib_get_cached_port_state" },
	{ 0xd6972fe7, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5a390048, "rdma_restrack_del" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x7c182975, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb98fa7ed, "__xa_insert" },
	{ 0x918431c7, "xa_erase" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0xd1bff884, "__put_net" },
	{ 0x9128c77, "rdma_restrack_parent_name" },
	{ 0x7d5f5ebc, "iw_cm_accept" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x6f1a02b3, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xede4e41b, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0xaa88a3a7, "iw_cm_init_qp_attr" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0xe94eca3b, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc8ab2121, "ib_send_cm_dreq" },
	{ 0x417080e5, "ib_send_cm_req" },
	{ 0x93c80522, "ib_create_qp_kernel" },
	{ 0x3c9d8fa, "ib_sa_join_multicast" },
	{ 0x6f546ae0, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x867e78e6, "rdma_get_gid_attr" },
	{ 0x80e99749, "rdma_restrack_new" },
	{ 0x763c1338, "__fib_lookup" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x2949b759, "iw_cm_listen" },
	{ 0xc0f42401, "ib_send_cm_rej" },
	{ 0x4e0a7e62, "rdma_copy_src_l2_addr" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x3b6f465d, "rdma_resolve_ip" },
	{ 0xe2d43986, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6ba967a, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xef1124d4, "ib_unregister_client" },
	{ 0xd204f99d, "netdev_walk_all_lower_dev_rcu" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe3fbd4a5, "ib_send_cm_sidr_rep" },
	{ 0xd0d81b71, "bpf_trace_run4" },
	{ 0x7884654e, "config_group_init" },
	{ 0xa5a7ca1, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xaf34f576, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0xa307c57c, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcf99bd97, "rdma_query_gid" },
	{ 0x593d7f0d, "rt6_lookup" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xbd5d0ec0, "rdma_translate_ip" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0xa5de157b, "rdma_dev_access_netns" },
	{ 0x6fd05ba, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xecfcca86, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x22c6ba36, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0xad724c78, "ip_mc_inc_group" },
	{ 0xa07d5686, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xec0944e, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "iw_cm,ib_core,ib_cm,configfs");


MODULE_INFO(srcversion, "37828044C34217E59AAAB4A");

MODULE_INFO(suserelease, "SLFO-1.2");
