#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rmi_dbg, "_gpl", "");
KSYMTAB_FUNC(rmi_register_transport_device, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_transport_device, "", "");
KSYMTAB_FUNC(__rmi_register_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_of_property_read_u32, "_gpl", "");
KSYMTAB_FUNC(rmi_set_attn_data, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_suspend, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_resume, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_process, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_rel_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_configure_input, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_of_probe, "_gpl", "");

SYMBOL_CRC(rmi_dbg, 0xd4446b3e, "_gpl");
SYMBOL_CRC(rmi_register_transport_device, 0x96244974, "_gpl");
SYMBOL_CRC(rmi_unregister_transport_device, 0x03d446cc, "");
SYMBOL_CRC(__rmi_register_function_handler, 0xb2d05dfa, "_gpl");
SYMBOL_CRC(rmi_unregister_function_handler, 0xc8fa6650, "_gpl");
SYMBOL_CRC(rmi_of_property_read_u32, 0xaee94b67, "_gpl");
SYMBOL_CRC(rmi_set_attn_data, 0x10684722, "_gpl");
SYMBOL_CRC(rmi_driver_suspend, 0x02018a93, "_gpl");
SYMBOL_CRC(rmi_driver_resume, 0x95a3685a, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_process, 0x1c812531, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_report, 0xc35561c1, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_rel_report, 0x1b2b376b, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_configure_input, 0x2a4a914a, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_of_probe, 0xbb97160a, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcff06e8a, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcf013ded, "vb2_ioctl_dqbuf" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x5fbdd86f, "devm_kfree" },
	{ 0x33719327, "_dev_err" },
	{ 0x192a816b, "vb2_ioctl_create_bufs" },
	{ 0x3d44dcd8, "device_add" },
	{ 0xccfd793d, "input_mt_init_slots" },
	{ 0x9b22d216, "irq_get_irq_data" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x30e954c3, "input_set_capability" },
	{ 0x2465acc7, "vb2_buffer_done" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0xd5c25fb1, "vb2_plane_vaddr" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcd1b50bf, "video_unregister_device" },
	{ 0x6270d8b3, "sysfs_create_group" },
	{ 0x890ac755, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x25ee2c2b, "vb2_fop_mmap" },
	{ 0x2e9c96c7, "device_del" },
	{ 0xef1d8289, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xd6fbf9b5, "vb2_vmalloc_memops" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x10441ce5, "serio_unregister_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd6935a2c, "input_event" },
	{ 0x13fc7fbe, "vb2_fop_read" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x1fe9fb8e, "v4l2_device_register" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xd91af080, "input_set_abs_params" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x56e76cc9, "devm_kasprintf" },
	{ 0x23d8e0a9, "sysfs_remove_group" },
	{ 0x6b3d13a3, "serio_interrupt" },
	{ 0x5a972402, "irq_domain_instantiate" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7529c68d, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x82f68e9f, "vb2_ops_wait_prepare" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xef8d0f4f, "irq_create_mapping_affinity" },
	{ 0xd5ecc1af, "vb2_ioctl_streamon" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x91c95bfe, "input_alloc_absinfo" },
	{ 0x85568200, "vb2_fop_poll" },
	{ 0x20c09e8e, "v4l2_device_unregister" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xf80797cf, "_dev_printk" },
	{ 0x1676ba33, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x16136184, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2681c629, "vb2_ioctl_reqbufs" },
	{ 0xbe8c5ce0, "vb2_queue_init" },
	{ 0x126ea97, "input_mt_assign_slots" },
	{ 0x3f2f504f, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x1a1d1183, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x4431d0ed, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xa6faac64, "input_mt_sync_frame" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xc0e029b3, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xd95aeb24, "vb2_ops_wait_finish" },
	{ 0x2476a690, "request_firmware" },
	{ 0xb6ddf1e, "input_mt_report_slot_state" },
	{ 0x4f32143d, "device_initialize" },
	{ 0xff6ad63d, "devm_input_allocate_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x2b12dc33, "vb2_ioctl_querybuf" },
	{ 0xe81aba9a, "__serio_register_port" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3f0b4e8f, "v4l2_fh_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x7dacd7cd, "irq_domain_simple_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x3724b25d, "input_register_device" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x60ac35fb, "video_devdata" },
	{ 0x55c559e, "irq_set_chip_and_handler_name" },
	{ 0x45ee0529, "put_device" },
	{ 0xde7e405e, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2db677b9, "handle_simple_irq" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-common,videodev,videobuf2-vmalloc");


MODULE_INFO(srcversion, "C7C7250971C62136A5A83FF");

MODULE_INFO(suserelease, "SLFO-1.2");
