#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f2d2f6c, "crypto_aead_setkey" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5a921311, "strncmp" },
	{ 0x4997e10f, "key_type_trusted" },
	{ 0x1c63321c, "key_type_logon" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x30a14f60, "request_key_tag" },
	{ 0xa985aeff, "down_read" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x423e5994, "key_put" },
	{ 0x1a8ac766, "key_type_user" },
	{ 0xbb678a13, "key_type_encrypted" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x9f984513, "strrchr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xefe395e7, "crypto_alloc_ahash" },
	{ 0x3fca4178, "dm_table_device_name" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0x85df9b6c, "strsep" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xa4ef547d, "mempool_init_noprof" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x757dfca6, "bioset_init" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x740d16c8, "dm_table_get_mode" },
	{ 0x2de5e747, "dm_get_device" },
	{ 0xb733cf78, "dm_table_get_md" },
	{ 0xcd4b3a77, "crypto_aead_setauthsize" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0xbae33369, "dm_device_name" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x6de6d991, "set_user_nice" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0x524f33bc, "bio_alloc_bioset" },
	{ 0xab59acbe, "__bio_add_page" },
	{ 0x3fb7a406, "mempool_alloc_noprof" },
	{ 0x24ac13d3, "bio_put" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xf0cc3609, "bio_alloc_clone" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x832b148, "bio_copy_data" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa6257a2f, "complete" },
	{ 0xf840b1d3, "dm_audit_log_bio" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x3a3a14a9, "crypto_aead_encrypt" },
	{ 0x3c7f8eae, "crypto_skcipher_decrypt" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x7fa3ddcb, "crypto_aead_decrypt" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x9c9c3341, "bio_associate_blkg" },
	{ 0xabc5b921, "dm_accept_partial_bio" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xfd73d2de, "dm_register_target" },
	{ 0x5853b276, "dm_report_zones" },
	{ 0x92997ed8, "_printk" },
	{ 0x754d539c, "strlen" },
	{ 0x349cba85, "strchr" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfb578fc5, "memset" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeaa4ddd4, "crypto_skcipher_setkey" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x96848186, "scnprintf" },
	{ 0xe3e1400a, "dm_per_bio_data" },
	{ 0x36abf882, "mempool_free" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc3291c40, "bio_integrity_alloc" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xcf9ffaac, "bio_integrity_add_page" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x37a0cba, "kfree" },
	{ 0x66444d06, "bio_endio" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8a1f3eca, "crypto_destroy_tfm" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x8375762d, "__free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x90f58b77, "crypto_shash_update" },
	{ 0x3f05769, "crypto_shash_export" },
	{ 0xdfddce97, "dm_unregister_target" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xced99116, "crypto_alloc_aead" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5a901a62, "crypto_alloc_skcipher" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa3f12f69, "__crypto_xor" },
	{ 0x291c3c62, "crypto_shash_digest" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x1000e51, "schedule" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x36824efb, "blk_start_plug" },
	{ 0xece784c2, "rb_first" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xcf8c3432, "dm_submit_bio_remap" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x64eb543d, "blk_finish_plug" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xdb382c0a, "crypto_skcipher_encrypt" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbaeb8e8c, "crypto_alloc_shash" },
	{ 0xd960722a, "kthread_stop" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd429d96, "bioset_exit" },
	{ 0xfae0e8fa, "mempool_exit" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xe58e3d75, "dm_put_device" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x2e7ab69c, "dm_audit_log_ti" },
	{ 0x10119bb, "ida_free" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "trusted,dm-mod");


MODULE_INFO(srcversion, "635A3045A342177A25D103E");

MODULE_INFO(suserelease, "SLFO-1.2");
