#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(_dm_prepare_ioctl, "_gpl", "");
KSYMTAB_FUNC(dm_unprepare_ioctl, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_devt_from_path, "", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0x6d18fe27, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0xc3815ad5, "_gpl");
SYMBOL_CRC(dm_report_zones, 0x5853b276, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0x2e7ab69c, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0xf840b1d3, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0xe3e1400a, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0x08abd678, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0x23cfccd9, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(_dm_prepare_ioctl, 0xef716920, "_gpl");
SYMBOL_CRC(dm_unprepare_ioctl, 0xceb0054e, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0xcc8892e2, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0x3fb51283, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0xabc5b921, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0xcf8c3432, "_gpl");
SYMBOL_CRC(dm_get_md, 0x9e37b2cc, "_gpl");
SYMBOL_CRC(dm_hold, 0xb3eb9888, "_gpl");
SYMBOL_CRC(dm_device_name, 0xbae33369, "_gpl");
SYMBOL_CRC(dm_put, 0xa3836659, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0xec90ab78, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0x77c78d42, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0x231b4587, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0x42efec79, "_gpl");
SYMBOL_CRC(dm_disk, 0xc1953d8d, "_gpl");
SYMBOL_CRC(dm_suspended, 0x95b651b0, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0x6c4b472d, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0x760b79ec, "_gpl");
SYMBOL_CRC(dm_devt_from_path, 0x23418c7d, "");
SYMBOL_CRC(dm_get_device, 0x2de5e747, "");
SYMBOL_CRC(dm_put_device, 0xe58e3d75, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0xf1bee8b5, "_gpl");
SYMBOL_CRC(dm_table_event, 0xe9ed4aec, "");
SYMBOL_CRC(dm_table_get_size, 0x1d093329, "");
SYMBOL_CRC(dm_table_get_mode, 0x740d16c8, "");
SYMBOL_CRC(dm_table_get_md, 0xb733cf78, "");
SYMBOL_CRC(dm_table_device_name, 0x3fca4178, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0xa2fdb2a8, "");
SYMBOL_CRC(dm_register_target, 0xfd73d2de, "");
SYMBOL_CRC(dm_unregister_target, 0xdfddce97, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0xa15388c7, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x18d71d5f, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x543a071b, "");
SYMBOL_CRC(dm_kcopyd_zero, 0x29c89887, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0x4e65155a, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x3ed5a5a3, "init_srcu_struct" },
	{ 0x7693bfe8, "__SCK__tp_func_block_bio_remap" },
	{ 0xc794f8c, "fput" },
	{ 0x77f5bb81, "down_write" },
	{ 0x6cc2a62a, "blk_revalidate_disk_zones" },
	{ 0x264635e1, "up_write" },
	{ 0xd51f8d50, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xec5668f6, "dax_zero_page_range" },
	{ 0xc4510dc7, "__srcu_read_lock" },
	{ 0xa7db12f0, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdc42c581, "set_capacity" },
	{ 0x2ab660cc, "submit_bio_noacct" },
	{ 0x136d2728, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x57cd24d4, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0xfac59ac4, "dax_remove_host" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x535bef4e, "bio_chain" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x491e71e, "dax_recovery_write" },
	{ 0x23adcfba, "bdev_freeze" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0xd135a1e4, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x11ae8dd8, "kobject_init_and_add" },
	{ 0x15cd98f8, "zero_fill_bio_iter" },
	{ 0xd20a185b, "bio_add_page" },
	{ 0x90f58b77, "crypto_shash_update" },
	{ 0x89262146, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x87d2294d, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x30ec0b8f, "cleanup_srcu_struct" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x52eeb35d, "bdev_file_open_by_dev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x90bc3ba, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0xe78c1cdf, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x266a1d34, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xd3a1500e, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0xf0cc3609, "bio_alloc_clone" },
	{ 0x3c6a98c7, "__kmalloc_cache_node_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe54012d3, "misc_register" },
	{ 0x37fc1d8e, "blk_crypto_evict_key" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe643de34, "blk_insert_cloned_request" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xa985aeff, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc85d5b2a, "audit_log_start" },
	{ 0x4b4f6903, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x37fd3788, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xc7263a09, "bio_uninit" },
	{ 0x40188962, "crypto_shash_final" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x757dfca6, "bioset_init" },
	{ 0x66bc9770, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x30024cbb, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0xac0a5cd3, "__tracepoint_block_bio_remap" },
	{ 0x8fdcd085, "__tracepoint_block_rq_remap" },
	{ 0x67e17589, "bd_link_disk_holder" },
	{ 0x71d086d8, "blk_mq_start_request" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x7242d92, "put_dax" },
	{ 0xc9cc8b5f, "file_bdev" },
	{ 0x3f3efb03, "queue_limits_stack_integrity" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x76873bee, "__SCK__tp_func_block_rq_remap" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa4ef547d, "mempool_init_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe06a3977, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0xa40fc741, "blk_zone_plug_bio" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xac8d3000, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0xbaeb8e8c, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0x4b994feb, "queue_limits_set" },
	{ 0x524f33bc, "bio_alloc_bioset" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xc40bf4ce, "up_read" },
	{ 0xccea8e1d, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x21bba8b3, "blkdev_report_zones" },
	{ 0xd2ee0047, "bdev_end_io_acct" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xfae0e8fa, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0x98a91a21, "blk_crypto_update_capabilities" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xde021df3, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x9c9c3341, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0xad10199c, "set_disk_ro" },
	{ 0xc297499a, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x173756c, "__init_rwsem" },
	{ 0xbca03f0, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x36824efb, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x333051c0, "idr_find" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x39d54c05, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x57114cbb, "bio_split_to_limits" },
	{ 0xebafee8d, "vmalloc_to_page" },
	{ 0xb4fa948b, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd4404350, "__SCT__tp_func_block_split" },
	{ 0xcf02ab71, "__SCT__tp_func_block_rq_remap" },
	{ 0x2a54d1bd, "fs_dax_get_by_bdev" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0x4de975ec, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0x67b436b6, "blk_mq_queue_inflight" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x2b1b46c, "blk_crypto_profile_destroy" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe4ef0a16, "idr_replace" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xcd3cdba5, "dm_kobject_release" },
	{ 0xcf2a6966, "up" },
	{ 0x18567c8c, "blk_rq_prep_clone" },
	{ 0x252aa5e, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x9612cd5b, "prepare_to_wait" },
	{ 0xb33bc30, "blk_mq_quiesce_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x24cb96d, "blk_crypto_profile_init" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x65614a31, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xdc3d3f13, "blk_rq_unprep_clone" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xe9e8f1b6, "synchronize_srcu" },
	{ 0x3fb9c1e2, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xa81494f0, "bdev_thaw" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x36abf882, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0x1ce4f165, "alloc_dax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x377d28fa, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xf9820255, "blk_mq_alloc_tag_set" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x8a1f3eca, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x57901444, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0xd7e4dd72, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x411de822, "blk_crypto_register" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x45987308, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0x8662335f, "__fput_sync" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xaff9bed1, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0x20d848f, "__SCK__tp_func_block_split" },
	{ 0x618911fc, "numa_node" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8375762d, "__free_pages" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0x64eb543d, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd4155d2c, "submit_bio" },
	{ 0x7f5111bf, "blk_crypto_has_capabilities" },
	{ 0x2308a936, "dax_add_host" },
	{ 0x6857cc3d, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x218ed3f8, "blk_mq_init_allocated_queue" },
	{ 0xd429d96, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xd5cecc6, "ima_measure_critical_data" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x3fb7a406, "mempool_alloc_noprof" },
	{ 0xcb629113, "kobject_uevent_env" },
	{ 0x24ac13d3, "bio_put" },
	{ 0x35de706c, "blk_crypto_intersect_capabilities" },
	{ 0x66444d06, "bio_endio" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "78C97E20CB9718D1648A169");

MODULE_INFO(suserelease, "SLFO-1.2");
