#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dm_register_path_selector, "_gpl", "");
KSYMTAB_FUNC(dm_unregister_path_selector, "_gpl", "");

SYMBOL_CRC(dm_register_path_selector, 0x59e7a502, "_gpl");
SYMBOL_CRC(dm_unregister_path_selector, 0xbe90f84d, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef716920, "_dm_prepare_ioctl" },
	{ 0x57e97b84, "blk_mq_free_request" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x64eb543d, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6857cc3d, "module_put" },
	{ 0x66444d06, "bio_endio" },
	{ 0x77f5bb81, "down_write" },
	{ 0xd742d1df, "sg_io" },
	{ 0x264635e1, "up_write" },
	{ 0x95b651b0, "dm_suspended" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2ab660cc, "submit_bio_noacct" },
	{ 0x56bcf7b, "dm_read_arg" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xeb20804a, "blk_mq_alloc_request" },
	{ 0xdc3671e8, "scsi_dh_attach" },
	{ 0xdfddce97, "dm_unregister_target" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe4f24c2d, "scsi_dh_activate" },
	{ 0xceb0054e, "dm_unprepare_ioctl" },
	{ 0xde5b606, "blk_lld_busy" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xe9ed4aec, "dm_table_event" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xa985aeff, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1eb0dce5, "scsi_dh_attached_handler_name" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3fca4178, "dm_table_device_name" },
	{ 0xfd73d2de, "dm_register_target" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xcc8892e2, "dm_start_time_ns_from_clone" },
	{ 0x740d16c8, "dm_table_get_mode" },
	{ 0xb733cf78, "dm_table_get_md" },
	{ 0xc3815ad5, "dm_path_uevent" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x2de5e747, "dm_get_device" },
	{ 0x754d539c, "strlen" },
	{ 0xf1bee8b5, "dm_table_set_type" },
	{ 0xfbad3cf0, "scsi_normalize_sense" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xc40bf4ce, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x669c191b, "dm_consume_args" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3b150c25, "scsi_dh_set_params" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c9c3341, "bio_associate_blkg" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x36824efb, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x39d54c05, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa2fdb2a8, "dm_table_run_md_queue_async" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x760b79ec, "dm_noflush_suspending" },
	{ 0x23418c7d, "dm_devt_from_path" },
	{ 0xe3e1400a, "dm_per_bio_data" },
	{ 0xe58e3d75, "dm_put_device" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x9612cd5b, "prepare_to_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4e65155a, "dm_mq_kick_requeue_list" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "dm-mod,scsi_mod,scsi_common");


MODULE_INFO(srcversion, "9F4026086E4B9944EC45861");

MODULE_INFO(suserelease, "SLFO-1.2");
