#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dm_snap_origin, "", "");
KSYMTAB_FUNC(dm_snap_cow, "", "");
KSYMTAB_FUNC(dm_exception_store_type_register, "", "");
KSYMTAB_FUNC(dm_exception_store_type_unregister, "", "");
KSYMTAB_FUNC(dm_exception_store_create, "", "");
KSYMTAB_FUNC(dm_exception_store_destroy, "", "");

SYMBOL_CRC(dm_snap_origin, 0xd8055540, "");
SYMBOL_CRC(dm_snap_cow, 0xc045a632, "");
SYMBOL_CRC(dm_exception_store_type_register, 0x1883329b, "");
SYMBOL_CRC(dm_exception_store_type_unregister, 0x7823e129, "");
SYMBOL_CRC(dm_exception_store_create, 0x2d1e5701, "");
SYMBOL_CRC(dm_exception_store_destroy, 0x11b4d79f, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdfddce97, "dm_unregister_target" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3fb51283, "dm_set_target_max_io_len" },
	{ 0x29c89887, "dm_kcopyd_zero" },
	{ 0xfb578fc5, "memset" },
	{ 0xe9ed4aec, "dm_table_event" },
	{ 0x231b4587, "dm_internal_suspend_fast" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xa3836659, "dm_put" },
	{ 0x9e4faeef, "dm_io_client_destroy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa985aeff, "down_read" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x543a071b, "dm_kcopyd_copy" },
	{ 0xfd73d2de, "dm_register_target" },
	{ 0x999e8297, "vfree" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x154c6338, "dm_kcopyd_client_destroy" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x740d16c8, "dm_table_get_mode" },
	{ 0x91f00abc, "dm_bufio_set_minimum_buffers" },
	{ 0xae6592f0, "blkdev_issue_flush" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0xb733cf78, "dm_table_get_md" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd991e3b9, "dm_bufio_get_device_size" },
	{ 0xa4ef547d, "mempool_init_noprof" },
	{ 0x18d71d5f, "dm_io" },
	{ 0x2de5e747, "dm_get_device" },
	{ 0x754d539c, "strlen" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xc40bf4ce, "up_read" },
	{ 0xcd2ba798, "dm_bufio_forget" },
	{ 0x23cfccd9, "dm_bio_get_target_bio_nr" },
	{ 0x669c191b, "dm_consume_args" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xfae0e8fa, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0x9c9c3341, "bio_associate_blkg" },
	{ 0x42efec79, "dm_internal_resume_fast" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x173756c, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf2a8efae, "dm_kcopyd_do_callback" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe3e1400a, "dm_per_bio_data" },
	{ 0xe58e3d75, "dm_put_device" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x1d093329, "dm_table_get_size" },
	{ 0x6cdb2d56, "dm_bufio_prefetch" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xb3eb9888, "dm_hold" },
	{ 0x37a0cba, "kfree" },
	{ 0xf1f88a0e, "dm_kcopyd_prepare_callback" },
	{ 0xb04f56ab, "dm_bufio_read" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x601f665f, "dm_io_client_create" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x36abf882, "mempool_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x9dd9df13, "dm_kcopyd_client_create" },
	{ 0x1000e51, "schedule" },
	{ 0xabc5b921, "dm_accept_partial_bio" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x9f984513, "strrchr" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0x6857cc3d, "module_put" },
	{ 0xeca7949e, "dm_bufio_client_destroy" },
	{ 0x3fb7a406, "mempool_alloc_noprof" },
	{ 0x66444d06, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x77f5bb81, "down_write" },
	{ 0x264635e1, "up_write" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x7be577eb, "__wake_up_locked" },
	{ 0x95b651b0, "dm_suspended" },
	{ 0x2ab660cc, "submit_bio_noacct" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0xeb1a9705, "dm_bufio_client_create" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xe6024e59, "dm_bufio_release" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "dm-mod,dm-bufio");


MODULE_INFO(srcversion, "1FFC38D4BB60397858E45B6");

MODULE_INFO(suserelease, "SLFO-1.2");
