#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0x49cff6a4, "");
SYMBOL_CRC(r5c_journal_mode_set, 0xf591561b, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7483a10d, "async_trigger_callback" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bfaef94, "async_raid6_2data_recov" },
	{ 0xd20a185b, "bio_add_page" },
	{ 0xe25133e5, "__SCK__tp_func_block_unplug" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6e91d0af, "md_update_sb" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x6270d8b3, "sysfs_create_group" },
	{ 0xbada6f58, "__put_devmap_managed_folio_refs" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0xee16fa10, "_atomic_dec_and_lock_irqsave" },
	{ 0x7299bc43, "md_flush_request" },
	{ 0xd3a1500e, "bio_init" },
	{ 0x5d75c5bf, "md_register_thread" },
	{ 0xfb578fc5, "memset" },
	{ 0xf0cc3609, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x8ee7c12d, "md_account_bio" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x82b5fad, "mutex_trylock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x19db4a31, "md_write_inc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc7097171, "unregister_md_personality" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xc7263a09, "bio_uninit" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x757dfca6, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0x70e0e9f, "async_syndrome_val" },
	{ 0xe091c977, "list_sort" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xacf7679, "dma_issue_pending_all" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0xf6f69d23, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x9f95532f, "md_check_recovery" },
	{ 0xac0a5cd3, "__tracepoint_block_bio_remap" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0xae6592f0, "blkdev_issue_flush" },
	{ 0x77406fae, "mddev_suspend" },
	{ 0xd135a966, "queue_limits_commit_update" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4080c979, "badblocks_check" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xa4ef547d, "mempool_init_noprof" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8924bd86, "md_init_stacking_limits" },
	{ 0x4b994feb, "queue_limits_set" },
	{ 0xefed0ac2, "rdev_set_badblocks" },
	{ 0x524f33bc, "bio_alloc_bioset" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x87477042, "async_raid6_datap_recov" },
	{ 0x657b521d, "submit_bio_wait" },
	{ 0xb86748d1, "__cpuhp_remove_state" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xfae0e8fa, "mempool_exit" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0xe5ac4270, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3f26c2ef, "blkdev_issue_discard" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0xad10199c, "set_disk_ro" },
	{ 0xf471a2d, "register_md_personality" },
	{ 0xdf5f361d, "shrinker_alloc" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xab59acbe, "__bio_add_page" },
	{ 0x36824efb, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1056f31c, "radix_tree_insert" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa8b90a37, "md_find_rdev_rcu" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe2a7e53f, "mddev_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12189359, "__SCT__tp_func_block_unplug" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xf7c2c630, "radix_tree_lookup" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x8c44085, "queue_limits_stack_bdev" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x487501f1, "md_error" },
	{ 0x30993fc7, "async_xor_val_offs" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x3621debf, "md_finish_reshape" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xbe5da3e0, "async_gen_syndrome" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0xc6951344, "md_unregister_thread" },
	{ 0x35a95dbb, "sync_page_io" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xa8fa19db, "md_free_cloned_bio" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xcfb92bea, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x36abf882, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0x47b63e8d, "kernfs_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x383ca47, "shrinker_free" },
	{ 0x4a57423b, "md_wakeup_thread" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x466cd284, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x80c543e6, "md_set_array_sectors" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x32e80b1d, "md_allow_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6bf1d2a6, "rdev_clear_badblocks" },
	{ 0xb5d5d35b, "radix_tree_lookup_slot" },
	{ 0xdc182074, "async_tx_quiesce" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xb6df5e1b, "md_write_start" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0xfdace282, "shrinker_register" },
	{ 0x47c7a330, "radix_tree_replace_slot" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0x49a44cdf, "async_xor" },
	{ 0x8375762d, "__free_pages" },
	{ 0x61cbf432, "async_xor_offs" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0x64eb543d, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xd4155d2c, "submit_bio" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xec21d530, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x3393c5c2, "kthread_unpark" },
	{ 0xd429d96, "bioset_exit" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4910b0a9, "md_done_sync" },
	{ 0x3fb7a406, "mempool_alloc_noprof" },
	{ 0x24ac13d3, "bio_put" },
	{ 0xedca7114, "radix_tree_delete" },
	{ 0x66444d06, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x5965bf75, "md_wait_for_blocked_rdev" },
	{ 0x7693bfe8, "__SCK__tp_func_block_bio_remap" },
	{ 0x49608959, "migrate_disable" },
	{ 0x6b406731, "__cpuhp_setup_state" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe4449124, "async_memcpy" },
	{ 0x15fd3010, "mddev_update_io_opt" },
	{ 0x2ab660cc, "submit_bio_noacct" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xbd79f063, "mddev_stack_rdev_limits" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0x52fcd38d, "mddev_unlock" },
	{ 0x6e2fbb2c, "__tracepoint_block_unplug" },
	{ 0x535bef4e, "bio_chain" },
	{ 0xbcb509c8, "__blk_trace_note_message" },
	{ 0x86cf5b94, "blkdev_issue_zeroout" },
	{ 0x383eaaef, "__cpuhp_state_add_instance" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "async_tx,async_raid6_recov,md-mod,raid6_pq,libcrc32c,async_pq,async_xor,async_memcpy");


MODULE_INFO(srcversion, "8D810BF8255F4E21B0B75C3");

MODULE_INFO(suserelease, "SLFO-1.2");
