#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(smscore_translate_msg, "_gpl", "");
KSYMTAB_FUNC(smscore_set_board_id, "_gpl", "");
KSYMTAB_FUNC(smscore_get_board_id, "_gpl", "");
KSYMTAB_FUNC(smscore_registry_getmode, "_gpl", "");
KSYMTAB_FUNC(smscore_register_hotplug, "_gpl", "");
KSYMTAB_FUNC(smscore_unregister_hotplug, "_gpl", "");
KSYMTAB_FUNC(smscore_register_device, "_gpl", "");
KSYMTAB_FUNC(smscore_start_device, "_gpl", "");
KSYMTAB_FUNC(smscore_unregister_device, "_gpl", "");
KSYMTAB_FUNC(smscore_get_device_mode, "_gpl", "");
KSYMTAB_FUNC(smscore_onresponse, "_gpl", "");
KSYMTAB_FUNC(smscore_getbuffer, "_gpl", "");
KSYMTAB_FUNC(smscore_putbuffer, "_gpl", "");
KSYMTAB_FUNC(smscore_register_client, "_gpl", "");
KSYMTAB_FUNC(smscore_unregister_client, "_gpl", "");
KSYMTAB_FUNC(smsclient_sendrequest, "_gpl", "");
KSYMTAB_FUNC(sms_get_board, "_gpl", "");
KSYMTAB_FUNC(sms_board_event, "_gpl", "");
KSYMTAB_FUNC(sms_board_setup, "_gpl", "");
KSYMTAB_FUNC(sms_board_power, "_gpl", "");
KSYMTAB_FUNC(sms_board_led_feedback, "_gpl", "");
KSYMTAB_FUNC(sms_board_lna_control, "_gpl", "");
KSYMTAB_FUNC(sms_board_load_modules, "_gpl", "");
KSYMTAB_FUNC(smsendian_handle_tx_message, "_gpl", "");
KSYMTAB_FUNC(smsendian_handle_rx_message, "_gpl", "");
KSYMTAB_FUNC(smsendian_handle_message_header, "_gpl", "");

SYMBOL_CRC(smscore_translate_msg, 0x34bf0e61, "_gpl");
SYMBOL_CRC(smscore_set_board_id, 0x6ba8a069, "_gpl");
SYMBOL_CRC(smscore_get_board_id, 0xe83a1ec4, "_gpl");
SYMBOL_CRC(smscore_registry_getmode, 0x21e36bf2, "_gpl");
SYMBOL_CRC(smscore_register_hotplug, 0xa8ebb90d, "_gpl");
SYMBOL_CRC(smscore_unregister_hotplug, 0x86daa1db, "_gpl");
SYMBOL_CRC(smscore_register_device, 0xfcbd767a, "_gpl");
SYMBOL_CRC(smscore_start_device, 0x758755cd, "_gpl");
SYMBOL_CRC(smscore_unregister_device, 0x66d9280d, "_gpl");
SYMBOL_CRC(smscore_get_device_mode, 0x8c1cd044, "_gpl");
SYMBOL_CRC(smscore_onresponse, 0x97bc2828, "_gpl");
SYMBOL_CRC(smscore_getbuffer, 0x5da99d78, "_gpl");
SYMBOL_CRC(smscore_putbuffer, 0x5f7919d0, "_gpl");
SYMBOL_CRC(smscore_register_client, 0x718793ee, "_gpl");
SYMBOL_CRC(smscore_unregister_client, 0xbbdb5c42, "_gpl");
SYMBOL_CRC(smsclient_sendrequest, 0x99a81ab3, "_gpl");
SYMBOL_CRC(sms_get_board, 0x844539ae, "_gpl");
SYMBOL_CRC(sms_board_event, 0xd6f8012a, "_gpl");
SYMBOL_CRC(sms_board_setup, 0x7b28edba, "_gpl");
SYMBOL_CRC(sms_board_power, 0x541cb5ec, "_gpl");
SYMBOL_CRC(sms_board_led_feedback, 0xb1b7ed64, "_gpl");
SYMBOL_CRC(sms_board_lna_control, 0x6833544b, "_gpl");
SYMBOL_CRC(sms_board_load_modules, 0x74ee9098, "_gpl");
SYMBOL_CRC(smsendian_handle_tx_message, 0x37d91069, "_gpl");
SYMBOL_CRC(smsendian_handle_rx_message, 0x45284ae9, "_gpl");
SYMBOL_CRC(smsendian_handle_message_header, 0x7c576277, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa6257a2f, "complete" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xa22e2d2a, "ir_raw_event_store" },
	{ 0x2476a690, "request_firmware" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x42cb75ea, "rc_register_device" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x99330e39, "rc_free_device" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3f5c6211, "rc_allocate_device" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcdc4ff8a, "rc_unregister_device" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdd859cf2, "ir_raw_event_handle" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "rc-core");


MODULE_INFO(srcversion, "ED2A3FFD830BE95D931BD4D");

MODULE_INFO(suserelease, "SLFO-1.2");
