#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0x7dfa13ba, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x905dbe2e, "_gpl");
SYMBOL_CRC(media_device_init, 0x3f55e20c, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x1035ffc1, "_gpl");
SYMBOL_CRC(__media_device_register, 0x2b477aca, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x66fbc913, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0xcce6fe50, "_gpl");
SYMBOL_CRC(media_device_unregister, 0xf00c4cae, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x000d1d3f, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x693509b6, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0x9c4d3fb4, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0xd1d1b58a, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0xc02924f9, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0xc7cb0f85, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0xbf9e0618, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0xa09d0cff, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0xd5ec612e, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0xc9473eea, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0xda721cec, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0xad297a71, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x4e4bdc60, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0xb7289b84, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0x2859fb9a, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0x3158a4b1, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0xa69e41ea, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0xe4117671, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x0901b9e3, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0x221f5e80, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x38b4d2e1, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x622d9c33, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x85108bee, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x0c8b70d7, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0xb3d0e158, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0x7cc2e3e6, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x151d4df3, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0x82d83449, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0xe7f00692, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0xd3358728, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x37aec97f, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0xf3e9f9b0, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0xeed8188a, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0x6ca39db7, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0xf8fd735c, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0xf6399f87, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0xcc9665c5, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0x285efa5f, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0x0bc5f9fe, "_gpl");
SYMBOL_CRC(media_request_put, 0xb59ef76b, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x85aa66b3, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x44e76108, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x4129e435, "_gpl");
SYMBOL_CRC(media_request_object_init, 0xe83c8224, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x94f7ce7c, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x2f1c9be4, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x01518c41, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x792444be, "_gpl");
SYMBOL_CRC(media_device_delete, 0x225c51b2, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f64df31, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x45ee0529, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x191ef357, "fwnode_graph_parse_endpoint" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6857cc3d, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf4bf5395, "device_create_file" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0xc794f8c, "fput" },
	{ 0x33719327, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x10119bb, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7230beea, "fdget" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xfc981c9b, "platform_bus_type" },
	{ 0x3b239a4e, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xaf86b7d6, "cdev_init" },
	{ 0x835e057b, "pci_bus_type" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x69d137d1, "device_remove_file" },
	{ 0x16136184, "bus_register" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xdc0df056, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x68e156d6, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf3723554, "cdev_device_del" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd3a193e3, "fd_install" },
	{ 0x37a0cba, "kfree" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x1a2f220, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "21B94BF6E3BCC15A005A0EB");

MODULE_INFO(suserelease, "SLFO-1.2");
