#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bttv_get_pcidev, "", "");
KSYMTAB_FUNC(bttv_gpio_enable, "", "");
KSYMTAB_FUNC(bttv_read_gpio, "", "");
KSYMTAB_FUNC(bttv_write_gpio, "", "");
KSYMTAB_FUNC(bttv_sub_register, "", "");
KSYMTAB_FUNC(bttv_sub_unregister, "", "");

SYMBOL_CRC(bttv_get_pcidev, 0x6f3617b2, "");
SYMBOL_CRC(bttv_gpio_enable, 0x11dc4b6d, "");
SYMBOL_CRC(bttv_read_gpio, 0xbcf2d2fb, "");
SYMBOL_CRC(bttv_write_gpio, 0x8ecf4acc, "");
SYMBOL_CRC(bttv_sub_register, 0xbf973948, "");
SYMBOL_CRC(bttv_sub_unregister, 0xef4df5c7, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1fea5711, "snd_tea575x_enum_freq_bands" },
	{ 0x2465acc7, "vb2_buffer_done" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0xd5c25fb1, "vb2_plane_vaddr" },
	{ 0x9d339a60, "v4l2_ctrl_subscribe_event" },
	{ 0x6614d21c, "snd_tea575x_s_hw_freq_seek" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcd1b50bf, "video_unregister_device" },
	{ 0x678f1528, "snd_tea575x_set_freq" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xba280219, "i2c_new_client_device" },
	{ 0x890ac755, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x25ee2c2b, "vb2_fop_mmap" },
	{ 0xd6f020db, "device_register" },
	{ 0x99330e39, "rc_free_device" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x13fc7fbe, "vb2_fop_read" },
	{ 0x1fe9fb8e, "v4l2_device_register" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x6e418612, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3f5c6211, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbcaffd03, "snd_tea575x_hw_init" },
	{ 0x7529c68d, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9b69ddd2, "pci_write_config_byte" },
	{ 0x82f68e9f, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd5ecc1af, "vb2_ioctl_streamon" },
	{ 0x85568200, "vb2_fop_poll" },
	{ 0x15d58cfa, "v4l2_ctrl_new_std" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xe7629d99, "v4l2_ctrl_handler_free" },
	{ 0x20c09e8e, "v4l2_device_unregister" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0x9212d9c1, "vb2_wait_for_all_buffers" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x8e2d3bf6, "v4l2_subdev_call_wrappers" },
	{ 0x614dd5a, "v4l2_video_std_frame_period" },
	{ 0x391b5fb8, "v4l2_i2c_new_subdev" },
	{ 0xad82bbd2, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x1676ba33, "video_device_release_empty" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcdc4ff8a, "rc_unregister_device" },
	{ 0xc6969b18, "v4l2_event_unsubscribe" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x16136184, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2681c629, "vb2_ioctl_reqbufs" },
	{ 0xbe8c5ce0, "vb2_queue_init" },
	{ 0x65138553, "snd_tea575x_g_tuner" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2c98c4a9, "vb2_dma_sg_memops" },
	{ 0x9ba1b3d0, "v4l2_ctrl_poll" },
	{ 0x3f2f504f, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0x1a1d1183, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x66bc8c59, "v4l2_ctrl_radio_filter" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1f7e36d, "i2c_bit_add_bus" },
	{ 0x23c05329, "v4l2_ctrl_add_handler" },
	{ 0x343c8959, "device_unregister" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xf9664f72, "pci_get_device" },
	{ 0x2476a690, "request_firmware" },
	{ 0xd95aeb24, "vb2_ops_wait_finish" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0xc250707, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x9449d1a3, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x2b12dc33, "vb2_ioctl_querybuf" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x81734a53, "i2c_transfer_buffer_flags" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x3f0b4e8f, "v4l2_fh_open" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x5d6a2570, "v4l2_ctrl_handler_log_status" },
	{ 0x6e3a5233, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x60ac35fb, "video_devdata" },
	{ 0x45ee0529, "put_device" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xde7e405e, "vb2_fop_release" },
	{ 0xd8190a08, "i2c_new_scanned_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xf7982b8a, "v4l2_ctrl_find" },
	{ 0x2af85aaf, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbad45d3b, "__v4l2_ctrl_s_ctrl" },
	{ 0x696be848, "vb2_plane_cookie" },
	{ 0xf4bf5395, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd8c5e3d1, "rc_keyup" },
	{ 0xcf013ded, "vb2_ioctl_dqbuf" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x192a816b, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7fe97711, "tveeprom_read" },
	{ 0xe5d7aabd, "v4l2_ctrl_new_custom" },
	{ 0x54238c2d, "rc_keydown_notimeout" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x970e97f1, "v4l2_fh_release" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x42cb75ea, "rc_register_device" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x7618c407, "rc_keydown" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "tea575x,videobuf2-common,videodev,videobuf2-v4l2,rc-core,tveeprom,videobuf2-dma-sg,i2c-algo-bit");

MODULE_ALIAS("pci:v0000109Ed00000350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed00000351sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "37E27DBB880D5C37827DABE");

MODULE_INFO(suserelease, "SLFO-1.2");
