#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(cx25821_sram_channels, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_setup_audio, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_dump_audio, "", "");
KSYMTAB_FUNC(cx25821_dev_unregister, "", "");
KSYMTAB_FUNC(cx25821_riscmem_alloc, "", "");
KSYMTAB_FUNC(cx25821_risc_databuffer_audio, "", "");
KSYMTAB_FUNC(cx25821_print_irqbits, "", "");
KSYMTAB_FUNC(cx25821_dev_get, "", "");
KSYMTAB_FUNC(cx25821_set_gpiopin_direction, "", "");

SYMBOL_CRC(cx25821_sram_channels, 0xe9050411, "");
SYMBOL_CRC(cx25821_sram_channel_setup_audio, 0x9a2d3b2f, "");
SYMBOL_CRC(cx25821_sram_channel_dump_audio, 0x78053a6a, "");
SYMBOL_CRC(cx25821_dev_unregister, 0x05ab5d73, "");
SYMBOL_CRC(cx25821_riscmem_alloc, 0xcabbe84d, "");
SYMBOL_CRC(cx25821_risc_databuffer_audio, 0x4445ac0e, "");
SYMBOL_CRC(cx25821_print_irqbits, 0x44b517f5, "");
SYMBOL_CRC(cx25821_dev_get, 0xd2374db4, "");
SYMBOL_CRC(cx25821_set_gpiopin_direction, 0x6c8579da, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e3a5233, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x60ac35fb, "video_devdata" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xde7e405e, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x2af85aaf, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x696be848, "vb2_plane_cookie" },
	{ 0xcf013ded, "vb2_ioctl_dqbuf" },
	{ 0x192a816b, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9b69d66e, "vb2_ioctl_prepare_buf" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x2465acc7, "vb2_buffer_done" },
	{ 0x9d339a60, "v4l2_ctrl_subscribe_event" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcd1b50bf, "video_unregister_device" },
	{ 0x890ac755, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x25ee2c2b, "vb2_fop_mmap" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x13fc7fbe, "vb2_fop_read" },
	{ 0x1fe9fb8e, "v4l2_device_register" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x6e418612, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0x7529c68d, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x82f68e9f, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd5ecc1af, "vb2_ioctl_streamon" },
	{ 0x85568200, "vb2_fop_poll" },
	{ 0x15d58cfa, "v4l2_ctrl_new_std" },
	{ 0xe7629d99, "v4l2_ctrl_handler_free" },
	{ 0x20c09e8e, "v4l2_device_unregister" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0xad82bbd2, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x1676ba33, "video_device_release_empty" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc6969b18, "v4l2_event_unsubscribe" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2681c629, "vb2_ioctl_reqbufs" },
	{ 0xbe8c5ce0, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2c98c4a9, "vb2_dma_sg_memops" },
	{ 0x3f2f504f, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0x1a1d1183, "vb2_ioctl_streamoff" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xd95aeb24, "vb2_ops_wait_finish" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0xc250707, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x9449d1a3, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x2b12dc33, "vb2_ioctl_querybuf" },
	{ 0x3f0b4e8f, "v4l2_fh_open" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92997ed8, "_printk" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008210sv000014F1sd00000920bc*sc*i*");
MODULE_ALIAS("pci:v000014F1d00008210sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "4BBCE74D4029F4F21F52B2F");

MODULE_INFO(suserelease, "SLFO-1.2");
