#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx88_video_mux, "", "");
KSYMTAB_FUNC(cx88_querycap, "", "");
KSYMTAB_FUNC(cx88_enum_input, "", "");
KSYMTAB_FUNC(cx88_set_freq, "", "");

SYMBOL_CRC(cx88_video_mux, 0xa71a3276, "");
SYMBOL_CRC(cx88_querycap, 0x0eb954d6, "");
SYMBOL_CRC(cx88_enum_input, 0xe1226176, "");
SYMBOL_CRC(cx88_set_freq, 0xd42670ea, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xc78f0b88, "cx88_ir_stop" },
	{ 0x6e3a5233, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x60ac35fb, "video_devdata" },
	{ 0x204bae56, "cx88_set_tvnorm" },
	{ 0xde7e405e, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0xf7982b8a, "v4l2_ctrl_find" },
	{ 0x90068218, "cx88_ir_start" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbad45d3b, "__v4l2_ctrl_s_ctrl" },
	{ 0x696be848, "vb2_plane_cookie" },
	{ 0xcf013ded, "vb2_ioctl_dqbuf" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x43956c04, "cx88_risc_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x970e97f1, "v4l2_fh_release" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x43b2f699, "cx88_set_stereo" },
	{ 0x2465acc7, "vb2_buffer_done" },
	{ 0x9d339a60, "v4l2_ctrl_subscribe_event" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcd1b50bf, "video_unregister_device" },
	{ 0xd960722a, "kthread_stop" },
	{ 0xba280219, "i2c_new_client_device" },
	{ 0x890ac755, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x25ee2c2b, "vb2_fop_mmap" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0x34a2628d, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x13fc7fbe, "vb2_fop_read" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xf27dffd5, "cx88_sram_channel_dump" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0x556cfcb5, "cx88_sram_channel_setup" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x7529c68d, "__video_register_device" },
	{ 0x82f68e9f, "vb2_ops_wait_prepare" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xd5ecc1af, "vb2_ioctl_streamon" },
	{ 0x85568200, "vb2_fop_poll" },
	{ 0x15d58cfa, "v4l2_ctrl_new_std" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0x391b5fb8, "v4l2_i2c_new_subdev" },
	{ 0xad82bbd2, "pci_read_config_byte" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x268df6ca, "cx88_newstation" },
	{ 0xc6969b18, "v4l2_event_unsubscribe" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2681c629, "vb2_ioctl_reqbufs" },
	{ 0xbe8c5ce0, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2c98c4a9, "vb2_dma_sg_memops" },
	{ 0xdeb067e7, "cx88_reset" },
	{ 0x9ba1b3d0, "v4l2_ctrl_poll" },
	{ 0x3f2f504f, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2abc804e, "cx88_wakeup" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0x1a1d1183, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0x23c05329, "v4l2_ctrl_add_handler" },
	{ 0x6c2c67f, "v4l2_i2c_new_subdev_board" },
	{ 0x28af136, "cx88_set_scale" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xd95aeb24, "vb2_ops_wait_finish" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0x8f8a6ac7, "cx88_shutdown" },
	{ 0x132c7b53, "cx88_vdev_init" },
	{ 0x9449d1a3, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x2b12dc33, "vb2_ioctl_querybuf" },
	{ 0xd2ce7412, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3f0b4e8f, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x2ba333ce, "cx88_core_irq" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0xdfb8b64e, "cx88_core_get" },
	{ 0xa08a24c5, "cx88_get_stereo" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C6F1A478A11DE3C68FF7F31");

MODULE_INFO(suserelease, "SLFO-1.2");
