#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx88_tuner_callback, "", "");
KSYMTAB_FUNC(cx88_setup_xc3028, "_gpl", "");
KSYMTAB_FUNC(cx88_risc_buffer, "", "");
KSYMTAB_FUNC(cx88_risc_databuffer, "", "");
KSYMTAB_DATA(cx88_sram_channels, "", "");
KSYMTAB_FUNC(cx88_sram_channel_setup, "", "");
KSYMTAB_FUNC(cx88_sram_channel_dump, "", "");
KSYMTAB_FUNC(cx88_print_irqbits, "", "");
KSYMTAB_FUNC(cx88_core_irq, "", "");
KSYMTAB_FUNC(cx88_wakeup, "", "");
KSYMTAB_FUNC(cx88_shutdown, "", "");
KSYMTAB_FUNC(cx88_reset, "", "");
KSYMTAB_FUNC(cx88_set_scale, "", "");
KSYMTAB_FUNC(cx88_set_tvnorm, "", "");
KSYMTAB_FUNC(cx88_vdev_init, "", "");
KSYMTAB_FUNC(cx88_core_get, "", "");
KSYMTAB_FUNC(cx88_core_put, "", "");
KSYMTAB_FUNC(cx88_set_tvaudio, "", "");
KSYMTAB_FUNC(cx88_newstation, "", "");
KSYMTAB_FUNC(cx88_get_stereo, "", "");
KSYMTAB_FUNC(cx88_set_stereo, "", "");
KSYMTAB_FUNC(cx88_audio_thread, "", "");
KSYMTAB_FUNC(cx88_dsp_detect_stereo_sap, "", "");
KSYMTAB_FUNC(cx88_ir_start, "", "");
KSYMTAB_FUNC(cx88_ir_stop, "", "");

SYMBOL_CRC(cx88_tuner_callback, 0x6141c8c5, "");
SYMBOL_CRC(cx88_setup_xc3028, 0xd59842ce, "_gpl");
SYMBOL_CRC(cx88_risc_buffer, 0x43956c04, "");
SYMBOL_CRC(cx88_risc_databuffer, 0xa4eccee5, "");
SYMBOL_CRC(cx88_sram_channels, 0x8d88137a, "");
SYMBOL_CRC(cx88_sram_channel_setup, 0x556cfcb5, "");
SYMBOL_CRC(cx88_sram_channel_dump, 0xf27dffd5, "");
SYMBOL_CRC(cx88_print_irqbits, 0x5edb7ae5, "");
SYMBOL_CRC(cx88_core_irq, 0x2ba333ce, "");
SYMBOL_CRC(cx88_wakeup, 0x2abc804e, "");
SYMBOL_CRC(cx88_shutdown, 0x8f8a6ac7, "");
SYMBOL_CRC(cx88_reset, 0xdeb067e7, "");
SYMBOL_CRC(cx88_set_scale, 0x028af136, "");
SYMBOL_CRC(cx88_set_tvnorm, 0x204bae56, "");
SYMBOL_CRC(cx88_vdev_init, 0x132c7b53, "");
SYMBOL_CRC(cx88_core_get, 0xdfb8b64e, "");
SYMBOL_CRC(cx88_core_put, 0xd2ce7412, "");
SYMBOL_CRC(cx88_set_tvaudio, 0x34a2628d, "");
SYMBOL_CRC(cx88_newstation, 0x268df6ca, "");
SYMBOL_CRC(cx88_get_stereo, 0xa08a24c5, "");
SYMBOL_CRC(cx88_set_stereo, 0x43b2f699, "");
SYMBOL_CRC(cx88_audio_thread, 0x904b8696, "");
SYMBOL_CRC(cx88_dsp_detect_stereo_sap, 0x929f43dc, "");
SYMBOL_CRC(cx88_ir_start, 0x90068218, "");
SYMBOL_CRC(cx88_ir_stop, 0xc78f0b88, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x81734a53, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0x78b47004, "i2c_smbus_xfer" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x2af85aaf, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd8c5e3d1, "rc_keyup" },
	{ 0xf23ccab1, "__v4l2_ctrl_grab" },
	{ 0x7a0ca99, "i2c_unregister_device" },
	{ 0x7fe97711, "tveeprom_read" },
	{ 0x54238c2d, "rc_keydown_notimeout" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x42cb75ea, "rc_register_device" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x7618c407, "rc_keydown" },
	{ 0x2465acc7, "vb2_buffer_done" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xba280219, "i2c_new_client_device" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5ad1ef3d, "freezing_slow_path" },
	{ 0x99330e39, "rc_free_device" },
	{ 0x4102c5e2, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1fe9fb8e, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3f5c6211, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9b69ddd2, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xe7629d99, "v4l2_ctrl_handler_free" },
	{ 0xdcfb6bc7, "i2c_transfer" },
	{ 0x93fae14b, "hrtimer_cancel" },
	{ 0x20c09e8e, "v4l2_device_unregister" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xbad37768, "hrtimer_forward" },
	{ 0x391b5fb8, "v4l2_i2c_new_subdev" },
	{ 0xad82bbd2, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xe3fefd70, "ir_raw_event_store_with_filter" },
	{ 0xf1b106c4, "i2c_smbus_read_byte_data" },
	{ 0x1676ba33, "video_device_release_empty" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcdc4ff8a, "rc_unregister_device" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf3251e7b, "v4l2_norm_to_name" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdd859cf2, "ir_raw_event_handle" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1f7e36d, "i2c_bit_add_bus" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xc250707, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x5bf7db3e, "hrtimer_init" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x9449d1a3, "param_array_ops" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "rc-core,videodev,tveeprom,videobuf2-common,i2c-algo-bit");


MODULE_INFO(srcversion, "589AC743322CBC1653CD124");

MODULE_INFO(suserelease, "SLFO-1.2");
