#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipu6_configure_spc, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_sync_single, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_sync_sg, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_sync_sgtable, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_alloc, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_free, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_unmap_sg, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_map_sg, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_map_sgtable, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_unmap_sgtable, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_mmu_hw_init, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_mmu_hw_cleanup, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_auth_done, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_map_fw_image, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_unmap_fw_image, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_start_tsc_sync, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_tsc_read, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_tsc_ticks_to_ns, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_cpd_create_pkg_dir, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_cpd_free_pkg_dir, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_prepare, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_open, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_close, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_release, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_ready, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_send_get_token, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_send_put_token, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_recv_get_token, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_recv_put_token, "_gpl", "INTEL_IPU6");

SYMBOL_CRC(ipu6_configure_spc, 0x3b5ad80f, "_gpl");
SYMBOL_CRC(ipu6_dma_sync_single, 0x1f557a80, "_gpl");
SYMBOL_CRC(ipu6_dma_sync_sg, 0x7a196ba6, "_gpl");
SYMBOL_CRC(ipu6_dma_sync_sgtable, 0x95bf53c3, "_gpl");
SYMBOL_CRC(ipu6_dma_alloc, 0x4b6b9a3a, "_gpl");
SYMBOL_CRC(ipu6_dma_free, 0x97a48c90, "_gpl");
SYMBOL_CRC(ipu6_dma_unmap_sg, 0x38c666a4, "_gpl");
SYMBOL_CRC(ipu6_dma_map_sg, 0xcc00ad6f, "_gpl");
SYMBOL_CRC(ipu6_dma_map_sgtable, 0xb3813512, "_gpl");
SYMBOL_CRC(ipu6_dma_unmap_sgtable, 0xbf53fd5e, "_gpl");
SYMBOL_CRC(ipu6_mmu_hw_init, 0xce42e882, "_gpl");
SYMBOL_CRC(ipu6_mmu_hw_cleanup, 0x79e8a450, "_gpl");
SYMBOL_CRC(ipu6_buttress_auth_done, 0x980ce634, "_gpl");
SYMBOL_CRC(ipu6_buttress_map_fw_image, 0x4f0d7ada, "_gpl");
SYMBOL_CRC(ipu6_buttress_unmap_fw_image, 0x2fd43fce, "_gpl");
SYMBOL_CRC(ipu6_buttress_start_tsc_sync, 0xe0031ce0, "_gpl");
SYMBOL_CRC(ipu6_buttress_tsc_read, 0xac1087dd, "_gpl");
SYMBOL_CRC(ipu6_buttress_tsc_ticks_to_ns, 0x59c8e8e8, "_gpl");
SYMBOL_CRC(ipu6_cpd_create_pkg_dir, 0x6be2e4e6, "_gpl");
SYMBOL_CRC(ipu6_cpd_free_pkg_dir, 0x77315645, "_gpl");
SYMBOL_CRC(ipu6_fw_com_prepare, 0x26462ca5, "_gpl");
SYMBOL_CRC(ipu6_fw_com_open, 0xe4173880, "_gpl");
SYMBOL_CRC(ipu6_fw_com_close, 0xa4ea9101, "_gpl");
SYMBOL_CRC(ipu6_fw_com_release, 0x246154f7, "_gpl");
SYMBOL_CRC(ipu6_fw_com_ready, 0x543b7d9f, "_gpl");
SYMBOL_CRC(ipu6_send_get_token, 0xdd435b9b, "_gpl");
SYMBOL_CRC(ipu6_send_put_token, 0x093c1399, "_gpl");
SYMBOL_CRC(ipu6_recv_get_token, 0x42507517, "_gpl");
SYMBOL_CRC(ipu6_recv_put_token, 0x962f3d15, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8c85086, "sg_free_table" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x2476a690, "request_firmware" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0xfc6968f3, "pm_runtime_get_if_active" },
	{ 0xc7061ef3, "iova_cache_put" },
	{ 0xee126581, "pci_disable_msi" },
	{ 0x69acdf38, "memcpy" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc8491dd7, "ipu_bridge_init" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x44073967, "__free_iova" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x2e593877, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45ee0529, "put_device" },
	{ 0x172eda11, "devm_free_irq" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0x6bfd204c, "alloc_iova" },
	{ 0x8375762d, "__free_pages" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x86df0718, "split_page" },
	{ 0x121a4642, "pm_generic_runtime_suspend" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9325f7fe, "pcim_iomap_regions" },
	{ 0xa03f0188, "vm_insert_page" },
	{ 0xf8226993, "devm_kmemdup" },
	{ 0xe04fba40, "put_iova_domain" },
	{ 0x33719327, "_dev_err" },
	{ 0xd5e487f8, "__auxiliary_device_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1cc093f, "vmap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2e9c96c7, "device_del" },
	{ 0x91cbbcc0, "sg_alloc_table_from_pages_segment" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe01e3351, "ipu_bridge_parse_ssdb" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x73c3bfab, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xb0d7d0f2, "pm_runtime_allow" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0x5c3a6ecd, "dma_map_sgtable" },
	{ 0x76eb2c3c, "init_iova_domain" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0x11e6ecb, "dma_unmap_sg_attrs" },
	{ 0xcdf837bf, "pcim_iomap_table" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe3d14983, "pcim_enable_device" },
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xee02e769, "find_iova" },
	{ 0x2ab99f9f, "__pm_runtime_idle" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x438d8df2, "iova_cache_get" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf2d9339d, "auxiliary_device_init" },
	{ 0xebafee8d, "vmalloc_to_page" },
	{ 0x67881199, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0x9328d609, "dev_pm_domain_set" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "ipu-bridge");

MODULE_ALIAS("pci:v00008086d00009A19sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004E19sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000465Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000462Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A75Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007D19sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "6A43C9A14F19A77258DB4D7");

MODULE_INFO(suserelease, "SLFO-1.2");
