#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0x7dc314cd, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0xe1f443dc, "");
SYMBOL_CRC(ivtv_api, 0x9835f29c, "");
SYMBOL_CRC(ivtv_vapi, 0x0d12194a, "");
SYMBOL_CRC(ivtv_vapi_result, 0x39e17321, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0x104c9303, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0x3dc07692, "");
SYMBOL_CRC(ivtv_udma_setup, 0x1708e930, "");
SYMBOL_CRC(ivtv_udma_unmap, 0xa4773fdf, "");
SYMBOL_CRC(ivtv_udma_alloc, 0x956dd998, "");
SYMBOL_CRC(ivtv_udma_prepare, 0x7601bb32, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0x90f068ef, "");
SYMBOL_CRC(ivtv_firmware_check, 0x1a79536e, "");
SYMBOL_CRC(ivtv_claim_stream, 0xc3d4073e, "");
SYMBOL_CRC(ivtv_release_stream, 0xaf267e98, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0xaeee308e, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x11177d29, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d816799, "__dma_sync_single_for_cpu" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x7fe97711, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0xd4584a43, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x1c0d3a41, "v4l2_fh_is_singular" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x2b8216f, "pci_read_config_word" },
	{ 0x9d339a60, "v4l2_ctrl_subscribe_event" },
	{ 0x92727196, "v4l2_fh_init" },
	{ 0x293a22d1, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x26121e08, "__kthread_init_worker" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcd1b50bf, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd960722a, "kthread_stop" },
	{ 0xbd7d03bc, "v4l2_event_subscribe" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x73dce34d, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x9f5be3b5, "__v4l2_device_register_subdev" },
	{ 0x1fe9fb8e, "v4l2_device_register" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xa024d28d, "param_ops_string" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x6e418612, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7529c68d, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7e88de20, "__dma_sync_single_for_device" },
	{ 0x9b69ddd2, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x456d1bf, "pin_user_pages_unlocked" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15d58cfa, "v4l2_ctrl_new_std" },
	{ 0x1fe9534d, "v4l2_ctrl_g_ctrl" },
	{ 0xa4f57deb, "cx2341x_handler_init" },
	{ 0xa91847de, "cx2341x_handler_set_50hz" },
	{ 0xe7629d99, "v4l2_ctrl_handler_free" },
	{ 0x20c09e8e, "v4l2_device_unregister" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0xc0ac8962, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x8e2d3bf6, "v4l2_subdev_call_wrappers" },
	{ 0x11e6ecb, "dma_unmap_sg_attrs" },
	{ 0x482eab36, "v4l2_event_queue" },
	{ 0x391b5fb8, "v4l2_i2c_new_subdev" },
	{ 0xad82bbd2, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xe3d14983, "pcim_enable_device" },
	{ 0x1676ba33, "video_device_release_empty" },
	{ 0x8d495b5f, "v4l2_ctrl_cluster" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x529386f3, "pci_write_config_dword" },
	{ 0xc6969b18, "v4l2_event_unsubscribe" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3f166ba5, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7b13c5ad, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x804b1f55, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3f2f504f, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1f7e36d, "i2c_bit_add_bus" },
	{ 0x4528af03, "v4l2_fh_del" },
	{ 0x6c2c67f, "v4l2_i2c_new_subdev_board" },
	{ 0xd11b8e08, "kthread_flush_worker" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x2633ddec, "v4l2_fh_add" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x2476a690, "request_firmware" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0xc250707, "v4l2_ctrl_handler_init_class" },
	{ 0xc2c787a3, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xa02ea0a5, "unpin_user_pages" },
	{ 0x9449d1a3, "param_array_ops" },
	{ 0x9612cd5b, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x81734a53, "i2c_transfer_buffer_flags" },
	{ 0x4c91f4ce, "v4l2_subdev_init" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0x45021218, "__devm_request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x5d6a2570, "v4l2_ctrl_handler_log_status" },
	{ 0x6e3a5233, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x60ac35fb, "video_devdata" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xd8190a08, "i2c_new_scanned_device" },
	{ 0xab5760b3, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x5a506143, "kthread_queue_work" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8375762d, "__free_pages" },
	{ 0x2af85aaf, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbad45d3b, "__v4l2_ctrl_s_ctrl" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "tveeprom,videodev,cx2341x,i2c-algo-bit");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B1225A0FA9EB7CCB07B31CC");

MODULE_INFO(suserelease, "SLFO-1.2");
