#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx231xx_get_i2c_adap, "_gpl", "");
KSYMTAB_FUNC(cx231xx_tuner_callback, "_gpl", "");
KSYMTAB_FUNC(cx231xx_register_extension, "", "");
KSYMTAB_FUNC(cx231xx_unregister_extension, "", "");
KSYMTAB_FUNC(cx231xx_send_usb_command, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_alt_setting, "_gpl", "");
KSYMTAB_FUNC(cx231xx_demod_reset, "_gpl", "");
KSYMTAB_FUNC(is_fw_load, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_mode, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_init, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_uninit, "_gpl", "");
KSYMTAB_FUNC(cx231xx_send_gpio_cmd, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_disable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_unmute_audio, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable_i2c_port_3, "_gpl", "");
KSYMTAB_FUNC(cx231xx_capture_start, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_vbi_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_vbi_isoc, "_gpl", "");

SYMBOL_CRC(cx231xx_get_i2c_adap, 0x45a86804, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0x80bc87cc, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0xa242bcfa, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0x578542ab, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0x3d87a12e, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0xac4cca15, "_gpl");
SYMBOL_CRC(is_fw_load, 0xb1fda4e6, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0x6610a4ee, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0x57fae8d3, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0x74d26033, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0x5d0cb499, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0x8fe3c1fc, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0x68aeac62, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0xb1322376, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0x8e9bf82f, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0x0636a7d5, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0x57d6b3ce, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0x93dbb93f, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0x339d80f9, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0x1e68a1e6, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0x8c7a03b6, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0x8a527564, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x2e58d2de, "usb_clear_halt" },
	{ 0x3d95014d, "usb_put_dev" },
	{ 0xebc770a, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x60ac35fb, "video_devdata" },
	{ 0xde7e405e, "vb2_fop_release" },
	{ 0xab5760b3, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x4224246b, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1161409, "usb_submit_urb" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x2af85aaf, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7dfa13ba, "media_device_register_entity" },
	{ 0x1035ffc1, "media_device_cleanup" },
	{ 0xcf013ded, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x33719327, "_dev_err" },
	{ 0x7a0ca99, "i2c_unregister_device" },
	{ 0x810f623f, "usb_free_coherent" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xa8f7a713, "usb_control_msg" },
	{ 0x2465acc7, "vb2_buffer_done" },
	{ 0xd5c25fb1, "vb2_plane_vaddr" },
	{ 0x9d339a60, "v4l2_ctrl_subscribe_event" },
	{ 0xa12d9eed, "usb_set_interface" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd1d1b58a, "media_entity_pads_init" },
	{ 0xcd1b50bf, "video_unregister_device" },
	{ 0xba280219, "i2c_new_client_device" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x45d621e6, "usb_deregister" },
	{ 0x890ac755, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x25ee2c2b, "vb2_fop_mmap" },
	{ 0xb28d061, "v4l2_s_ctrl" },
	{ 0xf1c0cee4, "i2c_mux_alloc" },
	{ 0xd6fbf9b5, "vb2_vmalloc_memops" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x13fc7fbe, "vb2_fop_read" },
	{ 0x1fe9fb8e, "v4l2_device_register" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x6e418612, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3f5c6211, "rc_allocate_device" },
	{ 0x3d9e5d8a, "usb_unlink_urb" },
	{ 0x85108bee, "media_entity_setup_link" },
	{ 0x999e8297, "vfree" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x7529c68d, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x82f68e9f, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x4d4770a7, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd5ecc1af, "vb2_ioctl_streamon" },
	{ 0xe1cec142, "v4l2_mc_create_media_graph" },
	{ 0x85568200, "vb2_fop_poll" },
	{ 0xa4f57deb, "cx2341x_handler_init" },
	{ 0xa91847de, "cx2341x_handler_set_50hz" },
	{ 0x693509b6, "__media_device_usb_init" },
	{ 0xe7629d99, "v4l2_ctrl_handler_free" },
	{ 0xdcfb6bc7, "i2c_transfer" },
	{ 0x20c09e8e, "v4l2_device_unregister" },
	{ 0x35ea5300, "usb_reset_endpoint" },
	{ 0xa3eb0cc6, "i2c_mux_del_adapters" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x8e2d3bf6, "v4l2_subdev_call_wrappers" },
	{ 0x9f1a16b4, "v4l2_ctrl_log_status" },
	{ 0x391b5fb8, "v4l2_i2c_new_subdev" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x1676ba33, "video_device_release_empty" },
	{ 0x8000f664, "i2c_mux_add_adapter" },
	{ 0x12d43649, "_vb2_fop_release" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc6969b18, "v4l2_event_unsubscribe" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2681c629, "vb2_ioctl_reqbufs" },
	{ 0xbe8c5ce0, "vb2_queue_init" },
	{ 0x6a578ab1, "usb_alloc_urb" },
	{ 0x9ba1b3d0, "v4l2_ctrl_poll" },
	{ 0x3f2f504f, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf00c4cae, "media_device_unregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x96e6d83, "usb_free_urb" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x1a1d1183, "vb2_ioctl_streamoff" },
	{ 0x66bc8c59, "v4l2_ctrl_radio_filter" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4a3dcf5e, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x23c05329, "v4l2_ctrl_add_handler" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x2476a690, "request_firmware" },
	{ 0xd95aeb24, "vb2_ops_wait_finish" },
	{ 0x33972a88, "usb_register_driver" },
	{ 0xc250707, "v4l2_ctrl_handler_init_class" },
	{ 0x9449d1a3, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2b477aca, "__media_device_register" },
	{ 0x2b12dc33, "vb2_ioctl_querybuf" },
	{ 0x81734a53, "i2c_transfer_buffer_flags" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x3f0b4e8f, "v4l2_fh_open" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-v4l2,cx2341x,mc,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "DD5D5AC8D5B5CBF76C2C4C2");

MODULE_INFO(suserelease, "SLFO-1.2");
