#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dvb_usbv2_probe, "", "");
KSYMTAB_FUNC(dvb_usbv2_disconnect, "", "");
KSYMTAB_FUNC(dvb_usbv2_suspend, "", "");
KSYMTAB_FUNC(dvb_usbv2_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_reset_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw_locked, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write_locked, "", "");

SYMBOL_CRC(dvb_usbv2_probe, 0xb4bfb909, "");
SYMBOL_CRC(dvb_usbv2_disconnect, 0x37fc2ba7, "");
SYMBOL_CRC(dvb_usbv2_suspend, 0xb35f4d9c, "");
SYMBOL_CRC(dvb_usbv2_resume, 0x1d711821, "");
SYMBOL_CRC(dvb_usbv2_reset_resume, 0xdb744ecd, "");
SYMBOL_CRC(dvb_usbv2_generic_rw, 0x7318101c, "");
SYMBOL_CRC(dvb_usbv2_generic_write, 0xcf71bc1c, "");
SYMBOL_CRC(dvb_usbv2_generic_rw_locked, 0xa828afd0, "");
SYMBOL_CRC(dvb_usbv2_generic_write_locked, 0xb7de6652, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x973260ca, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xebc770a, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1161409, "usb_submit_urb" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0x2af85aaf, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x1035ffc1, "media_device_cleanup" },
	{ 0x18aebc6, "dvb_dmx_swfilter_204" },
	{ 0xbab247e1, "dvb_dmx_release" },
	{ 0x33719327, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x42cb75ea, "rc_register_device" },
	{ 0x30598217, "dvb_net_init" },
	{ 0x40ad8e3f, "dvb_dmx_swfilter" },
	{ 0x99f7915f, "dvb_dmxdev_release" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x99330e39, "rc_free_device" },
	{ 0xb9365a75, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8c3825c2, "dvb_frontend_detach" },
	{ 0x6e418612, "i2c_add_adapter" },
	{ 0xe2ea8481, "dvb_net_release" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3f5c6211, "rc_allocate_device" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd6841367, "dvb_unregister_frontend" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x4d4770a7, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x693509b6, "__media_device_usb_init" },
	{ 0x707ed32f, "dvb_frontend_resume" },
	{ 0xd3849119, "dvb_register_frontend" },
	{ 0xe8d8561e, "dvb_frontend_suspend" },
	{ 0x31f1ce94, "dvb_create_media_graph" },
	{ 0xcd6e5ae, "dvb_unregister_adapter" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0xec92912b, "dvb_dmx_init" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xcdc4ff8a, "rc_unregister_device" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x925afb81, "dvb_dmxdev_init" },
	{ 0x6a578ab1, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf00c4cae, "media_device_unregister" },
	{ 0x96e6d83, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x2476a690, "request_firmware" },
	{ 0x37a0cba, "kfree" },
	{ 0x2b477aca, "__media_device_register" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,usbcore,mc,rc-core");


MODULE_INFO(srcversion, "9926F3EE0FC2A72E4FE49C0");

MODULE_INFO(suserelease, "SLFO-1.2");
