#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(gspca_debug, "", "");
KSYMTAB_FUNC(gspca_frame_add, "", "");
KSYMTAB_FUNC(gspca_dev_probe2, "", "");
KSYMTAB_FUNC(gspca_dev_probe, "", "");
KSYMTAB_FUNC(gspca_disconnect, "", "");
KSYMTAB_FUNC(gspca_suspend, "", "");
KSYMTAB_FUNC(gspca_resume, "", "");
KSYMTAB_FUNC(gspca_expo_autogain, "", "");
KSYMTAB_FUNC(gspca_coarse_grained_expo_autogain, "", "");

SYMBOL_CRC(gspca_debug, 0x9670af2c, "");
SYMBOL_CRC(gspca_frame_add, 0x496bc62d, "");
SYMBOL_CRC(gspca_dev_probe2, 0x99248465, "");
SYMBOL_CRC(gspca_dev_probe, 0x7f14b867, "");
SYMBOL_CRC(gspca_disconnect, 0xd9932275, "");
SYMBOL_CRC(gspca_suspend, 0xa515a7ea, "");
SYMBOL_CRC(gspca_resume, 0xc710f1de, "");
SYMBOL_CRC(gspca_expo_autogain, 0xaabd6a64, "");
SYMBOL_CRC(gspca_coarse_grained_expo_autogain, 0xb7a20b14, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xde7e405e, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1161409, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbad45d3b, "__v4l2_ctrl_s_ctrl" },
	{ 0xcf013ded, "vb2_ioctl_dqbuf" },
	{ 0x810f623f, "usb_free_coherent" },
	{ 0x192a816b, "vb2_ioctl_create_bufs" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x2465acc7, "vb2_buffer_done" },
	{ 0xd5c25fb1, "vb2_plane_vaddr" },
	{ 0x9d339a60, "v4l2_ctrl_subscribe_event" },
	{ 0xa12d9eed, "usb_set_interface" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcd1b50bf, "video_unregister_device" },
	{ 0x890ac755, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x25ee2c2b, "vb2_fop_mmap" },
	{ 0xd6fbf9b5, "vb2_vmalloc_memops" },
	{ 0x751a28aa, "v4l2_device_disconnect" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x13fc7fbe, "vb2_fop_read" },
	{ 0x1fe9fb8e, "v4l2_device_register" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x7529c68d, "__video_register_device" },
	{ 0x82f68e9f, "vb2_ops_wait_prepare" },
	{ 0x4d4770a7, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd5ecc1af, "vb2_ioctl_streamon" },
	{ 0x85568200, "vb2_fop_poll" },
	{ 0x1fe9534d, "v4l2_ctrl_g_ctrl" },
	{ 0xe7629d99, "v4l2_ctrl_handler_free" },
	{ 0x20c09e8e, "v4l2_device_unregister" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x1676ba33, "video_device_release_empty" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc6969b18, "v4l2_event_unsubscribe" },
	{ 0x2681c629, "vb2_ioctl_reqbufs" },
	{ 0xbe8c5ce0, "vb2_queue_init" },
	{ 0x52176ab1, "input_allocate_device" },
	{ 0x6a578ab1, "usb_alloc_urb" },
	{ 0x3f2f504f, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x96e6d83, "usb_free_urb" },
	{ 0x540a50dc, "v4l2_device_put" },
	{ 0x1a1d1183, "vb2_ioctl_streamoff" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4a3dcf5e, "usb_alloc_coherent" },
	{ 0x4431d0ed, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xadc71f84, "usb_ifnum_to_if" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xd95aeb24, "vb2_ops_wait_finish" },
	{ 0x8832978e, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2b12dc33, "vb2_ioctl_querybuf" },
	{ 0x3f0b4e8f, "v4l2_fh_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaeb5bdc3, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x2e58d2de, "usb_clear_halt" },
	{ 0x6e3a5233, "v4l2_ctrl_handler_setup" },
	{ 0x3724b25d, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x60ac35fb, "video_devdata" },
	{ 0x182d60d1, "vb2_queue_error" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,usbcore,videodev,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "97CC365C5DA7A87CE46A265");

MODULE_INFO(suserelease, "SLFO-1.2");
