#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_FUNC(mpt_resume, "", "");
KSYMTAB_FUNC(mpt_suspend, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0xcf2db64a, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0x8dd31f5b, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0xcb99cbf4, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0xa898eaf6, "");
SYMBOL_CRC(mpt_halt_firmware, 0x72784b23, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0x4104e524, "");
SYMBOL_CRC(mpt_attach, 0x68d40ef2, "");
SYMBOL_CRC(mpt_detach, 0xf5d40873, "");
SYMBOL_CRC(mpt_resume, 0x4487508e, "");
SYMBOL_CRC(mpt_suspend, 0x110aebe2, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0x75f63d98, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0x740bd14e, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0x998008f9, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0x3a762371, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0xc2d2c1e9, "");
SYMBOL_CRC(mpt_put_msg_frame, 0xf18921c4, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0x91de94eb, "");
SYMBOL_CRC(mpt_free_msg_frame, 0x9f541d1d, "");
SYMBOL_CRC(mpt_send_handshake_request, 0xf1bf8f8f, "");
SYMBOL_CRC(mpt_verify_adapter, 0xed4012ec, "");
SYMBOL_CRC(mpt_GetIocState, 0xce870208, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0x2d9e7380, "");
SYMBOL_CRC(mpt_HardResetHandler, 0x6108f101, "");
SYMBOL_CRC(mpt_config, 0x8a1bdf30, "");
SYMBOL_CRC(mpt_findImVolumes, 0x88153068, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0xc5c9b279, "");
SYMBOL_CRC(mpt_free_fw_memory, 0x29a9cfc1, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0xc857ad50, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0x26fda888, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x92997ed8, "_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0xf176f92f, "pci_stop_and_remove_bus_device_locked" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x12bfdb89, "pci_select_bars" },
	{ 0x56484b4b, "pci_enable_device_mem" },
	{ 0x118ab15a, "pci_request_selected_regions" },
	{ 0xee5d5b9b, "dma_get_required_mask" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd9619c73, "pci_release_selected_regions" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0xcb8a4261, "remove_proc_entry" },
	{ 0xf1e046cc, "panic" },
	{ 0x79bd179, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa6257a2f, "complete" },
	{ 0x7a905b8, "seq_putc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfcaf870c, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xee126581, "pci_disable_msi" },
	{ 0x4fca9753, "pci_save_state" },
	{ 0x68e801b6, "pci_set_power_state" },
	{ 0xefa589cf, "proc_mkdir" },
	{ 0x8e025ba, "proc_create_single_data" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x2b8216f, "pci_read_config_word" },
	{ 0x8c03c156, "pci_write_config_word" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xedc03953, "iounmap" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0x27a9a4cd, "pci_enable_msi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xad82bbd2, "pci_read_config_byte" },
	{ 0x9b69ddd2, "pci_write_config_byte" },
	{ 0x474cb3ca, "pci_get_slot" },
	{ 0xb0c76689, "pci_dev_put" },
	{ 0x100d031b, "pci_enable_wake" },
	{ 0xef211625, "pci_restore_state" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x2f6fa27a, "param_get_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A9A75BA26A33B1F6BDD06DC");

MODULE_INFO(suserelease, "SLFO-1.2");
