#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(gru_create_message_queue, "_gpl", "");
KSYMTAB_FUNC(gru_send_message_gpa, "_gpl", "");
KSYMTAB_FUNC(gru_free_message, "_gpl", "");
KSYMTAB_FUNC(gru_get_next_message, "_gpl", "");
KSYMTAB_FUNC(gru_read_gpa, "_gpl", "");
KSYMTAB_FUNC(gru_copy_gpa, "_gpl", "");

SYMBOL_CRC(gru_create_message_queue, 0x8dc51bdd, "_gpl");
SYMBOL_CRC(gru_send_message_gpa, 0xeed7d505, "_gpl");
SYMBOL_CRC(gru_free_message, 0xd3d2bf04, "_gpl");
SYMBOL_CRC(gru_get_next_message, 0x5b8bb699, "_gpl");
SYMBOL_CRC(gru_read_gpa, 0xde08c325, "_gpl");
SYMBOL_CRC(gru_copy_gpa, 0x9c7283a1, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xab027839, "zap_vma_ptes" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xac8c446a, "remove_proc_subtree" },
	{ 0xa7bc7ccd, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdbc526a5, "__tracepoint_mmap_lock_released" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9493fc86, "node_states" },
	{ 0x73d78539, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb5ab892d, "uv_undefined" },
	{ 0x6249bb21, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8ad5ceb1, "__uv_hub_info_list" },
	{ 0x38fd3cc, "get_user_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x618911fc, "numa_node" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb69d6908, "find_vma" },
	{ 0x67dcd76b, "uv_setup_irq" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x77f5bb81, "down_write" },
	{ 0x33719327, "_dev_err" },
	{ 0x264635e1, "up_write" },
	{ 0x1d19f77b, "physical_mask" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x136d2728, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x12aac4bd, "mmu_notifier_put" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1e046cc, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbada6f58, "__put_devmap_managed_folio_refs" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2a5c0933, "x86_cpu_to_apicid" },
	{ 0xefa589cf, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0xdad13544, "ptrs_per_p4d" },
	{ 0xe54012d3, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xf3189f7e, "__uv_cpu_info" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x9bf19f49, "down_write_trylock" },
	{ 0xa985aeff, "down_read" },
	{ 0x82b5fad, "mutex_trylock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5eab9be2, "__mmap_lock_do_trace_start_locking" },
	{ 0x911c8743, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44aaf30f, "tsc_khz" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x2979d8b6, "__tracepoint_mmap_lock_start_locking" },
	{ 0x66ca9904, "seq_write" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3335abed, "seq_printf" },
	{ 0x690c7e13, "__mmap_lock_do_trace_released" },
	{ 0x12e285ec, "is_uv_system" },
	{ 0x1be11656, "downgrade_write" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0x55473fb7, "single_release" },
	{ 0x57cd58c3, "proc_create_seq_private" },
	{ 0x11c9859, "__vma_start_write" },
	{ 0xd898659, "single_open" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x46082687, "mtree_load" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa86cfb5, "uv_possible_blades" },
	{ 0x173756c, "__init_rwsem" },
	{ 0xbca03f0, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x39d54c05, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x608e1b53, "proc_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x93fb3783, "mmu_notifier_get_locked" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1e8c3197, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x5d9317d7, "uv_teardown_irq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x72d79d83, "pgdir_shift" },
	{ 0xf32a0d32, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "369446703D6F35D3772057A");

MODULE_INFO(suserelease, "SLFO-1.2");
