#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vmci_context_get_priv_flags, "_gpl", "");
KSYMTAB_FUNC(vmci_is_context_owner, "_gpl", "");
KSYMTAB_FUNC(vmci_datagram_create_handle_priv, "_gpl", "");
KSYMTAB_FUNC(vmci_datagram_create_handle, "_gpl", "");
KSYMTAB_FUNC(vmci_datagram_destroy_handle, "_gpl", "");
KSYMTAB_FUNC(vmci_datagram_send, "_gpl", "");
KSYMTAB_FUNC(vmci_doorbell_create, "_gpl", "");
KSYMTAB_FUNC(vmci_doorbell_destroy, "_gpl", "");
KSYMTAB_FUNC(vmci_doorbell_notify, "_gpl", "");
KSYMTAB_FUNC(vmci_get_context_id, "_gpl", "");
KSYMTAB_FUNC(vmci_register_vsock_callback, "_gpl", "");
KSYMTAB_FUNC(vmci_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(vmci_event_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(vmci_send_datagram, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_alloc, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_detach, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_get_produce_indexes, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_get_consume_indexes, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_produce_free_space, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_consume_free_space, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_produce_buf_ready, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_consume_buf_ready, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_enqueue, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_dequeue, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_peek, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_enquev, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_dequev, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_peekv, "_gpl", "");

SYMBOL_CRC(vmci_context_get_priv_flags, 0x5591b58e, "_gpl");
SYMBOL_CRC(vmci_is_context_owner, 0xc403cafe, "_gpl");
SYMBOL_CRC(vmci_datagram_create_handle_priv, 0xde3abc2e, "_gpl");
SYMBOL_CRC(vmci_datagram_create_handle, 0x046dd187, "_gpl");
SYMBOL_CRC(vmci_datagram_destroy_handle, 0x3a22fa8a, "_gpl");
SYMBOL_CRC(vmci_datagram_send, 0xea143610, "_gpl");
SYMBOL_CRC(vmci_doorbell_create, 0xb572e830, "_gpl");
SYMBOL_CRC(vmci_doorbell_destroy, 0x5e949e0a, "_gpl");
SYMBOL_CRC(vmci_doorbell_notify, 0xbcb85f62, "_gpl");
SYMBOL_CRC(vmci_get_context_id, 0x056837fb, "_gpl");
SYMBOL_CRC(vmci_register_vsock_callback, 0x787f0fe8, "_gpl");
SYMBOL_CRC(vmci_event_subscribe, 0x2449459d, "_gpl");
SYMBOL_CRC(vmci_event_unsubscribe, 0xe11895c1, "_gpl");
SYMBOL_CRC(vmci_send_datagram, 0x75fe065a, "_gpl");
SYMBOL_CRC(vmci_qpair_alloc, 0xe0cc9c92, "_gpl");
SYMBOL_CRC(vmci_qpair_detach, 0x612df9ae, "_gpl");
SYMBOL_CRC(vmci_qpair_get_produce_indexes, 0x1fd4782d, "_gpl");
SYMBOL_CRC(vmci_qpair_get_consume_indexes, 0xc04c7e84, "_gpl");
SYMBOL_CRC(vmci_qpair_produce_free_space, 0x024d14bc, "_gpl");
SYMBOL_CRC(vmci_qpair_consume_free_space, 0x676bd843, "_gpl");
SYMBOL_CRC(vmci_qpair_produce_buf_ready, 0xea61eefe, "_gpl");
SYMBOL_CRC(vmci_qpair_consume_buf_ready, 0x7c74d7a6, "_gpl");
SYMBOL_CRC(vmci_qpair_enqueue, 0xe67343c1, "_gpl");
SYMBOL_CRC(vmci_qpair_dequeue, 0x81d61eef, "_gpl");
SYMBOL_CRC(vmci_qpair_peek, 0x4ba5c46b, "_gpl");
SYMBOL_CRC(vmci_qpair_enquev, 0x5a18766d, "_gpl");
SYMBOL_CRC(vmci_qpair_dequev, 0xde8ff323, "_gpl");
SYMBOL_CRC(vmci_qpair_peekv, 0xece801ab, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x61f891c3, "pci_irq_vector" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x45f894dc, "__put_cred" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x2a730987, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9325f7fe, "pcim_iomap_regions" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9581520b, "pci_iomap_range" },
	{ 0x33719327, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0xc0db7e74, "iov_iter_kvec" },
	{ 0xf1cc093f, "vmap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbada6f58, "__put_devmap_managed_folio_refs" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x97ab7810, "pci_iounmap" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xe54012d3, "misc_register" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xd3d87112, "set_page_dirty_lock" },
	{ 0x69dc6f5d, "_copy_from_iter" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0xcdf837bf, "pcim_iomap_table" },
	{ 0xc67b1fbe, "iov_iter_revert" },
	{ 0xe3d14983, "pcim_enable_device" },
	{ 0x85909793, "pci_free_irq_vectors" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2d1a2d3f, "get_user_pages_fast" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x31a59dec, "_copy_to_iter" },
	{ 0xbca03f0, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x67881199, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015ADd00000740sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "2A6A95A51F25D5DB8110C17");

MODULE_INFO(suserelease, "SLFO-1.2");
