#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdhci_dumpregs, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_v4_mode, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_adma_write_desc, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_data_timeout_irq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_switch_external_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_calc_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_clock, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_noreg, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_and_bus_voltage, "_gpl", "");
KSYMTAB_FUNC(sdhci_request, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_atomic, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_bus_width, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_uhs_signaling, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_cd_nogpio, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_ro, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_signal_voltage_switch, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_end_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_send_tuning, "_gpl", "");
KSYMTAB_FUNC(__sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_enable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_disable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_alloc_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_read_caps, "_gpl", "");
KSYMTAB_FUNC(sdhci_setup_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cleanup_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_remove_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_free_host, "_gpl", "");

SYMBOL_CRC(sdhci_dumpregs, 0x159fc399, "_gpl");
SYMBOL_CRC(sdhci_enable_v4_mode, 0x130fd967, "_gpl");
SYMBOL_CRC(sdhci_reset, 0xac219726, "_gpl");
SYMBOL_CRC(sdhci_adma_write_desc, 0x5af105d3, "_gpl");
SYMBOL_CRC(sdhci_set_data_timeout_irq, 0x73426ef0, "_gpl");
SYMBOL_CRC(__sdhci_set_timeout, 0x69df18cf, "_gpl");
SYMBOL_CRC(sdhci_switch_external_dma, 0xed31a2fa, "_gpl");
SYMBOL_CRC(sdhci_calc_clk, 0xa765795f, "_gpl");
SYMBOL_CRC(sdhci_enable_clk, 0xe497cf06, "_gpl");
SYMBOL_CRC(sdhci_set_clock, 0x1950b32b, "_gpl");
SYMBOL_CRC(sdhci_set_power_noreg, 0xc7fdf742, "_gpl");
SYMBOL_CRC(sdhci_set_power, 0x589b51e5, "_gpl");
SYMBOL_CRC(sdhci_set_power_and_bus_voltage, 0xc9ee57cd, "_gpl");
SYMBOL_CRC(sdhci_request, 0x3d4a4a8d, "_gpl");
SYMBOL_CRC(sdhci_request_atomic, 0xf6cea100, "_gpl");
SYMBOL_CRC(sdhci_set_bus_width, 0x8e73d0f0, "_gpl");
SYMBOL_CRC(sdhci_set_uhs_signaling, 0x58d1c96a, "_gpl");
SYMBOL_CRC(sdhci_set_ios, 0x2bc541a2, "_gpl");
SYMBOL_CRC(sdhci_get_cd_nogpio, 0x110c3fd3, "_gpl");
SYMBOL_CRC(sdhci_get_ro, 0xf8113315, "_gpl");
SYMBOL_CRC(sdhci_enable_sdio_irq, 0xb432806b, "_gpl");
SYMBOL_CRC(sdhci_start_signal_voltage_switch, 0xf1067a51, "_gpl");
SYMBOL_CRC(sdhci_start_tuning, 0x2929eafb, "_gpl");
SYMBOL_CRC(sdhci_end_tuning, 0x909375ec, "_gpl");
SYMBOL_CRC(sdhci_reset_tuning, 0x65112b82, "_gpl");
SYMBOL_CRC(sdhci_abort_tuning, 0x0429dd27, "_gpl");
SYMBOL_CRC(sdhci_send_tuning, 0x09e79d26, "_gpl");
SYMBOL_CRC(__sdhci_execute_tuning, 0xb6a52bf7, "_gpl");
SYMBOL_CRC(sdhci_execute_tuning, 0xecb2c2cb, "_gpl");
SYMBOL_CRC(sdhci_suspend_host, 0x29279603, "_gpl");
SYMBOL_CRC(sdhci_resume_host, 0xf5024302, "_gpl");
SYMBOL_CRC(sdhci_runtime_suspend_host, 0xe22af293, "_gpl");
SYMBOL_CRC(sdhci_runtime_resume_host, 0x5dead6c1, "_gpl");
SYMBOL_CRC(sdhci_cqe_enable, 0x9b4cf076, "_gpl");
SYMBOL_CRC(sdhci_cqe_disable, 0xc6e7aa86, "_gpl");
SYMBOL_CRC(sdhci_cqe_irq, 0xe5c43afc, "_gpl");
SYMBOL_CRC(sdhci_alloc_host, 0x41926996, "_gpl");
SYMBOL_CRC(__sdhci_read_caps, 0x45b86509, "_gpl");
SYMBOL_CRC(sdhci_setup_host, 0x955c568d, "_gpl");
SYMBOL_CRC(sdhci_cleanup_host, 0x1d2eb6c5, "_gpl");
SYMBOL_CRC(__sdhci_add_host, 0x492ae80b, "_gpl");
SYMBOL_CRC(sdhci_add_host, 0x198fe9a9, "_gpl");
SYMBOL_CRC(sdhci_remove_host, 0xb8b8026c, "_gpl");
SYMBOL_CRC(sdhci_free_host, 0x2982a824, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x3f166ba5, "dma_map_sg_attrs" },
	{ 0x7e88de20, "__dma_sync_single_for_device" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x11e6ecb, "dma_unmap_sg_attrs" },
	{ 0xfef88962, "mmc_alloc_host" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0xc684d9df, "regulator_disable" },
	{ 0x3c8fa902, "mmc_free_host" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xec1c72c5, "mmc_retune_timer_stop" },
	{ 0xaa309cf, "synchronize_hardirq" },
	{ 0x2ce6623a, "mmc_send_abort_tuning" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcf3678d3, "mmc_regulator_set_ocr" },
	{ 0xad15898d, "mmc_request_done" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x8d816799, "__dma_sync_single_for_cpu" },
	{ 0x7b1ceffe, "mmc_gpio_get_cd" },
	{ 0x234e3c4e, "mmc_can_gpio_cd" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x17a9aa1c, "led_classdev_register_ext" },
	{ 0x332b253e, "mmc_add_host" },
	{ 0x1dab9fa0, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x78c5a5d6, "mmc_remove_host" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe4d54e69, "mmc_can_gpio_ro" },
	{ 0x9cc2ebc8, "mmc_gpio_get_ro" },
	{ 0x8bb23055, "mmc_regulator_set_vqmmc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x95eb53fa, "device_property_read_u64_array" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf1dbbe70, "regulator_is_supported_voltage" },
	{ 0xdfc40bad, "regulator_get_current_limit" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x5ed6577, "regulator_enable" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0x5fbdd86f, "devm_kfree" },
	{ 0xadb393d9, "mmc_regulator_get_supply" },
	{ 0xabed6000, "dma_max_mapping_size" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd991fbd5, "mmc_detect_change" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xeeea9156, "sg_miter_start" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x76320279, "__dma_sync_sg_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaee965d1, "sdio_signal_irq" },
	{ 0x83d7df4, "mmc_command_done" },
	{ 0x9c034d8b, "sg_miter_next" },
	{ 0xfae0ff0a, "sg_miter_stop" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");


MODULE_INFO(srcversion, "9875D36BCF3DC304A141C47");

MODULE_INFO(suserelease, "SLFO-1.2");
