#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nand_extract_bits, "_gpl", "");
KSYMTAB_FUNC(nand_select_target, "_gpl", "");
KSYMTAB_FUNC(nand_deselect_target, "_gpl", "");
KSYMTAB_FUNC(nand_soft_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_gpio_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_read_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_read_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_begin_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_end_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_write_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_readid_op, "_gpl", "");
KSYMTAB_FUNC(nand_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_exit_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_erase_op, "_gpl", "");
KSYMTAB_FUNC(nand_reset_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_write_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_op_parser_exec_op, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_addr_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_num_addr_cyc, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_len, "_gpl", "");
KSYMTAB_FUNC(nand_reset, "_gpl", "");
KSYMTAB_FUNC(nand_check_erased_ecc_chunk, "", "");
KSYMTAB_FUNC(nand_read_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_read_page_raw, "", "");
KSYMTAB_FUNC(nand_read_page_hwecc_oob_first, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_std, "", "");
KSYMTAB_FUNC(nand_write_oob_std, "", "");
KSYMTAB_FUNC(nand_write_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_write_page_raw, "", "");
KSYMTAB_FUNC(nand_decode_ext_id, "_gpl", "");
KSYMTAB_FUNC(rawnand_dt_parse_gpio_cs, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_init, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_cleanup, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_init, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_cleanup, "", "");
KSYMTAB_FUNC(nand_ecc_choose_conf, "_gpl", "");
KSYMTAB_FUNC(nand_scan_with_ids, "", "");
KSYMTAB_FUNC(nand_cleanup, "_gpl", "");
KSYMTAB_FUNC(nand_wait_ready, "_gpl", "");
KSYMTAB_FUNC(nand_get_set_features_notsupp, "", "");
KSYMTAB_FUNC(nand_create_bbt, "", "");

SYMBOL_CRC(nand_extract_bits, 0x11091291, "_gpl");
SYMBOL_CRC(nand_select_target, 0x57e4f161, "_gpl");
SYMBOL_CRC(nand_deselect_target, 0x3e9a4a43, "_gpl");
SYMBOL_CRC(nand_soft_waitrdy, 0x7a435712, "_gpl");
SYMBOL_CRC(nand_gpio_waitrdy, 0xf4a807c2, "_gpl");
SYMBOL_CRC(nand_read_page_op, 0x46c4c7d4, "_gpl");
SYMBOL_CRC(nand_change_read_column_op, 0xfd5a3aad, "_gpl");
SYMBOL_CRC(nand_read_oob_op, 0xda91d111, "_gpl");
SYMBOL_CRC(nand_prog_page_begin_op, 0x6eb644c0, "_gpl");
SYMBOL_CRC(nand_prog_page_end_op, 0x93416bf4, "_gpl");
SYMBOL_CRC(nand_prog_page_op, 0xffeccbb7, "_gpl");
SYMBOL_CRC(nand_change_write_column_op, 0x0ecf6b66, "_gpl");
SYMBOL_CRC(nand_readid_op, 0xa1cb26d3, "_gpl");
SYMBOL_CRC(nand_status_op, 0xc5cd2a44, "_gpl");
SYMBOL_CRC(nand_exit_status_op, 0x8b2cfee7, "_gpl");
SYMBOL_CRC(nand_erase_op, 0x2c0c23a0, "_gpl");
SYMBOL_CRC(nand_reset_op, 0x2a0208e9, "_gpl");
SYMBOL_CRC(nand_read_data_op, 0xca51adc1, "_gpl");
SYMBOL_CRC(nand_write_data_op, 0x12b8f403, "_gpl");
SYMBOL_CRC(nand_op_parser_exec_op, 0x3f98f9a7, "_gpl");
SYMBOL_CRC(nand_subop_get_addr_start_off, 0x2d368c4c, "_gpl");
SYMBOL_CRC(nand_subop_get_num_addr_cyc, 0x5632e63d, "_gpl");
SYMBOL_CRC(nand_subop_get_data_start_off, 0xd41ff2ac, "_gpl");
SYMBOL_CRC(nand_subop_get_data_len, 0xd3c672b8, "_gpl");
SYMBOL_CRC(nand_reset, 0x133658a9, "_gpl");
SYMBOL_CRC(nand_check_erased_ecc_chunk, 0x8ecbb3b8, "");
SYMBOL_CRC(nand_read_page_raw, 0x281a8ed4, "");
SYMBOL_CRC(nand_monolithic_read_page_raw, 0xb1d1dab3, "");
SYMBOL_CRC(nand_read_page_hwecc_oob_first, 0x0ad1610c, "_gpl");
SYMBOL_CRC(nand_read_oob_std, 0x8ca31fe4, "");
SYMBOL_CRC(nand_write_oob_std, 0x9335e481, "");
SYMBOL_CRC(nand_write_page_raw, 0x52105ef7, "");
SYMBOL_CRC(nand_monolithic_write_page_raw, 0xd5931199, "");
SYMBOL_CRC(nand_decode_ext_id, 0x7ed9d57e, "_gpl");
SYMBOL_CRC(rawnand_dt_parse_gpio_cs, 0x01123db0, "");
SYMBOL_CRC(rawnand_sw_hamming_init, 0xcecb79b4, "");
SYMBOL_CRC(rawnand_sw_hamming_calculate, 0x7bb6aa2a, "");
SYMBOL_CRC(rawnand_sw_hamming_correct, 0x292917f8, "");
SYMBOL_CRC(rawnand_sw_hamming_cleanup, 0xa8c8237d, "");
SYMBOL_CRC(rawnand_sw_bch_init, 0x10d06f1d, "");
SYMBOL_CRC(rawnand_sw_bch_correct, 0xb295aa60, "");
SYMBOL_CRC(rawnand_sw_bch_cleanup, 0x7155acce, "");
SYMBOL_CRC(nand_ecc_choose_conf, 0x441122bf, "_gpl");
SYMBOL_CRC(nand_scan_with_ids, 0x2e4b1c8a, "");
SYMBOL_CRC(nand_cleanup, 0xd8062fa0, "_gpl");
SYMBOL_CRC(nand_wait_ready, 0x86586615, "_gpl");
SYMBOL_CRC(nand_get_set_features_notsupp, 0xcd4ca0aa, "");
SYMBOL_CRC(nand_create_bbt, 0xf476e0c0, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x999e8297, "vfree" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4a05fc22, "mtd_ooblayout_find_eccregion" },
	{ 0xf0041713, "mtd_ooblayout_get_databytes" },
	{ 0x81188c30, "match_string" },
	{ 0x9f0ad3, "mtd_ooblayout_get_eccbytes" },
	{ 0xe66c8b0b, "nanddev_mtd_max_bad_blocks" },
	{ 0x50615b24, "nand_ecc_sw_bch_calculate" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x20b835f4, "gpiod_get_value_cansleep" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x4aa63f30, "mtd_read_oob" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x954d3d5e, "gpiod_count" },
	{ 0xee201a42, "nanddev_cleanup" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x628b6e6f, "nand_get_large_page_hamming_ooblayout" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdc4ea208, "nand_get_large_page_ooblayout" },
	{ 0x37a0cba, "kfree" },
	{ 0x27c3d5ee, "gpiod_get_index_optional" },
	{ 0xe7efa4c4, "nand_ecc_sw_hamming_init_ctx" },
	{ 0x3f0793c7, "nanddev_init" },
	{ 0xf4334743, "nand_ecc_sw_bch_correct" },
	{ 0xc119c61b, "nand_ecc_sw_bch_cleanup_ctx" },
	{ 0x9e72d183, "mtd_ooblayout_set_eccbytes" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x392ce054, "nand_ecc_sw_hamming_calculate" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xca97a0a3, "nand_ecc_sw_hamming_cleanup_ctx" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x7b7b0a6d, "nand_ecc_sw_bch_init_ctx" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x33719327, "_dev_err" },
	{ 0x3c3e79e9, "nand_ecc_is_strong_enough" },
	{ 0x4fcbf651, "mtd_write_oob" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x2e728d5, "nand_get_small_page_ooblayout" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x64fd4291, "nand_ecc_sw_hamming_correct" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4a2851c4, "mtd_read" },
	{ 0xc20132ff, "mtd_ooblayout_count_freebytes" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbd68c4ba, "mtd_ooblayout_set_databytes" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mtd,nandcore");


MODULE_INFO(srcversion, "CEDAE5265053F303681C2CB");

MODULE_INFO(suserelease, "SLFO-1.2");
