#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x19dd5771, "ksz_switch_alloc" },
	{ 0xd5a1cec0, "device_get_match_data" },
	{ 0xa56aafd4, "__devm_regmap_init_spi" },
	{ 0xdd1674e3, "spi_setup" },
	{ 0x3b5c97ff, "ksz_switch_register" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0x534bec48, "ksz_switch_chips" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd2ba727a, "__spi_register_driver" },
	{ 0xacafcccc, "ksz_switch_shutdown" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1094514f, "ksz_switch_remove" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "ksz_switch,regmap-spi");

MODULE_ALIAS("spi:ksz8765");
MODULE_ALIAS("spi:ksz8794");
MODULE_ALIAS("spi:ksz8795");
MODULE_ALIAS("spi:ksz8863");
MODULE_ALIAS("spi:ksz8864");
MODULE_ALIAS("spi:ksz8873");
MODULE_ALIAS("spi:ksz8895");
MODULE_ALIAS("spi:ksz9477");
MODULE_ALIAS("spi:ksz9896");
MODULE_ALIAS("spi:ksz9897");
MODULE_ALIAS("spi:ksz9893");
MODULE_ALIAS("spi:ksz9563");
MODULE_ALIAS("spi:ksz8563");
MODULE_ALIAS("spi:ksz8567");
MODULE_ALIAS("spi:ksz9567");
MODULE_ALIAS("spi:lan9370");
MODULE_ALIAS("spi:lan9371");
MODULE_ALIAS("spi:lan9372");
MODULE_ALIAS("spi:lan9373");
MODULE_ALIAS("spi:lan9374");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8765");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8765C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8794");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8794C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8795");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8795C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8863");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8863C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8864");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8864C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8873");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8873C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8895");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8895C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9477");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9477C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9896");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9896C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9897");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9897C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9893");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9893C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9563");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9563C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8563");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8563C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8567");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8567C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9567");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9567C*");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9370");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9370C*");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9371");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9371C*");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9372");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9372C*");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9373");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9373C*");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9374");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9374C*");

MODULE_INFO(srcversion, "F3655CFB6DE53BBEE475942");

MODULE_INFO(suserelease, "SLFO-1.2");
