#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(felix_register_switch, "_gpl", "");
KSYMTAB_FUNC(felix_port_to_netdev, "_gpl", "");
KSYMTAB_FUNC(felix_netdev_to_port, "_gpl", "");

SYMBOL_CRC(felix_register_switch, 0x7a0945c4, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0x707abc8b, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0x3eca38fe, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xc2d431ec, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd5497a48, "ocelot_port_pre_bridge_flags" },
	{ 0x83c1ed5f, "ocelot_port_del_dscp_prio" },
	{ 0xc29ca383, "ocelot_mrp_del_ring_role" },
	{ 0xf5e0c795, "ocelot_sb_tc_pool_bind_set" },
	{ 0x95d9fefd, "dsa_fdb_present_in_other_db" },
	{ 0xac3bdd44, "ocelot_unlock_xtr_grp" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2850fa42, "dsa_mdb_present_in_other_db" },
	{ 0x29b9cab5, "ocelot_vcap_filter_add" },
	{ 0x73132c25, "ocelot_sb_port_pool_get" },
	{ 0xe0609e4, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0x1d16ba86, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0xa3cd8663, "ocelot_port_inject_frame" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0xff5c4cc5, "ocelot_mrp_add" },
	{ 0xec257ba8, "ocelot_sb_occ_port_pool_get" },
	{ 0xdbf59c14, "ocelot_sb_pool_set" },
	{ 0xb9949326, "ocelot_lag_fdb_del" },
	{ 0xd4059f32, "ocelot_vcap_filter_del" },
	{ 0x25b2079f, "ocelot_cls_flower_stats" },
	{ 0x14875ca1, "ocelot_lock_inj_grp" },
	{ 0x8342da97, "ocelot_lock_xtr_grp_bh" },
	{ 0xa8b48ec4, "ocelot_sb_pool_get" },
	{ 0x793fa650, "ocelot_lock_xtr_grp" },
	{ 0xfaaaab32, "ocelot_phylink_mac_link_up" },
	{ 0x59dfc1b9, "ocelot_deinit_port" },
	{ 0x768c12df, "ocelot_can_inject" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x37444c78, "ocelot_port_mirror_add" },
	{ 0x3e023b15, "ocelot_fdb_dump" },
	{ 0xc5db921d, "ocelot_vlan_prepare" },
	{ 0x5324eb4c, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf047ada, "ocelot_set_ageing_time" },
	{ 0x568e82d0, "__ocelot_rmw_ix" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xee29f010, "ocelot_hwstamp_set" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf11e5ee5, "ocelot_port_policer_del" },
	{ 0x5b940705, "ocelot_port_lag_change" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0x162e3b7a, "ocelot_port_policer_add" },
	{ 0x3bc04998, "ocelot_port_mdb_add" },
	{ 0xea88a211, "ocelot_vlan_add" },
	{ 0x13dcbf0b, "ocelot_sb_tc_pool_bind_get" },
	{ 0xa77f88d5, "ocelot_port_bridge_flags" },
	{ 0x99d1c409, "ocelot_devlink_sb_unregister" },
	{ 0x5e67045, "ocelot_port_bridge_leave" },
	{ 0x45021613, "ocelot_port_set_maxlen" },
	{ 0x572ae8ba, "ocelot_vcap_filter_replace" },
	{ 0x560025d6, "ocelot_get_max_mtu" },
	{ 0xd190e16a, "regmap_fields_update_bits_base" },
	{ 0xcd207577, "ocelot_sb_occ_snapshot" },
	{ 0xcf0b7ba1, "ocelot_get_ts_info" },
	{ 0x359184f8, "ocelot_sb_occ_max_clear" },
	{ 0x4352a2fd, "ocelot_port_get_mm" },
	{ 0x29b2bae3, "ocelot_ptp_gettime64" },
	{ 0xc18327b5, "ocelot_unlock_inj_grp" },
	{ 0x2e43b0c, "ocelot_get_strings" },
	{ 0x56ac4de5, "dsa_register_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0x8e2eaad, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0x53cbb5ca, "ocelot_unlock_xtr_grp_bh" },
	{ 0x2e736c1d, "ocelot_port_add_dscp_prio" },
	{ 0x91dfb656, "ocelot_drain_cpu_queue" },
	{ 0xfbc3ca8c, "ocelot_port_mirror_del" },
	{ 0xe1c1be67, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd2a78b8e, "__ocelot_read_ix" },
	{ 0xf77069b4, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4a8aa6a0, "dsa_port_from_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbc4cd8a9, "ocelot_get_sset_count" },
	{ 0xc933f1fb, "ocelot_migrate_mdbs" },
	{ 0x1fe0949e, "ocelot_hwstamp_get" },
	{ 0xd75112d7, "ocelot_port_txtstamp_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdc5736fa, "ocelot_port_bridge_join" },
	{ 0x69b4d3cb, "ocelot_fdb_add" },
	{ 0xee7ac428, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0x819abdfb, "ocelot_xtr_poll_frame" },
	{ 0xa94316c2, "ocelot_port_get_default_prio" },
	{ 0xf7518b37, "ptp_classify_raw" },
	{ 0x4bacaed2, "ocelot_port_set_default_prio" },
	{ 0x792e7540, "dsa_tag_8021q_register" },
	{ 0xe57abea3, "ocelot_port_get_mm_stats" },
	{ 0x1a8c088, "ocelot_deinit" },
	{ 0x33719327, "_dev_err" },
	{ 0x1ceee1ee, "ocelot_vlan_del" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xc019e91b, "ocelot_bond_get_id" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x2895c5e3, "ocelot_get_ethtool_stats" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x68dab99d, "ocelot_cls_flower_destroy" },
	{ 0x56a9a31, "ocelot_port_vlan_filtering" },
	{ 0x7ca75dbb, "ocelot_port_get_rmon_stats" },
	{ 0xa4960e11, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0x66af3c4f, "ocelot_lag_fdb_add" },
	{ 0xb9055bf4, "ocelot_bridge_stp_state_set" },
	{ 0x3aa1a527, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x349f744b, "netif_rx" },
	{ 0xc3a2b10c, "ocelot_port_get_eth_ctrl_stats" },
	{ 0x5b655604, "ocelot_fdb_del" },
	{ 0xaf639f98, "ocelot_phylink_mac_link_down" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xc41e90e4, "ocelot_port_lag_join" },
	{ 0x24954bfc, "ocelot_port_get_eth_phy_stats" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x4b5b9797, "ocelot_port_lag_leave" },
	{ 0x850cf6e1, "ocelot_mrp_add_ring_role" },
	{ 0xa2d42ae, "ocelot_port_set_mm" },
	{ 0xf135f5f, "ocelot_deinit_timestamp" },
	{ 0x436f6f8e, "ocelot_cls_flower_replace" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xeba96365, "ocelot_port_get_stats64" },
	{ 0x3480a94b, "ocelot_port_get_dscp_prio" },
	{ 0x6bfd9b4d, "ocelot_port_mdb_del" },
	{ 0xccf4a367, "ocelot_port_get_eth_mac_stats" },
	{ 0x23a4f5cc, "ocelot_mact_flush" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "44787D8C09EEB2936783AC0");

MODULE_INFO(suserelease, "SLFO-1.2");
