#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bnxt_register_dev, "", "");
KSYMTAB_FUNC(bnxt_unregister_dev, "", "");
KSYMTAB_FUNC(bnxt_send_msg, "", "");
KSYMTAB_FUNC(bnxt_register_async_events, "", "");

SYMBOL_CRC(bnxt_register_dev, 0xb131c80c, "");
SYMBOL_CRC(bnxt_unregister_dev, 0x5f75817c, "");
SYMBOL_CRC(bnxt_send_msg, 0x6e6eacaa, "");
SYMBOL_CRC(bnxt_register_async_events, 0xbc0f5c2c, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x43cb93ec, "netif_receive_skb" },
	{ 0x96d19db4, "register_netdev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x10119bb, "ida_free" },
	{ 0x653194b1, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x699e550a, "pcie_enable_tph" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x23f20028, "rhashtable_walk_start_check" },
	{ 0xa2c355ef, "page_pool_put_unrefed_netmem" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbb72e7ed, "netif_set_xps_queue" },
	{ 0xf1b91d18, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc5616071, "__SCK__tp_func_xdp_exception" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xc67193de, "ethtool_rxfh_context_lost" },
	{ 0x97ab7810, "pci_iounmap" },
	{ 0xef211625, "pci_restore_state" },
	{ 0x62d1ac71, "netif_tx_wake_queue" },
	{ 0x2e9c96c7, "device_del" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x91a1f3d3, "page_pool_create" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x6c59e077, "flow_rule_match_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x6ab45b09, "ptp_clock_event" },
	{ 0xdef801a1, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x34c3024b, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x33a6269f, "flow_rule_match_ipv6_addrs" },
	{ 0x83576647, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xf3710ebc, "ptp_clock_unregister" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x83047ab5, "rhashtable_destroy" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xf352968a, "devl_unlock" },
	{ 0x9ec81667, "__netif_napi_del_locked" },
	{ 0xdfeebfc3, "netdev_rx_queue_restart" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x92225dd3, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x42348b13, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xcee6bdf5, "rps_may_expire_flow" },
	{ 0xf6acf8d5, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4e45c13a, "netdev_reset_tc" },
	{ 0x63a43ec2, "neigh_destroy" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x93cd0ba5, "rhashtable_init_noprof" },
	{ 0x80d2187e, "devlink_params_register" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xed220a6f, "flow_rule_match_enc_ports" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2f12357e, "pci_release_regions" },
	{ 0xd8549c34, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7e88de20, "__dma_sync_single_for_device" },
	{ 0x63d6fd57, "bpf_prog_add" },
	{ 0xfea41449, "xa_find" },
	{ 0xfb35297e, "pcie_print_link_status" },
	{ 0xd7b5b5e1, "flow_rule_match_vlan" },
	{ 0xf8c23ee0, "xdp_rxq_info_unreg" },
	{ 0xf1bfa205, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xba7bd1a6, "napi_build_skb" },
	{ 0xe36429c0, "__xdp_rxq_info_reg" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xba61bfe9, "netif_carrier_off" },
	{ 0x2009e400, "devlink_info_board_serial_number_put" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x56accdf1, "devlink_priv" },
	{ 0x18551bd6, "devlink_port_register_with_ops" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x81c283ad, "pci_disable_sriov" },
	{ 0xa427a0d5, "tcp_gro_complete" },
	{ 0x30098b59, "metadata_dst_alloc" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0xbe2d6696, "netif_carrier_on" },
	{ 0x2cfb4914, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x77c0729f, "hwmon_device_unregister" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0xb42eb307, "rhashtable_walk_next" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xca1e1f76, "netif_set_tso_max_size" },
	{ 0xcfdeb295, "__skb_flow_dissect" },
	{ 0x4749ebdf, "pci_msix_alloc_irq_at" },
	{ 0xcdaaafc9, "pci_vpd_alloc" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x5189aeee, "skb_add_rx_frag_netmem" },
	{ 0xa256d729, "xa_find_after" },
	{ 0x768c573, "xdp_master_redirect" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x4e0aac0c, "napi_schedule_prep" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x754d539c, "strlen" },
	{ 0x948e7075, "napi_disable" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x2e4a9cb0, "dcb_ieee_delapp" },
	{ 0xc160bf96, "netdev_notice" },
	{ 0x1f37fd64, "ethtool_params_from_link_mode" },
	{ 0x2d429ce4, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0xbb304251, "ptp_schedule_worker" },
	{ 0x85909793, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x2c08c823, "flow_rule_match_control" },
	{ 0x65106459, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x5bf9fa75, "pcie_tph_get_cpu_st" },
	{ 0x255d1d35, "rhashtable_walk_exit" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x30d51e1b, "netdev_core_stats_inc" },
	{ 0xa0653200, "dcb_ieee_setapp" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x529386f3, "pci_write_config_dword" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x8b3f301, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xd6a3ce27, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x4e7b468d, "__tracepoint_xdp_exception" },
	{ 0x54759cf4, "napi_alloc_skb" },
	{ 0xeb05b3a8, "alloc_etherdev_mqs" },
	{ 0x52f232bd, "flow_block_cb_lookup" },
	{ 0x4fca9753, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x290bc1d9, "device_set_wakeup_enable" },
	{ 0x8d15063, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3e5220fd, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfc827c93, "pci_find_ext_capability" },
	{ 0x4bae8348, "bpf_prog_put" },
	{ 0xfecdcb5b, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xb5943313, "devlink_unregister" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0x5c249a89, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x349056f0, "pci_wake_from_d3" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x1f7f45cd, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbb46b5d7, "page_pool_alloc_frag" },
	{ 0xe1e21a2a, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd4b6157e, "devlink_health_reporter_recovery_done" },
	{ 0xf2d9339d, "auxiliary_device_init" },
	{ 0x52d5adfe, "netdev_update_features" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0x16902ab6, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x67881199, "pci_alloc_irq_vectors" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa0774cf1, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x33a9134d, "devl_lock" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0x4b9f5640, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x45d6165, "ndo_dflt_bridge_getlink" },
	{ 0x69492855, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd0e47cdd, "xdp_features_set_redirect_target" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2476a690, "request_firmware" },
	{ 0x991f030e, "devlink_health_reporter_create" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x5826f55c, "hwmon_notify_event" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0xe07e8840, "devlink_params_unregister" },
	{ 0x829e7ee5, "pcie_disable_tph" },
	{ 0xe6c0bcfc, "pci_num_vf" },
	{ 0xe6817d86, "flow_rule_match_eth_addrs" },
	{ 0xb086a20d, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x592487b8, "ptp_clock_index" },
	{ 0xa1e4b115, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x38dd9ed7, "devlink_alloc_ns" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa705fd3d, "devlink_register" },
	{ 0x75decb13, "devlink_remote_reload_actions_performed" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xe7e01c14, "pcie_tph_set_st_entry" },
	{ 0x67cbc0af, "page_pool_destroy" },
	{ 0xd34846e8, "xdp_do_redirect" },
	{ 0xf305c792, "devlink_free" },
	{ 0xe4425a2b, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x224c0970, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xa1cbdf5e, "netdev_warn" },
	{ 0xd9cb60b3, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x68e801b6, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x61f891c3, "pci_irq_vector" },
	{ 0x339c1e77, "flow_rule_match_ipv4_addrs" },
	{ 0x4a0fa443, "ip_route_output_flow" },
	{ 0xe06e9e05, "rhashtable_walk_enter" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd38211ba, "pci_ioremap_bar" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0x695afa95, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xd03b1b8f, "devlink_flash_update_status_notify" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x8560b8e1, "netdev_port_same_parent_id" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x2a6ed38, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xe4c47856, "ptp_find_pin" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0x2123f09b, "pci_read_config_dword" },
	{ 0x320d871f, "flow_rule_match_icmp" },
	{ 0x1490340f, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0xd2cf8f93, "napi_complete_done" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x45ee0529, "put_device" },
	{ 0x8ee8543e, "net_dim" },
	{ 0xc057d3fd, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xdc43bdc6, "pci_vpd_find_ro_info_keyword" },
	{ 0xa916b694, "strnlen" },
	{ 0x36c34f11, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xba06c412, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7bea261e, "napi_gro_receive" },
	{ 0x464b9c63, "netif_device_attach" },
	{ 0xf73fdc34, "xdp_features_clear_redirect_target" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xf9f9c208, "flow_indr_dev_unregister" },
	{ 0xf038aac4, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3888b4c2, "xdp_rxq_info_is_reg" },
	{ 0xf7518b37, "ptp_classify_raw" },
	{ 0x7085bba, "flow_block_cb_setup_simple" },
	{ 0x436af6d5, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xdb5dd39e, "flow_rule_match_basic" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xa8528430, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8d816799, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa9d64345, "pci_msix_free_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x57d00849, "ptp_cancel_worker_sync" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x9be2091a, "devlink_port_unregister" },
	{ 0x33719327, "_dev_err" },
	{ 0xf1597117, "init_net" },
	{ 0x52978850, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8f82ff9c, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1c47cd62, "ptp_clock_register" },
	{ 0xff6e59c2, "hwmon_device_register_with_info" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf583afa8, "netif_set_real_num_tx_queues" },
	{ 0xd5e487f8, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xb9b31de8, "xa_load" },
	{ 0x1a8479d1, "netif_set_real_num_rx_queues" },
	{ 0x72d72b07, "flow_indr_block_cb_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4e075c86, "page_pool_disable_direct_recycling" },
	{ 0xd397c945, "netdev_printk" },
	{ 0x7b22ce3b, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xdefa98a7, "pci_device_is_present" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x6bb00cf3, "pcie_flr" },
	{ 0x2b8216f, "pci_read_config_word" },
	{ 0xf667f730, "napi_enable" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00001604sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001605sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001614sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016ECsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001751sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001752sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001760sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001761sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001762sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001763sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001800sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001801sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001805sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001606sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001607sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001608sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001609sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016BDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001806sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001807sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001808sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001809sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001819sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "CDD6C52247107F9A75D1556");

MODULE_INFO(suserelease, "SLFO-1.2");
