#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0xffa8444e, "");
SYMBOL_CRC(be_roce_unregister_driver, 0xf733f4b1, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1a8479d1, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0xf667f730, "napi_enable" },
	{ 0x43cb93ec, "netif_receive_skb" },
	{ 0x96d19db4, "register_netdev" },
	{ 0x653194b1, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbada6f58, "__put_devmap_managed_folio_refs" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xffba72b5, "ethtool_op_get_link" },
	{ 0xbb72e7ed, "netif_set_xps_queue" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x97ab7810, "pci_iounmap" },
	{ 0xef211625, "pci_restore_state" },
	{ 0x62d1ac71, "netif_tx_wake_queue" },
	{ 0x4cb3ec3d, "devm_hwmon_device_register_with_groups" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x270c1c0, "netif_tx_lock" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9ec81667, "__netif_napi_del_locked" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0x100d031b, "pci_enable_wake" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2f12357e, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xba61bfe9, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0x269c07ff, "__hw_addr_sync_dev" },
	{ 0x81c283ad, "pci_disable_sriov" },
	{ 0xbe2d6696, "netif_carrier_on" },
	{ 0x797178ae, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0xca1e1f76, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x4e0aac0c, "napi_schedule_prep" },
	{ 0xff1a3b, "pci_sriov_set_totalvfs" },
	{ 0x754d539c, "strlen" },
	{ 0x948e7075, "napi_disable" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0xf80797cf, "_dev_printk" },
	{ 0x65106459, "pci_enable_sriov" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x529386f3, "pci_write_config_dword" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x8b3f301, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xeb05b3a8, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4fca9753, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8d15063, "__skb_pad" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x63913f22, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa5191c76, "param_ops_ushort" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0x16902ab6, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa0774cf1, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x45d6165, "ndo_dflt_bridge_getlink" },
	{ 0x69492855, "unregister_netdev" },
	{ 0x10d677fa, "napi_get_frags" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x2476a690, "request_firmware" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0xe6c0bcfc, "pci_num_vf" },
	{ 0xa1e4b115, "pci_request_regions" },
	{ 0x3b7b4d4f, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xe332dbde, "pci_sriov_get_totalvfs" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xe4425a2b, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x224c0970, "netif_napi_add_weight_locked" },
	{ 0xd9cb60b3, "udp_tunnel_nic_ops" },
	{ 0x6777840c, "netif_tx_unlock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0x2123f09b, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0xd2cf8f93, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc057d3fd, "__napi_schedule" },
	{ 0x8f47e2dd, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0xba06c412, "netif_device_detach" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xd60e2963, "__hw_addr_unsync_dev" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x464b9c63, "netif_device_attach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x8d816799, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x33719327, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf583afa8, "netif_set_real_num_tx_queues" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "205612569D26FEAD3020046");

MODULE_INFO(suserelease, "SLFO-1.2");
