#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i40e_client_device_register, "_gpl", "");
KSYMTAB_FUNC(i40e_client_device_unregister, "_gpl", "");

SYMBOL_CRC(i40e_client_device_register, 0x76a018bf, "_gpl");
SYMBOL_CRC(i40e_client_device_unregister, 0x8ccee41b, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x1a8479d1, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x2b8216f, "pci_read_config_word" },
	{ 0xf667f730, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x35d53108, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xd2b981aa, "dcbnl_ieee_notify" },
	{ 0xc876210e, "xsk_uses_need_wakeup" },
	{ 0x96d19db4, "register_netdev" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x10119bb, "ida_free" },
	{ 0x653194b1, "free_netdev" },
	{ 0x17b4dd07, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xffba72b5, "ethtool_op_get_link" },
	{ 0xafbc8377, "eth_platform_get_mac_address" },
	{ 0xbb72e7ed, "netif_set_xps_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc5616071, "__SCK__tp_func_xdp_exception" },
	{ 0x32486b42, "netif_tx_stop_all_queues" },
	{ 0xef211625, "pci_restore_state" },
	{ 0x62d1ac71, "netif_tx_wake_queue" },
	{ 0x2e9c96c7, "device_del" },
	{ 0x758dbb51, "netdev_set_sb_channel" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7e91ea33, "dcb_getapp" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x6c59e077, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x6ab45b09, "ptp_clock_event" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x34c3024b, "netif_schedule_queue" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x33a6269f, "flow_rule_match_ipv6_addrs" },
	{ 0x83576647, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf3710ebc, "ptp_clock_unregister" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x6d65dd75, "xp_dma_unmap" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9ec81667, "__netif_napi_del_locked" },
	{ 0x92225dd3, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x160bb9a0, "netdev_unbind_sb_channel" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0x1a49a4e0, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x45f775b8, "ipv6_find_hdr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8837d853, "netdev_bind_sb_channel_queue" },
	{ 0x8d4ebb2a, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4e45c13a, "netdev_reset_tc" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7e88de20, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9db965fe, "call_netdevice_notifiers" },
	{ 0xac4010bf, "xp_set_rxq_info" },
	{ 0xd7b5b5e1, "flow_rule_match_vlan" },
	{ 0xf8c23ee0, "xdp_rxq_info_unreg" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xba7bd1a6, "napi_build_skb" },
	{ 0xe36429c0, "__xdp_rxq_info_reg" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xba61bfe9, "netif_carrier_off" },
	{ 0x56accdf1, "devlink_priv" },
	{ 0x269c07ff, "__hw_addr_sync_dev" },
	{ 0x18551bd6, "devlink_port_register_with_ops" },
	{ 0x81c283ad, "pci_disable_sriov" },
	{ 0xbe2d6696, "netif_carrier_on" },
	{ 0x2cfb4914, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x797178ae, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd2e6f93e, "dev_uc_add_excl" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0x32af9c47, "xp_free" },
	{ 0xf7458de9, "dev_mc_add_excl" },
	{ 0xafa5e50c, "dev_uc_add" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x78e26940, "_dev_crit" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0x5189aeee, "skb_add_rx_frag_netmem" },
	{ 0x768c573, "xdp_master_redirect" },
	{ 0x33eba614, "__napi_schedule_irqoff" },
	{ 0x4e0aac0c, "napi_schedule_prep" },
	{ 0xe027a14f, "napi_consume_skb" },
	{ 0xad82bbd2, "pci_read_config_byte" },
	{ 0x36be323c, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0x948e7075, "napi_disable" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x2e4a9cb0, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x349cba85, "strchr" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x2c08c823, "flow_rule_match_control" },
	{ 0x65106459, "pci_enable_sriov" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xa0653200, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0x872addb6, "ethtool_op_get_ts_info" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x8b3f301, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xd6a3ce27, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4e7b468d, "__tracepoint_xdp_exception" },
	{ 0x645da0a0, "xsk_tx_completed" },
	{ 0x54759cf4, "napi_alloc_skb" },
	{ 0xeb05b3a8, "alloc_etherdev_mqs" },
	{ 0x4fca9753, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x66268818, "pcie_capability_read_word" },
	{ 0x290bc1d9, "device_set_wakeup_enable" },
	{ 0x8d15063, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3e5220fd, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfc827c93, "pci_find_ext_capability" },
	{ 0x4bae8348, "bpf_prog_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x677a4e0a, "xp_dma_map" },
	{ 0xb5943313, "devlink_unregister" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x118ab15a, "pci_request_selected_regions" },
	{ 0xd9619c73, "pci_release_selected_regions" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x349056f0, "pci_wake_from_d3" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0x1f7f45cd, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf2d9339d, "auxiliary_device_init" },
	{ 0x56484b4b, "pci_enable_device_mem" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5df52214, "xsk_tx_peek_release_desc_batch" },
	{ 0xa0774cf1, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x4b9f5640, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x45d6165, "ndo_dflt_bridge_getlink" },
	{ 0x69492855, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x2a0a7ad1, "xdp_convert_zc_to_xdp_frame" },
	{ 0xd0e47cdd, "xdp_features_set_redirect_target" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xf9664f72, "pci_get_device" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x2476a690, "request_firmware" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x76fd3e27, "trace_print_bitmask_seq" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xe6c0bcfc, "pci_num_vf" },
	{ 0xe6817d86, "flow_rule_match_eth_addrs" },
	{ 0xb086a20d, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xee126581, "pci_disable_msi" },
	{ 0x592487b8, "ptp_clock_index" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x38dd9ed7, "devlink_alloc_ns" },
	{ 0xa705fd3d, "devlink_register" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd34846e8, "xdp_do_redirect" },
	{ 0xf305c792, "devlink_free" },
	{ 0xe4425a2b, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x224c0970, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0xa1cbdf5e, "netdev_warn" },
	{ 0xd9cb60b3, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x68e801b6, "pci_set_power_state" },
	{ 0x148653, "vsnprintf" },
	{ 0x339c1e77, "flow_rule_match_ipv4_addrs" },
	{ 0x3ddbb68a, "bpf_trace_run8" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x695afa95, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0xf1813375, "pci_restore_msi_state" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0x2a6ed38, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xe4c47856, "ptp_find_pin" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0xd2cf8f93, "napi_complete_done" },
	{ 0x6249bb21, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x89b1c85d, "priv_to_devlink" },
	{ 0xbba5a531, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x45ee0529, "put_device" },
	{ 0xc057d3fd, "__napi_schedule" },
	{ 0x2f860523, "ipv6_skip_exthdr" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x8f47e2dd, "pci_enable_msix_range" },
	{ 0xdce8ee65, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8375762d, "__free_pages" },
	{ 0xd60e2963, "__hw_addr_unsync_dev" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x7bea261e, "napi_gro_receive" },
	{ 0xf73fdc34, "xdp_features_clear_redirect_target" },
	{ 0x12bfdb89, "pci_select_bars" },
	{ 0x24eb4c33, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf2c1808a, "xp_raw_get_dma" },
	{ 0xf038aac4, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3888b4c2, "xdp_rxq_info_is_reg" },
	{ 0x7085bba, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xdb5dd39e, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x8d816799, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x27a9a4cd, "pci_enable_msi" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x9be2091a, "devlink_port_unregister" },
	{ 0x5fbdd86f, "devm_kfree" },
	{ 0x33719327, "_dev_err" },
	{ 0xf1597117, "init_net" },
	{ 0x52978850, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8f82ff9c, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1c47cd62, "ptp_clock_register" },
	{ 0x4185e2eb, "ethtool_intersect_link_masks" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf583afa8, "netif_set_real_num_tx_queues" },
	{ 0xd5e487f8, "__auxiliary_device_add" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "libie");

MODULE_ALIAS("pci:v00008086d00001572sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001580sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001581sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001583sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001584sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001585sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DD2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001586sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001589sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DDAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001587sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001588sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "78D1ADADCCBBAA5D1352C73");

MODULE_INFO(suserelease, "SLFO-1.2");
