#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(prestera_device_register, "", "");
KSYMTAB_FUNC(prestera_device_unregister, "", "");

SYMBOL_CRC(prestera_device_register, 0x222cf683, "");
SYMBOL_CRC(prestera_device_unregister, 0x451d4821, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa599989a, "eth_type_trans" },
	{ 0x320d871f, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0xd2cf8f93, "napi_complete_done" },
	{ 0x174cbdd3, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x89b1c85d, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc057d3fd, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0xc6456b14, "switchdev_bridge_port_offload" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0xb9a3128b, "flow_block_cb_incref" },
	{ 0x43184e6c, "flow_rule_match_ports_range" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc9d1fccd, "free_fib_info" },
	{ 0xdb5dd39e, "flow_rule_match_basic" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0xaebc0749, "vlan_dev_real_dev" },
	{ 0x40c784b4, "__dev_get_by_index" },
	{ 0x9be2091a, "devlink_port_unregister" },
	{ 0x33719327, "_dev_err" },
	{ 0xf1597117, "init_net" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xba94d93c, "flow_block_cb_decref" },
	{ 0x59e03780, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xf667f730, "napi_enable" },
	{ 0x96d19db4, "register_netdev" },
	{ 0x9383e5e2, "unregister_fib_notifier" },
	{ 0x653194b1, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x23f20028, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xffba72b5, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xf1b91d18, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc98007b0, "idr_alloc_cyclic" },
	{ 0xe78c1cdf, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xb40b76aa, "rhashtable_free_and_destroy" },
	{ 0xe3c81a85, "switchdev_bridge_port_unoffload" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x6c59e077, "flow_rule_match_ports" },
	{ 0xdef801a1, "rht_bucket_nested_insert" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x83047ab5, "rhashtable_destroy" },
	{ 0xa8ae5560, "devlink_trap_report" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x405a41e6, "__neigh_event_send" },
	{ 0xb3bcf772, "flow_block_cb_alloc" },
	{ 0x277be111, "switchdev_handle_port_obj_add" },
	{ 0x72380dbf, "fib_alias_hw_flags_set" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9ec81667, "__netif_napi_del_locked" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdb4bc512, "phylink_pcs_change" },
	{ 0xe1ec24c1, "__neigh_create" },
	{ 0x7c9648e7, "netdev_walk_all_upper_dev_rcu" },
	{ 0x42348b13, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9749d73d, "alloc_netdev_dummy" },
	{ 0x63a43ec2, "neigh_destroy" },
	{ 0x93cd0ba5, "rhashtable_init_noprof" },
	{ 0x59c9efff, "br_multicast_enabled" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7e88de20, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd7b5b5e1, "flow_rule_match_vlan" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xf40d8fa8, "netdev_master_upper_dev_get_rcu" },
	{ 0xe64d93e9, "devlink_traps_register" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x69c3ea2e, "radix_tree_tagged" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x6d3a49d8, "netdev_master_upper_dev_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xba61bfe9, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x581234e, "flow_rule_match_meta" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x56accdf1, "devlink_priv" },
	{ 0x18551bd6, "devlink_port_register_with_ops" },
	{ 0xbe2d6696, "netif_carrier_on" },
	{ 0x6410d5f8, "netdev_has_any_upper_dev" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x976d0d83, "devlink_trap_groups_register" },
	{ 0x90043a2e, "arp_tbl" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0x7a2d7a48, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x397fccb7, "netdev_walk_all_lower_dev" },
	{ 0xb42eb307, "rhashtable_walk_next" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x4e0aac0c, "napi_schedule_prep" },
	{ 0x763c1338, "__fib_lookup" },
	{ 0x948e7075, "napi_disable" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x3e8d0ab9, "devlink_trap_groups_unregister" },
	{ 0x2c08c823, "flow_rule_match_control" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x255d1d35, "rhashtable_walk_exit" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x9b07dd86, "neigh_lookup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xeb05b3a8, "alloc_etherdev_mqs" },
	{ 0xa2c88188, "netdev_lower_get_next" },
	{ 0x52f232bd, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe4bbef15, "br_vlan_enabled" },
	{ 0x8d15063, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xb5943313, "devlink_unregister" },
	{ 0x5c249a89, "dma_pool_create" },
	{ 0xd0e342b5, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa4c15cf1, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6376aa14, "register_fib_notifier" },
	{ 0x93cd015d, "l3mdev_fib_table_rcu" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7501fbbb, "idr_alloc_u32" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x69492855, "unregister_netdev" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xe6817d86, "flow_rule_match_eth_addrs" },
	{ 0xb086a20d, "devlink_port_attrs_set" },
	{ 0x73ae667a, "flow_block_cb_priv" },
	{ 0xfd2cc0c, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x38dd9ed7, "devlink_alloc_ns" },
	{ 0xa705fd3d, "devlink_register" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xf305c792, "devlink_free" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x224c0970, "netif_napi_add_weight_locked" },
	{ 0xa1cbdf5e, "netdev_warn" },
	{ 0x339c1e77, "flow_rule_match_ipv4_addrs" },
	{ 0xe06e9e05, "rhashtable_walk_enter" },
	{ 0x6fd05ba, "fib_table_lookup" },
	{ 0xba13c3f3, "skb_pull_rcsum" },
	{ 0x695afa95, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0xd4c80e8b, "switchdev_handle_port_attr_set" },
	{ 0xce5ab2f1, "devlink_traps_unregister" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "phylink,bridge");


MODULE_INFO(srcversion, "DEE6411BEDB481D2499FF15");

MODULE_INFO(suserelease, "SLFO-1.2");
