#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlxsw_core_port_driver_priv, "", "");
KSYMTAB_FUNC(mlxsw_core_max_ports, "", "");
KSYMTAB_FUNC(mlxsw_core_max_lag, "", "");
KSYMTAB_FUNC(mlxsw_core_lag_mode, "", "");
KSYMTAB_FUNC(mlxsw_core_flood_mode, "", "");
KSYMTAB_FUNC(mlxsw_core_driver_priv, "", "");
KSYMTAB_FUNC(mlxsw_core_fw_rev_minor_subminor_validate, "", "");
KSYMTAB_FUNC(mlxsw_core_driver_register, "", "");
KSYMTAB_FUNC(mlxsw_core_driver_unregister, "", "");
KSYMTAB_FUNC(mlxsw_core_bus_device_register, "", "");
KSYMTAB_FUNC(mlxsw_core_bus_device_unregister, "", "");
KSYMTAB_FUNC(mlxsw_core_skb_transmit_busy, "", "");
KSYMTAB_FUNC(mlxsw_core_skb_transmit, "", "");
KSYMTAB_FUNC(mlxsw_core_ptp_transmitted, "", "");
KSYMTAB_FUNC(mlxsw_core_rx_listener_register, "", "");
KSYMTAB_FUNC(mlxsw_core_rx_listener_unregister, "", "");
KSYMTAB_FUNC(mlxsw_core_event_listener_register, "", "");
KSYMTAB_FUNC(mlxsw_core_event_listener_unregister, "", "");
KSYMTAB_FUNC(mlxsw_core_trap_register, "", "");
KSYMTAB_FUNC(mlxsw_core_trap_unregister, "", "");
KSYMTAB_FUNC(mlxsw_core_traps_register, "", "");
KSYMTAB_FUNC(mlxsw_core_traps_unregister, "", "");
KSYMTAB_FUNC(mlxsw_core_trap_state_set, "", "");
KSYMTAB_FUNC(mlxsw_reg_trans_query, "", "");
KSYMTAB_FUNC(mlxsw_reg_trans_write, "", "");
KSYMTAB_FUNC(mlxsw_reg_trans_bulk_wait, "", "");
KSYMTAB_FUNC(mlxsw_core_irq_event_handler_register, "", "");
KSYMTAB_FUNC(mlxsw_core_irq_event_handler_unregister, "", "");
KSYMTAB_FUNC(mlxsw_core_irq_event_handlers_call, "", "");
KSYMTAB_FUNC(mlxsw_reg_query, "", "");
KSYMTAB_FUNC(mlxsw_reg_write, "", "");
KSYMTAB_FUNC(mlxsw_core_skb_receive, "", "");
KSYMTAB_FUNC(mlxsw_core_lag_mapping_set, "", "");
KSYMTAB_FUNC(mlxsw_core_lag_mapping_get, "", "");
KSYMTAB_FUNC(mlxsw_core_lag_mapping_clear, "", "");
KSYMTAB_FUNC(mlxsw_core_res_valid, "", "");
KSYMTAB_FUNC(mlxsw_core_res_get, "", "");
KSYMTAB_FUNC(mlxsw_core_port_init, "", "");
KSYMTAB_FUNC(mlxsw_core_port_fini, "", "");
KSYMTAB_FUNC(mlxsw_core_cpu_port_init, "", "");
KSYMTAB_FUNC(mlxsw_core_cpu_port_fini, "", "");
KSYMTAB_FUNC(mlxsw_core_port_netdev_link, "", "");
KSYMTAB_FUNC(mlxsw_core_port_devlink_port_get, "", "");
KSYMTAB_FUNC(mlxsw_cmd_exec, "", "");
KSYMTAB_FUNC(mlxsw_core_schedule_dw, "", "");
KSYMTAB_FUNC(mlxsw_core_schedule_work, "", "");
KSYMTAB_FUNC(mlxsw_core_flush_owq, "", "");
KSYMTAB_FUNC(mlxsw_core_kvd_sizes_get, "", "");
KSYMTAB_FUNC(mlxsw_core_resources_query, "", "");
KSYMTAB_FUNC(mlxsw_core_read_frc_h, "", "");
KSYMTAB_FUNC(mlxsw_core_read_frc_l, "", "");
KSYMTAB_FUNC(mlxsw_core_read_utc_sec, "", "");
KSYMTAB_FUNC(mlxsw_core_read_utc_nsec, "", "");
KSYMTAB_FUNC(mlxsw_core_sdq_supports_cqe_v2, "", "");
KSYMTAB_FUNC(mlxsw_afk_create, "", "");
KSYMTAB_FUNC(mlxsw_afk_destroy, "", "");
KSYMTAB_FUNC(mlxsw_afk_key_info_get, "", "");
KSYMTAB_FUNC(mlxsw_afk_key_info_put, "", "");
KSYMTAB_FUNC(mlxsw_afk_key_info_subset, "", "");
KSYMTAB_FUNC(mlxsw_afk_key_info_block_encoding_get, "", "");
KSYMTAB_FUNC(mlxsw_afk_key_info_blocks_count_get, "", "");
KSYMTAB_FUNC(mlxsw_afk_values_add_u32, "", "");
KSYMTAB_FUNC(mlxsw_afk_values_add_buf, "", "");
KSYMTAB_FUNC(mlxsw_afk_encode, "", "");
KSYMTAB_FUNC(mlxsw_afk_clear, "", "");
KSYMTAB_FUNC(mlxsw_afa_create, "", "");
KSYMTAB_FUNC(mlxsw_afa_destroy, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_create, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_destroy, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_commit, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_first_set, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_cur_set, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_first_kvdl_index, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_activity_get, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_continue, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_jump, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_terminate, "", "");
KSYMTAB_FUNC(mlxsw_afa_cookie_lookup, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_vlan_modify, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_drop, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_trap, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_trap_and_forward, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_mirror, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_qos_dsfield, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_qos_dscp, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_qos_ecn, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_qos_switch_prio, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_fwd, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_allocated_counter, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_counter, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_police, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_fid_set, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_ignore, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_mcrouter, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_ip, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_l4port, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_sampler, "", "");
KSYMTAB_FUNC(mlxsw_env_get_module_info, "", "");
KSYMTAB_FUNC(mlxsw_env_get_module_eeprom, "", "");
KSYMTAB_FUNC(mlxsw_env_get_module_eeprom_by_page, "", "");
KSYMTAB_FUNC(mlxsw_env_set_module_eeprom_by_page, "", "");
KSYMTAB_FUNC(mlxsw_env_reset_module, "", "");
KSYMTAB_FUNC(mlxsw_env_get_module_power_mode, "", "");
KSYMTAB_FUNC(mlxsw_env_set_module_power_mode, "", "");
KSYMTAB_FUNC(mlxsw_env_module_overheat_counter_get, "", "");
KSYMTAB_FUNC(mlxsw_env_module_port_map, "", "");
KSYMTAB_FUNC(mlxsw_env_module_port_unmap, "", "");
KSYMTAB_FUNC(mlxsw_env_module_port_up, "", "");
KSYMTAB_FUNC(mlxsw_env_module_port_down, "", "");
KSYMTAB_FUNC(mlxsw_linecards_event_ops_register, "", "");
KSYMTAB_FUNC(mlxsw_linecards_event_ops_unregister, "", "");

SYMBOL_CRC(mlxsw_core_port_driver_priv, 0x63874d4c, "");
SYMBOL_CRC(mlxsw_core_max_ports, 0x0ca34ccf, "");
SYMBOL_CRC(mlxsw_core_max_lag, 0xd21722b4, "");
SYMBOL_CRC(mlxsw_core_lag_mode, 0xff0c7aef, "");
SYMBOL_CRC(mlxsw_core_flood_mode, 0xa8a888fc, "");
SYMBOL_CRC(mlxsw_core_driver_priv, 0xbfb7df3c, "");
SYMBOL_CRC(mlxsw_core_fw_rev_minor_subminor_validate, 0xcbab836f, "");
SYMBOL_CRC(mlxsw_core_driver_register, 0x380a68e4, "");
SYMBOL_CRC(mlxsw_core_driver_unregister, 0xe560aaa4, "");
SYMBOL_CRC(mlxsw_core_bus_device_register, 0x7e8b4214, "");
SYMBOL_CRC(mlxsw_core_bus_device_unregister, 0x5cf3dd79, "");
SYMBOL_CRC(mlxsw_core_skb_transmit_busy, 0xac1074a5, "");
SYMBOL_CRC(mlxsw_core_skb_transmit, 0x224ccca6, "");
SYMBOL_CRC(mlxsw_core_ptp_transmitted, 0x656abdef, "");
SYMBOL_CRC(mlxsw_core_rx_listener_register, 0xe4c126ab, "");
SYMBOL_CRC(mlxsw_core_rx_listener_unregister, 0x9547520b, "");
SYMBOL_CRC(mlxsw_core_event_listener_register, 0x7e08c6e0, "");
SYMBOL_CRC(mlxsw_core_event_listener_unregister, 0xd7a93413, "");
SYMBOL_CRC(mlxsw_core_trap_register, 0x0d3e98b0, "");
SYMBOL_CRC(mlxsw_core_trap_unregister, 0x9b19ce3a, "");
SYMBOL_CRC(mlxsw_core_traps_register, 0xe7677820, "");
SYMBOL_CRC(mlxsw_core_traps_unregister, 0xb5d25341, "");
SYMBOL_CRC(mlxsw_core_trap_state_set, 0x1e1d1f66, "");
SYMBOL_CRC(mlxsw_reg_trans_query, 0x1cb8f858, "");
SYMBOL_CRC(mlxsw_reg_trans_write, 0xdc31781e, "");
SYMBOL_CRC(mlxsw_reg_trans_bulk_wait, 0x996c5d6d, "");
SYMBOL_CRC(mlxsw_core_irq_event_handler_register, 0xd111d3e8, "");
SYMBOL_CRC(mlxsw_core_irq_event_handler_unregister, 0x16f4221d, "");
SYMBOL_CRC(mlxsw_core_irq_event_handlers_call, 0xbda212df, "");
SYMBOL_CRC(mlxsw_reg_query, 0xa7765e88, "");
SYMBOL_CRC(mlxsw_reg_write, 0x8854d198, "");
SYMBOL_CRC(mlxsw_core_skb_receive, 0xff729a58, "");
SYMBOL_CRC(mlxsw_core_lag_mapping_set, 0xf82bdc70, "");
SYMBOL_CRC(mlxsw_core_lag_mapping_get, 0x83fb69af, "");
SYMBOL_CRC(mlxsw_core_lag_mapping_clear, 0x75339042, "");
SYMBOL_CRC(mlxsw_core_res_valid, 0x0ed06130, "");
SYMBOL_CRC(mlxsw_core_res_get, 0x844ae6af, "");
SYMBOL_CRC(mlxsw_core_port_init, 0x508923e3, "");
SYMBOL_CRC(mlxsw_core_port_fini, 0x7b0bfeec, "");
SYMBOL_CRC(mlxsw_core_cpu_port_init, 0x23eddc68, "");
SYMBOL_CRC(mlxsw_core_cpu_port_fini, 0xff007c25, "");
SYMBOL_CRC(mlxsw_core_port_netdev_link, 0xb5693228, "");
SYMBOL_CRC(mlxsw_core_port_devlink_port_get, 0x94460a7d, "");
SYMBOL_CRC(mlxsw_cmd_exec, 0x484489a4, "");
SYMBOL_CRC(mlxsw_core_schedule_dw, 0x902c3533, "");
SYMBOL_CRC(mlxsw_core_schedule_work, 0xd71566b9, "");
SYMBOL_CRC(mlxsw_core_flush_owq, 0x19fa5852, "");
SYMBOL_CRC(mlxsw_core_kvd_sizes_get, 0xf89280a3, "");
SYMBOL_CRC(mlxsw_core_resources_query, 0xcdeb3e49, "");
SYMBOL_CRC(mlxsw_core_read_frc_h, 0x2c68ced3, "");
SYMBOL_CRC(mlxsw_core_read_frc_l, 0x77d83398, "");
SYMBOL_CRC(mlxsw_core_read_utc_sec, 0x0f4a209d, "");
SYMBOL_CRC(mlxsw_core_read_utc_nsec, 0x86817014, "");
SYMBOL_CRC(mlxsw_core_sdq_supports_cqe_v2, 0x5c73d5a4, "");
SYMBOL_CRC(mlxsw_afk_create, 0x4e2f2f97, "");
SYMBOL_CRC(mlxsw_afk_destroy, 0x0e81c09c, "");
SYMBOL_CRC(mlxsw_afk_key_info_get, 0x0b3ef15f, "");
SYMBOL_CRC(mlxsw_afk_key_info_put, 0x15801382, "");
SYMBOL_CRC(mlxsw_afk_key_info_subset, 0x1a4aca59, "");
SYMBOL_CRC(mlxsw_afk_key_info_block_encoding_get, 0x02dfd3d0, "");
SYMBOL_CRC(mlxsw_afk_key_info_blocks_count_get, 0x47041e4e, "");
SYMBOL_CRC(mlxsw_afk_values_add_u32, 0xee073b07, "");
SYMBOL_CRC(mlxsw_afk_values_add_buf, 0x436f79bb, "");
SYMBOL_CRC(mlxsw_afk_encode, 0x4c6da4c5, "");
SYMBOL_CRC(mlxsw_afk_clear, 0xbc222a8d, "");
SYMBOL_CRC(mlxsw_afa_create, 0x6179c201, "");
SYMBOL_CRC(mlxsw_afa_destroy, 0x9cbf026d, "");
SYMBOL_CRC(mlxsw_afa_block_create, 0x858c30d0, "");
SYMBOL_CRC(mlxsw_afa_block_destroy, 0x5ff17b5c, "");
SYMBOL_CRC(mlxsw_afa_block_commit, 0x618a30ab, "");
SYMBOL_CRC(mlxsw_afa_block_first_set, 0x829e8851, "");
SYMBOL_CRC(mlxsw_afa_block_cur_set, 0x202693f0, "");
SYMBOL_CRC(mlxsw_afa_block_first_kvdl_index, 0xdeb1dc2e, "");
SYMBOL_CRC(mlxsw_afa_block_activity_get, 0xe16986dd, "");
SYMBOL_CRC(mlxsw_afa_block_continue, 0xdc415cf1, "");
SYMBOL_CRC(mlxsw_afa_block_jump, 0x827a2f1f, "");
SYMBOL_CRC(mlxsw_afa_block_terminate, 0x43a9b87e, "");
SYMBOL_CRC(mlxsw_afa_cookie_lookup, 0xecab212a, "");
SYMBOL_CRC(mlxsw_afa_block_append_vlan_modify, 0x718d28f4, "");
SYMBOL_CRC(mlxsw_afa_block_append_drop, 0xe4d9ac5a, "");
SYMBOL_CRC(mlxsw_afa_block_append_trap, 0x07abcc0c, "");
SYMBOL_CRC(mlxsw_afa_block_append_trap_and_forward, 0xb6517b2e, "");
SYMBOL_CRC(mlxsw_afa_block_append_mirror, 0x2337052b, "");
SYMBOL_CRC(mlxsw_afa_block_append_qos_dsfield, 0x2f303cd3, "");
SYMBOL_CRC(mlxsw_afa_block_append_qos_dscp, 0x383bc49a, "");
SYMBOL_CRC(mlxsw_afa_block_append_qos_ecn, 0x0d0129fc, "");
SYMBOL_CRC(mlxsw_afa_block_append_qos_switch_prio, 0x65c7e645, "");
SYMBOL_CRC(mlxsw_afa_block_append_fwd, 0xff0b141d, "");
SYMBOL_CRC(mlxsw_afa_block_append_allocated_counter, 0xd28256cf, "");
SYMBOL_CRC(mlxsw_afa_block_append_counter, 0xa509fafd, "");
SYMBOL_CRC(mlxsw_afa_block_append_police, 0x49ec8a06, "");
SYMBOL_CRC(mlxsw_afa_block_append_fid_set, 0xe1860dde, "");
SYMBOL_CRC(mlxsw_afa_block_append_ignore, 0x77532431, "");
SYMBOL_CRC(mlxsw_afa_block_append_mcrouter, 0xd9f711ae, "");
SYMBOL_CRC(mlxsw_afa_block_append_ip, 0xd888ffb3, "");
SYMBOL_CRC(mlxsw_afa_block_append_l4port, 0xc5eacafe, "");
SYMBOL_CRC(mlxsw_afa_block_append_sampler, 0xa8e2509a, "");
SYMBOL_CRC(mlxsw_env_get_module_info, 0x02286507, "");
SYMBOL_CRC(mlxsw_env_get_module_eeprom, 0xa488ef96, "");
SYMBOL_CRC(mlxsw_env_get_module_eeprom_by_page, 0x4866767a, "");
SYMBOL_CRC(mlxsw_env_set_module_eeprom_by_page, 0xbe896ca6, "");
SYMBOL_CRC(mlxsw_env_reset_module, 0x89bc9bdb, "");
SYMBOL_CRC(mlxsw_env_get_module_power_mode, 0x4a558271, "");
SYMBOL_CRC(mlxsw_env_set_module_power_mode, 0x14d6ca2e, "");
SYMBOL_CRC(mlxsw_env_module_overheat_counter_get, 0x51b5769d, "");
SYMBOL_CRC(mlxsw_env_module_port_map, 0x6929f2b4, "");
SYMBOL_CRC(mlxsw_env_module_port_unmap, 0xb68e9fa8, "");
SYMBOL_CRC(mlxsw_env_module_port_up, 0x02815b77, "");
SYMBOL_CRC(mlxsw_env_module_port_down, 0xed2801d4, "");
SYMBOL_CRC(mlxsw_linecards_event_ops_register, 0x14e17bb4, "");
SYMBOL_CRC(mlxsw_linecards_event_ops_unregister, 0x4036254f, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e670de8, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x1f975e2, "devl_resources_unregister" },
	{ 0xdef801a1, "rht_bucket_nested_insert" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb1baa71a, "devlink_linecard_provision_fail" },
	{ 0x892f9f04, "__SCT__tp_func_devlink_hwerr" },
	{ 0x2a44c893, "devl_params_unregister" },
	{ 0xacd0c4d, "devl_linecard_create" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x83047ab5, "rhashtable_destroy" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xf352968a, "devl_unlock" },
	{ 0xa6b2869b, "__tracepoint_devlink_hwmsg" },
	{ 0x42348b13, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x93cd0ba5, "rhashtable_init_noprof" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf74cc695, "devl_port_unregister" },
	{ 0x3550f980, "devl_param_driverinit_value_get" },
	{ 0x69c3ea2e, "radix_tree_tagged" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x56accdf1, "devlink_priv" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0x55712257, "__tracepoint_devlink_hwerr" },
	{ 0x77c0729f, "hwmon_device_unregister" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xb83ae5e1, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe8fd8ab2, "thermal_cooling_device_unregister" },
	{ 0x7498bc0e, "devl_resource_occ_get_register" },
	{ 0x89fee5d9, "devl_register" },
	{ 0xbf4c6d85, "hwmon_device_register_with_groups" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbab5971, "thermal_zone_device_unregister" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xe92f69f7, "thermal_zone_device_priv" },
	{ 0xbbd1a328, "devl_unregister" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xb5943313, "devlink_unregister" },
	{ 0x333051c0, "idr_find" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf2d9339d, "auxiliary_device_init" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7501fbbb, "idr_alloc_u32" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x33a9134d, "devl_lock" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xb69afbb0, "devlink_linecard_deactivate" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xb086a20d, "devlink_port_attrs_set" },
	{ 0xe92810ea, "__SCK__tp_func_devlink_hwerr" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x38dd9ed7, "devlink_alloc_ns" },
	{ 0xa705fd3d, "devlink_register" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xb9901316, "thermal_cooling_device_register" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf305c792, "devlink_free" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x695afa95, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x63267734, "thermal_zone_device_enable" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x7757ece4, "request_firmware_direct" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x57bf10ff, "auxiliary_driver_unregister" },
	{ 0xa0d81b76, "__SCT__tp_func_devlink_hwmsg" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x89b1c85d, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x45ee0529, "put_device" },
	{ 0x606b4aba, "devlink_linecard_provision_set" },
	{ 0x2d0a93ad, "devl_resource_occ_get_unregister" },
	{ 0xa916b694, "strnlen" },
	{ 0xe5e43552, "devlink_is_reload_failed" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xa54a2cba, "devlink_linecard_provision_clear" },
	{ 0xefccdc7a, "devl_resource_register" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0xe6c71c81, "devl_health_reporter_create" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0x1124ac8e, "devlink_port_linecard_set" },
	{ 0x59e4cad8, "devlink_linecard_nested_dl_set" },
	{ 0x33719327, "_dev_err" },
	{ 0xf1597117, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xd5e487f8, "__auxiliary_device_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x2b0456c5, "devl_port_register_with_ops" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0xb7eab117, "devl_linecard_destroy" },
	{ 0x10119bb, "ida_free" },
	{ 0x2e403224, "devl_params_register" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbf4513c3, "devlink_linecard_activate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2e9c96c7, "device_del" },
	{ 0xe78c1cdf, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x1aebb426, "__SCK__tp_func_devlink_hwmsg" },
	{ 0x87ae84d5, "thermal_zone_device_register_with_trips" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mlxfw");

MODULE_ALIAS("auxiliary:mlxsw_core.lc");

MODULE_INFO(srcversion, "AE86C72065FAA56C82909D2");

MODULE_INFO(suserelease, "SLFO-1.2");
