#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlxsw_pci_driver_register, "", "");
KSYMTAB_FUNC(mlxsw_pci_driver_unregister, "", "");

SYMBOL_CRC(mlxsw_pci_driver_register, 0x5b99c597, "");
SYMBOL_CRC(mlxsw_pci_driver_unregister, 0x0e4d4997, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5cf3dd79, "mlxsw_core_bus_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0xf667f730, "napi_enable" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x653194b1, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa2c355ef, "page_pool_put_unrefed_netmem" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xff729a58, "mlxsw_core_skb_receive" },
	{ 0xcdeb3e49, "mlxsw_core_resources_query" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xef211625, "pci_restore_state" },
	{ 0x91a1f3d3, "page_pool_create" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x656abdef, "mlxsw_core_ptp_transmitted" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9ec81667, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9749d73d, "alloc_netdev_dummy" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x2f12357e, "pci_release_regions" },
	{ 0xf1bfa205, "page_pool_alloc_pages" },
	{ 0xba7bd1a6, "napi_build_skb" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0x5189aeee, "skb_add_rx_frag_netmem" },
	{ 0xf89280a3, "mlxsw_core_kvd_sizes_get" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x4e0aac0c, "napi_schedule_prep" },
	{ 0xe027a14f, "napi_consume_skb" },
	{ 0x948e7075, "napi_disable" },
	{ 0xed06130, "mlxsw_core_res_valid" },
	{ 0x85909793, "pci_free_irq_vectors" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x5c73d5a4, "mlxsw_core_sdq_supports_cqe_v2" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8854d198, "mlxsw_reg_write" },
	{ 0x4fca9753, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7eaced69, "pci_cfg_access_unlock" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x67881199, "pci_alloc_irq_vectors" },
	{ 0xa7765e88, "mlxsw_reg_query" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xa1e4b115, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x67cbc0af, "page_pool_destroy" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x224c0970, "netif_napi_add_weight_locked" },
	{ 0x61f891c3, "pci_irq_vector" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x844ae6af, "mlxsw_core_res_get" },
	{ 0x484489a4, "mlxsw_cmd_exec" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0xc46949e0, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7e8b4214, "mlxsw_core_bus_device_register" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0xd2cf8f93, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc057d3fd, "__napi_schedule" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x9257d7a0, "dev_set_threaded" },
	{ 0xb6ce2347, "__pci_reset_function_locked" },
	{ 0x8d816799, "__dma_sync_single_for_cpu" },
	{ 0x33719327, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mlxsw_core");


MODULE_INFO(srcversion, "7FF019A6D3D4E4E43DCDF80");

MODULE_INFO(suserelease, "SLFO-1.2");
