#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xa2a3ae8f, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x1fd5508e, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x8fcb17ea, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x6ddbf7ea, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x17389ac1, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x933f0fa7, "eth_header_parse" },
	{ 0x77f2fd78, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4fc1690b, "eth_header_cache_update" },
	{ 0x4fa4351a, "nf_register_net_hooks" },
	{ 0x1486bb95, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xfdf1183c, "ip_route_input_noref" },
	{ 0x40c784b4, "__dev_get_by_index" },
	{ 0xbd918098, "rtnl_link_unregister" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x46da5709, "netif_stacked_transfer_operstate" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe4b56a1e, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0x10119bb, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x43c9f1fa, "ns_capable" },
	{ 0x5bfa8e0d, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xffba72b5, "ethtool_op_get_link" },
	{ 0xff829e65, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x349f744b, "netif_rx" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xc1d6dd3c, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xf6acf8d5, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x119b8354, "vlan_vid_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x9db965fe, "call_netdevice_notifiers" },
	{ 0x83c01a34, "vlan_vid_del" },
	{ 0x132fd925, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0x381f3d6f, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x70b0301b, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x5395f101, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x328c5d73, "dev_mc_unsync" },
	{ 0xc0a24541, "dev_change_flags" },
	{ 0x30d51e1b, "netdev_core_stats_inc" },
	{ 0x30ce1bea, "dev_forward_skb" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeb60b8ef, "register_netdevice" },
	{ 0x40952540, "__do_once_done" },
	{ 0x3eefd52d, "ip6_route_input_lookup" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xc0e5e0bc, "dev_pre_changeaddr_notify" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x268c05c4, "dev_mc_sync" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0xc3779fee, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x52d5adfe, "netdev_update_features" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xb25f34a7, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x8afbd4b9, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x17931dd5, "rtnl_link_register" },
	{ 0x2077bcd7, "netif_inherit_tso_max" },
	{ 0xd5bf78f9, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x4a0fa443, "ip_route_output_flow" },
	{ 0xb27e097b, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x59c914fd, "dev_uc_unsync" },
	{ 0xc55906, "ether_setup" },
	{ 0x695afa95, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x166b95ec, "netdev_upper_dev_link" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3F7B17F8E61EE6269AA841D");

MODULE_INFO(suserelease, "SLFO-1.2");
