#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc039a47e, "genphy_soft_reset" },
	{ 0xf4048d4b, "genphy_read_mmd_unsupported" },
	{ 0x9874ed72, "genphy_write_mmd_unsupported" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c9b0d95, "phy_drivers_register" },
	{ 0x60a4b97c, "mdiobus_read" },
	{ 0x2faadaaa, "mdiobus_write" },
	{ 0xd012bbf7, "genphy_read_status" },
	{ 0xd752ef3d, "phy_modify" },
	{ 0x79a69f5e, "genphy_read_abilities" },
	{ 0xeffd005c, "phy_read_mmd" },
	{ 0xad8451f, "phy_write_mmd" },
	{ 0x6abd23b3, "genphy_restart_aneg" },
	{ 0x577431a6, "phy_trigger_machine" },
	{ 0xa70afbcb, "phy_error" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xf7518b37, "ptp_classify_raw" },
	{ 0x1490340f, "ptp_parse_header" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x2674b419, "skb_complete_tx_timestamp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x9484338d, "__mdiobus_write" },
	{ 0x82914cfa, "__mdiobus_read" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x33719327, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0x26b27a69, "ethnl_cable_test_result_with_src" },
	{ 0x2f3aad4d, "ethnl_cable_test_fault_length_with_src" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd2eb0079, "phy_drivers_unregister" },
	{ 0x889b4235, "genphy_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc392a0a7, "__genphy_config_aneg" },
	{ 0x1479a216, "phy_eee_cap1_features" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x191593a9, "phy_init_hw" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xff90ff38, "phy_modify_mmd" },
	{ 0xc8fe0e1f, "ptp_find_pin_unlocked" },
	{ 0x6ab45b09, "ptp_clock_event" },
	{ 0x310e3a08, "skb_queue_purge_reason" },
	{ 0xe4c47856, "ptp_find_pin" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x4cb942f7, "devm_phy_package_join" },
	{ 0x22d50cc, "devm_gpiod_get_optional" },
	{ 0x6de15b3c, "gpiod_set_consumer_name" },
	{ 0x2927e8c6, "gpiod_set_value_cansleep" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1c47cd62, "ptp_clock_register" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x9c4e1b9e, "genphy_suspend" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x59e03780, "skb_push" },
	{ 0x349f744b, "netif_rx" },
	{ 0x37a0cba, "kfree" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xcee09d8b, "devm_clk_get_optional_enabled" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x57d00849, "ptp_cancel_worker_sync" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:????????????0010000101100001000?");
MODULE_ALIAS("mdio:????????00100010000101100010????");
MODULE_ALIAS("mdio:????????00100010000101100100????");
MODULE_ALIAS("mdio:????????0010001000010110000110??");
MODULE_ALIAS("mdio:????????00100010000101110010????");
MODULE_ALIAS("mdio:????????001000100001010101010101");
MODULE_ALIAS("mdio:????????001000100001010101010110");
MODULE_ALIAS("mdio:????????00100010000101010001????");
MODULE_ALIAS("mdio:????????00100010000101010101????");
MODULE_ALIAS("mdio:????????00100010000101010111????");
MODULE_ALIAS("mdio:????????00100010000101010110????");
MODULE_ALIAS("mdio:????????00001110011100100011????");
MODULE_ALIAS("mdio:????????00100010000101000011????");
MODULE_ALIAS("mdio:????????00100010000101100011????");
MODULE_ALIAS("mdio:????????00100010000101100110????");
MODULE_ALIAS("mdio:????????00100010000101100111????");
MODULE_ALIAS("mdio:????????00100010000101100101????");

MODULE_INFO(srcversion, "45654D8BF8B980BECAE7598");

MODULE_INFO(suserelease, "SLFO-1.2");
