#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x373f8b61, "mdio_i2c_alloc" },
	{ 0xcee9a939, "__mdiobus_register" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x23e55a9c, "__devm_add_action" },
	{ 0xd5a1cec0, "device_get_match_data" },
	{ 0x86725ba4, "__dev_fwnode" },
	{ 0x2bb34fb4, "fwnode_find_reference" },
	{ 0xc288003b, "i2c_get_adapter_by_fwnode" },
	{ 0x22d50cc, "devm_gpiod_get_optional" },
	{ 0xf40c71a7, "device_property_read_u32_array" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x160389e9, "sfp_register_socket" },
	{ 0xba0a72d1, "gpiod_to_irq" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x56e76cc9, "devm_kasprintf" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0xb6787346, "sfp_unregister_socket" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x911c8743, "seq_read" },
	{ 0x55473fb7, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7ccaa77e, "__platform_driver_register" },
	{ 0x172eda11, "devm_free_irq" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xf8b13e88, "get_phy_device" },
	{ 0x1039121b, "phy_device_register" },
	{ 0x80422aa8, "sfp_add_phy" },
	{ 0xef63d566, "phy_device_remove" },
	{ 0x697e9d22, "phy_device_free" },
	{ 0x33719327, "_dev_err" },
	{ 0x20b835f4, "gpiod_get_value_cansleep" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdfd29c55, "gpiod_direction_input" },
	{ 0xdb6a4285, "gpiod_direction_output" },
	{ 0xa8e44c6a, "mdiobus_unregister" },
	{ 0xb40f3a02, "mdiobus_free" },
	{ 0x3add44d9, "i2c_put_adapter" },
	{ 0x37a0cba, "kfree" },
	{ 0xa95b5c77, "hwmon_sanitize_name" },
	{ 0xff6e59c2, "hwmon_device_register_with_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xdcfb6bc7, "i2c_transfer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xd898659, "single_open" },
	{ 0x3335abed, "seq_printf" },
	{ 0x5ad12e30, "platform_driver_unregister" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b97421, "sfp_link_up" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6129fb93, "sfp_remove_phy" },
	{ 0xda320d31, "sfp_module_start" },
	{ 0x58def6ca, "sfp_module_remove" },
	{ 0x419e7efd, "sfp_module_stop" },
	{ 0x77c0729f, "hwmon_device_unregister" },
	{ 0x648f59a9, "sfp_module_insert" },
	{ 0x6b413c9b, "sfp_link_down" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mdio-i2c,libphy");

MODULE_ALIAS("of:N*T*Csff,sff");
MODULE_ALIAS("of:N*T*Csff,sffC*");
MODULE_ALIAS("of:N*T*Csff,sfp");
MODULE_ALIAS("of:N*T*Csff,sfpC*");

MODULE_INFO(srcversion, "8BDA4B0FA3036DD7D13A170");

MODULE_INFO(suserelease, "SLFO-1.2");
