#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ppp_register_net_channel, "", "");
KSYMTAB_FUNC(ppp_register_channel, "", "");
KSYMTAB_FUNC(ppp_unregister_channel, "", "");
KSYMTAB_FUNC(ppp_channel_index, "", "");
KSYMTAB_FUNC(ppp_unit_number, "", "");
KSYMTAB_FUNC(ppp_dev_name, "", "");
KSYMTAB_FUNC(ppp_input, "", "");
KSYMTAB_FUNC(ppp_input_error, "", "");
KSYMTAB_FUNC(ppp_output_wakeup, "", "");
KSYMTAB_FUNC(ppp_register_compressor, "", "");
KSYMTAB_FUNC(ppp_unregister_compressor, "", "");

SYMBOL_CRC(ppp_register_net_channel, 0x55502419, "");
SYMBOL_CRC(ppp_register_channel, 0x9823bae4, "");
SYMBOL_CRC(ppp_unregister_channel, 0xde3b7ab0, "");
SYMBOL_CRC(ppp_channel_index, 0xbb2eec42, "");
SYMBOL_CRC(ppp_unit_number, 0x40734275, "");
SYMBOL_CRC(ppp_dev_name, 0x504b8e30, "");
SYMBOL_CRC(ppp_input, 0x08852a76, "");
SYMBOL_CRC(ppp_input_error, 0xf92d366d, "");
SYMBOL_CRC(ppp_output_wakeup, 0x9ec006d4, "");
SYMBOL_CRC(ppp_register_compressor, 0xeccaff6f, "");
SYMBOL_CRC(ppp_unregister_compressor, 0x6d22fec1, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe78c1cdf, "idr_destroy" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x41191db1, "register_pernet_device" },
	{ 0x1ec7d1c9, "__register_chrdev" },
	{ 0xe99bba1f, "class_register" },
	{ 0x17931dd5, "rtnl_link_register" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0xe0ec2229, "device_create" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x967c4bd0, "unregister_pernet_device" },
	{ 0xbd918098, "rtnl_link_unregister" },
	{ 0x29644857, "device_destroy" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x5d4de563, "bpf_prog_create" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0x520b0dd7, "iov_iter_init" },
	{ 0x7d13f9d1, "skb_copy_datagram_iter" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x333051c0, "idr_find" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x27d23da2, "netdev_name_in_use" },
	{ 0xeb60b8ef, "register_netdevice" },
	{ 0xf7a53a57, "fget" },
	{ 0x82b5fad, "mutex_trylock" },
	{ 0xc794f8c, "fput" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd1bff884, "__put_net" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0x173756c, "__init_rwsem" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xf36f42a9, "slhc_uncompress" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0x74b8e674, "slhc_toss" },
	{ 0x43f9ebc8, "slhc_remember" },
	{ 0x59e03780, "skb_push" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xba13c3f3, "skb_pull_rcsum" },
	{ 0xc1d6dd3c, "skb_scrub_packet" },
	{ 0x349f744b, "netif_rx" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xd397c945, "netdev_printk" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xdcdc0040, "slhc_compress" },
	{ 0x62d1ac71, "netif_tx_wake_queue" },
	{ 0x3131f672, "skb_queue_head" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x77f5bb81, "down_write" },
	{ 0x264635e1, "up_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xf14da2c6, "alloc_netdev_mqs" },
	{ 0x15f90688, "slhc_init" },
	{ 0xa985aeff, "down_read" },
	{ 0xc40bf4ce, "up_read" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x136d2728, "noop_llseek" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6857cc3d, "module_put" },
	{ 0x2a928918, "slhc_free" },
	{ 0x310e3a08, "skb_queue_purge_reason" },
	{ 0xd58682b5, "bpf_prog_destroy" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x653194b1, "free_netdev" },
	{ 0x695afa95, "netdev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0xb27e097b, "unregister_netdevice_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x43c9f1fa, "ns_capable" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "slhc");


MODULE_INFO(srcversion, "7084C0DC5294FAA38A533DA");

MODULE_INFO(suserelease, "SLFO-1.2");
