#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x3a460a6a, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xcd3074cd, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x6b454813, "xdp_return_frame_rx_napi" },
	{ 0x2a0a7ad1, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x8b268e5a, "sk_alloc" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xc7a0f22a, "sock_init_data_uid" },
	{ 0xf398ee77, "sk_free" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x5c6d898, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x30de0282, "skb_tx_error" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x1f7f45cd, "skb_tstamp_tx" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf30acdf9, "skb_copy_ubufs" },
	{ 0x2cd6df0d, "__skb_get_hash_symmetric_net" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3b7b4d4f, "___pskb_trim" },
	{ 0x310e3a08, "skb_queue_purge_reason" },
	{ 0x948e7075, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf8c23ee0, "xdp_rxq_info_unreg" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x9ec81667, "__netif_napi_del_locked" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x6857cc3d, "module_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3335abed, "seq_printf" },
	{ 0x58e9ba09, "build_skb" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x4655cafc, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x158162b6, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xaadbe66c, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x768c573, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0xbada6f58, "__put_devmap_managed_folio_refs" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf583afa8, "netif_set_real_num_tx_queues" },
	{ 0x1a8479d1, "netif_set_real_num_rx_queues" },
	{ 0xb27e097b, "unregister_netdevice_queue" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9446dbc9, "netdev_state_change" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xcfdeb295, "__skb_flow_dissect" },
	{ 0x5480d9c8, "skb_partial_csum_set" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x69dc6f5d, "_copy_from_iter" },
	{ 0x5a3638ff, "iov_iter_advance" },
	{ 0x10364471, "iov_iter_npages" },
	{ 0xc27e3380, "sock_alloc_send_pskb" },
	{ 0x4368d92e, "zerocopy_sg_from_iter" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0xf4029deb, "skb_copy_datagram_from_iter" },
	{ 0x41ba38b3, "do_xdp_generic" },
	{ 0xc67b1fbe, "iov_iter_revert" },
	{ 0x10d677fa, "napi_get_frags" },
	{ 0x8799ea52, "iov_iter_single_seg_count" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x59e03780, "skb_push" },
	{ 0xf038aac4, "eth_get_headlen" },
	{ 0x4e0aac0c, "napi_schedule_prep" },
	{ 0x63913f22, "napi_gro_frags" },
	{ 0xc057d3fd, "__napi_schedule" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x31a59dec, "_copy_to_iter" },
	{ 0x7d13f9d1, "skb_copy_datagram_iter" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x695afa95, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x14778c64, "sock_recv_errqueue" },
	{ 0x65f84384, "security_tun_dev_attach" },
	{ 0x3888b4c2, "xdp_rxq_info_is_reg" },
	{ 0x5d1358a7, "lock_sock_nested" },
	{ 0xcbd29136, "sk_attach_filter" },
	{ 0xfaa14df5, "release_sock" },
	{ 0xe36429c0, "__xdp_rxq_info_reg" },
	{ 0x2a6ed38, "xdp_rxq_info_reg_mem_model" },
	{ 0x224c0970, "netif_napi_add_weight_locked" },
	{ 0xf667f730, "napi_enable" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x43c9f1fa, "ns_capable" },
	{ 0x5555cae1, "get_net_ns" },
	{ 0xfcba743d, "open_related_ns" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x947142a7, "make_kgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x17689f0b, "__dev_get_by_name" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0xf14da2c6, "alloc_netdev_mqs" },
	{ 0xc6ac5c0, "ip_tunnel_header_ops" },
	{ 0xeb60b8ef, "register_netdevice" },
	{ 0x98489973, "sk_detach_filter" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd8cc55ef, "dev_get_mac_address" },
	{ 0xc8594623, "dev_set_mac_address_user" },
	{ 0x8e9c69fd, "make_kuid" },
	{ 0x538eb2d2, "init_user_ns" },
	{ 0xf21ce8d2, "from_kuid" },
	{ 0x52d5adfe, "netdev_update_features" },
	{ 0x62d1ac71, "netif_tx_wake_queue" },
	{ 0xc55906, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0x9db965fe, "call_netdevice_notifiers" },
	{ 0x653194b1, "free_netdev" },
	{ 0x90fe8bbd, "__module_get" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x8497ec18, "from_kgid" },
	{ 0x1a49a4e0, "__page_frag_cache_drain" },
	{ 0x471656a, "passthru_features_check" },
	{ 0x9c42265a, "eth_mac_addr" },
	{ 0xe4425a2b, "eth_validate_addr" },
	{ 0xffba72b5, "ethtool_op_get_link" },
	{ 0x872addb6, "ethtool_op_get_ts_info" },
	{ 0xc5616071, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2842c7fc, "file_f_owner_allocate" },
	{ 0xb974afde, "fasync_helper" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x57ce12f4, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8b3f301, "netdev_info" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x43cb93ec, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbe2d6696, "netif_carrier_on" },
	{ 0xba61bfe9, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8d304f20, "nla_put" },
	{ 0x268c62bd, "from_kgid_munged" },
	{ 0x36cab5e2, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd58682b5, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x32486b42, "netif_tx_stop_all_queues" },
	{ 0xbbfa6de5, "dev_get_tstats64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc631f1c7, "bpf_prog_get_type_dev" },
	{ 0x92997ed8, "_printk" },
	{ 0x17931dd5, "rtnl_link_register" },
	{ 0xe54012d3, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xbca03f0, "misc_deregister" },
	{ 0xbd918098, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8f82ff9c, "xdp_return_frame" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x586661b3, "__wake_up_sync_key" },
	{ 0x7087ee17, "kill_fasync" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe293f2e1, "net_hotdata" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x7bea261e, "napi_gro_receive" },
	{ 0xd2cf8f93, "napi_complete_done" },
	{ 0x4bae8348, "bpf_prog_put" },
	{ 0x30d51e1b, "netdev_core_stats_inc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd34846e8, "xdp_do_redirect" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4b9f5640, "bpf_warn_invalid_xdp_action" },
	{ 0x4e7b468d, "__tracepoint_xdp_exception" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "298770A0779FCFFE0BA22F5");

MODULE_INFO(suserelease, "SLFO-1.2");
