#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x3a5c1788, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0xf6746864, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x5001321c, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x412ab954, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x4cc71b44, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0xbcf026e0, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x8b903b00, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x54d8b1fd, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x3d3c0bb9, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x1d2ed032, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x91e8722c, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x49452dcb, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x6b088055, "_gpl");
SYMBOL_CRC(usbnet_open, 0x56326361, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x715b68cb, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x8fa926a2, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x75fe9ccd, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xbe0419bd, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x80f7a564, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x6a560cec, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x62174fde, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x7531527d, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x6f471eab, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xa3a40b73, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x04d1cfcd, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x7b9cfb6c, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x6e916ca3, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xe60aafd6, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x832a73de, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x96195c8b, "");
SYMBOL_CRC(usbnet_manage_power, 0x03447621, "");
SYMBOL_CRC(usbnet_link_change, 0x38699b43, "");
SYMBOL_CRC(usbnet_read_cmd, 0xa28f7586, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0xcc5b1425, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x0eee463d, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xaa7eddde, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x19e08ad1, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa12d9eed, "usb_set_interface" },
	{ 0xb6f3a998, "usb_string" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x349f744b, "netif_rx" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x92225dd3, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x310e3a08, "skb_queue_purge_reason" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xc36853cd, "usb_get_urb" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x3d9e5d8a, "usb_unlink_urb" },
	{ 0x96e6d83, "usb_free_urb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb1161409, "usb_submit_urb" },
	{ 0x695afa95, "netdev_err" },
	{ 0x84108bb, "mii_ethtool_get_link_ksettings" },
	{ 0x5fc202ed, "mii_ethtool_set_link_ksettings" },
	{ 0x7408f276, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x69492855, "unregister_netdev" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0x24073b84, "usb_get_from_anchor" },
	{ 0x4d4770a7, "usb_kill_urb" },
	{ 0x653194b1, "free_netdev" },
	{ 0x8b3f301, "netdev_info" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa8f7a713, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7bd3b23, "usb_autopm_get_interface" },
	{ 0xb30f0d41, "usb_autopm_put_interface" },
	{ 0x6a578ab1, "usb_alloc_urb" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x18e41d5f, "mii_link_ok" },
	{ 0xffba72b5, "ethtool_op_get_link" },
	{ 0x2f601106, "usb_autopm_put_interface_async" },
	{ 0xbe2d6696, "netif_carrier_on" },
	{ 0xba61bfe9, "netif_carrier_off" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xba06c412, "netif_device_detach" },
	{ 0x464b9c63, "netif_device_attach" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0xeb05b3a8, "alloc_etherdev_mqs" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x96d19db4, "register_netdev" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0x6de3d3ec, "usb_check_bulk_endpoints" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x311122ac, "usb_autopm_get_interface_async" },
	{ 0x1f7f45cd, "skb_tstamp_tx" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0xa7cab92e, "usb_anchor_urb" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x62d1ac71, "netif_tx_wake_queue" },
	{ 0xe654e061, "usb_autopm_get_interface_no_resume" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x2e58d2de, "usb_clear_halt" },
	{ 0x9c42265a, "eth_mac_addr" },
	{ 0xe4425a2b, "eth_validate_addr" },
	{ 0x872addb6, "ethtool_op_get_ts_info" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "17BD597195840FF5B32BAEB");

MODULE_INFO(suserelease, "SLFO-1.2");
