#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0x7eba95f4, "");
SYMBOL_CRC(ath10k_info, 0xe9dfd1b6, "");
SYMBOL_CRC(ath10k_print_driver_info, 0x0fa114a6, "");
SYMBOL_CRC(ath10k_err, 0xd6b383b2, "");
SYMBOL_CRC(ath10k_warn, 0x0e41dde9, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0x7f05785c, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0x5d5392f4, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0x1ebad28a, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0x3191a550, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0x35399a9c, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0x57a6aef8, "");
SYMBOL_CRC(ath10k_core_start, 0x52f8516a, "");
SYMBOL_CRC(ath10k_core_stop, 0x10b92adf, "");
SYMBOL_CRC(ath10k_core_register, 0xb1fe7414, "");
SYMBOL_CRC(ath10k_core_unregister, 0x6ec5a9ca, "");
SYMBOL_CRC(ath10k_core_create, 0x52e2e217, "");
SYMBOL_CRC(ath10k_core_destroy, 0xa0145348, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0x3540dade, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0xebd0a9ad, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0x4076e871, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0x6b7525ef, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0x1faa05bd, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0xeae0a846, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0xe52452f0, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0x3ded2d82, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0xc26a27ef, "");
SYMBOL_CRC(ath10k_bmi_start, 0x419274ca, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0x14959971, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0xa2b885f4, "");
SYMBOL_CRC(ath10k_coredump_new, 0xc056d9db, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0x46a141b5, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0xadfe9608, "");
SYMBOL_CRC(ath10k_ce_send, 0x540e87fc, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0x2ebe2432, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0x8a2f44bb, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0x509f7d6f, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0xa74764ca, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0x994538a5, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0x705e6e51, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0x54e2001c, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0x347ace16, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0x503060b7, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0x383f467e, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0xfce30e6e, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0x68e95722, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0x32753b43, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0x14ecfed4, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0x5f5c75b8, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0xe01d2037, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0xa7def65f, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0x6dfd114a, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0xb1f93d2f, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0xe215b091, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0x145b0579, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0x2a95d869, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0xcfaa9e23, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xf981c9e4, "__cfg80211_get_bss" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0x3131f672, "skb_queue_head" },
	{ 0x65461ef4, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x824eb988, "cpu_latency_qos_remove_request" },
	{ 0xbf02db51, "ieee80211_beacon_update_cntdwn" },
	{ 0x4ae8caa7, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x290bc1d9, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xad68421f, "ieee80211_connection_loss" },
	{ 0x4d5167d6, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0xfecdcb5b, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4ff0809f, "__ieee80211_schedule_txq" },
	{ 0x333051c0, "idr_find" },
	{ 0xdca0f8b3, "ieee80211_txq_get_depth" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x39d54c05, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x98ce86d6, "firmware_request_nowarn" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb716292c, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x293c301a, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x29b2e302, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x4cdf3d1f, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0xd36148a, "ieee80211_iterate_stations_atomic" },
	{ 0x3a521ee5, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb1f865e, "ieee80211_beacon_loss" },
	{ 0xb81d7c7f, "cpu_latency_qos_add_request" },
	{ 0x6d3c75f1, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9901316, "thermal_cooling_device_register" },
	{ 0x1dab9fa0, "led_classdev_unregister" },
	{ 0xbb680c1b, "ieee80211_register_hw" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x22cc564c, "ieee80211_restart_hw" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x9890ba2a, "ieee80211_wake_queue" },
	{ 0xfdb512aa, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0x310e3a08, "skb_queue_purge_reason" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69509299, "ieee80211_find_sta" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xef3f10c4, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x8a644a6, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x144ec853, "cfg80211_put_bss" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x9856b61b, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xec21d530, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x9d6e9d62, "wiphy_to_ieee80211_hw" },
	{ 0xd196b929, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68c29c1e, "ieee80211_queue_delayed_work" },
	{ 0x36d5cb57, "ieee80211_proberesp_get" },
	{ 0x33719327, "_dev_err" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x94f19c54, "sysfs_remove_link" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3d45bb64, "init_uts_ns" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x72b93fb4, "ieee80211_find_sta_by_ifaddr" },
	{ 0x6ddfd56c, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xad0cad4f, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0xf667f730, "napi_enable" },
	{ 0x13c0013, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x84d6d204, "ieee80211_wake_queues" },
	{ 0x653194b1, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x32219693, "ieee80211_report_low_ack" },
	{ 0x7b57140c, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xed437a4a, "ieee80211_free_txskb" },
	{ 0x17a9aa1c, "led_classdev_register_ext" },
	{ 0x5dab2b07, "dev_coredumpv" },
	{ 0x4f60a2df, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe78c1cdf, "idr_destroy" },
	{ 0xe109f8bc, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x4cb3ec3d, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x666426fb, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xb75d811c, "devm_nvmem_cell_get" },
	{ 0x455c12b0, "ieee80211_stop_queue" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xd8d9fc44, "ieee80211_ready_on_channel" },
	{ 0xaebf34d2, "ieee80211_stop_queues" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x740cd1c5, "skb_realloc_headroom" },
	{ 0x6ed01a4f, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x41229c10, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9749d73d, "alloc_netdev_dummy" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xfd16c81d, "ieee80211_scan_completed" },
	{ 0xfe5f73f7, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x7e88de20, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x6889c6c8, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x236060f2, "ath_regd_init" },
	{ 0x305b2cbf, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6646c565, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x6c2ad546, "ieee80211_tdls_oper_request" },
	{ 0x76690196, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe8fd8ab2, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe046acb1, "ieee80211_tx_rate_update" },
	{ 0xa94df853, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0x948e7075, "napi_disable" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211,ath");


MODULE_INFO(srcversion, "6D6B90764409B5623EE05A4");

MODULE_INFO(suserelease, "SLFO-1.2");
