#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath9k_cmn_rx_accept, "", "");
KSYMTAB_FUNC(ath9k_cmn_rx_skb_postprocess, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rate, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rssi, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_hw_crypto_keytype, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_channel, "", "");
KSYMTAB_FUNC(ath9k_cmn_count_streams, "", "");
KSYMTAB_FUNC(ath9k_cmn_update_txpow, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_crypto, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_channels_rates, "", "");
KSYMTAB_FUNC(ath9k_cmn_setup_ht_cap, "", "");
KSYMTAB_FUNC(ath9k_cmn_reload_chainmask, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_sta, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_adhoc, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_ap, "", "");

SYMBOL_CRC(ath9k_cmn_rx_accept, 0x4cae0b5c, "");
SYMBOL_CRC(ath9k_cmn_rx_skb_postprocess, 0x0030b61f, "");
SYMBOL_CRC(ath9k_cmn_process_rate, 0xfa89b9bf, "");
SYMBOL_CRC(ath9k_cmn_process_rssi, 0x6e4a17bf, "");
SYMBOL_CRC(ath9k_cmn_get_hw_crypto_keytype, 0x57e4ebfa, "");
SYMBOL_CRC(ath9k_cmn_get_channel, 0x76ab1f74, "");
SYMBOL_CRC(ath9k_cmn_count_streams, 0xd2981357, "");
SYMBOL_CRC(ath9k_cmn_update_txpow, 0xca269fbe, "");
SYMBOL_CRC(ath9k_cmn_init_crypto, 0x610ebee8, "");
SYMBOL_CRC(ath9k_cmn_init_channels_rates, 0xd43e4d79, "");
SYMBOL_CRC(ath9k_cmn_setup_ht_cap, 0xd33627f0, "");
SYMBOL_CRC(ath9k_cmn_reload_chainmask, 0xab7bae66, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_sta, 0x7a01b102, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_adhoc, 0xd33cb782, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_ap, 0x30596139, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xb0e602eb, "memmove" },
	{ 0x9437e346, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x7861c472, "ath9k_hw_gettsf64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xf4f84fa1, "ath9k_hw_set_txpowerlimit" },
	{ 0x6e96f01c, "ath_hw_keyreset" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,ath9k_hw,ath");


MODULE_INFO(srcversion, "6AB875ABAF703AC5629CAD0");

MODULE_INFO(suserelease, "SLFO-1.2");
