#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(lbs_cmd_copyback, "_gpl", "");
KSYMTAB_FUNC(lbs_host_sleep_cfg, "_gpl", "");
KSYMTAB_FUNC(__lbs_cmd, "_gpl", "");
KSYMTAB_DATA(lbs_debug, "_gpl", "");
KSYMTAB_FUNC(lbs_host_to_card_done, "_gpl", "");
KSYMTAB_FUNC(lbs_suspend, "_gpl", "");
KSYMTAB_FUNC(lbs_resume, "_gpl", "");
KSYMTAB_FUNC(lbs_add_card, "_gpl", "");
KSYMTAB_FUNC(lbs_remove_card, "_gpl", "");
KSYMTAB_FUNC(lbs_start_card, "_gpl", "");
KSYMTAB_FUNC(lbs_stop_card, "_gpl", "");
KSYMTAB_FUNC(lbs_queue_event, "_gpl", "");
KSYMTAB_FUNC(lbs_notify_command_response, "_gpl", "");
KSYMTAB_FUNC(lbs_process_rxed_packet, "_gpl", "");
KSYMTAB_FUNC(lbs_send_tx_feedback, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware_async, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware, "_gpl", "");

SYMBOL_CRC(lbs_cmd_copyback, 0xb3b64b39, "_gpl");
SYMBOL_CRC(lbs_host_sleep_cfg, 0x35b4211c, "_gpl");
SYMBOL_CRC(__lbs_cmd, 0x59eec6f9, "_gpl");
SYMBOL_CRC(lbs_debug, 0xf64277de, "_gpl");
SYMBOL_CRC(lbs_host_to_card_done, 0x4b3bd7d8, "_gpl");
SYMBOL_CRC(lbs_suspend, 0x50dfb6c4, "_gpl");
SYMBOL_CRC(lbs_resume, 0xefc8eccf, "_gpl");
SYMBOL_CRC(lbs_add_card, 0x06169e1e, "_gpl");
SYMBOL_CRC(lbs_remove_card, 0x6e2d4092, "_gpl");
SYMBOL_CRC(lbs_start_card, 0x60223fdb, "_gpl");
SYMBOL_CRC(lbs_stop_card, 0xebf65214, "_gpl");
SYMBOL_CRC(lbs_queue_event, 0x4ea9bc57, "_gpl");
SYMBOL_CRC(lbs_notify_command_response, 0x9533807e, "_gpl");
SYMBOL_CRC(lbs_process_rxed_packet, 0x7d662038, "_gpl");
SYMBOL_CRC(lbs_send_tx_feedback, 0x1e8d70a5, "_gpl");
SYMBOL_CRC(lbs_get_firmware_async, 0x8dd9fba8, "_gpl");
SYMBOL_CRC(lbs_get_firmware, 0x84396a27, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6775463f, "cfg80211_ibss_joined" },
	{ 0xa8cf5735, "request_firmware_nowait" },
	{ 0x52978850, "simple_open" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x313751ee, "cfg80211_michael_mic_failure" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x96d19db4, "register_netdev" },
	{ 0x70b507a5, "wiphy_unregister" },
	{ 0x653194b1, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd960722a, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x62d1ac71, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x349f744b, "netif_rx" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa0ae472a, "netdev_alert" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xba61bfe9, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xbe2d6696, "netif_carrier_on" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0xce7b78fa, "cfg80211_inform_bss_data" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x38bc19cd, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xb3fa0a04, "cfg80211_connect_done" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xf981c9e4, "__cfg80211_get_bss" },
	{ 0xe15a71d1, "wiphy_free" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x2c11f65, "ieee80211_get_num_supported_channels" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x8b3f301, "netdev_info" },
	{ 0x69d137d1, "device_remove_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3a2dba3a, "cfg80211_scan_done" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x69492855, "unregister_netdev" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x2476a690, "request_firmware" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6d3c75f1, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0xe4425a2b, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x20aec938, "dev_kfree_skb_irq_reason" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x55416df2, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc55906, "ether_setup" },
	{ 0x695afa95, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf14da2c6, "alloc_netdev_mqs" },
	{ 0xbf688c58, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xae6b40dd, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x144ec853, "cfg80211_put_bss" },
	{ 0xba06c412, "netif_device_detach" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x464b9c63, "netif_device_attach" },
	{ 0x9856b61b, "ieee80211_get_channel_khz" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xf4bf5395, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x33719327, "_dev_err" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "16BA492FC8EBB2531B34EC3");

MODULE_INFO(suserelease, "SLFO-1.2");
