#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7615_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7615_ops, "_gpl", "");
KSYMTAB_FUNC(mt7615_thermal_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_wait_for_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_work, "_gpl", "");
KSYMTAB_FUNC(mt7615_reg_map, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_blink, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_brightness, "_gpl", "");
KSYMTAB_FUNC(mt7615_register_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_unregister_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_device, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_fill_msg, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7622_trigger_hif_int, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(__mt7663_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_exit, "_gpl", "");
KSYMTAB_FUNC(mt7615_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_poll, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_set_rates, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_enable_rtscts, "_gpl", "");
KSYMTAB_FUNC(mt7615_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7615_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7615_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_debugfs, "_gpl", "");

SYMBOL_CRC(mt7615_set_channel, 0x2c400aca, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_add, 0x7a64ce71, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_remove, 0xefe44de1, "_gpl");
SYMBOL_CRC(mt7615_ops, 0x3c2ded83, "_gpl");
SYMBOL_CRC(mt7615_thermal_init, 0x10df7ff2, "_gpl");
SYMBOL_CRC(mt7615_wait_for_mcu_init, 0x6ce9e112, "_gpl");
SYMBOL_CRC(mt7615_init_txpower, 0xfd65bbd5, "_gpl");
SYMBOL_CRC(mt7615_init_work, 0x81193320, "_gpl");
SYMBOL_CRC(mt7615_reg_map, 0xca03d9aa, "_gpl");
SYMBOL_CRC(mt7615_led_set_blink, 0x4d9876ca, "_gpl");
SYMBOL_CRC(mt7615_led_set_brightness, 0xd925aa58, "_gpl");
SYMBOL_CRC(mt7615_register_ext_phy, 0x8ebc7d7c, "_gpl");
SYMBOL_CRC(mt7615_unregister_ext_phy, 0x3f36cc11, "_gpl");
SYMBOL_CRC(mt7615_init_device, 0x4913636b, "_gpl");
SYMBOL_CRC(mt7615_mcu_fill_msg, 0xe8f680ab, "_gpl");
SYMBOL_CRC(mt7615_mcu_parse_response, 0x1052acec, "_gpl");
SYMBOL_CRC(mt7622_trigger_hif_int, 0x013cacdf, "_gpl");
SYMBOL_CRC(mt7615_mcu_restart, 0x4a92b8d7, "_gpl");
SYMBOL_CRC(__mt7663_load_firmware, 0xd42ffe05, "_gpl");
SYMBOL_CRC(mt7615_mcu_init, 0x0912c927, "_gpl");
SYMBOL_CRC(mt7615_mcu_exit, 0x0d975f09, "_gpl");
SYMBOL_CRC(mt7615_eeprom_init, 0xe0438918, "_gpl");
SYMBOL_CRC(mt7615_mac_write_txwi, 0xa8d1802a, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_poll, 0x86432db3, "_gpl");
SYMBOL_CRC(mt7615_mac_set_rates, 0xc7802a49, "_gpl");
SYMBOL_CRC(mt7615_mac_enable_rtscts, 0xc6f4d6c4, "_gpl");
SYMBOL_CRC(mt7615_rx_check, 0x0c67f3a2, "_gpl");
SYMBOL_CRC(mt7615_queue_rx_skb, 0x3fcda8b3, "_gpl");
SYMBOL_CRC(mt7615_update_channel, 0x11df1d11, "_gpl");
SYMBOL_CRC(mt7615_tx_token_put, 0x1a6ce841, "_gpl");
SYMBOL_CRC(mt7615_init_debugfs, 0x63af05c2, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1c5c248, "mt76_wcid_key_setup" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x2c5dce43, "mt76_connac_mcu_set_p2p_oppps" },
	{ 0xaeb98a5e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x12ea356a, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc24aff6c, "mt76_connac_mcu_sched_scan_req" },
	{ 0xa63e9c19, "mt76_connac_mcu_alloc_wtbl_req" },
	{ 0xc13fb07e, "mt76_connac_mcu_uni_add_bss" },
	{ 0x942f436a, "mt76_phy_dfs_state" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x9d6e9d62, "wiphy_to_ieee80211_hw" },
	{ 0x9e571b9b, "debugfs_attr_read" },
	{ 0x475857db, "mt76_connac_mcu_hw_scan" },
	{ 0x65991b50, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68c29c1e, "ieee80211_queue_delayed_work" },
	{ 0x45629b2, "mt76_eeprom_init" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x33719327, "_dev_err" },
	{ 0x52978850, "simple_open" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x76687440, "debugfs_create_file_unsafe" },
	{ 0x6ce34a19, "mt76_mcu_skb_send_and_get_msg" },
	{ 0xc0ff936f, "simple_attr_release" },
	{ 0xa9b9a07a, "mt76_update_survey_active_time" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x55b64098, "mt76_connac_mcu_beacon_loss_iter" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x652032cb, "mac_pton" },
	{ 0xad0cad4f, "ieee80211_remain_on_channel_expired" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0x7a905b8, "seq_putc" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x84d6d204, "ieee80211_wake_queues" },
	{ 0x53bbec1e, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7b57140c, "ieee80211_beacon_get_template" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x873cc963, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5dab2b07, "dev_coredumpv" },
	{ 0x989ecb57, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0xe78c1cdf, "idr_destroy" },
	{ 0xf64d9703, "mt76_connac_pm_dequeue_skbs" },
	{ 0x418f12b5, "mt76_connac_mcu_set_pm" },
	{ 0xf4320870, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x4cb3ec3d, "devm_hwmon_device_register_with_groups" },
	{ 0x82bea626, "ieee80211_emulate_add_chanctx" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x9c99a7a3, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce3ecac6, "debugfs_create_u32" },
	{ 0x55b63eb7, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xa9e79ce7, "mt76_connac_mcu_start_patch" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x5d0803ae, "__SCK__tp_func_mac_txdone" },
	{ 0xa2847332, "mt76_sta_state" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xd8d9fc44, "ieee80211_ready_on_channel" },
	{ 0xaebf34d2, "ieee80211_stop_queues" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x789bb56e, "mt76_connac_mcu_del_wtbl_all" },
	{ 0xc95c3ecb, "mt76_connac_mcu_init_download" },
	{ 0x56e76cc9, "devm_kasprintf" },
	{ 0x911c8743, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xaef8916a, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xc245d7a1, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0xa35003ac, "mt76_get_rate_power_limits" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xaf382fbe, "ieee80211_sched_scan_results" },
	{ 0xfd16c81d, "ieee80211_scan_completed" },
	{ 0xfe5f73f7, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe90a957a, "mt76_insert_ccmp_hdr" },
	{ 0x39ad8c77, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc73b67e9, "mt76_sw_scan_complete" },
	{ 0x4e4ef24b, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66ca9904, "seq_write" },
	{ 0x975b82d5, "mt76_connac_mcu_start_firmware" },
	{ 0xb64ae1ea, "____mt76_poll_msec" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0xe85d100, "mt76_connac_mcu_wtbl_ht_tlv" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8b7693cd, "mt76_connac_mcu_rdd_cmd" },
	{ 0x3335abed, "seq_printf" },
	{ 0x18b62732, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8032005b, "mt76_get_sar_power" },
	{ 0x2e7e1373, "mt76_unregister_phy" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x3807aab2, "mt76_register_phy" },
	{ 0x4a980b6c, "mt76_connac_mcu_wtbl_hdr_trans_tlv" },
	{ 0xed90ac23, "mt76_put_txwi" },
	{ 0x57b56da3, "mt76_wcid_cleanup" },
	{ 0x76690196, "ieee80211_radar_detected" },
	{ 0xeea4feec, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x3ae892b7, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0x55473fb7, "single_release" },
	{ 0x42845153, "mt76_sw_scan" },
	{ 0x2b249c25, "mt76_queues_read" },
	{ 0x9ca4fd22, "mt76_connac_mcu_set_hif_suspend" },
	{ 0x922e2b21, "mt76_sta_pre_rcu_remove" },
	{ 0x1bfefe40, "mt76_register_debugfs_fops" },
	{ 0xb61763d, "mt76_connac_mcu_wtbl_generic_tlv" },
	{ 0xcf84f612, "mt76_connac_mcu_bss_omac_tlv" },
	{ 0xde17f455, "mt76_connac_mcu_sta_ba" },
	{ 0x12027644, "mt76_connac_mcu_bss_ext_tlv" },
	{ 0xa94df853, "ieee80211_queue_work" },
	{ 0x4e0aac0c, "napi_schedule_prep" },
	{ 0x4c7cd981, "mt76_connac_mcu_wtbl_ba_tlv" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x18165a61, "mt76_connac_mcu_patch_sem_ctrl" },
	{ 0x6afc3200, "__mt76_poll" },
	{ 0xe5452b34, "mt76_rx_aggr_stop" },
	{ 0x7cc52843, "debugfs_create_u8" },
	{ 0xd898659, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x38bc19cd, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x537f4911, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xfee6c842, "mt76_get_min_avg_rssi" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd9ca143c, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2f0766f1, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xb2dbff67, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x14965f60, "mt76_update_channel" },
	{ 0x4ae8caa7, "ieee80211_sta_register_airtime" },
	{ 0xe58d8629, "mt76_connac_mcu_bss_basic_tlv" },
	{ 0xe6488c9e, "mt76_connac_mcu_sta_tlv" },
	{ 0x290bc1d9, "device_set_wakeup_enable" },
	{ 0x38d2a45e, "mt76_tx_worker_run" },
	{ 0x1a0b5a3c, "mt76_init_sar_power" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf60c4037, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x640c8f92, "simple_attr_open" },
	{ 0xad2d1dd3, "ieee80211_iterate_interfaces" },
	{ 0x4040c3fb, "debugfs_attr_write" },
	{ 0x45cb7c68, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0xe04c22c5, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x98ce86d6, "firmware_request_nowarn" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd628213f, "mt76_tx_status_skb_get" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x1287a29c, "mt76_tx_status_lock" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x741232cf, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x8e7a03c, "debugfs_create_u16" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x29b2e302, "ieee80211_free_hw" },
	{ 0xfd7b45c0, "mt76_connac_mcu_set_channel_domain" },
	{ 0x2f9d5f7f, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd026b5df, "mt76_release_buffered_frames" },
	{ 0x2476a690, "request_firmware" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0xbec1e3b2, "mt76_get_txpower" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x62c884a3, "__tracepoint_mac_txdone" },
	{ 0x3a57172e, "mt76_connac_pm_wake" },
	{ 0xb6e30a91, "mt76_get_rate" },
	{ 0x75ff3334, "mt76_wake_tx_queue" },
	{ 0x3a521ee5, "ieee80211_tx_status_ext" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x32292d04, "mt76_connac_mcu_chip_config" },
	{ 0xff80e062, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0x2dff440b, "mt76_connac_mcu_sta_ba_tlv" },
	{ 0xcbe49a41, "__mt76_tx_complete_skb" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x6b0a0077, "mt76_set_stream_caps" },
	{ 0x3cbbd2f2, "ieee80211_emulate_change_chanctx" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9437e346, "ieee80211_get_hdrlen_from_skb" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x30f32e5f, "mt76_connac_mcu_update_arp_filter" },
	{ 0x2faeeb74, "mt76_connac_mcu_set_vif_ps" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xc35eaf96, "mt76_mcu_rx_event" },
	{ 0x8b20ce8e, "mt76_alloc_phy" },
	{ 0xbc8f1254, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfad6ea0e, "mt76_wcid_init" },
	{ 0x12a7f13c, "mt76_tx_status_check" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0xa7c9fdcc, "mt76_connac_free_pending_tx_skbs" },
	{ 0x310e3a08, "skb_queue_purge_reason" },
	{ 0x9da4649f, "mt76_connac_power_save_sched" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x275857e7, "cfg80211_reg_check_beaconing" },
	{ 0xf6060c12, "ieee80211_send_bar" },
	{ 0xab80bfb, "mt76_connac_mcu_wtbl_update_hdr_trans" },
	{ 0x205ef9a9, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c07851b, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x145b80c2, "mt76_tx" },
	{ 0xc057d3fd, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0x14f6ccd6, "mt76_connac_mcu_set_mac_enable" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "A6FDF72437486A80FA758D1");

MODULE_INFO(suserelease, "SLFO-1.2");
