#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0xf368b7e2, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0x50b8f68a, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0x59a2c31a, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0xeaa66c34, "_gpl");
SYMBOL_CRC(mt76x0_set_channel, 0xd41c8db3, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0x73c143ec, "_gpl");
SYMBOL_CRC(mt76x0_config, 0x7992185b, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0x583f75cf, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdb205701, "mt76x02_mac_shared_key_setup" },
	{ 0xb17338ae, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5585c4b1, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x5dc0c891, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x68c29c1e, "ieee80211_queue_delayed_work" },
	{ 0x45629b2, "mt76_eeprom_init" },
	{ 0x33719327, "_dev_err" },
	{ 0x3ceb364c, "mt76x02_mac_setaddr" },
	{ 0xa8c1b76e, "mt76_register_device" },
	{ 0x47bc59d1, "mt76x02_phy_set_bw" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x19c9cd6c, "mt76x02_phy_set_band" },
	{ 0x71ec543f, "mt76x02_init_device" },
	{ 0x8e9b2ed4, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x6802bcdf, "mt76x02_phy_set_rxpath" },
	{ 0x2750e439, "mt76x02_edcca_init" },
	{ 0x873cc963, "mt76_eeprom_override" },
	{ 0x1f6396d4, "mt76x02_get_lna_gain" },
	{ 0x8661cbe4, "mt76x02_init_debugfs" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4551de56, "mt76x02_mac_cc_reset" },
	{ 0x197adba4, "mt76x02_init_agc_gain" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb64ae1ea, "____mt76_poll_msec" },
	{ 0x39dd577c, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe693c833, "mt76x02_config_mac_addr_list" },
	{ 0x8032005b, "mt76_get_sar_power" },
	{ 0x98ee43ee, "mt76x02_eeprom_copy" },
	{ 0xfe9ff52a, "mt76x02_mcu_calibrate" },
	{ 0x1f2852e2, "mt76x02_mcu_function_select" },
	{ 0xa8e5a20a, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x893df2fe, "mt76x02_mac_wcid_setup" },
	{ 0x6afc3200, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x476b9c85, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0xfee6c842, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x14965f60, "mt76_update_channel" },
	{ 0x1a0b5a3c, "mt76_init_sar_power" },
	{ 0xda1fb36a, "mt76x02_phy_adjust_vga_gain" },
	{ 0x26dc6427, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "F55B773250042EFF4C9B69C");

MODULE_INFO(suserelease, "SLFO-1.2");
