#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x02u_mcu_fw_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mcu_fw_send_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_mcu, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_exit_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0x778b4d4f, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0xd112818e, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0xb8f82ac3, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0xaa6525f2, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0x24c9675b, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0xc3656c3a, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0x56de2c76, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0xa15dc978, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x45750f8c, "mt76x02_mcu_parse_response" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x9b0cc9c0, "mt76_csa_check" },
	{ 0x8ddf5d10, "mt76_tx_status_skb_add" },
	{ 0x5bf7db3e, "hrtimer_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1f8ad440, "mt76u_single_wr" },
	{ 0xcbe49a41, "__mt76_tx_complete_skb" },
	{ 0x3dd57599, "mt76x02_mac_reset_counters" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9437e346, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xebc770a, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xadc4e834, "mt76_csa_finish" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x33719327, "_dev_err" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0x187fbbdb, "mt76x02_init_beacon_config" },
	{ 0x989ecb57, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xeaa20752, "mt76x02_mac_write_txwi" },
	{ 0x4102c5e2, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfe5f73f7, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xfd8154c, "mt76u_vendor_request" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xfbd34423, "mt76_skb_adjust_pad" },
	{ 0x93fae14b, "hrtimer_cancel" },
	{ 0x88503d49, "mt76x02_mac_set_beacon" },
	{ 0xab01c693, "hrtimer_active" },
	{ 0x6afc3200, "__mt76_poll" },
	{ 0x291a65c2, "mt76x02_update_beacon_iter" },
	{ 0x2f6bd719, "mt76x02_enqueue_buffered_bc" },
	{ 0xf95953fa, "mt76x02_remove_hdr_pad" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc0881b46, "mt76x02_resync_beacon_timer" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mt76-usb,cfg80211,usbcore,mac80211");


MODULE_INFO(srcversion, "74EBA9BC832B6B9E99AC8CD");

MODULE_INFO(suserelease, "SLFO-1.2");
