#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9f8c452, "rt2x00usb_disconnect" },
	{ 0x5e35d3fe, "rt2x00usb_suspend" },
	{ 0xf073316b, "rt2x00usb_resume" },
	{ 0x33bd8579, "rt2x00usb_initialize" },
	{ 0xda383420, "rt2x00usb_uninitialize" },
	{ 0xfc97f981, "rt2x00usb_clear_entry" },
	{ 0x2215e222, "rt2x00usb_watchdog" },
	{ 0x924e5b99, "rt2x00usb_kick_queue" },
	{ 0x29b70621, "rt2x00usb_flush_queue" },
	{ 0xec8e37df, "rt2x00mac_tx" },
	{ 0x54dfd6a7, "rt2x00mac_start" },
	{ 0x5e4cb7db, "rt2x00mac_stop" },
	{ 0x9cd505c1, "rt2x00mac_add_interface" },
	{ 0x11dd9e3, "rt2x00mac_remove_interface" },
	{ 0x79d55123, "rt2x00mac_config" },
	{ 0xadadd251, "rt2x00mac_bss_info_changed" },
	{ 0xe606fab8, "rt2x00mac_configure_filter" },
	{ 0x5eba5ddc, "rt2x00mac_set_tim" },
	{ 0x6ca7a9f3, "rt2x00mac_set_key" },
	{ 0x5c55c560, "rt2x00mac_sw_scan_start" },
	{ 0x2bdbb782, "rt2x00mac_sw_scan_complete" },
	{ 0x2c208022, "rt2x00mac_get_stats" },
	{ 0x349a797b, "rt2x00mac_conf_tx" },
	{ 0x83c92a7b, "rt2x00mac_rfkill_poll" },
	{ 0xd652d106, "rt2x00mac_flush" },
	{ 0xbbba66aa, "rt2x00mac_set_antenna" },
	{ 0xe4d9aa5f, "rt2x00mac_get_antenna" },
	{ 0x4bb081a4, "rt2x00mac_get_ringparam" },
	{ 0x1558411b, "rt2x00mac_tx_frames_pending" },
	{ 0x82bea626, "ieee80211_emulate_add_chanctx" },
	{ 0x537f4911, "ieee80211_emulate_remove_chanctx" },
	{ 0x3cbbd2f2, "ieee80211_emulate_change_chanctx" },
	{ 0x55b63eb7, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x9f2c3d3a, "ieee80211_handle_wake_tx_queue" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x33972a88, "usb_register_driver" },
	{ 0xdc0d9ee6, "rt2x00usb_probe" },
	{ 0xf107d26e, "skb_trim" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xb1161409, "usb_submit_urb" },
	{ 0x45d621e6, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x32a22d13, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x33719327, "_dev_err" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xf22afa1b, "rt2x00usb_vendor_request_buff" },
	{ 0x59e03780, "skb_push" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc5ca4512, "rt2x00usb_vendor_request" },
	{ 0x663d7108, "rt2x00lib_set_mac_address" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcec482e3, "rt2x00usb_disable_radio" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211,usbcore");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "0234C22C669DF15F609D12B");

MODULE_INFO(suserelease, "SLFO-1.2");
