#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0xe30953f3, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0xf7e74664, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x26c9ae94, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0x55e4e007, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0xdd329794, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0xed8a1834, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0x6c6e82fb, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0xd95c0e04, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0xaa263d06, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x180b930e, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0x9e298971, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x20b8b52c, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0x48a176bd, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x78a99908, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0xeda652fb, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0xf2cc781e, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0xfe99514d, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0x4bcd142f, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x49cf8456, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0x0f6ba7d6, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0xa7397011, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0x2ff3229d, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0x5de37e5d, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0x4ec6b83c, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0xc5cd9fca, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0x8f4cff84, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0x45382a4f, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0xcd9daf9f, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0xf935c00e, "_gpl");
SYMBOL_CRC(rt2800_config, 0x2b86f049, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x7c67f4c7, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0x89f04fa0, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0x3547e71f, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0xca3a2c4a, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0xdc295a99, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0x869af06d, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0x5e57b14a, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0x34affce9, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x8145ba99, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0x4a3b66b6, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0x6cc1f26e, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x888db11c, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0xfce9b4ad, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0x397fdfb9, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaeb98a5e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x59e03780, "skb_push" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x8d15063, "__skb_pad" },
	{ 0xff63eff0, "rt2x00lib_txdone_noinfo" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x22cc564c, "ieee80211_restart_hw" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x663d7108, "rt2x00lib_set_mac_address" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x33719327, "_dev_err" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5f13b49c, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfa489a08, "rt2x00lib_txdone" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xdc5cb1cb, "rt2x00queue_get_entry" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xbfb67aff, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x349a797b, "rt2x00mac_conf_tx" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mac80211,rt2x00lib");


MODULE_INFO(srcversion, "9E1A111AF9AF06F91AEF468");

MODULE_INFO(suserelease, "SLFO-1.2");
