#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800mmio_get_dma_done, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_txwi, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_write_tx_desc, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_fill_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_pretbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_tbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_rxdone_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_autowake_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_txstatus_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_interrupt, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_toggle_irq, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_queue_init, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_entry_state, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_queues, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_registers, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_probe_hw, "_gpl", "");

SYMBOL_CRC(rt2800mmio_get_dma_done, 0x2fe86e50, "_gpl");
SYMBOL_CRC(rt2800mmio_get_txwi, 0x3d58e911, "_gpl");
SYMBOL_CRC(rt2800mmio_write_tx_desc, 0xe93749a2, "_gpl");
SYMBOL_CRC(rt2800mmio_fill_rxdone, 0x87616df5, "_gpl");
SYMBOL_CRC(rt2800mmio_pretbtt_tasklet, 0x3d741c87, "_gpl");
SYMBOL_CRC(rt2800mmio_tbtt_tasklet, 0x5028bbb2, "_gpl");
SYMBOL_CRC(rt2800mmio_rxdone_tasklet, 0x32ac3645, "_gpl");
SYMBOL_CRC(rt2800mmio_autowake_tasklet, 0x97e3c029, "_gpl");
SYMBOL_CRC(rt2800mmio_txstatus_tasklet, 0x9f3c8921, "_gpl");
SYMBOL_CRC(rt2800mmio_interrupt, 0x5fa4db64, "_gpl");
SYMBOL_CRC(rt2800mmio_toggle_irq, 0x176be3f2, "_gpl");
SYMBOL_CRC(rt2800mmio_start_queue, 0x190de2b6, "_gpl");
SYMBOL_CRC(rt2800mmio_kick_queue, 0x82d7522a, "_gpl");
SYMBOL_CRC(rt2800mmio_flush_queue, 0xbedf42bf, "_gpl");
SYMBOL_CRC(rt2800mmio_stop_queue, 0x3468ecd5, "_gpl");
SYMBOL_CRC(rt2800mmio_queue_init, 0xc54db745, "_gpl");
SYMBOL_CRC(rt2800mmio_get_entry_state, 0x8c571c99, "_gpl");
SYMBOL_CRC(rt2800mmio_clear_entry, 0x4aa3acc7, "_gpl");
SYMBOL_CRC(rt2800mmio_init_queues, 0xf4182b02, "_gpl");
SYMBOL_CRC(rt2800mmio_init_registers, 0xdd535cb2, "_gpl");
SYMBOL_CRC(rt2800mmio_enable_radio, 0xd5605c27, "_gpl");
SYMBOL_CRC(rt2800mmio_probe_hw, 0x59505dfc, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc5cb1cb, "rt2x00queue_get_entry" },
	{ 0xaa263d06, "rt2800_process_rxwi" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb91688f4, "rt2x00lib_beacondone" },
	{ 0x2b86f049, "rt2800_config" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x4102c5e2, "hrtimer_start_range_ns" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdd329794, "rt2800_get_txwi_rxwi_size" },
	{ 0x93fae14b, "hrtimer_cancel" },
	{ 0x55e4e007, "rt2800_disable_wpdma" },
	{ 0x26c9ae94, "rt2800_wait_wpdma_ready" },
	{ 0xca3a2c4a, "rt2800_enable_radio" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x9e298971, "rt2800_txdone" },
	{ 0x78a99908, "rt2800_txdone_nostatus" },
	{ 0x20b8b52c, "rt2800_txstatus_timeout" },
	{ 0x48a176bd, "rt2800_txstatus_pending" },
	{ 0x34affce9, "rt2800_probe_hw" },
	{ 0xecd3a7e7, "rt2x00lib_pretbtt" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x5c76b8de, "rt2x00mmio_rxdone" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,rt2800lib,rt2x00mmio");


MODULE_INFO(srcversion, "C1A4D577C93752B32ED7651");

MODULE_INFO(suserelease, "SLFO-1.2");
