#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x33719327, "_dev_err" },
	{ 0xe30953f3, "rt2800_mcu_request" },
	{ 0x176be3f2, "rt2800mmio_toggle_irq" },
	{ 0xd5605c27, "rt2800mmio_enable_radio" },
	{ 0x1dc4539, "rt2x00pci_remove" },
	{ 0xa7be42a0, "rt2x00pci_pm_ops" },
	{ 0xc54db745, "rt2800mmio_queue_init" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0x59505dfc, "rt2800mmio_probe_hw" },
	{ 0xed8a1834, "rt2800_check_firmware" },
	{ 0x6c6e82fb, "rt2800_load_firmware" },
	{ 0xd0e12b3a, "rt2x00mmio_initialize" },
	{ 0xa8dbacf3, "rt2x00mmio_uninitialize" },
	{ 0x8c571c99, "rt2800mmio_get_entry_state" },
	{ 0x4aa3acc7, "rt2800mmio_clear_entry" },
	{ 0x4bcd142f, "rt2800_rfkill_poll" },
	{ 0x7c67f4c7, "rt2800_link_stats" },
	{ 0x89f04fa0, "rt2800_reset_tuner" },
	{ 0x3547e71f, "rt2800_link_tuner" },
	{ 0xcd9daf9f, "rt2800_gain_calibration" },
	{ 0xf935c00e, "rt2800_vco_calibration" },
	{ 0xeda652fb, "rt2800_watchdog" },
	{ 0x190de2b6, "rt2800mmio_start_queue" },
	{ 0x82d7522a, "rt2800mmio_kick_queue" },
	{ 0x3468ecd5, "rt2800mmio_stop_queue" },
	{ 0xbedf42bf, "rt2800mmio_flush_queue" },
	{ 0xe93749a2, "rt2800mmio_write_tx_desc" },
	{ 0xd95c0e04, "rt2800_write_tx_data" },
	{ 0xf2cc781e, "rt2800_write_beacon" },
	{ 0xfe99514d, "rt2800_clear_beacon" },
	{ 0x87616df5, "rt2800mmio_fill_rxdone" },
	{ 0x49cf8456, "rt2800_config_shared_key" },
	{ 0xf6ba7d6, "rt2800_config_pairwise_key" },
	{ 0x4ec6b83c, "rt2800_config_filter" },
	{ 0xc5cd9fca, "rt2800_config_intf" },
	{ 0x8f4cff84, "rt2800_config_erp" },
	{ 0x45382a4f, "rt2800_config_ant" },
	{ 0x2b86f049, "rt2800_config" },
	{ 0x5de37e5d, "rt2800_pre_reset_hw" },
	{ 0x6bb617d3, "rt2x00mmio_regbusy_read" },
	{ 0xdd535cb2, "rt2800mmio_init_registers" },
	{ 0x3d58e911, "rt2800mmio_get_txwi" },
	{ 0x2fe86e50, "rt2800mmio_get_dma_done" },
	{ 0xec8e37df, "rt2x00mac_tx" },
	{ 0x54dfd6a7, "rt2x00mac_start" },
	{ 0x5e4cb7db, "rt2x00mac_stop" },
	{ 0x9cd505c1, "rt2x00mac_add_interface" },
	{ 0x11dd9e3, "rt2x00mac_remove_interface" },
	{ 0x79d55123, "rt2x00mac_config" },
	{ 0xadadd251, "rt2x00mac_bss_info_changed" },
	{ 0xe606fab8, "rt2x00mac_configure_filter" },
	{ 0x6ca7a9f3, "rt2x00mac_set_key" },
	{ 0x5c55c560, "rt2x00mac_sw_scan_start" },
	{ 0x2bdbb782, "rt2x00mac_sw_scan_complete" },
	{ 0x2c208022, "rt2x00mac_get_stats" },
	{ 0x8145ba99, "rt2800_get_key_seq" },
	{ 0x4a3b66b6, "rt2800_set_rts_threshold" },
	{ 0xa7397011, "rt2800_sta_add" },
	{ 0x2ff3229d, "rt2800_sta_remove" },
	{ 0x6cc1f26e, "rt2800_conf_tx" },
	{ 0x888db11c, "rt2800_get_tsf" },
	{ 0xfce9b4ad, "rt2800_ampdu_action" },
	{ 0x397fdfb9, "rt2800_get_survey" },
	{ 0x83c92a7b, "rt2x00mac_rfkill_poll" },
	{ 0xd652d106, "rt2x00mac_flush" },
	{ 0x4bb081a4, "rt2x00mac_get_ringparam" },
	{ 0x1558411b, "rt2x00mac_tx_frames_pending" },
	{ 0x82bea626, "ieee80211_emulate_add_chanctx" },
	{ 0x537f4911, "ieee80211_emulate_remove_chanctx" },
	{ 0x3cbbd2f2, "ieee80211_emulate_change_chanctx" },
	{ 0x55b63eb7, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x581a7375, "rt2x00mac_reconfig_complete" },
	{ 0x9f2c3d3a, "ieee80211_handle_wake_tx_queue" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0xc634542e, "rt2x00pci_probe" },
	{ 0x869af06d, "rt2800_efuse_detect" },
	{ 0x5e57b14a, "rt2800_read_eeprom_efuse" },
	{ 0x4b0b05dc, "eeprom_93cx6_multiread" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "rt2800lib,rt2800mmio,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211,eeprom_93cx6");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "51B0FD4BC07C079C81C35A2");

MODULE_INFO(suserelease, "SLFO-1.2");
