#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0xbfb67aff, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0xb91688f4, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0xecd3a7e7, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0xfb0087b9, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0xc80ec9d6, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0x5f13b49c, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0xfa489a08, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0xff63eff0, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0xe34cbefa, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0x663d7108, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0x5bcc9b64, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0xcd98c1fe, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0xa4992e08, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0x1e96f5eb, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0xec8e37df, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0x54dfd6a7, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0x5e4cb7db, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0x581a7375, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0x9cd505c1, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0x011dd9e3, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0x79d55123, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0xe606fab8, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0x5eba5ddc, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0x6ca7a9f3, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0x5c55c560, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0x2bdbb782, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0x2c208022, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0xadadd251, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0x349a797b, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0x83c92a7b, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0xd652d106, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0xbbba66aa, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0xe4d9aa5f, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0x4bb081a4, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0x1558411b, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0xf91d514e, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0xa02c5943, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0xaf679be1, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0xdc5cb1cb, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0x05ae02f9, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0x1060c043, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0x4107b502, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0x567349e8, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0x3f672eaf, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0xc8f1a3d8, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0x8839dc42, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0xc955f4c6, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0e342b5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x2476a690, "request_firmware" },
	{ 0xd983fbb7, "led_classdev_suspend" },
	{ 0x5bf7db3e, "hrtimer_init" },
	{ 0x3a521ee5, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x1dab9fa0, "led_classdev_unregister" },
	{ 0xbb680c1b, "ieee80211_register_hw" },
	{ 0xc395fcce, "__ieee80211_create_tpt_led_trigger" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9437e346, "ieee80211_get_hdrlen_from_skb" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x9890ba2a, "ieee80211_wake_queue" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0xbf73d358, "ieee80211_tx_status_skb" },
	{ 0x3f2b8111, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x68c29c1e, "ieee80211_queue_delayed_work" },
	{ 0x33719327, "_dev_err" },
	{ 0x80ef2e5e, "ieee80211_ctstoself_get" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xed437a4a, "ieee80211_free_txskb" },
	{ 0x17a9aa1c, "led_classdev_register_ext" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x455c12b0, "ieee80211_stop_queue" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xaebf34d2, "ieee80211_stop_queues" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6ed01a4f, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x18b12416, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfe5f73f7, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2ad14d14, "led_classdev_resume" },
	{ 0x6889c6c8, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x305b2cbf, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8c6500fa, "ieee80211_rts_get" },
	{ 0x93fae14b, "hrtimer_cancel" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xa94df853, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x65461ef4, "ieee80211_rx_napi" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xad2d1dd3, "ieee80211_iterate_interfaces" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "B16CEB370F2FF5D0EAD3FAB");

MODULE_INFO(suserelease, "SLFO-1.2");
