#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0xc5ca4512, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0x32a22d13, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0xf22afa1b, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0xc59053b6, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0xef5f5a23, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0x924e5b99, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0x29b70621, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0x2215e222, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0xcec482e3, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0xfc97f981, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0x33bd8579, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0xda383420, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0xdc0d9ee6, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0xf9f8c452, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0x5e35d3fe, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0xf073316b, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa8f7a713, "usb_control_msg" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x33719327, "_dev_err" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa7cab92e, "usb_anchor_urb" },
	{ 0xb1161409, "usb_submit_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0x75f7afc6, "usb_unanchor_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x6a578ab1, "usb_alloc_urb" },
	{ 0x96e6d83, "usb_free_urb" },
	{ 0xfb0087b9, "rt2x00lib_dmastart" },
	{ 0xc80ec9d6, "rt2x00lib_dmadone" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8d15063, "__skb_pad" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xaf679be1, "rt2x00queue_for_each_entry" },
	{ 0x4d4770a7, "usb_kill_urb" },
	{ 0xdc5cb1cb, "rt2x00queue_get_entry" },
	{ 0x567349e8, "rt2x00queue_stop_queue" },
	{ 0x3f672eaf, "rt2x00queue_flush_queue" },
	{ 0x4107b502, "rt2x00queue_start_queue" },
	{ 0xff63eff0, "rt2x00lib_txdone_noinfo" },
	{ 0xe34cbefa, "rt2x00lib_rxdone" },
	{ 0xa4992e08, "rt2x00lib_suspend" },
	{ 0x1e96f5eb, "rt2x00lib_resume" },
	{ 0x36e23310, "usb_kill_anchored_urbs" },
	{ 0x93fae14b, "hrtimer_cancel" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xcd98c1fe, "rt2x00lib_remove_dev" },
	{ 0x29b2e302, "ieee80211_free_hw" },
	{ 0x3d95014d, "usb_put_dev" },
	{ 0x4224246b, "usb_get_dev" },
	{ 0x4e86534f, "usb_reset_device" },
	{ 0x4f60a2df, "ieee80211_alloc_hw_nm" },
	{ 0x5bf7db3e, "hrtimer_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x5bcc9b64, "rt2x00lib_probe_dev" },
	{ 0x92997ed8, "_printk" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rt2x00lib,mac80211");


MODULE_INFO(srcversion, "67421242C6BCF3999A68E20");

MODULE_INFO(suserelease, "SLFO-1.2");
