#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf073316b, "rt2x00usb_resume" },
	{ 0x33bd8579, "rt2x00usb_initialize" },
	{ 0xda383420, "rt2x00usb_uninitialize" },
	{ 0xfc97f981, "rt2x00usb_clear_entry" },
	{ 0x2215e222, "rt2x00usb_watchdog" },
	{ 0x924e5b99, "rt2x00usb_kick_queue" },
	{ 0x29b70621, "rt2x00usb_flush_queue" },
	{ 0xec8e37df, "rt2x00mac_tx" },
	{ 0x54dfd6a7, "rt2x00mac_start" },
	{ 0x5e4cb7db, "rt2x00mac_stop" },
	{ 0x9cd505c1, "rt2x00mac_add_interface" },
	{ 0x11dd9e3, "rt2x00mac_remove_interface" },
	{ 0x79d55123, "rt2x00mac_config" },
	{ 0xadadd251, "rt2x00mac_bss_info_changed" },
	{ 0xe606fab8, "rt2x00mac_configure_filter" },
	{ 0x5eba5ddc, "rt2x00mac_set_tim" },
	{ 0x6ca7a9f3, "rt2x00mac_set_key" },
	{ 0x5c55c560, "rt2x00mac_sw_scan_start" },
	{ 0x2bdbb782, "rt2x00mac_sw_scan_complete" },
	{ 0x2c208022, "rt2x00mac_get_stats" },
	{ 0x83c92a7b, "rt2x00mac_rfkill_poll" },
	{ 0xd652d106, "rt2x00mac_flush" },
	{ 0xbbba66aa, "rt2x00mac_set_antenna" },
	{ 0xe4d9aa5f, "rt2x00mac_get_antenna" },
	{ 0x4bb081a4, "rt2x00mac_get_ringparam" },
	{ 0x1558411b, "rt2x00mac_tx_frames_pending" },
	{ 0x82bea626, "ieee80211_emulate_add_chanctx" },
	{ 0x537f4911, "ieee80211_emulate_remove_chanctx" },
	{ 0x3cbbd2f2, "ieee80211_emulate_change_chanctx" },
	{ 0x55b63eb7, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x9f2c3d3a, "ieee80211_handle_wake_tx_queue" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x33972a88, "usb_register_driver" },
	{ 0xdc0d9ee6, "rt2x00usb_probe" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xc59053b6, "rt2x00usb_regbusy_read" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x32a22d13, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45d621e6, "usb_deregister" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0xd819a524, "crc_itu_t_table" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc5ca4512, "rt2x00usb_vendor_request" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf22afa1b, "rt2x00usb_vendor_request_buff" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x33719327, "_dev_err" },
	{ 0x59e03780, "skb_push" },
	{ 0x8d15063, "__skb_pad" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0x663d7108, "rt2x00lib_set_mac_address" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x349a797b, "rt2x00mac_conf_tx" },
	{ 0xcec482e3, "rt2x00usb_disable_radio" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf9f8c452, "rt2x00usb_disconnect" },
	{ 0x5e35d3fe, "rt2x00usb_suspend" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211,usbcore,crc-itu-t");

MODULE_ALIAS("usb:v07B8pB21Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8pB21Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8pB21Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8pB21Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8pB21Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C10d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9021d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9021d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v18C5p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1690p0722d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1723d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1724d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp705Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp905Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp905Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1631pC019d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08DDp0120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p00D8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p00D9d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p00E6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p00F4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0116d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0119d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0137d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v178Dp02BEd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1371p9022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1371p9032d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C22d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp002Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3C03d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3C04d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3C07d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392p7318d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392p7618d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1740p3701d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15A9p0004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p800Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1472p0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0028d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p4600d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6877d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6874d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0pA861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0pA874d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B75p7318d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp093Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2573d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2671d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0812p3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v18E8p6196d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v18E8p6229d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v18E8p6238d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p4471d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1740p7100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0027d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p002Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p90ACd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p9712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p31F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v6933p5001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0471p200Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB50d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7167p3840d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CDEp001Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3415d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "BC0364D8018CDCF58BF4576");

MODULE_INFO(suserelease, "SLFO-1.2");
