#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rtw_sdio_pm_ops, "", "");
KSYMTAB_FUNC(rtw_sdio_probe, "", "");
KSYMTAB_FUNC(rtw_sdio_remove, "", "");
KSYMTAB_FUNC(rtw_sdio_shutdown, "", "");

SYMBOL_CRC(rtw_sdio_pm_ops, 0x1d523d1a, "");
SYMBOL_CRC(rtw_sdio_probe, 0x70b02f31, "");
SYMBOL_CRC(rtw_sdio_remove, 0xe9a446d2, "");
SYMBOL_CRC(rtw_sdio_shutdown, 0x964dc756, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4ee20fbb, "sdio_set_host_pm_flags" },
	{ 0xab621359, "rtw_chip_info_setup" },
	{ 0x4781749f, "ieee80211_purge_tx_queue" },
	{ 0xb2eaa6f1, "rtw_unregister_hw" },
	{ 0x33719327, "_dev_err" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0xf29c2b8, "rtw_tx_fill_tx_desc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x59e03780, "skb_push" },
	{ 0x5fc03cd9, "rtw_core_init" },
	{ 0xbdce3a8f, "sdio_readl" },
	{ 0x4f60a2df, "ieee80211_alloc_hw_nm" },
	{ 0x3cb9463f, "rtw_update_rx_freq_from_ie" },
	{ 0x8cffca0c, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x2cfa25bd, "sdio_writel" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0xdcec1027, "rtw_rx_stats" },
	{ 0xf63beaef, "rtw_register_hw" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3ea2fba4, "rtw_core_deinit" },
	{ 0x1ff3dab4, "rtw_ops" },
	{ 0x7eb39895, "sdio_claim_irq" },
	{ 0x909acda0, "skb_copy_header" },
	{ 0x7b1cfc98, "sdio_enable_func" },
	{ 0x90ffa27, "rtw_write_firmware_page" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x7bebea45, "rtw_power_mode_change" },
	{ 0xcaba00a4, "rtw_tx_write_data_h2c_get" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x2726acbd, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0xd96539, "ieee80211_rx_irqsafe" },
	{ 0x3131f672, "skb_queue_head" },
	{ 0x8a3f3d84, "sdio_readb" },
	{ 0x729a3960, "sdio_writeb" },
	{ 0x749754fe, "rtw_tx_report_enqueue" },
	{ 0xeaa2bf53, "sdio_release_host" },
	{ 0x929102b7, "rtw_tx_queue_mapping" },
	{ 0x4b6f2fac, "sdio_disable_func" },
	{ 0x8a4c63d2, "sdio_set_block_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x7a66c929, "sdio_claim_host" },
	{ 0x59d6359, "sdio_memcpy_fromio" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x29b2e302, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa832cc4c, "sdio_memcpy_toio" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8a563044, "sdio_align_size" },
	{ 0xef3f10c4, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x348b2ab3, "sdio_release_irq" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,rtw88_core,mac80211");


MODULE_INFO(srcversion, "7EE194E644240D17E655BE6");

MODULE_INFO(suserelease, "SLFO-1.2");
