#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v2, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_check_quirks, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v2, "", "");
KSYMTAB_DATA(rtw89_mac_gen_be, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsb, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_set_phy_regs, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_pre_ntfy_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_tssi_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_iqk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dpk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_txgapk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dack_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_rxdck_and_wait, "", "");
KSYMTAB_FUNC(rtw89_rfk_chan_lookup, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_get_kpath, "", "");
KSYMTAB_FUNC(rtw89_phy_get_syn_sel, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_DATA(rtw89_phy_gen_be, "", "");
KSYMTAB_DATA(rtw89_fw_blacklist_default, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_dmac_tbl_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_efuse_read_fw_secure_be, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(__rtw89_mgnt_chan_get, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");
KSYMTAB_FUNC(rtw89_linear_2_db, "", "");
KSYMTAB_FUNC(rtw89_db_2_linear, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x7c5267ac, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0xd4baacdc, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v2, 0x404c60d6, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0x81513e1d, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v2, 0x15a7f217, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0x4fb407aa, "");
SYMBOL_CRC(rtw89_core_query_rxdesc_v2, 0xad655c51, "");
SYMBOL_CRC(rtw89_core_rx, 0xff5f9aa4, "");
SYMBOL_CRC(rtw89_core_napi_start, 0x1e7b58f6, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0xa800a0af, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x58ae3785, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x274f898e, "");
SYMBOL_CRC(rtw89_check_quirks, 0x440eaf00, "");
SYMBOL_CRC(rtw89_core_init, 0x155afc69, "");
SYMBOL_CRC(rtw89_core_deinit, 0x82da1926, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0x52a94495, "");
SYMBOL_CRC(rtw89_core_register, 0xa7df2214, "");
SYMBOL_CRC(rtw89_core_unregister, 0x1753570f, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x44d9a724, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0xc2bd2615, "");
SYMBOL_CRC(rtw89_ops, 0x78db6f61, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0x1fed7f96, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0xed3a62ae, "");
SYMBOL_CRC(rtw89_mac_size, 0x8042eefb, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0x07183ee8, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0x144448aa, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0xe21142f8, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x0f2c06c4, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0xa887431c, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0xd0b35579, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0xb92d4dd9, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0x64c9d85e, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x137e61d6, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0x77d9ebb8, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0x24c1f84f, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0x58f92df7, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0x0aefcdb3, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v2, 0x5f445f4b, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v2, 0xf3c24ec1, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v2, 0xbdc973ee, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v2, 0x3bcaf594, "");
SYMBOL_CRC(rtw89_mac_gen_be, 0x163d768f, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0x7a87e866, "");
SYMBOL_CRC(rtw89_phy_get_txsb, 0x20a60ea4, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0x6fc764d8, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0xc9f75af3, "");
SYMBOL_CRC(rtw89_phy_read_rf_v2, 0x0c2bd3b7, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0xc4a47a2a, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0x2591e7d2, "");
SYMBOL_CRC(rtw89_phy_write_rf_v2, 0x1c62c461, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0xafa27489, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0x4d67a2bf, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0x40e0b472, "");
SYMBOL_CRC(rtw89_phy_set_phy_regs, 0xc9f88bac, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0xa3fc48bc, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0xaaf2655e, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0x61f6dda2, "");
SYMBOL_CRC(rtw89_phy_rfk_pre_ntfy_and_wait, 0x4911222f, "");
SYMBOL_CRC(rtw89_phy_rfk_tssi_and_wait, 0xb099aaa3, "");
SYMBOL_CRC(rtw89_phy_rfk_iqk_and_wait, 0x87c1091d, "");
SYMBOL_CRC(rtw89_phy_rfk_dpk_and_wait, 0xce27b303, "");
SYMBOL_CRC(rtw89_phy_rfk_txgapk_and_wait, 0x70329f46, "");
SYMBOL_CRC(rtw89_phy_rfk_dack_and_wait, 0x0f31fe67, "");
SYMBOL_CRC(rtw89_phy_rfk_rxdck_and_wait, 0xe4e2c079, "");
SYMBOL_CRC(rtw89_rfk_chan_lookup, 0x61b8b305, "");
SYMBOL_CRC(rtw89_rfk_parser, 0x5a63786d, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x4a73a1b6, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x4f633c9f, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x075eb2ba, "");
SYMBOL_CRC(rtw89_phy_get_kpath, 0xb8cfeb2e, "");
SYMBOL_CRC(rtw89_phy_get_syn_sel, 0x7a65cf7c, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x946e5180, "");
SYMBOL_CRC(rtw89_phy_gen_be, 0xd41c4f3a, "");
SYMBOL_CRC(rtw89_fw_blacklist_default, 0x46967a00, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0xe0f8c8c7, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v2, 0x4b03b8ac, "");
SYMBOL_CRC(rtw89_fw_h2c_default_dmac_tbl_v2, 0xdc6da03b, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam, 0x81ee67ce, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam_v1, 0x4b9a8b09, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl, 0x314b96b7, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl_g7, 0x2d26ff1c, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl, 0xa30a655e, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl_g7, 0xb55fd7d9, "");
SYMBOL_CRC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, 0x2bae87e1, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon, 0xfeb9049e, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon_be, 0x49f7595a, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0xba046959, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0x5a186e2c, "");
SYMBOL_CRC(rtw89_efuse_read_fw_secure_be, 0xb9a522e6, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x3f4a95c3, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0xbcc62ba1, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0x0ad8c8f3, "");
SYMBOL_CRC(__rtw89_mgnt_chan_get, 0x9b4c8bbb, "");
SYMBOL_CRC(rtw89_ser_notify, 0x9453d9f5, "");
SYMBOL_CRC(rtw89_linear_2_db, 0x8b2996f1, "");
SYMBOL_CRC(rtw89_db_2_linear, 0xe44a7282, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x82bea626, "ieee80211_emulate_add_chanctx" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x55b63eb7, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xd8d9fc44, "ieee80211_ready_on_channel" },
	{ 0xaebf34d2, "ieee80211_stop_queues" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9f7a2fc2, "skb_unlink" },
	{ 0x9ec81667, "__netif_napi_del_locked" },
	{ 0x6ed01a4f, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x18b12416, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9749d73d, "alloc_netdev_dummy" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xfd16c81d, "ieee80211_scan_completed" },
	{ 0xfe5f73f7, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6889c6c8, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66ca9904, "seq_write" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x305b2cbf, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6646c565, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x686a6862, "ieee80211_cqm_rssi_notify" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa94df853, "ieee80211_queue_work" },
	{ 0x4e0aac0c, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x948e7075, "napi_disable" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x537f4911, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x65461ef4, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf18d82ec, "ieee80211_stop_tx_ba_session" },
	{ 0xe91f9b82, "ieee80211_gtk_rekey_notify" },
	{ 0x290bc1d9, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xad68421f, "ieee80211_connection_loss" },
	{ 0x4365e3a8, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4ff0809f, "__ieee80211_schedule_txq" },
	{ 0xdca0f8b3, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8afb15ad, "cfg80211_bss_iter" },
	{ 0xd0e342b5, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x29b2e302, "ieee80211_free_hw" },
	{ 0xc53582b1, "ieee80211_probereq_get" },
	{ 0x4cdf3d1f, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2476a690, "request_firmware" },
	{ 0xd36148a, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xaf9e534c, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6d3c75f1, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x4cfd2cbb, "ieee80211_nullfunc_get" },
	{ 0xfc6b20de, "ieee80211_pspoll_get" },
	{ 0xbb680c1b, "ieee80211_register_hw" },
	{ 0x3cbbd2f2, "ieee80211_emulate_change_chanctx" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x224c0970, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x22cc564c, "ieee80211_restart_hw" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69509299, "ieee80211_find_sta" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc057d3fd, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x1dab0efe, "ieee80211_set_key_rx_seq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0xaeb98a5e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x9d6e9d62, "wiphy_to_ieee80211_hw" },
	{ 0xe9238966, "ieee80211_gtk_rekey_add" },
	{ 0x68c29c1e, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x36d5cb57, "ieee80211_proberesp_get" },
	{ 0x33719327, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x6ddfd56c, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xad0cad4f, "ieee80211_remain_on_channel_expired" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0xf667f730, "napi_enable" },
	{ 0x7a905b8, "seq_putc" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x84d6d204, "ieee80211_wake_queues" },
	{ 0x653194b1, "free_netdev" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9eb67961, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xed437a4a, "ieee80211_free_txskb" },
	{ 0x5dab2b07, "dev_coredumpv" },
	{ 0x4f60a2df, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe109f8bc, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211,rfkill");


MODULE_INFO(srcversion, "EB4CAFE04EB5F61B252B66F");

MODULE_INFO(suserelease, "SLFO-1.2");
