#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0x80b45769, "");
SYMBOL_CRC(ndlc_close, 0x533c41c6, "");
SYMBOL_CRC(ndlc_send, 0x17dfaeea, "");
SYMBOL_CRC(ndlc_recv, 0x327202ee, "");
SYMBOL_CRC(ndlc_probe, 0xe84a0061, "");
SYMBOL_CRC(ndlc_remove, 0x47d7d3cb, "");
SYMBOL_CRC(st_nci_probe, 0xc0eab49e, "_gpl");
SYMBOL_CRC(st_nci_remove, 0x75e5180d, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0xb6c6eb57, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0x6398f002, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0x924cb7a3, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0xd009dac9, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0xcda7ac82, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0x49544684, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x69259407, "");
SYMBOL_CRC(st_nci_se_init, 0xbde44780, "");
SYMBOL_CRC(st_nci_se_deinit, 0xc260abc1, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0xc7a3b9c4, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb6fa441e, "nfc_se_transaction" },
	{ 0x33719327, "_dev_err" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0xefaafcb2, "nci_hci_connect_gate" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x59e03780, "skb_push" },
	{ 0x8d304f20, "nla_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x6d6d94fc, "nci_prop_cmd" },
	{ 0xd02de970, "nci_core_conn_create" },
	{ 0x5d7b954d, "nci_nfcc_loopback" },
	{ 0xd58251f1, "nci_unregister_device" },
	{ 0x666426fb, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b0f34dc, "nci_hci_send_event" },
	{ 0xdb86c65b, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc4bc72d, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb4e1374, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xfb19772e, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x992fb136, "nci_recv_frame" },
	{ 0xe5c7ebb8, "nci_hci_dev_session_init" },
	{ 0x25efbc33, "nci_hci_set_param" },
	{ 0xb8d2e3a4, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3131f672, "skb_queue_head" },
	{ 0x6ef45cfb, "nci_free_device" },
	{ 0x4fbb3f7e, "nci_allocate_device" },
	{ 0xdc601ea9, "nci_register_device" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x5d183e60, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4d31ba2a, "nfc_add_se" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x55d637ae, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x310e3a08, "skb_queue_purge_reason" },
	{ 0xca4615b, "nci_nfcee_mode_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9ec6523, "nci_hci_get_param" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "nfc,nci");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");

MODULE_INFO(suserelease, "SLFO-1.2");
