#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(st21nfca_hci_probe, "", "");
KSYMTAB_FUNC(st21nfca_hci_remove, "", "");
KSYMTAB_FUNC(st21nfca_tm_send_dep_res, "", "");
KSYMTAB_FUNC(st21nfca_dep_event_received, "", "");
KSYMTAB_FUNC(st21nfca_im_send_atr_req, "", "");
KSYMTAB_FUNC(st21nfca_im_send_dep_req, "", "");
KSYMTAB_FUNC(st21nfca_dep_init, "", "");
KSYMTAB_FUNC(st21nfca_dep_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_discover_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_enable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_disable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_se_io, "", "");
KSYMTAB_FUNC(st21nfca_connectivity_event_received, "", "");
KSYMTAB_FUNC(st21nfca_apdu_reader_event_received, "", "");
KSYMTAB_FUNC(st21nfca_se_init, "", "");
KSYMTAB_FUNC(st21nfca_se_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_loopback_event_received, "", "");
KSYMTAB_FUNC(st21nfca_vendor_cmds_init, "", "");

SYMBOL_CRC(st21nfca_hci_probe, 0x554f54b2, "");
SYMBOL_CRC(st21nfca_hci_remove, 0x2e9da717, "");
SYMBOL_CRC(st21nfca_tm_send_dep_res, 0xb946b987, "");
SYMBOL_CRC(st21nfca_dep_event_received, 0x0b49ca1c, "");
SYMBOL_CRC(st21nfca_im_send_atr_req, 0x9bc6d9c8, "");
SYMBOL_CRC(st21nfca_im_send_dep_req, 0x749d62f9, "");
SYMBOL_CRC(st21nfca_dep_init, 0xccfdcb20, "");
SYMBOL_CRC(st21nfca_dep_deinit, 0x4df6ca1d, "");
SYMBOL_CRC(st21nfca_hci_discover_se, 0xcad21c4f, "");
SYMBOL_CRC(st21nfca_hci_enable_se, 0xbf884ae3, "");
SYMBOL_CRC(st21nfca_hci_disable_se, 0xe7c0aee9, "");
SYMBOL_CRC(st21nfca_hci_se_io, 0xae20fd5e, "");
SYMBOL_CRC(st21nfca_connectivity_event_received, 0x6005626e, "");
SYMBOL_CRC(st21nfca_apdu_reader_event_received, 0xbebef0d6, "");
SYMBOL_CRC(st21nfca_se_init, 0x4b93771a, "");
SYMBOL_CRC(st21nfca_se_deinit, 0xaa886cad, "");
SYMBOL_CRC(st21nfca_hci_loopback_event_received, 0xde9196b7, "");
SYMBOL_CRC(st21nfca_vendor_cmds_init, 0xfc5e7216, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7d0bf57, "nfc_hci_free_device" },
	{ 0xb6fa441e, "nfc_se_transaction" },
	{ 0x25295790, "nfc_get_local_general_bytes" },
	{ 0x8d3dfdfd, "nfc_hci_register_device" },
	{ 0x99b02a2f, "nfc_set_remote_general_bytes" },
	{ 0x33719327, "_dev_err" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0x8d304f20, "nla_put" },
	{ 0xafbeac2f, "nfc_hci_send_cmd" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xc9f3eb7b, "nfc_hci_get_clientdata" },
	{ 0xbe86f1da, "nfc_tm_activated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d9a31ed, "nfc_hci_allocate_device" },
	{ 0xf107d26e, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc4bc72d, "nfc_se_connectivity" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xfb19772e, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a231cc8, "nfc_hci_set_param" },
	{ 0x79014cec, "nfc_dep_link_is_up" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x18e3c6c6, "nfc_hci_send_event" },
	{ 0xf014c092, "nfc_hci_disconnect_all_gates" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x45715706, "nfc_hci_disconnect_gate" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdc8777ac, "nfc_hci_set_clientdata" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x5d183e60, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x19320730, "nfc_hci_get_param" },
	{ 0xe8990a82, "nfc_hci_send_cmd_async" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4d31ba2a, "nfc_add_se" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7d371e59, "nfc_llc_stop" },
	{ 0x34e0af76, "nfc_hci_connect_gate" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x27902aa6, "nfc_tm_data_received" },
	{ 0x55d637ae, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5889ef0, "nfc_hci_unregister_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdd231c55, "nfc_hci_sak_to_protocol" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0x4ad7a50e, "nfc_llc_start" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "hci,nfc");


MODULE_INFO(srcversion, "5EBB7B3E4FC40AA7D0FC977");

MODULE_INFO(suserelease, "SLFO-1.2");
