#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0xd93d434b, "");
SYMBOL_CRC(ntb_unregister_client, 0x13e9098f, "");
SYMBOL_CRC(ntb_register_device, 0x3109c8f4, "");
SYMBOL_CRC(ntb_unregister_device, 0x7216ac01, "");
SYMBOL_CRC(ntb_set_ctx, 0x442ceed7, "");
SYMBOL_CRC(ntb_clear_ctx, 0x581363b5, "");
SYMBOL_CRC(ntb_link_event, 0xd8fcef66, "");
SYMBOL_CRC(ntb_db_event, 0x5de46626, "");
SYMBOL_CRC(ntb_msg_event, 0xe1015eb6, "");
SYMBOL_CRC(ntb_default_port_number, 0xe7132679, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0x43155cf9, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0x66cd1208, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0x42163b18, "");
SYMBOL_CRC(ntb_msi_init, 0x73ef0d03, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0x5ca83979, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0x3a267aae, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0x04458352, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0x5bae4687, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0x32a26b32, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x058e1fc3, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd5f11001, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x8397d845, "devm_iounmap" },
	{ 0x343c8959, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xb20fd5b8, "devres_destroy" },
	{ 0xadddb7ec, "msi_unlock_descs" },
	{ 0xc2c787a3, "devm_ioremap" },
	{ 0x1a2f220, "get_device" },
	{ 0x1cc939fa, "msi_lock_descs" },
	{ 0x67098dda, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45ee0529, "put_device" },
	{ 0x172eda11, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x5fbdd86f, "devm_kfree" },
	{ 0x9b22d216, "irq_get_irq_data" },
	{ 0x58145b6e, "__devres_alloc_node" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0xd6f020db, "device_register" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x4318c30b, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x4dcf0e6b, "msi_next_desc" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0x16136184, "bus_register" },
	{ 0x6f7e6040, "irq_has_action" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5A412D77824E7022E588C0B");

MODULE_INFO(suserelease, "SLFO-1.2");
