#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x53ee4be1, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x42effb0e, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x09a04d2b, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x9aab8f7c, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0xfd1d4aec, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x1468c72c, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0xfcd5adfd, "_gpl");
SYMBOL_CRC(nd_device_notify, 0x75afa6c0, "");
SYMBOL_CRC(nvdimm_region_notify, 0x311340e8, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0xc82a6667, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0xf94ab6b6, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0xd2f03e0d, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0xd674b9c8, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x98e390ba, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x82e2fc14, "");
SYMBOL_CRC(nd_device_unregister, 0xba129000, "");
SYMBOL_CRC(__nd_driver_register, 0xf8f596c7, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x0812ea4d, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x3349cebf, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x52db7060, "_gpl");
SYMBOL_CRC(to_nvdimm, 0xfb7a1ed6, "_gpl");
SYMBOL_CRC(to_ndd, 0x58927615, "");
SYMBOL_CRC(nvdimm_name, 0x3906e535, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0xd1371e19, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x7a4e53ca, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0xcbd7591e, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0xec4bc406, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x0bcb3b1f, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x5e40316e, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x96c5d897, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x5ccdac9d, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0xd4644181, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0xfefec65f, "_gpl");
SYMBOL_CRC(to_nd_region, 0xb89f18a3, "_gpl");
SYMBOL_CRC(nd_region_dev, 0xc4deeef1, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x527d9fdd, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0xa1719f73, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x53bd43cc, "");
SYMBOL_CRC(nd_region_release_lane, 0xf9c52357, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x16b345f4, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x2f15d8d1, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0xd48a9f31, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x961cc004, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x07db9600, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0xd03fc689, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x3d3f38a3, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x68f0e960, "");
SYMBOL_CRC(pmem_sector_size, 0x0c572938, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0xefe2fc31, "");
SYMBOL_CRC(nd_dev_to_uuid, 0xe0196b5a, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0xcdf305e5, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x73a74b05, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0xc3666cf2, "");
SYMBOL_CRC(devm_namespace_enable, 0x0cd44abe, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x044960a8, "_gpl");
SYMBOL_CRC(badrange_init, 0x8a3248b3, "_gpl");
SYMBOL_CRC(badrange_add, 0xb76de574, "_gpl");
SYMBOL_CRC(badrange_forget, 0x03c2d7d0, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x7934599e, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0xacd0cb25, "");
SYMBOL_CRC(is_nd_btt, 0x855ff2da, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0xa0cd4431, "");
SYMBOL_CRC(nd_btt_version, 0x15617bdd, "");
SYMBOL_CRC(nd_btt_probe, 0xee1ca18a, "");
SYMBOL_CRC(to_nd_pfn, 0x01e181d0, "");
SYMBOL_CRC(is_nd_pfn, 0xb3344710, "");
SYMBOL_CRC(nd_pfn_validate, 0x76a77531, "");
SYMBOL_CRC(nd_pfn_probe, 0xcdfaeefe, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0x96d1eef5, "_gpl");
SYMBOL_CRC(to_nd_dax, 0xfb7b7a36, "");
SYMBOL_CRC(is_nd_dax, 0x6b7c8bbd, "");
SYMBOL_CRC(nd_dax_probe, 0xecab4d75, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdd40ce26, "device_find_child" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xa985aeff, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xb34b16c4, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x8698f625, "__devm_release_region" },
	{ 0x30a14f60, "request_key_tag" },
	{ 0x80fd7c33, "kernfs_put" },
	{ 0x1ec7d1c9, "__register_chrdev" },
	{ 0x29644857, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x4080c979, "badblocks_check" },
	{ 0x23e55a9c, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0xeb4d31c2, "badblocks_clear" },
	{ 0x7d5033d, "device_find_child_by_name" },
	{ 0x12a20ec2, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xc40bf4ce, "up_read" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xe99bba1f, "class_register" },
	{ 0xb86748d1, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x16136184, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xad10199c, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x10a9f477, "devm_memremap" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x5dfba2f3, "badblocks_set" },
	{ 0x343c8959, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a5fa968, "badblocks_exit" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x5b5d292e, "device_for_each_child" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0x1a2f220, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x47b63e8d, "kernfs_notify" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x45021218, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x466cd284, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x45ee0529, "put_device" },
	{ 0x3eb451ed, "badblocks_show" },
	{ 0xbb678a13, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x6857cc3d, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x2a730987, "compat_ptr_ioctl" },
	{ 0x32944a06, "perf_pmu_migrate_context" },
	{ 0x80629fb7, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x423e5994, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x33719327, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x6b406731, "__cpuhp_setup_state" },
	{ 0x42dd8840, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x3d44dcd8, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0x136d2728, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x4e00f93a, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x10119bb, "ida_free" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0x383eaaef, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2c822be1, "perf_pmu_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A172FFE6B8D4B6B7E8CD68D");

MODULE_INFO(suserelease, "SLFO-1.2");
