#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvdimm_namespace_attach_btt, "", "");
KSYMTAB_FUNC(nvdimm_namespace_detach_btt, "", "");

SYMBOL_CRC(nvdimm_namespace_attach_btt, 0xcb6cdeff, "");
SYMBOL_CRC(nvdimm_namespace_detach_btt, 0xd5a813a6, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x499f0ecf, "nd_sb_checksum" },
	{ 0xa0cd4431, "nd_btt_arena_is_valid" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xa9decdba, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xd7e4dd72, "put_disk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x38690fbe, "debugfs_create_x64" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xe0196b5a, "nd_dev_to_uuid" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x8c3837e4, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x66444d06, "bio_endio" },
	{ 0xf9c52357, "nd_region_release_lane" },
	{ 0x49608959, "migrate_disable" },
	{ 0x33719327, "_dev_err" },
	{ 0xdc42c581, "set_capacity" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x87d2294d, "del_gendisk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0xacd0cb25, "to_nd_btt" },
	{ 0x53bd43cc, "nd_region_acquire_lane" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce3ecac6, "debugfs_create_u32" },
	{ 0xefe2fc31, "nvdimm_namespace_disk_name" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x45f5e226, "debugfs_create_x32" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xcdf305e5, "nvdimm_namespace_capacity" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x812ea4d, "nvdimm_check_and_set_ro" },
	{ 0x4080c979, "badblocks_check" },
	{ 0x15617bdd, "nd_btt_version" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xe5d8f35a, "bio_integrity_prep" },
	{ 0xc297499a, "__blk_alloc_disk" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb4fa948b, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcd44abe, "devm_namespace_enable" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x8e7a03c, "debugfs_create_u16" },
	{ 0xb89f18a3, "to_nd_region" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");


MODULE_INFO(srcversion, "806BB1C85795060480D6B52");

MODULE_INFO(suserelease, "SLFO-1.2");
