#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_subsystem_reset, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0x13b55678, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x43dc8c3b, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x82982e6b, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0xe5226eef, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0x8a34b0ef, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x3291e4c4, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0xb41e1873, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x2c79e4a1, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x43dae81b, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x8064faea, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0xa9ea7679, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0xbdfdf3cd, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0xec60c070, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0xba3faa41, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x45ee0529, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x6857cc3d, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x423e5994, "key_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x77f5bb81, "down_write" },
	{ 0x33719327, "_dev_err" },
	{ 0x264635e1, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0xe0ec2229, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x7a905b8, "seq_putc" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5f290c79, "__nvme_submit_sync_cmd" },
	{ 0xb98c3464, "nvme_try_sched_reset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xe54012d3, "misc_register" },
	{ 0x521076bf, "nvme_auth_wait" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xa985aeff, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x911c8743, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x66ca9904, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x29644857, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3335abed, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x55473fb7, "single_release" },
	{ 0x2fce5fb9, "nvme_wait_reset" },
	{ 0x9bb3d5f9, "__seq_puts" },
	{ 0x754d539c, "strlen" },
	{ 0xd898659, "single_open" },
	{ 0xc40bf4ce, "up_read" },
	{ 0xe99bba1f, "class_register" },
	{ 0xc645471, "nvme_tls_key_lookup" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x538b41c1, "nvme_auth_negotiate" },
	{ 0xdc0df056, "try_module_get" },
	{ 0xbca03f0, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "8A41DC7F87A2DE3EB77DF41");

MODULE_INFO(suserelease, "SLFO-1.2");
