#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(asus_wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_register_driver, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_unregister_driver, "_gpl", "");

SYMBOL_CRC(asus_wmi_evaluate_method, 0x57c46ceb, "_gpl");
SYMBOL_CRC(asus_wmi_register_driver, 0xbaf40102, "_gpl");
SYMBOL_CRC(asus_wmi_unregister_driver, 0x13596288, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3ea5ce43, "sysfs_notify" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x69d137d1, "device_remove_file" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf4bf5395, "device_create_file" },
	{ 0xd898659, "single_open" },
	{ 0x3335abed, "seq_printf" },
	{ 0x1dab9fa0, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2d3c134d, "platform_device_unregister" },
	{ 0x5ad12e30, "platform_driver_unregister" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xf9a482f9, "msleep" },
	{ 0x33719327, "_dev_err" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0xababf161, "pci_find_bus" },
	{ 0xa50abe16, "pci_bus_read_config_dword" },
	{ 0x474cb3ca, "pci_get_slot" },
	{ 0xb0c76689, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0xdef01241, "pci_stop_and_remove_bus_device" },
	{ 0x79bd5802, "pci_scan_single_device" },
	{ 0xf481baae, "pci_bus_assign_resources" },
	{ 0x8708864e, "pci_bus_add_device" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x45432c2b, "pci_hp_deregister" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0xd7d6792e, "i8042_remove_filter" },
	{ 0x76ae31fd, "wmi_remove_notify_handler" },
	{ 0xdb8c128, "backlight_device_unregister" },
	{ 0x8832978e, "input_unregister_device" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x23d8e0a9, "sysfs_remove_group" },
	{ 0x5fcc56ce, "battery_hook_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0xd6935a2c, "input_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x7b438a8b, "sparse_keymap_report_event" },
	{ 0x400b9cc4, "backlight_force_update" },
	{ 0xc69468cf, "led_classdev_notify_brightness_hw_changed" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x30e954c3, "input_set_capability" },
	{ 0x832ea1d1, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0x9cab34a6, "rfkill_set_led_trigger_name" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x65b4695, "wmi_get_acpi_device_uid" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x6270d8b3, "sysfs_create_group" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x52176ab1, "input_allocate_device" },
	{ 0x38085f83, "sparse_keymap_setup" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0x3724b25d, "input_register_device" },
	{ 0xaeb5bdc3, "input_free_device" },
	{ 0x4cb3ec3d, "devm_hwmon_device_register_with_groups" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x17a9aa1c, "led_classdev_register_ext" },
	{ 0xe4b814e7, "backlight_device_register" },
	{ 0x33c30ffe, "wmi_install_notify_handler" },
	{ 0xf3ac9e3b, "i8042_install_filter" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x45f5e226, "debugfs_create_x32" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xa1e476ed, "__pci_hp_register" },
	{ 0xf9664f72, "pci_get_device" },
	{ 0x2123f09b, "pci_read_config_dword" },
	{ 0x529386f3, "pci_write_config_dword" },
	{ 0xa1ed150b, "battery_hook_register" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x911c8743, "seq_read" },
	{ 0x55473fb7, "single_release" },
	{ 0xf6fce095, "device_show_string" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6068bedf, "wmi_evaluate_method" },
	{ 0x37a0cba, "kfree" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5a7c0d6e, "__platform_create_bundle" },
	{ 0x92997ed8, "_printk" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "platform_profile,rfkill,wmi,battery,video,sparse-keymap");


MODULE_INFO(srcversion, "C7360543D3CCB8754952B6C");

MODULE_INFO(suserelease, "SLFO-1.2");
