#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ideapad_laptop_register_notifier, "_gpl", "IDEAPAD_LAPTOP");
KSYMTAB_FUNC(ideapad_laptop_unregister_notifier, "_gpl", "IDEAPAD_LAPTOP");
KSYMTAB_FUNC(ideapad_laptop_call_notifier, "_gpl", "IDEAPAD_LAPTOP");

SYMBOL_CRC(ideapad_laptop_register_notifier, 0xcae1d210, "_gpl");
SYMBOL_CRC(ideapad_laptop_unregister_notifier, 0x4c65bf10, "_gpl");
SYMBOL_CRC(ideapad_laptop_call_notifier, 0x98c23494, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0xfcd01236, "rfkill_set_hw_state_reason" },
	{ 0x4fdee897, "i8042_command" },
	{ 0x3ea5ce43, "sysfs_notify" },
	{ 0x400b9cc4, "backlight_force_update" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x43fac10, "device_add_groups" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x52176ab1, "input_allocate_device" },
	{ 0x38085f83, "sparse_keymap_setup" },
	{ 0x3724b25d, "input_register_device" },
	{ 0x17a9aa1c, "led_classdev_register_ext" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x832ea1d1, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0xe4b814e7, "backlight_device_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x33719327, "_dev_err" },
	{ 0xaeb5bdc3, "input_free_device" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x911c8743, "seq_read" },
	{ 0x55473fb7, "single_release" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x10537f19, "blocking_notifier_chain_register" },
	{ 0xea9a479d, "blocking_notifier_chain_unregister" },
	{ 0xbc40496c, "blocking_notifier_call_chain" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xd898659, "single_open" },
	{ 0x3335abed, "seq_printf" },
	{ 0x66ca9904, "seq_write" },
	{ 0x7a905b8, "seq_putc" },
	{ 0xb369453a, "__wmi_driver_register" },
	{ 0x7ccaa77e, "__platform_driver_register" },
	{ 0x2945a78f, "wmi_driver_unregister" },
	{ 0x5ad12e30, "platform_driver_unregister" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xdb8c128, "backlight_device_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0x37a0cba, "kfree" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x1dab9fa0, "led_classdev_unregister" },
	{ 0x8832978e, "input_unregister_device" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0xbe2fe4da, "device_remove_groups" },
	{ 0xc69468cf, "led_classdev_notify_brightness_hw_changed" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x7b438a8b, "sparse_keymap_report_event" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xe1083442, "platform_profile_cycle" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "platform_profile,rfkill,sparse-keymap,video,wmi");

MODULE_ALIAS("acpi*:VPC2004:*");
MODULE_ALIAS("wmi:26CAB2E5-5CF1-46AE-AAC3-4A12B6BA50E6");
MODULE_ALIAS("wmi:56322276-8493-4CE8-A783-98C991274F5E");
MODULE_ALIAS("wmi:8FC0DE0C-B4E4-43FD-B0F3-8871711C1294");

MODULE_INFO(srcversion, "D1DA9B656EB313098E8B7D1");

MODULE_INFO(suserelease, "SLFO-1.2");
