#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tpmi_get_platform_data, "_gpl", "INTEL_TPMI");
KSYMTAB_FUNC(tpmi_get_resource_count, "_gpl", "INTEL_TPMI");
KSYMTAB_FUNC(tpmi_get_resource_at_index, "_gpl", "INTEL_TPMI");
KSYMTAB_FUNC(tpmi_get_feature_status, "_gpl", "INTEL_TPMI");
KSYMTAB_FUNC(tpmi_get_debugfs_dir, "_gpl", "INTEL_TPMI");

SYMBOL_CRC(tpmi_get_platform_data, 0xdb42462d, "_gpl");
SYMBOL_CRC(tpmi_get_resource_count, 0xd5b0ec72, "_gpl");
SYMBOL_CRC(tpmi_get_resource_at_index, 0x988cbd93, "_gpl");
SYMBOL_CRC(tpmi_get_feature_status, 0xf2ba9aad, "_gpl");
SYMBOL_CRC(tpmi_get_debugfs_dir, 0xe7906d04, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57bf10ff, "auxiliary_driver_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9c9aa3b9, "parse_int_array_user" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x911c8743, "seq_read" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x66ca9904, "seq_write" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3335abed, "seq_printf" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x55473fb7, "single_release" },
	{ 0xb83ae5e1, "__auxiliary_driver_register" },
	{ 0xd898659, "single_open" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc2c787a3, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x326c1da8, "seq_hex_dump" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x13686b85, "intel_vsec_add_aux" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "intel_vsec");

MODULE_ALIAS("auxiliary:intel_vsec.tpmi");

MODULE_INFO(srcversion, "D770822DFF128711B2FCAC0");

MODULE_INFO(suserelease, "SLFO-1.2");
