#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0xeb744c2b, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0x79f8862a, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x77ca02b1, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0x4625a4b8, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0x7d73e824, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0xb4f07e79, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0xaf93e630, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0xa6e5c3b0, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x39c5cdef, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0xa0989a0a, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0xf9de4001, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0xdcb8c8c4, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0xee25c246, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0xb90af604, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0x7a8be74c, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x75f1a416, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0xac7119f7, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x7cac3fe9, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0x8623eee2, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0x3e19fe2c, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0xf2313960, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0x5392e5e1, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0xd7a7a341, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0x7031a730, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0x3782e29c, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x5c8a6ffb, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0xfeeb37b4, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x8e1c8599, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0xfe3c636d, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x5bcf8d64, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x8b2b0cdd, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0x89b00c07, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0xd5c145ce, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0x5887738f, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0x4c52329c, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0xad74d801, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x473c0561, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x131137e9, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x366c25f9, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0x0ab9ff0b, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x14188929, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x6cb2054b, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0xbc05f4e7, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0x65df68ef, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xaebc0749, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa1d8b7db, "iscsi_host_remove" },
	{ 0xb0c76689, "pci_dev_put" },
	{ 0xc09bfd63, "iscsi_host_free" },
	{ 0xa6845ea7, "iscsi_host_alloc" },
	{ 0xe102c22b, "pci_dev_get" },
	{ 0x8d3b0d90, "iscsi_host_add" },
	{ 0x94279677, "scsi_host_put" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf2a30a1f, "cxgbi_ppm_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x84b4b0d5, "iscsi_conn_queue_xmit" },
	{ 0xe4af8d4a, "__kfree_skb" },
	{ 0xb8323b0d, "iscsi_tcp_cleanup_task" },
	{ 0x8c1096ec, "cxgbi_ppm_ppod_release" },
	{ 0x11e6ecb, "dma_unmap_sg_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0xb116e3b4, "iscsi_tcp_set_max_r2t" },
	{ 0x7a8fef91, "iscsi_set_param" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0xf3afeccb, "iscsi_tcp_conn_setup" },
	{ 0x8fafac0c, "iscsi_session_setup" },
	{ 0x48ea8b, "iscsi_tcp_r2tpool_alloc" },
	{ 0xe8826968, "iscsi_session_teardown" },
	{ 0x981fc160, "iscsi_tcp_r2tpool_free" },
	{ 0xfbf028bd, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf80797cf, "_dev_printk" },
	{ 0xa998fae1, "iscsi_unregister_transport" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x55d4219f, "iscsi_conn_failure" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4ef980f1, "iscsi_register_transport" },
	{ 0xf1597117, "init_net" },
	{ 0x1486bb95, "ip6_route_output_flags" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x68af3e41, "cxgbi_ppm_ppods_reserve" },
	{ 0x3f166ba5, "dma_map_sg_attrs" },
	{ 0xf13ec5c2, "cxgbi_ppm_make_ppod_hdr" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x751af831, "iscsi_host_get_param" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x147e106e, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0xbcfd8112, "iscsi_tcp_recv_skb" },
	{ 0x6774465d, "iscsi_lookup_endpoint" },
	{ 0xde3cf321, "iscsi_conn_bind" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0xca714bea, "iscsi_tcp_hdr_recv_prep" },
	{ 0x62c060ff, "iscsi_put_endpoint" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc3c63838, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0xbada6f58, "__put_devmap_managed_folio_refs" },
	{ 0x6857cc3d, "module_put" },
	{ 0x3904d94e, "iscsi_destroy_endpoint" },
	{ 0xb971f9ad, "ipv6_dev_get_saddr" },
	{ 0x63a43ec2, "neigh_destroy" },
	{ 0x8e9c69fd, "make_kuid" },
	{ 0x4a0fa443, "ip_route_output_flow" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe76cb713, "iscsi_create_endpoint" },
	{ 0x8b96fe0f, "__ip_dev_find" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xad0ae7b7, "iscsi_itt_to_ctask" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "A1FE6C08DA5E47540AE3FD6");

MODULE_INFO(suserelease, "SLFO-1.2");
