#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0xb6f8fc48, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0xa0cbd8cc, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x1fadf588, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0xe35914ce, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x1ea0a1e2, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0xca714bea, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0xb8323b0d, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x147e106e, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0xbcfd8112, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0xea30a971, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0xfd3e412b, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0xf3afeccb, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x4b7e8b41, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x0048ea8b, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x981fc160, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0xb116e3b4, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0xae20d90d, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa4468c09, "iscsi_dbg_trace" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf80797cf, "_dev_printk" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x49608959, "migrate_disable" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xd18e29ca, "crypto_ahash_digest" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc93aa7e, "crypto_ahash_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x237c4ad9, "iscsi_prep_data_out_pdu" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x13bf0d88, "iscsi_put_task" },
	{ 0x55d4219f, "iscsi_conn_failure" },
	{ 0x394d9bd2, "iscsi_conn_setup" },
	{ 0xc3274a3d, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xb7d07149, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x601a449e, "crypto_ahash_update" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x181102a6, "crypto_ahash_final" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x35d5d41e, "skb_prepare_seq_read" },
	{ 0x3eacf085, "skb_seq_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf27d408b, "skb_abort_seq_read" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2d814522, "iscsi_complete_pdu" },
	{ 0x92306b39, "iscsi_verify_itt" },
	{ 0xad0ae7b7, "iscsi_itt_to_ctask" },
	{ 0x9398fe43, "iscsi_get_task" },
	{ 0xa58d939c, "iscsi_update_cmdsn" },
	{ 0xb659e15d, "__iscsi_complete_pdu" },
	{ 0x5316edb0, "iscsi_requeue_task" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x5bcffa34, "__SCK__tp_func_iscsi_dbg_tcp" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "2064390599C28F50820AC03");

MODULE_INFO(suserelease, "SLFO-1.2");
