#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_sdev_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_sdev_init, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(smp_ata_check_ready_type, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(sas_ata_device_link_abort, "_gpl", "");
KSYMTAB_FUNC(sas_execute_ata_cmd, "_gpl", "");
KSYMTAB_DATA(sas_ata_sdev_attr_group, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0x9bc02cdc, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x29418a4f, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0x6cb3a0c5, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x35b03b51, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xd9425f4e, "");
SYMBOL_CRC(sas_resume_ha, 0x339be445, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0xef0b9ee8, "");
SYMBOL_CRC(sas_suspend_ha, 0x9f2a7388, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x553041c9, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0xb5e92b4e, "_gpl");
SYMBOL_CRC(sas_drain_work, 0xdc8c6d2e, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0xc2d3f0e8, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xced9615f, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0x22a2be2b, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x2c0e1773, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x89c164a1, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0xf0f82dff, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x560c47f0, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x7edb6f88, "_gpl");
SYMBOL_CRC(sas_ioctl, 0xf0e3c3cf, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0xbca09a3b, "_gpl");
SYMBOL_CRC(sas_sdev_configure, 0x275a1345, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x5a64c039, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x124e812d, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0x47668342, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0xad52d6c2, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0x9de5e68e, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0xccf4b018, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0x4f81295d, "_gpl");
SYMBOL_CRC(sas_query_task, 0x841fbe64, "_gpl");
SYMBOL_CRC(sas_abort_task, 0x36ef1a5d, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xb1d2bba2, "_gpl");
SYMBOL_CRC(sas_sdev_init, 0x7a4fbd9d, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x0f284e85, "_gpl");
SYMBOL_CRC(sas_request_addr, 0xdab2857b, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0xc45678f1, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0x1c92c464, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0xe4e063a5, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0x9ff60829, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0x3ee40e3f, "_gpl");
SYMBOL_CRC(sas_ata_sdev_attr_group, 0xce8286ec, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x45ee0529, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xae838e5c, "sas_phy_free" },
	{ 0xf1dc205d, "scsi_eh_finish_cmd" },
	{ 0xb0d87f16, "ata_port_schedule_eh" },
	{ 0x80f17f70, "ata_tport_delete" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xce9c099, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xa22b8a8f, "sas_port_mark_backlink" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0x7bb6fd1e, "ata_link_abort" },
	{ 0xd6ee58fb, "ata_std_qc_defer" },
	{ 0x4c49fc9e, "ata_scsi_port_error_handler" },
	{ 0x54bb9e45, "ata_change_queue_depth" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcd592bd0, "ata_port_probe" },
	{ 0xdbe2edf5, "ata_std_error_handler" },
	{ 0xaa3cd0a0, "ata_port_free" },
	{ 0x2d609409, "sas_end_device_alloc" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf3ab6c99, "sas_read_port_mode_page" },
	{ 0x90603d2c, "sas_expander_alloc" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x4b64aeb2, "sas_rphy_delete" },
	{ 0xc023a1f6, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc3e53597, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x1a1861ff, "scsi_host_busy" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x6a7bf700, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x79ea10d0, "ata_sas_port_suspend" },
	{ 0x7414ede1, "sas_rphy_add" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0x586b21d4, "sas_port_delete_phy" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x32af425b, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xeb7cb68, "sas_port_add_phy" },
	{ 0x32357c0f, "ata_scsi_cmd_error_handler" },
	{ 0x31cbdb9b, "ata_ncq_prio_enable" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x1126b4a2, "ata_sas_sdev_configure" },
	{ 0x8710730a, "blk_mq_tagset_busy_iter" },
	{ 0x68957e6a, "scsi_done" },
	{ 0x25694f62, "scsi_unblock_requests" },
	{ 0x2f512e9b, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x9fcbf73f, "ata_host_put" },
	{ 0x63042a2d, "sas_port_free" },
	{ 0x1d14f74c, "ata_std_sched_eh" },
	{ 0x574db5c6, "ata_port_alloc" },
	{ 0x6397f056, "scsi_block_requests" },
	{ 0x31dfe15f, "blk_abort_request" },
	{ 0x6dd19d0f, "ata_ncq_prio_supported" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x50bf0875, "sas_remove_children" },
	{ 0x9748032d, "scsi_change_queue_depth" },
	{ 0x2ab99f9f, "__pm_runtime_idle" },
	{ 0x6cc7022f, "ata_port_wait_eh" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0xc6e3532f, "ata_qc_complete" },
	{ 0xfa84e5b1, "ata_sas_scsi_ioctl" },
	{ 0xf264fa56, "ata_tport_add" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x904cfa82, "sas_rphy_remove" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x345b4858, "bsg_job_done" },
	{ 0x10714ca7, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc449ad70, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x3154b62e, "scsi_schedule_eh" },
	{ 0x2476a690, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x36137a3f, "ata_ncq_prio_enabled" },
	{ 0x6067b82f, "ata_host_init" },
	{ 0x87d0001d, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xf01bf25d, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x49aa8ec5, "sas_port_get_phy" },
	{ 0x7cf97f44, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x1a2f220, "get_device" },
	{ 0xbe99c6f1, "ata_wait_after_reset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x75d81f14, "sas_phy_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas,scsi_mod,scsi_common");


MODULE_INFO(srcversion, "D980F626497B4DA9B4BB593");

MODULE_INFO(suserelease, "SLFO-1.2");
