#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(srp_tmo_valid, "_gpl", "");
KSYMTAB_FUNC(srp_parse_tmo, "", "");
KSYMTAB_FUNC(srp_start_tl_fail_timers, "", "");
KSYMTAB_FUNC(srp_reconnect_rport, "", "");
KSYMTAB_FUNC(srp_timed_out, "", "");
KSYMTAB_FUNC(srp_rport_get, "", "");
KSYMTAB_FUNC(srp_rport_put, "", "");
KSYMTAB_FUNC(srp_rport_add, "_gpl", "");
KSYMTAB_FUNC(srp_rport_del, "_gpl", "");
KSYMTAB_FUNC(srp_remove_host, "_gpl", "");
KSYMTAB_FUNC(srp_stop_rport_timers, "_gpl", "");
KSYMTAB_FUNC(srp_attach_transport, "_gpl", "");
KSYMTAB_FUNC(srp_release_transport, "_gpl", "");

SYMBOL_CRC(srp_tmo_valid, 0x1902178a, "_gpl");
SYMBOL_CRC(srp_parse_tmo, 0x405b6e05, "");
SYMBOL_CRC(srp_start_tl_fail_timers, 0x239d2397, "");
SYMBOL_CRC(srp_reconnect_rport, 0x790d7b85, "");
SYMBOL_CRC(srp_timed_out, 0x5acc8e41, "");
SYMBOL_CRC(srp_rport_get, 0x3ac31734, "");
SYMBOL_CRC(srp_rport_put, 0xc33264df, "");
SYMBOL_CRC(srp_rport_add, 0xca6993bc, "_gpl");
SYMBOL_CRC(srp_rport_del, 0xfc8dfe81, "_gpl");
SYMBOL_CRC(srp_remove_host, 0x314299e7, "_gpl");
SYMBOL_CRC(srp_stop_rport_timers, 0xf6ee7fd3, "_gpl");
SYMBOL_CRC(srp_attach_transport, 0x49ec478a, "_gpl");
SYMBOL_CRC(srp_release_transport, 0x5737b35d, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x37bdfb4, "transport_class_register" },
	{ 0x4e40fe96, "transport_class_unregister" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x4f32143d, "device_initialize" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x6cbf70a9, "transport_setup_device" },
	{ 0x3d44dcd8, "device_add" },
	{ 0xf441a43a, "transport_add_device" },
	{ 0x1d773587, "transport_configure_device" },
	{ 0x1636cab8, "attribute_container_register" },
	{ 0xa498a4fd, "attribute_container_unregister" },
	{ 0xc023a1f6, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4857dfad, "scsi_target_unblock" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x92997ed8, "_printk" },
	{ 0xebcf6b74, "scsi_block_targets" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x76a15f2a, "__scsi_iterate_devices" },
	{ 0xf80797cf, "_dev_printk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5b5d292e, "device_for_each_child" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45ee0529, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x1a2f220, "get_device" },
	{ 0x41eeb0d3, "transport_remove_device" },
	{ 0x2e9c96c7, "device_del" },
	{ 0xf26146f4, "transport_destroy_device" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "3BF629D501E39C5C31FAE8A");

MODULE_INFO(suserelease, "SLFO-1.2");
