#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdw_amd_probe, "", "SOUNDWIRE_AMD_INIT");
KSYMTAB_FUNC(sdw_amd_exit, "", "SOUNDWIRE_AMD_INIT");
KSYMTAB_FUNC(sdw_amd_get_slave_info, "", "SOUNDWIRE_AMD_INIT");

SYMBOL_CRC(sdw_amd_probe, 0xb3027031, "");
SYMBOL_CRC(sdw_amd_exit, 0xd16b2d3c, "");
SYMBOL_CRC(sdw_amd_get_slave_info, 0x82cafb0f, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1dab750b, "sdw_stream_remove_master" },
	{ 0x33719327, "_dev_err" },
	{ 0x2d3c134d, "platform_device_unregister" },
	{ 0x88cbaf59, "platform_get_resource" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ccaa77e, "__platform_driver_register" },
	{ 0x56e76cc9, "devm_kasprintf" },
	{ 0xf4ba3ae9, "sdw_stream_add_master" },
	{ 0x537dcc0d, "platform_device_register_full" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xf2d5f6a8, "acpi_fetch_acpi_dev" },
	{ 0x699df697, "device_get_named_child_node" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3ee2d4c5, "sdw_bus_master_delete" },
	{ 0x473c64b6, "__pm_runtime_use_autosuspend" },
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0xc504da51, "sdw_compute_slave_ports" },
	{ 0x4e93d477, "sdw_bus_exit_clk_stop" },
	{ 0xf02161e, "sdw_master_read_prop" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x1bf79408, "sdw_bus_prep_clk_stop" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5ad12e30, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7e9e2bca, "sdw_bus_clk_stop" },
	{ 0xa7ab3e7c, "pm_runtime_set_autosuspend_delay" },
	{ 0xc8c99b1f, "sdw_bus_master_add" },
	{ 0xc2c787a3, "devm_ioremap" },
	{ 0x37a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0x5b5d292e, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xedd00c7c, "sdw_handle_slave_status" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0xe9afda60, "devm_snd_soc_register_component" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0xb1ca3625, "fwnode_property_read_u32_array" },
	{ 0x9646beff, "sdw_clear_slave_status" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus,soundwire-generic-allocation,snd-pcm,snd-soc-core");


MODULE_INFO(srcversion, "A392ED44413154FEEC17F41");

MODULE_INFO(suserelease, "SLFO-1.2");
