#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdw_cdns_config_update, "", "");
KSYMTAB_FUNC(sdw_cdns_config_update_set_wait, "", "");
KSYMTAB_FUNC(sdw_cdns_debugfs_init, "_gpl", "");
KSYMTAB_FUNC(cdns_xfer_msg, "", "");
KSYMTAB_FUNC(cdns_xfer_msg_defer, "", "");
KSYMTAB_FUNC(cdns_read_ping_status, "", "");
KSYMTAB_FUNC(sdw_cdns_irq, "", "");
KSYMTAB_FUNC(sdw_cdns_check_self_clearing_bits, "", "");
KSYMTAB_FUNC(sdw_cdns_exit_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_enable_interrupt, "", "");
KSYMTAB_FUNC(sdw_cdns_pdi_init, "", "");
KSYMTAB_FUNC(sdw_cdns_init, "", "");
KSYMTAB_FUNC(cdns_bus_conf, "", "");
KSYMTAB_FUNC(sdw_cdns_is_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_restart, "", "");
KSYMTAB_FUNC(sdw_cdns_probe, "", "");
KSYMTAB_FUNC(cdns_set_sdw_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_config_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_alloc_pdi, "", "");

SYMBOL_CRC(sdw_cdns_config_update, 0xd8ac0c20, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0xc060bfbb, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0x26836e7d, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0xad596430, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0xe9709b0e, "");
SYMBOL_CRC(cdns_read_ping_status, 0xdf0fa5e3, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0xc0d340a7, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0x8fbe7a79, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0xadf8b74b, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0x6c74acb0, "");
SYMBOL_CRC(sdw_cdns_init, 0x86e5603c, "");
SYMBOL_CRC(cdns_bus_conf, 0xf17a9ca9, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0x6733800b, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0x9d9837cc, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0x46beb656, "");
SYMBOL_CRC(sdw_cdns_probe, 0x8eb3f1b1, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0x1ca8de78, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0x68660c4a, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0x81c77817, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xedd00c7c, "sdw_handle_slave_status" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x9e571b9b, "debugfs_attr_read" },
	{ 0x33719327, "_dev_err" },
	{ 0xc0ff936f, "simple_attr_release" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x911c8743, "seq_read" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3335abed, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x55473fb7, "single_release" },
	{ 0x45ef3153, "sdw_bread_no_pm_unlocked" },
	{ 0xbefec929, "__pm_runtime_suspend" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xd898659, "single_open" },
	{ 0x4e93d477, "sdw_bus_exit_clk_stop" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1bf79408, "sdw_bus_prep_clk_stop" },
	{ 0x640c8f92, "simple_attr_open" },
	{ 0x4040c3fb, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7e9e2bca, "sdw_bus_clk_stop" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus");


MODULE_INFO(srcversion, "BF297A1A53F81462CDF6C4D");

MODULE_INFO(suserelease, "SLFO-1.2");
