#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0x3d1216b4, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0xc93a743b, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0x3a2f7b93, "");
SYMBOL_CRC(sdw_intel_startup, 0xcce34a05, "");
SYMBOL_CRC(sdw_intel_exit, 0x0af029a0, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0xdfa66b16, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d9837cc, "sdw_cdns_clock_stop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x19d29739, "fwnode_property_read_u16_array" },
	{ 0xe922cf9f, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0xe9709b0e, "cdns_xfer_msg_defer" },
	{ 0xad596430, "cdns_xfer_msg" },
	{ 0x10119bb, "ida_free" },
	{ 0x2e9c96c7, "device_del" },
	{ 0xdcef4ae6, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x56e76cc9, "devm_kasprintf" },
	{ 0x55fc573a, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0x911c8743, "seq_read" },
	{ 0xf4ba3ae9, "sdw_stream_add_master" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xdf0fa5e3, "cdns_read_ping_status" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf2d5f6a8, "acpi_fetch_acpi_dev" },
	{ 0x699df697, "device_get_named_child_node" },
	{ 0x8eb3f1b1, "sdw_cdns_probe" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xd8ac0c20, "sdw_cdns_config_update" },
	{ 0x3335abed, "seq_printf" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x3ee2d4c5, "sdw_bus_master_delete" },
	{ 0x55473fb7, "single_release" },
	{ 0xb83ae5e1, "__auxiliary_driver_register" },
	{ 0xc0d340a7, "sdw_cdns_check_self_clearing_bits" },
	{ 0x473c64b6, "__pm_runtime_use_autosuspend" },
	{ 0xc24e0620, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0xd898659, "single_open" },
	{ 0x29fbeaea, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0xf02161e, "sdw_master_read_prop" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x59c80dba, "hdac_bus_eml_get_count" },
	{ 0xc0e0441e, "sdw_compute_params" },
	{ 0x2ab99f9f, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x6c74acb0, "sdw_cdns_pdi_init" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x640c8f92, "simple_attr_open" },
	{ 0x4040c3fb, "debugfs_attr_write" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf2d9339d, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x86e5603c, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x46beb656, "sdw_cdns_clock_restart" },
	{ 0x26836e7d, "sdw_cdns_debugfs_init" },
	{ 0x5a59c432, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0xa7ab3e7c, "pm_runtime_set_autosuspend_delay" },
	{ 0xc8c99b1f, "sdw_bus_master_add" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xadf8b74b, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0x78943cf1, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x37a0cba, "kfree" },
	{ 0x6733800b, "sdw_cdns_is_clock_stop" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0xc060bfbb, "sdw_cdns_config_update_set_wait" },
	{ 0x5b5d292e, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x68660c4a, "sdw_cdns_config_stream" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0x57bf10ff, "auxiliary_driver_unregister" },
	{ 0xe9afda60, "devm_snd_soc_register_component" },
	{ 0xf17a9ca9, "cdns_bus_conf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x45ee0529, "put_device" },
	{ 0x1ca8de78, "cdns_set_sdw_stream" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1ca3625, "fwnode_property_read_u32_array" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x9646beff, "sdw_clear_slave_status" },
	{ 0x9e571b9b, "debugfs_attr_read" },
	{ 0x1dab750b, "sdw_stream_remove_master" },
	{ 0xa922f6b2, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0x8fbe7a79, "sdw_cdns_exit_reset" },
	{ 0x33719327, "_dev_err" },
	{ 0x251615fd, "hdac_bus_eml_sdw_get_lsdiid_unlocked" },
	{ 0xc0ff936f, "simple_attr_release" },
	{ 0xd5e487f8, "__auxiliary_device_add" },
	{ 0x81c77817, "sdw_cdns_alloc_pdi" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,snd-sof-intel-hda-mlink,soundwire-bus,soundwire-generic-allocation,snd-pcm,snd-soc-core");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "5246981DC83D7F233A4C3AD");

MODULE_INFO(suserelease, "SLFO-1.2");
