#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ssb_bus_resume, "", "");
KSYMTAB_FUNC(ssb_bus_suspend, "", "");
KSYMTAB_FUNC(ssb_bus_unregister, "", "");
KSYMTAB_FUNC(ssb_bus_sdiobus_register, "", "");
KSYMTAB_FUNC(__ssb_driver_register, "", "");
KSYMTAB_FUNC(ssb_driver_unregister, "", "");
KSYMTAB_FUNC(ssb_set_devtypedata, "", "");
KSYMTAB_FUNC(ssb_clockspeed, "", "");
KSYMTAB_FUNC(ssb_device_is_enabled, "", "");
KSYMTAB_FUNC(ssb_device_enable, "", "");
KSYMTAB_FUNC(ssb_device_disable, "", "");
KSYMTAB_FUNC(ssb_dma_translation, "", "");
KSYMTAB_FUNC(ssb_bus_may_powerdown, "", "");
KSYMTAB_FUNC(ssb_bus_powerup, "", "");
KSYMTAB_FUNC(ssb_commit_settings, "", "");
KSYMTAB_FUNC(ssb_admatch_base, "", "");
KSYMTAB_FUNC(ssb_admatch_size, "", "");
KSYMTAB_FUNC(ssb_pcihost_register, "", "");
KSYMTAB_FUNC(ssb_chipco_gpio_control, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_voltage, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_paref, "", "");
KSYMTAB_FUNC(ssb_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(ssb_pcicore_dev_irqvecs_enable, "", "");

SYMBOL_CRC(ssb_bus_resume, 0x479adb5b, "");
SYMBOL_CRC(ssb_bus_suspend, 0x3a9496d3, "");
SYMBOL_CRC(ssb_bus_unregister, 0xed1a6434, "");
SYMBOL_CRC(ssb_bus_sdiobus_register, 0xc4cbb229, "");
SYMBOL_CRC(__ssb_driver_register, 0x7f8d19ee, "");
SYMBOL_CRC(ssb_driver_unregister, 0xb89055b9, "");
SYMBOL_CRC(ssb_set_devtypedata, 0xe4a298e4, "");
SYMBOL_CRC(ssb_clockspeed, 0xb4ad8193, "");
SYMBOL_CRC(ssb_device_is_enabled, 0x3d223a90, "");
SYMBOL_CRC(ssb_device_enable, 0xed39b96b, "");
SYMBOL_CRC(ssb_device_disable, 0xd560cfbb, "");
SYMBOL_CRC(ssb_dma_translation, 0x168b1a6d, "");
SYMBOL_CRC(ssb_bus_may_powerdown, 0xe17cf505, "");
SYMBOL_CRC(ssb_bus_powerup, 0x44759353, "");
SYMBOL_CRC(ssb_commit_settings, 0x494f1c49, "");
SYMBOL_CRC(ssb_admatch_base, 0xcb17f1cb, "");
SYMBOL_CRC(ssb_admatch_size, 0xdfc7c6ef, "");
SYMBOL_CRC(ssb_pcihost_register, 0x466a750e, "");
SYMBOL_CRC(ssb_chipco_gpio_control, 0xce3111e1, "");
SYMBOL_CRC(ssb_pmu_set_ldo_voltage, 0x21d263a5, "");
SYMBOL_CRC(ssb_pmu_set_ldo_paref, 0x87fe793a, "");
SYMBOL_CRC(ssb_pmu_spuravoid_pllupdate, 0xefb58ad3, "_gpl");
SYMBOL_CRC(ssb_pcicore_dev_irqvecs_enable, 0xd6d62efa, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45ee0529, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xf4bf5395, "device_create_file" },
	{ 0xfc1717a7, "sdio_readsb" },
	{ 0x3e415997, "gpiochip_get_data" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x33719327, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x2b8216f, "pci_read_config_word" },
	{ 0xbdce3a8f, "sdio_readl" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x97ab7810, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd6f020db, "device_register" },
	{ 0xef211625, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2cfa25bd, "sdio_writel" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x2bb532c, "gpiochip_add_data_with_key" },
	{ 0xfe45ee3e, "_dev_emerg" },
	{ 0xf18fa9a1, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x2f12357e, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0x1304611f, "sdio_writesb" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x8c03c156, "pci_write_config_word" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x529386f3, "pci_write_config_dword" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x69d137d1, "device_remove_file" },
	{ 0x16136184, "bus_register" },
	{ 0x8a3f3d84, "sdio_readb" },
	{ 0x729a3960, "sdio_writeb" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x4fca9753, "pci_save_state" },
	{ 0xeaa2bf53, "sdio_release_host" },
	{ 0x290bc1d9, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x7a66c929, "sdio_claim_host" },
	{ 0x16902ab6, "pci_iomap" },
	{ 0x383c75a1, "sdio_readw" },
	{ 0x343c8959, "device_unregister" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x5fb9b764, "pci_back_from_sleep" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0x2d685326, "pci_prepare_to_sleep" },
	{ 0xedc03953, "iounmap" },
	{ 0xa1e4b115, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x2db76dd7, "sdio_writew" },
	{ 0x1a2f220, "get_device" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x2123f09b, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");

MODULE_ALIAS("pci:v000014E4d00004301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014A4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004324sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004325sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004328sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004329sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004351sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "27B2C3E65936818D8F8C0C4");

MODULE_INFO(suserelease, "SLFO-1.2");
