#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

MODULE_INFO(staging, "Y");

KSYMTAB_FUNC(alloc_rtllib, "", "");
KSYMTAB_FUNC(free_rtllib, "", "");
KSYMTAB_FUNC(rtllib_rx, "", "");
KSYMTAB_FUNC(rtllib_legal_channel, "", "");
KSYMTAB_FUNC(rtllib_xmit, "", "");
KSYMTAB_FUNC(rtllib_wx_get_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_get_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode_ext, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mlme, "", "");
KSYMTAB_FUNC(rtllib_wx_set_auth, "", "");
KSYMTAB_FUNC(rtllib_wx_set_gen_ie, "", "");
KSYMTAB_FUNC(rtllib_stop_scan, "", "");
KSYMTAB_FUNC(rtllib_stop_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_act_scanning, "", "");
KSYMTAB_FUNC(rtllib_start_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_sta_ps_send_null_frame, "", "");
KSYMTAB_FUNC(rtllib_ps_tx_ack, "", "");
KSYMTAB_FUNC(rtllib_reset_queue, "", "");
KSYMTAB_FUNC(rtllib_softmac_stop_protocol, "", "");
KSYMTAB_FUNC(rtllib_softmac_start_protocol, "", "");
KSYMTAB_FUNC(rtllib_mgnt_disconnect, "", "");
KSYMTAB_FUNC(notify_wx_assoc_event, "", "");
KSYMTAB_FUNC(rtllib_wx_set_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_set_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_get_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_get_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_get_name, "", "");
KSYMTAB_FUNC(rtllib_wx_set_power, "", "");
KSYMTAB_FUNC(rtllib_wx_get_power, "", "");
KSYMTAB_FUNC(HT_update_self_and_peer_setting, "", "");
KSYMTAB_FUNC(remove_peer_ts, "", "");

SYMBOL_CRC(alloc_rtllib, 0x240b3b0a, "");
SYMBOL_CRC(free_rtllib, 0x27cf2a94, "");
SYMBOL_CRC(rtllib_rx, 0xb5291c2d, "");
SYMBOL_CRC(rtllib_legal_channel, 0xa7325dca, "");
SYMBOL_CRC(rtllib_xmit, 0x95f3b003, "");
SYMBOL_CRC(rtllib_wx_get_scan, 0xfb9f0ac2, "");
SYMBOL_CRC(rtllib_wx_set_encode, 0xaebf66b8, "");
SYMBOL_CRC(rtllib_wx_get_encode, 0x52bf51e4, "");
SYMBOL_CRC(rtllib_wx_set_encode_ext, 0x58f39506, "");
SYMBOL_CRC(rtllib_wx_set_mlme, 0x2c59133d, "");
SYMBOL_CRC(rtllib_wx_set_auth, 0x52c88466, "");
SYMBOL_CRC(rtllib_wx_set_gen_ie, 0x25df84d1, "");
SYMBOL_CRC(rtllib_stop_scan, 0x0cbaeaee, "");
SYMBOL_CRC(rtllib_stop_scan_syncro, 0x8d80bf71, "");
SYMBOL_CRC(rtllib_act_scanning, 0xd1f47ded, "");
SYMBOL_CRC(rtllib_start_scan_syncro, 0xf435314a, "");
SYMBOL_CRC(rtllib_sta_ps_send_null_frame, 0xc1e6ed7b, "");
SYMBOL_CRC(rtllib_ps_tx_ack, 0x49df81c5, "");
SYMBOL_CRC(rtllib_reset_queue, 0x06dd6a6b, "");
SYMBOL_CRC(rtllib_softmac_stop_protocol, 0x69fad9f1, "");
SYMBOL_CRC(rtllib_softmac_start_protocol, 0x127fd976, "");
SYMBOL_CRC(rtllib_mgnt_disconnect, 0x4f5f5c79, "");
SYMBOL_CRC(notify_wx_assoc_event, 0x163e03ce, "");
SYMBOL_CRC(rtllib_wx_set_freq, 0xec7c6f51, "");
SYMBOL_CRC(rtllib_wx_get_freq, 0x35883d27, "");
SYMBOL_CRC(rtllib_wx_get_wap, 0x324edc80, "");
SYMBOL_CRC(rtllib_wx_set_wap, 0x10467669, "");
SYMBOL_CRC(rtllib_wx_get_essid, 0xa2d4b469, "");
SYMBOL_CRC(rtllib_wx_set_rate, 0x81383a95, "");
SYMBOL_CRC(rtllib_wx_get_rate, 0x58cc68e3, "");
SYMBOL_CRC(rtllib_wx_set_rts, 0xf4a3dabb, "");
SYMBOL_CRC(rtllib_wx_get_rts, 0xd6ab7052, "");
SYMBOL_CRC(rtllib_wx_set_mode, 0xfa098f57, "");
SYMBOL_CRC(rtllib_wx_set_scan, 0x226b58b4, "");
SYMBOL_CRC(rtllib_wx_set_essid, 0x1b6b9432, "");
SYMBOL_CRC(rtllib_wx_get_mode, 0x23fddd21, "");
SYMBOL_CRC(rtllib_wx_get_name, 0x0a77316e, "");
SYMBOL_CRC(rtllib_wx_set_power, 0x7f4e5a24, "");
SYMBOL_CRC(rtllib_wx_get_power, 0xc6f17a7f, "");
SYMBOL_CRC(HT_update_self_and_peer_setting, 0x312e9442, "");
SYMBOL_CRC(remove_peer_ts, 0xcab24103, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa1cbdf5e, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x695afa95, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9692e911, "lib80211_crypt_info_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0xad2b1ffa, "lib80211_get_crypto_ops" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0xd03190c1, "wireless_send_event" },
	{ 0x9166fada, "strncpy" },
	{ 0x653194b1, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x32486b42, "netif_tx_stop_all_queues" },
	{ 0x62d1ac71, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x349f744b, "netif_rx" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x92225dd3, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa0ae472a, "netdev_alert" },
	{ 0x6a6bb394, "lib80211_crypt_info_free" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xba61bfe9, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa2607993, "lib80211_crypt_delayed_deinit" },
	{ 0xbe2d6696, "netif_carrier_on" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x8b3f301, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeb05b3a8, "alloc_etherdev_mqs" },
	{ 0xe914e41e, "strcpy" },
	{ 0xdc0df056, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x69f13cac, "dev_trans_start" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "lib80211,cfg80211");


MODULE_INFO(srcversion, "78AB9FA809DB4301DC7C1DA");

MODULE_INFO(suserelease, "SLFO-1.2");
