#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(gether_setup_name, "_gpl", "");
KSYMTAB_FUNC(gether_setup_name_default, "_gpl", "");
KSYMTAB_FUNC(gether_register_netdev, "_gpl", "");
KSYMTAB_FUNC(gether_set_gadget, "_gpl", "");
KSYMTAB_FUNC(gether_set_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_set_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_cdc, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_u8, "_gpl", "");
KSYMTAB_FUNC(gether_set_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_set_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_suspend, "_gpl", "");
KSYMTAB_FUNC(gether_resume, "_gpl", "");
KSYMTAB_FUNC(gether_cleanup, "_gpl", "");
KSYMTAB_FUNC(gether_connect, "_gpl", "");
KSYMTAB_FUNC(gether_disconnect, "_gpl", "");

SYMBOL_CRC(gether_setup_name, 0xd3c351f3, "_gpl");
SYMBOL_CRC(gether_setup_name_default, 0xc17de777, "_gpl");
SYMBOL_CRC(gether_register_netdev, 0x3d96b408, "_gpl");
SYMBOL_CRC(gether_set_gadget, 0x92a6753c, "_gpl");
SYMBOL_CRC(gether_set_dev_addr, 0x62f13688, "_gpl");
SYMBOL_CRC(gether_get_dev_addr, 0x0da36941, "_gpl");
SYMBOL_CRC(gether_set_host_addr, 0x8c7bddec, "_gpl");
SYMBOL_CRC(gether_get_host_addr, 0x6cf8bc6c, "_gpl");
SYMBOL_CRC(gether_get_host_addr_cdc, 0x139cc895, "_gpl");
SYMBOL_CRC(gether_get_host_addr_u8, 0x38790600, "_gpl");
SYMBOL_CRC(gether_set_qmult, 0x2cf06034, "_gpl");
SYMBOL_CRC(gether_get_qmult, 0xad8f2ea2, "_gpl");
SYMBOL_CRC(gether_get_ifname, 0xdb6a5546, "_gpl");
SYMBOL_CRC(gether_set_ifname, 0x59f715b4, "_gpl");
SYMBOL_CRC(gether_suspend, 0x573f9d46, "_gpl");
SYMBOL_CRC(gether_resume, 0x97f8f6f9, "_gpl");
SYMBOL_CRC(gether_cleanup, 0x8878cfa6, "_gpl");
SYMBOL_CRC(gether_connect, 0xffb2329a, "_gpl");
SYMBOL_CRC(gether_disconnect, 0xe52212ac, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x754d539c, "strlen" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0x96d19db4, "register_netdev" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xba61bfe9, "netif_carrier_off" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x96848186, "scnprintf" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x349cba85, "strchr" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x69492855, "unregister_netdev" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x653194b1, "free_netdev" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x33719327, "_dev_err" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xeb05b3a8, "alloc_etherdev_mqs" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x93bcd2a5, "usb_func_wakeup" },
	{ 0x338d246d, "usb_gadget_wakeup" },
	{ 0xb2224364, "usb_ep_alloc_request" },
	{ 0x5f18014, "usb_ep_free_request" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7e1733d8, "usb_ep_disable" },
	{ 0xe49ba700, "usb_ep_enable" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x62d1ac71, "netif_tx_wake_queue" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x9a645086, "usb_ep_queue" },
	{ 0xbe2d6696, "netif_carrier_on" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0x349f744b, "netif_rx" },
	{ 0x9c42265a, "eth_mac_addr" },
	{ 0xe4425a2b, "eth_validate_addr" },
	{ 0xffba72b5, "ethtool_op_get_link" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "libcomposite");


MODULE_INFO(srcversion, "F05D924038C656E4F6E6FBB");

MODULE_INFO(suserelease, "SLFO-1.2");
