#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fsg_common_set_sysfs, "_gpl", "");
KSYMTAB_FUNC(fsg_common_set_num_buffers, "_gpl", "");
KSYMTAB_FUNC(fsg_common_remove_lun, "_gpl", "");
KSYMTAB_FUNC(fsg_common_remove_luns, "_gpl", "");
KSYMTAB_FUNC(fsg_common_free_buffers, "_gpl", "");
KSYMTAB_FUNC(fsg_common_set_cdev, "_gpl", "");
KSYMTAB_FUNC(fsg_common_create_lun, "_gpl", "");
KSYMTAB_FUNC(fsg_common_create_luns, "_gpl", "");
KSYMTAB_FUNC(fsg_common_set_inquiry_string, "_gpl", "");
KSYMTAB_FUNC(fsg_config_from_params, "_gpl", "");
KSYMTAB_DATA(fsg_intf_desc, "_gpl", "");
KSYMTAB_DATA(fsg_fs_bulk_in_desc, "_gpl", "");
KSYMTAB_DATA(fsg_fs_bulk_out_desc, "_gpl", "");
KSYMTAB_DATA(fsg_fs_function, "_gpl", "");
KSYMTAB_DATA(fsg_hs_bulk_in_desc, "_gpl", "");
KSYMTAB_DATA(fsg_hs_bulk_out_desc, "_gpl", "");
KSYMTAB_DATA(fsg_hs_function, "_gpl", "");
KSYMTAB_DATA(fsg_ss_bulk_in_desc, "_gpl", "");
KSYMTAB_DATA(fsg_ss_bulk_in_comp_desc, "_gpl", "");
KSYMTAB_DATA(fsg_ss_bulk_out_desc, "_gpl", "");
KSYMTAB_DATA(fsg_ss_bulk_out_comp_desc, "_gpl", "");
KSYMTAB_DATA(fsg_ss_function, "_gpl", "");
KSYMTAB_FUNC(fsg_lun_close, "_gpl", "");
KSYMTAB_FUNC(fsg_lun_open, "_gpl", "");
KSYMTAB_FUNC(fsg_lun_fsync_sub, "_gpl", "");
KSYMTAB_FUNC(store_cdrom_address, "_gpl", "");
KSYMTAB_FUNC(fsg_show_ro, "_gpl", "");
KSYMTAB_FUNC(fsg_show_nofua, "_gpl", "");
KSYMTAB_FUNC(fsg_show_file, "_gpl", "");
KSYMTAB_FUNC(fsg_show_cdrom, "_gpl", "");
KSYMTAB_FUNC(fsg_show_removable, "_gpl", "");
KSYMTAB_FUNC(fsg_show_inquiry_string, "_gpl", "");
KSYMTAB_FUNC(fsg_store_ro, "_gpl", "");
KSYMTAB_FUNC(fsg_store_nofua, "_gpl", "");
KSYMTAB_FUNC(fsg_store_file, "_gpl", "");
KSYMTAB_FUNC(fsg_store_cdrom, "_gpl", "");
KSYMTAB_FUNC(fsg_store_removable, "_gpl", "");
KSYMTAB_FUNC(fsg_store_inquiry_string, "_gpl", "");
KSYMTAB_FUNC(fsg_store_forced_eject, "_gpl", "");

SYMBOL_CRC(fsg_common_set_sysfs, 0x7e26d4a5, "_gpl");
SYMBOL_CRC(fsg_common_set_num_buffers, 0x1ccb58f7, "_gpl");
SYMBOL_CRC(fsg_common_remove_lun, 0xda8755c9, "_gpl");
SYMBOL_CRC(fsg_common_remove_luns, 0x141fce2a, "_gpl");
SYMBOL_CRC(fsg_common_free_buffers, 0x9a0221c7, "_gpl");
SYMBOL_CRC(fsg_common_set_cdev, 0xb85fe6c5, "_gpl");
SYMBOL_CRC(fsg_common_create_lun, 0x3c6a07d0, "_gpl");
SYMBOL_CRC(fsg_common_create_luns, 0xd1a3e8e0, "_gpl");
SYMBOL_CRC(fsg_common_set_inquiry_string, 0x6acb4179, "_gpl");
SYMBOL_CRC(fsg_config_from_params, 0xab6c68ac, "_gpl");
SYMBOL_CRC(fsg_intf_desc, 0xb52ba28a, "_gpl");
SYMBOL_CRC(fsg_fs_bulk_in_desc, 0xb54d0d95, "_gpl");
SYMBOL_CRC(fsg_fs_bulk_out_desc, 0x1710b539, "_gpl");
SYMBOL_CRC(fsg_fs_function, 0xa5f99b69, "_gpl");
SYMBOL_CRC(fsg_hs_bulk_in_desc, 0x95cffb3e, "_gpl");
SYMBOL_CRC(fsg_hs_bulk_out_desc, 0x56344daf, "_gpl");
SYMBOL_CRC(fsg_hs_function, 0x857b6dc2, "_gpl");
SYMBOL_CRC(fsg_ss_bulk_in_desc, 0x2933ee1d, "_gpl");
SYMBOL_CRC(fsg_ss_bulk_in_comp_desc, 0x423845e4, "_gpl");
SYMBOL_CRC(fsg_ss_bulk_out_desc, 0xf4efc0c8, "_gpl");
SYMBOL_CRC(fsg_ss_bulk_out_comp_desc, 0xa5cae92f, "_gpl");
SYMBOL_CRC(fsg_ss_function, 0x398778e1, "_gpl");
SYMBOL_CRC(fsg_lun_close, 0xe152a0c9, "_gpl");
SYMBOL_CRC(fsg_lun_open, 0x99eba43c, "_gpl");
SYMBOL_CRC(fsg_lun_fsync_sub, 0x52287ca7, "_gpl");
SYMBOL_CRC(store_cdrom_address, 0xb3adf38d, "_gpl");
SYMBOL_CRC(fsg_show_ro, 0xd0959f6b, "_gpl");
SYMBOL_CRC(fsg_show_nofua, 0x9f92b578, "_gpl");
SYMBOL_CRC(fsg_show_file, 0x2f4c32b5, "_gpl");
SYMBOL_CRC(fsg_show_cdrom, 0xa52cc3aa, "_gpl");
SYMBOL_CRC(fsg_show_removable, 0xbf3d5c12, "_gpl");
SYMBOL_CRC(fsg_show_inquiry_string, 0x38b713d3, "_gpl");
SYMBOL_CRC(fsg_store_ro, 0x4c45e661, "_gpl");
SYMBOL_CRC(fsg_store_nofua, 0x57d58d62, "_gpl");
SYMBOL_CRC(fsg_store_file, 0x371d2664, "_gpl");
SYMBOL_CRC(fsg_store_cdrom, 0xb96bfaad, "_gpl");
SYMBOL_CRC(fsg_store_removable, 0x9f4d0335, "_gpl");
SYMBOL_CRC(fsg_store_inquiry_string, 0xb0e9f98b, "_gpl");
SYMBOL_CRC(fsg_store_forced_eject, 0x18fed119, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc794f8c, "fput" },
	{ 0x77f5bb81, "down_write" },
	{ 0x33719327, "_dev_err" },
	{ 0x264635e1, "up_write" },
	{ 0x5976434e, "usb_ep_clear_halt" },
	{ 0xc5efe949, "config_group_init_type_name" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xa511cbc3, "usb_ep_autoconfig" },
	{ 0xbfe50be7, "unregister_gadget_item" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xbd8ece61, "usb_put_function_instance" },
	{ 0xd6f020db, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x69368202, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xa985aeff, "down_read" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0x16bab21f, "usb_function_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb2224364, "usb_ep_alloc_request" },
	{ 0xc7f29227, "usb_ep_set_halt" },
	{ 0x628d7765, "vfs_fsync" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xa24f3c04, "file_path" },
	{ 0x6f1a02b3, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x22588296, "usb_ep_set_wedge" },
	{ 0x9a645086, "usb_ep_queue" },
	{ 0x754d539c, "strlen" },
	{ 0xe49ba700, "usb_ep_enable" },
	{ 0x7e1733d8, "usb_ep_disable" },
	{ 0x349cba85, "strchr" },
	{ 0xc095479f, "dequeue_signal" },
	{ 0xf1cc231a, "usb_free_all_descriptors" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xa90ea103, "usb_gstrings_attach" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xdac9d797, "kernel_write" },
	{ 0x145112f2, "filp_open" },
	{ 0x173756c, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x29f601b5, "usb_ep_fifo_flush" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x343c8959, "device_unregister" },
	{ 0x55fc55d9, "usb_interface_id" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x66e23a39, "usb_assign_descriptors" },
	{ 0x36beabd7, "invalidate_mapping_pages" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x4a4c4a18, "send_sig_info" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x37a0cba, "kfree" },
	{ 0x6008689f, "kthread_complete_and_exit" },
	{ 0x57501950, "I_BDEV" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x5f18014, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0xb2fde947, "config_ep_by_speed" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45ee0529, "put_device" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xc7ab3c63, "usb_ep_dequeue" },
	{ 0x7d75ff6f, "usb_composite_setup_continue" },
	{ 0x39299c44, "usb_function_register" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "configfs,libcomposite");


MODULE_INFO(srcversion, "C59A907270FC54FA713217A");

MODULE_INFO(suserelease, "SLFO-1.2");
