#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rndis_borrow_net, "_gpl", "");
KSYMTAB_FUNC(rndis_signal_connect, "_gpl", "");
KSYMTAB_FUNC(rndis_signal_disconnect, "_gpl", "");
KSYMTAB_FUNC(rndis_uninit, "_gpl", "");
KSYMTAB_FUNC(rndis_set_host_mac, "_gpl", "");
KSYMTAB_FUNC(rndis_msg_parser, "_gpl", "");
KSYMTAB_FUNC(rndis_register, "_gpl", "");
KSYMTAB_FUNC(rndis_deregister, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_dev, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_vendor, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_medium, "_gpl", "");
KSYMTAB_FUNC(rndis_add_hdr, "_gpl", "");
KSYMTAB_FUNC(rndis_free_response, "_gpl", "");
KSYMTAB_FUNC(rndis_get_next_response, "_gpl", "");
KSYMTAB_FUNC(rndis_rm_hdr, "_gpl", "");

SYMBOL_CRC(rndis_borrow_net, 0x4dd70d90, "_gpl");
SYMBOL_CRC(rndis_signal_connect, 0x678f0728, "_gpl");
SYMBOL_CRC(rndis_signal_disconnect, 0xa68fd6ac, "_gpl");
SYMBOL_CRC(rndis_uninit, 0xfa67af98, "_gpl");
SYMBOL_CRC(rndis_set_host_mac, 0x90f44177, "_gpl");
SYMBOL_CRC(rndis_msg_parser, 0x653183bf, "_gpl");
SYMBOL_CRC(rndis_register, 0x15f152c7, "_gpl");
SYMBOL_CRC(rndis_deregister, 0xd913e936, "_gpl");
SYMBOL_CRC(rndis_set_param_dev, 0x2b0c69d0, "_gpl");
SYMBOL_CRC(rndis_set_param_vendor, 0x93132100, "_gpl");
SYMBOL_CRC(rndis_set_param_medium, 0x3ac393a1, "_gpl");
SYMBOL_CRC(rndis_add_hdr, 0xa7d30a49, "_gpl");
SYMBOL_CRC(rndis_free_response, 0xc34db8c9, "_gpl");
SYMBOL_CRC(rndis_get_next_response, 0x13f8d4b0, "_gpl");
SYMBOL_CRC(rndis_rm_hdr, 0x807a83e6, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x38790600, "gether_get_host_addr_u8" },
	{ 0x2cf06034, "gether_set_qmult" },
	{ 0xc5efe949, "config_group_init_type_name" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6cf8bc6c, "gether_get_host_addr" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0x92a6753c, "gether_set_gadget" },
	{ 0x10119bb, "ida_free" },
	{ 0x653194b1, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa511cbc3, "usb_ep_autoconfig" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xbd8ece61, "usb_put_function_instance" },
	{ 0x62d1ac71, "netif_tx_wake_queue" },
	{ 0xffb2329a, "gether_connect" },
	{ 0xda36941, "gether_get_dev_addr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8c7bddec, "gether_set_host_addr" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x16bab21f, "usb_function_unregister" },
	{ 0x8878cfa6, "gether_cleanup" },
	{ 0x740cd1c5, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb2224364, "usb_ep_alloc_request" },
	{ 0xdb6a5546, "gether_get_ifname" },
	{ 0x59f715b4, "gether_set_ifname" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xba61bfe9, "netif_carrier_off" },
	{ 0xbe2d6696, "netif_carrier_on" },
	{ 0xc17de777, "gether_setup_name_default" },
	{ 0x9a645086, "usb_ep_queue" },
	{ 0xad8f2ea2, "gether_get_qmult" },
	{ 0x754d539c, "strlen" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0xe49ba700, "usb_ep_enable" },
	{ 0x7e1733d8, "usb_ep_disable" },
	{ 0xf1cc231a, "usb_free_all_descriptors" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xa90ea103, "usb_gstrings_attach" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x643acbbe, "dev_get_stats" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x604650a5, "usb_os_desc_prepare_interf_dir" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0x55fc55d9, "usb_interface_id" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x66e23a39, "usb_assign_descriptors" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe52212ac, "gether_disconnect" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x5f18014, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb2fde947, "config_ep_by_speed" },
	{ 0x62f13688, "gether_set_dev_addr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3d96b408, "gether_register_netdev" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x39299c44, "usb_function_register" },
	{ 0x33719327, "_dev_err" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "u_ether,configfs,libcomposite");


MODULE_INFO(srcversion, "4FC2C0E068EB8031083783C");

MODULE_INFO(suserelease, "SLFO-1.2");
