#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xhci_run, "_gpl", "");
KSYMTAB_FUNC(xhci_stop, "_gpl", "");
KSYMTAB_FUNC(xhci_shutdown, "_gpl", "");
KSYMTAB_FUNC(xhci_suspend, "_gpl", "");
KSYMTAB_FUNC(xhci_resume, "_gpl", "");
KSYMTAB_FUNC(xhci_get_endpoint_index, "_gpl", "");
KSYMTAB_FUNC(xhci_drop_endpoint, "_gpl", "");
KSYMTAB_FUNC(xhci_add_endpoint, "_gpl", "");
KSYMTAB_FUNC(xhci_stop_endpoint_sync, "_gpl", "");
KSYMTAB_FUNC(xhci_check_bandwidth, "_gpl", "");
KSYMTAB_FUNC(xhci_reset_bandwidth, "_gpl", "");
KSYMTAB_FUNC(xhci_update_hub_device, "_gpl", "");
KSYMTAB_FUNC(xhci_gen_setup, "_gpl", "");
KSYMTAB_FUNC(xhci_init_driver, "_gpl", "");
KSYMTAB_FUNC(xhci_initialize_ring_info, "_gpl", "");
KSYMTAB_FUNC(xhci_get_ep_ctx, "_gpl", "");
KSYMTAB_FUNC(xhci_remove_secondary_interrupter, "_gpl", "");
KSYMTAB_FUNC(xhci_create_secondary_interrupter, "_gpl", "");
KSYMTAB_FUNC(xhci_ext_cap_init, "_gpl", "");
KSYMTAB_FUNC(xhci_msi_irq, "_gpl", "");
KSYMTAB_FUNC(xhci_port_state_to_neutral, "_gpl", "");
KSYMTAB_FUNC(xhci_hub_control, "_gpl", "");
KSYMTAB_FUNC(xhci_dbg_trace, "_gpl", "");
KSYMTAB_DATA(__tracepoint_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_FUNC(__traceiter_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_DATA(__tracepoint_xhci_dbg_init, "_gpl", "");
KSYMTAB_FUNC(__traceiter_xhci_dbg_init, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_xhci_dbg_init, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_xhci_dbg_init, "_gpl", "");

SYMBOL_CRC(xhci_run, 0xd40424b2, "_gpl");
SYMBOL_CRC(xhci_stop, 0x654db099, "_gpl");
SYMBOL_CRC(xhci_shutdown, 0x9beca5a1, "_gpl");
SYMBOL_CRC(xhci_suspend, 0xe77e4794, "_gpl");
SYMBOL_CRC(xhci_resume, 0x66c62267, "_gpl");
SYMBOL_CRC(xhci_get_endpoint_index, 0x57d4050a, "_gpl");
SYMBOL_CRC(xhci_drop_endpoint, 0x9af5531d, "_gpl");
SYMBOL_CRC(xhci_add_endpoint, 0x59f43b50, "_gpl");
SYMBOL_CRC(xhci_stop_endpoint_sync, 0x97db4043, "_gpl");
SYMBOL_CRC(xhci_check_bandwidth, 0xee4a88d3, "_gpl");
SYMBOL_CRC(xhci_reset_bandwidth, 0x31d95037, "_gpl");
SYMBOL_CRC(xhci_update_hub_device, 0x7c4182fc, "_gpl");
SYMBOL_CRC(xhci_gen_setup, 0x4007fd0d, "_gpl");
SYMBOL_CRC(xhci_init_driver, 0xe6b86732, "_gpl");
SYMBOL_CRC(xhci_initialize_ring_info, 0x96a2f4fd, "_gpl");
SYMBOL_CRC(xhci_get_ep_ctx, 0x6322a596, "_gpl");
SYMBOL_CRC(xhci_remove_secondary_interrupter, 0x03c36024, "_gpl");
SYMBOL_CRC(xhci_create_secondary_interrupter, 0x854a911a, "_gpl");
SYMBOL_CRC(xhci_ext_cap_init, 0x908b674e, "_gpl");
SYMBOL_CRC(xhci_msi_irq, 0x88fac4e8, "_gpl");
SYMBOL_CRC(xhci_port_state_to_neutral, 0x1cdd0605, "_gpl");
SYMBOL_CRC(xhci_hub_control, 0x93c9528d, "_gpl");
SYMBOL_CRC(xhci_dbg_trace, 0x7a3f8baa, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_quirks, 0x6bc749f4, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_quirks, 0x4c549b36, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_quirks, 0x14a7f01d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_quirks, 0xabf03fc3, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_init, 0xa1c66174, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_init, 0xa2402218, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_init, 0x153a0afa, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_init, 0x8a5c1029, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe77a76a1, "debugfs_create_regset32" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x2a59fd92, "debugfs_get_aux" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x875a59dc, "platform_device_add_resources" },
	{ 0x91920d6, "usb_hcd_check_unlink_urb" },
	{ 0x77bd52d9, "iommu_get_domain_for_dev" },
	{ 0xedca7114, "radix_tree_delete" },
	{ 0x287564e3, "device_create_managed_software_node" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x33719327, "_dev_err" },
	{ 0x6b32f725, "usb_hcd_end_port_resume" },
	{ 0x24d273d1, "add_timer" },
	{ 0xa7db12f0, "radix_tree_preloads" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x2d3c134d, "platform_device_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x9ac015b7, "platform_device_add" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x26c55a44, "platform_device_alloc" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0x9b50ec69, "usb_hcd_link_urb_to_ep" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x3c6a98c7, "__kmalloc_cache_node_noprof" },
	{ 0xc4e13b9f, "usb_hcd_is_primary_hcd" },
	{ 0xb22e16d5, "radix_tree_maybe_preload" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x36cea689, "usb_acpi_power_manageable" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xbaf72e74, "usb_hub_clear_tt_buffer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0x910c04bd, "trace_seq_acquire" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0x911c8743, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x73c3bfab, "pm_runtime_forbid" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0xb0d7d0f2, "pm_runtime_allow" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0x6eee8fec, "usb_hcd_giveback_urb" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaa27d081, "usb_hcd_poll_rh_status" },
	{ 0x10249250, "usb_acpi_set_power_state" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x9ce8505d, "usb_disable_xhci_ports" },
	{ 0x55473fb7, "single_release" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0xf9a68ee3, "usb_debug_root" },
	{ 0x23e55a9c, "__devm_add_action" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xd898659, "single_open" },
	{ 0xa89db11b, "usb_hcd_unmap_urb_for_dma" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x835e057b, "pci_bus_type" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x4cec7c22, "usb_root_hub_lost_power" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xd6ca117e, "param_ops_ullong" },
	{ 0x4bc59980, "platform_device_put" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2da692b9, "usb_asmedia_modifyflowcontrol" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x5c249a89, "dma_pool_create" },
	{ 0x1056f31c, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xce703ca3, "usb_hcd_resume_root_hub" },
	{ 0x7a7a02ef, "usb_hcd_unlink_urb_from_ep" },
	{ 0x99b774e0, "usb_hcd_start_port_resume" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb11a8ad7, "usb_amd_pt_check_port" },
	{ 0xb2b5d211, "usb_hc_died" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xf7c2c630, "radix_tree_lookup" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x758d7a7c, "__kmalloc_node_noprof" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4ff71e79, "usb_wakeup_notification" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x148653, "vsnprintf" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x474edef, "kstrtou16_from_user" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0x493649aa, "usb_hcd_map_urb_for_dma" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "A18BC9764C8C85AB5E9DFF0");

MODULE_INFO(suserelease, "SLFO-1.2");
