#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xhci_pci_common_probe, "_gpl", "xhci");
KSYMTAB_FUNC(xhci_pci_remove, "_gpl", "xhci");

SYMBOL_CRC(xhci_pci_common_probe, 0x3549ba99, "_gpl");
SYMBOL_CRC(xhci_pci_remove, 0xd807fe7f, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x654db099, "xhci_stop" },
	{ 0x61f891c3, "pci_irq_vector" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x85909793, "pci_free_irq_vectors" },
	{ 0x1cdd0605, "xhci_port_state_to_neutral" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x33719327, "_dev_err" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0xe77e4794, "xhci_suspend" },
	{ 0xc564006a, "pci_d3cold_disable" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x7c4182fc, "xhci_update_hub_device" },
	{ 0x7487d23d, "usb_acpi_port_lpm_incapable" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x67881199, "pci_alloc_irq_vectors" },
	{ 0x88fac4e8, "xhci_msi_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd40424b2, "xhci_run" },
	{ 0xa916b694, "strnlen" },
	{ 0x70cf032f, "usb_hcd_irq" },
	{ 0x7a3f8baa, "xhci_dbg_trace" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xaf4014ff, "usb_amd_quirk_pll_check" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0xa1c66174, "__tracepoint_xhci_dbg_init" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8a5c1029, "__SCT__tp_func_xhci_dbg_init" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x6bc749f4, "__tracepoint_xhci_dbg_quirks" },
	{ 0xabf03fc3, "__SCT__tp_func_xhci_dbg_quirks" },
	{ 0x4007fd0d, "xhci_gen_setup" },
	{ 0xad82bbd2, "pci_read_config_byte" },
	{ 0x6c141b5d, "pci_set_mwi" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x66c62267, "xhci_resume" },
	{ 0x7fd46b81, "usb_enable_intel_xhci_ports" },
	{ 0xad0414a1, "__devm_reset_control_get" },
	{ 0x9196cb6e, "usb_hcd_pci_probe" },
	{ 0x80e1aa79, "usb_create_shared_hcd" },
	{ 0x908b674e, "xhci_ext_cap_init" },
	{ 0xe81fd804, "usb_add_hcd" },
	{ 0xb0d7d0f2, "pm_runtime_allow" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0x3824ec88, "pci_match_id" },
	{ 0x9beca5a1, "xhci_shutdown" },
	{ 0x6d11589d, "usb_hcd_pci_shutdown" },
	{ 0x38998ff9, "usb_hcd_pci_pm_ops" },
	{ 0x153a0afa, "__SCK__tp_func_xhci_dbg_init" },
	{ 0x14a7f01d, "__SCK__tp_func_xhci_dbg_quirks" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc4e13b9f, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfcaf870c, "pci_choose_state" },
	{ 0x64637ee4, "usb_remove_hcd" },
	{ 0xf1bb0eae, "usb_put_hcd" },
	{ 0xe42f87b1, "usb_hcd_pci_remove" },
	{ 0x73c3bfab, "pm_runtime_forbid" },
	{ 0x2ab99f9f, "__pm_runtime_idle" },
	{ 0x68e801b6, "pci_set_power_state" },
	{ 0xe6b86732, "xhci_init_driver" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "xhci-hcd,usbcore");

MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i30*");

MODULE_INFO(srcversion, "27AFB3529A02C11D5CB42A9");

MODULE_INFO(suserelease, "SLFO-1.2");
