#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x33719327, "_dev_err" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45d621e6, "usb_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa8f7a713, "usb_control_msg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ca7c4de, "usb_deregister_dev" },
	{ 0xa9a9f738, "usb_poison_urb" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x96e6d83, "usb_free_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x6acba631, "usb_find_common_endpoints_reverse" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6a578ab1, "usb_alloc_urb" },
	{ 0xab9b1b89, "usb_register_dev" },
	{ 0xb6f3a998, "usb_string" },
	{ 0x4d4770a7, "usb_kill_urb" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x33972a88, "usb_register_driver" },
	{ 0x2bcf0760, "stream_open" },
	{ 0x9744c7c4, "usb_find_interface" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0xb1161409, "usb_submit_urb" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v0F11p1000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p1010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p1011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p1020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p1021d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p1031d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p1032d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p1033d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p1035d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p1038d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p1040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p1042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p1043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p1080d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p1081d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p1090d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p10A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p10B0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p1100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p1101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p1200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p1210d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p2010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p2020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p2030d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p2040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p2050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p2051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p2060d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p2070d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p2080d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p2090d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F11p20A0d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "B8F40767AE184938E29F788");

MODULE_INFO(suserelease, "SLFO-1.2");
