#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x2e58d2de, "usb_clear_halt" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2476a690, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfb578fc5, "memset" },
	{ 0x69acdf38, "memcpy" },
	{ 0xebc770a, "usb_bulk_msg" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x94f0d187, "usb_serial_generic_tiocmiwait" },
	{ 0x352d754c, "usb_serial_generic_get_icount" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1078929e, "__usb_serial_register_drivers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x33719327, "_dev_err" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xa8f7a713, "usb_control_msg" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x37a0cba, "kfree" },
	{ 0x69d137d1, "device_remove_file" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfe8515d1, "usb_serial_deregister_drivers" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xf4bf5395, "device_create_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x11d013f4, "tty_encode_baud_rate" },
	{ 0xb1161409, "usb_submit_urb" },
	{ 0x16b6d679, "__tty_insert_flip_string_flags" },
	{ 0x3fb96801, "tty_flip_buffer_push" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x1919bb54, "tty_wakeup" },
	{ 0x34609b40, "tty_port_tty_get" },
	{ 0xb7cebdfe, "tty_kref_put" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x4d4770a7, "usb_kill_urb" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbserial");

MODULE_ALIAS("usb:v1608p0215d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0240d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0241d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0301d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0302d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0303d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0304d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0306d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0307d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0308d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p030Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0309d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p030Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p030Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p030Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0205d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p021Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0207d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p020Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p020Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0217d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0201d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0206d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p021Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p021Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p021Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p021Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0242d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0244d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0243d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0212d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0247d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p1A01d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "77E34B8757A9A2EDDBB9909");

MODULE_INFO(suserelease, "SLFO-1.2");
