#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xcd9c13a3, "tty_termios_hw_change" },
	{ 0xf72a65ea, "tty_get_char_size" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x11d013f4, "tty_encode_baud_rate" },
	{ 0x9e0a57c0, "usb_serial_generic_open" },
	{ 0x2e58d2de, "usb_clear_halt" },
	{ 0x16b6d679, "__tty_insert_flip_string_flags" },
	{ 0x3fb96801, "tty_flip_buffer_push" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe92a66c, "usb_control_msg_recv" },
	{ 0x94f0d187, "usb_serial_generic_tiocmiwait" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1078929e, "__usb_serial_register_drivers" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xa8f7a713, "usb_control_msg" },
	{ 0x33719327, "_dev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0xe170edb8, "usb_serial_generic_close" },
	{ 0x4d4770a7, "usb_kill_urb" },
	{ 0xfe8515d1, "usb_serial_deregister_drivers" },
	{ 0xb1161409, "usb_submit_urb" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x34609b40, "tty_port_tty_get" },
	{ 0x797c225d, "usb_serial_handle_dcd_change" },
	{ 0xb7cebdfe, "tty_kref_put" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "usbserial,usbcore");

MODULE_ALIAS("usb:v067Bp2303d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v067Bp04BBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v067Bp1234d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v067BpAAA2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v067BpAAA8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v067BpAAA0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v067Bp0611d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v067Bp0612d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v067Bp0609d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v067Bp331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v067Bp0307d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v067BpE1F1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v067Bp2304d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v067Bp23A3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v067Bp23B3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v067Bp23C3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v067Bp23D3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v067Bp23E3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v067Bp23F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0A03d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0A0Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p2008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p2021d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p2022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p2118d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0547p2008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v056Ep5003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v056Ep5004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EBAp1080d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EBAp2080d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF7p0620d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0584pB000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2478p2008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1453p4026d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0731p0528d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v6189p2068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v11F7p02DFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v11F5p0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v11F5p0003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v11F5p0004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v11F5p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04A5p4027d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0745p0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v078Bp1234d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v10B5pAC70d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp0027d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0413p2101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E55p110Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0731p2003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp0257d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v058Fp9720d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v11F6p2001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp002Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05ADp0FBAd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5372p2303d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v03F0p3524d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v03F0p4349d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v03F0p0F7Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v03F0p0183d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v03F0p0B39d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v03F0p4439d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v03F0p3139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v03F0p3239d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v03F0p026Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v03F0p0F9Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v03F0p5039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v03F0p0956d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B8p0521d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B8p0522d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v054Cp0437d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v11ADp0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B63p6530d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B63p653Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B8Cp2303d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CAAp3001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B3p4016d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v345Fp3020d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "FC15EEE9265788ABCA83E58");

MODULE_INFO(suserelease, "SLFO-1.2");
