#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2476a690, "request_firmware" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0xebc770a, "usb_bulk_msg" },
	{ 0x7ce5be03, "usb_driver_set_configuration" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x4e86534f, "usb_reset_device" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xdcaadefb, "tty_port_tty_wakeup" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x4d4770a7, "usb_kill_urb" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x11d013f4, "tty_encode_baud_rate" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x2e58d2de, "usb_clear_halt" },
	{ 0x94f0d187, "usb_serial_generic_tiocmiwait" },
	{ 0x352d754c, "usb_serial_generic_get_icount" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1078929e, "__usb_serial_register_drivers" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x34609b40, "tty_port_tty_get" },
	{ 0xb7cebdfe, "tty_kref_put" },
	{ 0xb1161409, "usb_submit_urb" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x1919bb54, "tty_wakeup" },
	{ 0x33719327, "_dev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0xfe8515d1, "usb_serial_deregister_drivers" },
	{ 0x16b6d679, "__tty_insert_flip_string_flags" },
	{ 0x3fb96801, "tty_flip_buffer_push" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xa8f7a713, "usb_control_msg" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbserial");

MODULE_ALIAS("usb:v0451p3410d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451pF430d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E0pF108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E0pF109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E0pF110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E0pF111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E0pF112d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E0pF114d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E0pF115d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E0p0319d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p5052d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p5152d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p505Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p505Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B3p4543d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B3p454Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B3p454Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1A61p3410d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1A61p3420d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p5053d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v10ACp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v110Ap1110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v110Ap1130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v110Ap1131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v110Ap1150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v110Ap1151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B0p3410d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "32F4230A6238FAA85A9C20D");

MODULE_INFO(suserelease, "SLFO-1.2");
