#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_serial_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_serial_port_softint, "_gpl", "");
KSYMTAB_FUNC(usb_serial_suspend, "", "");
KSYMTAB_FUNC(usb_serial_resume, "", "");
KSYMTAB_FUNC(__usb_serial_register_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_deregister_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_open, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_close, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_start, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_chars_in_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_wait_until_sent, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_submit_read_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_process_read_urb, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_read_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_throttle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_unthrottle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_tiocmiwait, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_get_icount, "_gpl", "");
KSYMTAB_FUNC(usb_serial_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_resume, "_gpl", "");

SYMBOL_CRC(usb_serial_claim_interface, 0xbda45d15, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0x1b02e5d3, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0xdfcd02b8, "");
SYMBOL_CRC(usb_serial_resume, 0x29dd3e02, "");
SYMBOL_CRC(__usb_serial_register_drivers, 0x1078929e, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0xfe8515d1, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0x9e0a57c0, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0xe170edb8, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0x44a10e57, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0xae619108, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0xd2ddd68b, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0xba8b0d87, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0x1fbf1d10, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0xe2b69994, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0x4501ae30, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0x17d7596d, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0x759707bc, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0xd09bf61d, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0x94f0d187, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0x352d754c, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0x797c225d, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0xd53c7c40, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x422fa097, "usb_get_intf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x743f54e, "usb_driver_release_interface" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x3d95014d, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x45ee0529, "put_device" },
	{ 0x4224246b, "usb_get_dev" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0xb1161409, "usb_submit_urb" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x762deed1, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6857cc3d, "module_put" },
	{ 0xdcaadefb, "tty_port_tty_wakeup" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x59cd5e33, "usb_match_id" },
	{ 0xb825c192, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x33719327, "_dev_err" },
	{ 0x3d44dcd8, "device_add" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x2f967394, "tty_ldisc_ref" },
	{ 0xe2999e94, "tty_vhangup" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x16b6d679, "__tty_insert_flip_string_flags" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xd71ac446, "tty_port_destroy" },
	{ 0x37cf9070, "tty_port_init" },
	{ 0xd987aac4, "usb_driver_claim_interface" },
	{ 0x7a905b8, "seq_putc" },
	{ 0xa9a9f738, "usb_poison_urb" },
	{ 0xb105e8bf, "usb_unpoison_urb" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0x56de0bb9, "tty_port_register_device" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9a707494, "tty_ldisc_deref" },
	{ 0x45d621e6, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2e9c96c7, "device_del" },
	{ 0xe78c1cdf, "idr_destroy" },
	{ 0x454e2bdd, "tty_port_close" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7bd3b23, "usb_autopm_get_interface" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xdfea3ba0, "tty_register_driver" },
	{ 0x66ca9904, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x4d4770a7, "usb_kill_urb" },
	{ 0xa559c089, "usb_dynids_lock" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf43367b1, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0x8be291f, "tty_port_open" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x69953e3e, "tty_driver_kref_put" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x16136184, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x34609b40, "tty_port_tty_get" },
	{ 0xdd17275a, "usb_put_intf" },
	{ 0x6a578ab1, "usb_alloc_urb" },
	{ 0xb30f0d41, "usb_autopm_put_interface" },
	{ 0xdc0df056, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x96e6d83, "usb_free_urb" },
	{ 0x333051c0, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0xa5191c76, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x3fb96801, "tty_flip_buffer_push" },
	{ 0x54c3ce7, "driver_attach" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xb7cebdfe, "tty_kref_put" },
	{ 0x33972a88, "usb_register_driver" },
	{ 0xb92f3a6a, "usb_match_one_id" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc0bc0e3e, "__tty_alloc_driver" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x66e9818c, "tty_standard_install" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x7f16e2af, "usb_show_dynids" },
	{ 0xa79c748b, "tty_hangup" },
	{ 0x7adab050, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "3E20B12EC9F4103929C1A3A");

MODULE_INFO(suserelease, "SLFO-1.2");
