#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4d4770a7, "usb_kill_urb" },
	{ 0x6a578ab1, "usb_alloc_urb" },
	{ 0x75eceae1, "usb_alloc_streams" },
	{ 0xb48c9466, "scsi_report_bus_reset" },
	{ 0xa7cab92e, "usb_anchor_urb" },
	{ 0xb1161409, "usb_submit_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x69acdf38, "memcpy" },
	{ 0x75f7afc6, "usb_unanchor_urb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x68957e6a, "scsi_done" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x36e23310, "usb_kill_anchored_urbs" },
	{ 0x5334e5c8, "scsi_remove_host" },
	{ 0x94279677, "scsi_host_put" },
	{ 0xfffa6843, "usb_lock_device_for_reset" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x94f66d2c, "usb_stor_adjust_quirks" },
	{ 0x8c644909, "scsi_host_alloc" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xcfcc8304, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xf575fa24, "sdev_prefix_printk" },
	{ 0x3d9e5d8a, "usb_unlink_urb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x33972a88, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1887934b, "usb_free_streams" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0xa12d9eed, "usb_set_interface" },
	{ 0x4e86534f, "usb_reset_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc8f4e4a9, "usb_wait_anchor_empty_timeout" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x6397f056, "scsi_block_requests" },
	{ 0xf80797cf, "_dev_printk" },
	{ 0x25694f62, "scsi_unblock_requests" },
	{ 0xe851d8b7, "scmd_printk" },
	{ 0xe855fe39, "scsi_print_command" },
	{ 0x57891024, "scsi_scan_host" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x96e6d83, "usb_free_urb" },
	{ 0x33719327, "_dev_err" },
	{ 0xc023a1f6, "scsi_is_host_device" },
	{ 0x9748032d, "scsi_change_queue_depth" },
	{ 0x45d621e6, "usb_deregister" },
	{ 0xc36853cd, "usb_get_urb" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "usbcore,scsi_mod,scsi_common,usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0781p55E8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v125FpA94Ad0160dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "A772279B563118127CA4E3D");

MODULE_INFO(suserelease, "SLFO-1.2");
