#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tcpm_pd_transmit_complete, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_receive, "_gpl", "");
KSYMTAB_FUNC(tcpm_cc_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_vbus_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_hard_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_sink_frs, "_gpl", "");
KSYMTAB_FUNC(tcpm_sourcing_vbus, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_clean, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_is_toggling, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_error_recovery, "_gpl", "");
KSYMTAB_FUNC(tcpm_tcpc_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_register_port, "_gpl", "");
KSYMTAB_FUNC(tcpm_unregister_port, "_gpl", "");

SYMBOL_CRC(tcpm_pd_transmit_complete, 0x3b84657b, "_gpl");
SYMBOL_CRC(tcpm_pd_receive, 0x402a76b1, "_gpl");
SYMBOL_CRC(tcpm_cc_change, 0xc37b9769, "_gpl");
SYMBOL_CRC(tcpm_vbus_change, 0xceb50012, "_gpl");
SYMBOL_CRC(tcpm_pd_hard_reset, 0x9e0bd753, "_gpl");
SYMBOL_CRC(tcpm_sink_frs, 0x10ec6d2d, "_gpl");
SYMBOL_CRC(tcpm_sourcing_vbus, 0xeb779665, "_gpl");
SYMBOL_CRC(tcpm_port_clean, 0xd680581d, "_gpl");
SYMBOL_CRC(tcpm_port_is_toggling, 0xda86a83d, "_gpl");
SYMBOL_CRC(tcpm_port_error_recovery, 0x8512bd2a, "_gpl");
SYMBOL_CRC(tcpm_tcpc_reset, 0xea220941, "_gpl");
SYMBOL_CRC(tcpm_register_port, 0xb7f96ac9, "_gpl");
SYMBOL_CRC(tcpm_unregister_port, 0x76eeda4b, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x537f474e, "kthread_destroy_worker" },
	{ 0xc9282fdd, "typec_unregister_port" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xaca3ab4a, "typec_port_set_usb_power_delivery" },
	{ 0x8dca3465, "typec_match_altmode" },
	{ 0x7cf1c951, "typec_altmode_vdm" },
	{ 0x86858eaa, "usb_power_delivery_register_capabilities" },
	{ 0xf5da5c76, "typec_altmode_update_active" },
	{ 0x51df8b7a, "usb_power_delivery_register" },
	{ 0xb3444496, "typec_cable_altmode_vdm" },
	{ 0xdc396478, "typec_altmode_notify" },
	{ 0x80fc408, "typec_altmode_attention" },
	{ 0x69f765a8, "typec_cable_set_svdm_version" },
	{ 0xd9ef86eb, "typec_partner_set_identity" },
	{ 0x2df3b82d, "typec_register_cable" },
	{ 0x70ec028f, "typec_cable_set_identity" },
	{ 0x7119d7a2, "typec_cable_is_active" },
	{ 0x3406f86c, "typec_partner_set_svdm_version" },
	{ 0x20eae029, "typec_register_plug" },
	{ 0xd9a4466f, "typec_plug_set_num_altmodes" },
	{ 0x6ee08bd1, "typec_plug_register_altmode" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x28f42571, "kthread_create_worker" },
	{ 0xc0ac8962, "sched_set_fifo" },
	{ 0x623ce03f, "hrtimer_setup" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb17ffcc7, "fw_devlink_purge_absent_suppliers" },
	{ 0x7f13485f, "typec_get_fw_cap" },
	{ 0xd2ea4a39, "fwnode_property_present" },
	{ 0xd9fca33d, "fwnode_get_named_child_node" },
	{ 0xb9c26d1f, "fwnode_get_next_child_node" },
	{ 0xb1ca3625, "fwnode_property_read_u32_array" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x72741cbf, "fwnode_property_read_string" },
	{ 0xf1234a8b, "typec_find_pwr_opmode" },
	{ 0x6b31fbb2, "fwnode_property_read_u8_array" },
	{ 0x1aea8982, "usb_role_switch_get" },
	{ 0x754d539c, "strlen" },
	{ 0x86725ba4, "__dev_fwnode" },
	{ 0x3f1cb413, "devm_power_supply_register" },
	{ 0x50028afe, "fwnode_usb_role_switch_get" },
	{ 0x23a2b2a2, "typec_register_port" },
	{ 0x4fc6bd2f, "typec_port_register_altmodes" },
	{ 0x19a84b09, "typec_port_register_cable_ops" },
	{ 0x63082f27, "typec_set_pwr_opmode" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x911c8743, "seq_read" },
	{ 0x55473fb7, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x5a506143, "kthread_queue_work" },
	{ 0x640fcb76, "typec_unregister_altmode" },
	{ 0x8f7b546c, "typec_get_drvdata" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x21c4dc16, "typec_register_partner" },
	{ 0xe3f74064, "typec_partner_set_usb_power_delivery" },
	{ 0x33719327, "_dev_err" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf9a68ee3, "usb_debug_root" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd898659, "single_open" },
	{ 0x3335abed, "seq_printf" },
	{ 0x1485ac33, "usb_power_delivery_unregister_capabilities" },
	{ 0x5fbdd86f, "devm_kfree" },
	{ 0xc33744d5, "usb_power_delivery_unregister" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x148653, "vsnprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x83dfa7fe, "power_supply_get_drvdata" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xddf376bf, "typec_get_cable_svdm_version" },
	{ 0x35d5a61, "typec_get_negotiated_svdm_version" },
	{ 0x93fae14b, "hrtimer_cancel" },
	{ 0x4102c5e2, "hrtimer_start_range_ns" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa6257a2f, "complete" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd1e680e2, "typec_partner_register_altmode" },
	{ 0x5f5eed35, "typec_set_orientation" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x55b76f76, "typec_set_mode" },
	{ 0x9d4dc852, "typec_set_data_role" },
	{ 0x26a65de7, "typec_set_pwr_role" },
	{ 0x230ab5e9, "typec_set_vconn_role" },
	{ 0x357f7b99, "power_supply_changed" },
	{ 0xe07d454e, "typec_unregister_plug" },
	{ 0x2034bbf1, "typec_unregister_cable" },
	{ 0x2a79eeea, "typec_unregister_partner" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "typec,roles");


MODULE_INFO(srcversion, "68536092301A4EB32BC0839");

MODULE_INFO(suserelease, "SLFO-1.2");
