#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0x055d8b0f, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0x4aa7213c, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0x7d6e0518, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x184d8f80, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x64358b38, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0xd908347c, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x13d101f3, "_gpl");
SYMBOL_CRC(ucsi_create, 0xc1ff21a8, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0x49f992dd, "_gpl");
SYMBOL_CRC(ucsi_register, 0x6c4ee4a0, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0x7443d825, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd1e680e2, "typec_partner_register_altmode" },
	{ 0x7b057239, "typec_partner_set_num_altmodes" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2a79eeea, "typec_unregister_partner" },
	{ 0x63082f27, "typec_set_pwr_opmode" },
	{ 0x70ec028f, "typec_cable_set_identity" },
	{ 0x9e571b9b, "debugfs_attr_read" },
	{ 0x2034bbf1, "typec_unregister_cable" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x33719327, "_dev_err" },
	{ 0x2a261a81, "typec_partner_set_usb_mode" },
	{ 0xf5da5c76, "typec_altmode_update_active" },
	{ 0x330ba121, "device_property_read_u8_array" },
	{ 0xc0ff936f, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x86858eaa, "usb_power_delivery_register_capabilities" },
	{ 0x20eae029, "typec_register_plug" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8ad3ba92, "typec_altmode_set_ops" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0xc33744d5, "usb_power_delivery_unregister" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x9d4dc852, "typec_set_data_role" },
	{ 0x35d5a61, "typec_get_negotiated_svdm_version" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7cf1c951, "typec_altmode_vdm" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc9282fdd, "typec_unregister_port" },
	{ 0x83dfa7fe, "power_supply_get_drvdata" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x23a2b2a2, "typec_register_port" },
	{ 0xd9a4466f, "typec_plug_set_num_altmodes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe3f74064, "typec_partner_set_usb_power_delivery" },
	{ 0x357f7b99, "power_supply_changed" },
	{ 0xe07d454e, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x82b5fad, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6ee08bd1, "typec_plug_register_altmode" },
	{ 0x56e76cc9, "devm_kasprintf" },
	{ 0x3406f86c, "typec_partner_set_svdm_version" },
	{ 0x911c8743, "seq_read" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x640fcb76, "typec_unregister_altmode" },
	{ 0x2df3b82d, "typec_register_cable" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1485ac33, "usb_power_delivery_unregister_capabilities" },
	{ 0x8f7b546c, "typec_get_drvdata" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0xd9ef86eb, "typec_partner_set_identity" },
	{ 0xe8823da4, "power_supply_unregister" },
	{ 0x55473fb7, "single_release" },
	{ 0x26a65de7, "typec_set_pwr_role" },
	{ 0x1c7c2cca, "typec_partner_usb_power_delivery_register" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0xf9a68ee3, "usb_debug_root" },
	{ 0x301f86e7, "device_get_next_child_node" },
	{ 0xd898659, "single_open" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x86725ba4, "__dev_fwnode" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x3fad62ff, "typec_partner_set_pd_revision" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x640c8f92, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x21c4dc16, "typec_register_partner" },
	{ 0xaca3ab4a, "typec_port_set_usb_power_delivery" },
	{ 0x4040c3fb, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xcc88dba5, "typec_port_register_altmode" },
	{ 0xa8f66c08, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x437f0dfb, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x50028afe, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x55b76f76, "typec_set_mode" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x471f9a00, "typec_altmode2port" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x51df8b7a, "usb_power_delivery_register" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "typec,roles");


MODULE_INFO(srcversion, "67A6E8516535755E17340AB");

MODULE_INFO(suserelease, "SLFO-1.2");
