#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vdpa_set_status, "", "");
KSYMTAB_FUNC(__vdpa_alloc_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(__vdpa_register_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_register, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_unregister, "_gpl", "");
KSYMTAB_FUNC(vdpa_get_config, "_gpl", "");
KSYMTAB_FUNC(vdpa_set_config, "_gpl", "");

SYMBOL_CRC(vdpa_set_status, 0xa780c332, "");
SYMBOL_CRC(__vdpa_alloc_device, 0xae43fd2c, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0x9fc0821d, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0x668eb366, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0xcc4fc438, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0x54215753, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0xab8da732, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0xf0b11e4c, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0xf47ebd54, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0x565bd681, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0xa12aafcb, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0xab7093b5, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x343c8959, "device_unregister" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0xb2c92d1, "bus_for_each_dev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa985aeff, "down_read" },
	{ 0xc40bf4ce, "up_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x8d304f20, "nla_put" },
	{ 0x28306963, "genl_unregister_family" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0x16136184, "bus_register" },
	{ 0x797f7724, "genl_register_family" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x173756c, "__init_rwsem" },
	{ 0x4f32143d, "device_initialize" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x238b129c, "netlink_capable" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0xfbe6207f, "genlmsg_put" },
	{ 0x754d539c, "strlen" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x6d896d3c, "netlink_unicast" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x77f5bb81, "down_write" },
	{ 0x264635e1, "up_write" },
	{ 0x10119bb, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x393a8d51, "driver_set_override" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xf74536a0, "bus_find_device" },
	{ 0x3d44dcd8, "device_add" },
	{ 0x45ee0529, "put_device" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A0522936D0657C3EA735B82");

MODULE_INFO(suserelease, "SLFO-1.2");
