#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0x9002cac7, "");
SYMBOL_CRC(w1_remove_master_device, 0x89981b32, "");
SYMBOL_CRC(w1_register_family, 0x2a2aefa0, "");
SYMBOL_CRC(w1_unregister_family, 0x94769f2f, "");
SYMBOL_CRC(w1_touch_bit, 0xc57b86e1, "_gpl");
SYMBOL_CRC(w1_write_8, 0x94e3d350, "_gpl");
SYMBOL_CRC(w1_triplet, 0x7946fd13, "_gpl");
SYMBOL_CRC(w1_read_8, 0xcb32072f, "_gpl");
SYMBOL_CRC(w1_write_block, 0x62c69683, "_gpl");
SYMBOL_CRC(w1_touch_block, 0x4b837eff, "_gpl");
SYMBOL_CRC(w1_read_block, 0xc08ff3ca, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0x738f79b7, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0x62ce9b24, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0x2cb06704, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0x413d866f, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xef53c7b9, "cn_netlink_send_mult" },
	{ 0x45ee0529, "put_device" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x4bf2ef0a, "flush_signals" },
	{ 0xe8bc40c5, "cn_netlink_send" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x33719327, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xff6e59c2, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6270d8b3, "sysfs_create_group" },
	{ 0xd960722a, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd6f020db, "device_register" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x7483e13, "cn_del_callback" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0x23d8e0a9, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x369e7826, "kobject_uevent" },
	{ 0x77c0729f, "hwmon_device_unregister" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa21f91, "cn_add_callback" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x16136184, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x343c8959, "device_unregister" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x89fe7541, "sysfs_remove_groups" },
	{ 0x57ddc487, "sysfs_create_groups" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "356F96E0613B339AC1472F9");

MODULE_INFO(suserelease, "SLFO-1.2");
