#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(configfs_remove_default_groups, "", "");
KSYMTAB_FUNC(configfs_depend_item, "", "");
KSYMTAB_FUNC(configfs_undepend_item, "", "");
KSYMTAB_FUNC(configfs_depend_item_unlocked, "", "");
KSYMTAB_FUNC(configfs_register_group, "", "");
KSYMTAB_FUNC(configfs_unregister_group, "", "");
KSYMTAB_FUNC(configfs_register_default_group, "", "");
KSYMTAB_FUNC(configfs_unregister_default_group, "", "");
KSYMTAB_FUNC(configfs_register_subsystem, "", "");
KSYMTAB_FUNC(configfs_unregister_subsystem, "", "");
KSYMTAB_FUNC(config_item_set_name, "", "");
KSYMTAB_FUNC(config_item_init_type_name, "", "");
KSYMTAB_FUNC(config_group_init_type_name, "", "");
KSYMTAB_FUNC(config_item_get, "", "");
KSYMTAB_FUNC(config_item_get_unless_zero, "", "");
KSYMTAB_FUNC(config_item_put, "", "");
KSYMTAB_FUNC(config_group_init, "", "");
KSYMTAB_FUNC(config_group_find_item, "", "");

SYMBOL_CRC(configfs_remove_default_groups, 0xd70958b6, "");
SYMBOL_CRC(configfs_depend_item, 0x62a6f586, "");
SYMBOL_CRC(configfs_undepend_item, 0x2e03b140, "");
SYMBOL_CRC(configfs_depend_item_unlocked, 0xa77370bb, "");
SYMBOL_CRC(configfs_register_group, 0x6f06ac8b, "");
SYMBOL_CRC(configfs_unregister_group, 0xe760af2a, "");
SYMBOL_CRC(configfs_register_default_group, 0xe12a9068, "");
SYMBOL_CRC(configfs_unregister_default_group, 0xadf2f40d, "");
SYMBOL_CRC(configfs_register_subsystem, 0x7c0edf48, "");
SYMBOL_CRC(configfs_unregister_subsystem, 0x22c6ba36, "");
SYMBOL_CRC(config_item_set_name, 0x97a2a09b, "");
SYMBOL_CRC(config_item_init_type_name, 0x138e505f, "");
SYMBOL_CRC(config_group_init_type_name, 0xc5efe949, "");
SYMBOL_CRC(config_item_get, 0x2f934659, "");
SYMBOL_CRC(config_item_get_unless_zero, 0x88358701, "");
SYMBOL_CRC(config_item_put, 0x6f1a02b3, "");
SYMBOL_CRC(config_group_init, 0x7884654e, "");
SYMBOL_CRC(config_group_find_item, 0x306eec41, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d7ceb72, "path_put" },
	{ 0x73bdb32e, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x428699ec, "simple_inode_init_ts" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b05f75d, "d_drop" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f786bee, "fs_umode_to_dtype" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa0ffb70f, "simple_setattr" },
	{ 0xbb760fde, "simple_unlink" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6857cc3d, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x77f5bb81, "down_write" },
	{ 0x264635e1, "up_write" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb14ef6cd, "kill_litter_super" },
	{ 0xfb578fc5, "memset" },
	{ 0xe71e7af3, "kern_path" },
	{ 0xb232fae5, "sysfs_remove_mount_point" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0x57a67cf3, "ram_aops" },
	{ 0xc93b4a48, "d_delete" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xa985aeff, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x999e8297, "vfree" },
	{ 0x5c988008, "generic_read_dir" },
	{ 0xa0d363c9, "d_add" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x42a8676, "down_write_killable" },
	{ 0x940f8397, "inode_set_ctime_current" },
	{ 0x2f8348cd, "inc_nlink" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xef50d181, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0x597e3467, "generic_delete_inode" },
	{ 0x69dc6f5d, "_copy_from_iter" },
	{ 0xbe498b27, "simple_release_fs" },
	{ 0xf167b448, "d_parent_ino" },
	{ 0x31b0de52, "get_tree_single" },
	{ 0x754d539c, "strlen" },
	{ 0xfbd80098, "inode_permission" },
	{ 0x38bc19cd, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x8cd8fe46, "simple_pin_fs" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xc0c60083, "__d_drop" },
	{ 0x550ebf0, "simple_rmdir" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x173756c, "__init_rwsem" },
	{ 0x490e48ae, "d_instantiate" },
	{ 0x31a59dec, "_copy_to_iter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x39c987c2, "free_inode_nonrcu" },
	{ 0x7bebfd01, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9894396d, "unregister_filesystem" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x4f633cf, "d_alloc_name" },
	{ 0xc8880117, "simple_statfs" },
	{ 0x48c2fa14, "d_make_root" },
	{ 0x5199442b, "always_delete_dentry" },
	{ 0x3462f7cd, "fsnotify" },
	{ 0xfffc6e3b, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2d8a4fc4, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x7707c6ca, "iput" },
	{ 0x6406c71, "kernel_kobj" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x21ccc7c4, "sysfs_create_mount_point" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x148653, "vsnprintf" },
	{ 0x800f9343, "register_filesystem" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "502276C05E849C09BC8EBCC");

MODULE_INFO(suserelease, "SLFO-1.2");
