#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dlm_new_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_release_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_cancel, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_get, "_gpl", "");

SYMBOL_CRC(dlm_new_lockspace, 0xcd224e1d, "_gpl");
SYMBOL_CRC(dlm_release_lockspace, 0xcf9f3328, "_gpl");
SYMBOL_CRC(dlm_lock, 0x8a6c5f1b, "_gpl");
SYMBOL_CRC(dlm_unlock, 0x4b62826c, "_gpl");
SYMBOL_CRC(dlm_posix_lock, 0x1ba425ec, "_gpl");
SYMBOL_CRC(dlm_posix_unlock, 0x1824f800, "_gpl");
SYMBOL_CRC(dlm_posix_cancel, 0xc4de12cf, "_gpl");
SYMBOL_CRC(dlm_posix_get, 0x199e2e6a, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x169c888a, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xdef801a1, "rht_bucket_nested_insert" },
	{ 0xb8903bb3, "iov_iter_bvec" },
	{ 0xe54012d3, "misc_register" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x83047ab5, "rhashtable_destroy" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xa985aeff, "down_read" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0x918431c7, "xa_erase" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0x911c8743, "seq_read" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x42348b13, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x93cd0ba5, "rhashtable_init_noprof" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x138e505f, "config_item_init_type_name" },
	{ 0x7680187a, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x47c20f8a, "refcount_dec_not_one" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0xfea41449, "xa_find" },
	{ 0x6f1a02b3, "config_item_put" },
	{ 0x66ca9904, "seq_write" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x30024cbb, "__srcu_read_unlock" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0x369e7826, "kobject_uevent" },
	{ 0xbf635fd6, "sock_release" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x1be11656, "downgrade_write" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0x55473fb7, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa3528bfb, "tcp_sock_set_nodelay" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd7123d06, "seq_open" },
	{ 0x9bb3d5f9, "__seq_puts" },
	{ 0xa256d729, "xa_find_after" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xd898659, "single_open" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xe37aa324, "sock_bind_add" },
	{ 0x981cf0c7, "locks_copy_lock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0xfaa14df5, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x25eb9e4c, "kset_create_and_add" },
	{ 0xde021df3, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x173756c, "__init_rwsem" },
	{ 0xbca03f0, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d81b71, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x731e57d6, "rt_write_trylock" },
	{ 0x7884654e, "config_group_init" },
	{ 0x306eec41, "config_group_find_item" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xb0e602eb, "memmove" },
	{ 0xb916c778, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0xc309c1df, "sock_set_mark" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7a2a96c7, "bpf_trace_run6" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2f934659, "config_item_get" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xbd0f9e0a, "__xa_erase" },
	{ 0x6ccd8595, "kernel_bind" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x44d71095, "posix_lock_file" },
	{ 0x84dc2356, "kset_unregister" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x6406c71, "kernel_kobj" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x7b55d23f, "__tracepoint_sk_data_ready" },
	{ 0xb701036f, "call_srcu" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xe9e8f1b6, "synchronize_srcu" },
	{ 0xf2b7c359, "kernel_accept" },
	{ 0xd0d06228, "kernel_recvmsg" },
	{ 0x3ddbb68a, "bpf_trace_run8" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0x73d78539, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x22c6ba36, "configfs_unregister_subsystem" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf2a2abfd, "locks_lock_inode_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xc46fc27e, "rt_spin_trylock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2844896, "locks_init_lock" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8375762d, "__free_pages" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6857cc3d, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75a54147, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x77f5bb81, "down_write" },
	{ 0xf1597117, "init_net" },
	{ 0x264635e1, "up_write" },
	{ 0x52978850, "simple_open" },
	{ 0x7c0edf48, "configfs_register_subsystem" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xd70958b6, "configfs_remove_default_groups" },
	{ 0xc4510dc7, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb9b31de8, "xa_load" },
	{ 0x136d2728, "noop_llseek" },
	{ 0x27ab35aa, "__SCK__tp_func_sk_data_ready" },
	{ 0xc5efe949, "config_group_init_type_name" },
	{ 0xae8aebd2, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x41567b7b, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x7a905b8, "seq_putc" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf1e046cc, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x11ae8dd8, "kobject_init_and_add" },
	{ 0x895dfc31, "sock_sendmsg" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5d1358a7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd960722a, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xcf65d8e, "sock_set_rcvbuf" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x84b783, "default_llseek" },
	{ 0x9010dd7e, "sock_set_reuseaddr" },
	{ 0xb40b76aa, "rhashtable_free_and_destroy" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "CA55969B62B16E2B66E043F");

MODULE_INFO(suserelease, "SLFO-1.2");
