#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x63f40d19, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0xec453ce0, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0xd44fecc1, "_gpl");
SYMBOL_CRC(fat_scan, 0xf21346e3, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xa6899b1e, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xba411906, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x98f31935, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x2df272b6, "_gpl");
SYMBOL_CRC(fat_getattr, 0x2fe90576, "_gpl");
SYMBOL_CRC(fat_setattr, 0xbc03ed1c, "_gpl");
SYMBOL_CRC(fat_attach, 0x272fa397, "_gpl");
SYMBOL_CRC(fat_detach, 0x2445a160, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x3e394181, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0x3ff2e966, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0xfee1fea1, "_gpl");
SYMBOL_CRC(fat_param_spec, 0x3641567d, "_gpl");
SYMBOL_CRC(fat_parse_param, 0x3a0c5057, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x0a56088f, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x90c5189f, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0xcc138b20, "_gpl");
SYMBOL_CRC(fat_free_fc, 0x672e6364, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x026dbd1f, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x8e60ce0c, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xec4e7446, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x6f084731, "_gpl");
SYMBOL_CRC(fat_update_time, 0x64284b23, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf82c7e3c, "fs_param_is_u32" },
	{ 0x78d3e2a9, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x8dd6d353, "block_invalidate_folio" },
	{ 0xa4dadead, "__breadahead" },
	{ 0xc84f10f0, "generic_write_end" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x618dd5a4, "load_nls" },
	{ 0x4d946ffe, "generic_cont_expand_simple" },
	{ 0xd7ed981c, "truncate_inode_pages_final" },
	{ 0x7c1851e7, "generic_file_mmap" },
	{ 0xaab38cb1, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xcbdb7489, "ilookup" },
	{ 0xae7b123, "invalidate_inode_buffers" },
	{ 0x64eb543d, "blk_finish_plug" },
	{ 0x7c4ae9ea, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8d24ba99, "mnt_drop_write_file" },
	{ 0x8ff6b09c, "fs_param_is_gid" },
	{ 0x8f8da21e, "inode_init_once" },
	{ 0x2a730987, "compat_ptr_ioctl" },
	{ 0xea00a11, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x3e4a922c, "__brelse" },
	{ 0x77f5bb81, "down_write" },
	{ 0x264635e1, "up_write" },
	{ 0xfe146636, "generic_file_read_iter" },
	{ 0xec59356e, "inode_maybe_inc_iversion" },
	{ 0xac68e423, "truncate_pagecache" },
	{ 0x63fa9e01, "sync_dirty_buffer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6d2d1ad0, "setattr_copy" },
	{ 0xc1a38f48, "__wait_on_buffer" },
	{ 0x1641dcac, "set_nlink" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x19e96d05, "kmem_cache_alloc_lru_noprof" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0xce0d9f62, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8bd15a29, "from_vfsgid" },
	{ 0xfe230969, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc261f720, "d_obtain_alias" },
	{ 0x85a9400a, "__bread_gfp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x612675f2, "block_dirty_folio" },
	{ 0x13ef293, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x76ae9401, "__insert_inode_hash" },
	{ 0xf5b7cea8, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x268c62bd, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa985aeff, "down_read" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x7b656e94, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7d5a8462, "generic_encode_ino32_fh" },
	{ 0xda9ead54, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x436bc9f6, "igrab" },
	{ 0x5c988008, "generic_read_dir" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xdc8ad994, "mpage_readahead" },
	{ 0x6c45b61b, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x538eb2d2, "init_user_ns" },
	{ 0x66ca9904, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x3335abed, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x7e330edf, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xae6592f0, "blkdev_issue_flush" },
	{ 0x6eb91f42, "generic_fh_to_parent" },
	{ 0xaa903c3a, "__fs_parse" },
	{ 0xdd3ae9e1, "filemap_splice_read" },
	{ 0x36cab5e2, "from_kuid_munged" },
	{ 0xad5154ff, "__generic_file_fsync" },
	{ 0xf167b448, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xceff8f29, "__mark_inode_dirty" },
	{ 0x38bc19cd, "generic_file_llseek" },
	{ 0x880850bc, "unload_nls" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x97ed1c7, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x8e6dc854, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x75e62f88, "fs_param_is_uid" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0x3f26c2ef, "blkdev_issue_discard" },
	{ 0x3da1701, "filemap_fdatawrite" },
	{ 0x444cdee8, "generic_fillattr" },
	{ 0xa10bcf6d, "setattr_prepare" },
	{ 0x2b5e64b1, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x173756c, "__init_rwsem" },
	{ 0xd7d3de6, "sync_blockdev_nowait" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xb563a361, "make_vfsgid" },
	{ 0x36824efb, "blk_start_plug" },
	{ 0x6e041218, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcedf677b, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xcdad8617, "fs_param_is_string" },
	{ 0x7bebfd01, "new_inode" },
	{ 0x2b93c74b, "mark_buffer_dirty" },
	{ 0x464a1338, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x1293b707, "__find_get_block" },
	{ 0x373dbe2a, "filemap_fdatawrite_range" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xfd4f13ab, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xad2d06cc, "__blockdev_direct_IO" },
	{ 0x48c2fa14, "d_make_root" },
	{ 0xfd1c15f1, "__bforget" },
	{ 0x4d837285, "sb_set_blocksize" },
	{ 0x46985e9c, "block_truncate_page" },
	{ 0x88e8189c, "write_dirty_buffer" },
	{ 0x1ab185ed, "sync_filesystem" },
	{ 0x3462f7cd, "fsnotify" },
	{ 0xfffc6e3b, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbbefb5d1, "from_vfsuid" },
	{ 0x436c8d27, "inode_dio_wait" },
	{ 0x2d8a4fc4, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x8393e44b, "cont_write_begin" },
	{ 0x7707c6ca, "iput" },
	{ 0xaf7e754c, "fs_param_is_enum" },
	{ 0xdd4721e0, "fs_param_is_s32" },
	{ 0x68385a64, "iter_file_splice_write" },
	{ 0xad48d9de, "fs_param_is_bool" },
	{ 0x116a901c, "generic_file_write_iter" },
	{ 0xfff04abd, "sync_inode_metadata" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc27f870b, "make_vfsuid" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3EB4BC9B3B21FDF6859C3EA");

MODULE_INFO(suserelease, "SLFO-1.2");
