#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0xbb263e49, "");
SYMBOL_CRC(jbd2_journal_start, 0x203f9e30, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x14e4853e, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x822826c5, "");
SYMBOL_CRC(jbd2__journal_restart, 0xdb730e13, "");
SYMBOL_CRC(jbd2_journal_restart, 0xc3c464ab, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x9e1dab84, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x6dab682f, "");
SYMBOL_CRC(jbd2_journal_extend, 0x225d8e10, "");
SYMBOL_CRC(jbd2_journal_stop, 0x7c83d8dc, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x87717986, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0x0223d302, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x7da8ac04, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x8270c4bf, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0x0515c652, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x17fb7b05, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x460c05f3, "");
SYMBOL_CRC(jbd2_journal_forget, 0x410e0006, "");
SYMBOL_CRC(jbd2_journal_flush, 0xb7421c37, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x7c1ed194, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0x9220a097, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x9e658ab1, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0xee0cbda4, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x20f35860, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x4f28152e, "");
SYMBOL_CRC(jbd2_journal_load, 0x107ea35f, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x384d8208, "");
SYMBOL_CRC(jbd2_journal_abort, 0x7b3aa39e, "");
SYMBOL_CRC(jbd2_journal_errno, 0xe56d929e, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0xe6f7cbde, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x602ac968, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0xe6e085a0, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x0401d4a4, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0xa1c4719b, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x0d7e3587, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x7afcce54, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x6924dd6b, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x3605e4a6, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x5887ea42, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x5145871a, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x2edd75e4, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0xec6e302a, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xbfea8d76, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x9ad94410, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x093347a9, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0xb05650c9, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x3b9c79c1, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x72bca545, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x2ae4a6cd, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x371195b2, "");
SYMBOL_CRC(jbd2_complete_transaction, 0xbe23074d, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x96bef7fe, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x7057dbc3, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x4ca2ee8f, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0x4f64ab7f, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0xaf6cbf72, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0xea63a42e, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x3cb3a22b, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x383ca47, "shrinker_free" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x8a1f3eca, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9d2861dc, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcb9bef07, "try_to_free_buffers" },
	{ 0x703b9c53, "sync_blockdev" },
	{ 0x7f57c8ec, "free_buffer_head" },
	{ 0xfdace282, "shrinker_register" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0x64eb543d, "blk_finish_plug" },
	{ 0x7c4ae9ea, "bdev_getblk" },
	{ 0xb8d2d187, "__cond_resched_lock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x98619633, "bit_waitqueue" },
	{ 0xe400dc40, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3e4a922c, "__brelse" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfb529769, "__bh_read_batch" },
	{ 0xae8aebd2, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc1a38f48, "__wait_on_buffer" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0x6ad5eae6, "__bh_read" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x86cf5b94, "blkdev_issue_zeroout" },
	{ 0x26a2ee23, "filemap_fdatawait_range_keep_errors" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x90f58b77, "crypto_shash_update" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5ad1ef3d, "freezing_slow_path" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xefa589cf, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0x911c8743, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0xda9ead54, "unlock_buffer" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xbd1468d, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0xcb8a4261, "remove_proc_entry" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0x7e330edf, "__lock_buffer" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0x7ba1d67, "truncate_inode_pages_range" },
	{ 0xae6592f0, "blkdev_issue_flush" },
	{ 0x15b53a0d, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x18bded0, "end_buffer_write_sync" },
	{ 0xd7123d06, "seq_open" },
	{ 0x1b5f9a4a, "bmap" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0xbaeb8e8c, "crypto_alloc_shash" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0x3f26c2ef, "blkdev_issue_discard" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x87e4c11d, "bh_uptodate_or_lock" },
	{ 0xdf5f361d, "shrinker_alloc" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x36824efb, "blk_start_plug" },
	{ 0xd0d81b71, "bpf_trace_run4" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1eab809c, "folio_unlock" },
	{ 0xb916c778, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x7a2a96c7, "bpf_trace_run6" },
	{ 0x2b93c74b, "mark_buffer_dirty" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x1293b707, "__find_get_block" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0x373dbe2a, "filemap_fdatawrite_range" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0xfd1c15f1, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x88e8189c, "write_dirty_buffer" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x9612cd5b, "prepare_to_wait" },
	{ 0x4df02057, "crc32_be" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7707c6ca, "iput" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5c48d578, "blockdev_superblock" },
	{ 0x7e43bb47, "proc_create_data" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x3ddbb68a, "bpf_trace_run8" },
	{ 0xe4634cb2, "submit_bh" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc8728db, "alloc_buffer_head" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "70CE73C03FDC5985CAE03A6");

MODULE_INFO(suserelease, "SLFO-1.2");
