#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ax25_bcast, "_gpl", "");
KSYMTAB_DATA(ax25_defaddr, "_gpl", "");
KSYMTAB_DATA(null_ax25_address, "", "");
KSYMTAB_FUNC(ax2asc, "", "");
KSYMTAB_FUNC(asc2ax, "", "");
KSYMTAB_FUNC(ax25cmp, "", "");
KSYMTAB_FUNC(ax25_register_pid, "_gpl", "");
KSYMTAB_FUNC(ax25_protocol_release, "", "");
KSYMTAB_FUNC(ax25_linkfail_register, "", "");
KSYMTAB_FUNC(ax25_linkfail_release, "", "");
KSYMTAB_FUNC(ax25_listen_register, "", "");
KSYMTAB_FUNC(ax25_listen_release, "", "");
KSYMTAB_DATA(ax25_header_ops, "", "");
KSYMTAB_FUNC(ax25_ip_xmit, "", "");
KSYMTAB_FUNC(ax25_send_frame, "", "");
KSYMTAB_FUNC(ax25_display_timer, "", "");
KSYMTAB_DATA(ax25_uid_policy, "", "");
KSYMTAB_FUNC(ax25_findbyuid, "", "");
KSYMTAB_FUNC(ax25_find_cb, "", "");

SYMBOL_CRC(ax25_bcast, 0xac93ae05, "_gpl");
SYMBOL_CRC(ax25_defaddr, 0xaeb7451e, "_gpl");
SYMBOL_CRC(null_ax25_address, 0xd43ecbf1, "");
SYMBOL_CRC(ax2asc, 0x53dea1ff, "");
SYMBOL_CRC(asc2ax, 0x4502c65a, "");
SYMBOL_CRC(ax25cmp, 0xc1444946, "");
SYMBOL_CRC(ax25_register_pid, 0x344af19c, "_gpl");
SYMBOL_CRC(ax25_protocol_release, 0x8ede9e26, "");
SYMBOL_CRC(ax25_linkfail_register, 0x65d13995, "");
SYMBOL_CRC(ax25_linkfail_release, 0xd2134333, "");
SYMBOL_CRC(ax25_listen_register, 0x946afcd6, "");
SYMBOL_CRC(ax25_listen_release, 0x71c055dc, "");
SYMBOL_CRC(ax25_header_ops, 0x576467bf, "");
SYMBOL_CRC(ax25_ip_xmit, 0xeb365c09, "");
SYMBOL_CRC(ax25_send_frame, 0x25d8d580, "");
SYMBOL_CRC(ax25_display_timer, 0x14cecd59, "");
SYMBOL_CRC(ax25_uid_policy, 0x242852b9, "");
SYMBOL_CRC(ax25_findbyuid, 0xee02e420, "");
SYMBOL_CRC(ax25_find_cb, 0x3c70845d, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x310e3a08, "skb_queue_purge_reason" },
	{ 0x46017207, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x13356863, "proto_unregister" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1000e51, "schedule" },
	{ 0x4d5c07d3, "sock_register" },
	{ 0xaf8f5d61, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e9c69fd, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0x547ccf6f, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x84770a86, "dev_get_by_name_rcu" },
	{ 0xf1597117, "init_net" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3dd8b689, "dev_remove_pack" },
	{ 0xf398ee77, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x59e03780, "skb_push" },
	{ 0x7a905b8, "seq_putc" },
	{ 0x543ef284, "seq_hlist_start" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5d1358a7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7d13f9d1, "skb_copy_datagram_iter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdd050a0a, "__skb_wait_for_more_packets" },
	{ 0x8b268e5a, "sk_alloc" },
	{ 0xafe91e81, "sock_no_socketpair" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x666426fb, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x61d169a1, "sock_no_mmap" },
	{ 0x349f744b, "netif_rx" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc0dfb14f, "sock_rfree" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0xa069efa7, "sock_i_ino" },
	{ 0xf6acf8d5, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4655cafc, "skb_set_owner_w" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xc27e3380, "sock_alloc_send_pskb" },
	{ 0x66ca9904, "seq_write" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xcb8a4261, "remove_proc_entry" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3335abed, "seq_printf" },
	{ 0x6646c565, "skb_copy" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0x69dc6f5d, "_copy_from_iter" },
	{ 0x17937b97, "sock_gettstamp" },
	{ 0x662e433b, "send_sig" },
	{ 0xba5ca3d7, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x36cab5e2, "from_kuid_munged" },
	{ 0xc67b1fbe, "iov_iter_revert" },
	{ 0x57cd58c3, "proc_create_seq_private" },
	{ 0x2d19ff87, "sock_init_data" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xfaa14df5, "release_sock" },
	{ 0x3131f672, "skb_queue_head" },
	{ 0x1f7347d5, "proc_dointvec_minmax" },
	{ 0x9ccb5761, "security_sock_graft" },
	{ 0xa2db2783, "skb_free_datagram" },
	{ 0x20692f, "sock_queue_rcv_skb_reason" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x54887710, "skb_expand_head" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf911ee79, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x4c357081, "__skb_try_recv_datagram" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x9612cd5b, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CDF83E63D5FA4B8D7D39F55");

MODULE_INFO(suserelease, "SLFO-1.2");
