#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_feat_list_purge, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_nn_get, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_signal_nn_change, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_established, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_state_process, "_gpl", "");
KSYMTAB_DATA(dccp_death_row, "_gpl", "");
KSYMTAB_FUNC(dccp_create_openreq_child, "_gpl", "");
KSYMTAB_FUNC(dccp_check_req, "_gpl", "");
KSYMTAB_FUNC(dccp_child_process, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_init, "_gpl", "");
KSYMTAB_FUNC(dccp_parse_options, "_gpl", "");
KSYMTAB_FUNC(dccp_insert_option, "_gpl", "");
KSYMTAB_FUNC(dccp_sync_mss, "_gpl", "");
KSYMTAB_FUNC(dccp_make_response, "_gpl", "");
KSYMTAB_FUNC(dccp_ctl_make_reset, "_gpl", "");
KSYMTAB_FUNC(dccp_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_send_sync, "_gpl", "");
KSYMTAB_DATA(dccp_statistics, "_gpl", "");
KSYMTAB_DATA(dccp_orphan_count, "_gpl", "");
KSYMTAB_DATA(dccp_hashinfo, "_gpl", "");
KSYMTAB_FUNC(dccp_set_state, "_gpl", "");
KSYMTAB_FUNC(dccp_done, "_gpl", "");
KSYMTAB_FUNC(dccp_packet_name, "_gpl", "");
KSYMTAB_FUNC(dccp_destruct_common, "_gpl", "");
KSYMTAB_FUNC(dccp_init_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_destroy_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_disconnect, "_gpl", "");
KSYMTAB_FUNC(dccp_poll, "_gpl", "");
KSYMTAB_FUNC(dccp_ioctl, "_gpl", "");
KSYMTAB_FUNC(dccp_setsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_getsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_sendmsg, "_gpl", "");
KSYMTAB_FUNC(dccp_recvmsg, "_gpl", "");
KSYMTAB_FUNC(inet_dccp_listen, "_gpl", "");
KSYMTAB_FUNC(dccp_close, "_gpl", "");
KSYMTAB_FUNC(dccp_shutdown, "_gpl", "");
KSYMTAB_FUNC(dccp_timestamp, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_add, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_cleanup, "_gpl", "");

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0xceb16dd5, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0xc6798ea6, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0x7a5e86ae, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0x2831525e, "_gpl");
SYMBOL_CRC(dccp_death_row, 0x692c1fea, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0x06178c64, "_gpl");
SYMBOL_CRC(dccp_check_req, 0x36d22978, "_gpl");
SYMBOL_CRC(dccp_child_process, 0x73d2f661, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0x967ce5fe, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0xccab7a2a, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0x6f8da349, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0x205cdb60, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0xe6fa4773, "_gpl");
SYMBOL_CRC(dccp_make_response, 0x28cb3d9e, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0x3b47cd86, "_gpl");
SYMBOL_CRC(dccp_connect, 0xcced9aa5, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0x5d0db019, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0x2617429a, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0x4dee9ca3, "_gpl");
SYMBOL_CRC(dccp_set_state, 0x80c13b9b, "_gpl");
SYMBOL_CRC(dccp_done, 0xfe63664f, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0xb717cdd2, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0xa538d409, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0xceb23297, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0xa7b181eb, "_gpl");
SYMBOL_CRC(dccp_poll, 0x4e9f7e98, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0x991c18e8, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0xe2516279, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0x8ce49df0, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0xbc661f0c, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0x219f010f, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0x63fbff7f, "_gpl");
SYMBOL_CRC(dccp_close, 0x676fcea7, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0xceac5aed, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29f3802b, "inet_put_port" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x47d531ec, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0xa2795d17, "sk_reset_timer" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0xa4359840, "sk_stream_wait_close" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0xf1597117, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc8032479, "ip6_mtu" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xf398ee77, "sk_free" },
	{ 0x3b60a6b0, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x59e03780, "skb_push" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0x2fa9d304, "proc_doulongvec_minmax" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5d1358a7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x7d13f9d1, "skb_copy_datagram_iter" },
	{ 0xd35424b5, "tcp_stream_memory_free" },
	{ 0x8e958c0d, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x862b0f03, "sk_wait_data" },
	{ 0x1bd1c122, "inet_csk_clone_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xed5268e9, "inet_twsk_hashdance_schedule" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9f7a2fc2, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x647274b2, "inet_csk_listen_start" },
	{ 0x8e4c41e2, "sk_free_unlock_clone" },
	{ 0xc0dfb14f, "sock_rfree" },
	{ 0xd34760c4, "ipv4_mtu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x4655cafc, "skb_set_owner_w" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xc27e3380, "sock_alloc_send_pskb" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0x71328835, "inet_sk_set_state" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0xc35b6aa4, "sk_stream_wait_connect" },
	{ 0x69dc6f5d, "_copy_from_iter" },
	{ 0x6693ab0, "inet_csk_destroy_sock" },
	{ 0xdf1d7a82, "sk_stop_timer" },
	{ 0xba5ca3d7, "unregister_net_sysctl_table" },
	{ 0xbbb38a9, "inet_rtx_syn_ack" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xc67b1fbe, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x753f9a56, "inet_csk_listen_stop" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe4af8d4a, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0xa05f29cc, "inet_csk_complete_hashdance" },
	{ 0xfaa14df5, "release_sock" },
	{ 0x11c9494f, "inet_csk_reqsk_queue_drop" },
	{ 0x1f7347d5, "proc_dointvec_minmax" },
	{ 0xf7839d6b, "inet_hashinfo2_init_mod" },
	{ 0xdd853ba8, "inet_bhash2_reset_saddr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x66e65e98, "inet_ehash_locks_alloc" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0x1e23de1, "sock_wmalloc" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc49971b7, "__kmalloc_node_track_caller_noprof" },
	{ 0x9612cd5b, "prepare_to_wait" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x9f555b39, "proc_dointvec_ms_jiffies" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa76f7c13, "inet_csk_clear_xmit_timers" },
	{ 0x148653, "vsnprintf" },
	{ 0xaf87b635, "inet_twsk_alloc" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1773b87e, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x46017207, "register_net_sysctl_sz" },
	{ 0xada54b2d, "inet_sock_destruct" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4C4A0F686D56AE1D6DAE0AE");

MODULE_INFO(suserelease, "SLFO-1.2");
