#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0x6000c152, "_gpl");
SYMBOL_CRC(dccp_req_err, 0xed29ae6d, "");
SYMBOL_CRC(dccp_v4_send_check, 0x4b6baa37, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0x21b4f275, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0x7e369d6a, "");
SYMBOL_CRC(dccp_v4_conn_request, 0xb3ad2f4c, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0x99db00bd, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0x98e80ad4, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x967ce5fe, "dccp_reqsk_send_ack" },
	{ 0xd0c036f5, "inet_lookup_reuseport" },
	{ 0x369767d7, "__inet_lookup_listener" },
	{ 0x84cd76f, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0xb31984f0, "__skb_ext_del" },
	{ 0x5cce8481, "sock_common_getsockopt" },
	{ 0x454e6d26, "inet_bind" },
	{ 0xc19e25f0, "__inet_inherit_port" },
	{ 0x63fbff7f, "inet_dccp_listen" },
	{ 0x55b5ae97, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x67282142, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x1c7d34ff, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3d92deea, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4a0fa443, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xa750272c, "inet_csk_reqsk_queue_hash_add" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1773b87e, "sk_error_report" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0x1c6e5963, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1f0ba695, "inet_getname" },
	{ 0x7e0944cf, "inet_stream_connect" },
	{ 0x13356863, "proto_unregister" },
	{ 0x3393ffbc, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x409e53dd, "inet_ehashfn" },
	{ 0xcededa4, "inet_twsk_purge" },
	{ 0xfe63664f, "dccp_done" },
	{ 0xa85e8d5a, "inet_release" },
	{ 0x6c1d0da0, "__sk_dst_check" },
	{ 0xa7b181eb, "dccp_disconnect" },
	{ 0xd78af296, "ip_route_output_key_hash" },
	{ 0x547ccf6f, "proto_register" },
	{ 0x9eaa487, "inet_hash" },
	{ 0x2170e5bf, "__sk_receive_skb" },
	{ 0x4e9f7e98, "dccp_poll" },
	{ 0xb81fdcd7, "inet_ctl_sock_create" },
	{ 0x692c1fea, "dccp_death_row" },
	{ 0x46dcefb8, "inet_csk_get_port" },
	{ 0xd87d0ae, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0x498156f1, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0x7b3cb4f9, "inet_accept" },
	{ 0xe6fa4773, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc8032479, "ip6_mtu" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0xc578b725, "inet_add_protocol" },
	{ 0x3792611a, "inet_shutdown" },
	{ 0xf398ee77, "sk_free" },
	{ 0x676fcea7, "dccp_close" },
	{ 0xccab7a2a, "dccp_reqsk_init" },
	{ 0x7d50e3d9, "inet_hash_connect" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0x599f657e, "inet_csk_route_child_sock" },
	{ 0x3232cd5a, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbc18112e, "security_sk_classify_flow" },
	{ 0x8f796d38, "inet_csk_update_pmtu" },
	{ 0x8ce49df0, "dccp_getsockopt" },
	{ 0x6f8da349, "dccp_parse_options" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0x8e958c0d, "skb_checksum" },
	{ 0xafe91e81, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x61d169a1, "sock_no_mmap" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x73d2f661, "dccp_child_process" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6876670, "sock_common_recvmsg" },
	{ 0xe2516279, "dccp_setsockopt" },
	{ 0x991c18e8, "dccp_ioctl" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x482ec96f, "inet_sk_rebuild_header" },
	{ 0xa88f9a6d, "inet_del_protocol" },
	{ 0xd34760c4, "ipv4_mtu" },
	{ 0x219f010f, "dccp_recvmsg" },
	{ 0xc3097489, "inet_sendmsg" },
	{ 0x36d22978, "dccp_check_req" },
	{ 0x6178c64, "dccp_create_openreq_child" },
	{ 0x614a2c99, "inet_csk_prepare_forced_close" },
	{ 0x552d29d, "security_skb_classify_flow" },
	{ 0xce0e216d, "sock_pfree" },
	{ 0x7a5e86ae, "dccp_rcv_established" },
	{ 0x2617429a, "dccp_send_sync" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0xbf635fd6, "sock_release" },
	{ 0x28cb3d9e, "dccp_make_response" },
	{ 0xceb23297, "dccp_destroy_sock" },
	{ 0x3b47cd86, "dccp_ctl_make_reset" },
	{ 0x17937b97, "sock_gettstamp" },
	{ 0xcbb6744e, "sk_setup_caps" },
	{ 0xd1792af6, "ip_build_and_send_pkt" },
	{ 0xbc661f0c, "dccp_sendmsg" },
	{ 0xaa79d36a, "ip_setsockopt" },
	{ 0x4dee9ca3, "dccp_hashinfo" },
	{ 0x6e120c41, "inet_twsk_put" },
	{ 0xb70d8f82, "inet_unhash" },
	{ 0x206b0e34, "ip_getsockopt" },
	{ 0x80c13b9b, "dccp_set_state" },
	{ 0xa538d409, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0x11c9494f, "inet_csk_reqsk_queue_drop" },
	{ 0x217d8e58, "__inet_lookup_established" },
	{ 0xdd853ba8, "inet_bhash2_reset_saddr" },
	{ 0x4edfe80a, "inet_csk_addr2sockaddr" },
	{ 0xc20267c3, "inet_unregister_protosw" },
	{ 0x96ae8991, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xceac5aed, "dccp_shutdown" },
	{ 0x30c44178, "inet_bhash2_update_saddr" },
	{ 0xcced9aa5, "dccp_connect" },
	{ 0x2831525e, "dccp_rcv_state_process" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "67349EA39CB2AF9FCC07215");

MODULE_INFO(suserelease, "SLFO-1.2");
