#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dsa_devlink_param_get, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_param_set, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resources_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_port_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_destroy, "_gpl", "");
KSYMTAB_FUNC(dsa_flush_workqueue, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_find, "_gpl", "");
KSYMTAB_FUNC(dsa_register_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_unregister_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_shutdown, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_suspend, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_resume, "_gpl", "");
KSYMTAB_FUNC(dsa_port_from_netdev, "_gpl", "");
KSYMTAB_FUNC(dsa_fdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_mdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_standalone_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_switch_id, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_source_port, "_gpl", "");
KSYMTAB_FUNC(vid_is_dsa_8021q, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_join, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_leave, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_xmit, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_find_user, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rcv, "_gpl", "");
KSYMTAB_FUNC(dsa_enqueue_skb, "_gpl", "");
KSYMTAB_FUNC(dsa_port_phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(dsa_user_dev_check, "_gpl", "");

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0x6e50d33a, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0x21caed56, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0x09655d35, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0x9b1a8ccd, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0xe7a8e2cc, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0x3c6e4c67, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0x9296e21c, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0x01089758, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0x4d7f40ea, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0x2f8ca237, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0x56ac4de5, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0x6d0a6472, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0x626cee28, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0xa02e8ba6, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0xf255fee4, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0x4a8aa6a0, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0x95d9fefd, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0x2850fa42, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0xafe88f6a, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0xefd35578, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0x705eac7c, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0x0341273b, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0xc6ff5548, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0x792e7540, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0x5324eb4c, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0xfd7c5d1e, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_user, 0xfc82f937, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0x8f070304, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0x134b727e, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0x5a8d5ada, "_gpl");
SYMBOL_CRC(dsa_user_dev_check, 0x22094a0e, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29c7acca, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x45ee0529, "put_device" },
	{ 0x99b414f8, "devlink_resource_register" },
	{ 0xe4f61b54, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0xba06c412, "netif_device_detach" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6456b14, "switchdev_bridge_port_offload" },
	{ 0x464b9c63, "netif_device_attach" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0x6857cc3d, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf7518b37, "ptp_classify_raw" },
	{ 0x1fd06c13, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x7a4d5f4f, "devlink_region_create" },
	{ 0xaebc0749, "vlan_dev_real_dev" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x40c784b4, "__dev_get_by_index" },
	{ 0xbd918098, "rtnl_link_unregister" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x9be2091a, "devlink_port_unregister" },
	{ 0x33719327, "_dev_err" },
	{ 0xf1597117, "init_net" },
	{ 0x33490523, "noop_qdisc" },
	{ 0x696d42d4, "phy_ethtool_get_strings" },
	{ 0x45d44bc7, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x3914c49a, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x3dd8b689, "dev_remove_pack" },
	{ 0xae8aebd2, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x997c7031, "gro_cells_receive" },
	{ 0x8287c95d, "switchdev_handle_port_obj_del_foreign" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x59e03780, "skb_push" },
	{ 0xe4b56a1e, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0xd02809b8, "dev_mc_del" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x776cc9a9, "br_vlan_get_info" },
	{ 0x653194b1, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb40f3a02, "mdiobus_free" },
	{ 0x6270d8b3, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa23cfcc9, "devlink_resource_occ_get_register" },
	{ 0xffba72b5, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xdd40ce26, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0xd0b5bf88, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xe3c81a85, "switchdev_bridge_port_unoffload" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5ca9ef8d, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0xbbfa6de5, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x349f744b, "netif_rx" },
	{ 0x81bd9f5c, "dev_mc_add" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb3bcf772, "flow_block_cb_alloc" },
	{ 0xd07bffb9, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x92225dd3, "__dynamic_netdev_dbg" },
	{ 0x23d8e0a9, "sysfs_remove_group" },
	{ 0xa84803aa, "net_selftest" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0xa8e44c6a, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0x7985f8ab, "devlink_port_init" },
	{ 0xc9a3996c, "__netpoll_setup" },
	{ 0xf6acf8d5, "__dev_queue_xmit" },
	{ 0x119b8354, "vlan_vid_add" },
	{ 0x80d2187e, "devlink_params_register" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xeb531aef, "br_vlan_get_info_rcu" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0x83c01a34, "vlan_vid_del" },
	{ 0x132fd925, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x6d57ba6d, "devlink_resources_unregister" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x6d3a49d8, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xba61bfe9, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xdf1e7caf, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x54ba53bc, "devlink_port_region_create" },
	{ 0x56accdf1, "devlink_priv" },
	{ 0x6646c565, "skb_copy" },
	{ 0x269c07ff, "__hw_addr_sync_dev" },
	{ 0x18551bd6, "devlink_port_register_with_ops" },
	{ 0xeb515ab2, "mdiobus_get_phy" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xcee9a939, "__mdiobus_register" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xafa5e50c, "dev_uc_add" },
	{ 0x4050ab3d, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf45b9320, "br_mst_enabled" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0xa6015c20, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x2e4a9cb0, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0xed0fefc, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0x2d87920d, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xa0653200, "dcb_ieee_setapp" },
	{ 0xe55a0830, "phy_ethtool_get_sset_count" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3957c8e7, "__skb_vlan_pop" },
	{ 0xd1982c66, "phylink_connect_phy" },
	{ 0xbb73b075, "br_get_ageing_time" },
	{ 0xeb60b8ef, "register_netdevice" },
	{ 0xc2b91464, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0xa2c88188, "netdev_lower_get_next" },
	{ 0x52f232bd, "flow_block_cb_lookup" },
	{ 0xc2616004, "switchdev_handle_port_obj_add_foreign" },
	{ 0xe0f0515e, "devlink_resource_occ_get_unregister" },
	{ 0x354b78dc, "dev_set_mtu" },
	{ 0xe4bbef15, "br_vlan_enabled" },
	{ 0x8d15063, "__skb_pad" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa0102472, "skb_ensure_writable_head_tail" },
	{ 0xd0d81b71, "bpf_trace_run4" },
	{ 0xb5943313, "devlink_unregister" },
	{ 0xf583f1a1, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x9c90d69c, "br_port_flag_is_set" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa4c15cf1, "call_switchdev_notifiers" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x61534d87, "br_port_get_stp_state" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xf911ee79, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xaa1d521a, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x19f962f, "__netpoll_free" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0xea3be39d, "br_vlan_get_proto" },
	{ 0xc6f4556, "br_mst_get_state" },
	{ 0x69492855, "unregister_netdev" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0xfe3073e8, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5485c736, "netpoll_send_skb" },
	{ 0x17931dd5, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xe07e8840, "devlink_params_unregister" },
	{ 0xb086a20d, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x38dd9ed7, "devlink_alloc_ns" },
	{ 0x7f8a304f, "dev_set_promiscuity" },
	{ 0xa705fd3d, "devlink_register" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf305c792, "devlink_free" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x29a46790, "gro_cells_init" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0xa1cbdf5e, "netdev_warn" },
	{ 0xb27e097b, "unregister_netdevice_queue" },
	{ 0x1a2f220, "get_device" },
	{ 0xba13c3f3, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xc55906, "ether_setup" },
	{ 0xb5aaa2bb, "switchdev_handle_fdb_event_to_device" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0x695afa95, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x166b95ec, "netdev_upper_dev_link" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0xd4c80e8b, "switchdev_handle_port_attr_set" },
	{ 0x3d3c6ae9, "phylink_create" },
	{ 0xe76739a, "vlan_for_each" },
	{ 0x8560b8e1, "netdev_port_same_parent_id" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf14da2c6, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d3b8414, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "01906B75BC6D6A4BB613E47");

MODULE_INFO(suserelease, "SLFO-1.2");
