#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0x484f536a, "");
SYMBOL_CRC(is_hsr_master, 0xaa1d521a, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfbe6207f, "genlmsg_put" },
	{ 0x659f9e06, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f8a304f, "dev_set_promiscuity" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xa1cbdf5e, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb27e097b, "unregister_netdevice_queue" },
	{ 0x3f8314b6, "netlink_ack" },
	{ 0x6b8b6841, "__pskb_copy_fclone" },
	{ 0x59c914fd, "dev_uc_unsync" },
	{ 0xc55906, "ether_setup" },
	{ 0x15b95f19, "netlink_broadcast_filtered" },
	{ 0x695afa95, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x166b95ec, "netdev_upper_dev_link" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x77f2fd78, "netdev_rx_handler_unregister" },
	{ 0x933f0fa7, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9ab26ac0, "skb_copy_expand" },
	{ 0x40c784b4, "__dev_get_by_index" },
	{ 0xbd918098, "rtnl_link_unregister" },
	{ 0xf1597117, "init_net" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x6d896d3c, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6c88aae8, "dev_get_by_index_rcu" },
	{ 0xd397c945, "netdev_printk" },
	{ 0x59e03780, "skb_push" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0xe4b56a1e, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xfeb62830, "netdev_set_operstate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x349f744b, "netif_rx" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x911c8743, "seq_read" },
	{ 0x664b7fea, "debugfs_rename" },
	{ 0xf6acf8d5, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9db965fe, "call_netdevice_notifiers" },
	{ 0x132fd925, "dev_set_allmulti" },
	{ 0x66ca9904, "seq_write" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xba61bfe9, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3335abed, "seq_printf" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0xbe2d6696, "netif_carrier_on" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x381f3d6f, "netdev_rx_handler_register" },
	{ 0x55473fb7, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x28306963, "genl_unregister_family" },
	{ 0x643d19b1, "dev_disable_lro" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0xd898659, "single_open" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x328c5d73, "dev_mc_unsync" },
	{ 0x797f7724, "genl_register_family" },
	{ 0x30d51e1b, "netdev_core_stats_inc" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x8b3f301, "netdev_info" },
	{ 0xe9d5f336, "dev_mc_sync_multiple" },
	{ 0xeb60b8ef, "register_netdevice" },
	{ 0x354b78dc, "dev_set_mtu" },
	{ 0x8d15063, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x8d9519e1, "eth_header" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x52d5adfe, "netdev_update_features" },
	{ 0xb0e602eb, "memmove" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x17931dd5, "rtnl_link_register" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DFE0155B192BFF436127649");

MODULE_INFO(suserelease, "SLFO-1.2");
