#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_parent, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_child, "_gpl", "");
KSYMTAB_FUNC(cfg802154_get_free_short_addr, "_gpl", "");
KSYMTAB_FUNC(cfg802154_set_max_associations, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x457e073c, "");
SYMBOL_CRC(wpan_phy_for_each, 0x5ad48993, "");
SYMBOL_CRC(wpan_phy_new, 0xe9b40930, "");
SYMBOL_CRC(wpan_phy_register, 0xba1beb16, "");
SYMBOL_CRC(wpan_phy_unregister, 0xce942293, "");
SYMBOL_CRC(wpan_phy_free, 0x23ff3020, "");
SYMBOL_CRC(ieee802154_hdr_push, 0xd6df8089, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0x248bcdff, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0xcf6b65fa, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x7f5cecfe, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0x017442ab, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x24770d00, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x5aa51c93, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0xe78fb319, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0x204f9c1c, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0xfed90578, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0xaf45b213, "_gpl");
SYMBOL_CRC(cfg802154_device_is_parent, 0xaaec85e3, "_gpl");
SYMBOL_CRC(cfg802154_device_is_child, 0xc24ac857, "_gpl");
SYMBOL_CRC(cfg802154_get_free_short_addr, 0x12d3c239, "_gpl");
SYMBOL_CRC(cfg802154_set_max_associations, 0xf1726ebf, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0x8d304f20, "nla_put" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x967c4bd0, "unregister_pernet_device" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0x2e9c96c7, "device_del" },
	{ 0xd9edf9f9, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0xd1bff884, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8d443b13, "get_net_ns_by_pid" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xda578269, "device_match_name" },
	{ 0x250847f5, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x28306963, "genl_unregister_family" },
	{ 0x754d539c, "strlen" },
	{ 0x797f7724, "genl_register_family" },
	{ 0x7f794264, "__dev_change_net_namespace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x41191db1, "register_pernet_device" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x48f5c802, "get_net_ns_by_fd" },
	{ 0xe99bba1f, "class_register" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x2ff2eaef, "class_find_device" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d81b71, "bpf_trace_run4" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x4c7d8b6c, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4f32143d, "device_initialize" },
	{ 0xfbe6207f, "genlmsg_put" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x1a2f220, "get_device" },
	{ 0x15b95f19, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x441426b9, "device_rename" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x45ee0529, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x455ebde3, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x40c784b4, "__dev_get_by_index" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0xf1597117, "init_net" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3d44dcd8, "device_add" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x6d896d3c, "netlink_unicast" },
	{ 0x745ac523, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "41E7773C1AA1DB2EE13E023");

MODULE_INFO(suserelease, "SLFO-1.2");
