#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(esp_output_head, "_gpl", "");
KSYMTAB_FUNC(esp_output_tail, "_gpl", "");
KSYMTAB_FUNC(esp_input_done2, "_gpl", "");

SYMBOL_CRC(esp_output_head, 0xe32fe49a, "_gpl");
SYMBOL_CRC(esp_output_tail, 0x14a825ca, "_gpl");
SYMBOL_CRC(esp_input_done2, 0xbd975ae1, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f2d2f6c, "crypto_aead_setkey" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9b5265e5, "xfrm_state_lookup" },
	{ 0xf85c953f, "ipv4_redirect" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc66ab3f, "__xfrm_state_destroy" },
	{ 0xfea85ff4, "ipv4_update_pmtu" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe229fc1c, "napi_pp_put_page" },
	{ 0xbada6f58, "__put_devmap_managed_folio_refs" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0x37a0cba, "kfree" },
	{ 0xf398ee77, "sk_free" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0x5c385fe7, "km_new_mapping" },
	{ 0xba13c3f3, "skb_pull_rcsum" },
	{ 0x8e958c0d, "skb_checksum" },
	{ 0x3b7b4d4f, "___pskb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7e9ad616, "xfrm_input_resume" },
	{ 0xab27253, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x40dcf6d6, "skb_to_sgvec" },
	{ 0x7fa3ddcb, "crypto_aead_decrypt" },
	{ 0x59e03780, "skb_push" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x217d8e58, "__inet_lookup_established" },
	{ 0x4c29f9e2, "tcp_is_ulp_esp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xce7e1e0b, "espintcp_push_skb" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb7c7565, "espintcp_queue_out" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xa6a0fd68, "pskb_put" },
	{ 0xfb578fc5, "memset" },
	{ 0x158162b6, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xccbab0c, "xfrm_dev_resume" },
	{ 0xf2dd1d2c, "xfrm_output_resume" },
	{ 0xb31984f0, "__skb_ext_del" },
	{ 0xcc2e4eec, "xfrm_trans_queue_net" },
	{ 0x3a3a14a9, "crypto_aead_encrypt" },
	{ 0x5ab58a3d, "xfrm_state_mtu" },
	{ 0x48816ed4, "xfrm4_rcv" },
	{ 0x12147fdc, "xfrm_input" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2c722052, "xfrm_register_type" },
	{ 0x92997ed8, "_printk" },
	{ 0x72db5909, "xfrm4_protocol_register" },
	{ 0x9bc00f2d, "xfrm_unregister_type" },
	{ 0x8a1f3eca, "crypto_destroy_tfm" },
	{ 0x40fbf707, "xfrm4_protocol_deregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xced99116, "crypto_alloc_aead" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xcd4b3a77, "crypto_aead_setauthsize" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "9050089B5A6C767B94139A3");

MODULE_INFO(suserelease, "SLFO-1.2");
