#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0xa6f534f7, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0x0ed7a295, "");
SYMBOL_CRC(ip_tunnel_rcv, 0x313c663b, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0xb556fcd3, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0xbd20ce21, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x9fbdd23b, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0xc8baadee, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x665ecbc4, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xa400b272, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x7f835b87, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xfca8744d, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x6c7692e8, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0xd47f973b, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x09d7612b, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0xeedf1824, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x286d9a55, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x6efa73c4, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x24b17dbb, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x59a2166e, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0xf8dda596, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0xa0d65abf, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x14c8ca51, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x075dc6e9, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0xb3c5289d, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8a2bf6df, "iptun_encaps" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x754d539c, "strlen" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf14da2c6, "alloc_netdev_mqs" },
	{ 0xeb60b8ef, "register_netdevice" },
	{ 0x653194b1, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb27e097b, "unregister_netdevice_queue" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x29a46790, "gro_cells_init" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc8032479, "ip6_mtu" },
	{ 0xc765b51f, "icmpv6_ndo_send" },
	{ 0xb9d6ea7f, "icmp_ndo_send" },
	{ 0xd34760c4, "ipv4_mtu" },
	{ 0x4a0fa443, "ip_route_output_flow" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0x40c784b4, "__dev_get_by_index" },
	{ 0xd047d131, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0x9446dbc9, "netdev_state_change" },
	{ 0x43c9f1fa, "ns_capable" },
	{ 0x354b78dc, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf1597117, "init_net" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x313cae22, "dst_cache_get_ip4" },
	{ 0xb4ecc9aa, "dst_cache_set_ip4" },
	{ 0x386a4a2f, "__skb_get_hash_net" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x4e7c49b1, "iptunnel_xmit" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0x63a43ec2, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc1d6dd3c, "skb_scrub_packet" },
	{ 0x997c7031, "gro_cells_receive" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CFB6EEDCD2FB3BFD514F1CE");

MODULE_INFO(suserelease, "SLFO-1.2");
