#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x13bc8f5a, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0xd249da80, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x019d9d97, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0xccacc4a8, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0xd0cce62d, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0xc2e8b517, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x540de23c, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0xe59d10ea, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0xf2f22e2a, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0xec929c80, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5a1fc02, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x41567b7b, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4e7c49b1, "iptunnel_xmit" },
	{ 0x8d304f20, "nla_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x169c888a, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf107d26e, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x92225dd3, "__dynamic_netdev_dbg" },
	{ 0x313cae22, "dst_cache_get_ip4" },
	{ 0x7680187a, "sock_create_kern" },
	{ 0x9db965fe, "call_netdevice_notifiers" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x30098b59, "metadata_dst_alloc" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0xbf635fd6, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa7fe24eb, "sock_bindtoindex" },
	{ 0x349cba85, "strchr" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb4ecc9aa, "dst_cache_set_ip4" },
	{ 0x6ccd8595, "kernel_bind" },
	{ 0x15da6ba2, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0xa1cbdf5e, "netdev_warn" },
	{ 0xd9cb60b3, "udp_tunnel_nic_ops" },
	{ 0x4a0fa443, "ip_route_output_flow" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5058CADAAA947D3980ECE6F");

MODULE_INFO(suserelease, "SLFO-1.2");
