#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x0e40fb25, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xda438fc9, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xec6e5bd8, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0xb58b0bdf, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x59933e98, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x7e5ef3c1, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xdfc4885e, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x93ff9b13, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x782b9c1c, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xd47ec67a, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xde827b44, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x0325bc0e, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x29a46790, "gro_cells_init" },
	{ 0xc6ac5c0, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xf1597117, "init_net" },
	{ 0xf14da2c6, "alloc_netdev_mqs" },
	{ 0x96d19db4, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x653194b1, "free_netdev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbd918098, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0xeb60b8ef, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x9446dbc9, "netdev_state_change" },
	{ 0x43c9f1fa, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8e9c69fd, "make_kuid" },
	{ 0x9a251f48, "ip6_redirect" },
	{ 0xbe37f264, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1486bb95, "ip6_route_output_flags" },
	{ 0x7f84c9c, "xfrm_lookup" },
	{ 0x2e7436ef, "dst_cache_get" },
	{ 0xc8032479, "ip6_mtu" },
	{ 0xc1d6dd3c, "skb_scrub_packet" },
	{ 0x740cd1c5, "skb_realloc_headroom" },
	{ 0x4655cafc, "skb_set_owner_w" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0x81d63632, "ipv6_push_frag_opts" },
	{ 0x59e03780, "skb_push" },
	{ 0xb25f34a7, "ip6_local_out" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x90c997d1, "dst_cache_set_ip6" },
	{ 0xb971f9ad, "ipv6_dev_get_saddr" },
	{ 0xc2dd6de7, "ip6_dst_hoplimit" },
	{ 0x63a43ec2, "neigh_destroy" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xd34760c4, "ipv4_mtu" },
	{ 0xd7e28eae, "iptunnel_handle_offloads" },
	{ 0xc765b51f, "icmpv6_ndo_send" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xb9d6ea7f, "icmp_ndo_send" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x59585938, "icmp6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x997c7031, "gro_cells_receive" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1c7d34ff, "__xfrm_policy_check" },
	{ 0xf09f6aca, "__iptunnel_pull_header" },
	{ 0x30098b59, "metadata_dst_alloc" },
	{ 0xb31984f0, "__skb_ext_del" },
	{ 0x4a0fa443, "ip_route_output_flow" },
	{ 0xfdf1183c, "ip_route_input_noref" },
	{ 0xe0701d48, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xbbfa6de5, "dev_get_tstats64" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdb836806, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x35b5999e, "ipv6_chk_addr_and_flags" },
	{ 0x6c88aae8, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x41191db1, "register_pernet_device" },
	{ 0xaccccf7b, "xfrm6_tunnel_register" },
	{ 0x17931dd5, "rtnl_link_register" },
	{ 0x4447bf6a, "xfrm6_tunnel_deregister" },
	{ 0x967c4bd0, "unregister_pernet_device" },
	{ 0x8d304f20, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb27e097b, "unregister_netdevice_queue" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0x593d7f0d, "rt6_lookup" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0x40c784b4, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "64A3E46B6538E4E177AAFF9");

MODULE_INFO(suserelease, "SLFO-1.2");
