#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip6t_alloc_initial_table, "_gpl", "");
KSYMTAB_FUNC(ip6t_register_table, "", "");
KSYMTAB_FUNC(ip6t_unregister_table_pre_exit, "", "");
KSYMTAB_FUNC(ip6t_unregister_table_exit, "", "");
KSYMTAB_FUNC(ip6t_do_table, "", "");

SYMBOL_CRC(ip6t_alloc_initial_table, 0x37d6b6ec, "_gpl");
SYMBOL_CRC(ip6t_register_table, 0xbcb93079, "");
SYMBOL_CRC(ip6t_unregister_table_pre_exit, 0x32fe06fb, "");
SYMBOL_CRC(ip6t_unregister_table_exit, 0xdc9dd654, "");
SYMBOL_CRC(ip6t_do_table, 0xc561f936, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc7fae024, "xt_compat_calc_jump" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x959a6085, "xt_proto_fini" },
	{ 0xb3d08358, "xt_proto_init" },
	{ 0x1478dce6, "nf_unregister_sockopt" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x9c995c69, "xt_percpu_counter_alloc" },
	{ 0x49e62f18, "xt_request_find_match" },
	{ 0x4b5e25f1, "xt_check_match" },
	{ 0x6857cc3d, "module_put" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbfacb837, "xt_percpu_counter_free" },
	{ 0xf056a37e, "xt_request_find_target" },
	{ 0x523f03b9, "xt_check_target" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x462bdd98, "xt_request_find_table_lock" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x5c2ee07a, "xt_table_unlock" },
	{ 0xd1e246a2, "xt_compat_unlock" },
	{ 0xa7c94f1d, "xt_compat_lock" },
	{ 0x4e27719, "xt_compat_flush_offsets" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x807d2b2c, "xt_recseq" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xc631d659, "xt_find_table_lock" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0xe40f6c4b, "xt_compat_match_to_user" },
	{ 0x999e8297, "vfree" },
	{ 0xd3c152e7, "xt_compat_target_to_user" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xd3fcc511, "xt_tee_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x45f775b8, "ipv6_find_hdr" },
	{ 0x70c52dc5, "nf_skb_duplicated" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf1b4c25c, "nf_log_trace" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x43c9f1fa, "ns_capable" },
	{ 0xddf68fc6, "xt_find_revision" },
	{ 0xb4b04dfb, "xt_match_to_user" },
	{ 0x8460fe2b, "xt_target_to_user" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8dd4b929, "xt_unregister_table" },
	{ 0xe204e042, "xt_free_table_info" },
	{ 0xcb3e91cc, "xt_counters_alloc" },
	{ 0xd08d3bad, "xt_replace_table" },
	{ 0xd7f5fcd, "xt_alloc_entry_offsets" },
	{ 0xd87ae60d, "xt_check_entry_offsets" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3bf9d084, "xt_check_table_hooks" },
	{ 0xfef779fa, "xt_find_jump_offset" },
	{ 0x977fd4bf, "xt_alloc_table_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6cdceb91, "xt_register_table" },
	{ 0x25f2b2c8, "kmemdup_array" },
	{ 0x4fa4351a, "nf_register_net_hooks" },
	{ 0xa25fc115, "xt_compat_check_entry_offsets" },
	{ 0xfb578fc5, "memset" },
	{ 0xa8b761f2, "xt_compat_match_from_user" },
	{ 0x5a2a6a22, "xt_compat_target_from_user" },
	{ 0xf6abeb06, "xt_copy_counters" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9c9235d8, "xt_find_table" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x5bfa8e0d, "nf_unregister_net_hooks" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0x1795ef67, "xt_register_targets" },
	{ 0x819c4d57, "nf_register_sockopt" },
	{ 0x9d6f0105, "xt_unregister_targets" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0x50873741, "xt_compat_init_offsets" },
	{ 0xebc9920e, "xt_compat_match_offset" },
	{ 0x84613de1, "xt_compat_target_offset" },
	{ 0x823edea5, "xt_compat_add_offset" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "x_tables");


MODULE_INFO(srcversion, "07F291F1812F3464339005B");

MODULE_INFO(suserelease, "SLFO-1.2");
