#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_v3_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_v2_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0xf4ec7524, "_gpl");
SYMBOL_CRC(l2tp_tunnel_put, 0x3b204333, "_gpl");
SYMBOL_CRC(l2tp_session_put, 0x4cdb779d, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x00f69b97, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_next, 0xe9d3f785, "_gpl");
SYMBOL_CRC(l2tp_v3_session_get, 0x8e5fd71e, "_gpl");
SYMBOL_CRC(l2tp_v2_session_get, 0x850ce3c4, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x0adc18fd, "_gpl");
SYMBOL_CRC(l2tp_session_get_next, 0xc17c0dce, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xe528a7a6, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0xece7dbcc, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0xbe992a15, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x037705ad, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0xc7d96e1b, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x48dd5483, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x5ae20519, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x7b43da8d, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x58a7dd8b, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x8ab4d3c1, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x42751bbf, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x1773b87e, "sk_error_report" },
	{ 0x4b2c11cf, "ip_icmp_error" },
	{ 0xadfe7ce8, "ipv6_icmp_error" },
	{ 0x92997ed8, "_printk" },
	{ 0x41191db1, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x967c4bd0, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7680187a, "sock_create_kern" },
	{ 0x6ccd8595, "kernel_bind" },
	{ 0x169c888a, "kernel_connect" },
	{ 0x1a319337, "udp_sock_create6" },
	{ 0x41567b7b, "kernel_sock_shutdown" },
	{ 0xbf635fd6, "sock_release" },
	{ 0x13bc8f5a, "udp_sock_create4" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x41229c10, "idr_for_each" },
	{ 0xe78c1cdf, "idr_destroy" },
	{ 0xafeb4362, "idr_get_next_ul" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf398ee77, "sk_free" },
	{ 0xe4ef0a16, "idr_replace" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0x37a0cba, "kfree" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x333051c0, "idr_find" },
	{ 0x15da6ba2, "udp_set_csum" },
	{ 0x96ae8991, "ip_queue_xmit" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0x4936a06a, "udp6_set_csum" },
	{ 0x5030d8ed, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0x7501fbbb, "idr_alloc_u32" },
	{ 0x217ab486, "sockfd_lookup" },
	{ 0x5d1358a7, "lock_sock_nested" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0xfaa14df5, "release_sock" },
	{ 0xc794f8c, "fput" },
	{ 0xd249da80, "setup_udp_tunnel_sock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "DED7F0743002865D2427A3C");

MODULE_INFO(suserelease, "SLFO-1.2");
