#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mpls_output_possible, "_gpl", "");
KSYMTAB_FUNC(mpls_dev_mtu, "_gpl", "");
KSYMTAB_FUNC(mpls_pkt_too_big, "_gpl", "");
KSYMTAB_FUNC(mpls_stats_inc_outucastpkts, "_gpl", "");
KSYMTAB_FUNC(nla_put_labels, "_gpl", "");
KSYMTAB_FUNC(nla_get_labels, "_gpl", "");

SYMBOL_CRC(mpls_output_possible, 0xe705ddb3, "_gpl");
SYMBOL_CRC(mpls_dev_mtu, 0x86a6fe48, "_gpl");
SYMBOL_CRC(mpls_pkt_too_big, 0xda12fb4c, "_gpl");
SYMBOL_CRC(mpls_stats_inc_outucastpkts, 0x94ad5704, "_gpl");
SYMBOL_CRC(nla_put_labels, 0xb54ee62e, "_gpl");
SYMBOL_CRC(nla_get_labels, 0xde3cca7e, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe5e4d18, "rtnl_af_register" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x434baa95, "rtnl_set_sk_err" },
	{ 0xcd0ed6e4, "rtnl_unicast" },
	{ 0x639cb360, "nla_reserve_64bit" },
	{ 0x4dd26050, "ip_valid_fib_dump_req" },
	{ 0x40c784b4, "__dev_get_by_index" },
	{ 0x5a1fc02, "ipv6_stub" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xffec088c, "nla_reserve_nohdr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3f892e4b, "rtnl_af_unregister" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x3dd8b689, "dev_remove_pack" },
	{ 0x745ac523, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x59e03780, "skb_push" },
	{ 0x8d304f20, "nla_put" },
	{ 0x1a4efd5a, "__rtnl_register_many" },
	{ 0xcd279169, "nla_find" },
	{ 0xe9f4efdb, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbd20ce21, "ip_tunnel_encap_del_ops" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0xf107d26e, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xfea41449, "xa_find" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xf494fe3a, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa8e69db7, "proc_dointvec" },
	{ 0xba5ca3d7, "unregister_net_sysctl_table" },
	{ 0xd547fe47, "dev_get_flags" },
	{ 0x3d01e89b, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x1f7347d5, "proc_dointvec_minmax" },
	{ 0xb2c4b2c5, "netlink_strict_get_check" },
	{ 0xb556fcd3, "ip_tunnel_encap_add_ops" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf583f1a1, "__nlmsg_put" },
	{ 0xee716992, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xf911ee79, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbe126afa, "nla_reserve" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x3dae00ec, "neigh_xmit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4a0fa443, "ip_route_output_flow" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0x46017207, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel");


MODULE_INFO(srcversion, "7871040889280F00630AE35");

MODULE_INFO(suserelease, "SLFO-1.2");
