#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_set_type_register, "_gpl", "");
KSYMTAB_FUNC(ip_set_type_unregister, "_gpl", "");
KSYMTAB_FUNC(ip_set_alloc, "_gpl", "");
KSYMTAB_FUNC(ip_set_free, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr4, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr6, "_gpl", "");
KSYMTAB_FUNC(ip_set_init_comment, "_gpl", "");
KSYMTAB_DATA(ip_set_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_elem_len, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_match_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_test, "_gpl", "");
KSYMTAB_FUNC(ip_set_add, "_gpl", "");
KSYMTAB_FUNC(ip_set_del, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_byname, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_name_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_get_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_put, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_flags, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip4_port, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip6_port, "_gpl", "");
KSYMTAB_DATA(ip_set_netmask_map, "_gpl", "");
KSYMTAB_DATA(ip_set_hostmask_map, "_gpl", "");
KSYMTAB_FUNC(ip_set_range_to_cidr, "_gpl", "");

SYMBOL_CRC(ip_set_type_register, 0x15cbbf8c, "_gpl");
SYMBOL_CRC(ip_set_type_unregister, 0x8e90dabd, "_gpl");
SYMBOL_CRC(ip_set_alloc, 0xf3b4d4ae, "_gpl");
SYMBOL_CRC(ip_set_free, 0x397f6231, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr4, 0xa293f8a6, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr6, 0x9e98722b, "_gpl");
SYMBOL_CRC(ip_set_init_comment, 0x7151856b, "_gpl");
SYMBOL_CRC(ip_set_extensions, 0xc439de56, "_gpl");
SYMBOL_CRC(ip_set_elem_len, 0xec10a157, "_gpl");
SYMBOL_CRC(ip_set_get_extensions, 0xc0e19cf4, "_gpl");
SYMBOL_CRC(ip_set_put_extensions, 0x7365460a, "_gpl");
SYMBOL_CRC(ip_set_match_extensions, 0xdf4a74ab, "_gpl");
SYMBOL_CRC(ip_set_test, 0x7d2df203, "_gpl");
SYMBOL_CRC(ip_set_add, 0xd70192a7, "_gpl");
SYMBOL_CRC(ip_set_del, 0xfbad91d7, "_gpl");
SYMBOL_CRC(ip_set_get_byname, 0x008c9d86, "_gpl");
SYMBOL_CRC(ip_set_put_byindex, 0xb608d734, "_gpl");
SYMBOL_CRC(ip_set_name_byindex, 0x587789cf, "_gpl");
SYMBOL_CRC(ip_set_nfnl_get_byindex, 0x476e3f76, "_gpl");
SYMBOL_CRC(ip_set_nfnl_put, 0x4cbb3439, "_gpl");
SYMBOL_CRC(ip_set_put_flags, 0x5a9cd63f, "_gpl");
SYMBOL_CRC(ip_set_get_ip4_port, 0xddab3e75, "_gpl");
SYMBOL_CRC(ip_set_get_ip6_port, 0x008a573b, "_gpl");
SYMBOL_CRC(ip_set_netmask_map, 0x81fff2d1, "_gpl");
SYMBOL_CRC(ip_set_hostmask_map, 0x7924b6de, "_gpl");
SYMBOL_CRC(ip_set_range_to_cidr, 0x22d966c6, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0x6857cc3d, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x5603f60f, "nfnetlink_unicast" },
	{ 0x5a921311, "strncmp" },
	{ 0x8d304f20, "nla_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x43c9f1fa, "ns_capable" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb1a00ded, "nfnetlink_subsys_unregister" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8d404f63, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0xf583f1a1, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x819c4d57, "nf_register_sockopt" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcd31b236, "nfnetlink_subsys_register" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3f8314b6, "netlink_ack" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1478dce6, "nf_unregister_sockopt" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2f860523, "ipv6_skip_exthdr" },
	{ 0xa916b694, "strnlen" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink");


MODULE_INFO(srcversion, "B06F5D6440B874F2FB7952E");

MODULE_INFO(suserelease, "SLFO-1.2");
