#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x3c0bfb98, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0xa89897f1, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xe1e2f618, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x4aea15de, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0xbd9a385f, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x950f0f0a, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x484c38a3, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0xfce8cfed, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x0def437b, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0xa65488f1, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x229b47ef, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0xbf3628c0, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x53cfdcc8, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x44165c2c, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x2d7eea86, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0xb745d0d6, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x35086315, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x923d917d, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x85703235, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xeb0ab313, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x586bf03c, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0xa2c39bae, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x6edc77fb, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x35408052, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x921aad5d, "_gpl");
SYMBOL_CRC(print_tuple, 0x2fd3b39c, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xca9a5388, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x40fc7b1f, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xe179ee0b, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x0127c240, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0xd5fe09cc, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0xd7d37485, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0xa7e89bcc, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x568c951f, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x034fa4f6, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0xab9d020c, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x9a9b8980, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x20479dc7, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x4381d3ce, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0xe085bb73, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x836c8752, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x587784a2, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0xa6907b0b, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x86612471, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x03a3f70b, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x1a1fe9a3, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x21e6dd85, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x16422b05, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xc13362ca, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0xf829fad0, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xf452a20e, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0xe2bf0e63, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0xe5dc3d62, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0xc8a880d1, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0xbeb843d1, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x286babd7, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0xa4db6c81, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0xf9d172a1, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x62455b99, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x01b9bfca, "_gpl");
SYMBOL_CRC(nf_confirm, 0x251f74db, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x5e9ecea3, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0xedaa3b1d, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x83c40926, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0xa0342d28, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x332fdd75, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0xb68440d0, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x6582ccae, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0xf67623d0, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x96c2c7a8, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0xe9664498, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x2262913b, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x0259640a, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x4e1e9b2c, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x10b7b02f, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x3a18dd8a, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x73ec411d, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0xc1d94d9e, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x4661923a, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x34e89ec7, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0xe71db289, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x8e5e7f75, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0xa87e2af0, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x08f3b65d, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x62ad15ad, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0xbcf6bcc3, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0xecaaf399, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x1d65cec5, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x66e5a3fb, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x638a3870, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8e9c69fd, "make_kuid" },
	{ 0x6c062aef, "nf_defrag_ipv6_disable" },
	{ 0x2f860523, "ipv6_skip_exthdr" },
	{ 0x4fa4351a, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x6857cc3d, "module_put" },
	{ 0x2fe9629f, "nf_checksum" },
	{ 0xf1597117, "init_net" },
	{ 0x89fe69a8, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0x7a905b8, "seq_putc" },
	{ 0x8d304f20, "nla_put" },
	{ 0x4ac0f46a, "nf_checksum_partial" },
	{ 0xbcabb4a9, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5bfa8e0d, "nf_unregister_net_hooks" },
	{ 0x5d1358a7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xad1e0b7b, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa4652779, "nf_log_packet" },
	{ 0x947142a7, "make_kgid" },
	{ 0xed1a06fd, "nf_ip_checksum" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x64e70137, "register_btf_kfunc_id_set" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0x6de9efb6, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa985aeff, "down_read" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x254ad00e, "nla_policy_len" },
	{ 0xd1bff884, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x2f447813, "__skb_checksum" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x33907dfb, "proc_set_user" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x68112b71, "inet_proto_csum_replace4" },
	{ 0x66ca9904, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcb8a4261, "remove_proc_entry" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaf328ab9, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xa8e69db7, "proc_dointvec" },
	{ 0x20673a62, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xba5ca3d7, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xde9d2914, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xccf3aa6c, "pskb_trim_rcsum_slow" },
	{ 0xc40bf4ce, "up_read" },
	{ 0xe1b2edf8, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0xfaa14df5, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1f7347d5, "proc_dointvec_minmax" },
	{ 0x40952540, "__do_once_done" },
	{ 0xdc0df056, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xcc720103, "nf_defrag_ipv4_disable" },
	{ 0x2eee6ea1, "nf_ip6_checksum" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdf2badd5, "proc_dou8vec_minmax" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x3017c5f7, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x819c4d57, "nf_register_sockopt" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x76cbf18, "nfct_btf_struct_access" },
	{ 0x1187629c, "param_set_uint" },
	{ 0x20aba1d4, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x2656e9f6, "nf_ct_frag6_gather" },
	{ 0x7af8c63d, "get_net_ns_by_id" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x488cb6dd, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x20773db5, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x46017207, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x1478dce6, "nf_unregister_sockopt" },
	{ 0xe67c33b2, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv6,libcrc32c,nf_defrag_ipv4");


MODULE_INFO(srcversion, "34551447CFFE68E1BE77412");

MODULE_INFO(suserelease, "SLFO-1.2");
