#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0x33181aaa, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0x641178af, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0x8cc93fbd, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0x0b3ffdb8, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0xe90f22c2, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0x83dc31b7, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0xeb211c33, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x568c951f, "nf_ct_expect_alloc" },
	{ 0x34fa4f6, "nf_ct_expect_init" },
	{ 0x9a9b8980, "nf_ct_expect_related_report" },
	{ 0xab9d020c, "nf_ct_expect_put" },
	{ 0xea8d42d2, "__nf_ip6_route" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0x971f2d78, "nf_ip_route" },
	{ 0xa7e89bcc, "nf_ct_unexpect_related" },
	{ 0xf829fad0, "nf_ct_helper_log" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa89897f1, "nf_conntrack_expect_lock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xe179ee0b, "nf_ct_remove_expect" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x35086315, "__nf_ct_refresh_acct" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x9449d1a3, "param_array_ops" },
	{ 0xa5191c76, "param_ops_ushort" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x11089ac7, "_ctype" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe5dc3d62, "nf_ct_helper_init" },
	{ 0xc8a880d1, "nf_conntrack_helpers_register" },
	{ 0x92997ed8, "_printk" },
	{ 0xbeb843d1, "nf_conntrack_helpers_unregister" },
	{ 0x127c240, "__nf_ct_expect_find" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "9A2C91AA22115C3D118EE49");

MODULE_INFO(suserelease, "SLFO-1.2");
