#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nft_do_chain, "_gpl", "");
KSYMTAB_FUNC(nft_reg_track_update, "_gpl", "");
KSYMTAB_FUNC(nft_reg_track_cancel, "_gpl", "");
KSYMTAB_FUNC(__nft_reg_track_cancel, "_gpl", "");
KSYMTAB_FUNC(nft_request_module, "_gpl", "");
KSYMTAB_FUNC(nft_register_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_register_expr, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_expr, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate, "_gpl", "");
KSYMTAB_FUNC(nft_set_lookup_global, "_gpl", "");
KSYMTAB_FUNC(nf_tables_bind_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_activate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_destroy_set, "_gpl", "");
KSYMTAB_FUNC(nft_set_elem_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_set_catchall_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_register_obj, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_obj, "_gpl", "");
KSYMTAB_FUNC(nft_obj_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_obj_notify, "_gpl", "");
KSYMTAB_FUNC(nft_register_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_flowtable_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_flowtable, "_gpl", "");
KSYMTAB_FUNC(nf_tables_trans_destroy_flush_work, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_dependency, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_hooks, "_gpl", "");
KSYMTAB_FUNC(nft_parse_u32_check, "_gpl", "");
KSYMTAB_FUNC(nft_dump_register, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_load, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_store, "_gpl", "");
KSYMTAB_FUNC(nft_data_init, "_gpl", "");
KSYMTAB_FUNC(nft_data_release, "_gpl", "");
KSYMTAB_FUNC(nft_data_dump, "_gpl", "");
KSYMTAB_FUNC(__nft_release_basechain, "_gpl", "");
KSYMTAB_DATA(nft_trace_enabled, "_gpl", "");
KSYMTAB_FUNC(nft_expr_reduce_bitwise, "_gpl", "");
KSYMTAB_FUNC(nft_set_do_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_eval, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_eval, "_gpl", "");
KSYMTAB_DATA(nft_meta_policy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_validate, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_reduce, "_gpl", "");
KSYMTAB_FUNC(nft_meta_inner_eval, "_gpl", "");
KSYMTAB_FUNC(nft_ct_get_fast_eval, "_gpl", "");

SYMBOL_CRC(nft_do_chain, 0xe646fc66, "_gpl");
SYMBOL_CRC(nft_reg_track_update, 0x9b61dae3, "_gpl");
SYMBOL_CRC(nft_reg_track_cancel, 0x6de2140a, "_gpl");
SYMBOL_CRC(__nft_reg_track_cancel, 0x43f74f0b, "_gpl");
SYMBOL_CRC(nft_request_module, 0xdf9066e5, "_gpl");
SYMBOL_CRC(nft_register_chain_type, 0x98021d61, "_gpl");
SYMBOL_CRC(nft_unregister_chain_type, 0x08ca7793, "_gpl");
SYMBOL_CRC(nft_register_expr, 0xc4c207b8, "_gpl");
SYMBOL_CRC(nft_unregister_expr, 0xee9ccf95, "_gpl");
SYMBOL_CRC(nft_chain_validate, 0x6e4b3dc7, "_gpl");
SYMBOL_CRC(nft_set_lookup_global, 0x5920192c, "_gpl");
SYMBOL_CRC(nf_tables_bind_set, 0xdbde17cd, "_gpl");
SYMBOL_CRC(nf_tables_activate_set, 0x6f8654fc, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_set, 0x6901fc9e, "_gpl");
SYMBOL_CRC(nf_tables_destroy_set, 0x322320ee, "_gpl");
SYMBOL_CRC(nft_set_elem_destroy, 0x6c532c4d, "_gpl");
SYMBOL_CRC(nft_set_catchall_lookup, 0xe712e749, "_gpl");
SYMBOL_CRC(nft_register_obj, 0xf9771f10, "_gpl");
SYMBOL_CRC(nft_unregister_obj, 0xf85e28e4, "_gpl");
SYMBOL_CRC(nft_obj_lookup, 0xfdc0785b, "_gpl");
SYMBOL_CRC(nft_obj_notify, 0x4b5655b2, "_gpl");
SYMBOL_CRC(nft_register_flowtable_type, 0xe216e0ce, "_gpl");
SYMBOL_CRC(nft_unregister_flowtable_type, 0x04188033, "_gpl");
SYMBOL_CRC(nft_flowtable_lookup, 0x4e74c155, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_flowtable, 0x5ba0cd1f, "_gpl");
SYMBOL_CRC(nf_tables_trans_destroy_flush_work, 0x3251d762, "_gpl");
SYMBOL_CRC(nft_chain_validate_dependency, 0x7605bf33, "_gpl");
SYMBOL_CRC(nft_chain_validate_hooks, 0x6c003735, "_gpl");
SYMBOL_CRC(nft_parse_u32_check, 0xde57b5f5, "_gpl");
SYMBOL_CRC(nft_dump_register, 0x83fb3a7e, "_gpl");
SYMBOL_CRC(nft_parse_register_load, 0x0e15623d, "_gpl");
SYMBOL_CRC(nft_parse_register_store, 0xd1c4a186, "_gpl");
SYMBOL_CRC(nft_data_init, 0x969c0c6c, "_gpl");
SYMBOL_CRC(nft_data_release, 0xd18ceda3, "_gpl");
SYMBOL_CRC(nft_data_dump, 0x449529a6, "_gpl");
SYMBOL_CRC(__nft_release_basechain, 0x507f844c, "_gpl");
SYMBOL_CRC(nft_trace_enabled, 0x41b71e65, "_gpl");
SYMBOL_CRC(nft_expr_reduce_bitwise, 0x7ea0cea7, "_gpl");
SYMBOL_CRC(nft_set_do_lookup, 0xfea77580, "_gpl");
SYMBOL_CRC(nft_meta_get_eval, 0xc956eca9, "_gpl");
SYMBOL_CRC(nft_meta_set_eval, 0xdd87ec04, "_gpl");
SYMBOL_CRC(nft_meta_policy, 0xe2c74001, "_gpl");
SYMBOL_CRC(nft_meta_get_init, 0xfefd1021, "_gpl");
SYMBOL_CRC(nft_meta_set_validate, 0x4726a42a, "_gpl");
SYMBOL_CRC(nft_meta_set_init, 0xfb7d5f1f, "_gpl");
SYMBOL_CRC(nft_meta_get_dump, 0x140b9497, "_gpl");
SYMBOL_CRC(nft_meta_set_dump, 0x54a4904e, "_gpl");
SYMBOL_CRC(nft_meta_set_destroy, 0xe14f86f3, "_gpl");
SYMBOL_CRC(nft_meta_get_reduce, 0xdd51debe, "_gpl");
SYMBOL_CRC(nft_meta_inner_eval, 0x87722c8f, "_gpl");
SYMBOL_CRC(nft_ct_get_fast_eval, 0x628904bd, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x758d7a7c, "__kmalloc_node_noprof" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2c82c36a, "security_secmark_relabel_packet" },
	{ 0xf633a5db, "nfnetlink_set_err" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d7c7dcc, "bitmap_cut" },
	{ 0xfd2cc0c, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcd31b236, "nfnetlink_subsys_register" },
	{ 0x61d3fd61, "ip6_route_me_harder" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x90fe8bbd, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0xe06e9e05, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x17689f0b, "__dev_get_by_name" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b6cf698, "__ip_options_compile" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x2077b418, "nf_route" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0xa916b694, "strnlen" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x618911fc, "numa_node" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0x6857cc3d, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x8b7c6806, "nf_unregister_net_hook" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x3cfb252b, "nf_register_net_hook" },
	{ 0x386a4a2f, "__skb_get_hash_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x19bd383b, "security_secmark_refcount_dec" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc8032479, "ip6_mtu" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xdee43f99, "ip_route_me_harder" },
	{ 0xf26f53bd, "skb_store_bits" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6c88aae8, "dev_get_by_index_rcu" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x5603f60f, "nfnetlink_unicast" },
	{ 0x8d304f20, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xbcabb4a9, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc0ff12fb, "nla_strdup" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x23f20028, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50d14d7f, "flow_indr_dev_setup_offload" },
	{ 0xf1b91d18, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb40b76aa, "rhashtable_free_and_destroy" },
	{ 0x8e958c0d, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x92ec510d, "jiffies64_to_msecs" },
	{ 0xdef801a1, "rht_bucket_nested_insert" },
	{ 0x69b1bf92, "nfnetlink_send" },
	{ 0x97ebdfc4, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb1a00ded, "nfnetlink_subsys_unregister" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x268c62bd, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd1bff884, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x42348b13, "rhashtable_insert_slow" },
	{ 0x45f775b8, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd34760c4, "ipv4_mtu" },
	{ 0x1322947, "rhltable_init_noprof" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x93cd0ba5, "rhashtable_init_noprof" },
	{ 0x2f03fc4b, "security_secmark_refcount_inc" },
	{ 0x2f447813, "__skb_checksum" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x68112b71, "inet_proto_csum_replace4" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0xb42eb307, "rhashtable_walk_next" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x36cab5e2, "from_kuid_munged" },
	{ 0xf9c1f9ab, "security_secctx_to_secid" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x255d1d35, "rhashtable_walk_exit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7a36097d, "nfnetlink_has_listeners" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x40952540, "__do_once_done" },
	{ 0x8d404f63, "__netlink_dump_start" },
	{ 0x39b13ff9, "flow_rule_alloc" },
	{ 0xdc0df056, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x5afc722e, "__audit_log_nfcfg" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0xf583f1a1, "__nlmsg_put" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xedbaee5e, "nla_strcmp" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbe126afa, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x7a53a06d, "flow_indr_dev_exists" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink,libcrc32c");


MODULE_INFO(srcversion, "0B96EE14FB754629865BC5F");

MODULE_INFO(suserelease, "SLFO-1.2");
