#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xt_register_target, "", "");
KSYMTAB_FUNC(xt_unregister_target, "", "");
KSYMTAB_FUNC(xt_register_targets, "", "");
KSYMTAB_FUNC(xt_unregister_targets, "", "");
KSYMTAB_FUNC(xt_register_match, "", "");
KSYMTAB_FUNC(xt_unregister_match, "", "");
KSYMTAB_FUNC(xt_register_matches, "", "");
KSYMTAB_FUNC(xt_unregister_matches, "", "");
KSYMTAB_FUNC(xt_find_match, "", "");
KSYMTAB_FUNC(xt_request_find_match, "_gpl", "");
KSYMTAB_FUNC(xt_request_find_target, "_gpl", "");
KSYMTAB_FUNC(xt_data_to_user, "_gpl", "");
KSYMTAB_FUNC(xt_match_to_user, "_gpl", "");
KSYMTAB_FUNC(xt_target_to_user, "_gpl", "");
KSYMTAB_FUNC(xt_find_revision, "_gpl", "");
KSYMTAB_FUNC(xt_check_proc_name, "", "");
KSYMTAB_FUNC(xt_check_match, "_gpl", "");
KSYMTAB_FUNC(xt_check_table_hooks, "", "");
KSYMTAB_FUNC(xt_compat_add_offset, "_gpl", "");
KSYMTAB_FUNC(xt_compat_flush_offsets, "_gpl", "");
KSYMTAB_FUNC(xt_compat_calc_jump, "_gpl", "");
KSYMTAB_FUNC(xt_compat_init_offsets, "", "");
KSYMTAB_FUNC(xt_compat_match_offset, "_gpl", "");
KSYMTAB_FUNC(xt_compat_match_from_user, "_gpl", "");
KSYMTAB_FUNC(xt_compat_match_to_user, "_gpl", "");
KSYMTAB_FUNC(xt_compat_check_entry_offsets, "", "");
KSYMTAB_FUNC(xt_check_entry_offsets, "", "");
KSYMTAB_FUNC(xt_alloc_entry_offsets, "", "");
KSYMTAB_FUNC(xt_find_jump_offset, "", "");
KSYMTAB_FUNC(xt_check_target, "_gpl", "");
KSYMTAB_FUNC(xt_copy_counters, "_gpl", "");
KSYMTAB_FUNC(xt_compat_target_offset, "_gpl", "");
KSYMTAB_FUNC(xt_compat_target_from_user, "_gpl", "");
KSYMTAB_FUNC(xt_compat_target_to_user, "_gpl", "");
KSYMTAB_FUNC(xt_alloc_table_info, "", "");
KSYMTAB_FUNC(xt_free_table_info, "", "");
KSYMTAB_FUNC(xt_find_table, "", "");
KSYMTAB_FUNC(xt_find_table_lock, "_gpl", "");
KSYMTAB_FUNC(xt_request_find_table_lock, "_gpl", "");
KSYMTAB_FUNC(xt_table_unlock, "_gpl", "");
KSYMTAB_FUNC(xt_compat_lock, "_gpl", "");
KSYMTAB_FUNC(xt_compat_unlock, "_gpl", "");
KSYMTAB_DATA(xt_recseq, "_gpl", "");
KSYMTAB_DATA(xt_tee_enabled, "_gpl", "");
KSYMTAB_FUNC(xt_counters_alloc, "", "");
KSYMTAB_FUNC(xt_replace_table, "_gpl", "");
KSYMTAB_FUNC(xt_register_table, "_gpl", "");
KSYMTAB_FUNC(xt_unregister_table, "_gpl", "");
KSYMTAB_FUNC(xt_hook_ops_alloc, "_gpl", "");
KSYMTAB_FUNC(xt_register_template, "_gpl", "");
KSYMTAB_FUNC(xt_unregister_template, "_gpl", "");
KSYMTAB_FUNC(xt_proto_init, "_gpl", "");
KSYMTAB_FUNC(xt_proto_fini, "_gpl", "");
KSYMTAB_FUNC(xt_percpu_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(xt_percpu_counter_free, "_gpl", "");

SYMBOL_CRC(xt_register_target, 0xcfeea89b, "");
SYMBOL_CRC(xt_unregister_target, 0x1baffda3, "");
SYMBOL_CRC(xt_register_targets, 0x1795ef67, "");
SYMBOL_CRC(xt_unregister_targets, 0x9d6f0105, "");
SYMBOL_CRC(xt_register_match, 0x83d96458, "");
SYMBOL_CRC(xt_unregister_match, 0xe93e6446, "");
SYMBOL_CRC(xt_register_matches, 0xe6af336a, "");
SYMBOL_CRC(xt_unregister_matches, 0x7988bd71, "");
SYMBOL_CRC(xt_find_match, 0xf6383325, "");
SYMBOL_CRC(xt_request_find_match, 0x49e62f18, "_gpl");
SYMBOL_CRC(xt_request_find_target, 0xf056a37e, "_gpl");
SYMBOL_CRC(xt_data_to_user, 0x7bce4603, "_gpl");
SYMBOL_CRC(xt_match_to_user, 0xb4b04dfb, "_gpl");
SYMBOL_CRC(xt_target_to_user, 0x8460fe2b, "_gpl");
SYMBOL_CRC(xt_find_revision, 0xddf68fc6, "_gpl");
SYMBOL_CRC(xt_check_proc_name, 0x48012e28, "");
SYMBOL_CRC(xt_check_match, 0x4b5e25f1, "_gpl");
SYMBOL_CRC(xt_check_table_hooks, 0x3bf9d084, "");
SYMBOL_CRC(xt_compat_add_offset, 0x823edea5, "_gpl");
SYMBOL_CRC(xt_compat_flush_offsets, 0x04e27719, "_gpl");
SYMBOL_CRC(xt_compat_calc_jump, 0xc7fae024, "_gpl");
SYMBOL_CRC(xt_compat_init_offsets, 0x50873741, "");
SYMBOL_CRC(xt_compat_match_offset, 0xebc9920e, "_gpl");
SYMBOL_CRC(xt_compat_match_from_user, 0xa8b761f2, "_gpl");
SYMBOL_CRC(xt_compat_match_to_user, 0xe40f6c4b, "_gpl");
SYMBOL_CRC(xt_compat_check_entry_offsets, 0xa25fc115, "");
SYMBOL_CRC(xt_check_entry_offsets, 0xd87ae60d, "");
SYMBOL_CRC(xt_alloc_entry_offsets, 0x0d7f5fcd, "");
SYMBOL_CRC(xt_find_jump_offset, 0xfef779fa, "");
SYMBOL_CRC(xt_check_target, 0x523f03b9, "_gpl");
SYMBOL_CRC(xt_copy_counters, 0xf6abeb06, "_gpl");
SYMBOL_CRC(xt_compat_target_offset, 0x84613de1, "_gpl");
SYMBOL_CRC(xt_compat_target_from_user, 0x5a2a6a22, "_gpl");
SYMBOL_CRC(xt_compat_target_to_user, 0xd3c152e7, "_gpl");
SYMBOL_CRC(xt_alloc_table_info, 0x977fd4bf, "");
SYMBOL_CRC(xt_free_table_info, 0xe204e042, "");
SYMBOL_CRC(xt_find_table, 0x9c9235d8, "");
SYMBOL_CRC(xt_find_table_lock, 0xc631d659, "_gpl");
SYMBOL_CRC(xt_request_find_table_lock, 0x462bdd98, "_gpl");
SYMBOL_CRC(xt_table_unlock, 0x5c2ee07a, "_gpl");
SYMBOL_CRC(xt_compat_lock, 0xa7c94f1d, "_gpl");
SYMBOL_CRC(xt_compat_unlock, 0xd1e246a2, "_gpl");
SYMBOL_CRC(xt_recseq, 0x807d2b2c, "_gpl");
SYMBOL_CRC(xt_tee_enabled, 0xd3fcc511, "_gpl");
SYMBOL_CRC(xt_counters_alloc, 0xcb3e91cc, "");
SYMBOL_CRC(xt_replace_table, 0xd08d3bad, "_gpl");
SYMBOL_CRC(xt_register_table, 0x6cdceb91, "_gpl");
SYMBOL_CRC(xt_unregister_table, 0x8dd4b929, "_gpl");
SYMBOL_CRC(xt_hook_ops_alloc, 0xd2504599, "_gpl");
SYMBOL_CRC(xt_register_template, 0xdebfc38b, "_gpl");
SYMBOL_CRC(xt_unregister_template, 0x40c63a82, "_gpl");
SYMBOL_CRC(xt_proto_init, 0xb3d08358, "_gpl");
SYMBOL_CRC(xt_proto_fini, 0x959a6085, "_gpl");
SYMBOL_CRC(xt_percpu_counter_alloc, 0x9c995c69, "_gpl");
SYMBOL_CRC(xt_percpu_counter_free, 0xbfacb837, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x754d539c, "strlen" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x349cba85, "strchr" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x999e8297, "vfree" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6857cc3d, "module_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8e9c69fd, "make_kuid" },
	{ 0x947142a7, "make_kgid" },
	{ 0x20773db5, "proc_create_net_data" },
	{ 0x57cd58c3, "proc_create_seq_private" },
	{ 0x33907dfb, "proc_set_user" },
	{ 0xcb8a4261, "remove_proc_entry" },
	{ 0x3335abed, "seq_printf" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x618911fc, "numa_node" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x5afc722e, "__audit_log_nfcfg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5F4C901C66705F38097806E");

MODULE_INFO(suserelease, "SLFO-1.2");
