#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfc_fw_download_done, "", "");
KSYMTAB_FUNC(nfc_dep_link_is_up, "", "");
KSYMTAB_FUNC(nfc_find_se, "", "");
KSYMTAB_FUNC(nfc_set_remote_general_bytes, "", "");
KSYMTAB_FUNC(nfc_get_local_general_bytes, "", "");
KSYMTAB_FUNC(nfc_tm_data_received, "", "");
KSYMTAB_FUNC(nfc_tm_activated, "", "");
KSYMTAB_FUNC(nfc_tm_deactivated, "", "");
KSYMTAB_FUNC(nfc_alloc_recv_skb, "", "");
KSYMTAB_FUNC(nfc_targets_found, "", "");
KSYMTAB_FUNC(nfc_target_lost, "", "");
KSYMTAB_FUNC(nfc_driver_failure, "", "");
KSYMTAB_FUNC(nfc_add_se, "", "");
KSYMTAB_FUNC(nfc_remove_se, "", "");
KSYMTAB_FUNC(nfc_se_transaction, "", "");
KSYMTAB_FUNC(nfc_se_connectivity, "", "");
KSYMTAB_DATA(nfc_class, "", "");
KSYMTAB_FUNC(nfc_allocate_device, "", "");
KSYMTAB_FUNC(nfc_register_device, "", "");
KSYMTAB_FUNC(nfc_unregister_device, "", "");
KSYMTAB_FUNC(__nfc_alloc_vendor_cmd_reply_skb, "", "");
KSYMTAB_FUNC(nfc_vendor_cmd_reply, "", "");
KSYMTAB_FUNC(nfc_proto_register, "", "");
KSYMTAB_FUNC(nfc_proto_unregister, "", "");
KSYMTAB_FUNC(nfc_send_to_raw_sock, "", "");

SYMBOL_CRC(nfc_fw_download_done, 0x662edfae, "");
SYMBOL_CRC(nfc_dep_link_is_up, 0x79014cec, "");
SYMBOL_CRC(nfc_find_se, 0xe3bb9376, "");
SYMBOL_CRC(nfc_set_remote_general_bytes, 0x99b02a2f, "");
SYMBOL_CRC(nfc_get_local_general_bytes, 0x25295790, "");
SYMBOL_CRC(nfc_tm_data_received, 0x27902aa6, "");
SYMBOL_CRC(nfc_tm_activated, 0xbe86f1da, "");
SYMBOL_CRC(nfc_tm_deactivated, 0xb84345c0, "");
SYMBOL_CRC(nfc_alloc_recv_skb, 0x31a34484, "");
SYMBOL_CRC(nfc_targets_found, 0x05bb4dca, "");
SYMBOL_CRC(nfc_target_lost, 0xb455825a, "");
SYMBOL_CRC(nfc_driver_failure, 0x370a171c, "");
SYMBOL_CRC(nfc_add_se, 0x4d31ba2a, "");
SYMBOL_CRC(nfc_remove_se, 0x55d637ae, "");
SYMBOL_CRC(nfc_se_transaction, 0xb6fa441e, "");
SYMBOL_CRC(nfc_se_connectivity, 0x0c4bc72d, "");
SYMBOL_CRC(nfc_class, 0xfc6ef4d1, "");
SYMBOL_CRC(nfc_allocate_device, 0xbc14ae92, "");
SYMBOL_CRC(nfc_register_device, 0x8a5da525, "");
SYMBOL_CRC(nfc_unregister_device, 0x174c32e1, "");
SYMBOL_CRC(__nfc_alloc_vendor_cmd_reply_skb, 0x5d183e60, "");
SYMBOL_CRC(nfc_vendor_cmd_reply, 0xfb19772e, "");
SYMBOL_CRC(nfc_proto_register, 0xabc28d06, "");
SYMBOL_CRC(nfc_proto_unregister, 0xdf13819b, "");
SYMBOL_CRC(nfc_send_to_raw_sock, 0x43d307b6, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4d5c07d3, "sock_register" },
	{ 0xaf8f5d61, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x45ee0529, "put_device" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0x547ccf6f, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x6857cc3d, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8a7f276e, "__sock_recv_timestamp" },
	{ 0x53a59f22, "sock_no_shutdown" },
	{ 0x5fbdd86f, "devm_kfree" },
	{ 0xf1597117, "init_net" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x3d44dcd8, "device_add" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x6d896d3c, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf398ee77, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b20415d, "sock_no_accept" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0x63643d75, "sock_no_listen" },
	{ 0x5a921311, "strncmp" },
	{ 0x8d304f20, "nla_put" },
	{ 0x10119bb, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0x43c9f1fa, "ns_capable" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5d1358a7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1b2b76f8, "sock_no_bind" },
	{ 0x7d13f9d1, "skb_copy_datagram_iter" },
	{ 0x832ea1d1, "rfkill_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc0f37786, "class_dev_iter_init" },
	{ 0x8b268e5a, "sk_alloc" },
	{ 0x2e9c96c7, "device_del" },
	{ 0xc02bad57, "__sock_recv_wifi_status" },
	{ 0xafe91e81, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x61d169a1, "sock_no_mmap" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9f7a2fc2, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0xff282521, "rfkill_register" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x90509256, "skb_recv_datagram" },
	{ 0xc27e3380, "sock_alloc_send_pskb" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x501149b, "sock_no_getname" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6646c565, "skb_copy" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0x69dc6f5d, "_copy_from_iter" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0xbc2c2bde, "sock_no_ioctl" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x28306963, "genl_unregister_family" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc67b1fbe, "iov_iter_revert" },
	{ 0x797f7724, "genl_register_family" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xe99bba1f, "class_register" },
	{ 0x2ab99f9f, "__pm_runtime_idle" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2d19ff87, "sock_init_data" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xfaa14df5, "release_sock" },
	{ 0x3131f672, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2ff2eaef, "class_find_device" },
	{ 0x9ccb5761, "security_sock_graft" },
	{ 0xa2db2783, "skb_free_datagram" },
	{ 0x20692f, "sock_queue_rcv_skb_reason" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x8a2db9b1, "class_dev_iter_next" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x5a3cd7db, "add_wait_queue_exclusive" },
	{ 0x4f32143d, "device_initialize" },
	{ 0xab4d965a, "sock_no_sendmsg" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xfbe6207f, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xec46c799, "sock_no_connect" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x6b8b6841, "__pskb_copy_fclone" },
	{ 0x15b95f19, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1773b87e, "sk_error_report" },
	{ 0x310e3a08, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb2a17ff8, "class_dev_iter_exit" },
	{ 0x92997ed8, "_printk" },
	{ 0x13356863, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "B876B95736DDF9441B64A16");

MODULE_INFO(suserelease, "SLFO-1.2");
