#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xd2be5512, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x30f9fec4, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x841b95cd, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x4733f674, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x98935c34, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xc00b41d3, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa916b694, "strnlen" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x5717f40d, "skb_mpls_pop" },
	{ 0x9df12509, "skb_vlan_pop" },
	{ 0x55cd48c9, "dst_init" },
	{ 0x6857cc3d, "module_put" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x386a4a2f, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xbd918098, "rtnl_link_unregister" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0xf1597117, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x5a1fc02, "ipv6_stub" },
	{ 0x8d9db890, "skb_mpls_update_lse" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x2cd6df0d, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x6d896d3c, "netlink_unicast" },
	{ 0xae8aebd2, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6c88aae8, "dev_get_by_index_rcu" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0xe4b56a1e, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0x62173924, "trace_event_reg" },
	{ 0xbcabb4a9, "skb_ensure_writable" },
	{ 0x653194b1, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe9f4efdb, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x967c4bd0, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xffba72b5, "ethtool_op_get_link" },
	{ 0xbf3628c0, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0xa6907b0b, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0xfce8cfed, "nf_ct_delete" },
	{ 0xf7ec2ae7, "nf_conncount_init" },
	{ 0xd12972d8, "skb_vlan_push" },
	{ 0x349f744b, "netif_rx" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xfbef13, "netdev_master_upper_dev_link" },
	{ 0x6b52cfac, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa985aeff, "down_read" },
	{ 0x54b1b593, "inet_proto_csum_replace16" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc1d6dd3c, "skb_scrub_packet" },
	{ 0xc1d94d9e, "nf_ct_deliver_cached_events" },
	{ 0x45f775b8, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x30de0282, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf6acf8d5, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0x2f447813, "__skb_checksum" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x68112b71, "inet_proto_csum_replace4" },
	{ 0x7222931f, "nf_conncount_destroy" },
	{ 0x3aef3f76, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x6d3a49d8, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x250847f5, "dev_get_by_name" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0x30098b59, "metadata_dst_alloc" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x12b28821, "peernet2id_alloc" },
	{ 0x4aea15de, "nf_ct_get_tuplepr" },
	{ 0x381f3d6f, "netdev_rx_handler_register" },
	{ 0xd3fcad35, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x28306963, "genl_unregister_family" },
	{ 0x643d19b1, "dev_disable_lro" },
	{ 0x66910d23, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x797f7724, "genl_register_family" },
	{ 0x484c38a3, "nf_ct_tmpl_free" },
	{ 0x129d9eaa, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe4d9da04, "__skb_gso_segment" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x750f6e06, "skb_mpls_push" },
	{ 0x41191db1, "register_pernet_device" },
	{ 0xb745d0d6, "nf_conntrack_in" },
	{ 0xe1b2edf8, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0x3957c8e7, "__skb_vlan_pop" },
	{ 0x950f0f0a, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeb60b8ef, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x332fdd75, "nf_ct_ext_add" },
	{ 0x662ae40b, "nsh_pop" },
	{ 0xdef437b, "nf_conntrack_find_get" },
	{ 0x4e1e9b2c, "nf_ct_set_timeout" },
	{ 0x643acbbe, "dev_get_stats" },
	{ 0x9a5ea756, "__nla_put" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2b9422d6, "dev_fill_metadata_dst" },
	{ 0xd0d81b71, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0x1d65cec5, "nf_ct_handle_fragments" },
	{ 0x9c42265a, "eth_mac_addr" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x18a5bb50, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6690be63, "nsh_push" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x98d787fc, "nf_ct_nat" },
	{ 0xbe126afa, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x44a9f34a, "skb_eth_pop" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x55a1efe0, "skb_gso_validate_mac_len" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x3a3f70b, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x62ad15ad, "nf_ct_helper" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xb31984f0, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0xce18a776, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x17931dd5, "rtnl_link_register" },
	{ 0x8f3b65d, "nf_connlabels_put" },
	{ 0xfbe6207f, "genlmsg_put" },
	{ 0x3b7b4d4f, "___pskb_trim" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x31b708cd, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f8a304f, "dev_set_promiscuity" },
	{ 0x10b7b02f, "nf_ct_destroy_timeout" },
	{ 0xbcf6bcc3, "nf_ct_add_helper" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x587784a2, "nf_conntrack_helper_put" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x5e91429f, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xecaaf399, "nf_ct_skb_network_trim" },
	{ 0xb27e097b, "unregister_netdevice_queue" },
	{ 0xba13c3f3, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9493fc86, "node_states" },
	{ 0xc55906, "ether_setup" },
	{ 0x15b95f19, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0x67949461, "skb_csum_hwoffload_help" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0x8e5e7f75, "nf_connlabels_replace" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf14da2c6, "alloc_netdev_mqs" },
	{ 0x86b355fc, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xa87e2af0, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x77f2fd78, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xbbefdf49, "skb_eth_push" },
	{ 0x5dd5b701, "nf_conncount_count" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_conncount,libcrc32c,nsh,nf_nat,psample");


MODULE_INFO(srcversion, "9C83C297ABACE8BED2C5124");

MODULE_INFO(suserelease, "SLFO-1.2");
