#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x29abd802, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xe14a58fd, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x238d4f00, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b8b6841, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1773b87e, "sk_error_report" },
	{ 0x310e3a08, "skb_queue_purge_reason" },
	{ 0xc99bf060, "radix_tree_iter_delete" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x13356863, "proto_unregister" },
	{ 0x4d5c07d3, "sock_register" },
	{ 0xaf8f5d61, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0x547ccf6f, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6857cc3d, "module_put" },
	{ 0x75a54147, "__xa_alloc" },
	{ 0x53a59f22, "sock_no_shutdown" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0xf1597117, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc7e6f0f4, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xb9b31de8, "xa_load" },
	{ 0x27ab35aa, "__SCK__tp_func_sk_data_ready" },
	{ 0xfae20034, "kernel_getsockname" },
	{ 0x72e611e1, "do_wait_intr_irq" },
	{ 0xf398ee77, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b20415d, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0x63643d75, "sock_no_listen" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5d1358a7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7d13f9d1, "skb_copy_datagram_iter" },
	{ 0x8b268e5a, "sk_alloc" },
	{ 0xafe91e81, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x61d169a1, "sock_no_mmap" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xb98fa7ed, "__xa_insert" },
	{ 0x918431c7, "xa_erase" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0x4655cafc, "skb_set_owner_w" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x7680187a, "sock_create_kern" },
	{ 0xfea41449, "xa_find" },
	{ 0x90509256, "skb_recv_datagram" },
	{ 0xc27e3380, "sock_alloc_send_pskb" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xe534dea0, "xa_store" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0x69dc6f5d, "_copy_from_iter" },
	{ 0xbf635fd6, "sock_release" },
	{ 0x17937b97, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa256d729, "xa_find_after" },
	{ 0x754d539c, "strlen" },
	{ 0xc67b1fbe, "iov_iter_revert" },
	{ 0x8bbade6, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x2d19ff87, "sock_init_data" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xfaa14df5, "release_sock" },
	{ 0xa2db2783, "skb_free_datagram" },
	{ 0x20692f, "sock_queue_rcv_skb_reason" },
	{ 0x8d15063, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d81b71, "bpf_trace_run4" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0x1056f31c, "radix_tree_insert" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xf7c2c630, "radix_tree_lookup" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6ccd8595, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7b55d23f, "__tracepoint_sk_data_ready" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x90fe8bbd, "__module_get" },
	{ 0xd0d06228, "kernel_recvmsg" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "473C5AB47E04ECEA0106681");

MODULE_INFO(suserelease, "SLFO-1.2");
