#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_lookup_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_call_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_srx, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_addr, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_lookup_peer, 0x10e673df, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0x1d46b432, "");
SYMBOL_CRC(rxrpc_kernel_put_peer, 0xd2c12486, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0x4d6df0d9, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x7d312d0e, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x9ca07a14, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0x2ddaf98a, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0x16b302b0, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0x9322c4b1, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0x4c5bc7d7, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0xd8383ba8, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x720e192d, "");
SYMBOL_CRC(key_type_rxrpc, 0x3fee11fb, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x549ba91a, "");
SYMBOL_CRC(rxrpc_get_null_key, 0xf431c60e, "");
SYMBOL_CRC(rxrpc_kernel_get_call_peer, 0xc4414a3a, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0x9f2b73df, "");
SYMBOL_CRC(rxrpc_kernel_remote_srx, 0xe624a552, "");
SYMBOL_CRC(rxrpc_kernel_remote_addr, 0xcd1d019c, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x5af677f9, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0x0281d0f5, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0x86578529, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0x566de9e5, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0x64079351, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41567b7b, "kernel_sock_shutdown" },
	{ 0x1b20415d, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0x2fa9d304, "proc_doulongvec_minmax" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc0db7e74, "iov_iter_kvec" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x967c4bd0, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x5d1358a7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd960722a, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x7d13f9d1, "skb_copy_datagram_iter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc98007b0, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x6f662603, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8b268e5a, "sk_alloc" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0xe78c1cdf, "idr_destroy" },
	{ 0xc02bad57, "__sock_recv_wifi_status" },
	{ 0xafe91e81, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5710fa96, "key_revoke" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x61d169a1, "sock_no_mmap" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x16004b44, "key_validate" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x66c0f584, "crypto_alloc_sync_skcipher" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xd249da80, "setup_udp_tunnel_sock" },
	{ 0x56e1812e, "proc_remove" },
	{ 0x1a319337, "udp_sock_create6" },
	{ 0x82b5fad, "mutex_trylock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0x1a49a4e0, "__page_frag_cache_drain" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd34760c4, "ipv4_mtu" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0x6b2f463e, "keyring_search" },
	{ 0xaade9472, "ip_sock_set_recverr" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xbd1468d, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x30a14f60, "request_key_tag" },
	{ 0x1cb5188, "generic_key_instantiate" },
	{ 0x66ca9904, "seq_write" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x69c3ea2e, "radix_tree_tagged" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x501149b, "sock_no_getname" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x6646c565, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0x69dc6f5d, "_copy_from_iter" },
	{ 0xbf635fd6, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0xbc2c2bde, "sock_no_ioctl" },
	{ 0x73987a18, "_proc_mkdir" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xba5ca3d7, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x9bb3d5f9, "__seq_puts" },
	{ 0x4ce0f44d, "__page_frag_alloc_align" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x43e833f2, "bpf_trace_run7" },
	{ 0x4b2c11cf, "ip_icmp_error" },
	{ 0xc67b1fbe, "iov_iter_revert" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0x8bbade6, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x40dcf6d6, "skb_to_sgvec" },
	{ 0x41191db1, "register_pernet_device" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x9e91241c, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2d19ff87, "sock_init_data" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0xfaa14df5, "release_sock" },
	{ 0x3131f672, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf01211aa, "proc_create_net_single_write" },
	{ 0x5a901a62, "crypto_alloc_skcipher" },
	{ 0x1f7347d5, "proc_dointvec_minmax" },
	{ 0xdb382c0a, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x94a96cfb, "key_alloc" },
	{ 0xd0d81b71, "bpf_trace_run4" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0x333051c0, "idr_find" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x13bc8f5a, "udp_sock_create4" },
	{ 0x7a2a96c7, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5a3cd7db, "add_wait_queue_exclusive" },
	{ 0x6de6d991, "set_user_nice" },
	{ 0xcf2a6966, "up" },
	{ 0x1719248d, "udpv6_sendmsg" },
	{ 0x4ceb0d84, "unregister_key_type" },
	{ 0xc49971b7, "__kmalloc_node_track_caller_noprof" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x991414f8, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xeaa4ddd4, "crypto_skcipher_setkey" },
	{ 0x4a0fa443, "ip_route_output_flow" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc16823c, "key_instantiate_and_link" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0x4f81a8ea, "register_key_type" },
	{ 0x20773db5, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x111fc268, "put_cmsg" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x46017207, "register_net_sysctl_sz" },
	{ 0x8a1f3eca, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x13356863, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xadfe7ce8, "ipv6_icmp_error" },
	{ 0x4d5c07d3, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3c7f8eae, "crypto_skcipher_decrypt" },
	{ 0x8e9c69fd, "make_kuid" },
	{ 0x1486bb95, "ip6_route_output_flags" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0x547ccf6f, "proto_register" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x3698d537, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2c5802, "work_busy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x8a7f276e, "__sock_recv_timestamp" },
	{ 0x423e5994, "key_put" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0xf1597117, "init_net" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x38051e3d, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xa07a37f0, "memchr" },
	{ 0xdf56db40, "sock_enable_timestamps" },
	{ 0x2890faa7, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc8032479, "ip6_mtu" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x6626afca, "down" },
	{ 0xae8aebd2, "bpf_trace_run5" },
	{ 0xf398ee77, "sk_free" },
	{ 0x3b60a6b0, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "3930AE48FF72A741A48841A");

MODULE_INFO(suserelease, "SLFO-1.2");
