#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ife_encode_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_get_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_check_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_check_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_encode_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_get_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_alloc_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_alloc_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_release_meta_gen, "_gpl", "");
KSYMTAB_FUNC(ife_validate_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_validate_meta_u16, "_gpl", "");
KSYMTAB_FUNC(unregister_ife_op, "_gpl", "");
KSYMTAB_FUNC(register_ife_op, "_gpl", "");

SYMBOL_CRC(ife_encode_meta_u16, 0xa2843cd1, "_gpl");
SYMBOL_CRC(ife_get_meta_u32, 0xafcc848a, "_gpl");
SYMBOL_CRC(ife_check_meta_u32, 0xfcfb689c, "_gpl");
SYMBOL_CRC(ife_check_meta_u16, 0x3c39a5d7, "_gpl");
SYMBOL_CRC(ife_encode_meta_u32, 0xa6aa225e, "_gpl");
SYMBOL_CRC(ife_get_meta_u16, 0x4d258eea, "_gpl");
SYMBOL_CRC(ife_alloc_meta_u32, 0x4a6b7fec, "_gpl");
SYMBOL_CRC(ife_alloc_meta_u16, 0xe41f8cdd, "_gpl");
SYMBOL_CRC(ife_release_meta_gen, 0x8feb4751, "_gpl");
SYMBOL_CRC(ife_validate_meta_u32, 0xd7a9660c, "_gpl");
SYMBOL_CRC(ife_validate_meta_u16, 0xf40f1d62, "_gpl");
SYMBOL_CRC(unregister_ife_op, 0x660a93ee, "_gpl");
SYMBOL_CRC(register_ife_op, 0xdcabd180, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe7888e98, "ife_tlv_meta_encode" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x486655fe, "tcf_register_action" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8472123f, "tcf_idrinfo_destroy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x55e643a3, "tcf_unregister_action" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x8d304f20, "nla_put" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x58ac45a0, "ife_decode" },
	{ 0x67db2029, "ife_tlv_meta_decode" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6210e871, "ife_tlv_meta_next" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x59e03780, "skb_push" },
	{ 0x94fe4529, "ife_encode" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x92997ed8, "_printk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x6857cc3d, "module_put" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0xf107d26e, "skb_trim" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x27d8b815, "tcf_idr_check_alloc" },
	{ 0x65804f3b, "tcf_action_check_ctrlact" },
	{ 0x565dce7, "tcf_chain_put_by_act" },
	{ 0xff650afd, "tcf_idr_release" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3e02da9, "tcf_action_set_ctrlact" },
	{ 0x7aba31d6, "tcf_idr_create" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe232d733, "tcf_idr_cleanup" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "ife");


MODULE_INFO(srcversion, "834F0F8255C33F2BB13D41E");

MODULE_INFO(suserelease, "SLFO-1.2");
