#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x4e5b77c3, "");
SYMBOL_CRC(tipc_dump_start, 0x6811bf62, "");
SYMBOL_CRC(tipc_dump_done, 0xdff0bb98, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x7ac685a7, "");

MODULE_INFO(supported, "external");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x13356863, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4d5c07d3, "sock_register" },
	{ 0x75b185b3, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0xa2795d17, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0x2d91ca1c, "skb_try_coalesce" },
	{ 0x547ccf6f, "proto_register" },
	{ 0x9ab26ac0, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x586661b3, "__wake_up_sync_key" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x6857cc3d, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x6f2d2f6c, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x40c784b4, "__dev_get_by_index" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0xf1597117, "init_net" },
	{ 0x5a1fc02, "ipv6_stub" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3a3a14a9, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x6d896d3c, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x27ab35aa, "__SCK__tp_func_sk_data_ready" },
	{ 0x3dd8b689, "dev_remove_pack" },
	{ 0xf398ee77, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x41567b7b, "kernel_sock_shutdown" },
	{ 0x1b20415d, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x59e03780, "skb_push" },
	{ 0x2e7436ef, "dst_cache_get" },
	{ 0x63643d75, "sock_no_listen" },
	{ 0x8d304f20, "nla_put" },
	{ 0x2fa9d304, "proc_doulongvec_minmax" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc0db7e74, "iov_iter_kvec" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7e78a45, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x23f20028, "rhashtable_walk_start_check" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x967c4bd0, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5d1358a7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7d13f9d1, "skb_copy_datagram_iter" },
	{ 0xf1b91d18, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8b268e5a, "sk_alloc" },
	{ 0xe78c1cdf, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x1336cdd9, "kfree_skb_partial" },
	{ 0xdef801a1, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xe59d10ea, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x61d169a1, "sock_no_mmap" },
	{ 0x84d22272, "security_sk_clone" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x349f744b, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x83047ab5, "rhashtable_destroy" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xd249da80, "setup_udp_tunnel_sock" },
	{ 0x1a319337, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xab27253, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0x42348b13, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc0dfb14f, "sock_rfree" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0xa069efa7, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xac69c04d, "kernel_listen" },
	{ 0xf6acf8d5, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x93cd0ba5, "rhashtable_init_noprof" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xbb939a19, "dev_nit_active" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7680187a, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xf73e86bf, "rt_spin_trylock_bh" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x90c997d1, "dst_cache_set_ip6" },
	{ 0xa6a0fd68, "pskb_put" },
	{ 0xe091c977, "list_sort" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x540de23c, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6c6723d7, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6646c565, "skb_copy" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0x250847f5, "dev_get_by_name" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0x69dc6f5d, "_copy_from_iter" },
	{ 0xbf635fd6, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xb42eb307, "rhashtable_walk_next" },
	{ 0x5f3f1e00, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xdf1d7a82, "sk_stop_timer" },
	{ 0xba5ca3d7, "unregister_net_sysctl_table" },
	{ 0x28306963, "genl_unregister_family" },
	{ 0x36cab5e2, "from_kuid_munged" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc67b1fbe, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x797f7724, "genl_register_family" },
	{ 0x8bbade6, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x40dcf6d6, "skb_to_sgvec" },
	{ 0x255d1d35, "rhashtable_walk_exit" },
	{ 0x41191db1, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x2d19ff87, "sock_init_data" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xfaa14df5, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1f7347d5, "proc_dointvec_minmax" },
	{ 0x34c690a6, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x49a5643f, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d81b71, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xf583f1a1, "__nlmsg_put" },
	{ 0x333051c0, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc2dd6de7, "ip6_dst_hoplimit" },
	{ 0x4c7d8b6c, "trace_output_call" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xf911ee79, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x13bc8f5a, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x8b96fe0f, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb4ecc9aa, "dst_cache_set_ip4" },
	{ 0x718c7619, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xfbe6207f, "genlmsg_put" },
	{ 0x3b7b4d4f, "___pskb_trim" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xced99116, "crypto_alloc_aead" },
	{ 0x7b55d23f, "__tracepoint_sk_data_ready" },
	{ 0xa1cbdf5e, "netdev_warn" },
	{ 0xcd4b3a77, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x7fa3ddcb, "crypto_aead_decrypt" },
	{ 0xf2b7c359, "kernel_accept" },
	{ 0x90fe8bbd, "__module_get" },
	{ 0x4a0fa443, "ip_route_output_flow" },
	{ 0xe06e9e05, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6b8b6841, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0x111fc268, "put_cmsg" },
	{ 0x310e3a08, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x46017207, "register_net_sysctl_sz" },
	{ 0x8a1f3eca, "crypto_destroy_tfm" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "2576832A6F4877A6F022F04");

MODULE_INFO(suserelease, "SLFO-1.2");
