#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0x2266e6a8, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0xf89df7a6, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x313ee4ed, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x13f9339c, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0xe27f76dd, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0x859fdf14, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0x03effb3f, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0xc93fad82, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x9e624e29, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0x97bd16bc, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0x889b3f3f, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x2504a1c0, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0xb4dae3d5, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x075e4adf, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0xe79ab59f, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0xc84ff5f3, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x24201078, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0xe3be81cd, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x8b305463, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x7dcf0e86, "_gpl");
SYMBOL_CRC(vsock_core_register, 0xb8084b5d, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x6153bd3f, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0xa4975c2d, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0x573047ff, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x92a82f29, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0xb0d7bda7, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x45f894dc, "__put_cred" },
	{ 0x1773b87e, "sk_error_report" },
	{ 0x310e3a08, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x13356863, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4d5c07d3, "sock_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0x547ccf6f, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6857cc3d, "module_put" },
	{ 0x9049a6f6, "sk_msg_is_readable" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xf398ee77, "sk_free" },
	{ 0x1b20415d, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x63643d75, "sock_no_listen" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x14778c64, "sock_recv_errqueue" },
	{ 0x5d1358a7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x8b268e5a, "sk_alloc" },
	{ 0xafe91e81, "sock_no_socketpair" },
	{ 0xe54012d3, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x61d169a1, "sock_no_mmap" },
	{ 0x84d22272, "security_sk_clone" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x4b4f6903, "nonseekable_open" },
	{ 0x2d9dcfc5, "sk_psock_drop" },
	{ 0xf6acf8d5, "__dev_queue_xmit" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x538eb2d2, "init_user_ns" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb3b94db8, "sock_setsockopt" },
	{ 0x2d19ff87, "sock_init_data" },
	{ 0xfaa14df5, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9ccb5761, "security_sock_graft" },
	{ 0xb38cedc3, "sock_map_close" },
	{ 0x20692f, "sock_queue_rcv_skb_reason" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbca03f0, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x9612cd5b, "prepare_to_wait" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x90fe8bbd, "__module_get" },
	{ 0xa0008ea0, "sk_stream_error" },
	{ 0xd29e24f9, "sk_msg_recvmsg" },
	{ 0x303514eb, "ns_capable_noaudit" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "88D95A29D14C245E5209D8C");

MODULE_INFO(suserelease, "SLFO-1.2");
