#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_pending, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_fragment_element, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_chandef, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(cfg80211_radio_chandef_valid, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_iter_rnr, "_gpl", "");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(__cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(cfg80211_wext_siwscan, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwscan, "_gpl", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_schedule_channels_check, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(nl80211_chan_width_to_mhz, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_primary, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_usable, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_cac_time, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_check_beaconing, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwname, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwmode, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwmode, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwrange, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwrts, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwrts, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwfrag, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwfrag, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwretry, "_gpl", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0x4f29d1e9, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0xbf688c58, "");
SYMBOL_CRC(wiphy_register, 0xae6b40dd, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0x18b12416, "");
SYMBOL_CRC(wiphy_unregister, 0x70b507a5, "");
SYMBOL_CRC(wiphy_free, 0xe15a71d1, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0x6ed01a4f, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0x324322f3, "");
SYMBOL_CRC(cfg80211_stop_iface, 0x8b4bfe15, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0x0a7d8078, "");
SYMBOL_CRC(wiphy_work_queue, 0xeebf57c5, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0xd43e2d93, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0x58076141, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0x85de3f6f, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0x0c0734f6, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0xf651d91d, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0x96eb3244, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_pending, 0x23bdc73a, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0xb3f40e25, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x57e81fc4, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0x6aac3bef, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x272d6876, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x1bb59029, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0x9856b61b, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0x9437e346, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0x6df5471d, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0x473c1f73, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0xb1818820, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0x3a126082, "");
SYMBOL_CRC(cfg80211_classify8021d, 0xe03fcc4c, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x5cba2be4, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x275269b3, "");
SYMBOL_CRC(ieee80211_fragment_element, 0x301eb620, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_operating_class_to_chandef, 0x345fa8cc, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0xefab0596, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0xe6d1415c, "");
SYMBOL_CRC(cfg80211_check_combinations, 0xa8b65bca, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0x02c11f65, "");
SYMBOL_CRC(cfg80211_get_station, 0x349e4c74, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x3c86019a, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0x3f4b5d58, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0x2aba62c9, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0x2a2ac973, "");
SYMBOL_CRC(cfg80211_radio_chandef_valid, 0x53382dce, "");
SYMBOL_CRC(get_wiphy_regdom, 0xeece633e, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x8f495c47, "");
SYMBOL_CRC(freq_reg_info, 0x8c4bf029, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0x1fcf4bbc, "");
SYMBOL_CRC(regulatory_hint, 0x6d3c75f1, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0xf3d0f921, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0xa5351293, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0xcfebe793, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_iter_rnr, 0x646c544c, "_gpl");
SYMBOL_CRC(cfg80211_scan_done, 0x3a2dba3a, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0x54ad4ca6, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0xae91390c, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0x2b190fd1, "");
SYMBOL_CRC(cfg80211_bss_flush, 0xbd4167c8, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(__cfg80211_get_bss, 0xf981c9e4, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x3aca71a1, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x117aca91, "");
SYMBOL_CRC(cfg80211_defragment_element, 0xd6c87a05, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0xce7b78fa, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0x8c4678d3, "");
SYMBOL_CRC(cfg80211_ref_bss, 0x76c7d865, "");
SYMBOL_CRC(cfg80211_put_bss, 0x144ec853, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0x3b6a8b5d, "");
SYMBOL_CRC(cfg80211_bss_iter, 0x8afb15ad, "");
SYMBOL_CRC(cfg80211_wext_siwscan, 0x2e268446, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwscan, 0x18542490, "_gpl");
SYMBOL_CRC(nl80211_send_chandef, 0xc289923c, "");
SYMBOL_CRC(cfg80211_check_station_change, 0x3f1341db, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0xd5775906, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0x3a6b2149, "");
SYMBOL_CRC(cfg80211_nan_match, 0xbe49db90, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0xc397766d, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0x62f02d9b, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0x2e6e0d59, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0x50a700f2, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0xde172211, "");
SYMBOL_CRC(cfg80211_links_removed, 0x9dc8efdf, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0x0b869a1a, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0xf295fcea, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0x6912bbc3, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0x8fed9ecf, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0x4344b8a3, "");
SYMBOL_CRC(cfg80211_new_sta, 0x33a04565, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0xd34ae69f, "");
SYMBOL_CRC(cfg80211_conn_failed, 0x9a33e359, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0x1b46dc8e, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0x2ec540ec, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0x9d25baf6, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0xa59eb01f, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0x85fb3534, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0x24031264, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0xf011740a, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0x5bb58966, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0x0debaa29, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0x416900f4, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0xdad470e9, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0x851a4597, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0xbff12e25, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0x0235d361, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0x72d33603, "");
SYMBOL_CRC(cfg80211_probe_status, 0xf588f467, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0x26676cdc, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0xd192859f, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0x7aba66fd, "");
SYMBOL_CRC(cfg80211_ft_event, 0x7ae4fdf8, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0x5c542ef3, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0x218d7afd, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0xdb865d3a, "");
SYMBOL_CRC(cfg80211_schedule_channels_check, 0x18a3877c, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0x0ceb57d0, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0x733f214d, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0x88df44a3, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0x951c2008, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0x334eb188, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0x313751ee, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0x3a84be1f, "");
SYMBOL_CRC(__cfg80211_radar_event, 0x0e70c161, "");
SYMBOL_CRC(cfg80211_cac_event, 0x668e04d1, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0x29960f73, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0x6775463f, "");
SYMBOL_CRC(cfg80211_connect_done, 0xb3fa0a04, "");
SYMBOL_CRC(cfg80211_roamed, 0x1c9a8e46, "");
SYMBOL_CRC(cfg80211_port_authorized, 0x0f06a8d3, "");
SYMBOL_CRC(cfg80211_disconnected, 0x55416df2, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x23026b4b, "");
SYMBOL_CRC(nl80211_chan_width_to_mhz, 0x2c19c3c0, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0x538f32f2, "");
SYMBOL_CRC(cfg80211_chandef_primary, 0x9ce5d166, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xf7be8ee8, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0x20d52d9a, "");
SYMBOL_CRC(cfg80211_chandef_dfs_usable, 0x2d0f958c, "");
SYMBOL_CRC(cfg80211_chandef_dfs_cac_time, 0xf88a8479, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0xf82a1a2f, "");
SYMBOL_CRC(cfg80211_reg_check_beaconing, 0x275857e7, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0xc40c37ab, "");
SYMBOL_CRC(wdev_chandef, 0x35312657, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0xc7b5a4ee, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0x3b309c5f, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0x4ac5210e, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwname, 0xfea5ca5d, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwmode, 0x9499774a, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwmode, 0xf229c03e, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwrange, 0xbc493b16, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwrts, 0x211a247b, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwrts, 0x97969aa1, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwfrag, 0x536fdc73, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwfrag, 0x35df6b07, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwretry, 0x53ee990d, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfcd01236, "rfkill_set_hw_state_reason" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xe9baa2f2, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x349f744b, "netif_rx" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0xd1bff884, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8d443b13, "get_net_ns_by_pid" },
	{ 0x664b7fea, "debugfs_rename" },
	{ 0x537dcc0d, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xff282521, "rfkill_register" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xda02b9bc, "x509_load_certificate_list" },
	{ 0xbf635fd6, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x28306963, "genl_unregister_family" },
	{ 0x5189aeee, "skb_add_rx_frag_netmem" },
	{ 0xea124bd1, "gcd" },
	{ 0x754d539c, "strlen" },
	{ 0x43e833f2, "bpf_trace_run7" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x797f7724, "genl_register_family" },
	{ 0x7f794264, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x41191db1, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x48f5c802, "get_net_ns_by_fd" },
	{ 0xe99bba1f, "class_register" },
	{ 0x68a58eb, "bpf_trace_run11" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xeb60b8ef, "register_netdevice" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0xfb3dad36, "__sock_create" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x968f4d87, "verify_pkcs7_signature" },
	{ 0xd0d81b71, "bpf_trace_run4" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x25f2b2c8, "kmemdup_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x3d1059ea, "__nla_validate" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbe126afa, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x7a2a96c7, "bpf_trace_run6" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2476a690, "request_firmware" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x4f32143d, "device_initialize" },
	{ 0xfbe6207f, "genlmsg_put" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2d0a91ce, "genlmsg_multicast_allns" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xb27e097b, "unregister_netdevice_queue" },
	{ 0x3ddbb68a, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x15b95f19, "netlink_broadcast_filtered" },
	{ 0x5a8a6466, "keyring_alloc" },
	{ 0x695afa95, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x441426b9, "device_rename" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0x1e8fac8e, "wireless_nlevent_flush" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x45ee0529, "put_device" },
	{ 0x9adf7b45, "net_ns_type_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xec21d530, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x46dcefb8, "inet_csk_get_port" },
	{ 0x423e5994, "key_put" },
	{ 0xcb629113, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x40c784b4, "__dev_get_by_index" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0xf1597117, "init_net" },
	{ 0xa8cf5735, "request_firmware_nowait" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3d44dcd8, "device_add" },
	{ 0x94f19c54, "sysfs_remove_link" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3d45bb64, "init_uts_ns" },
	{ 0x2d3c134d, "platform_device_unregister" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x6d896d3c, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x745ac523, "dev_get_by_index" },
	{ 0xae8aebd2, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7b22ce3b, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0xd03190c1, "wireless_send_event" },
	{ 0x8d304f20, "nla_put" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x967c4bd0, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x832ea1d1, "rfkill_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0x2e9c96c7, "device_del" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "FE5A40C7736D3C138E4D862");

MODULE_INFO(suserelease, "SLFO-1.2");
