#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(xfrm_msg_min, "_gpl", "");
KSYMTAB_DATA(xfrma_policy, "_gpl", "");

SYMBOL_CRC(xfrm_msg_min, 0x4a0c7516, "_gpl");
SYMBOL_CRC(xfrma_policy, 0xa4f9b1a3, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda93571f, "km_policy_notify" },
	{ 0x7573218a, "xfrm_migrate" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0xf583f1a1, "__nlmsg_put" },
	{ 0x6d896d3c, "netlink_unicast" },
	{ 0x21551b17, "xfrm_sad_getinfo" },
	{ 0xf107d26e, "skb_trim" },
	{ 0x6fdfc05b, "xfrm_spd_getinfo" },
	{ 0x3583679f, "xfrm_state_alloc" },
	{ 0x49ca83, "xfrm_aead_get_byname" },
	{ 0x754d539c, "strlen" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9eab2c0, "__xfrm_init_state" },
	{ 0x98c89ade, "security_xfrm_state_alloc" },
	{ 0xef38fa4b, "xfrm_init_replay" },
	{ 0x87e12ae7, "xfrm_dev_state_add" },
	{ 0x7bb4b5ef, "xfrm_state_update" },
	{ 0xebdc9548, "xfrm_audit_state_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc66ab3f, "__xfrm_state_destroy" },
	{ 0x59494c9a, "xfrm_state_add" },
	{ 0xc216b55a, "xfrm_dev_state_delete" },
	{ 0x15b95f19, "netlink_broadcast_filtered" },
	{ 0xb01bebf9, "xfrm_get_acqseq" },
	{ 0xf1597117, "init_net" },
	{ 0x7e4fef2d, "__fib6_flush_trees" },
	{ 0xc542c1d6, "xfrm_state_lookup_byaddr" },
	{ 0x9b5265e5, "xfrm_state_lookup" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0xdccaed54, "xfrm_state_delete" },
	{ 0x7bc74bf1, "xfrm_audit_state_delete" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbbf3adec, "km_state_expired" },
	{ 0x99a0e420, "__xfrm_state_delete" },
	{ 0x673e6aca, "xfrm_policy_byid" },
	{ 0x9667893e, "km_policy_expired" },
	{ 0xe0b9065b, "security_xfrm_policy_alloc" },
	{ 0x614b3c37, "xfrm_policy_bysel_ctx" },
	{ 0x6455298a, "security_xfrm_policy_free" },
	{ 0x58062e2e, "xfrm_policy_destroy" },
	{ 0x91950685, "xfrm_policy_delete" },
	{ 0x71f9418f, "xfrm_audit_policy_delete" },
	{ 0xb7eab855, "xfrm_dev_policy_add" },
	{ 0xa4a20101, "xfrm_policy_insert" },
	{ 0x9c98eac, "xfrm_audit_policy_add" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x37e497e8, "verify_spi_info" },
	{ 0x9b89d913, "xfrm_find_acq_byseq" },
	{ 0xa73e5a51, "xfrm_find_acq" },
	{ 0x7419ef36, "xfrm_alloc_spi" },
	{ 0x8fc6d1c1, "km_query" },
	{ 0xde5b73b5, "xfrm_state_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0xab2202c6, "xfrm_register_km" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x129d9eaa, "netlink_has_listeners" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8d304f20, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbe126afa, "nla_reserve" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x13103b1a, "netlink_kernel_release" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x32214c72, "netlink_rcv_skb" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x5124992d, "xfrm_policy_hash_rebuild" },
	{ 0x19c39c2, "xfrm_state_flush" },
	{ 0xdd211a39, "km_state_notify" },
	{ 0x74470a4a, "xfrm_policy_walk_done" },
	{ 0x6d614207, "xfrm_policy_walk" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0x3d4d1772, "xfrm_state_walk_done" },
	{ 0x44f7e986, "__netlink_kernel_create" },
	{ 0x5d93d612, "xfrm_unregister_km" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfb578fc5, "memset" },
	{ 0x9166fada, "strncpy" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x34c690a6, "netlink_net_capable" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x8d404f63, "__netlink_dump_start" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xaf1e6a5f, "xfrm_get_translator" },
	{ 0xc8928b4a, "xfrm_put_translator" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0x3ae59d31, "xfrm_state_walk" },
	{ 0x37a0cba, "kfree" },
	{ 0xcd4ca22b, "xfrm_policy_alloc" },
	{ 0x6073f5ad, "xfrm_policy_flush" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "98FDAED55D855B393FE88FE");

MODULE_INFO(suserelease, "SLFO-1.2");
