#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_use_lock_sync_helper, "", "");
KSYMTAB_FUNC(snd_seq_client_ioctl_lock, "_gpl", "");
KSYMTAB_FUNC(snd_seq_client_ioctl_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_seq_set_queue_tempo, "", "");
KSYMTAB_FUNC(snd_seq_create_kernel_client, "", "");
KSYMTAB_FUNC(snd_seq_delete_kernel_client, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_enqueue, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_dispatch, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_ctl, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_write_poll, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_get, "_gpl", "");
KSYMTAB_FUNC(snd_seq_kernel_client_put, "_gpl", "");
KSYMTAB_FUNC(snd_seq_dump_var_event, "", "");
KSYMTAB_FUNC(snd_seq_expand_var_event, "", "");
KSYMTAB_FUNC(snd_seq_expand_var_event_at, "_gpl", "");
KSYMTAB_FUNC(snd_seq_system_broadcast, "_gpl", "");
KSYMTAB_FUNC(snd_seq_event_port_attach, "", "");
KSYMTAB_FUNC(snd_seq_event_port_detach, "", "");

SYMBOL_CRC(snd_use_lock_sync_helper, 0x3061c52d, "");
SYMBOL_CRC(snd_seq_client_ioctl_lock, 0xe50413d7, "_gpl");
SYMBOL_CRC(snd_seq_client_ioctl_unlock, 0xadb51cff, "_gpl");
SYMBOL_CRC(snd_seq_set_queue_tempo, 0x3c273904, "");
SYMBOL_CRC(snd_seq_create_kernel_client, 0x08b8d576, "");
SYMBOL_CRC(snd_seq_delete_kernel_client, 0x6bb71038, "");
SYMBOL_CRC(snd_seq_kernel_client_enqueue, 0x64019b71, "");
SYMBOL_CRC(snd_seq_kernel_client_dispatch, 0x85cd59a8, "");
SYMBOL_CRC(snd_seq_kernel_client_ctl, 0x1a724fcc, "");
SYMBOL_CRC(snd_seq_kernel_client_write_poll, 0x65c5babe, "");
SYMBOL_CRC(snd_seq_kernel_client_get, 0x8953c9c4, "_gpl");
SYMBOL_CRC(snd_seq_kernel_client_put, 0xbb480c19, "_gpl");
SYMBOL_CRC(snd_seq_dump_var_event, 0x23738926, "");
SYMBOL_CRC(snd_seq_expand_var_event, 0xa6e19f8e, "");
SYMBOL_CRC(snd_seq_expand_var_event_at, 0xf0c8f9fa, "_gpl");
SYMBOL_CRC(snd_seq_system_broadcast, 0xcbf9166f, "_gpl");
SYMBOL_CRC(snd_seq_event_port_attach, 0xbd7b4110, "");
SYMBOL_CRC(snd_seq_event_port_detach, 0x7b8699eb, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x6a3ad653, "snd_timer_pause" },
	{ 0x5a921311, "strncmp" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x52ee4107, "snd_unregister_device" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x143db144, "snd_device_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x749168fb, "snd_timer_instance_new" },
	{ 0xfb578fc5, "memset" },
	{ 0x91def1c, "snd_seq_autoload_exit" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x76c63518, "snd_timer_instance_free" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xa985aeff, "down_read" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0x6339b6d0, "snd_seq_device_load_drivers" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0x2bcf0760, "stream_open" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xeb393c92, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x756b240e, "snd_register_device" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x5caa6567, "put_pid" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x173756c, "__init_rwsem" },
	{ 0xb971a0d3, "snd_info_register" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xae435bcb, "snd_info_create_module_entry" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x370a0736, "snd_seq_autoload_init" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4a3ea5c0, "snd_request_card" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x9449d1a3, "param_array_ops" },
	{ 0xb095d9c0, "snd_info_free_entry" },
	{ 0x782ca32e, "snd_seq_root" },
	{ 0xe7b8defa, "snd_timer_close" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xee886ecd, "snd_timer_open" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x45ee0529, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0x7abbe8a0, "snd_timer_start" },
	{ 0x6857cc3d, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x77f5bb81, "down_write" },
	{ 0x264635e1, "up_write" },
	{ 0x86aeb79f, "snd_timer_resolution" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd-timer,snd,snd-seq-device");


MODULE_INFO(srcversion, "00E925D3C071191F2846FA2");

MODULE_INFO(suserelease, "SLFO-1.2");
