#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_rawmidi_drop_output, "", "");
KSYMTAB_FUNC(snd_rawmidi_drain_output, "", "");
KSYMTAB_FUNC(snd_rawmidi_drain_input, "", "");
KSYMTAB_FUNC(snd_rawmidi_kernel_open, "", "");
KSYMTAB_FUNC(snd_rawmidi_kernel_release, "", "");
KSYMTAB_FUNC(snd_rawmidi_info_select, "", "");
KSYMTAB_FUNC(snd_rawmidi_output_params, "", "");
KSYMTAB_FUNC(snd_rawmidi_input_params, "", "");
KSYMTAB_FUNC(snd_rawmidi_receive, "", "");
KSYMTAB_FUNC(snd_rawmidi_kernel_read, "", "");
KSYMTAB_FUNC(snd_rawmidi_transmit_empty, "", "");
KSYMTAB_FUNC(snd_rawmidi_transmit_peek, "", "");
KSYMTAB_FUNC(snd_rawmidi_transmit_ack, "", "");
KSYMTAB_FUNC(snd_rawmidi_transmit, "", "");
KSYMTAB_FUNC(snd_rawmidi_proceed, "", "");
KSYMTAB_FUNC(snd_rawmidi_kernel_write, "", "");
KSYMTAB_FUNC(snd_rawmidi_init, "_gpl", "");
KSYMTAB_FUNC(snd_rawmidi_new, "", "");
KSYMTAB_FUNC(snd_rawmidi_free, "_gpl", "");
KSYMTAB_FUNC(snd_rawmidi_set_ops, "", "");

SYMBOL_CRC(snd_rawmidi_drop_output, 0xac2f3112, "");
SYMBOL_CRC(snd_rawmidi_drain_output, 0x6afd1b79, "");
SYMBOL_CRC(snd_rawmidi_drain_input, 0xb0d3eee0, "");
SYMBOL_CRC(snd_rawmidi_kernel_open, 0xa8b4b34f, "");
SYMBOL_CRC(snd_rawmidi_kernel_release, 0xa15c863d, "");
SYMBOL_CRC(snd_rawmidi_info_select, 0xcdfd7b77, "");
SYMBOL_CRC(snd_rawmidi_output_params, 0xcab07c7a, "");
SYMBOL_CRC(snd_rawmidi_input_params, 0x53218018, "");
SYMBOL_CRC(snd_rawmidi_receive, 0xf0b52911, "");
SYMBOL_CRC(snd_rawmidi_kernel_read, 0xedb7601f, "");
SYMBOL_CRC(snd_rawmidi_transmit_empty, 0xde877ef7, "");
SYMBOL_CRC(snd_rawmidi_transmit_peek, 0x3e3d48ba, "");
SYMBOL_CRC(snd_rawmidi_transmit_ack, 0xe6101166, "");
SYMBOL_CRC(snd_rawmidi_transmit, 0x56a0e35c, "");
SYMBOL_CRC(snd_rawmidi_proceed, 0x3b54fab4, "");
SYMBOL_CRC(snd_rawmidi_kernel_write, 0xf1b0b3a5, "");
SYMBOL_CRC(snd_rawmidi_init, 0x4917677f, "_gpl");
SYMBOL_CRC(snd_rawmidi_new, 0x4563c0f5, "");
SYMBOL_CRC(snd_rawmidi_free, 0x51caa9d3, "_gpl");
SYMBOL_CRC(snd_rawmidi_set_ops, 0x7904a57c, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x45ee0529, "put_device" },
	{ 0xb85e305, "snd_ctl_register_ioctl" },
	{ 0xbb16365b, "snd_card_file_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6857cc3d, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x33719327, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8f595b11, "snd_major" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0x52ee4107, "snd_unregister_device" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x143db144, "snd_device_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x319f796a, "snd_device_new" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x154b5863, "snd_ctl_unregister_ioctl" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x198788b4, "snd_lookup_oss_minor_data" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x3335abed, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0xab8bf77d, "snd_ctl_register_ioctl_compat" },
	{ 0xd6352674, "snd_info_create_card_entry" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0x2bcf0760, "stream_open" },
	{ 0xeb393c92, "pid_vnr" },
	{ 0x26ddebba, "snd_card_file_remove" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5c1e3f91, "snd_device_register" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x756b240e, "snd_register_device" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x5caa6567, "put_pid" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb971a0d3, "snd_info_register" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd5031b02, "snd_ctl_unregister_ioctl_compat" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x32de1e41, "snd_seq_device_new" },
	{ 0xd7ce6193, "snd_ctl_get_preferred_subdevice" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x9449d1a3, "param_array_ops" },
	{ 0xb095d9c0, "snd_info_free_entry" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0x52fdc81b, "snd_unregister_oss_device" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8cb888e7, "snd_register_oss_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-seq-device");


MODULE_INFO(srcversion, "54133D1C140BFECBAC0968D");

MODULE_INFO(suserelease, "SLFO-1.2");
