#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_ump_endpoint_new, "_gpl", "");
KSYMTAB_FUNC(snd_ump_receive_ump_val, "_gpl", "");
KSYMTAB_FUNC(snd_ump_receive, "_gpl", "");
KSYMTAB_FUNC(snd_ump_transmit, "_gpl", "");
KSYMTAB_FUNC(snd_ump_block_new, "_gpl", "");
KSYMTAB_FUNC(snd_ump_update_group_attrs, "_gpl", "");
KSYMTAB_FUNC(snd_ump_switch_protocol, "_gpl", "");
KSYMTAB_FUNC(snd_ump_parse_endpoint, "_gpl", "");
KSYMTAB_FUNC(snd_ump_attach_legacy_rawmidi, "_gpl", "");
KSYMTAB_FUNC(snd_ump_convert_from_ump, "_gpl", "");
KSYMTAB_FUNC(snd_ump_convert_to_ump, "_gpl", "");

SYMBOL_CRC(snd_ump_endpoint_new, 0x96c252d7, "_gpl");
SYMBOL_CRC(snd_ump_receive_ump_val, 0x32a0a18f, "_gpl");
SYMBOL_CRC(snd_ump_receive, 0xa908e5f5, "_gpl");
SYMBOL_CRC(snd_ump_transmit, 0x44aaa71a, "_gpl");
SYMBOL_CRC(snd_ump_block_new, 0x1567aa23, "_gpl");
SYMBOL_CRC(snd_ump_update_group_attrs, 0x9b9bef1f, "_gpl");
SYMBOL_CRC(snd_ump_switch_protocol, 0x95d5509f, "_gpl");
SYMBOL_CRC(snd_ump_parse_endpoint, 0x1ddbf9c4, "_gpl");
SYMBOL_CRC(snd_ump_attach_legacy_rawmidi, 0x68a0121f, "_gpl");
SYMBOL_CRC(snd_ump_convert_from_ump, 0x5b39d06f, "_gpl");
SYMBOL_CRC(snd_ump_convert_to_ump, 0x583d2fa4, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf1b0b3a5, "snd_rawmidi_kernel_write" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x4563c0f5, "snd_rawmidi_new" },
	{ 0xa8b4b34f, "snd_rawmidi_kernel_open" },
	{ 0x7904a57c, "snd_rawmidi_set_ops" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0xa15c863d, "snd_rawmidi_kernel_release" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x4917677f, "snd_rawmidi_init" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3335abed, "seq_printf" },
	{ 0x754d539c, "strlen" },
	{ 0x5c1e3f91, "snd_device_register" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x51caa9d3, "snd_rawmidi_free" },
	{ 0xf0b52911, "snd_rawmidi_receive" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x56a0e35c, "snd_rawmidi_transmit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x32de1e41, "snd_seq_device_new" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd-rawmidi,snd,snd-seq-device");


MODULE_INFO(srcversion, "28A98AA226DF44C69933000");

MODULE_INFO(suserelease, "SLFO-1.2");
