#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hdac_get_device_id, "_gpl", "");
KSYMTAB_DATA(snd_hda_bus_type, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exec_verb_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_register, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_set_chip_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_modalias, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read, "_gpl", "");
KSYMTAB_FUNC(_snd_hdac_read_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read_parm_uncached, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_override_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_sub_nodes, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_refresh_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format_bits, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spdif_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_query_supported_pcm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_is_supported_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_read, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_write, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_check_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_add_vendor_verb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_write_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_read_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw_once, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_update_rirb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_send_cmd, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_get_response, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_parse_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_enter_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_reset_link, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_handle_stream_irq, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_alloc_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_free_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream_stripe_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams_and_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup_periods, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_timecounter_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_spbcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_spib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_get_spbmaxfifo, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_drsm_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_wait_drsm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_dpibr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_lpib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_array_new, "_gpl", "");
KSYMTAB_FUNC(snd_array_free, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_print_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_chmap_to_spk_mask, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spk_to_chmap, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_setup_channel_mapping, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_active_channels, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_ch_alloc_from_ca, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_register_chmap_ops, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_set_codec_wakeup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_display_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_audio_rate, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_get_eld, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_register_notifier, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_set_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_init, "_gpl", "");

SYMBOL_CRC(hdac_get_device_id, 0x76af1318, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0xed0981b3, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0x822d8291, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0x21a084dc, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0x4b51910d, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0xb0d2c015, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0x8f9df55e, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0x1518f922, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0x069ff367, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0xe6f24bd4, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0xd76b1ff3, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0xef8ff602, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0x261cab66, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0x6a970313, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0xfa94e201, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0xf6f81962, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0x059b0b3f, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0xaecc88fa, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0x54df6ec4, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0x78c38712, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0x1c52b874, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0x42247f25, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0x3262c05a, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0x62c11103, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format_bits, 0xdfb2511b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format, 0xdcb61650, "_gpl");
SYMBOL_CRC(snd_hdac_spdif_stream_format, 0xbfc95c33, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0xc15b8428, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0xb258f237, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0x8ee7fa71, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0x18137fd4, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0x9b70e68a, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0xfe9a0396, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0xf8b16d9c, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0xaaa17369, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0xb7e7135f, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0x536988fb, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0xadc08f34, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0x816de124, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0x8528f746, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0x3b0b40a8, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0xeafef923, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0x67e5e066, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0xe0430086, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0x138b6bbe, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0x21716ebb, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0x51d43e78, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0x39cc86cb, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0x69e2e514, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0x57667975, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0x377e9c68, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0xb79e4771, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0x663ddfa1, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0x322a6fb7, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0x6f6b7953, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0xdc5bcb3e, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0xb8ac7917, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0xebecd4b9, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0x05d67aac, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0x57fcde24, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0x343c90a9, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0xef0148da, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0x8d524daa, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0x14d3d2ec, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0xbd5c84d4, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x5a9cf7ab, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0xa88657de, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0x674b81d5, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0x0fa02d37, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0x9545075a, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0xec041d4e, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0x9ad4b1ba, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0x8389bc16, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0x62ca18c3, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0x3194a5d1, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0x6f4d2b3c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0xe5496486, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0x911e370e, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0xde064423, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0x20051f52, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0xb604fd32, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0xff93f0ea, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0x5071f0d4, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0xae4aab9d, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0xfcc1552a, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0xc7d3ffcd, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0x31274765, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0xfb5e2439, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0x7fb9203b, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0xff2d70c0, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0x9dbd58cc, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0xbe1e6818, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0xb72e1ed8, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0xcac2289c, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0xaa18fdd4, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0x19e0063d, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0x1f595236, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa90ff5e4, "snd_sgbuf_get_addr" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x4c877a10, "snd_sgbuf_get_chunk_size" },
	{ 0x67098dda, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x2d78f27e, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45ee0529, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x6857cc3d, "module_put" },
	{ 0x4c25316f, "component_match_add_typed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x33719327, "_dev_err" },
	{ 0xb071253e, "kobject_add" },
	{ 0x3d44dcd8, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x58145b6e, "__devres_alloc_node" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x6270d8b3, "sysfs_create_group" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa6b259fa, "__regmap_init" },
	{ 0x2e9c96c7, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa9c1db69, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x23d8e0a9, "sysfs_remove_group" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0xcb5b3f08, "component_master_del" },
	{ 0xa5eb5d93, "regmap_read" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x137f302, "component_bind_all" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe385f704, "snd_pcm_hw_params_bits" },
	{ 0x369e7826, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0x3824ec88, "pci_match_id" },
	{ 0xfe645927, "devres_find" },
	{ 0xde80edd1, "regmap_update_bits_base" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0xbefec929, "__pm_runtime_suspend" },
	{ 0x52fe7421, "regmap_exit" },
	{ 0x754d539c, "strlen" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x7541c895, "component_unbind_all" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x835e057b, "pci_bus_type" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x16136184, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xde021df3, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xe8e222dc, "regcache_sync" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe976d673, "regmap_write" },
	{ 0x80473ab7, "snd_dma_alloc_dir_pages" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x80a86b0b, "component_master_add_with_match" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0xb2d22b79, "snd_pcm_add_chmap_ctls" },
	{ 0xb0c76689, "pci_dev_put" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xf9664f72, "pci_get_device" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0xb20fd5b8, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfc6968f3, "pm_runtime_get_if_active" },
	{ 0x306aecb7, "kobject_init" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x9612cd5b, "prepare_to_wait" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x37a0cba, "kfree" },
	{ 0x234eefa7, "regcache_reg_cached" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "5DB94B74966C5289F2EAEBD");

MODULE_INFO(suserelease, "SLFO-1.2");
