#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_ac97_write, "", "");
KSYMTAB_FUNC(snd_ac97_read, "", "");
KSYMTAB_FUNC(snd_ac97_write_cache, "", "");
KSYMTAB_FUNC(snd_ac97_update, "", "");
KSYMTAB_FUNC(snd_ac97_update_bits, "", "");
KSYMTAB_FUNC(snd_ac97_get_short_name, "", "");
KSYMTAB_FUNC(snd_ac97_bus, "", "");
KSYMTAB_FUNC(snd_ac97_mixer, "", "");
KSYMTAB_FUNC(snd_ac97_update_power, "", "");
KSYMTAB_FUNC(snd_ac97_suspend, "", "");
KSYMTAB_FUNC(snd_ac97_resume, "", "");
KSYMTAB_FUNC(snd_ac97_tune_hardware, "", "");
KSYMTAB_FUNC(snd_ac97_set_rate, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_assign, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_open, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_close, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_double_rate_rules, "", "");

SYMBOL_CRC(snd_ac97_write, 0x6c4f0f62, "");
SYMBOL_CRC(snd_ac97_read, 0xb9401596, "");
SYMBOL_CRC(snd_ac97_write_cache, 0xc06f1568, "");
SYMBOL_CRC(snd_ac97_update, 0x4f30ae3f, "");
SYMBOL_CRC(snd_ac97_update_bits, 0xac07304c, "");
SYMBOL_CRC(snd_ac97_get_short_name, 0xa46af178, "");
SYMBOL_CRC(snd_ac97_bus, 0x29f6fd5c, "");
SYMBOL_CRC(snd_ac97_mixer, 0xd55f0108, "");
SYMBOL_CRC(snd_ac97_update_power, 0xf5539991, "");
SYMBOL_CRC(snd_ac97_suspend, 0xef8c727f, "");
SYMBOL_CRC(snd_ac97_resume, 0x8e736ad8, "");
SYMBOL_CRC(snd_ac97_tune_hardware, 0x22c08c4e, "");
SYMBOL_CRC(snd_ac97_set_rate, 0x3b16cde0, "");
SYMBOL_CRC(snd_ac97_pcm_assign, 0xabc944fb, "");
SYMBOL_CRC(snd_ac97_pcm_open, 0x8a22a875, "");
SYMBOL_CRC(snd_ac97_pcm_close, 0xfed8183b, "");
SYMBOL_CRC(snd_ac97_pcm_double_rate_rules, 0xf5766747, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x45ee0529, "put_device" },
	{ 0xf209dcd2, "snd_ctl_remove_id" },
	{ 0x4e1b99f, "snd_pcm_std_chmaps" },
	{ 0x3116a1d9, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd7a81f01, "snd_ctl_make_virtual_master" },
	{ 0xd509c7fb, "snd_pcm_hw_rule_add" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xde8ff0ec, "snd_ctl_boolean_mono_info" },
	{ 0x33719327, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x2b8216f, "pci_read_config_word" },
	{ 0xb9f9e71f, "ac97_bus_type" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xcb731d82, "snd_ctl_rename" },
	{ 0xd6f020db, "device_register" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x319f796a, "snd_device_new" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9e913c1, "snd_pcm_alt_chmaps" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3335abed, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd6352674, "snd_info_create_card_entry" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6e35ee41, "snd_ctl_add_followers" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0xde84ac52, "snd_ctl_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x343c8959, "device_unregister" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xb095d9c0, "snd_info_free_entry" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xc980badd, "snd_ctl_find_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbfdb5412, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,ac97_bus");


MODULE_INFO(srcversion, "3407AD7D5824D195EBFE468");

MODULE_INFO(suserelease, "SLFO-1.2");
