#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0d718a, "snd_hda_mixer_amp_tlv" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xea38034f, "snd_hda_pick_fixup" },
	{ 0xadcbb631, "snd_hda_apply_fixup" },
	{ 0xe2a70672, "snd_hda_add_verbs" },
	{ 0xf459176b, "snd_hda_gen_parse_auto_config" },
	{ 0x475a46c5, "snd_hda_enum_helper_info" },
	{ 0x8ee7fa71, "snd_hdac_codec_read" },
	{ 0x63fe0b, "snd_hda_mixer_amp_volume_put" },
	{ 0x27a995cc, "snd_hda_gen_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3b0b40a8, "snd_hdac_regmap_sync" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x108e42ff, "snd_hda_shutup_pins" },
	{ 0x9febf8d0, "snd_hda_get_connections" },
	{ 0xbef1818f, "snd_hda_gen_build_controls" },
	{ 0x771891f2, "snd_hda_mixer_amp_volume_info" },
	{ 0xadc08f34, "snd_hdac_regmap_read_raw" },
	{ 0x1dfbb46, "snd_hda_gen_spec_init" },
	{ 0x7190f57a, "snd_hda_mixer_amp_switch_info" },
	{ 0xa641f8e, "hda_codec_driver_unregister" },
	{ 0xcded1b6c, "snd_hda_codec_get_pincfg" },
	{ 0x18137fd4, "snd_hdac_codec_write" },
	{ 0x4b53de05, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0xff17ab45, "snd_hda_gen_add_kctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf922d3ff, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0xfa94e201, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x247e0afd, "snd_hda_get_bool_hint" },
	{ 0xde8ff0ec, "snd_ctl_boolean_mono_info" },
	{ 0x8c814512, "snd_hda_override_amp_caps" },
	{ 0xe5d2d142, "__hda_codec_driver_register" },
	{ 0x27a288af, "snd_hda_parse_pin_defcfg" },
	{ 0x98d51809, "snd_hda_gen_init" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x28545b5b, "snd_hda_mixer_amp_switch_get" },
	{ 0x5ada2333, "snd_hda_codec_set_name" },
	{ 0x2edc3fd3, "snd_hda_mixer_amp_volume_get" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6eb9a83, "snd_hda_mixer_amp_switch_put" },
	{ 0xa58d6700, "snd_hda_codec_set_pincfg" },
	{ 0x332e84b5, "snd_hda_jack_unsol_event" },
	{ 0xc1345a0f, "snd_hda_override_conn_list" },
	{ 0x85108f47, "snd_hda_check_amp_list_power" },
	{ 0x1c64f61, "snd_hda_gen_build_pcms" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v11061708r*a01*");
MODULE_ALIAS("hdaudio:v11061709r*a01*");
MODULE_ALIAS("hdaudio:v1106170Ar*a01*");
MODULE_ALIAS("hdaudio:v1106170Br*a01*");
MODULE_ALIAS("hdaudio:v1106E710r*a01*");
MODULE_ALIAS("hdaudio:v1106E711r*a01*");
MODULE_ALIAS("hdaudio:v1106E712r*a01*");
MODULE_ALIAS("hdaudio:v1106E713r*a01*");
MODULE_ALIAS("hdaudio:v1106E714r*a01*");
MODULE_ALIAS("hdaudio:v1106E715r*a01*");
MODULE_ALIAS("hdaudio:v1106E716r*a01*");
MODULE_ALIAS("hdaudio:v1106E717r*a01*");
MODULE_ALIAS("hdaudio:v1106E720r*a01*");
MODULE_ALIAS("hdaudio:v1106E721r*a01*");
MODULE_ALIAS("hdaudio:v1106E722r*a01*");
MODULE_ALIAS("hdaudio:v1106E723r*a01*");
MODULE_ALIAS("hdaudio:v1106E724r*a01*");
MODULE_ALIAS("hdaudio:v1106E725r*a01*");
MODULE_ALIAS("hdaudio:v1106E726r*a01*");
MODULE_ALIAS("hdaudio:v1106E727r*a01*");
MODULE_ALIAS("hdaudio:v11060397r*a01*");
MODULE_ALIAS("hdaudio:v11061397r*a01*");
MODULE_ALIAS("hdaudio:v11062397r*a01*");
MODULE_ALIAS("hdaudio:v11063397r*a01*");
MODULE_ALIAS("hdaudio:v11064397r*a01*");
MODULE_ALIAS("hdaudio:v11065397r*a01*");
MODULE_ALIAS("hdaudio:v11066397r*a01*");
MODULE_ALIAS("hdaudio:v11067397r*a01*");
MODULE_ALIAS("hdaudio:v11060398r*a01*");
MODULE_ALIAS("hdaudio:v11061398r*a01*");
MODULE_ALIAS("hdaudio:v11062398r*a01*");
MODULE_ALIAS("hdaudio:v11063398r*a01*");
MODULE_ALIAS("hdaudio:v11064398r*a01*");
MODULE_ALIAS("hdaudio:v11065398r*a01*");
MODULE_ALIAS("hdaudio:v11066398r*a01*");
MODULE_ALIAS("hdaudio:v11067398r*a01*");
MODULE_ALIAS("hdaudio:v11060428r*a01*");
MODULE_ALIAS("hdaudio:v11064428r*a01*");
MODULE_ALIAS("hdaudio:v11060441r*a01*");
MODULE_ALIAS("hdaudio:v11064441r*a01*");
MODULE_ALIAS("hdaudio:v11060433r*a01*");
MODULE_ALIAS("hdaudio:v1106A721r*a01*");
MODULE_ALIAS("hdaudio:v11060438r*a01*");
MODULE_ALIAS("hdaudio:v11064438r*a01*");
MODULE_ALIAS("hdaudio:v11060448r*a01*");
MODULE_ALIAS("hdaudio:v11060440r*a01*");
MODULE_ALIAS("hdaudio:v11060446r*a01*");
MODULE_ALIAS("hdaudio:v11068446r*a01*");
MODULE_ALIAS("hdaudio:v11064760r*a01*");
MODULE_ALIAS("hdaudio:v11064761r*a01*");
MODULE_ALIAS("hdaudio:v11064762r*a01*");

MODULE_INFO(srcversion, "BBC81031ACBDA3148DB1DB8");

MODULE_INFO(suserelease, "SLFO-1.2");
