#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l41_hda_probe, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_FUNC(cs35l41_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_DATA(cs35l41_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L41");

SYMBOL_CRC(cs35l41_hda_probe, 0xf824058a, "_gpl");
SYMBOL_CRC(cs35l41_hda_remove, 0x1a10bf4c, "_gpl");
SYMBOL_CRC(cs35l41_hda_pm_ops, 0x61e21276, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45ee0529, "put_device" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x3573e15, "fwnode_gpiod_get_index" },
	{ 0xf40c71a7, "device_property_read_u32_array" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x51085e3, "lock_system_sleep" },
	{ 0x893c5ddb, "unlock_system_sleep" },
	{ 0xde8ff0ec, "snd_ctl_boolean_mono_info" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xb152ec2b, "devm_acpi_dev_add_driver_gpios" },
	{ 0x5fbdd86f, "devm_kfree" },
	{ 0x33719327, "_dev_err" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe3c47331, "cs_dsp_halo_init" },
	{ 0x33605a32, "cs_dsp_power_down" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xf1b61c1e, "device_link_remove" },
	{ 0x961d672b, "cs35l41_test_key_unlock" },
	{ 0x9d2ff742, "cs35l41_test_key_lock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb33d5ac3, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x70ae034, "acpi_get_first_physical_node" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd059df98, "cs_dsp_power_up" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9ee38254, "cs35l41_otp_unpack" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x56e76cc9, "devm_kasprintf" },
	{ 0x7d02929c, "devm_regmap_add_irq_chip" },
	{ 0x12ea8f26, "cs35l41_exit_hibernate" },
	{ 0xdd1674e3, "spi_setup" },
	{ 0xa5eb5d93, "regmap_read" },
	{ 0xbb150d8, "cs_dsp_run" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x8185c1dc, "cs_amp_write_cal_coeffs" },
	{ 0x45554aeb, "cs35l41_set_cspl_mbox_cmd" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xd3f1ed0e, "cs35l41_write_fs_errata" },
	{ 0x309bfb59, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf733b3b1, "cs35l41_configure_cs_dsp" },
	{ 0x78e26940, "_dev_crit" },
	{ 0xde80edd1, "regmap_update_bits_base" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0xf70bf09d, "regmap_multi_reg_write" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xbefec929, "__pm_runtime_suspend" },
	{ 0x548df626, "component_add" },
	{ 0x473c64b6, "__pm_runtime_use_autosuspend" },
	{ 0xb98ad696, "cs35l41_set_channels" },
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0xed0fefc, "device_link_add" },
	{ 0x1b935c2e, "pm_runtime_force_suspend" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x2b707546, "hda_cs_dsp_fw_ids" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0x269a6026, "acpi_dev_get_first_match_dev" },
	{ 0x20b835f4, "gpiod_get_value_cansleep" },
	{ 0xfc718af4, "cs35l41_global_enable" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf3a60e0b, "regcache_cache_only" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0x6ef96a37, "gpiod_put" },
	{ 0xe8e222dc, "regcache_sync" },
	{ 0xe976d673, "regmap_write" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x9c6f1b12, "cs_amp_get_efi_calibration_data" },
	{ 0x98ce86d6, "firmware_request_nowarn" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0xde84ac52, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x954d3d5e, "gpiod_count" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f42aace, "cs_dsp_stop" },
	{ 0xa7ab3e7c, "pm_runtime_set_autosuspend_delay" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xf27a4331, "cs35l41_register_errata_patch" },
	{ 0x2927e8c6, "gpiod_set_value_cansleep" },
	{ 0x96848186, "scnprintf" },
	{ 0xba370b8c, "gpiod_get_index" },
	{ 0x3679cd8b, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8692aab, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1f564c8c, "cs35l41_init_boost" },
	{ 0x777d77c2, "cs35l41_enter_hibernate" },
	{ 0x1a2f220, "get_device" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5a4fbd7a, "hda_cs_dsp_read_ctl" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0xbfdb5412, "snd_ctl_new1" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd,cs_dsp,snd-soc-cs35l41-lib,snd-soc-cs-amp-lib,snd-hda-cs-dsp-ctls");


MODULE_INFO(srcversion, "CBDF47FC8B7D09493CF4F09");

MODULE_INFO(suserelease, "SLFO-1.2");
