#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_hda_common_probe, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_FUNC(cs35l56_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_DATA(cs35l56_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L56");

SYMBOL_CRC(cs35l56_hda_common_probe, 0x88c7acfe, "_gpl");
SYMBOL_CRC(cs35l56_hda_remove, 0xfdbd68e8, "_gpl");
SYMBOL_CRC(cs35l56_hda_pm_ops, 0x53efd3d9, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x11471096, "snd_ctl_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc35d7a9, "cs35l56_get_calibration" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0xbfdb5412, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xf40c71a7, "device_property_read_u32_array" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc11a4c63, "cs35l56_init_cs_dsp" },
	{ 0x33719327, "_dev_err" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe3c47331, "cs_dsp_halo_init" },
	{ 0x33605a32, "cs_dsp_power_down" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x9424aaf7, "cs35l56_runtime_suspend_common" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb33d5ac3, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9e07e94b, "cs35l56_mbox_send" },
	{ 0x53800109, "cs35l56_hw_init" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x57c12089, "cs35l56_read_prot_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd059df98, "cs_dsp_power_up" },
	{ 0xab996a6, "cs35l56_system_reset" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xc3fcca5, "cs35l56_wait_for_firmware_boot" },
	{ 0x56e76cc9, "devm_kasprintf" },
	{ 0x7ee39858, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x1f65a291, "cs35l56_is_fw_reload_needed" },
	{ 0xa5eb5d93, "regmap_read" },
	{ 0xbb150d8, "cs_dsp_run" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x8185c1dc, "cs_amp_write_cal_coeffs" },
	{ 0x309bfb59, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1c4f818b, "cs35l56_runtime_resume_common" },
	{ 0xde80edd1, "regmap_update_bits_base" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0xf70bf09d, "regmap_multi_reg_write" },
	{ 0xbefec929, "__pm_runtime_suspend" },
	{ 0x548df626, "component_add" },
	{ 0x57ac7e36, "set_primary_fwnode" },
	{ 0x473c64b6, "__pm_runtime_use_autosuspend" },
	{ 0x3e85b4ed, "devm_gpiod_get_index_optional" },
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x5a18a83e, "cs35l56_firmware_shutdown" },
	{ 0x1b935c2e, "pm_runtime_force_suspend" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x2ab99f9f, "__pm_runtime_idle" },
	{ 0xfb09c81, "cirrus_scodec_get_speaker_id" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x269a6026, "acpi_dev_get_first_match_dev" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf3a60e0b, "regcache_cache_only" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0xe8e222dc, "regcache_sync" },
	{ 0xe976d673, "regmap_write" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x98ce86d6, "firmware_request_nowarn" },
	{ 0xde84ac52, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xdf30055f, "cs_dsp_cleanup_debugfs" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f42aace, "cs_dsp_stop" },
	{ 0xa7ab3e7c, "pm_runtime_set_autosuspend_delay" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x2927e8c6, "gpiod_set_value_cansleep" },
	{ 0x3679cd8b, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x52b5a55e, "sound_debugfs_root" },
	{ 0xb8692aab, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa61fe232, "cs_dsp_init_debugfs" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-soc-cs35l56-shared,cs_dsp,snd-soc-cs-amp-lib,snd-hda-cirrus-scodec");


MODULE_INFO(srcversion, "E7DB57D93E3B591C183FBF8");

MODULE_INFO(suserelease, "SLFO-1.2");
