#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l45_probe, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_remove, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_pm_ops, "_gpl", "");
KSYMTAB_FUNC(cs35l45_apply_patch, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_i2c_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_spi_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_get_clk_freq_id, "_gpl", "SND_SOC_CS35L45");

SYMBOL_CRC(cs35l45_probe, 0x8ee311cd, "_gpl");
SYMBOL_CRC(cs35l45_remove, 0x4d9cf365, "_gpl");
SYMBOL_CRC(cs35l45_pm_ops, 0x9ca7ad5f, "_gpl");
SYMBOL_CRC(cs35l45_apply_patch, 0x19c91165, "_gpl");
SYMBOL_CRC(cs35l45_i2c_regmap, 0xb366f685, "_gpl");
SYMBOL_CRC(cs35l45_spi_regmap, 0xf05e37c9, "_gpl");
SYMBOL_CRC(cs35l45_get_clk_freq_id, 0xb3b217a7, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9b447f0e, "devm_regulator_get" },
	{ 0x32f350ac, "snd_soc_component_disable_pin_unlocked" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x2b04bf25, "snd_soc_info_volsw" },
	{ 0x33719327, "_dev_err" },
	{ 0xfdecc38b, "wm_adsp_event" },
	{ 0xeff0e4af, "snd_soc_dapm_put_volsw" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x8dc26e83, "snd_ctl_notify" },
	{ 0xefb07968, "wm_adsp_fw_enum" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x62c61a3a, "wm_adsp2_component_probe" },
	{ 0xbfd678aa, "wm_adsp2_preloader_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x60dc870a, "wm_adsp2_preloader_get" },
	{ 0xe75e2f79, "snd_soc_info_enum_double" },
	{ 0x84522579, "wm_adsp2_component_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7d02929c, "devm_regmap_add_irq_chip" },
	{ 0xdc805932, "snd_soc_get_volsw" },
	{ 0xa5eb5d93, "regmap_read" },
	{ 0x159f5eeb, "snd_soc_put_volsw" },
	{ 0x5f1b35b8, "wm_adsp_fw_get" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x57b6c258, "snd_soc_component_enable_pin_unlocked" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x560c172f, "regmap_bulk_read" },
	{ 0xde80edd1, "regmap_update_bits_base" },
	{ 0xc684d9df, "regulator_disable" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0xf70bf09d, "regmap_multi_reg_write" },
	{ 0x7d44e6c0, "snd_soc_dapm_get_volsw" },
	{ 0xbefec929, "__pm_runtime_suspend" },
	{ 0x9d46ba28, "regmap_register_patch" },
	{ 0x550cda65, "snd_soc_dapm_get_enum_double" },
	{ 0x473c64b6, "__pm_runtime_use_autosuspend" },
	{ 0x225935ac, "wm_halo_init" },
	{ 0x7a80e26d, "wm_adsp_early_event" },
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xbae981d9, "snd_soc_dapm_put_enum_double" },
	{ 0x8011ca18, "wm_adsp_fw_put" },
	{ 0x5ed6577, "regulator_enable" },
	{ 0xf3a60e0b, "regcache_cache_only" },
	{ 0xe8e222dc, "regcache_sync" },
	{ 0xe976d673, "regmap_write" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x10873e7b, "snd_soc_component_get_kcontrol" },
	{ 0xa7ab3e7c, "pm_runtime_set_autosuspend_delay" },
	{ 0x2927e8c6, "gpiod_set_value_cansleep" },
	{ 0xc2cae5c9, "wm_adsp2_remove" },
	{ 0x70c6e0ba, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb8692aab, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x22d50cc, "devm_gpiod_get_optional" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0xe9afda60, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0xf40c71a7, "device_property_read_u32_array" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-wm-adsp,snd,snd-pcm");


MODULE_INFO(srcversion, "339289D9249B51897B33DCC");

MODULE_INFO(suserelease, "SLFO-1.2");
