#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0x98d1e542, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0xf9e43772, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0x6c0e94a0, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0x82720573, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0x42190748, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0xf2c126b6, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0x421abddd, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0xdcfb1aa8, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0xe0ee2c42, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0xbb30aa9e, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0x89c0162d, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0xee6a8a14, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x92f72cd8, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0xbd6b645e, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x295a1795, "snd_soc_jack_report" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x2927e8c6, "gpiod_set_value_cansleep" },
	{ 0x2038dbde, "snd_pcm_hw_constraint_minmax" },
	{ 0x24f60232, "regcache_sync_region" },
	{ 0xa2f720f6, "snd_soc_put_enum_double" },
	{ 0xb8692aab, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x22d50cc, "devm_gpiod_get_optional" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe9afda60, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb5614da2, "regulator_bulk_disable" },
	{ 0xf40c71a7, "device_property_read_u32_array" },
	{ 0xb3e25b07, "snd_soc_get_enum_double" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x2b04bf25, "snd_soc_info_volsw" },
	{ 0x97ca5f5, "regcache_drop_region" },
	{ 0x33719327, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe75e2f79, "snd_soc_info_enum_double" },
	{ 0xbb025590, "regulator_bulk_enable" },
	{ 0x2c708545, "devm_regulator_bulk_get" },
	{ 0xdc805932, "snd_soc_get_volsw" },
	{ 0xa5eb5d93, "regmap_read" },
	{ 0x159f5eeb, "snd_soc_put_volsw" },
	{ 0x96485c0e, "snd_soc_component_update_bits" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x560c172f, "regmap_bulk_read" },
	{ 0xde80edd1, "regmap_update_bits_base" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0xf70bf09d, "regmap_multi_reg_write" },
	{ 0xbefec929, "__pm_runtime_suspend" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x149eb2a8, "device_property_present" },
	{ 0xf3a60e0b, "regcache_cache_only" },
	{ 0xe8e222dc, "regcache_sync" },
	{ 0xe976d673, "regmap_write" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "03C925C7DEB10ECF436DE21");

MODULE_INFO(suserelease, "SLFO-1.2");
