#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nau8825_enable_jack_detect, "_gpl", "");

SYMBOL_CRC(nau8825_enable_jack_detect, 0xbec880e9, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x43f81957, "clk_round_rate" },
	{ 0x575c0b27, "i2c_register_driver" },
	{ 0x2b04bf25, "snd_soc_info_volsw" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x33719327, "_dev_err" },
	{ 0x526fc39c, "snd_soc_dapm_force_bias_level" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xe75e2f79, "snd_soc_info_enum_double" },
	{ 0x89a9f940, "devm_clk_get_optional" },
	{ 0xdc805932, "snd_soc_get_volsw" },
	{ 0xa5eb5d93, "regmap_read" },
	{ 0x159f5eeb, "snd_soc_put_volsw" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xde80edd1, "regmap_update_bits_base" },
	{ 0x4e5879c8, "i2c_del_driver" },
	{ 0x9d46ba28, "regmap_register_patch" },
	{ 0x550cda65, "snd_soc_dapm_get_enum_double" },
	{ 0xca414151, "regmap_raw_write" },
	{ 0x815588a6, "clk_enable" },
	{ 0x2acda8a0, "snd_soc_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xbae981d9, "snd_soc_dapm_put_enum_double" },
	{ 0x149eb2a8, "device_property_present" },
	{ 0xf3a60e0b, "regcache_cache_only" },
	{ 0xe8e222dc, "regcache_sync" },
	{ 0x92e683f5, "down_timeout" },
	{ 0xe976d673, "regmap_write" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x26ff8ddb, "snd_soc_bytes_info_ext" },
	{ 0x295a1795, "snd_soc_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbf05a9e8, "regmap_raw_read" },
	{ 0xcf2a6966, "up" },
	{ 0x2038dbde, "snd_pcm_hw_constraint_minmax" },
	{ 0x8733236, "intlog10" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x897e1757, "snd_soc_dapm_disable_pin" },
	{ 0x16993e1d, "snd_soc_dapm_force_enable_pin" },
	{ 0xa2f720f6, "snd_soc_put_enum_double" },
	{ 0xb8692aab, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x701e06df, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3e9dfe6b, "snd_soc_dapm_sync" },
	{ 0xe9afda60, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb5d55eba, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf40c71a7, "device_property_read_u32_array" },
	{ 0xb3e25b07, "snd_soc_get_enum_double" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm,regmap-i2c");

MODULE_ALIAS("acpi*:10508825:*");
MODULE_ALIAS("i2c:nau8825");

MODULE_INFO(srcversion, "836CFF4F5D18E922A072558");

MODULE_INFO(suserelease, "SLFO-1.2");
