#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt5670_jack_suspend, "_gpl", "");
KSYMTAB_FUNC(rt5670_jack_resume, "_gpl", "");
KSYMTAB_FUNC(rt5670_set_jack_detect, "_gpl", "");
KSYMTAB_FUNC(rt5670_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5670_components, "_gpl", "");

SYMBOL_CRC(rt5670_jack_suspend, 0xa57277ea, "_gpl");
SYMBOL_CRC(rt5670_jack_resume, 0xeba29dfb, "_gpl");
SYMBOL_CRC(rt5670_set_jack_detect, 0xfebe0c05, "_gpl");
SYMBOL_CRC(rt5670_sel_asrc_clk_src, 0x67b9b2d7, "_gpl");
SYMBOL_CRC(rt5670_components, 0x2f5ee4db, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x33719327, "_dev_err" },
	{ 0xeff0e4af, "snd_soc_dapm_put_volsw" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x6486f0c1, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6598564a, "snd_soc_dapm_kcontrol_dapm" },
	{ 0xe75e2f79, "snd_soc_info_enum_double" },
	{ 0xdc805932, "snd_soc_get_volsw" },
	{ 0xa5eb5d93, "regmap_read" },
	{ 0x159f5eeb, "snd_soc_put_volsw" },
	{ 0x96485c0e, "snd_soc_component_update_bits" },
	{ 0x8502eb7, "snd_soc_dapm_new_controls" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xde80edd1, "regmap_update_bits_base" },
	{ 0x7d44e6c0, "snd_soc_dapm_get_volsw" },
	{ 0x4e5879c8, "i2c_del_driver" },
	{ 0x9d46ba28, "regmap_register_patch" },
	{ 0x550cda65, "snd_soc_dapm_get_enum_double" },
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0x2ab99f9f, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xbae981d9, "snd_soc_dapm_put_enum_double" },
	{ 0xf3a60e0b, "regcache_cache_only" },
	{ 0xe8e222dc, "regcache_sync" },
	{ 0xe976d673, "regmap_write" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x75ed7ad5, "snd_soc_jack_free_gpios" },
	{ 0xdb93966c, "snd_soc_component_read" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0x11b0d1a2, "snd_soc_jack_add_gpios" },
	{ 0x897e1757, "snd_soc_dapm_disable_pin" },
	{ 0x16993e1d, "snd_soc_dapm_force_enable_pin" },
	{ 0xa2f720f6, "snd_soc_put_enum_double" },
	{ 0xb8692aab, "regcache_mark_dirty" },
	{ 0xee9124b3, "snd_soc_params_to_frame_size" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6f30105b, "snd_soc_component_write" },
	{ 0x3e9dfe6b, "snd_soc_dapm_sync" },
	{ 0xe9afda60, "devm_snd_soc_register_component" },
	{ 0xb5d55eba, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0xb3e25b07, "snd_soc_get_enum_double" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x575c0b27, "i2c_register_driver" },
	{ 0x2b04bf25, "snd_soc_info_volsw" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm,regmap-i2c");

MODULE_ALIAS("i2c:rt5670");
MODULE_ALIAS("i2c:rt5671");
MODULE_ALIAS("i2c:rt5672");
MODULE_ALIAS("acpi*:10EC5670:*");
MODULE_ALIAS("acpi*:10EC5672:*");
MODULE_ALIAS("acpi*:10EC5640:*");

MODULE_INFO(srcversion, "755EA7EF14DC7AB16DDD255");

MODULE_INFO(suserelease, "SLFO-1.2");
