#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(snd_soc_acpi_intel_baytrail_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_cherrytrail_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_broadwell_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_skl_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_kbl_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_bxt_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_glk_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_cnl_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_cnl_sdw_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_cfl_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_cfl_sdw_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_cml_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_cml_sdw_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_icl_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_icl_sdw_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_tgl_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_tgl_sdw_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_ehl_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_jsl_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_adl_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_adl_sdw_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_rpl_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_rpl_sdw_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_mtl_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_mtl_sdw_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_arl_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_arl_sdw_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_lnl_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_lnl_sdw_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_ptl_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_ptl_sdw_machines, "_gpl", "");
KSYMTAB_DATA(snd_soc_acpi_intel_hda_machines, "_gpl", "");
KSYMTAB_FUNC(snd_soc_acpi_intel_detect_codec_type, "", "SND_SOC_ACPI_INTEL_MATCH");
KSYMTAB_FUNC(snd_soc_acpi_intel_detect_amp_type, "", "SND_SOC_ACPI_INTEL_MATCH");
KSYMTAB_FUNC(snd_soc_acpi_intel_get_codec_name, "", "SND_SOC_ACPI_INTEL_MATCH");
KSYMTAB_FUNC(snd_soc_acpi_intel_get_codec_tplg_suffix, "", "SND_SOC_ACPI_INTEL_MATCH");
KSYMTAB_FUNC(snd_soc_acpi_intel_get_amp_tplg_suffix, "", "SND_SOC_ACPI_INTEL_MATCH");

SYMBOL_CRC(snd_soc_acpi_intel_baytrail_machines, 0xfed1bafd, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_cherrytrail_machines, 0x74eab32f, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_broadwell_machines, 0x99468bfc, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_skl_machines, 0xe0b65eb8, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_kbl_machines, 0xcc8c8685, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_bxt_machines, 0x3445d522, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_glk_machines, 0xe2171765, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_cnl_machines, 0x8dbe1ad3, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_cnl_sdw_machines, 0xc0176537, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_cfl_machines, 0xfead859c, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_cfl_sdw_machines, 0x5dccb385, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_cml_machines, 0xa476ae21, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_cml_sdw_machines, 0x6fbe28fd, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_icl_machines, 0xb6d887d3, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_icl_sdw_machines, 0xb7706b91, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_tgl_machines, 0x6706f13b, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_tgl_sdw_machines, 0x1aa81c77, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_ehl_machines, 0x791bc43f, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_jsl_machines, 0x0365e2c9, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_adl_machines, 0xad313038, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_adl_sdw_machines, 0x73c6c474, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_rpl_machines, 0xdbec80d8, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_rpl_sdw_machines, 0xed171407, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_mtl_machines, 0xde0e66f7, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_mtl_sdw_machines, 0xa40b629c, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_arl_machines, 0x18876742, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_arl_sdw_machines, 0x1723f284, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_lnl_machines, 0x4b3c2906, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_lnl_sdw_machines, 0x8c02ea19, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_ptl_machines, 0xdbe15c98, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_ptl_sdw_machines, 0x473efe23, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_hda_machines, 0x3089c6e9, "_gpl");
SYMBOL_CRC(snd_soc_acpi_intel_detect_codec_type, 0x7955356e, "");
SYMBOL_CRC(snd_soc_acpi_intel_detect_amp_type, 0x024a2742, "");
SYMBOL_CRC(snd_soc_acpi_intel_get_codec_name, 0xa4f2ec66, "");
SYMBOL_CRC(snd_soc_acpi_intel_get_codec_tplg_suffix, 0x2a5ca07b, "");
SYMBOL_CRC(snd_soc_acpi_intel_get_amp_tplg_suffix, 0x0e84eefc, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8e7ef283, "snd_soc_acpi_codec_list" },
	{ 0xb4577003, "acpi_dev_present" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-acpi");


MODULE_INFO(srcversion, "2A7CD79575B9E3DEEA00961");

MODULE_INFO(suserelease, "SLFO-1.2");
