#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_cl_prepare, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(cl_dsp_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_cleanup, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware_iccmax, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_load_library, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ext_man_get_cavs_config_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_hda_position_quirk, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_stream_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_threaded_handler, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_get_position, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_llp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_ldp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_release, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_get_interface_mask, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_is_chain_dma_supported, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_stall_reset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_is_enabled, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_run, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_power_up, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_enable_core, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_reset_power_down, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_disable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc3, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc4, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_idle, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown_dma_flush, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_hw_params_upon_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_get, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_common_enable_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_common, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_ext, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_process_wakeen, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_disable_interrupts, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(hda_dsp_ipc_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_schedule_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_reply, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_msg_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_stream_data_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_irq_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_tx_is_busy, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_get_caps, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_clock_power_gating, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_init_chip, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_ack, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_pointer, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_open, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_close, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dai_config, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_dai_drv_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_dai, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_exit, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_ipc4_intel_dump_telemetry_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(hda_probes_register, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_probes_unregister, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_cl_prepare, 0x5ffa5459, "");
SYMBOL_CRC(cl_dsp_init, 0x52a7f9f5, "");
SYMBOL_CRC(hda_cl_trigger, 0x5f32db77, "");
SYMBOL_CRC(hda_cl_cleanup, 0xb43022e5, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware_iccmax, 0xf138420c, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware, 0xa872e75a, "");
SYMBOL_CRC(hda_dsp_ipc4_load_library, 0xac506cc5, "");
SYMBOL_CRC(hda_dsp_ext_man_get_cavs_config_data, 0xecf10d5b, "");
SYMBOL_CRC(sof_hda_position_quirk, 0xf2ce560f, "");
SYMBOL_CRC(hda_dsp_stream_hw_free, 0x05377176, "");
SYMBOL_CRC(hda_dsp_check_stream_irq, 0xb8774185, "");
SYMBOL_CRC(hda_dsp_stream_threaded_handler, 0x3bdcdfa9, "");
SYMBOL_CRC(hda_dsp_stream_init, 0x89669d90, "");
SYMBOL_CRC(hda_dsp_stream_free, 0xe62a0093, "");
SYMBOL_CRC(hda_dsp_stream_get_position, 0x1ae82b5e, "");
SYMBOL_CRC(hda_dsp_get_stream_llp, 0xb47417dc, "");
SYMBOL_CRC(hda_dsp_get_stream_ldp, 0xc7b895ea, "");
SYMBOL_CRC(hda_dsp_trace_init, 0x9a679109, "");
SYMBOL_CRC(hda_dsp_trace_release, 0x9516fada, "");
SYMBOL_CRC(hda_dsp_trace_trigger, 0x05ef2ad3, "");
SYMBOL_CRC(hda_get_interface_mask, 0x0279984e, "");
SYMBOL_CRC(hda_is_chain_dma_supported, 0x77b9232f, "");
SYMBOL_CRC(hda_dsp_core_stall_reset, 0x757e4925, "");
SYMBOL_CRC(hda_dsp_core_is_enabled, 0x6258f39f, "");
SYMBOL_CRC(hda_dsp_core_run, 0xa76b0ea2, "");
SYMBOL_CRC(hda_dsp_core_power_up, 0x171771ee, "");
SYMBOL_CRC(hda_dsp_enable_core, 0xc290b9b2, "");
SYMBOL_CRC(hda_dsp_core_reset_power_down, 0x6a928e77, "");
SYMBOL_CRC(hda_dsp_ipc_int_enable, 0x337662e1, "");
SYMBOL_CRC(hda_dsp_ipc_int_disable, 0x56452c0d, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc3, 0x7f1a733b, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc4, 0x098eee95, "");
SYMBOL_CRC(hda_dsp_resume, 0xada1db35, "");
SYMBOL_CRC(hda_dsp_runtime_resume, 0x1159af1b, "");
SYMBOL_CRC(hda_dsp_runtime_idle, 0x3f028446, "");
SYMBOL_CRC(hda_dsp_runtime_suspend, 0x54e0cba3, "");
SYMBOL_CRC(hda_dsp_suspend, 0xc55da27c, "");
SYMBOL_CRC(hda_dsp_shutdown_dma_flush, 0x0b0e8475, "");
SYMBOL_CRC(hda_dsp_shutdown, 0x1cd55d7a, "");
SYMBOL_CRC(hda_dsp_set_hw_params_upon_resume, 0x8ba66728, "");
SYMBOL_CRC(hda_dsp_d0i3_work, 0x2ad078bb, "");
SYMBOL_CRC(hda_dsp_core_get, 0xc5375199, "");
SYMBOL_CRC(hda_common_enable_sdw_irq, 0x010ddea4, "");
SYMBOL_CRC(hda_sdw_int_enable, 0x10a3ba21, "");
SYMBOL_CRC(hda_sdw_check_lcount_common, 0xbc840d92, "");
SYMBOL_CRC(hda_sdw_check_lcount_ext, 0xca36280e, "");
SYMBOL_CRC(hda_sdw_check_lcount, 0xb4506756, "");
SYMBOL_CRC(hda_sdw_process_wakeen, 0x160ced29, "");
SYMBOL_CRC(hda_dsp_disable_interrupts, 0xe8cea712, "");
SYMBOL_CRC(hda_dsp_get_state, 0x666254db, "");
SYMBOL_CRC(hda_dsp_dump, 0x2e730009, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_initiated, 0x5431644c, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_initiated, 0x66e978c8, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_initiated, 0x2c8e21d9, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, 0x35e33813, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_response, 0x68442266, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_response, 0x082c0a3e, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_response, 0xd0c8152e, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_response, 0x16bbbb91, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq_ipc_check, 0x883fafaf, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq_ipc_check, 0xfb8b5b72, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq_ipc_check, 0xb2197baa, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, 0x2b37f935, "");
SYMBOL_CRC(hda_dsp_ipc_send_msg, 0x44b4d304, "");
SYMBOL_CRC(hda_dsp_ipc4_schedule_d0i3_work, 0xf25f0f27, "");
SYMBOL_CRC(hda_dsp_ipc4_send_msg, 0x3ac8bb6c, "");
SYMBOL_CRC(hda_dsp_ipc_get_reply, 0x7c2722e7, "");
SYMBOL_CRC(hda_dsp_ipc4_irq_thread, 0x6ef62ffb, "");
SYMBOL_CRC(hda_dsp_ipc_irq_thread, 0xa457063a, "");
SYMBOL_CRC(hda_dsp_check_ipc_irq, 0xe7eae80e, "");
SYMBOL_CRC(hda_dsp_ipc_get_mailbox_offset, 0x3d36255d, "");
SYMBOL_CRC(hda_dsp_ipc_get_window_offset, 0xa7427854, "");
SYMBOL_CRC(hda_ipc_msg_data, 0x9a496244, "");
SYMBOL_CRC(hda_set_stream_data_offset, 0xf10cc0f2, "");
SYMBOL_CRC(hda_ipc4_dsp_dump, 0x1233d3ef, "");
SYMBOL_CRC(hda_check_ipc_irq, 0xfb3be353, "");
SYMBOL_CRC(hda_ipc_irq_dump, 0x2f4720e0, "");
SYMBOL_CRC(hda_ipc_dump, 0x4d2e44d1, "");
SYMBOL_CRC(hda_ipc4_dump, 0xf50d2e9f, "");
SYMBOL_CRC(hda_ipc4_tx_is_busy, 0x326190e4, "");
SYMBOL_CRC(hda_dsp_ctrl_get_caps, 0x39e59e2c, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_enable, 0x3b3b9314, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_int_enable, 0x80317f3b, "");
SYMBOL_CRC(hda_dsp_ctrl_clock_power_gating, 0xc529e5d4, "");
SYMBOL_CRC(hda_dsp_ctrl_init_chip, 0x056be805, "");
SYMBOL_CRC(hda_dsp_pcm_hw_params, 0xa5eb3200, "");
SYMBOL_CRC(hda_dsp_pcm_ack, 0x4f2b5495, "");
SYMBOL_CRC(hda_dsp_pcm_trigger, 0x93a1a38b, "");
SYMBOL_CRC(hda_dsp_pcm_pointer, 0x421ac9cb, "");
SYMBOL_CRC(hda_dsp_pcm_open, 0x17f9b660, "");
SYMBOL_CRC(hda_dsp_pcm_close, 0xdc6ed5ca, "");
SYMBOL_CRC(hda_dai_config, 0x6865c054, "");
SYMBOL_CRC(sdw_hda_dai_hw_params, 0xce9fc8c2, "");
SYMBOL_CRC(sdw_hda_dai_hw_free, 0x462679a4, "");
SYMBOL_CRC(sdw_hda_dai_trigger, 0xb0b00899, "");
SYMBOL_CRC(hda_set_dai_drv_ops, 0x227bf0c4, "");
SYMBOL_CRC(hda_ops_free, 0xe4ecdd1b, "");
SYMBOL_CRC(skl_dai, 0x18ee96f9, "");
SYMBOL_CRC(sof_hda_bus_init, 0xe425351a, "");
SYMBOL_CRC(sof_hda_bus_exit, 0x30266494, "");
SYMBOL_CRC(sof_ipc4_intel_dump_telemetry_state, 0xcc502db2, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq, 0x99f446f2, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq, 0x22a9de4c, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq, 0xcb2eab5b, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq, 0x79bb115b, "");
SYMBOL_CRC(hda_probes_register, 0x2d976fb7, "");
SYMBOL_CRC(hda_probes_unregister, 0x10522b97, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9cfb127, "__wake_up" },
	{ 0xa90ff5e4, "snd_sgbuf_get_addr" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x4c877a10, "snd_sgbuf_get_chunk_size" },
	{ 0x56de3c7a, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x2d78f27e, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3875b0d1, "hda_codec_resume_cmd_io" },
	{ 0x18ec85d3, "sof_ipc4_find_debug_slot_offset_by_type" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x45cd81f8, "snd_hdac_ext_bus_exit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe8a4db55, "snd_hdac_ext_stream_clear" },
	{ 0xc1d7e11c, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x5d5eb732, "snd_hdac_ext_bus_link_power" },
	{ 0xad379f65, "snd_sof_dsp_dbg_dump" },
	{ 0x855378e4, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5bc2680, "sof_mailbox_read" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x5fbdd86f, "devm_kfree" },
	{ 0x33719327, "_dev_err" },
	{ 0x264626f5, "snd_sof_dsp_update_bits_forced" },
	{ 0x64833c59, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7883e8ab, "hdac_bus_eml_sdw_map_stream_ch" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xfe43a824, "sof_client_dev_register" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x32c545e5, "snd_soc_dpcm_get_substream" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8486e8f5, "snd_sof_dsp_update_bits_unlocked" },
	{ 0x6007f3c2, "sof_print_oops_and_stack" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd494bde8, "hda_bus_ml_reset_losidv" },
	{ 0x51cb96db, "snd_hdac_ext_stream_setup" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0xb1a87f24, "snd_sof_ipc_get_reply" },
	{ 0x5c283506, "snd_sof_dsp_update_bits" },
	{ 0xef211625, "pci_restore_state" },
	{ 0xee3f0a9f, "snd_sof_pci_update_bits" },
	{ 0xf52ab772, "hdac_bus_eml_ssp_get_hlink" },
	{ 0xa75f2fcf, "hdac_bus_eml_dmic_get_hlink" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xff2d70c0, "snd_hdac_display_power" },
	{ 0xbbb22d3, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xdfb2511b, "snd_hdac_stream_format_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb57b12cd, "snd_pcm_hw_constraint_integer" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0x14af718, "hda_codec_rirb_status_clear" },
	{ 0xbd8f2046, "hda_codec_suspend_cmd_io" },
	{ 0x9cbffb70, "snd_sof_ipc_reply" },
	{ 0xf732d111, "hda_codec_init_cmd_io" },
	{ 0xc481a58, "hda_codec_stop_cmd_io" },
	{ 0x71ca3477, "hda_codec_detect_mask" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfafbf189, "sof_ipc_tx_message" },
	{ 0x461d811f, "snd_sof_dsp_panic" },
	{ 0x3f18a7cf, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x934828d5, "snd_sof_suspend" },
	{ 0xe4fdc43, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xdcb61650, "snd_hdac_stream_format" },
	{ 0xf42dd43a, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x2f6b132a, "intel_nhlt_init" },
	{ 0xf80797cf, "_dev_printk" },
	{ 0x47265739, "sof_client_dev_unregister" },
	{ 0xf15b3d34, "hda_codec_check_rirb_status" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf7cf539f, "snd_hdac_ext_stream_reset" },
	{ 0x59c80dba, "hdac_bus_eml_get_count" },
	{ 0x8c02d531, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xe9609396, "sof_io_write" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4d7f47cd, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xaeedfab8, "hda_codec_jack_check" },
	{ 0xcb7fe2f0, "hda_bus_ml_suspend" },
	{ 0x4fca9753, "pci_save_state" },
	{ 0xe6aaf0ef, "sof_block_read" },
	{ 0x54fa7a84, "hda_codec_i915_display_power" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d81b71, "bpf_trace_run4" },
	{ 0x80473ab7, "snd_dma_alloc_dir_pages" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x138b6bbe, "snd_hdac_bus_send_cmd" },
	{ 0xe35eadec, "hda_bus_ml_resume" },
	{ 0x21716ebb, "snd_hdac_bus_get_response" },
	{ 0xf171b6a, "snd_hdac_ext_stream_start" },
	{ 0xa6257a2f, "complete" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x46162900, "hdac_bus_eml_sdw_get_hlink" },
	{ 0x491cd111, "hda_codec_set_codec_wakeup" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0x223da990, "snd_hdac_ext_stream_decouple_locked" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2038dbde, "snd_pcm_hw_constraint_minmax" },
	{ 0x977f5281, "hda_codec_jack_wake_enable" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xec04701, "snd_hdac_ext_bus_init" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xda715a10, "sof_ipc4_set_pipeline_state" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-soc-hdac-hda,snd-sof-intel-hda,snd-sof,snd-hda-ext-core,snd-sof-intel-hda-mlink,snd-soc-core,snd-intel-dspcfg,snd-hda-core");


MODULE_INFO(srcversion, "273E254FF928863F47A198F");

MODULE_INFO(suserelease, "SLFO-1.2");
