#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mtl_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_send_msg, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_disable_ipc_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_enable_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_pre_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_power_down_dsp, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_cl_init, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_get, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_put, "", "SND_SOC_SOF_INTEL_MTL");

SYMBOL_CRC(mtl_dsp_check_ipc_irq, 0x569f36f4, "");
SYMBOL_CRC(mtl_ipc_send_msg, 0xbfdd3483, "");
SYMBOL_CRC(mtl_disable_ipc_interrupts, 0xed0be5d1, "");
SYMBOL_CRC(mtl_enable_interrupts, 0x63e5d1e9, "");
SYMBOL_CRC(mtl_dsp_pre_fw_run, 0x73170feb, "");
SYMBOL_CRC(mtl_dsp_post_fw_run, 0x278f96bc, "");
SYMBOL_CRC(mtl_dsp_dump, 0xdd4be71c, "");
SYMBOL_CRC(mtl_power_down_dsp, 0x98749cf3, "");
SYMBOL_CRC(mtl_dsp_cl_init, 0x62ad53f6, "");
SYMBOL_CRC(mtl_ipc_irq_thread, 0x8001c2bf, "");
SYMBOL_CRC(mtl_dsp_ipc_get_mailbox_offset, 0x2a638d0b, "");
SYMBOL_CRC(mtl_dsp_ipc_get_window_offset, 0x70248b4e, "");
SYMBOL_CRC(mtl_ipc_dump, 0xf43ce8ca, "");
SYMBOL_CRC(mtl_dsp_core_get, 0x72b3a9e1, "");
SYMBOL_CRC(mtl_dsp_core_put, 0xfa3c9fa5, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x98eee95, "hda_dsp_set_power_state_ipc4" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc502db2, "sof_ipc4_intel_dump_telemetry_state" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x80532e9, "sof_hda_common_ops" },
	{ 0xbc840d92, "hda_sdw_check_lcount_common" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b37f935, "__SCT__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfc12fc1, "hda_pci_intel_probe" },
	{ 0xad379f65, "snd_sof_dsp_dbg_dump" },
	{ 0x855378e4, "sof_mailbox_write" },
	{ 0x33719327, "_dev_err" },
	{ 0xcfe8571b, "debugfs_create_bool" },
	{ 0x264626f5, "snd_sof_dsp_update_bits_forced" },
	{ 0x4f2f334, "sof_pci_remove" },
	{ 0xde0e66f7, "snd_soc_acpi_intel_mtl_machines" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x227bf0c4, "hda_set_dai_drv_ops" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb1a87f24, "snd_sof_ipc_get_reply" },
	{ 0x5c283506, "snd_sof_dsp_update_bits" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xb2197baa, "__SCK__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0x9cbffb70, "snd_sof_ipc_reply" },
	{ 0x326190e4, "hda_ipc4_tx_is_busy" },
	{ 0x883fafaf, "__tracepoint_sof_intel_hda_irq_ipc_check" },
	{ 0xe4ecdd1b, "hda_ops_free" },
	{ 0xb02ced6d, "sof_pci_shutdown" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x30e69aa, "hda_sdw_process_wakeen_common" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x666254db, "hda_dsp_get_state" },
	{ 0xac506cc5, "hda_dsp_ipc4_load_library" },
	{ 0xf25f0f27, "hda_dsp_ipc4_schedule_d0i3_work" },
	{ 0xf24bfb37, "sof_pci_pm" },
	{ 0x1723f284, "snd_soc_acpi_intel_arl_sdw_machines" },
	{ 0xa40b629c, "snd_soc_acpi_intel_mtl_sdw_machines" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x965690be, "hda_sdw_check_wakeen_irq_common" },
	{ 0x18876742, "snd_soc_acpi_intel_arl_machines" },
	{ 0x1cd55d7a, "hda_dsp_shutdown" },
	{ 0x10a3ba21, "hda_sdw_int_enable" },
	{ 0x70de5f4d, "hda_sdw_startup" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-sof,snd-sof-pci,snd-soc-acpi-intel-match");

MODULE_ALIAS("pci:v00008086d00007E28sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007F50sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0EA498191FECF50F2A43F14");

MODULE_INFO(suserelease, "SLFO-1.2");
