#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_emux_new, "", "");
KSYMTAB_FUNC(snd_emux_register, "", "");
KSYMTAB_FUNC(snd_emux_free, "", "");
KSYMTAB_FUNC(snd_emux_terminate_all, "", "");
KSYMTAB_FUNC(snd_emux_lock_voice, "", "");
KSYMTAB_FUNC(snd_emux_unlock_voice, "", "");
KSYMTAB_FUNC(snd_sf_linear_to_log, "", "");

SYMBOL_CRC(snd_emux_new, 0xec1da435, "");
SYMBOL_CRC(snd_emux_register, 0x3b15e874, "");
SYMBOL_CRC(snd_emux_free, 0x62b9064f, "");
SYMBOL_CRC(snd_emux_terminate_all, 0x53fe427d, "");
SYMBOL_CRC(snd_emux_lock_voice, 0x19f56018, "");
SYMBOL_CRC(snd_emux_unlock_voice, 0x8a081098, "");
SYMBOL_CRC(snd_sf_linear_to_log, 0x655cb202, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74769de9, "snd_midi_process_event" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x7b8699eb, "snd_seq_event_port_detach" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8b8d576, "snd_seq_create_kernel_client" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3335abed, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd6352674, "snd_info_create_card_entry" },
	{ 0xd17d9278, "snd_device_free" },
	{ 0x754d539c, "strlen" },
	{ 0x5c1e3f91, "snd_device_register" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xe15462e0, "snd_util_mem_avail" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbd7b4110, "snd_seq_event_port_attach" },
	{ 0x6bb71038, "snd_seq_delete_kernel_client" },
	{ 0x32de1e41, "snd_seq_device_new" },
	{ 0xb639d852, "snd_card_register" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x1db527db, "snd_virmidi_new" },
	{ 0xb095d9c0, "snd_info_free_entry" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x833a3e07, "snd_midi_channel_set_clear" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6857cc3d, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x33719327, "_dev_err" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7277a8, "snd_hwdep_new" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd-seq-midi-emul,snd-seq,snd,snd-util-mem,snd-seq-device,snd-seq-virmidi,snd-hwdep");


MODULE_INFO(srcversion, "93B83B35B4C82416BD8B784");

MODULE_INFO(suserelease, "SLFO-1.2");
