#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0xda9924e3, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0xb86ace8d, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0x89b31b0e, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0xfe031e64, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0xe6f5d5b8, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7fa3ddcb, "crypto_aead_decrypt" },
	{ 0xeaa4ddd4, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7e94cea7, "crypto_unregister_aeads" },
	{ 0xf95048b9, "cryptd_skcipher_child" },
	{ 0x3c7f8eae, "crypto_skcipher_decrypt" },
	{ 0x33f2a725, "cryptd_alloc_skcipher" },
	{ 0x6f2d2f6c, "crypto_aead_setkey" },
	{ 0xd248978, "crypto_register_skcipher" },
	{ 0x3a3a14a9, "crypto_aead_encrypt" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x5f3fb7f5, "cryptd_aead_queued" },
	{ 0x431a6d57, "crypto_unregister_skcipher" },
	{ 0x70ecaaf1, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x64123adf, "cryptd_skcipher_queued" },
	{ 0x1233c356, "cryptd_free_aead" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xa11693f9, "crypto_unregister_skciphers" },
	{ 0xe403f15e, "cryptd_free_skcipher" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xdb382c0a, "crypto_skcipher_encrypt" },
	{ 0xbb78ee88, "cryptd_alloc_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1f798748, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x10a14096, "crypto_register_aead" },
	{ 0x8a9ffb87, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x3dcbd4c, "crypto_register_aeads" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xcd4b3a77, "crypto_aead_setauthsize" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "F70643DDB8B3C26A0417513");

MODULE_INFO(suserelease, "SLFO-1.2");
