#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_groups, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_groups, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0xcd61d625, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0x428e535d, "_gpl");
SYMBOL_CRC(ahci_ops, 0xaaddaef4, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x623d1215, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0xd3f53181, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x9be05573, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0xfbacf5ca, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x324b7ebb, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x7ccdeb3c, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x7741bcc8, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x1b240f49, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x578b2e10, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x6f38e27b, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x73bf8cdc, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x565976cf, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0xda3a685e, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x16c0ab78, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x94172a2b, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x7cd8845c, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x6f785f4a, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x7809b6fa, "_gpl");
SYMBOL_CRC(ahci_print_info, 0xecd2168a, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0xde1dd9ad, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x4fd8a5c8, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd6dae4c6, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0xd6ee58fb, "ata_std_qc_defer" },
	{ 0xe0704895, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x4384565a, "ata_port_classify" },
	{ 0xeb8532b9, "ata_qc_complete_multiple" },
	{ 0x94f60fda, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x527fd513, "sata_pmp_error_handler" },
	{ 0xf0421f8d, "ata_host_start" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0x9270b60c, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xa73a1b1, "ata_host_register" },
	{ 0xa39ac0d1, "ata_host_activate" },
	{ 0x6c330ea1, "ata_dummy_port_ops" },
	{ 0x1d366484, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x6749cd3f, "dmam_alloc_attrs" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x5fbdd86f, "devm_kfree" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xbe99c6f1, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0xa60140fe, "sata_link_hardreset" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x8f87cb11, "sata_lpm_ignore_phy_events" },
	{ 0xbd0ae568, "ata_ehi_clear_desc" },
	{ 0xa96ed2ce, "ata_ehi_push_desc" },
	{ 0x7bb6fd1e, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9542b337, "sata_async_notification" },
	{ 0x5d5ab87a, "ata_port_abort" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xcff709ef, "sata_pmp_port_ops" },
	{ 0x41b77fbf, "dev_attr_sw_activity" },
	{ 0xfaa62470, "dev_attr_unload_heads" },
	{ 0x240e7009, "dev_attr_ncq_prio_supported" },
	{ 0xd2a99031, "dev_attr_ncq_prio_enable" },
	{ 0xe5cd5f10, "dev_attr_link_power_management_policy" },
	{ 0xa8a57e2, "dev_attr_em_message_type" },
	{ 0x4fb4a786, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0x2ab99f9f, "__pm_runtime_idle" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb607dde1, "ata_link_next" },
	{ 0x8b12320e, "ata_wait_register" },
	{ 0xef87b186, "ata_dev_set_feature" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x833c26dc, "ata_msleep" },
	{ 0xd0a035aa, "sata_link_scr_lpm" },
	{ 0x33719327, "_dev_err" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "3E75A483D4CE0872B0578E2");

MODULE_INFO(suserelease, "SLFO-1.2");
