#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0x82fae3be, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0xb772ca8c, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0xaf8dd063, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0x16d7344e, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0xafbbf39f, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0xb744e970, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0xf9c4ae9d, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0x904a41a2, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0xf5f016e0, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0xf482c4ad, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0x4b5dabe9, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0xe2fee0a8, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0x1ec46ac7, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0x02ec7ef3, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0x5fa1f26d, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0xeb8d6704, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0xdc3fd1d5, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0x4a860934, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0xd3e0fbca, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7659e1e, "phy_set_mode_ext" },
	{ 0x56caf454, "phy_power_on" },
	{ 0x2e2a5cfb, "phy_init" },
	{ 0x4d6f2b25, "phy_power_off" },
	{ 0x822dccd3, "phy_exit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc684d9df, "regulator_disable" },
	{ 0xa689168, "regulator_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x2ab99f9f, "__pm_runtime_idle" },
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0xf54a0b2f, "ata_host_resume" },
	{ 0x7ccdeb3c, "ahci_reset_controller" },
	{ 0x1b240f49, "ahci_init_controller" },
	{ 0x5ed6577, "regulator_enable" },
	{ 0xa79728d8, "platform_get_irq" },
	{ 0xd3f53181, "ahci_save_initial_config" },
	{ 0xde1dd9ad, "ahci_set_em_messages" },
	{ 0xb79057b1, "ata_host_alloc_pinfo" },
	{ 0x88cbaf59, "platform_get_resource" },
	{ 0x9270b60c, "ata_port_desc" },
	{ 0x6c330ea1, "ata_dummy_port_ops" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0xecd2168a, "ahci_print_info" },
	{ 0x4fd8a5c8, "ahci_host_activate" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0x7741bcc8, "ahci_reset_em" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x33719327, "_dev_err" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x6dab0d21, "devres_open_group" },
	{ 0x58145b6e, "__devres_alloc_node" },
	{ 0x67098dda, "devres_add" },
	{ 0x5256c11a, "platform_get_resource_byname" },
	{ 0xb598f4a8, "devm_platform_ioremap_resource_byname" },
	{ 0xb3e258f, "devm_clk_bulk_get_all" },
	{ 0x9b447f0e, "devm_regulator_get" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1143bff0, "devm_of_phy_get" },
	{ 0xeb6be4d7, "regulator_get" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0x4d410798, "devres_remove_group" },
	{ 0xd917c3f7, "devm_platform_ioremap_resource" },
	{ 0x212068f0, "devres_release_group" },
	{ 0xf9a389eb, "devm_reset_control_array_get" },
	{ 0x89a9f940, "devm_clk_get_optional" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0xea660c05, "ata_host_suspend" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0xaaddaef4, "ahci_ops" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "libata,libahci");


MODULE_INFO(srcversion, "991E919DFCC50B2CFECA27D");

MODULE_INFO(suserelease, "SLFO-1.2");
