#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(btmtk_fw_get_filename, "_gpl", "");
KSYMTAB_FUNC(btmtk_setup_firmware_79xx, "_gpl", "");
KSYMTAB_FUNC(btmtk_setup_firmware, "_gpl", "");
KSYMTAB_FUNC(btmtk_set_bdaddr, "_gpl", "");
KSYMTAB_FUNC(btmtk_reset_sync, "_gpl", "");
KSYMTAB_FUNC(btmtk_register_coredump, "_gpl", "");
KSYMTAB_FUNC(btmtk_process_coredump, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_subsys_reset, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_recv_acl, "_gpl", "");
KSYMTAB_FUNC(alloc_mtk_intr_urb, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_resume, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_suspend, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_setup, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_shutdown, "_gpl", "");

SYMBOL_CRC(btmtk_fw_get_filename, 0xbc8bf0c0, "_gpl");
SYMBOL_CRC(btmtk_setup_firmware_79xx, 0x5361abba, "_gpl");
SYMBOL_CRC(btmtk_setup_firmware, 0x92427387, "_gpl");
SYMBOL_CRC(btmtk_set_bdaddr, 0xe15a6126, "_gpl");
SYMBOL_CRC(btmtk_reset_sync, 0x37a90b72, "_gpl");
SYMBOL_CRC(btmtk_register_coredump, 0x260145a9, "_gpl");
SYMBOL_CRC(btmtk_process_coredump, 0x6c2e16f2, "_gpl");
SYMBOL_CRC(btmtk_usb_subsys_reset, 0xa48f3414, "_gpl");
SYMBOL_CRC(btmtk_usb_recv_acl, 0x064869cb, "_gpl");
SYMBOL_CRC(alloc_mtk_intr_urb, 0xcf1c163f, "_gpl");
SYMBOL_CRC(btmtk_usb_resume, 0x54c287fe, "_gpl");
SYMBOL_CRC(btmtk_usb_suspend, 0xf343130a, "_gpl");
SYMBOL_CRC(btmtk_usb_setup, 0x91621309, "_gpl");
SYMBOL_CRC(btmtk_usb_shutdown, 0x21a84646, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2476a690, "request_firmware" },
	{ 0x718b8b7, "bt_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc606390, "__hci_cmd_sync" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xd89070a1, "hci_cmd_sync_queue" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xbe36cce2, "hci_devcd_register" },
	{ 0x12b00b67, "__hci_cmd_send" },
	{ 0x6a578ab1, "usb_alloc_urb" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa7cab92e, "usb_anchor_urb" },
	{ 0xb1161409, "usb_submit_urb" },
	{ 0x96e6d83, "usb_free_urb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x75f7afc6, "usb_unanchor_urb" },
	{ 0x36e23310, "usb_kill_anchored_urbs" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7bd3b23, "usb_autopm_get_interface" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb30f0d41, "usb_autopm_put_interface" },
	{ 0x37a0cba, "kfree" },
	{ 0x29dd4a3c, "bit_wait_timeout" },
	{ 0xcec4fb63, "out_of_line_wait_on_bit_timeout" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x25ef49f8, "hci_devcd_append" },
	{ 0xcac2611d, "hci_devcd_complete" },
	{ 0x42afbbe8, "hci_devcd_init" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x42b4fde3, "usb_disable_autosuspend" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0x7a5ac7ed, "hci_recv_diag" },
	{ 0x6bfeb7ac, "hci_recv_frame" },
	{ 0x8d15063, "__skb_pad" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0xd0e342b5, "skb_put" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0xa8f7a713, "usb_control_msg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xa12d9eed, "usb_set_interface" },
	{ 0xea30c5d5, "hci_cmd_sync_cancel" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xa916b694, "strnlen" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,usbcore");


MODULE_INFO(srcversion, "A2E48580738E69E4D175029");

MODULE_INFO(suserelease, "SLFO-1.2");
