#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xillybus_isr, "", "");
KSYMTAB_FUNC(xillybus_init_endpoint, "", "");
KSYMTAB_FUNC(xillybus_endpoint_discovery, "", "");
KSYMTAB_FUNC(xillybus_endpoint_remove, "", "");

SYMBOL_CRC(xillybus_isr, 0x25978d50, "");
SYMBOL_CRC(xillybus_init_endpoint, 0x4f2ef06f, "");
SYMBOL_CRC(xillybus_endpoint_discovery, 0x94d6c715, "");
SYMBOL_CRC(xillybus_endpoint_remove, 0x02094a02, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7e88de20, "__dma_sync_single_for_device" },
	{ 0x37ffed64, "xillybus_find_inode" },
	{ 0x4b4f6903, "nonseekable_open" },
	{ 0x33719327, "_dev_err" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8d816799, "__dma_sync_single_for_cpu" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc371f38a, "xillybus_cleanup_chrdev" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0x23e55a9c, "__devm_add_action" },
	{ 0xb97cdcc9, "devm_get_free_pages" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6dab0d21, "devres_open_group" },
	{ 0xa0632cc7, "devres_close_group" },
	{ 0xf7659e91, "xillybus_init_chrdev" },
	{ 0x212068f0, "devres_release_group" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "xillybus_class");


MODULE_INFO(srcversion, "36F888686AAB21EB4ECEF37");

MODULE_INFO(suserelease, "SLFO-1.2");
