#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(counter_priv, "_gpl", "COUNTER");
KSYMTAB_FUNC(counter_alloc, "_gpl", "COUNTER");
KSYMTAB_FUNC(counter_put, "_gpl", "COUNTER");
KSYMTAB_FUNC(counter_add, "_gpl", "COUNTER");
KSYMTAB_FUNC(counter_unregister, "_gpl", "COUNTER");
KSYMTAB_FUNC(devm_counter_alloc, "_gpl", "COUNTER");
KSYMTAB_FUNC(devm_counter_add, "_gpl", "COUNTER");
KSYMTAB_FUNC(counter_push_event, "_gpl", "COUNTER");

SYMBOL_CRC(counter_priv, 0x152c485d, "_gpl");
SYMBOL_CRC(counter_alloc, 0xd0533c81, "_gpl");
SYMBOL_CRC(counter_put, 0xe7324f62, "_gpl");
SYMBOL_CRC(counter_add, 0xcc7f9365, "_gpl");
SYMBOL_CRC(counter_unregister, 0x673b6912, "_gpl");
SYMBOL_CRC(devm_counter_alloc, 0x88958a87, "_gpl");
SYMBOL_CRC(devm_counter_add, 0xa45cdc13, "_gpl");
SYMBOL_CRC(counter_push_event, 0xa409c212, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x10119bb, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x4b4f6903, "nonseekable_open" },
	{ 0x56e76cc9, "devm_kasprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x23e55a9c, "__devm_add_action" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xaf86b7d6, "cdev_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x16136184, "bus_register" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xf3723554, "cdev_device_del" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x1a2f220, "get_device" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8f64df31, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45ee0529, "put_device" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "65D38A0359E031B914962CB");

MODULE_INFO(suserelease, "SLFO-1.2");
