#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(adf_cfg_dev_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_dev_remove, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_add_key_value_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_section_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_get_param_value, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_DATA(adf_cfg_services, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_get_service_enabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_clean_vf_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_update_class_index, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_add_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_rm_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_pci_to_accel_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_in_use, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_get, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_put, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_in_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_started, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_down, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_up, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_restart, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_sbr, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_flr, "_gpl", "CRYPTO_QAT");
KSYMTAB_DATA(adf_err_handler, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cleanup_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_send_admin_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sysfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_cfg_iov_thds, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_accel_cap, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_cfg_dev_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_accel_mask, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_misc_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_etr_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sram_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sku, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_heartbeat_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_device, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_msix_default_rttable, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_pfvf_comms_disabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_ring_pair_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_thd2arb_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_ring_to_svc_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_quiesce_coal_timer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_state_save, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_state_restore, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_vf_mig_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_handle_pm_interrupt, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_pm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_ras_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_start, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_stop, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_measure_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_create, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_cleanup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_open, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_close, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_suspend, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_resume, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_save_state, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_save_setup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_load_state, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_load_setup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_destroy, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_tl_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_check_ctrs, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_save_cfg_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_rm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_exit, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_sriov, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sriov_configure, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_pf2vf_interrupts, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_flush_vf_wq, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_pf2vf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_shutdown, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_restart_complete, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_vf2pf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_vf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");

SYMBOL_CRC(adf_cfg_dev_add, 0x23e57170, "_gpl");
SYMBOL_CRC(adf_cfg_dev_remove, 0x7b05e80e, "_gpl");
SYMBOL_CRC(adf_cfg_add_key_value_param, 0x674dbfbd, "_gpl");
SYMBOL_CRC(adf_cfg_section_add, 0x50c96c18, "_gpl");
SYMBOL_CRC(adf_cfg_get_param_value, 0x1ff941e6, "_gpl");
SYMBOL_CRC(adf_isr_resource_free, 0xbbb23163, "_gpl");
SYMBOL_CRC(adf_isr_resource_alloc, 0xa75062a1, "_gpl");
SYMBOL_CRC(adf_cfg_services, 0xc9dd5b96, "_gpl");
SYMBOL_CRC(adf_get_service_enabled, 0x846112d3, "_gpl");
SYMBOL_CRC(adf_clean_vf_map, 0xcc3b167a, "_gpl");
SYMBOL_CRC(adf_devmgr_update_class_index, 0x8b2b5535, "_gpl");
SYMBOL_CRC(adf_devmgr_add_dev, 0x074257d2, "_gpl");
SYMBOL_CRC(adf_devmgr_rm_dev, 0x26e067a2, "_gpl");
SYMBOL_CRC(adf_devmgr_pci_to_accel_dev, 0x5b29489e, "_gpl");
SYMBOL_CRC(adf_dev_in_use, 0x9aa7ca6d, "_gpl");
SYMBOL_CRC(adf_dev_get, 0xd6dc843d, "_gpl");
SYMBOL_CRC(adf_dev_put, 0xacfab31a, "_gpl");
SYMBOL_CRC(adf_devmgr_in_reset, 0xc0386c5c, "_gpl");
SYMBOL_CRC(adf_dev_started, 0xe7553221, "_gpl");
SYMBOL_CRC(adf_dev_down, 0x606c4676, "_gpl");
SYMBOL_CRC(adf_dev_up, 0x8f48eddf, "_gpl");
SYMBOL_CRC(adf_dev_restart, 0x4bb7a503, "_gpl");
SYMBOL_CRC(adf_reset_sbr, 0xd06c8131, "_gpl");
SYMBOL_CRC(adf_reset_flr, 0x23fdf2b4, "_gpl");
SYMBOL_CRC(adf_err_handler, 0x2c4eb56c, "_gpl");
SYMBOL_CRC(adf_init_etr_data, 0x69e97b15, "_gpl");
SYMBOL_CRC(adf_cleanup_etr_data, 0x2a944f91, "_gpl");
SYMBOL_CRC(adf_send_admin_init, 0x610d1063, "_gpl");
SYMBOL_CRC(adf_init_admin_comms, 0xc58769b4, "_gpl");
SYMBOL_CRC(adf_exit_admin_comms, 0x67ceefde, "_gpl");
SYMBOL_CRC(adf_init_arb, 0x69dacae3, "_gpl");
SYMBOL_CRC(adf_exit_arb, 0x467c28d1, "_gpl");
SYMBOL_CRC(adf_sysfs_init, 0x05797585, "_gpl");
SYMBOL_CRC(adf_gen2_init_hw_csr_ops, 0xe7e93b61, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_accels, 0x1a69f0e0, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_aes, 0x20d9e99a, "_gpl");
SYMBOL_CRC(adf_gen2_enable_error_correction, 0xb714d8c0, "_gpl");
SYMBOL_CRC(adf_gen2_cfg_iov_thds, 0xd2e7ec16, "_gpl");
SYMBOL_CRC(adf_gen2_get_admin_info, 0x3e707f37, "_gpl");
SYMBOL_CRC(adf_gen2_get_arb_info, 0x2be4e269, "_gpl");
SYMBOL_CRC(adf_gen2_enable_ints, 0x2f102c60, "_gpl");
SYMBOL_CRC(adf_gen2_get_accel_cap, 0x7143e65a, "_gpl");
SYMBOL_CRC(adf_gen2_set_ssm_wdtimer, 0x14f783b8, "_gpl");
SYMBOL_CRC(adf_gen2_dev_config, 0x11475fc1, "_gpl");
SYMBOL_CRC(adf_gen4_dev_config, 0x14911931, "_gpl");
SYMBOL_CRC(adf_gen4_cfg_dev_init, 0xc0bd6a91, "_gpl");
SYMBOL_CRC(adf_gen4_init_hw_csr_ops, 0x2c0f84ec, "_gpl");
SYMBOL_CRC(adf_gen4_get_accel_mask, 0xeca4d3ba, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_accels, 0x10da03b6, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_aes, 0x4559d9ba, "_gpl");
SYMBOL_CRC(adf_gen4_get_misc_bar_id, 0x1475c1a0, "_gpl");
SYMBOL_CRC(adf_gen4_get_etr_bar_id, 0x4a1a43f0, "_gpl");
SYMBOL_CRC(adf_gen4_get_sram_bar_id, 0x40e06342, "_gpl");
SYMBOL_CRC(adf_gen4_get_sku, 0x2bb97ede, "_gpl");
SYMBOL_CRC(adf_gen4_get_arb_info, 0x4c051dc4, "_gpl");
SYMBOL_CRC(adf_gen4_get_admin_info, 0x2230d349, "_gpl");
SYMBOL_CRC(adf_gen4_get_heartbeat_clock, 0x4d1f3877, "_gpl");
SYMBOL_CRC(adf_gen4_enable_error_correction, 0xb2fc85f8, "_gpl");
SYMBOL_CRC(adf_gen4_enable_ints, 0x5599c611, "_gpl");
SYMBOL_CRC(adf_gen4_init_device, 0x78307e74, "_gpl");
SYMBOL_CRC(adf_gen4_set_ssm_wdtimer, 0x3990aa17, "_gpl");
SYMBOL_CRC(adf_gen4_set_msix_default_rttable, 0xb35bfd7d, "_gpl");
SYMBOL_CRC(adf_pfvf_comms_disabled, 0x4cd5d90a, "_gpl");
SYMBOL_CRC(adf_gen4_ring_pair_reset, 0x08bc5103, "_gpl");
SYMBOL_CRC(adf_gen4_init_thd2arb_map, 0x29d76bc3, "_gpl");
SYMBOL_CRC(adf_gen4_get_ring_to_svc_map, 0xb4ee1f93, "_gpl");
SYMBOL_CRC(adf_gen4_bank_quiesce_coal_timer, 0x344c209c, "_gpl");
SYMBOL_CRC(adf_gen4_bank_state_save, 0x18b97d29, "_gpl");
SYMBOL_CRC(adf_gen4_bank_state_restore, 0x9357cd84, "_gpl");
SYMBOL_CRC(adf_gen4_init_vf_mig_ops, 0xfa6ffd23, "_gpl");
SYMBOL_CRC(adf_gen4_handle_pm_interrupt, 0xbf017dd6, "_gpl");
SYMBOL_CRC(adf_gen4_enable_pm, 0x8360282d, "_gpl");
SYMBOL_CRC(adf_gen2_init_dc_ops, 0xe45f3512, "_gpl");
SYMBOL_CRC(adf_gen4_init_dc_ops, 0xe327f1f1, "_gpl");
SYMBOL_CRC(adf_gen4_init_ras_ops, 0x80be2d2c, "_gpl");
SYMBOL_CRC(adf_gen4_timer_start, 0x2e564513, "_gpl");
SYMBOL_CRC(adf_gen4_timer_stop, 0x3f9802cc, "_gpl");
SYMBOL_CRC(adf_dev_measure_clock, 0xc565094c, "_gpl");
SYMBOL_CRC(qat_vfmig_create, 0x5049b236, "_gpl");
SYMBOL_CRC(qat_vfmig_init, 0x11c78a82, "_gpl");
SYMBOL_CRC(qat_vfmig_cleanup, 0xc445daef, "_gpl");
SYMBOL_CRC(qat_vfmig_reset, 0xf957a0dc, "_gpl");
SYMBOL_CRC(qat_vfmig_open, 0xe6ec398c, "_gpl");
SYMBOL_CRC(qat_vfmig_close, 0x8d9f5e3d, "_gpl");
SYMBOL_CRC(qat_vfmig_suspend, 0x17442e7f, "_gpl");
SYMBOL_CRC(qat_vfmig_resume, 0x99d30dc6, "_gpl");
SYMBOL_CRC(qat_vfmig_save_state, 0x85ff00a2, "_gpl");
SYMBOL_CRC(qat_vfmig_save_setup, 0x6161526c, "_gpl");
SYMBOL_CRC(qat_vfmig_load_state, 0x4f7494c7, "_gpl");
SYMBOL_CRC(qat_vfmig_load_setup, 0x7e56a91f, "_gpl");
SYMBOL_CRC(qat_vfmig_destroy, 0x52d721ce, "_gpl");
SYMBOL_CRC(adf_gen4_init_tl_data, 0xe2c32138, "_gpl");
SYMBOL_CRC(adf_heartbeat_check_ctrs, 0xe4a45e31, "_gpl");
SYMBOL_CRC(adf_heartbeat_save_cfg_param, 0x458910b0, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_add, 0x27dec96d, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_rm, 0xacb5dea5, "_gpl");
SYMBOL_CRC(adf_dbgfs_init, 0xcc8e54be, "_gpl");
SYMBOL_CRC(adf_dbgfs_exit, 0xb0987172, "_gpl");
SYMBOL_CRC(adf_disable_sriov, 0xf8ea83b9, "_gpl");
SYMBOL_CRC(adf_sriov_configure, 0x137c0d0e, "_gpl");
SYMBOL_CRC(adf_disable_pf2vf_interrupts, 0x90097cfa, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_free, 0x98f493cd, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_alloc, 0x236ef2b7, "_gpl");
SYMBOL_CRC(adf_flush_vf_wq, 0x7abc9240, "_gpl");
SYMBOL_CRC(adf_enable_pf2vf_comms, 0x514e87f1, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_init, 0x3ee1d8d5, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_shutdown, 0xb2ba8c32, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_restart_complete, 0x934cb635, "_gpl");
SYMBOL_CRC(adf_enable_vf2pf_comms, 0xb1c3a546, "_gpl");
SYMBOL_CRC(adf_gen2_init_pf_pfvf_ops, 0xdea21491, "_gpl");
SYMBOL_CRC(adf_gen2_init_vf_pfvf_ops, 0xdacf67f6, "_gpl");
SYMBOL_CRC(adf_gen4_init_pf_pfvf_ops, 0xf3c53d3e, "_gpl");

MODULE_INFO(supported, "external");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xd33e9d90, "crypto_register_acomps" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xa985aeff, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x82b5fad, "mutex_trylock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x911c8743, "seq_read" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x758ad137, "_dev_notice" },
	{ 0x450b1df9, "crypto_cipher_encrypt_one" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa89926dc, "crypto_dh_decode_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66ca9904, "seq_write" },
	{ 0xdc8d4598, "crypto_register_kpp" },
	{ 0x29644857, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x81c283ad, "pci_disable_sriov" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x55473fb7, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x43fac10, "device_add_groups" },
	{ 0xd7123d06, "seq_open" },
	{ 0xa11693f9, "crypto_unregister_skciphers" },
	{ 0x81188c30, "match_string" },
	{ 0xf73fe3a4, "crypto_register_akcipher" },
	{ 0xd898659, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xbaeb8e8c, "crypto_alloc_shash" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x8c03c156, "pci_write_config_word" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0x85909793, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x65106459, "pci_enable_sriov" },
	{ 0xc40bf4ce, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xe99bba1f, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xaf86b7d6, "cdev_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xee672399, "cdev_del" },
	{ 0x3f05769, "crypto_shash_export" },
	{ 0x5a901a62, "crypto_alloc_skcipher" },
	{ 0xdb382c0a, "crypto_skcipher_encrypt" },
	{ 0x4fca9753, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xdc0df056, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x173756c, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x37b24e7c, "crypto_alloc_base" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x67881199, "pci_alloc_irq_vectors" },
	{ 0x2ac78a7b, "crypto_unregister_kpp" },
	{ 0xb916c778, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x758d7a7c, "__kmalloc_node_noprof" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2476a690, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe6c0bcfc, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x3dcbd4c, "crypto_register_aeads" },
	{ 0xe332dbde, "pci_sriov_get_totalvfs" },
	{ 0x326c1da8, "seq_hex_dump" },
	{ 0xbe2fe4da, "device_remove_groups" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x6144e86d, "devm_device_add_group" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x61f891c3, "pci_irq_vector" },
	{ 0xeaa4ddd4, "crypto_skcipher_setkey" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa5d7dafc, "crypto_cipher_setkey" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x7e94cea7, "crypto_unregister_aeads" },
	{ 0x8a1f3eca, "crypto_destroy_tfm" },
	{ 0x2123f09b, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c5d5b94, "crc8" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x14c574ce, "crypto_alloc_kpp" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3c7f8eae, "crypto_skcipher_decrypt" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x6857cc3d, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2a730987, "compat_ptr_ioctl" },
	{ 0x56bbb810, "cdev_add" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xa8528430, "pci_clear_master" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x6ac253a3, "crypto_unregister_acomps" },
	{ 0x77f5bb81, "down_write" },
	{ 0x5fbdd86f, "devm_kfree" },
	{ 0x33719327, "_dev_err" },
	{ 0x264635e1, "up_write" },
	{ 0x52978850, "simple_open" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x54a416c5, "crypto_unregister_akcipher" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xe0ec2229, "device_create" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf6dc2533, "pci_wait_for_pending_transaction" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x6bb00cf3, "pcie_flr" },
	{ 0x2b8216f, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x7a905b8, "seq_putc" },
	{ 0x291c3c62, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x90f58b77, "crypto_shash_update" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x70ecaaf1, "crypto_register_skciphers" },
	{ 0x11089ac7, "_ctype" },
	{ 0xef211625, "pci_restore_state" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x3c6a98c7, "__kmalloc_cache_node_noprof" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "crc8,authenc");


MODULE_INFO(srcversion, "71E183424705FF91D9EB102");

MODULE_INFO(suserelease, "SLFO-1.2");
