#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_root, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(put_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_get_perf_coordinates, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dport_map_rcd_linkcap, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_update_perf, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mailbox_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dport_init_ras_reporting, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_reset_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_commit_reap, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_dax_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x8e8c3b18, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x0a6b2c30, "_gpl");
SYMBOL_CRC(is_root_decoder, 0xdb598870, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x27d1fe19, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0xe3b5b1e2, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x080aa44e, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x94a54c39, "_gpl");
SYMBOL_CRC(is_cxl_port, 0xc0f669ec, "_gpl");
SYMBOL_CRC(to_cxl_port, 0x81122bf8, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x6b54253d, "_gpl");
SYMBOL_CRC(devm_cxl_add_root, 0x04955704, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0xf67be9df, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x0e16cba2, "_gpl");
SYMBOL_CRC(find_cxl_root, 0xc0296bc8, "_gpl");
SYMBOL_CRC(put_cxl_root, 0x959ef26c, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0xf4935e46, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0x078fec72, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x032a0ee9, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0xf07d4259, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0xac2f1dbd, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0x658015c7, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x5a737808, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x5de7d856, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0xf4a8bab6, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x21b1fe51, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0xcb7b19ac, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0xed783351, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x50e5ed48, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x1553c5fc, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0x03682a97, "_gpl");
SYMBOL_CRC(cxl_endpoint_get_perf_coordinates, 0x5a5f87ff, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x5adbb7fe, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0x84421937, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0x988a0a18, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x64f2719e, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x55b6f612, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0xb8176246, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0xf539f939, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x891cc317, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x93e05c18, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0x1026262e, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x95ec61eb, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0xb369cc08, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0xbe26a4af, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0xd051e394, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0x3de1672a, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0x1bb39dc2, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x8635ac1c, "_gpl");
SYMBOL_CRC(cxl_dport_map_rcd_linkcap, 0xba210518, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0xff63b3e3, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x36fb86b8, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0xb72528f0, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x9300775e, "_gpl");
SYMBOL_CRC(cxl_memdev_update_perf, 0x0aa4bf20, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0xd2cdd2e8, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x87567294, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x802a2d91, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0xebeddd23, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x6e9f714f, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0x665e9075, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x2b214a95, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x038c8707, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0x3565b908, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0xcb54021c, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0xe6816623, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0xd5f832ac, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0x4a725c88, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x97380b62, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0x0c03aacb, "_gpl");
SYMBOL_CRC(cxl_mailbox_init, 0x557fea85, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0xa8e01095, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x23bb744e, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0xb5f81bec, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0xaeb4105f, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0xc5e73445, "_gpl");
SYMBOL_CRC(read_cdat_data, 0x1af2c7c8, "_gpl");
SYMBOL_CRC(cxl_dport_init_ras_reporting, 0x56029c04, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0xa61e40fa, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0xe854484f, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_reset_detected, 0xb77b7d0f, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0xc72d9374, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x1ca7ddb9, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x6dcd012c, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0x36e91bb9, "_gpl");
SYMBOL_CRC(cxl_port_commit_reap, 0xf7affe98, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x2e2c3425, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x06aca0ab, "_gpl");
SYMBOL_CRC(cxl_endpoint_parse_cdat, 0xe3868ba5, "_gpl");
SYMBOL_CRC(cxl_switch_parse_cdat, 0x1da0f8b7, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x00b4d403, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x5f169f6d, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x79652d70, "_gpl");
SYMBOL_CRC(to_cxl_dax_region, 0xe89336aa, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x320c7e33, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x79809efa, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x42a8676, "down_write_killable" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0xfea41449, "xa_find" },
	{ 0x80fd7c33, "kernfs_put" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xfc981c9b, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0xe534dea0, "xa_store" },
	{ 0xda578269, "device_match_name" },
	{ 0x2ad0d44, "register_mt_adistance_algorithm" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0x30965d40, "pci_walk_bus" },
	{ 0xa256d729, "xa_find_after" },
	{ 0xaa42da56, "node_set_perf_attrs" },
	{ 0x23e55a9c, "__devm_add_action" },
	{ 0x86d1dfdd, "pci_find_dvsec_capability" },
	{ 0x7d5033d, "device_find_child_by_name" },
	{ 0x279c4c99, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8c03c156, "pci_write_config_word" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0xcb98efe1, "pcie_bandwidth_available" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc40bf4ce, "up_read" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xaf86b7d6, "cdev_init" },
	{ 0x835e057b, "pci_bus_type" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x16136184, "bus_register" },
	{ 0xd8864f0d, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x66268818, "pcie_capability_read_word" },
	{ 0xced92fe7, "mt_perf_to_adistance" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7625fd2c, "device_match_type" },
	{ 0x13110126, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d81b71, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0xa5191c76, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xf3723554, "cdev_device_del" },
	{ 0x7a2a96c7, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0x343c8959, "device_unregister" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc2c787a3, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5b5d292e, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0xaab33bc6, "phys_to_target_node" },
	{ 0xae8ac792, "hmat_update_target_coordinates" },
	{ 0xcdec59ea, "devm_remove_action" },
	{ 0x9856fd7b, "acpi_node_backed_by_real_pxm" },
	{ 0x1a2f220, "get_device" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x30a50624, "platform_bus" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x2123f09b, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x45021218, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f64df31, "cdev_device_add" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x45ee0529, "put_device" },
	{ 0xd4625fc8, "cdat_table_parse" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb2c92d1, "bus_for_each_dev" },
	{ 0xec21d530, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x2a730987, "compat_ptr_ioctl" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x60991ad, "unregister_mt_adistance_algorithm" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0xeeff7562, "sysfs_update_group" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x77f5bb81, "down_write" },
	{ 0x5fbdd86f, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x33719327, "_dev_err" },
	{ 0x264635e1, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xcfe8571b, "debugfs_create_bool" },
	{ 0xf74536a0, "bus_find_device" },
	{ 0x3d44dcd8, "device_add" },
	{ 0x94f19c54, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb9b31de8, "xa_load" },
	{ 0x136d2728, "noop_llseek" },
	{ 0x944e1160, "device_attach" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xcdb30b2c, "hmat_get_extended_linear_cache_size" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x4e00f93a, "kernfs_find_and_get_ns" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x2b8216f, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x10119bb, "ida_free" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0x49112606, "pcie_link_speed_mbps" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdd40ce26, "device_find_child" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdc05d477, "devm_release_action" },
	{ 0x2e9c96c7, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xeadac4b7, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0x5691a60d, "pci_print_aer" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xadc6c164, "device_for_each_child_reverse_from" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa985aeff, "down_read" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xb98fa7ed, "__xa_insert" },
	{ 0x918431c7, "xa_erase" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1A686164BC61EB8EB2A8ADA");

MODULE_INFO(suserelease, "SLFO-1.2");
