#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(idxd_wq_alloc_resources, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_free_resources, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_init_percpu_ref, "_gpl", "IDXD");
KSYMTAB_FUNC(__idxd_wq_quiesce, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_quiesce, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_drv_enable_wq, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_drv_disable_wq, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_drv, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_alloc_desc, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_free_desc, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_submit_desc, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_dmaengine_drv, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_user_drv, "_gpl", "IDXD");

SYMBOL_CRC(idxd_wq_alloc_resources, 0xcdcdafe5, "_gpl");
SYMBOL_CRC(idxd_wq_free_resources, 0x4f5c5646, "_gpl");
SYMBOL_CRC(idxd_wq_init_percpu_ref, 0x2ef9b380, "_gpl");
SYMBOL_CRC(__idxd_wq_quiesce, 0xf852b337, "_gpl");
SYMBOL_CRC(idxd_wq_quiesce, 0x87c8224c, "_gpl");
SYMBOL_CRC(idxd_drv_enable_wq, 0x8c5d3b55, "_gpl");
SYMBOL_CRC(idxd_drv_disable_wq, 0xc4e02007, "_gpl");
SYMBOL_CRC(idxd_drv, 0x541aeecb, "_gpl");
SYMBOL_CRC(idxd_alloc_desc, 0x8d82a048, "_gpl");
SYMBOL_CRC(idxd_free_desc, 0x04d55a42, "_gpl");
SYMBOL_CRC(idxd_submit_desc, 0x2fc1aaa2, "_gpl");
SYMBOL_CRC(idxd_dmaengine_drv, 0x47695588, "_gpl");
SYMBOL_CRC(idxd_user_drv, 0xbedeab32, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x97ab7810, "pci_iounmap" },
	{ 0xef211625, "pci_restore_state" },
	{ 0x2e9c96c7, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xb3b8d379, "iommu_sva_get_pasid" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x3c6a98c7, "__kmalloc_cache_node_noprof" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x7c766934, "dmaengine_unmap_put" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x27ee5529, "dma_async_device_register" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x3bae7a98, "pci_reset_function" },
	{ 0x10f0e5ec, "iommu_attach_device_pasid" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xc119e274, "__xa_cmpxchg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0xb98fa7ed, "__xa_insert" },
	{ 0x911c8743, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8b50604b, "sbitmap_finish_wait" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x165aa224, "dma_async_device_channel_register" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0x3aa0c23a, "dma_async_tx_descriptor_init" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x3335abed, "seq_printf" },
	{ 0xda578269, "device_match_name" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0x55473fb7, "single_release" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0xf292520a, "kthread_unuse_mm" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x279c4c99, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x11c9859, "__vma_start_write" },
	{ 0xd898659, "single_open" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0xb320dce3, "__sbitmap_queue_get" },
	{ 0x85909793, "pci_free_irq_vectors" },
	{ 0x74ab7603, "idxd_driver_unregister" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xfa13f45f, "iommu_free_global_pasid" },
	{ 0xaf86b7d6, "cdev_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0xe914e41e, "strcpy" },
	{ 0x4fca9753, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa96e26fc, "pci_msix_vec_count" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x77bc13a0, "strim" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x16902ab6, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0xca60ae3, "dma_async_device_unregister" },
	{ 0x67881199, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa32d1545, "device_driver_attach" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x8397d845, "devm_iounmap" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xf3723554, "cdev_device_del" },
	{ 0xd21c5139, "iowrite64_lo_hi" },
	{ 0x343c8959, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x758d7a7c, "__kmalloc_node_noprof" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0xc2c787a3, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x4f32143d, "device_initialize" },
	{ 0xe4865422, "dsa_bus_type" },
	{ 0x24d1e694, "iommu_dev_disable_feature" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf32a0d32, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x7462661c, "iommu_sva_bind_device" },
	{ 0x3a6e24bd, "iommu_detach_device_pasid" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x61f891c3, "pci_irq_vector" },
	{ 0x1a2f220, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0xfb49d236, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdb04da36, "sbitmap_queue_init_node" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xfbcdb5f9, "sbitmap_prepare_to_wait" },
	{ 0x8f64df31, "cdev_device_add" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45ee0529, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd7293ffc, "percpu_ref_reinit" },
	{ 0xd3e5fc10, "iommu_dev_enable_feature" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6a5523ca, "__idxd_driver_register" },
	{ 0x77bd52d9, "iommu_get_domain_for_dev" },
	{ 0x80629fb7, "perf_pmu_register" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x33719327, "_dev_err" },
	{ 0xf74536a0, "bus_find_device" },
	{ 0x3d44dcd8, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb9b31de8, "xa_load" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x482d8ba6, "dma_async_device_channel_unregister" },
	{ 0x7a905b8, "seq_putc" },
	{ 0xafd13f9f, "iommu_sva_unbind_device" },
	{ 0x3c52136a, "sbitmap_queue_clear" },
	{ 0x10119bb, "ida_free" },
	{ 0xe0a2438f, "iommu_alloc_global_pasid" },
	{ 0x2c822be1, "perf_pmu_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "idxd_bus");

MODULE_ALIAS("pci:v00008086d00000B25sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000011FBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001212sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CFEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001216sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "29671C645E13B74096C0714");

MODULE_INFO(suserelease, "SLFO-1.2");
