#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_write_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_read_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_multi_write, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0xa61fe232, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0xdf30055f, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0xa21eea4b, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x5e252eaa, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_write_ctrl, 0xdda9abe6, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0x26ff5476, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_read_ctrl, 0xd5861fc7, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x3b3216a1, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0xeb1cd421, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0x42d8c734, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0x841ff79f, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0x196343ee, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0x44632798, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0xd059df98, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0x33605a32, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0x0bb150d8, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0x8f42aace, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0x3f5ff1ec, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0xe3c47331, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0xb33d5ac3, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0x05eb4fbb, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0x89d054cb, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0x0a506618, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0xbd847e67, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0xc6f4825d, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x8dc7be01, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_init, 0xd429c862, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_write, 0x5c877390, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_multi_write, 0x4665f8f7, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xca414151, "regmap_raw_write" },
	{ 0xbf05a9e8, "regmap_raw_read" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5a921311, "strncmp" },
	{ 0xa5eb5d93, "regmap_read" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xde80edd1, "regmap_update_bits_base" },
	{ 0xe976d673, "regmap_write" },
	{ 0xf70bf09d, "regmap_multi_reg_write" },
	{ 0x560c172f, "regmap_bulk_read" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x56e76cc9, "devm_kasprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x999e8297, "vfree" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x5fbdd86f, "devm_kfree" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x911c8743, "seq_read" },
	{ 0x55473fb7, "single_release" },
	{ 0x52978850, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0xcfe8571b, "debugfs_create_bool" },
	{ 0x45f5e226, "debugfs_create_x32" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0xd898659, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x33719327, "_dev_err" },
	{ 0x3335abed, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "ADA90915DF3710A0C45C3EA");

MODULE_INFO(suserelease, "SLFO-1.2");
