#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(analogix_dp_probe, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_suspend, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_resume, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_bind, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_unbind, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_start_crc, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_stop_crc, "_gpl", "");
KSYMTAB_FUNC(anx_dp_aux_transfer, "_gpl", "");

SYMBOL_CRC(analogix_dp_probe, 0x19bfe927, "_gpl");
SYMBOL_CRC(analogix_dp_suspend, 0x9c426a22, "_gpl");
SYMBOL_CRC(analogix_dp_resume, 0x24ed9c16, "_gpl");
SYMBOL_CRC(analogix_dp_bind, 0xb14afc4f, "_gpl");
SYMBOL_CRC(analogix_dp_unbind, 0x4ef7be38, "_gpl");
SYMBOL_CRC(analogix_dp_start_crc, 0x085de0f1, "_gpl");
SYMBOL_CRC(analogix_dp_stop_crc, 0xf8dd4df5, "_gpl");
SYMBOL_CRC(anx_dp_aux_transfer, 0x3ee0dd60, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xba0a72d1, "gpiod_to_irq" },
	{ 0x745e4eb5, "drm_helper_hpd_irq_event" },
	{ 0x3b9f176c, "drm_atomic_get_old_connector_for_encoder" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc742dfc4, "gpiod_get_value" },
	{ 0x22d50cc, "devm_gpiod_get_optional" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x701e06df, "devm_clk_get" },
	{ 0x9d95fac1, "drm_atomic_helper_bridge_reset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7d266efd, "drm_connector_attach_encoder" },
	{ 0xbaee557b, "drm_atomic_get_new_connector_for_encoder" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xbfdbe5ea, "drm_edid_connector_update" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0xeda983bb, "drm_atomic_helper_connector_destroy_state" },
	{ 0x1ad2bfa6, "drm_dev_printk" },
	{ 0xc867e9ae, "drm_dp_stop_crc" },
	{ 0xa78a42a3, "drm_panel_disable" },
	{ 0x96634f72, "drm_connector_init" },
	{ 0x33719327, "_dev_err" },
	{ 0x4461ce89, "drm_dp_aux_unregister" },
	{ 0x9856c7e7, "drm_edid_connector_add_modes" },
	{ 0x88cbaf59, "platform_get_resource" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x56caf454, "phy_power_on" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef584762, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x4d6f2b25, "phy_power_off" },
	{ 0x885a555d, "drm_connector_cleanup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa5eb5d93, "regmap_read" },
	{ 0x455cfe92, "regmap_bulk_write" },
	{ 0xa6efa75, "drm_atomic_helper_bridge_destroy_state" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xfc5dd970, "devm_ioremap_resource" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x560c172f, "regmap_bulk_read" },
	{ 0x1b46932c, "drm_helper_probe_single_connector_modes" },
	{ 0x55ab6c37, "drm_panel_prepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x54966ce9, "drm_match_cea_mode" },
	{ 0xd0b81fa7, "drm_bridge_attach" },
	{ 0xde80edd1, "regmap_update_bits_base" },
	{ 0xa23392d0, "drm_atomic_helper_connector_reset" },
	{ 0xbefec929, "__pm_runtime_suspend" },
	{ 0x473c64b6, "__pm_runtime_use_autosuspend" },
	{ 0x7bcea979, "devm_phy_get" },
	{ 0xe31d5f0, "drm_atomic_helper_bridge_duplicate_state" },
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0xc21ca686, "drm_dp_dpcd_write" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xfcd3d3cc, "drm_panel_unprepare" },
	{ 0x2ab99f9f, "__pm_runtime_idle" },
	{ 0xd7fe2465, "drm_edid_read_ddc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x2f097282, "drm_dp_start_crc" },
	{ 0x682fcabe, "drm_panel_get_modes" },
	{ 0xe976d673, "regmap_write" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0xe9f6d811, "drm_dp_aux_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xf2a7e356, "drm_dp_dpcd_read" },
	{ 0x2f291670, "drm_panel_enable" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa79728d8, "platform_get_irq" },
	{ 0xa7ab3e7c, "pm_runtime_set_autosuspend_delay" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "drm_display_helper");


MODULE_INFO(srcversion, "C91821136827AFD0A14DC63");

MODULE_INFO(suserelease, "SLFO-1.2");
