#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gpuvm_range_valid, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_object_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_vm, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_objects, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_array, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_validate, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_add_fence, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain_prealloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_extobj_add, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_evict, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");

SYMBOL_CRC(drm_gpuvm_range_valid, 0xa785111a, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_object_alloc, 0x0c891c3d, "_gpl");
SYMBOL_CRC(drm_gpuvm_init, 0xd9cf1c0c, "_gpl");
SYMBOL_CRC(drm_gpuvm_put, 0xc9c74aec, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_vm, 0x536b79fe, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_objects, 0x8429b53e, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_range, 0xa2553c58, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock, 0x103363ff, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_array, 0xc8b962b4, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_range, 0xb8096c2c, "_gpl");
SYMBOL_CRC(drm_gpuvm_validate, 0xa2821572, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_add_fence, 0x9457a3b2, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_create, 0xa3a37952, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_put, 0xa6fb4811, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_find, 0x9824bca7, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain, 0xca09098d, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain_prealloc, 0x1d7a0327, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_extobj_add, 0x3f0b2a76, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_evict, 0x8a569dca, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0x224b63fc, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0xf4206c28, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0xcd6dec35, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0xb3d6582e, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0x6d1bec48, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0x10769c4d, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0x1610f717, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0x2d0ce205, "_gpl");
SYMBOL_CRC(drm_gpuvm_interval_empty, 0x26bc053d, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0xf1751e22, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0xb58ddb93, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0x2f8f1663, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map, 0x08e76f0d, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap, 0x5795e2ee, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map_ops_create, 0xf94c194c, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap_ops_create, 0x8da2f717, "_gpl");
SYMBOL_CRC(drm_gpuvm_prefetch_ops_create, 0x6a002193, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_unmap_ops_create, 0x88ac69c5, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0x3071e9de, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbb9ff97f, "drm_gem_object_release" },
	{ 0x37a0cba, "kfree" },
	{ 0x16290329, "drm_exec_prepare_array" },
	{ 0xc985430f, "dma_resv_add_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x848bfbe3, "drm_gem_private_object_init" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xca9360b5, "rb_next" },
	{ 0x1974fa82, "drm_exec_prepare_obj" },
	{ 0x15d8b85c, "drm_exec_lock_obj" },
	{ 0x9e87bff9, "drm_exec_init" },
	{ 0xfc2f020e, "drm_exec_cleanup" },
	{ 0x32b36822, "drm_exec_fini" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "drm_exec");


MODULE_INFO(srcversion, "AE6034294DD56076A1A429C");

MODULE_INFO(suserelease, "SLFO-1.2");
