#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_ttm_print_info, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_mmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_dumb_map_offset, "", "");
KSYMTAB_FUNC(drm_fbdev_ttm_driver_fbdev_probe, "", "");
KSYMTAB_FUNC(drm_fbdev_ttm_setup, "", "");

SYMBOL_CRC(drm_gem_ttm_print_info, 0xf6c1f588, "");
SYMBOL_CRC(drm_gem_ttm_vmap, 0xa1736d87, "");
SYMBOL_CRC(drm_gem_ttm_vunmap, 0x2c98bb55, "");
SYMBOL_CRC(drm_gem_ttm_mmap, 0xc7953af4, "");
SYMBOL_CRC(drm_gem_ttm_dumb_map_offset, 0x88052db7, "");
SYMBOL_CRC(drm_fbdev_ttm_driver_fbdev_probe, 0x10aee871, "");
SYMBOL_CRC(drm_fbdev_ttm_setup, 0x8a2e652e, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb90de454, "drm_fb_helper_fini" },
	{ 0xb12b09ba, "drm_client_framebuffer_delete" },
	{ 0xee17c664, "drm_client_framebuffer_create" },
	{ 0xe640a118, "drm_fb_helper_deferred_io" },
	{ 0x79f9f991, "drm_fb_helper_release_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xebbf6a82, "drm_driver_legacy_fb_format" },
	{ 0x8b5bf0, "drm_fb_helper_fill_info" },
	{ 0x534b0708, "fb_deferred_io_init" },
	{ 0xa18247be, "fb_deferred_io_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x92e7c081, "drm_fb_helper_hotplug_event" },
	{ 0xb1b3721e, "drm_gem_object_lookup" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeb22ddb, "fb_sys_write" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x937f988e, "sys_imageblit" },
	{ 0xee919515, "drm_fb_helper_damage_range" },
	{ 0x14fd96e3, "drm_fb_helper_blank" },
	{ 0xe23dd390, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd3613958, "drm_fb_helper_damage_area" },
	{ 0xdf7f28ab, "sys_fillrect" },
	{ 0x6857cc3d, "module_put" },
	{ 0x4b2f00e2, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x9fd7965, "drm_client_init" },
	{ 0x1a01342e, "drm_print_bits" },
	{ 0x62f3a6bb, "drm_fb_helper_prepare" },
	{ 0x33719327, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x33fb3f10, "__drm_dev_dbg" },
	{ 0xa596d5e3, "fb_deferred_io_mmap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc1877ab3, "drm_fb_helper_pan_display" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0x5dbf9d51, "drm_client_release" },
	{ 0x5ef43cbb, "sys_copyarea" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x999e8297, "vfree" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5c0a9fe8, "fb_sys_read" },
	{ 0xe9d2ebd6, "drm_fb_helper_debug_leave" },
	{ 0x9e1f6007, "ttm_bo_mmap_obj" },
	{ 0x16f02272, "drm_client_buffer_vunmap_local" },
	{ 0xae448eb7, "ttm_bo_vmap" },
	{ 0xa329be43, "drm_client_buffer_vmap_local" },
	{ 0x501fc489, "drm_fb_helper_initial_config" },
	{ 0xece23979, "drm_fb_helper_unregister_info" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x3dba48f1, "drm_fb_helper_ioctl" },
	{ 0x419ac61d, "drm_fb_helper_set_par" },
	{ 0xc583da90, "drm_client_register" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x87d30bd7, "drm_fb_helper_init" },
	{ 0xc49139e1, "drm_fb_helper_debug_enter" },
	{ 0x51aedb6c, "drm_fb_helper_lastclose" },
	{ 0x31e0066e, "drm_fb_helper_setcmap" },
	{ 0x5519a486, "drm_fb_helper_alloc_info" },
	{ 0x11b265b2, "drm_helper_disable_unused_functions" },
	{ 0x35a355e8, "drm_fb_helper_unprepare" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "ttm");


MODULE_INFO(srcversion, "27A46B00689AB667B550249");

MODULE_INFO(suserelease, "SLFO-1.2");
