#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x9f721b9f, "");
SYMBOL_CRC(drm_gem_vram_put, 0x017e41e9, "");
SYMBOL_CRC(drm_gem_vram_offset, 0xbd0c09d4, "");
SYMBOL_CRC(drm_gem_vram_pin, 0xb3bd2c11, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x63234273, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x2da07a2a, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x8883626d, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0xd0c75944, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x4254b8ca, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x753c88a2, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x5438588d, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0xf27842ba, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x92d319bc, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0xbb62c39c, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x1635b7ba, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x3d459fff, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21d163a8, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4b2f00e2, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xbb9ff97f, "drm_gem_object_release" },
	{ 0x37f786fe, "ttm_tt_init" },
	{ 0xe7f5a9fd, "drm_gem_handle_create" },
	{ 0xe57e9f0d, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd56c0ef3, "ttm_bo_unpin" },
	{ 0x25b1a326, "__drm_puts_seq_file" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xc2b138a9, "drm_debugfs_add_files" },
	{ 0x8d2dea2, "ttm_bo_init_validate" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe226dff7, "ttm_device_init" },
	{ 0x6508f243, "ttm_bo_validate" },
	{ 0x609d9f89, "ttm_bo_move_to_lru_tail" },
	{ 0xae448eb7, "ttm_bo_vmap" },
	{ 0xfe584583, "ttm_bo_put" },
	{ 0xb3d17e45, "ttm_resource_free" },
	{ 0xbb589ac3, "ttm_bo_move_memcpy" },
	{ 0x150f15ee, "ttm_tt_fini" },
	{ 0x69dfaf68, "ttm_device_fini" },
	{ 0xb7f9a4a6, "drm_gem_plane_helper_prepare_fb" },
	{ 0xeb5b1827, "ttm_bo_eviction_valuable" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xf6c1f588, "drm_gem_ttm_print_info" },
	{ 0x4fa4441d, "ttm_range_man_init_nocheck" },
	{ 0x6917cb3, "ww_mutex_lock_interruptible" },
	{ 0x3049be28, "ttm_resource_manager_debug" },
	{ 0xe7001b64, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x1630fd5b, "ttm_range_man_fini_nocheck" },
	{ 0xe26a046f, "drm_gem_object_init" },
	{ 0x2140e8a1, "__drm_printfn_seq_file" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdfac67b6, "ttm_bo_pin" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0xc7953af4, "drm_gem_ttm_mmap" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_ttm_helper");


MODULE_INFO(srcversion, "45A49E51DAFAA14BA8045FA");

MODULE_INFO(suserelease, "SLFO-1.2");
