#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8bf5892, "drm_crtc_helper_mode_valid_fixed" },
	{ 0x566bbe6b, "drm_connector_helper_get_modes_fixed" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0xd5a1cec0, "device_get_match_data" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0x8375ebf, "__devm_drm_dev_alloc" },
	{ 0xe78fd3c2, "drmm_mode_config_init" },
	{ 0x95517964, "devm_gpiod_get" },
	{ 0xac7dc499, "device_property_read_string" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x96634f72, "drm_connector_init" },
	{ 0x20e46d3, "drm_simple_display_pipe_init" },
	{ 0xbfcfa2ae, "drm_mode_config_reset" },
	{ 0xe12a352d, "drm_dev_register" },
	{ 0x33fb3f10, "__drm_dev_dbg" },
	{ 0xfaad48de, "drm_fbdev_dma_setup" },
	{ 0x5e7c2596, "thermal_zone_get_zone_by_name" },
	{ 0x1ad2bfa6, "drm_dev_printk" },
	{ 0x3f3d85b8, "spi_get_device_id" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x2927e8c6, "gpiod_set_value_cansleep" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7ac1254b, "local_clock" },
	{ 0xf001f4f, "drm_atomic_helper_damage_merged" },
	{ 0x24e99aa5, "drm_format_conv_state_release" },
	{ 0x302894e, "drm_fb_dma_get_gem_obj" },
	{ 0xd6cf4cb6, "drm_dev_enter" },
	{ 0x44cb01b4, "thermal_zone_get_temp" },
	{ 0x789ceed5, "drm_gem_fb_begin_cpu_access" },
	{ 0xd1969a47, "drm_fb_xrgb8888_to_mono" },
	{ 0x996dc8ee, "drm_gem_fb_end_cpu_access" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x20b835f4, "gpiod_get_value_cansleep" },
	{ 0x33719327, "_dev_err" },
	{ 0xf5d768cd, "drm_gem_dma_prime_import_sg_table_vmap" },
	{ 0xea35d1c9, "drm_gem_dma_dumb_create" },
	{ 0x136d2728, "noop_llseek" },
	{ 0xd854d071, "drm_read" },
	{ 0x364baf6e, "drm_poll" },
	{ 0x99d3b16b, "drm_ioctl" },
	{ 0x636dcbac, "drm_compat_ioctl" },
	{ 0x4e2e0abe, "drm_gem_mmap" },
	{ 0x2bd28a3f, "drm_open" },
	{ 0xfe417660, "drm_release" },
	{ 0xbc981a96, "drm_gem_fb_create_with_dirty" },
	{ 0x46f15178, "drm_atomic_helper_check" },
	{ 0x53d8e764, "drm_atomic_helper_commit" },
	{ 0xa23392d0, "drm_atomic_helper_connector_reset" },
	{ 0x1b46932c, "drm_helper_probe_single_connector_modes" },
	{ 0x885a555d, "drm_connector_cleanup" },
	{ 0xef584762, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xeda983bb, "drm_atomic_helper_connector_destroy_state" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd2ba727a, "__spi_register_driver" },
	{ 0x327e70b2, "drm_atomic_helper_shutdown" },
	{ 0x7908e5a4, "drm_dev_unplug" },
	{ 0xb8978ab1, "spi_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "drm_dma_helper");

MODULE_ALIAS("spi:e1144cs021");
MODULE_ALIAS("spi:e1190cs021");
MODULE_ALIAS("spi:e2200cs021");
MODULE_ALIAS("spi:e2271cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1144cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1144cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e1190cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1190cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e2200cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e2200cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e2271cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e2271cs021C*");

MODULE_INFO(srcversion, "5E7BC670BF196237558320A");

MODULE_INFO(suserelease, "SLFO-1.2");
