#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sensor_hub_register_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_remove_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_set_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_get_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_attr_get_raw_value, "_gpl", "");
KSYMTAB_FUNC(hid_sensor_get_usage_index, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_get_attribute_info, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_open, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_close, "_gpl", "");

SYMBOL_CRC(sensor_hub_register_callback, 0x76b91dbd, "_gpl");
SYMBOL_CRC(sensor_hub_remove_callback, 0x01829f76, "_gpl");
SYMBOL_CRC(sensor_hub_set_feature, 0x29dcd8b9, "_gpl");
SYMBOL_CRC(sensor_hub_get_feature, 0xf851f897, "_gpl");
SYMBOL_CRC(sensor_hub_input_attr_get_raw_value, 0xc7e39aac, "_gpl");
SYMBOL_CRC(hid_sensor_get_usage_index, 0xe393dbd5, "_gpl");
SYMBOL_CRC(sensor_hub_input_get_attribute_info, 0xaa486589, "_gpl");
SYMBOL_CRC(sensor_hub_device_open, 0x5584f379, "_gpl");
SYMBOL_CRC(sensor_hub_device_close, 0xc6e1f393, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x37a0cba, "kfree" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xfb578fc5, "memset" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x877acacd, "hid_hw_request" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xed4a133d, "hid_hw_open" },
	{ 0x33719327, "_dev_err" },
	{ 0x7685a145, "hid_hw_close" },
	{ 0x5604cbc, "__hid_register_driver" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xa6257a2f, "complete" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xa7629993, "hid_hw_stop" },
	{ 0x5b5d292e, "device_for_each_child" },
	{ 0x8b011d2f, "mfd_remove_devices" },
	{ 0x38ffbd59, "hid_unregister_driver" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xeeed0cb4, "hid_open_report" },
	{ 0x326438e0, "hid_hw_start" },
	{ 0x56e76cc9, "devm_kasprintf" },
	{ 0xf422928, "mfd_add_devices" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xcd1922a9, "hid_set_field" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mfd-core");

MODULE_ALIAS("hid:b*g0003v*p*");

MODULE_INFO(srcversion, "DBF291FB31C78EA70BBA4B5");

MODULE_INFO(suserelease, "SLFO-1.2");
