#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_is_usb, "_gpl", "");
KSYMTAB_FUNC(hiddev_hid_event, "_gpl", "");
KSYMTAB_FUNC(hid_pidff_init_with_quirks, "_gpl", "");

SYMBOL_CRC(hid_is_usb, 0x1aeccae5, "_gpl");
SYMBOL_CRC(hiddev_hid_event, 0x1069f508, "_gpl");
SYMBOL_CRC(hid_pidff_init_with_quirks, 0x7e80e8af, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc54ec931, "hid_alloc_report_buf" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2a730987, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x33719327, "_dev_err" },
	{ 0x810f623f, "usb_free_coherent" },
	{ 0xcd1922a9, "hid_set_field" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x136d2728, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x877acacd, "hid_hw_request" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xed4a133d, "hid_hw_open" },
	{ 0xa8f7a713, "usb_control_msg" },
	{ 0xab9b1b89, "usb_register_dev" },
	{ 0xed944f4c, "hid_check_keys_pressed" },
	{ 0xb974afde, "fasync_helper" },
	{ 0xb105e8bf, "usb_unpoison_urb" },
	{ 0x2f601106, "usb_autopm_put_interface_async" },
	{ 0x7685a145, "hid_hw_close" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x19d52f1f, "hid_quirks_exit" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x45d621e6, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb6f3a998, "usb_string" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xe9baa2f2, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x488bfe0a, "usb_block_urb" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xdeace382, "hid_input_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3d9e5d8a, "usb_unlink_urb" },
	{ 0x758ad137, "_dev_notice" },
	{ 0x999e8297, "vfree" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x7bd3b23, "usb_autopm_get_interface" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x271f80be, "input_ff_create" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x8ca7c4de, "usb_deregister_dev" },
	{ 0x4d4770a7, "usb_kill_urb" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x5dde310a, "hid_parse_report" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x754d539c, "strlen" },
	{ 0xfa355613, "hid_quirks_init" },
	{ 0xd36760ef, "__usb_get_extra_descriptor" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x86725ba4, "__dev_fwnode" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xeef30528, "hid_add_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x354e6e9c, "hid_output_report" },
	{ 0x978f81b9, "hid_lookup_quirk" },
	{ 0x6a578ab1, "usb_alloc_urb" },
	{ 0x290bc1d9, "device_set_wakeup_enable" },
	{ 0xb30f0d41, "usb_autopm_put_interface" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x96e6d83, "usb_free_urb" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x4a3dcf5e, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xba554b3c, "hid_driver_suspend" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x7087ee17, "kill_fasync" },
	{ 0x33972a88, "usb_register_driver" },
	{ 0xb74c2822, "hid_driver_reset_resume" },
	{ 0xcf2a6966, "up" },
	{ 0x9449d1a3, "param_array_ops" },
	{ 0x9612cd5b, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x565441fb, "hidinput_count_leds" },
	{ 0x370a00c7, "usb_autopm_put_interface_no_suspend" },
	{ 0x124c373d, "hid_driver_resume" },
	{ 0xe654e061, "usb_autopm_get_interface_no_resume" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xf7842e4f, "hid_allocate_device" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x582b658c, "hid_destroy_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc0779a75, "usb_interrupt_msg" },
	{ 0x9744c7c4, "usb_find_interface" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe9d722b4, "device_set_node" },
	{ 0x92997ed8, "_printk" },
	{ 0x2e58d2de, "usb_clear_halt" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x311122ac, "usb_autopm_get_interface_async" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xb1161409, "usb_submit_urb" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x27c93138, "usb_queue_reset_device" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic03isc*ip*in*");

MODULE_INFO(srcversion, "A0B6C2351143B8E02B72C51");

MODULE_INFO(suserelease, "SLFO-1.2");
