#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0x83724941, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0xb97192ae, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0xe729445d, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0x0940dfff, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x8466421a, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0x650288c3, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0xc70a984c, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0x913640bf, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0x2011eb13, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0xd1150319, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0x17a533cf, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0x2cc8042e, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0xc307ca1d, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0xba510f47, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0x6d9f6d49, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0x2bef17e3, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0x7669b1f1, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0x05a52ce5, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0x8746aa8b, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0x843f36a5, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0xa8b99266, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a7ee988, "i2c_smbus_read_block_data" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x3ea5ce43, "sysfs_notify" },
	{ 0x369e7826, "kobject_uevent" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x5dc59b93, "rdev_get_dev" },
	{ 0xd66adae1, "rdev_get_id" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xca9791ee, "regulator_notifier_call_chain" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x9166fada, "strncpy" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x78b47004, "i2c_smbus_xfer" },
	{ 0x33719327, "_dev_err" },
	{ 0xf4bf5395, "device_create_file" },
	{ 0x23e55a9c, "__devm_add_action" },
	{ 0xa123a8a8, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4cb3ec3d, "devm_hwmon_device_register_with_groups" },
	{ 0x9132604d, "devm_regulator_register" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0x96848186, "scnprintf" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x136d2728, "noop_llseek" },
	{ 0x52978850, "simple_open" },
	{ 0x9e571b9b, "debugfs_attr_read" },
	{ 0x4040c3fb, "debugfs_attr_write" },
	{ 0xc0ff936f, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x69d137d1, "device_remove_file" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe0616a5b, "devm_krealloc" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x640c8f92, "simple_attr_open" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3883e1c3, "i2c_smbus_write_byte_data" },
	{ 0xf1b106c4, "i2c_smbus_read_byte_data" },
	{ 0xc4861a50, "i2c_smbus_write_byte" },
	{ 0x2dc49779, "i2c_smbus_write_word_data" },
	{ 0xdc9ec81c, "i2c_smbus_read_word_data" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8777F6FA7D631D901E276E8");

MODULE_INFO(suserelease, "SLFO-1.2");
