#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0x05228430, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0xb7f58e1d, "_gpl");
SYMBOL_CRC(stm_data_write, 0xc2fe2b4d, "_gpl");
SYMBOL_CRC(stm_register_device, 0x9cb37921, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0x09b36a4d, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0x699da018, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0x64133143, "_gpl");
SYMBOL_CRC(stm_source_write, 0x3c4e5964, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0x378e1523, "_gpl");

MODULE_INFO(supported, "external");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x9f984513, "strrchr" },
	{ 0x6857cc3d, "module_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x2a730987, "compat_ptr_ioctl" },
	{ 0x3ed5a5a3, "init_srcu_struct" },
	{ 0x7c0edf48, "configfs_register_subsystem" },
	{ 0x3d44dcd8, "device_add" },
	{ 0xc4510dc7, "__srcu_read_lock" },
	{ 0xc5efe949, "config_group_init_type_name" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x30ec0b8f, "cleanup_srcu_struct" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x97ebdfc4, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xc792841, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x4b4f6903, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x73c3bfab, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x6f1a02b3, "config_item_put" },
	{ 0x1ec7d1c9, "__register_chrdev" },
	{ 0x3b239a4e, "kobject_set_name" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xda578269, "device_match_name" },
	{ 0x30024cbb, "__srcu_read_unlock" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0xbefec929, "__pm_runtime_suspend" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x473c64b6, "__pm_runtime_use_autosuspend" },
	{ 0x11c9859, "__vma_start_write" },
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xe99bba1f, "class_register" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2ff2eaef, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x7884654e, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x343c8959, "device_unregister" },
	{ 0xa7ab3e7c, "pm_runtime_set_autosuspend_delay" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xab98fe28, "vm_iomap_memory" },
	{ 0x2f934659, "config_item_get" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xe9e8f1b6, "synchronize_srcu" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x22c6ba36, "configfs_unregister_subsystem" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45ee0529, "put_device" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "A80A2091E20FB9827EE187E");

MODULE_INFO(suserelease, "SLFO-1.2");
