#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a972402, "irq_domain_instantiate" },
	{ 0xef8d0f4f, "irq_create_mapping_affinity" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x2db677b9, "handle_simple_irq" },
	{ 0x55c559e, "irq_set_chip_and_handler_name" },
	{ 0x33719327, "_dev_err" },
	{ 0x4828a8ed, "__dev_fwnode_const" },
	{ 0x774cdfe4, "fwnode_property_match_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x149eb2a8, "device_property_present" },
	{ 0x3883e1c3, "i2c_smbus_write_byte_data" },
	{ 0xc4861a50, "i2c_smbus_write_byte" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xc684d9df, "regulator_disable" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xc0e029b3, "irq_domain_remove" },
	{ 0xa3eb0cc6, "i2c_mux_del_adapters" },
	{ 0x69d137d1, "device_remove_file" },
	{ 0x2f52cce3, "i2c_client_get_device_id" },
	{ 0xf1c0cee4, "i2c_mux_alloc" },
	{ 0x9b447f0e, "devm_regulator_get" },
	{ 0x5ed6577, "regulator_enable" },
	{ 0xad0414a1, "__devm_reset_control_get" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xd5a1cec0, "device_get_match_data" },
	{ 0x7849965e, "i2c_get_device_id" },
	{ 0xf40c71a7, "device_property_read_u32_array" },
	{ 0x8000f664, "i2c_mux_add_adapter" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0x22d50cc, "devm_gpiod_get_optional" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0x2927e8c6, "gpiod_set_value_cansleep" },
	{ 0xf4bf5395, "device_create_file" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x73b4843, "__i2c_smbus_xfer" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x575c0b27, "i2c_register_driver" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x14d402d2, "i2c_smbus_read_byte" },
	{ 0xef1d8289, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4e5879c8, "i2c_del_driver" },
	{ 0x7dacd7cd, "irq_domain_simple_ops" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "i2c-mux");

MODULE_ALIAS("of:N*T*Cmaxim,max7356");
MODULE_ALIAS("of:N*T*Cmaxim,max7356C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7357");
MODULE_ALIAS("of:N*T*Cmaxim,max7357C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7358");
MODULE_ALIAS("of:N*T*Cmaxim,max7358C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7367");
MODULE_ALIAS("of:N*T*Cmaxim,max7367C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7368");
MODULE_ALIAS("of:N*T*Cmaxim,max7368C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7369");
MODULE_ALIAS("of:N*T*Cmaxim,max7369C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9540");
MODULE_ALIAS("of:N*T*Cnxp,pca9540C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9542");
MODULE_ALIAS("of:N*T*Cnxp,pca9542C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9543");
MODULE_ALIAS("of:N*T*Cnxp,pca9543C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9544");
MODULE_ALIAS("of:N*T*Cnxp,pca9544C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9545");
MODULE_ALIAS("of:N*T*Cnxp,pca9545C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9546");
MODULE_ALIAS("of:N*T*Cnxp,pca9546C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9547");
MODULE_ALIAS("of:N*T*Cnxp,pca9547C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9548");
MODULE_ALIAS("of:N*T*Cnxp,pca9548C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9846");
MODULE_ALIAS("of:N*T*Cnxp,pca9846C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9847");
MODULE_ALIAS("of:N*T*Cnxp,pca9847C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9848");
MODULE_ALIAS("of:N*T*Cnxp,pca9848C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9849");
MODULE_ALIAS("of:N*T*Cnxp,pca9849C*");
MODULE_ALIAS("i2c:max7356");
MODULE_ALIAS("i2c:max7357");
MODULE_ALIAS("i2c:max7358");
MODULE_ALIAS("i2c:max7367");
MODULE_ALIAS("i2c:max7368");
MODULE_ALIAS("i2c:max7369");
MODULE_ALIAS("i2c:pca9540");
MODULE_ALIAS("i2c:pca9542");
MODULE_ALIAS("i2c:pca9543");
MODULE_ALIAS("i2c:pca9544");
MODULE_ALIAS("i2c:pca9545");
MODULE_ALIAS("i2c:pca9546");
MODULE_ALIAS("i2c:pca9547");
MODULE_ALIAS("i2c:pca9548");
MODULE_ALIAS("i2c:pca9846");
MODULE_ALIAS("i2c:pca9847");
MODULE_ALIAS("i2c:pca9848");
MODULE_ALIAS("i2c:pca9849");

MODULE_INFO(srcversion, "314C36DD1807BA28552C51F");

MODULE_INFO(suserelease, "SLFO-1.2");
