#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dw_i3c_common_probe, "_gpl", "");
KSYMTAB_FUNC(dw_i3c_common_remove, "_gpl", "");

SYMBOL_CRC(dw_i3c_common_probe, 0x182952b6, "_gpl");
SYMBOL_CRC(dw_i3c_common_remove, 0x664fecc8, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa79728d8, "platform_get_irq" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0xa7ab3e7c, "pm_runtime_set_autosuspend_delay" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0xf465a7b4, "i3c_master_register" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa6257a2f, "complete" },
	{ 0x73be4375, "i3c_generic_ibi_get_free_slot" },
	{ 0x5e95cdf0, "i3c_master_queue_ibi" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x33719327, "_dev_err" },
	{ 0x3a4483d9, "pinctrl_pm_select_default_state" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x1831c246, "i3c_master_enec_locked" },
	{ 0x86c6e77, "i3c_master_get_free_addr" },
	{ 0xb21c03e0, "i3c_master_add_i3c_dev_locked" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xf5400c55, "i3c_master_set_info" },
	{ 0x1b935c2e, "pm_runtime_force_suspend" },
	{ 0x309bfb59, "pm_runtime_force_resume" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xbefec929, "__pm_runtime_suspend" },
	{ 0x34cd225e, "i3c_generic_ibi_recycle_slot" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8bd3a2d4, "i3c_master_disec_locked" },
	{ 0x76fe3e05, "i3c_generic_ibi_free_pool" },
	{ 0x9503ff32, "i3c_generic_ibi_alloc_pool" },
	{ 0x37a0cba, "kfree" },
	{ 0xc909d23e, "i3c_master_do_daa" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xaa79ff79, "i3c_master_unregister" },
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0x473c64b6, "__pm_runtime_use_autosuspend" },
	{ 0x7ccaa77e, "__platform_driver_register" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xada2ce5f, "pinctrl_pm_select_sleep_state" },
	{ 0x5ad12e30, "platform_driver_unregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd917c3f7, "devm_platform_ioremap_resource" },
	{ 0xe89d6007, "devm_clk_get_enabled" },
	{ 0xcee09d8b, "devm_clk_get_optional_enabled" },
	{ 0xad0414a1, "__devm_reset_control_get" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "i3c");

MODULE_ALIAS("of:N*T*Csnps,dw-i3c-master-1.00a");
MODULE_ALIAS("of:N*T*Csnps,dw-i3c-master-1.00aC*");

MODULE_INFO(srcversion, "A0ACCF07EEEB04E09FD1500");

MODULE_INFO(suserelease, "SLFO-1.2");
