#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(bmc150_regmap_conf, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_probe, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_remove, "_gpl", "IIO_BMC150");
KSYMTAB_DATA(bmc150_accel_pm_ops, "_gpl", "IIO_BMC150");

SYMBOL_CRC(bmc150_regmap_conf, 0xc948a062, "_gpl");
SYMBOL_CRC(bmc150_accel_core_probe, 0x0876d88e, "_gpl");
SYMBOL_CRC(bmc150_accel_core_remove, 0xf52c89db, "_gpl");
SYMBOL_CRC(bmc150_accel_pm_ops, 0xf0e6b2af, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0x74653454, "iio_trigger_unregister" },
	{ 0x199cda90, "iio_triggered_buffer_cleanup" },
	{ 0xb5614da2, "regulator_bulk_disable" },
	{ 0xbdd5fd46, "devm_iio_device_alloc" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0x49f5710, "iio_read_mount_matrix" },
	{ 0x2c708545, "devm_regulator_bulk_get" },
	{ 0xbb025590, "regulator_bulk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xdb13046, "iio_triggered_buffer_setup_ext" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0xdc38f13d, "iio_device_id" },
	{ 0x7436ff20, "__devm_iio_trigger_alloc" },
	{ 0xb4910d54, "iio_trigger_register" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0xa7ab3e7c, "pm_runtime_set_autosuspend_delay" },
	{ 0x473c64b6, "__pm_runtime_use_autosuspend" },
	{ 0x4c27f63b, "__iio_device_register" },
	{ 0x89bb0c4c, "acpi_device_hid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xfc40a68d, "iio_read_acpi_mount_matrix" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0x86725ba4, "__dev_fwnode" },
	{ 0x5f38d612, "fwnode_irq_get_byname" },
	{ 0x3750f509, "iio_read_const_attr" },
	{ 0xf9ba3c59, "iio_show_mount_matrix" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe976d673, "regmap_write" },
	{ 0x38d75ec8, "regmap_get_device" },
	{ 0x33719327, "_dev_err" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xbcf2b17, "iio_get_time_ns" },
	{ 0x15523d7d, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xde80edd1, "regmap_update_bits_base" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xbefec929, "__pm_runtime_suspend" },
	{ 0xa5eb5d93, "regmap_read" },
	{ 0x2d85df9a, "iio_buffer_enabled" },
	{ 0x560c172f, "regmap_bulk_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa48ab485, "iio_device_get_current_mode" },
	{ 0xbf05a9e8, "regmap_raw_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2fa15d10, "iio_push_to_buffers" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc5c6ce44, "iio_push_event" },
	{ 0x27fe20c3, "iio_trigger_notify_done" },
	{ 0xd61d18fb, "iio_device_unregister" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "74230F3F4E0A46EB7A272AD");

MODULE_INFO(suserelease, "SLFO-1.2");
