#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(iio_bus_type, "", "");
KSYMTAB_FUNC(iio_device_id, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_enabled, "_gpl", "");
KSYMTAB_FUNC(iio_get_debugfs_dentry, "_gpl", "");
KSYMTAB_FUNC(iio_read_const_attr, "", "");
KSYMTAB_FUNC(iio_device_set_clock, "", "");
KSYMTAB_FUNC(iio_device_get_clock, "", "");
KSYMTAB_FUNC(iio_get_time_ns, "", "");
KSYMTAB_FUNC(iio_enum_available_read, "_gpl", "");
KSYMTAB_FUNC(iio_enum_read, "_gpl", "");
KSYMTAB_FUNC(iio_enum_write, "_gpl", "");
KSYMTAB_FUNC(iio_show_mount_matrix, "_gpl", "");
KSYMTAB_FUNC(iio_read_mount_matrix, "", "");
KSYMTAB_FUNC(iio_format_value, "_gpl", "");
KSYMTAB_FUNC(iio_str_to_fixpoint, "_gpl", "");
KSYMTAB_FUNC(iio_device_alloc, "", "");
KSYMTAB_FUNC(iio_device_free, "", "");
KSYMTAB_FUNC(devm_iio_device_alloc, "_gpl", "");
KSYMTAB_FUNC(iio_active_scan_mask_index, "_gpl", "");
KSYMTAB_FUNC(__iio_device_register, "", "");
KSYMTAB_FUNC(iio_device_unregister, "", "");
KSYMTAB_FUNC(__devm_iio_device_register, "_gpl", "");
KSYMTAB_FUNC(iio_device_claim_direct_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_release_direct_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_claim_buffer_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_release_buffer_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_get_current_mode, "_gpl", "");
KSYMTAB_FUNC(iio_push_event, "", "");
KSYMTAB_FUNC(iio_map_array_register, "_gpl", "");
KSYMTAB_FUNC(iio_map_array_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_iio_map_array_register, "_gpl", "");
KSYMTAB_FUNC(fwnode_iio_channel_get_by_name, "_gpl", "");
KSYMTAB_FUNC(iio_channel_get, "_gpl", "");
KSYMTAB_FUNC(iio_channel_release, "_gpl", "");
KSYMTAB_FUNC(devm_iio_channel_get, "_gpl", "");
KSYMTAB_FUNC(devm_fwnode_iio_channel_get_by_name, "_gpl", "");
KSYMTAB_FUNC(iio_channel_get_all, "_gpl", "");
KSYMTAB_FUNC(iio_channel_release_all, "_gpl", "");
KSYMTAB_FUNC(devm_iio_channel_get_all, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_average_raw, "_gpl", "");
KSYMTAB_FUNC(iio_convert_raw_to_processed, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_offset, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_processed_scale, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_processed, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_scale, "_gpl", "");
KSYMTAB_FUNC(iio_read_avail_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_read_avail_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_max_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_min_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_get_channel_type, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_get_channel_ext_info_count, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_ext_info, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_ext_info, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_label, "_gpl", "");
KSYMTAB_FUNC(iio_pop_from_buffer, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_init, "", "");
KSYMTAB_FUNC(iio_update_buffers, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_signal_dmabuf_done, "_gpl", "");
KSYMTAB_FUNC(iio_validate_scan_mask_onehot, "_gpl", "");
KSYMTAB_FUNC(iio_push_to_buffers, "_gpl", "");
KSYMTAB_FUNC(iio_push_to_buffers_with_ts_unaligned, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_get, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_put, "_gpl", "");
KSYMTAB_FUNC(iio_device_attach_buffer, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_register, "", "");
KSYMTAB_FUNC(iio_trigger_unregister, "", "");
KSYMTAB_FUNC(iio_trigger_set_immutable, "", "");
KSYMTAB_FUNC(iio_trigger_poll, "", "");
KSYMTAB_FUNC(iio_trigger_generic_data_rdy_poll, "", "");
KSYMTAB_FUNC(iio_trigger_poll_nested, "", "");
KSYMTAB_FUNC(iio_trigger_notify_done, "", "");
KSYMTAB_FUNC(iio_pollfunc_store_time, "", "");
KSYMTAB_FUNC(iio_alloc_pollfunc, "_gpl", "");
KSYMTAB_FUNC(iio_dealloc_pollfunc, "_gpl", "");
KSYMTAB_FUNC(__iio_trigger_alloc, "", "");
KSYMTAB_FUNC(iio_trigger_free, "", "");
KSYMTAB_FUNC(__devm_iio_trigger_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_iio_trigger_register, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_using_own, "", "");
KSYMTAB_FUNC(iio_validate_own_trigger, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_validate_own_device, "", "");
KSYMTAB_FUNC(iio_device_suspend_triggering, "", "");
KSYMTAB_FUNC(iio_device_resume_triggering, "", "");
KSYMTAB_FUNC(iio_read_acpi_mount_matrix, "_gpl", "");

SYMBOL_CRC(iio_bus_type, 0xf975e20c, "");
SYMBOL_CRC(iio_device_id, 0xdc38f13d, "_gpl");
SYMBOL_CRC(iio_buffer_enabled, 0x2d85df9a, "_gpl");
SYMBOL_CRC(iio_get_debugfs_dentry, 0x540a1d81, "_gpl");
SYMBOL_CRC(iio_read_const_attr, 0x3750f509, "");
SYMBOL_CRC(iio_device_set_clock, 0x18e4e220, "");
SYMBOL_CRC(iio_device_get_clock, 0xbc2b7190, "");
SYMBOL_CRC(iio_get_time_ns, 0x0bcf2b17, "");
SYMBOL_CRC(iio_enum_available_read, 0x389f3a6d, "_gpl");
SYMBOL_CRC(iio_enum_read, 0xbaff3a43, "_gpl");
SYMBOL_CRC(iio_enum_write, 0x13c7ccf5, "_gpl");
SYMBOL_CRC(iio_show_mount_matrix, 0xf9ba3c59, "_gpl");
SYMBOL_CRC(iio_read_mount_matrix, 0x049f5710, "");
SYMBOL_CRC(iio_format_value, 0x4dce7dd4, "_gpl");
SYMBOL_CRC(iio_str_to_fixpoint, 0x26f6b499, "_gpl");
SYMBOL_CRC(iio_device_alloc, 0xf61d293a, "");
SYMBOL_CRC(iio_device_free, 0x7cb10cf6, "");
SYMBOL_CRC(devm_iio_device_alloc, 0xbdd5fd46, "_gpl");
SYMBOL_CRC(iio_active_scan_mask_index, 0xb0537294, "_gpl");
SYMBOL_CRC(__iio_device_register, 0x4c27f63b, "");
SYMBOL_CRC(iio_device_unregister, 0xd61d18fb, "");
SYMBOL_CRC(__devm_iio_device_register, 0xbf6037bc, "_gpl");
SYMBOL_CRC(iio_device_claim_direct_mode, 0xa77a617f, "_gpl");
SYMBOL_CRC(iio_device_release_direct_mode, 0xdbc29e03, "_gpl");
SYMBOL_CRC(iio_device_claim_buffer_mode, 0x69e7b371, "_gpl");
SYMBOL_CRC(iio_device_release_buffer_mode, 0x155f4c0d, "_gpl");
SYMBOL_CRC(iio_device_get_current_mode, 0xa48ab485, "_gpl");
SYMBOL_CRC(iio_push_event, 0xc5c6ce44, "");
SYMBOL_CRC(iio_map_array_register, 0xd1790502, "_gpl");
SYMBOL_CRC(iio_map_array_unregister, 0x6210dc9b, "_gpl");
SYMBOL_CRC(devm_iio_map_array_register, 0xeac46af6, "_gpl");
SYMBOL_CRC(fwnode_iio_channel_get_by_name, 0x41468405, "_gpl");
SYMBOL_CRC(iio_channel_get, 0x6df56cb5, "_gpl");
SYMBOL_CRC(iio_channel_release, 0x5e2247a7, "_gpl");
SYMBOL_CRC(devm_iio_channel_get, 0x91774677, "_gpl");
SYMBOL_CRC(devm_fwnode_iio_channel_get_by_name, 0xb1ccaaaa, "_gpl");
SYMBOL_CRC(iio_channel_get_all, 0x61787199, "_gpl");
SYMBOL_CRC(iio_channel_release_all, 0x1198a054, "_gpl");
SYMBOL_CRC(devm_iio_channel_get_all, 0x937fd6bf, "_gpl");
SYMBOL_CRC(iio_read_channel_raw, 0x9a6e546e, "_gpl");
SYMBOL_CRC(iio_read_channel_average_raw, 0x7f35128a, "_gpl");
SYMBOL_CRC(iio_convert_raw_to_processed, 0xc4d66ac3, "_gpl");
SYMBOL_CRC(iio_read_channel_attribute, 0xcaa3c406, "_gpl");
SYMBOL_CRC(iio_read_channel_offset, 0x728e0ebf, "_gpl");
SYMBOL_CRC(iio_read_channel_processed_scale, 0xf224f929, "_gpl");
SYMBOL_CRC(iio_read_channel_processed, 0x3459da27, "_gpl");
SYMBOL_CRC(iio_read_channel_scale, 0x747bb5d1, "_gpl");
SYMBOL_CRC(iio_read_avail_channel_attribute, 0x77f20de1, "_gpl");
SYMBOL_CRC(iio_read_avail_channel_raw, 0x8676ba3c, "_gpl");
SYMBOL_CRC(iio_read_max_channel_raw, 0x6e792b9e, "_gpl");
SYMBOL_CRC(iio_read_min_channel_raw, 0x01cadd1b, "_gpl");
SYMBOL_CRC(iio_get_channel_type, 0x9e030b5c, "_gpl");
SYMBOL_CRC(iio_write_channel_attribute, 0x7b558840, "_gpl");
SYMBOL_CRC(iio_write_channel_raw, 0xf1f6a1f0, "_gpl");
SYMBOL_CRC(iio_get_channel_ext_info_count, 0x30eacfc2, "_gpl");
SYMBOL_CRC(iio_read_channel_ext_info, 0xa9a732bc, "_gpl");
SYMBOL_CRC(iio_write_channel_ext_info, 0xa61a273f, "_gpl");
SYMBOL_CRC(iio_read_channel_label, 0xea0fe5e2, "_gpl");
SYMBOL_CRC(iio_pop_from_buffer, 0x05a2080e, "_gpl");
SYMBOL_CRC(iio_buffer_init, 0x180d19b3, "");
SYMBOL_CRC(iio_update_buffers, 0xfd8e47af, "_gpl");
SYMBOL_CRC(iio_buffer_signal_dmabuf_done, 0x1fb1e88f, "_gpl");
SYMBOL_CRC(iio_validate_scan_mask_onehot, 0xe46c2bb9, "_gpl");
SYMBOL_CRC(iio_push_to_buffers, 0x2fa15d10, "_gpl");
SYMBOL_CRC(iio_push_to_buffers_with_ts_unaligned, 0x658a4f5c, "_gpl");
SYMBOL_CRC(iio_buffer_get, 0x8a0b6d0b, "_gpl");
SYMBOL_CRC(iio_buffer_put, 0xd6c77aa2, "_gpl");
SYMBOL_CRC(iio_device_attach_buffer, 0xe974b2c9, "_gpl");
SYMBOL_CRC(iio_trigger_register, 0xb4910d54, "");
SYMBOL_CRC(iio_trigger_unregister, 0x74653454, "");
SYMBOL_CRC(iio_trigger_set_immutable, 0x5fb857dc, "");
SYMBOL_CRC(iio_trigger_poll, 0x15523d7d, "");
SYMBOL_CRC(iio_trigger_generic_data_rdy_poll, 0x2d6bcdcb, "");
SYMBOL_CRC(iio_trigger_poll_nested, 0xd429ddf7, "");
SYMBOL_CRC(iio_trigger_notify_done, 0x27fe20c3, "");
SYMBOL_CRC(iio_pollfunc_store_time, 0xdf76bbeb, "");
SYMBOL_CRC(iio_alloc_pollfunc, 0xcef2cd12, "_gpl");
SYMBOL_CRC(iio_dealloc_pollfunc, 0xa9e1da84, "_gpl");
SYMBOL_CRC(__iio_trigger_alloc, 0xf6aa438e, "");
SYMBOL_CRC(iio_trigger_free, 0x64f8fffd, "");
SYMBOL_CRC(__devm_iio_trigger_alloc, 0x7436ff20, "_gpl");
SYMBOL_CRC(devm_iio_trigger_register, 0x591c41fc, "_gpl");
SYMBOL_CRC(iio_trigger_using_own, 0x17095e7b, "");
SYMBOL_CRC(iio_validate_own_trigger, 0xce989172, "_gpl");
SYMBOL_CRC(iio_trigger_validate_own_device, 0xa14cb186, "");
SYMBOL_CRC(iio_device_suspend_triggering, 0xc17640f1, "");
SYMBOL_CRC(iio_device_resume_triggering, 0xcc0eb794, "");
SYMBOL_CRC(iio_read_acpi_mount_matrix, 0xfc40a68d, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8f64df31, "cdev_device_add" },
	{ 0xc7b7f233, "ww_mutex_trylock" },
	{ 0x1000e51, "schedule" },
	{ 0x8d4f5071, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x45ee0529, "put_device" },
	{ 0x20dbf27, "bitmap_alloc" },
	{ 0xa573543b, "dma_buf_map_attachment" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x1c5b1f28, "irq_free_descs" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2db677b9, "handle_simple_irq" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x6857cc3d, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x2a730987, "compat_ptr_ioctl" },
	{ 0xf5e7ea40, "ktime_get_coarse_ts64" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x33719327, "_dev_err" },
	{ 0x52978850, "simple_open" },
	{ 0xe09ab3f7, "dma_buf_unmap_attachment" },
	{ 0xf74536a0, "bus_find_device" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x3d44dcd8, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x136d2728, "noop_llseek" },
	{ 0x3b360010, "dma_fence_signal" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x90119831, "dma_buf_get" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x4139d459, "device_property_read_string_array" },
	{ 0x58145b6e, "__devres_alloc_node" },
	{ 0x33f23168, "ww_mutex_lock" },
	{ 0xf4be7d8, "dma_buf_put" },
	{ 0x10119bb, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x92a5bff8, "dma_fence_init" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0x2e9c96c7, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa716b512, "__irq_alloc_descs" },
	{ 0x72741cbf, "fwnode_property_read_string" },
	{ 0xd2ea4a39, "fwnode_property_present" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x36835c92, "fwnode_get_next_parent" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0xf199c9dc, "dma_buf_detach" },
	{ 0xe0616a5b, "devm_krealloc" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0x5b4ba777, "__irq_set_handler" },
	{ 0x23e55a9c, "__devm_add_action" },
	{ 0xa6c429e1, "irq_set_chip" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xaf86b7d6, "cdev_init" },
	{ 0x86725ba4, "__dev_fwnode" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x16136184, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6917cb3, "ww_mutex_lock_interruptible" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc164b59f, "dma_resv_reserve_fences" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xcce736b5, "dma_resv_wait_timeout" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xf3723554, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xe7001b64, "ww_mutex_unlock" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc985430f, "dma_resv_add_fence" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x7ceaf0d5, "generic_handle_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0x34c3d39b, "fwnode_property_get_reference_args" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x90fe8bbd, "__module_get" },
	{ 0x1a2f220, "get_device" },
	{ 0x13374ebc, "dma_buf_attach" },
	{ 0x774cdfe4, "fwnode_property_match_string" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xcc2e5c70, "fwnode_get_parent" },
	{ 0x67098dda, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x406f0e53, "device_match_fwnode" },
	{ 0xe9d722b4, "device_set_node" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6BD55988EA91331F0C4E4EC");

MODULE_INFO(suserelease, "SLFO-1.2");
