#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(bmp280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp180_chip_info, "", "IIO_BMP280");
KSYMTAB_FUNC(bmp280_common_probe, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_dev_pm_ops, "", "");
KSYMTAB_DATA(bmp180_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_regmap_config, "", "IIO_BMP280");

SYMBOL_CRC(bmp280_chip_info, 0xecdaafbc, "");
SYMBOL_CRC(bme280_chip_info, 0x9b3f8e78, "");
SYMBOL_CRC(bmp380_chip_info, 0x71d54eca, "");
SYMBOL_CRC(bmp580_chip_info, 0x8917057c, "");
SYMBOL_CRC(bmp180_chip_info, 0x90bb8a67, "");
SYMBOL_CRC(bmp280_common_probe, 0x6381ded5, "");
SYMBOL_CRC(bmp280_dev_pm_ops, 0x06dd24c5, "");
SYMBOL_CRC(bmp180_regmap_config, 0x811627b1, "");
SYMBOL_CRC(bmp280_regmap_config, 0x6b90fad3, "");
SYMBOL_CRC(bme280_regmap_config, 0x46584c63, "");
SYMBOL_CRC(bmp380_regmap_config, 0x84c24c32, "");
SYMBOL_CRC(bmp580_regmap_config, 0x8abef0b7, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaf07917b, "dev_err_probe" },
	{ 0x27fe20c3, "iio_trigger_notify_done" },
	{ 0xbefec929, "__pm_runtime_suspend" },
	{ 0x23e55a9c, "__devm_add_action" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x473c64b6, "__pm_runtime_use_autosuspend" },
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x2ab99f9f, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe976d673, "regmap_write" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x51836a8c, "gpiod_set_value" },
	{ 0x64dbc758, "devm_nvmem_register" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd0f6aa0e, "devm_iio_triggered_buffer_setup_ext" },
	{ 0xa6257a2f, "complete" },
	{ 0xa7ab3e7c, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2fa15d10, "iio_push_to_buffers" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x22d50cc, "devm_gpiod_get_optional" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0xb5614da2, "regulator_bulk_disable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x33719327, "_dev_err" },
	{ 0x9b22d216, "irq_get_irq_data" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xbf6037bc, "__devm_iio_device_register" },
	{ 0xbdd5fd46, "devm_iio_device_alloc" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xa1238ac3, "regulator_bulk_set_supply_names" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbb025590, "regulator_bulk_enable" },
	{ 0x2c708545, "devm_regulator_bulk_get" },
	{ 0xbcf2b17, "iio_get_time_ns" },
	{ 0xa5eb5d93, "regmap_read" },
	{ 0x455cfe92, "regmap_bulk_write" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x560c172f, "regmap_bulk_read" },
	{ 0xde80edd1, "regmap_update_bits_base" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "3B329A381C77EF259650548");

MODULE_INFO(suserelease, "SLFO-1.2");
