#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ib_pack, "", "");
KSYMTAB_FUNC(ib_unpack, "", "");
KSYMTAB_FUNC(ib_ud_ip4_csum, "", "");
KSYMTAB_FUNC(ib_ud_header_init, "", "");
KSYMTAB_FUNC(ib_ud_header_pack, "", "");
KSYMTAB_FUNC(ib_event_msg, "", "");
KSYMTAB_FUNC(ib_wc_status_msg, "", "");
KSYMTAB_FUNC(ib_rate_to_mult, "", "");
KSYMTAB_FUNC(mult_to_ib_rate, "", "");
KSYMTAB_FUNC(ib_rate_to_mbps, "", "");
KSYMTAB_FUNC(rdma_node_get_transport, "", "");
KSYMTAB_FUNC(rdma_port_get_link_layer, "", "");
KSYMTAB_FUNC(__ib_alloc_pd, "", "");
KSYMTAB_FUNC(ib_dealloc_pd_user, "", "");
KSYMTAB_FUNC(rdma_copy_ah_attr, "", "");
KSYMTAB_FUNC(rdma_replace_ah_attr, "", "");
KSYMTAB_FUNC(rdma_move_ah_attr, "", "");
KSYMTAB_FUNC(rdma_create_ah, "", "");
KSYMTAB_FUNC(rdma_create_user_ah, "", "");
KSYMTAB_FUNC(ib_get_rdma_header_version, "", "");
KSYMTAB_FUNC(ib_get_gids_from_rdma_hdr, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_wc, "", "");
KSYMTAB_FUNC(rdma_move_grh_sgid_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_attr, "", "");
KSYMTAB_FUNC(ib_create_ah_from_wc, "", "");
KSYMTAB_FUNC(rdma_modify_ah, "", "");
KSYMTAB_FUNC(rdma_query_ah, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_user, "", "");
KSYMTAB_FUNC(ib_create_srq_user, "", "");
KSYMTAB_FUNC(ib_modify_srq, "", "");
KSYMTAB_FUNC(ib_query_srq, "", "");
KSYMTAB_FUNC(ib_destroy_srq_user, "", "");
KSYMTAB_FUNC(ib_open_qp, "", "");
KSYMTAB_FUNC(ib_create_qp_user, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_inc, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_dec, "", "");
KSYMTAB_FUNC(ib_create_qp_kernel, "", "");
KSYMTAB_FUNC(ib_modify_qp_is_ok, "", "");
KSYMTAB_FUNC(ib_modify_qp_with_udata, "", "");
KSYMTAB_FUNC(ib_get_eth_speed, "", "");
KSYMTAB_FUNC(ib_modify_qp, "", "");
KSYMTAB_FUNC(ib_query_qp, "", "");
KSYMTAB_FUNC(ib_close_qp, "", "");
KSYMTAB_FUNC(ib_destroy_qp_user, "", "");
KSYMTAB_FUNC(__ib_create_cq, "", "");
KSYMTAB_FUNC(rdma_set_cq_moderation, "", "");
KSYMTAB_FUNC(ib_destroy_cq_user, "", "");
KSYMTAB_FUNC(ib_resize_cq, "", "");
KSYMTAB_FUNC(ib_reg_user_mr, "", "");
KSYMTAB_FUNC(ib_advise_mr, "", "");
KSYMTAB_FUNC(ib_dereg_mr_user, "", "");
KSYMTAB_FUNC(ib_alloc_mr, "", "");
KSYMTAB_FUNC(ib_alloc_mr_integrity, "", "");
KSYMTAB_FUNC(ib_attach_mcast, "", "");
KSYMTAB_FUNC(ib_detach_mcast, "", "");
KSYMTAB_FUNC(ib_alloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_dealloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_create_wq, "", "");
KSYMTAB_FUNC(ib_destroy_wq_user, "", "");
KSYMTAB_FUNC(ib_check_mr_status, "", "");
KSYMTAB_FUNC(ib_set_vf_link_state, "", "");
KSYMTAB_FUNC(ib_get_vf_config, "", "");
KSYMTAB_FUNC(ib_get_vf_stats, "", "");
KSYMTAB_FUNC(ib_set_vf_guid, "", "");
KSYMTAB_FUNC(ib_get_vf_guid, "", "");
KSYMTAB_FUNC(ib_map_mr_sg_pi, "", "");
KSYMTAB_FUNC(ib_map_mr_sg, "", "");
KSYMTAB_FUNC(ib_sg_to_pages, "", "");
KSYMTAB_FUNC(ib_drain_sq, "", "");
KSYMTAB_FUNC(ib_drain_rq, "", "");
KSYMTAB_FUNC(ib_drain_qp, "", "");
KSYMTAB_FUNC(rdma_alloc_netdev, "", "");
KSYMTAB_FUNC(rdma_init_netdev, "", "");
KSYMTAB_FUNC(__rdma_block_iter_start, "", "");
KSYMTAB_FUNC(__rdma_block_iter_next, "", "");
KSYMTAB_FUNC(rdma_alloc_hw_stats_struct, "", "");
KSYMTAB_FUNC(rdma_free_hw_stats_struct, "", "");
KSYMTAB_FUNC(ib_process_cq_direct, "", "");
KSYMTAB_FUNC(__ib_alloc_cq, "", "");
KSYMTAB_FUNC(__ib_alloc_cq_any, "", "");
KSYMTAB_FUNC(ib_free_cq, "", "");
KSYMTAB_FUNC(ib_cq_pool_get, "", "");
KSYMTAB_FUNC(ib_cq_pool_put, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_signature_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_wrs, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_post, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy_signature, "", "");
KSYMTAB_FUNC(rdma_rw_mr_factor, "", "");
KSYMTAB_FUNC(ib_port_sysfs_get_ibdev_kobj, "", "");
KSYMTAB_FUNC(ib_port_register_client_groups, "", "");
KSYMTAB_FUNC(ib_port_unregister_client_groups, "", "");
KSYMTAB_DATA(ib_wq, "_gpl", "");
KSYMTAB_FUNC(rdma_dev_access_netns, "", "");
KSYMTAB_FUNC(ibdev_emerg, "", "");
KSYMTAB_FUNC(ibdev_alert, "", "");
KSYMTAB_FUNC(ibdev_crit, "", "");
KSYMTAB_FUNC(ibdev_err, "", "");
KSYMTAB_FUNC(ibdev_warn, "", "");
KSYMTAB_FUNC(ibdev_notice, "", "");
KSYMTAB_FUNC(ibdev_info, "", "");
KSYMTAB_FUNC(ib_device_put, "", "");
KSYMTAB_FUNC(ib_device_get_by_name, "", "");
KSYMTAB_FUNC(_ib_alloc_device, "", "");
KSYMTAB_FUNC(ib_dealloc_device, "", "");
KSYMTAB_FUNC(ib_port_immutable_read, "", "");
KSYMTAB_FUNC(ib_get_device_fw_str, "", "");
KSYMTAB_FUNC(ib_register_device, "", "");
KSYMTAB_FUNC(ib_unregister_device, "", "");
KSYMTAB_FUNC(ib_unregister_device_and_put, "", "");
KSYMTAB_FUNC(ib_unregister_driver, "", "");
KSYMTAB_FUNC(ib_unregister_device_queued, "", "");
KSYMTAB_FUNC(ib_register_client, "", "");
KSYMTAB_FUNC(ib_unregister_client, "", "");
KSYMTAB_FUNC(ib_set_client_data, "", "");
KSYMTAB_FUNC(ib_register_event_handler, "", "");
KSYMTAB_FUNC(ib_unregister_event_handler, "", "");
KSYMTAB_FUNC(ib_query_port, "", "");
KSYMTAB_FUNC(ib_device_set_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_netdev, "", "");
KSYMTAB_FUNC(ib_query_netdev_port, "", "");
KSYMTAB_FUNC(ib_device_get_by_netdev, "", "");
KSYMTAB_FUNC(ib_query_pkey, "", "");
KSYMTAB_FUNC(ib_modify_device, "", "");
KSYMTAB_FUNC(ib_modify_port, "", "");
KSYMTAB_FUNC(ib_find_gid, "", "");
KSYMTAB_FUNC(ib_find_pkey, "", "");
KSYMTAB_FUNC(ib_get_net_dev_by_params, "", "");
KSYMTAB_FUNC(ib_set_device_ops, "", "");
KSYMTAB_FUNC(ib_add_sub_device, "", "");
KSYMTAB_FUNC(ib_del_sub_device_and_put, "", "");
KSYMTAB_FUNC(ib_dma_virt_map_sg, "", "");
KSYMTAB_FUNC(ib_dispatch_port_state_event, "", "");
KSYMTAB_DATA(zgid, "", "");
KSYMTAB_FUNC(ib_cache_gid_type_str, "", "");
KSYMTAB_FUNC(rdma_is_zero_gid, "", "");
KSYMTAB_FUNC(ib_cache_gid_parse_type_str, "", "");
KSYMTAB_FUNC(rdma_find_gid_by_port, "", "");
KSYMTAB_FUNC(rdma_query_gid, "", "");
KSYMTAB_FUNC(rdma_read_gid_hw_context, "", "");
KSYMTAB_FUNC(rdma_find_gid, "", "");
KSYMTAB_FUNC(ib_get_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_subnet_prefix, "", "");
KSYMTAB_FUNC(ib_find_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_lmc, "", "");
KSYMTAB_FUNC(ib_get_cached_port_state, "", "");
KSYMTAB_FUNC(rdma_get_gid_attr, "", "");
KSYMTAB_FUNC(rdma_query_gid_table, "", "");
KSYMTAB_FUNC(rdma_put_gid_attr, "", "");
KSYMTAB_FUNC(rdma_hold_gid_attr, "", "");
KSYMTAB_FUNC(rdma_read_gid_attr_ndev_rcu, "", "");
KSYMTAB_FUNC(rdma_read_gid_l2_fields, "", "");
KSYMTAB_FUNC(ib_dispatch_event, "", "");
KSYMTAB_FUNC(rdma_nl_chk_listeners, "", "");
KSYMTAB_FUNC(rdma_nl_register, "", "");
KSYMTAB_FUNC(rdma_nl_unregister, "", "");
KSYMTAB_FUNC(ibnl_put_msg, "", "");
KSYMTAB_FUNC(ibnl_put_attr, "", "");
KSYMTAB_FUNC(rdma_nl_unicast, "", "");
KSYMTAB_FUNC(rdma_nl_unicast_wait, "", "");
KSYMTAB_FUNC(rdma_nl_multicast, "", "");
KSYMTAB_FUNC(roce_gid_type_mask_support, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_device, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_port, "", "");
KSYMTAB_FUNC(roce_del_all_netdev_gids, "", "");
KSYMTAB_FUNC(ib_mr_pool_get, "", "");
KSYMTAB_FUNC(ib_mr_pool_put, "", "");
KSYMTAB_FUNC(ib_mr_pool_init, "", "");
KSYMTAB_FUNC(ib_mr_pool_destroy, "", "");
KSYMTAB_FUNC(rdma_addr_size, "", "");
KSYMTAB_FUNC(rdma_addr_size_in6, "", "");
KSYMTAB_FUNC(rdma_addr_size_kss, "", "");
KSYMTAB_FUNC(rdma_copy_src_l2_addr, "", "");
KSYMTAB_FUNC(rdma_translate_ip, "", "");
KSYMTAB_FUNC(rdma_resolve_ip, "", "");
KSYMTAB_FUNC(rdma_addr_cancel, "", "");
KSYMTAB_FUNC(ib_sa_register_client, "", "");
KSYMTAB_FUNC(ib_sa_unregister_client, "", "");
KSYMTAB_FUNC(ib_sa_cancel_query, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_path, "", "");
KSYMTAB_FUNC(ib_sa_unpack_path, "", "");
KSYMTAB_FUNC(ib_sa_pack_path, "", "");
KSYMTAB_FUNC(ib_sa_path_rec_get, "", "");
KSYMTAB_FUNC(ib_sa_guid_info_rec_query, "", "");
KSYMTAB_FUNC(ib_sa_join_multicast, "", "");
KSYMTAB_FUNC(ib_sa_free_multicast, "", "");
KSYMTAB_FUNC(ib_sa_get_mcmember_rec, "", "");
KSYMTAB_FUNC(ib_init_ah_from_mcmember, "", "");
KSYMTAB_FUNC(ib_response_mad, "", "");
KSYMTAB_FUNC(ib_register_mad_agent, "", "");
KSYMTAB_FUNC(ib_unregister_mad_agent, "", "");
KSYMTAB_FUNC(ib_mad_kernel_rmpp_agent, "", "");
KSYMTAB_FUNC(ib_create_send_mad, "", "");
KSYMTAB_FUNC(ib_get_mad_data_offset, "", "");
KSYMTAB_FUNC(ib_is_mad_class_rmpp, "", "");
KSYMTAB_FUNC(ib_get_rmpp_segment, "", "");
KSYMTAB_FUNC(ib_free_send_mad, "", "");
KSYMTAB_FUNC(ib_post_send_mad, "", "");
KSYMTAB_FUNC(ib_free_recv_mad, "", "");
KSYMTAB_FUNC(ib_modify_mad, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_string, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32_hex, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64_hex, "", "");
KSYMTAB_FUNC(rdma_nl_get_privileged_qkey, "", "");
KSYMTAB_FUNC(rdma_nl_stat_hwcounter_entry, "", "");
KSYMTAB_FUNC(rdma_link_register, "", "");
KSYMTAB_FUNC(rdma_link_unregister, "", "");
KSYMTAB_FUNC(rdma_restrack_count, "", "");
KSYMTAB_FUNC(rdma_restrack_set_name, "", "");
KSYMTAB_FUNC(rdma_restrack_parent_name, "", "");
KSYMTAB_FUNC(rdma_restrack_new, "", "");
KSYMTAB_FUNC(rdma_restrack_add, "", "");
KSYMTAB_FUNC(rdma_restrack_get, "", "");
KSYMTAB_FUNC(rdma_restrack_get_byid, "", "");
KSYMTAB_FUNC(rdma_restrack_put, "", "");
KSYMTAB_FUNC(rdma_restrack_del, "", "");
KSYMTAB_FUNC(rdma_umap_priv_init, "", "");
KSYMTAB_FUNC(rdma_user_mmap_io, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get_pgoff, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_put, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_remove, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert_range, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert, "", "");
KSYMTAB_FUNC(ib_create_qp_security, "", "");
KSYMTAB_FUNC(ib_rdmacg_try_charge, "", "");
KSYMTAB_FUNC(ib_rdmacg_uncharge, "", "");

SYMBOL_CRC(ib_pack, 0x22f3cf93, "");
SYMBOL_CRC(ib_unpack, 0xa432baf6, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0x5987bc79, "");
SYMBOL_CRC(mult_to_ib_rate, 0x6644920a, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x6c183078, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0xf5214224, "");
SYMBOL_CRC(__ib_alloc_pd, 0x19a1a60a, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0xb4ea9553, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0xab90ea27, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0x03eeae47, "");
SYMBOL_CRC(rdma_move_ah_attr, 0x361fe9e5, "");
SYMBOL_CRC(rdma_create_ah, 0x0ea760c7, "");
SYMBOL_CRC(rdma_create_user_ah, 0x09a11a77, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0x00cd25ea, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0x58df5b94, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0xb578d5e5, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0x38e82445, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0x2d4d7d75, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0x3e50f7d9, "");
SYMBOL_CRC(rdma_modify_ah, 0x644cda8b, "");
SYMBOL_CRC(rdma_query_ah, 0x06ca4304, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0xbc745631, "");
SYMBOL_CRC(ib_create_srq_user, 0x0279b88d, "");
SYMBOL_CRC(ib_modify_srq, 0xf464da33, "");
SYMBOL_CRC(ib_query_srq, 0x97a390bf, "");
SYMBOL_CRC(ib_destroy_srq_user, 0x04ea14bd, "");
SYMBOL_CRC(ib_open_qp, 0x51921b33, "");
SYMBOL_CRC(ib_create_qp_user, 0x8fd61032, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0x14804b34, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0x4858a3a6, "");
SYMBOL_CRC(ib_create_qp_kernel, 0x93c80522, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0xab62888d, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0x609a2055, "");
SYMBOL_CRC(ib_get_eth_speed, 0xfc8a0461, "");
SYMBOL_CRC(ib_modify_qp, 0x7c182975, "");
SYMBOL_CRC(ib_query_qp, 0x7c3e7b2e, "");
SYMBOL_CRC(ib_close_qp, 0x72bc5d5b, "");
SYMBOL_CRC(ib_destroy_qp_user, 0x08beecf0, "");
SYMBOL_CRC(__ib_create_cq, 0x64d5e309, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0x03b6d35c, "");
SYMBOL_CRC(ib_destroy_cq_user, 0xd2bd787c, "");
SYMBOL_CRC(ib_resize_cq, 0x123e39e3, "");
SYMBOL_CRC(ib_reg_user_mr, 0x7915787f, "");
SYMBOL_CRC(ib_advise_mr, 0xdc3ff220, "");
SYMBOL_CRC(ib_dereg_mr_user, 0x9630bf37, "");
SYMBOL_CRC(ib_alloc_mr, 0xcabf8bdf, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0xf85c5bd6, "");
SYMBOL_CRC(ib_attach_mcast, 0xdc0e27d8, "");
SYMBOL_CRC(ib_detach_mcast, 0x8ac65263, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0x9d05317f, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0x41e43001, "");
SYMBOL_CRC(ib_create_wq, 0x2a6441fc, "");
SYMBOL_CRC(ib_destroy_wq_user, 0xc63c47cb, "");
SYMBOL_CRC(ib_check_mr_status, 0xeabafc71, "");
SYMBOL_CRC(ib_set_vf_link_state, 0x7e295f07, "");
SYMBOL_CRC(ib_get_vf_config, 0x1df0a461, "");
SYMBOL_CRC(ib_get_vf_stats, 0x88f0adf2, "");
SYMBOL_CRC(ib_set_vf_guid, 0xf120d7af, "");
SYMBOL_CRC(ib_get_vf_guid, 0x1a2895e2, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0xc94c949c, "");
SYMBOL_CRC(ib_map_mr_sg, 0xcbd24d6b, "");
SYMBOL_CRC(ib_sg_to_pages, 0x831088eb, "");
SYMBOL_CRC(ib_drain_sq, 0x79b84d6a, "");
SYMBOL_CRC(ib_drain_rq, 0xa203fec0, "");
SYMBOL_CRC(ib_drain_qp, 0x15c45055, "");
SYMBOL_CRC(rdma_alloc_netdev, 0x834fca67, "");
SYMBOL_CRC(rdma_init_netdev, 0xe556c9ad, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x680e3cfd, "");
SYMBOL_CRC(__rdma_block_iter_next, 0x61373fd2, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0x760529de, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0xe085a4f2, "");
SYMBOL_CRC(ib_process_cq_direct, 0xc8be2797, "");
SYMBOL_CRC(__ib_alloc_cq, 0x4b8ff2d7, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0x59f467f4, "");
SYMBOL_CRC(ib_free_cq, 0xf3208c5f, "");
SYMBOL_CRC(ib_cq_pool_get, 0x38eebf86, "");
SYMBOL_CRC(ib_cq_pool_put, 0xb4193193, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0x38427148, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0xc8d1ffa7, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0x1bc366b0, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0x65d7a7dc, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0xb3ea0b0a, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0x6bfcb295, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0x9c5e8a48, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0x8c6b4185, "");
SYMBOL_CRC(ib_port_register_client_groups, 0xfb460de2, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0xa9f43437, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0xa5de157b, "");
SYMBOL_CRC(ibdev_emerg, 0x113ef50d, "");
SYMBOL_CRC(ibdev_alert, 0x105cead0, "");
SYMBOL_CRC(ibdev_crit, 0xda27467e, "");
SYMBOL_CRC(ibdev_err, 0x61a6615b, "");
SYMBOL_CRC(ibdev_warn, 0xce2e43a2, "");
SYMBOL_CRC(ibdev_notice, 0x6caa78d0, "");
SYMBOL_CRC(ibdev_info, 0x656a0bde, "");
SYMBOL_CRC(ib_device_put, 0xe4c78829, "");
SYMBOL_CRC(ib_device_get_by_name, 0x1ca468ad, "");
SYMBOL_CRC(_ib_alloc_device, 0x7f6e56e7, "");
SYMBOL_CRC(ib_dealloc_device, 0x2bd7fda1, "");
SYMBOL_CRC(ib_port_immutable_read, 0x05fe7bfb, "");
SYMBOL_CRC(ib_get_device_fw_str, 0x8c2dee77, "");
SYMBOL_CRC(ib_register_device, 0x4e169959, "");
SYMBOL_CRC(ib_unregister_device, 0xfc722eba, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0x0e5675b0, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0x182ee816, "");
SYMBOL_CRC(ib_register_client, 0x6174d70f, "");
SYMBOL_CRC(ib_unregister_client, 0xef1124d4, "");
SYMBOL_CRC(ib_set_client_data, 0x833c4214, "");
SYMBOL_CRC(ib_register_event_handler, 0x6c395b3c, "");
SYMBOL_CRC(ib_unregister_event_handler, 0x389117f0, "");
SYMBOL_CRC(ib_query_port, 0x3083bb6c, "");
SYMBOL_CRC(ib_device_set_netdev, 0xa78cc852, "");
SYMBOL_CRC(ib_device_get_netdev, 0xcf650376, "");
SYMBOL_CRC(ib_query_netdev_port, 0x38790c2b, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0x695b9c26, "");
SYMBOL_CRC(ib_query_pkey, 0xa5d951ec, "");
SYMBOL_CRC(ib_modify_device, 0x29ef5fef, "");
SYMBOL_CRC(ib_modify_port, 0x045c11da, "");
SYMBOL_CRC(ib_find_gid, 0x3e30ede0, "");
SYMBOL_CRC(ib_find_pkey, 0x2ee961a8, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0x69be946b, "");
SYMBOL_CRC(ib_set_device_ops, 0xcdc6af60, "");
SYMBOL_CRC(ib_add_sub_device, 0x5c9bc322, "");
SYMBOL_CRC(ib_del_sub_device_and_put, 0xb08d3642, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0xa2361b3a, "");
SYMBOL_CRC(ib_dispatch_port_state_event, 0x5fa8f791, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0xaf34f576, "");
SYMBOL_CRC(rdma_query_gid, 0xcf99bd97, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0x4509bae4, "");
SYMBOL_CRC(rdma_find_gid, 0x5aff3079, "");
SYMBOL_CRC(ib_get_cached_pkey, 0x68d83b05, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0xa94a25eb, "");
SYMBOL_CRC(ib_find_cached_pkey, 0x0ec0944e, "");
SYMBOL_CRC(ib_get_cached_lmc, 0x4a4b3daf, "");
SYMBOL_CRC(ib_get_cached_port_state, 0x7744cb40, "");
SYMBOL_CRC(rdma_get_gid_attr, 0x867e78e6, "");
SYMBOL_CRC(rdma_query_gid_table, 0xfc032608, "");
SYMBOL_CRC(rdma_put_gid_attr, 0x5cc2be42, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0x18c558be, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0xa07d5686, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0x1177fdcb, "");
SYMBOL_CRC(ib_dispatch_event, 0x3b494b66, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0x9a914b32, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0x6afdf1ea, "");
SYMBOL_CRC(ibnl_put_attr, 0xb6ac2cb9, "");
SYMBOL_CRC(rdma_nl_unicast, 0x31983bec, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0xea51d486, "");
SYMBOL_CRC(rdma_nl_multicast, 0x9aa51f2c, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0x6f546ae0, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0xc7fa02fc, "");
SYMBOL_CRC(rdma_roce_rescan_port, 0x7bcebdf6, "");
SYMBOL_CRC(roce_del_all_netdev_gids, 0xabb08b50, "");
SYMBOL_CRC(ib_mr_pool_get, 0xdb386e03, "");
SYMBOL_CRC(ib_mr_pool_put, 0x7e45bcdc, "");
SYMBOL_CRC(ib_mr_pool_init, 0xdc9865b0, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0x7ca225f5, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0x4e0a7e62, "");
SYMBOL_CRC(rdma_translate_ip, 0xbd5d0ec0, "");
SYMBOL_CRC(rdma_resolve_ip, 0x3b6f465d, "");
SYMBOL_CRC(rdma_addr_cancel, 0x490aa058, "");
SYMBOL_CRC(ib_sa_register_client, 0x0c86f5cb, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x439ce33c, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0x0a5a7ca1, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0x4b1056c3, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0xc41f6416, "");
SYMBOL_CRC(ib_sa_join_multicast, 0x03c9d8fa, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0x3d79df92, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0xe60853d1, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0xc5d193e4, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0xc1270f88, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0x6c7e797b, "");
SYMBOL_CRC(ib_create_send_mad, 0xb195648b, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0xd1097982, "");
SYMBOL_CRC(ib_free_send_mad, 0x37c69386, "");
SYMBOL_CRC(ib_post_send_mad, 0x62c194d7, "");
SYMBOL_CRC(ib_free_recv_mad, 0x0eda73bf, "");
SYMBOL_CRC(ib_modify_mad, 0x2489978d, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0xcdf1d007, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0x2ec72996, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0x0de2a34b, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0xa74882d2, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0x85b5fdc4, "");
SYMBOL_CRC(rdma_nl_get_privileged_qkey, 0x992de6f8, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0x1e727651, "");
SYMBOL_CRC(rdma_link_register, 0xb7556231, "");
SYMBOL_CRC(rdma_link_unregister, 0xa9a2db29, "");
SYMBOL_CRC(rdma_restrack_count, 0x039b7e78, "");
SYMBOL_CRC(rdma_restrack_set_name, 0x177db439, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0x09128c77, "");
SYMBOL_CRC(rdma_restrack_new, 0x80e99749, "");
SYMBOL_CRC(rdma_restrack_add, 0xc1121ab5, "");
SYMBOL_CRC(rdma_restrack_get, 0x90bcdbbb, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0xcebc2d80, "");
SYMBOL_CRC(rdma_restrack_put, 0x61275af4, "");
SYMBOL_CRC(rdma_restrack_del, 0x5a390048, "");
SYMBOL_CRC(rdma_umap_priv_init, 0x9f2d21b8, "");
SYMBOL_CRC(rdma_user_mmap_io, 0x81433746, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0x32d9be9f, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0x10deb10b, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0x02a87154, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0x5d0f26e4, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0xbcf319d3, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0x910642ea, "");
SYMBOL_CRC(ib_create_qp_security, 0xfe844f0f, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0x2f592f47, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0x75829582, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x5a921311, "strncmp" },
	{ 0x8d304f20, "nla_put" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x13103b1a, "netlink_kernel_release" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x967c4bd0, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xff829e65, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe76d53ca, "xa_clear_mark" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0x2e9c96c7, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xc43ffb50, "netdev_get_xmit_slave" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xece784c2, "rb_first" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x405a41e6, "__neigh_event_send" },
	{ 0xb685deb2, "dev_printk_emit" },
	{ 0xa9c1db69, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa985aeff, "down_read" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x28d8c2ac, "netdev_has_upper_dev_all_rcu" },
	{ 0xc119e274, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0xb98fa7ed, "__xa_insert" },
	{ 0x918431c7, "xa_erase" },
	{ 0x7c9648e7, "netdev_walk_all_upper_dev_rcu" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0xd1bff884, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x758ad137, "_dev_notice" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x63a43ec2, "neigh_destroy" },
	{ 0xc55d9811, "kobject_del" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0x5c3a6ecd, "dma_map_sgtable" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0xfea41449, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf40d8fa8, "netdev_master_upper_dev_get_rcu" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xe534dea0, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0x250847f5, "dev_get_by_name" },
	{ 0xbab35fef, "netlink_ns_capable" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0x369e7826, "kobject_uevent" },
	{ 0x5ba21337, "rdmacg_uncharge" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0x1be11656, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4050ab3d, "vlan_dev_vlan_id" },
	{ 0x11e6ecb, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0xa256d729, "xa_find_after" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0x35dec015, "ipv6_chk_addr" },
	{ 0xe1f11f7, "xa_set_mark" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0x129d9eaa, "netlink_has_listeners" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x41191db1, "register_pernet_device" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x48f5c802, "get_net_ns_by_fd" },
	{ 0xe99bba1f, "class_register" },
	{ 0xe1b2edf8, "net_rwsem" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xde021df3, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x8d404f63, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x173756c, "__init_rwsem" },
	{ 0x78f0aeb8, "rdmacg_try_charge" },
	{ 0xd204f99d, "netdev_walk_all_lower_dev_rcu" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d81b71, "bpf_trace_run4" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0xf583f1a1, "__nlmsg_put" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd0e342b5, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0xc2dd6de7, "ip6_dst_hoplimit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0xecc0753c, "xa_get_mark" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0xf89555bc, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x758d7a7c, "__kmalloc_node_noprof" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x8b96fe0f, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x89fe7541, "sysfs_remove_groups" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xbd0f9e0a, "__xa_erase" },
	{ 0xf330c682, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x28d7a5ab, "xas_find" },
	{ 0x306aecb7, "kobject_init" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x685c67f3, "__dynamic_ibdev_dbg" },
	{ 0x57ddc487, "sysfs_create_groups" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf32a0d32, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x9eddd7a2, "in6_dev_finish_destroy" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x44f7e986, "__netlink_kernel_create" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x4a0fa443, "ip_route_output_flow" },
	{ 0x1a2f220, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0x3f8314b6, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0x15b95f19, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x441426b9, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0xf14da2c6, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x489f6e0b, "rdma_dim" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x45ee0529, "put_device" },
	{ 0x9adf7b45, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x238b129c, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4109edc2, "__task_pid_nr_ns" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x75a54147, "__xa_alloc" },
	{ 0xaebc0749, "vlan_dev_real_dev" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x77f5bb81, "down_write" },
	{ 0x33719327, "_dev_err" },
	{ 0xf1597117, "init_net" },
	{ 0xb071253e, "kobject_add" },
	{ 0x264635e1, "up_write" },
	{ 0x5a1fc02, "ipv6_stub" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3d44dcd8, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x6d896d3c, "netlink_unicast" },
	{ 0xb9b31de8, "xa_load" },
	{ 0x745ac523, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7dd02326, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "22D91378382633EEB7758C4");

MODULE_INFO(suserelease, "SLFO-1.2");
