#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtrs_clt_get_permit, "", "");
KSYMTAB_FUNC(rtrs_clt_put_permit, "", "");
KSYMTAB_FUNC(rtrs_clt_open, "", "");
KSYMTAB_FUNC(rtrs_clt_close, "", "");
KSYMTAB_FUNC(rtrs_clt_request, "", "");
KSYMTAB_FUNC(rtrs_clt_rdma_cq_direct, "", "");
KSYMTAB_FUNC(rtrs_clt_query, "", "");

SYMBOL_CRC(rtrs_clt_get_permit, 0xa0ca4c3e, "");
SYMBOL_CRC(rtrs_clt_put_permit, 0x4ccdbba7, "");
SYMBOL_CRC(rtrs_clt_open, 0x4d91af46, "");
SYMBOL_CRC(rtrs_clt_close, 0x1650000f, "");
SYMBOL_CRC(rtrs_clt_request, 0xf6cdc0b3, "");
SYMBOL_CRC(rtrs_clt_rdma_cq_direct, 0xb5179bdb, "");
SYMBOL_CRC(rtrs_clt_query, 0xf7821829, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1f22f7dd, "rtrs_ib_dev_find_or_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8e611502, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x45ee0529, "put_device" },
	{ 0x16ab0558, "rtrs_rdma_dev_pd_deinit" },
	{ 0x6c395b3c, "ib_register_event_handler" },
	{ 0xa916b694, "strnlen" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xa7a78afc, "rdma_resolve_route" },
	{ 0x389117f0, "ib_unregister_event_handler" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x418d340c, "rtrs_iu_free" },
	{ 0xcbd24d6b, "ib_map_mr_sg" },
	{ 0x8d816799, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0xf1597117, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3d44dcd8, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x7be577eb, "__wake_up_locked" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9e3e4146, "kobj_sysfs_ops" },
	{ 0x4b50228, "rtrs_cq_qp_destroy" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x62173924, "trace_event_reg" },
	{ 0xc0db7e74, "iov_iter_kvec" },
	{ 0x67c61940, "rtrs_iu_post_recv" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x11ae8dd8, "kobject_init_and_add" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x6270d8b3, "sysfs_create_group" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9bdb150f, "sysfs_remove_file_self" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0x2e9c96c7, "device_del" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xcabf8bdf, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x4d40dc12, "rdma_connect_locked" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x76b6c562, "rdma_set_reuseaddr" },
	{ 0xa9c1db69, "kobject_create_and_add" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xe15357ef, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x23d8e0a9, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0xa2361b3a, "ib_dma_virt_map_sg" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xc55d9811, "kobject_del" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x725ed4c9, "rdma_destroy_id" },
	{ 0x7e88de20, "__dma_sync_single_for_device" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x307b891a, "rtrs_start_hb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x369e7826, "kobject_uevent" },
	{ 0x69dc6f5d, "_copy_from_iter" },
	{ 0x15c45055, "ib_drain_qp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x11e6ecb, "dma_unmap_sg_attrs" },
	{ 0xc1cedce0, "rtrs_cq_qp_create" },
	{ 0x8be84fb6, "rtrs_ib_dev_put" },
	{ 0x754d539c, "strlen" },
	{ 0x8e2ba1a7, "rtrs_init_hb" },
	{ 0x989e31f2, "rdma_consumer_reject_data" },
	{ 0xe7aebc10, "rtrs_stop_hb" },
	{ 0x349cba85, "strchr" },
	{ 0x8a5457bf, "rtrs_send_hb_ack" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x76cc8047, "rtrs_iu_alloc" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xe99bba1f, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x3f166ba5, "dma_map_sg_attrs" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xde021df3, "kobject_put" },
	{ 0x242a8646, "rtrs_addr_to_str" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xaadc7ad7, "rdma_reject_msg" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x887302f3, "rtrs_addr_to_sockaddr" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x343c8959, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x90658106, "rdma_resolve_addr" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x9612cd5b, "prepare_to_wait" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4ab7b91d, "rtrs_post_recv_empty" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9630bf37, "ib_dereg_mr_user" },
	{ 0xc8be2797, "ib_process_cq_direct" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x57d5ea22, "rtrs_iu_post_rdma_write_imm" },
	{ 0x2ccd06ac, "rtrs_iu_post_send" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x88743645, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1851726, "rtrs_rdma_dev_pd_init" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "rtrs-core,rdma_cm,ib_core");


MODULE_INFO(srcversion, "B526B836AB82D195650C8B9");

MODULE_INFO(suserelease, "SLFO-1.2");
