#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtrs_iu_alloc, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_free, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_post_recv, "_gpl", "");
KSYMTAB_FUNC(rtrs_post_recv_empty, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_post_send, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_post_rdma_write_imm, "_gpl", "");
KSYMTAB_FUNC(rtrs_cq_qp_create, "_gpl", "");
KSYMTAB_FUNC(rtrs_cq_qp_destroy, "_gpl", "");
KSYMTAB_FUNC(rtrs_send_hb_ack, "_gpl", "");
KSYMTAB_FUNC(rtrs_init_hb, "_gpl", "");
KSYMTAB_FUNC(rtrs_start_hb, "_gpl", "");
KSYMTAB_FUNC(rtrs_stop_hb, "_gpl", "");
KSYMTAB_FUNC(sockaddr_to_str, "", "");
KSYMTAB_FUNC(rtrs_addr_to_str, "", "");
KSYMTAB_FUNC(rtrs_addr_to_sockaddr, "", "");
KSYMTAB_FUNC(rtrs_rdma_dev_pd_init, "", "");
KSYMTAB_FUNC(rtrs_rdma_dev_pd_deinit, "", "");
KSYMTAB_FUNC(rtrs_ib_dev_put, "", "");
KSYMTAB_FUNC(rtrs_ib_dev_find_or_add, "", "");

SYMBOL_CRC(rtrs_iu_alloc, 0x76cc8047, "_gpl");
SYMBOL_CRC(rtrs_iu_free, 0x418d340c, "_gpl");
SYMBOL_CRC(rtrs_iu_post_recv, 0x67c61940, "_gpl");
SYMBOL_CRC(rtrs_post_recv_empty, 0x4ab7b91d, "_gpl");
SYMBOL_CRC(rtrs_iu_post_send, 0x2ccd06ac, "_gpl");
SYMBOL_CRC(rtrs_iu_post_rdma_write_imm, 0x57d5ea22, "_gpl");
SYMBOL_CRC(rtrs_cq_qp_create, 0xc1cedce0, "_gpl");
SYMBOL_CRC(rtrs_cq_qp_destroy, 0x04b50228, "_gpl");
SYMBOL_CRC(rtrs_send_hb_ack, 0x8a5457bf, "_gpl");
SYMBOL_CRC(rtrs_init_hb, 0x8e2ba1a7, "_gpl");
SYMBOL_CRC(rtrs_start_hb, 0x307b891a, "_gpl");
SYMBOL_CRC(rtrs_stop_hb, 0xe7aebc10, "_gpl");
SYMBOL_CRC(sockaddr_to_str, 0xe15357ef, "");
SYMBOL_CRC(rtrs_addr_to_str, 0x242a8646, "");
SYMBOL_CRC(rtrs_addr_to_sockaddr, 0x887302f3, "");
SYMBOL_CRC(rtrs_rdma_dev_pd_init, 0x01851726, "");
SYMBOL_CRC(rtrs_rdma_dev_pd_deinit, 0x16ab0558, "");
SYMBOL_CRC(rtrs_ib_dev_put, 0x8be84fb6, "");
SYMBOL_CRC(rtrs_ib_dev_find_or_add, 0x1f22f7dd, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x656e4a6e, "snprintf" },
	{ 0x19a1a60a, "__ib_alloc_pd" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0x609bcd98, "in6_pton" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x186598b8, "rdma_create_qp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xf1597117, "init_net" },
	{ 0xb4193193, "ib_cq_pool_put" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b8ff2d7, "__ib_alloc_cq" },
	{ 0x931aaa7e, "rdma_notify" },
	{ 0xd2204ff2, "inet_pton_with_scope" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb2095cb2, "rdma_destroy_qp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x38eebf86, "ib_cq_pool_get" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf3208c5f, "ib_free_cq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb4ea9553, "ib_dealloc_pd_user" },
	{ 0x349cba85, "strchr" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "ib_core,rdma_cm");


MODULE_INFO(srcversion, "6BB5F36E141843009D358B1");

MODULE_INFO(suserelease, "SLFO-1.2");
