#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcdefffcf, "touchscreen_report_pos" },
	{ 0xa04c7f99, "input_mt_report_pointer_emulation" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x52fe7421, "regmap_exit" },
	{ 0xdcfb6bc7, "i2c_transfer" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x640c8f92, "simple_attr_open" },
	{ 0x4e5879c8, "i2c_del_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x5ed6577, "regulator_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2f52cce3, "i2c_client_get_device_id" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xbb130924, "__regmap_init_i2c" },
	{ 0x23e55a9c, "__devm_add_action" },
	{ 0xd5a1cec0, "device_get_match_data" },
	{ 0x9b447f0e, "devm_regulator_get" },
	{ 0x22d50cc, "devm_gpiod_get_optional" },
	{ 0xff6ad63d, "devm_input_allocate_device" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x349cba85, "strchr" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf40c71a7, "device_property_read_u32_array" },
	{ 0xd91af080, "input_set_abs_params" },
	{ 0x29a8ce1b, "touchscreen_parse_properties" },
	{ 0xccfd793d, "input_mt_init_slots" },
	{ 0x9b22d216, "irq_get_irq_data" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0x3724b25d, "input_register_device" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x8e7a03c, "debugfs_create_u16" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x4b2a5e0b, "desc_to_gpio" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x52978850, "simple_open" },
	{ 0x38bc19cd, "generic_file_llseek" },
	{ 0xeeab7019, "simple_attr_read" },
	{ 0x7a35fae5, "simple_attr_write" },
	{ 0xc0ff936f, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x575c0b27, "i2c_register_driver" },
	{ 0xc684d9df, "regulator_disable" },
	{ 0xe976d673, "regmap_write" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2927e8c6, "gpiod_set_value_cansleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x33719327, "_dev_err" },
	{ 0xa5eb5d93, "regmap_read" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x37a0cba, "kfree" },
	{ 0x560c172f, "regmap_bulk_read" },
	{ 0xd6935a2c, "input_event" },
	{ 0xb6ddf1e, "input_mt_report_slot_state" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "regmap-i2c");

MODULE_ALIAS("of:N*T*Cedt,edt-ft5206");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5206C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5306");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5306C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5406");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5406C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5506");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5506C*");
MODULE_ALIAS("of:N*T*Cevervision,ev-ft5726");
MODULE_ALIAS("of:N*T*Cevervision,ev-ft5726C*");
MODULE_ALIAS("of:N*T*Cfocaltech,ft5426");
MODULE_ALIAS("of:N*T*Cfocaltech,ft5426C*");
MODULE_ALIAS("of:N*T*Cfocaltech,ft5452");
MODULE_ALIAS("of:N*T*Cfocaltech,ft5452C*");
MODULE_ALIAS("of:N*T*Cfocaltech,ft6236");
MODULE_ALIAS("of:N*T*Cfocaltech,ft6236C*");
MODULE_ALIAS("of:N*T*Cfocaltech,ft8201");
MODULE_ALIAS("of:N*T*Cfocaltech,ft8201C*");
MODULE_ALIAS("of:N*T*Cfocaltech,ft8719");
MODULE_ALIAS("of:N*T*Cfocaltech,ft8719C*");
MODULE_ALIAS("i2c:edt-ft5x06");
MODULE_ALIAS("i2c:edt-ft5506");
MODULE_ALIAS("i2c:ev-ft5726");
MODULE_ALIAS("i2c:ft5452");
MODULE_ALIAS("i2c:ft6236");
MODULE_ALIAS("i2c:ft8201");
MODULE_ALIAS("i2c:ft8719");

MODULE_INFO(srcversion, "9065739901FA8F8FE34867A");

MODULE_INFO(suserelease, "SLFO-1.2");
