#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipack_bus_register, "_gpl", "");
KSYMTAB_FUNC(ipack_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(ipack_driver_register, "_gpl", "");
KSYMTAB_FUNC(ipack_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(ipack_device_init, "_gpl", "");
KSYMTAB_FUNC(ipack_device_add, "_gpl", "");
KSYMTAB_FUNC(ipack_device_del, "_gpl", "");
KSYMTAB_FUNC(ipack_get_device, "_gpl", "");
KSYMTAB_FUNC(ipack_put_device, "_gpl", "");

SYMBOL_CRC(ipack_bus_register, 0xc943fe96, "_gpl");
SYMBOL_CRC(ipack_bus_unregister, 0xbccfb793, "_gpl");
SYMBOL_CRC(ipack_driver_register, 0xf5f6988c, "_gpl");
SYMBOL_CRC(ipack_driver_unregister, 0xca711ee3, "_gpl");
SYMBOL_CRC(ipack_device_init, 0xfec787e5, "_gpl");
SYMBOL_CRC(ipack_device_add, 0xf5698338, "_gpl");
SYMBOL_CRC(ipack_device_del, 0xc2702970, "_gpl");
SYMBOL_CRC(ipack_get_device, 0x43c7842f, "_gpl");
SYMBOL_CRC(ipack_put_device, 0x73b13c3a, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2c92d1, "bus_for_each_dev" },
	{ 0x10119bb, "ida_free" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0x3d44dcd8, "device_add" },
	{ 0x1a2f220, "get_device" },
	{ 0x45ee0529, "put_device" },
	{ 0x2e9c96c7, "device_del" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x16136184, "bus_register" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x4f32143d, "device_initialize" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb19b445, "ioread8" },
	{ 0xedc03953, "iounmap" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0x33719327, "_dev_err" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x37a0cba, "kfree" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CA833E1B0681ECBDB0529F");

MODULE_INFO(suserelease, "SLFO-1.2");
