#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(md_cluster_ops, "", "");
KSYMTAB_FUNC(md_new_event, "_gpl", "");
KSYMTAB_FUNC(md_handle_request, "", "");
KSYMTAB_FUNC(mddev_suspend, "_gpl", "");
KSYMTAB_FUNC(mddev_resume, "_gpl", "");
KSYMTAB_FUNC(md_flush_request, "", "");
KSYMTAB_FUNC(mddev_init, "_gpl", "");
KSYMTAB_FUNC(mddev_destroy, "_gpl", "");
KSYMTAB_FUNC(mddev_unlock, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_nr_rcu, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_rcu, "_gpl", "");
KSYMTAB_FUNC(md_rdev_clear, "_gpl", "");
KSYMTAB_FUNC(sync_page_io, "_gpl", "");
KSYMTAB_FUNC(md_check_no_bitmap, "", "");
KSYMTAB_FUNC(md_integrity_register, "", "");
KSYMTAB_FUNC(md_update_sb, "", "");
KSYMTAB_FUNC(md_rdev_init, "_gpl", "");
KSYMTAB_FUNC(md_idle_sync_thread, "_gpl", "");
KSYMTAB_FUNC(md_frozen_sync_thread, "_gpl", "");
KSYMTAB_FUNC(md_unfrozen_sync_thread, "_gpl", "");
KSYMTAB_FUNC(mddev_stack_rdev_limits, "_gpl", "");
KSYMTAB_FUNC(mddev_stack_new_rdev, "_gpl", "");
KSYMTAB_FUNC(mddev_update_io_opt, "_gpl", "");
KSYMTAB_FUNC(md_init_stacking_limits, "_gpl", "");
KSYMTAB_FUNC(md_run, "_gpl", "");
KSYMTAB_FUNC(md_start, "_gpl", "");
KSYMTAB_FUNC(md_stop_writes, "_gpl", "");
KSYMTAB_FUNC(md_stop, "_gpl", "");
KSYMTAB_FUNC(md_set_array_sectors, "", "");
KSYMTAB_FUNC(md_wakeup_thread, "", "");
KSYMTAB_FUNC(md_register_thread, "", "");
KSYMTAB_FUNC(md_unregister_thread, "", "");
KSYMTAB_FUNC(md_error, "", "");
KSYMTAB_FUNC(register_md_personality, "", "");
KSYMTAB_FUNC(unregister_md_personality, "", "");
KSYMTAB_FUNC(register_md_cluster_operations, "", "");
KSYMTAB_FUNC(unregister_md_cluster_operations, "", "");
KSYMTAB_FUNC(md_done_sync, "", "");
KSYMTAB_FUNC(md_write_start, "", "");
KSYMTAB_FUNC(md_write_inc, "", "");
KSYMTAB_FUNC(md_write_end, "", "");
KSYMTAB_FUNC(md_submit_discard_bio, "_gpl", "");
KSYMTAB_FUNC(md_account_bio, "_gpl", "");
KSYMTAB_FUNC(md_free_cloned_bio, "_gpl", "");
KSYMTAB_FUNC(md_allow_write, "_gpl", "");
KSYMTAB_FUNC(md_do_sync, "_gpl", "");
KSYMTAB_FUNC(md_check_recovery, "", "");
KSYMTAB_FUNC(md_reap_sync_thread, "", "");
KSYMTAB_FUNC(md_wait_for_blocked_rdev, "", "");
KSYMTAB_FUNC(md_finish_reshape, "", "");
KSYMTAB_FUNC(rdev_set_badblocks, "_gpl", "");
KSYMTAB_FUNC(rdev_clear_badblocks, "_gpl", "");
KSYMTAB_FUNC(md_reload_sb, "", "");

SYMBOL_CRC(md_cluster_ops, 0xf83e9e37, "");
SYMBOL_CRC(md_new_event, 0xe6e6b684, "_gpl");
SYMBOL_CRC(md_handle_request, 0x0b9dfd02, "");
SYMBOL_CRC(mddev_suspend, 0x77406fae, "_gpl");
SYMBOL_CRC(mddev_resume, 0xe2a7e53f, "_gpl");
SYMBOL_CRC(md_flush_request, 0x7299bc43, "");
SYMBOL_CRC(mddev_init, 0x2c977ce6, "_gpl");
SYMBOL_CRC(mddev_destroy, 0x56e2d40d, "_gpl");
SYMBOL_CRC(mddev_unlock, 0x52fcd38d, "_gpl");
SYMBOL_CRC(md_find_rdev_nr_rcu, 0xa9cff66e, "_gpl");
SYMBOL_CRC(md_find_rdev_rcu, 0xa8b90a37, "_gpl");
SYMBOL_CRC(md_rdev_clear, 0x3cd19dff, "_gpl");
SYMBOL_CRC(sync_page_io, 0x35a95dbb, "_gpl");
SYMBOL_CRC(md_check_no_bitmap, 0x92df5953, "");
SYMBOL_CRC(md_integrity_register, 0x0fa38f26, "");
SYMBOL_CRC(md_update_sb, 0x6e91d0af, "");
SYMBOL_CRC(md_rdev_init, 0xd5e46003, "_gpl");
SYMBOL_CRC(md_idle_sync_thread, 0xf44fe1bc, "_gpl");
SYMBOL_CRC(md_frozen_sync_thread, 0xfd916b63, "_gpl");
SYMBOL_CRC(md_unfrozen_sync_thread, 0xa0c3c675, "_gpl");
SYMBOL_CRC(mddev_stack_rdev_limits, 0xbd79f063, "_gpl");
SYMBOL_CRC(mddev_stack_new_rdev, 0xb606772f, "_gpl");
SYMBOL_CRC(mddev_update_io_opt, 0x15fd3010, "_gpl");
SYMBOL_CRC(md_init_stacking_limits, 0x8924bd86, "_gpl");
SYMBOL_CRC(md_run, 0xf08f720a, "_gpl");
SYMBOL_CRC(md_start, 0x70586d56, "_gpl");
SYMBOL_CRC(md_stop_writes, 0x1a872737, "_gpl");
SYMBOL_CRC(md_stop, 0x1ca029c1, "_gpl");
SYMBOL_CRC(md_set_array_sectors, 0x80c543e6, "");
SYMBOL_CRC(md_wakeup_thread, 0x4a57423b, "");
SYMBOL_CRC(md_register_thread, 0x5d75c5bf, "");
SYMBOL_CRC(md_unregister_thread, 0xc6951344, "");
SYMBOL_CRC(md_error, 0x487501f1, "");
SYMBOL_CRC(register_md_personality, 0x0f471a2d, "");
SYMBOL_CRC(unregister_md_personality, 0xc7097171, "");
SYMBOL_CRC(register_md_cluster_operations, 0x4996647c, "");
SYMBOL_CRC(unregister_md_cluster_operations, 0x15bafe29, "");
SYMBOL_CRC(md_done_sync, 0x4910b0a9, "");
SYMBOL_CRC(md_write_start, 0xb6df5e1b, "");
SYMBOL_CRC(md_write_inc, 0x19db4a31, "");
SYMBOL_CRC(md_write_end, 0xf6f69d23, "");
SYMBOL_CRC(md_submit_discard_bio, 0x285abd68, "_gpl");
SYMBOL_CRC(md_account_bio, 0x8ee7c12d, "_gpl");
SYMBOL_CRC(md_free_cloned_bio, 0xa8fa19db, "_gpl");
SYMBOL_CRC(md_allow_write, 0x32e80b1d, "_gpl");
SYMBOL_CRC(md_do_sync, 0x923bb9ca, "_gpl");
SYMBOL_CRC(md_check_recovery, 0x9f95532f, "");
SYMBOL_CRC(md_reap_sync_thread, 0x46db211a, "");
SYMBOL_CRC(md_wait_for_blocked_rdev, 0x5965bf75, "");
SYMBOL_CRC(md_finish_reshape, 0x3621debf, "");
SYMBOL_CRC(rdev_set_badblocks, 0xefed0ac2, "_gpl");
SYMBOL_CRC(rdev_clear_badblocks, 0x6bf1d2a6, "_gpl");
SYMBOL_CRC(md_reload_sb, 0x9fc5b96c, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x66ca9904, "seq_write" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0xee07959b, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcb8a4261, "remove_proc_entry" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xc7d77f55, "disk_check_media_change" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x369e7826, "kobject_uevent" },
	{ 0xac0a5cd3, "__tracepoint_block_bio_remap" },
	{ 0x67e17589, "bd_link_disk_holder" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0xd135a966, "queue_limits_commit_update" },
	{ 0xa8e69db7, "proc_dointvec" },
	{ 0xf782fb07, "percpu_ref_switch_to_atomic_sync" },
	{ 0xc9cc8b5f, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3f3efb03, "queue_limits_stack_integrity" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd7123d06, "seq_open" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xeb4d31c2, "badblocks_clear" },
	{ 0x1b5f9a4a, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x65d66863, "badblocks_store" },
	{ 0x524f33bc, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x657b521d, "submit_bio_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x5253b45a, "__blkdev_issue_discard" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xde021df3, "kobject_put" },
	{ 0x7b8493dd, "set_capacity_and_notify" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0xad10199c, "set_disk_ro" },
	{ 0xc297499a, "__blk_alloc_disk" },
	{ 0xdc0df056, "try_module_get" },
	{ 0xd4ffcfa7, "alloc_page_buffers" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xab59acbe, "__bio_add_page" },
	{ 0x36824efb, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x608e1b53, "proc_create" },
	{ 0x57114cbb, "bio_split_to_limits" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xb0e602eb, "memmove" },
	{ 0xb916c778, "seq_release" },
	{ 0xb4fa948b, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x5dfba2f3, "badblocks_set" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x8c44085, "queue_limits_stack_bdev" },
	{ 0xf7a53a57, "fget" },
	{ 0xc0091dcb, "sysfs_unbreak_active_protection" },
	{ 0x36beabd7, "invalidate_mapping_pages" },
	{ 0x306aecb7, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x9612cd5b, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a5fa968, "badblocks_exit" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xfa7b2c43, "ack_all_badblocks" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x47b63e8d, "kernfs_notify" },
	{ 0xe4634cb2, "submit_bh" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xa9decdba, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x83785085, "bio_clone_blkg_association" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x57901444, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0xd7e4dd72, "put_disk" },
	{ 0x3a24fb2f, "percpu_ref_resurrect" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x2d776a92, "badblocks_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2dd9cf2b, "unregister_sysctl_table" },
	{ 0x3eb451ed, "badblocks_show" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x703b9c53, "sync_blockdev" },
	{ 0x7f57c8ec, "free_buffer_head" },
	{ 0xa916b694, "strnlen" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x64eb543d, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd4155d2c, "submit_bio" },
	{ 0x6857cc3d, "module_put" },
	{ 0x8c3837e4, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xec21d530, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc2c5802, "work_busy" },
	{ 0xd429d96, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x4bf2ef0a, "flush_signals" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x24ac13d3, "bio_put" },
	{ 0x66444d06, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7693bfe8, "__SCK__tp_func_block_bio_remap" },
	{ 0xc794f8c, "fput" },
	{ 0xb071253e, "kobject_add" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x94f19c54, "sysfs_remove_link" },
	{ 0x7283161b, "percpu_ref_switch_to_percpu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2ab660cc, "submit_bio_noacct" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x19d6778c, "blk_sync_queue" },
	{ 0x753b54d3, "seq_file_path" },
	{ 0x4e00f93a, "kernfs_find_and_get_ns" },
	{ 0x5a921311, "strncmp" },
	{ 0x7a905b8, "seq_putc" },
	{ 0x535bef4e, "bio_chain" },
	{ 0x1af267f8, "int_pow" },
	{ 0xbcb509c8, "__blk_trace_note_message" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x87d2294d, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6270d8b3, "sysfs_create_group" },
	{ 0xbada6f58, "__put_devmap_managed_folio_refs" },
	{ 0xd960722a, "kthread_stop" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x52eeb35d, "bdev_file_open_by_dev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x90bc3ba, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x266a1d34, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xd3a1500e, "bio_init" },
	{ 0xe604c138, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0xf0cc3609, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0xe46fee49, "invalidate_bdev" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x82b5fad, "mutex_trylock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0x23d8e0a9, "sysfs_remove_group" },
	{ 0x911c8743, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc55d9811, "kobject_del" },
	{ 0x628d7765, "vfs_fsync" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x4b34fd97, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x757dfca6, "bioset_init" },
	{ 0xa24f3c04, "file_path" },
	{ 0x80fd7c33, "kernfs_put" },
	{ 0xc8b3e642, "sysfs_break_active_protection" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "61CDF4CAA0BD9713B41BB5F");

MODULE_INFO(suserelease, "SLFO-1.2");
