#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_conn_register, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_conn_unregister, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_cec_adap_register, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_cec_adap_unregister, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_set_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_set_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_parse_hdmi_phandle, "_gpl", "");
KSYMTAB_FUNC(cec_pin_changed, "_gpl", "");
KSYMTAB_FUNC(cec_pin_allocate_adapter, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0xa6312082, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0xa0d42084, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0x9f5640e3, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0xbc0f0b52, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0x095ecbf2, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0xd4a68db7, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0xd1b7c952, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0xd9ce12ee, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0x8c1084d6, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0x6a0d7184, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0x4fe0d1b3, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0x17ef76e4, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0x3bd3c4c8, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0xaec731a9, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0x099abbea, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0x0349a5fb, "_gpl");
SYMBOL_CRC(cec_notifier_conn_register, 0xac11d30c, "_gpl");
SYMBOL_CRC(cec_notifier_conn_unregister, 0xaee236c6, "_gpl");
SYMBOL_CRC(cec_notifier_cec_adap_register, 0xda263a5f, "_gpl");
SYMBOL_CRC(cec_notifier_cec_adap_unregister, 0x5ff0e8e3, "_gpl");
SYMBOL_CRC(cec_notifier_set_phys_addr, 0xa01fbb6b, "_gpl");
SYMBOL_CRC(cec_notifier_set_phys_addr_from_edid, 0xb3422b7e, "_gpl");
SYMBOL_CRC(cec_notifier_parse_hdmi_phandle, 0xe035432b, "_gpl");
SYMBOL_CRC(cec_pin_changed, 0xfac6fcb3, "_gpl");
SYMBOL_CRC(cec_pin_allocate_adapter, 0xe6fbdba9, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96fcaff9, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f64df31, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c07851b, "debugfs_create_devm_seqfile" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x45ee0529, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd8c5e3d1, "rc_keyup" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x33719327, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x42cb75ea, "rc_register_device" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x7618c407, "rc_keydown" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd960722a, "kthread_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x99330e39, "rc_free_device" },
	{ 0xfb578fc5, "memset" },
	{ 0x4102c5e2, "hrtimer_start_range_ns" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3f5c6211, "rc_allocate_device" },
	{ 0x911c8743, "seq_read" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x66ca9904, "seq_write" },
	{ 0x3b239a4e, "kobject_set_name" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x93fae14b, "hrtimer_cancel" },
	{ 0x55473fb7, "single_release" },
	{ 0xbad37768, "hrtimer_forward" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xd898659, "single_open" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xcdc4ff8a, "rc_unregister_device" },
	{ 0xaf86b7d6, "cdev_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x16136184, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xf3723554, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x5bf7db3e, "hrtimer_init" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x1a2f220, "get_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "rc-core");


MODULE_INFO(srcversion, "6F7F09840FDAE26CC64FFBE");

MODULE_INFO(suserelease, "SLFO-1.2");
