#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(b2c2_flexcop_debug, "_gpl", "");
KSYMTAB_FUNC(flexcop_pass_dmx_data, "", "");
KSYMTAB_FUNC(flexcop_pass_dmx_packets, "", "");
KSYMTAB_FUNC(flexcop_device_kmalloc, "", "");
KSYMTAB_FUNC(flexcop_device_kfree, "", "");
KSYMTAB_FUNC(flexcop_device_initialize, "", "");
KSYMTAB_FUNC(flexcop_device_exit, "", "");
KSYMTAB_FUNC(flexcop_i2c_request, "", "");
KSYMTAB_FUNC(flexcop_sram_set_dest, "", "");
KSYMTAB_FUNC(flexcop_wan_set_speed, "", "");
KSYMTAB_FUNC(flexcop_sram_ctrl, "", "");
KSYMTAB_FUNC(flexcop_eeprom_check_mac_addr, "", "");
KSYMTAB_FUNC(flexcop_dump_reg, "", "");
KSYMTAB_FUNC(flexcop_pid_feed_control, "", "");

SYMBOL_CRC(b2c2_flexcop_debug, 0x66c0289a, "_gpl");
SYMBOL_CRC(flexcop_pass_dmx_data, 0xdb747e04, "");
SYMBOL_CRC(flexcop_pass_dmx_packets, 0x03b1beea, "");
SYMBOL_CRC(flexcop_device_kmalloc, 0xa703d81d, "");
SYMBOL_CRC(flexcop_device_kfree, 0xf34d6b99, "");
SYMBOL_CRC(flexcop_device_initialize, 0x001334c4, "");
SYMBOL_CRC(flexcop_device_exit, 0x8914917e, "");
SYMBOL_CRC(flexcop_i2c_request, 0xfb8bff45, "");
SYMBOL_CRC(flexcop_sram_set_dest, 0xce32301a, "");
SYMBOL_CRC(flexcop_wan_set_speed, 0x6392f230, "");
SYMBOL_CRC(flexcop_sram_ctrl, 0x3e9e89d3, "");
SYMBOL_CRC(flexcop_eeprom_check_mac_addr, 0x11b2f34c, "");
SYMBOL_CRC(flexcop_dump_reg, 0xc3a5a714, "");
SYMBOL_CRC(flexcop_pid_feed_control, 0x9c4a0e54, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x868784cb, "__symbol_get" },
	{ 0xbab247e1, "dvb_dmx_release" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x30598217, "dvb_net_init" },
	{ 0x40ad8e3f, "dvb_dmx_swfilter" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x99f7915f, "dvb_dmxdev_release" },
	{ 0x6edf125e, "param_ops_short" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8c3825c2, "dvb_frontend_detach" },
	{ 0x6e418612, "i2c_add_adapter" },
	{ 0xe2ea8481, "dvb_net_release" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd6841367, "dvb_unregister_frontend" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x482852ba, "cx24123_get_tuner_i2c_adapter" },
	{ 0xd3849119, "dvb_register_frontend" },
	{ 0xfc7a7c8, "cx24113_agc_callback" },
	{ 0xcd6e5ae, "dvb_unregister_adapter" },
	{ 0xec92912b, "dvb_dmx_init" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xa7e4baf, "s5h1420_get_tuner_i2c_adapter" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x925afb81, "dvb_dmxdev_init" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x2476a690, "request_firmware" },
	{ 0x9449d1a3, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x973260ca, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x479073c9, "dvb_dmx_swfilter_packets" },
	{ 0x2af85aaf, "i2c_del_adapter" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,cx24123,cx24113,s5h1420");


MODULE_INFO(srcversion, "4C4280033A9676EC02C54AD");

MODULE_INFO(suserelease, "SLFO-1.2");
