#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dvb_generic_open, "", "");
KSYMTAB_FUNC(dvb_generic_release, "", "");
KSYMTAB_FUNC(dvb_generic_ioctl, "", "");
KSYMTAB_FUNC(dvb_register_device, "", "");
KSYMTAB_FUNC(dvb_remove_device, "", "");
KSYMTAB_FUNC(dvb_device_get, "", "");
KSYMTAB_FUNC(dvb_unregister_device, "", "");
KSYMTAB_FUNC(dvb_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(dvb_register_adapter, "", "");
KSYMTAB_FUNC(dvb_unregister_adapter, "", "");
KSYMTAB_FUNC(dvb_module_probe, "_gpl", "");
KSYMTAB_FUNC(dvb_module_release, "_gpl", "");
KSYMTAB_FUNC(dvb_dmxdev_init, "", "");
KSYMTAB_FUNC(dvb_dmxdev_release, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter_packets, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter_204, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter_raw, "", "");
KSYMTAB_FUNC(dvb_dmx_init, "", "");
KSYMTAB_FUNC(dvb_dmx_release, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_camchange_irq, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_camready_irq, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_frda_irq, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_init, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_release, "", "");
KSYMTAB_FUNC(dvb_frontend_reinitialise, "", "");
KSYMTAB_FUNC(dvb_frontend_sleep_until, "", "");
KSYMTAB_FUNC(dvb_frontend_suspend, "", "");
KSYMTAB_FUNC(dvb_frontend_resume, "", "");
KSYMTAB_FUNC(dvb_register_frontend, "", "");
KSYMTAB_FUNC(dvb_unregister_frontend, "", "");
KSYMTAB_FUNC(dvb_frontend_detach, "", "");
KSYMTAB_FUNC(dvb_net_release, "", "");
KSYMTAB_FUNC(dvb_net_init, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_flush, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_init, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_empty, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_free, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_avail, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_flush_spinlock_wakeup, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_read_user, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_read, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_write, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_write_user, "", "");

SYMBOL_CRC(dvb_generic_open, 0x1084bde0, "");
SYMBOL_CRC(dvb_generic_release, 0x1dde0a03, "");
SYMBOL_CRC(dvb_generic_ioctl, 0x8882a87f, "");
SYMBOL_CRC(dvb_register_device, 0x4fa0e31b, "");
SYMBOL_CRC(dvb_remove_device, 0x39d93d90, "");
SYMBOL_CRC(dvb_device_get, 0x47c1a072, "");
SYMBOL_CRC(dvb_unregister_device, 0x86a021e3, "");
SYMBOL_CRC(dvb_create_media_graph, 0x31f1ce94, "_gpl");
SYMBOL_CRC(dvb_register_adapter, 0x973260ca, "");
SYMBOL_CRC(dvb_unregister_adapter, 0x0cd6e5ae, "");
SYMBOL_CRC(dvb_module_probe, 0x4a02eaf6, "_gpl");
SYMBOL_CRC(dvb_module_release, 0x77c3f016, "_gpl");
SYMBOL_CRC(dvb_dmxdev_init, 0x925afb81, "");
SYMBOL_CRC(dvb_dmxdev_release, 0x99f7915f, "");
SYMBOL_CRC(dvb_dmx_swfilter_packets, 0x479073c9, "");
SYMBOL_CRC(dvb_dmx_swfilter, 0x40ad8e3f, "");
SYMBOL_CRC(dvb_dmx_swfilter_204, 0x018aebc6, "");
SYMBOL_CRC(dvb_dmx_swfilter_raw, 0xb9365a75, "");
SYMBOL_CRC(dvb_dmx_init, 0xec92912b, "");
SYMBOL_CRC(dvb_dmx_release, 0xbab247e1, "");
SYMBOL_CRC(dvb_ca_en50221_camchange_irq, 0x19f30444, "");
SYMBOL_CRC(dvb_ca_en50221_camready_irq, 0xa0911dcb, "");
SYMBOL_CRC(dvb_ca_en50221_frda_irq, 0xf693c186, "");
SYMBOL_CRC(dvb_ca_en50221_init, 0x262e8540, "");
SYMBOL_CRC(dvb_ca_en50221_release, 0x022ca34c, "");
SYMBOL_CRC(dvb_frontend_reinitialise, 0x7e93ab49, "");
SYMBOL_CRC(dvb_frontend_sleep_until, 0x3b93d71a, "");
SYMBOL_CRC(dvb_frontend_suspend, 0xe8d8561e, "");
SYMBOL_CRC(dvb_frontend_resume, 0x707ed32f, "");
SYMBOL_CRC(dvb_register_frontend, 0xd3849119, "");
SYMBOL_CRC(dvb_unregister_frontend, 0xd6841367, "");
SYMBOL_CRC(dvb_frontend_detach, 0x8c3825c2, "");
SYMBOL_CRC(dvb_net_release, 0xe2ea8481, "");
SYMBOL_CRC(dvb_net_init, 0x30598217, "");
SYMBOL_CRC(dvb_ringbuffer_flush, 0x19a70f12, "");
SYMBOL_CRC(dvb_ringbuffer_init, 0xb708aa60, "");
SYMBOL_CRC(dvb_ringbuffer_empty, 0x79058fda, "");
SYMBOL_CRC(dvb_ringbuffer_free, 0xce1298ec, "");
SYMBOL_CRC(dvb_ringbuffer_avail, 0xe9cec691, "");
SYMBOL_CRC(dvb_ringbuffer_flush_spinlock_wakeup, 0x53aff34a, "");
SYMBOL_CRC(dvb_ringbuffer_read_user, 0x32288f49, "");
SYMBOL_CRC(dvb_ringbuffer_read, 0x9fefc16b, "");
SYMBOL_CRC(dvb_ringbuffer_write, 0xec6e565a, "");
SYMBOL_CRC(dvb_ringbuffer_write_user, 0xeeca3d35, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb384d37, "kasprintf" },
	{ 0xa985aeff, "down_read" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x92225dd3, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0xa69e41ea, "media_get_pad_index" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x29644857, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x37aec97f, "media_devnode_create" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x905dbe2e, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xc40bf4ce, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xaf86b7d6, "cdev_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xee672399, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xf3e9f9b0, "media_devnode_remove" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x8d9519e1, "eth_header" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd0e342b5, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x69492855, "unregister_netdev" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x90e6a89, "class_destroy" },
	{ 0xcf2a6966, "up" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x4df02057, "crc32_be" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0xe4425a2b, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc55906, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeed8188a, "media_create_intf_link" },
	{ 0x901b9e3, "media_create_pad_links" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0xe4117671, "media_create_pad_link" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf14da2c6, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x933f0fa7, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6857cc3d, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7dfa13ba, "media_device_register_entity" },
	{ 0x56bbb810, "cdev_add" },
	{ 0x66d87d38, "symbol_put_addr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x77f5bb81, "down_write" },
	{ 0x33719327, "_dev_err" },
	{ 0x264635e1, "up_write" },
	{ 0x7a0ca99, "i2c_unregister_device" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xe0ec2229, "device_create" },
	{ 0x136d2728, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x54339162, "class_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0x96d19db4, "register_netdev" },
	{ 0x653194b1, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd1d1b58a, "media_entity_pads_init" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd960722a, "kthread_stop" },
	{ 0xba280219, "i2c_new_client_device" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x84b783, "default_llseek" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x349f744b, "netif_rx" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "428F4D7483CD6B06869BE2D");

MODULE_INFO(suserelease, "SLFO-1.2");
