#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx8802_start_dma, "", "");
KSYMTAB_FUNC(cx8802_buf_prepare, "", "");
KSYMTAB_FUNC(cx8802_buf_queue, "", "");
KSYMTAB_FUNC(cx8802_cancel_buffers, "", "");
KSYMTAB_FUNC(cx8802_get_driver, "", "");
KSYMTAB_FUNC(cx8802_register_driver, "", "");
KSYMTAB_FUNC(cx8802_unregister_driver, "", "");

SYMBOL_CRC(cx8802_start_dma, 0xb7792dd3, "");
SYMBOL_CRC(cx8802_buf_prepare, 0xc295e135, "");
SYMBOL_CRC(cx8802_buf_queue, 0x0b5918b6, "");
SYMBOL_CRC(cx8802_cancel_buffers, 0xee085dc9, "");
SYMBOL_CRC(cx8802_get_driver, 0xa7d035dd, "");
SYMBOL_CRC(cx8802_register_driver, 0x853d7e94, "");
SYMBOL_CRC(cx8802_unregister_driver, 0xc7c48b23, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8f8a6ac7, "cx88_shutdown" },
	{ 0x37a0cba, "kfree" },
	{ 0xd2ce7412, "cx88_core_put" },
	{ 0x68e801b6, "pci_set_power_state" },
	{ 0x2ba333ce, "cx88_core_irq" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdfb8b64e, "cx88_core_get" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x696be848, "vb2_plane_cookie" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x2465acc7, "vb2_buffer_done" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xef211625, "pci_restore_state" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xf27dffd5, "cx88_sram_channel_dump" },
	{ 0x556cfcb5, "cx88_sram_channel_setup" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0xad82bbd2, "pci_read_config_byte" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa4eccee5, "cx88_risc_databuffer" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4fca9753, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xdeb067e7, "cx88_reset" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2abc804e, "cx88_wakeup" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0xfcaf870c, "pci_choose_state" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008802sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "861561822E9B4A4BD78BC2B");

MODULE_INFO(suserelease, "SLFO-1.2");
