#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipu_bridge_parse_ssdb, "_gpl", "INTEL_IPU_BRIDGE");
KSYMTAB_FUNC(ipu_bridge_instantiate_vcm, "_gpl", "INTEL_IPU_BRIDGE");
KSYMTAB_FUNC(ipu_bridge_init, "_gpl", "INTEL_IPU_BRIDGE");

SYMBOL_CRC(ipu_bridge_parse_ssdb, 0xe01e3351, "_gpl");
SYMBOL_CRC(ipu_bridge_instantiate_vcm, 0xf2b5a908, "_gpl");
SYMBOL_CRC(ipu_bridge_init, 0xc8491dd7, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x64037ede, "acpi_dev_get_next_consumer_dev" },
	{ 0xbf4324e4, "acpi_dev_get_next_match_dev" },
	{ 0x45ee0529, "put_device" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfc981c9b, "platform_bus_type" },
	{ 0xf74536a0, "bus_find_device" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7d5033d, "device_find_child_by_name" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8fc12788, "software_node_unregister_node_group" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x37a0cba, "kfree" },
	{ 0x1d1abdf0, "acpi_get_physical_device_location" },
	{ 0x33719327, "_dev_err" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0xc14d3af8, "i2c_acpi_new_device_by_fwnode" },
	{ 0xed0fefc, "device_link_add" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x2ab99f9f, "__pm_runtime_idle" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x86725ba4, "__dev_fwnode" },
	{ 0x2bb34fb4, "fwnode_find_reference" },
	{ 0x7ac19adc, "i2c_find_device_by_fwnode" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x1a2f220, "get_device" },
	{ 0xceab0311, "strchrnul" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xd22c0e2f, "fwnode_graph_get_next_endpoint" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xb48f0638, "software_node_register" },
	{ 0x89bb0c4c, "acpi_device_hid" },
	{ 0x7a9e4c23, "software_node_register_node_group" },
	{ 0xb129ccca, "software_node_fwnode" },
	{ 0x454e0b7e, "set_secondary_fwnode" },
	{ 0xcbe3ee2, "software_node_unregister" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x269a6026, "acpi_dev_get_first_match_dev" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DD00931DA7B32CC86328B9D");

MODULE_INFO(suserelease, "SLFO-1.2");
