#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mantis_get_mac, "_gpl", "");
KSYMTAB_FUNC(mantis_gpio_set_bits, "_gpl", "");
KSYMTAB_FUNC(mantis_stream_control, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_init, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_init, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_power, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_soft_reset, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_init, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_init, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_input_init, "_gpl", "");
KSYMTAB_FUNC(mantis_input_exit, "_gpl", "");

SYMBOL_CRC(mantis_get_mac, 0x34c0b0f5, "_gpl");
SYMBOL_CRC(mantis_gpio_set_bits, 0x2f41d85e, "_gpl");
SYMBOL_CRC(mantis_stream_control, 0x2019b7a8, "_gpl");
SYMBOL_CRC(mantis_uart_init, 0x3185fed8, "_gpl");
SYMBOL_CRC(mantis_uart_exit, 0x578fd4f5, "_gpl");
SYMBOL_CRC(mantis_dma_exit, 0xf5a82c4e, "_gpl");
SYMBOL_CRC(mantis_dma_init, 0x49f5231e, "_gpl");
SYMBOL_CRC(mantis_pci_init, 0x0e47ef04, "_gpl");
SYMBOL_CRC(mantis_pci_exit, 0xe8b97abc, "_gpl");
SYMBOL_CRC(mantis_i2c_init, 0x71fa6fe9, "_gpl");
SYMBOL_CRC(mantis_i2c_exit, 0x84182b7a, "_gpl");
SYMBOL_CRC(mantis_frontend_power, 0xf02837ec, "_gpl");
SYMBOL_CRC(mantis_frontend_soft_reset, 0x76704851, "_gpl");
SYMBOL_CRC(mantis_dvb_init, 0x0a50dcbb, "_gpl");
SYMBOL_CRC(mantis_dvb_exit, 0xffb29828, "_gpl");
SYMBOL_CRC(mantis_ca_init, 0xbae104de, "_gpl");
SYMBOL_CRC(mantis_ca_exit, 0xd0b8d506, "_gpl");
SYMBOL_CRC(mantis_input_init, 0x007a5d92, "_gpl");
SYMBOL_CRC(mantis_input_exit, 0xfdbf24bf, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x973260ca, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2af85aaf, "i2c_del_adapter" },
	{ 0x18aebc6, "dvb_dmx_swfilter_204" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xbab247e1, "dvb_dmx_release" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x22ca34c, "dvb_ca_en50221_release" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x42cb75ea, "rc_register_device" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x7618c407, "rc_keydown" },
	{ 0x30598217, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x40ad8e3f, "dvb_dmx_swfilter" },
	{ 0x99f7915f, "dvb_dmxdev_release" },
	{ 0x6edf125e, "param_ops_short" },
	{ 0x99330e39, "rc_free_device" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x8c3825c2, "dvb_frontend_detach" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x6e418612, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0xe2ea8481, "dvb_net_release" },
	{ 0xa0911dcb, "dvb_ca_en50221_camready_irq" },
	{ 0x3f5c6211, "rc_allocate_device" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd6841367, "dvb_unregister_frontend" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x19f30444, "dvb_ca_en50221_camchange_irq" },
	{ 0xdcfb6bc7, "i2c_transfer" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0xd3849119, "dvb_register_frontend" },
	{ 0xad82bbd2, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xcd6e5ae, "dvb_unregister_adapter" },
	{ 0xec92912b, "dvb_dmx_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcdc4ff8a, "rc_unregister_device" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x925afb81, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f3a5d87, "enable_work" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0x262e8540, "dvb_ca_en50221_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xedc03953, "iounmap" },
	{ 0x9449d1a3, "param_array_ops" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,rc-core");


MODULE_INFO(srcversion, "39A45134D16E0E2F54BD6EA");

MODULE_INFO(suserelease, "SLFO-1.2");
