#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rc_map_get, "_gpl", "");
KSYMTAB_FUNC(rc_map_register, "_gpl", "");
KSYMTAB_FUNC(rc_map_unregister, "_gpl", "");
KSYMTAB_FUNC(rc_g_keycode_from_table, "_gpl", "");
KSYMTAB_FUNC(rc_keyup, "_gpl", "");
KSYMTAB_FUNC(rc_repeat, "_gpl", "");
KSYMTAB_FUNC(rc_keydown, "_gpl", "");
KSYMTAB_FUNC(rc_keydown_notimeout, "_gpl", "");
KSYMTAB_FUNC(rc_allocate_device, "_gpl", "");
KSYMTAB_FUNC(rc_free_device, "_gpl", "");
KSYMTAB_FUNC(devm_rc_allocate_device, "_gpl", "");
KSYMTAB_FUNC(rc_register_device, "_gpl", "");
KSYMTAB_FUNC(devm_rc_register_device, "_gpl", "");
KSYMTAB_FUNC(rc_unregister_device, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_edge, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_with_timeout, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_with_filter, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_set_idle, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_handle, "_gpl", "");
KSYMTAB_FUNC(ir_raw_gen_manchester, "", "");
KSYMTAB_FUNC(ir_raw_gen_pd, "", "");
KSYMTAB_FUNC(ir_raw_gen_pl, "", "");
KSYMTAB_FUNC(ir_raw_encode_scancode, "", "");
KSYMTAB_FUNC(ir_raw_encode_carrier, "", "");
KSYMTAB_FUNC(ir_raw_handler_register, "", "");
KSYMTAB_FUNC(ir_raw_handler_unregister, "", "");
KSYMTAB_FUNC(lirc_scancode_event, "_gpl", "");

SYMBOL_CRC(rc_map_get, 0x9ffacc2e, "_gpl");
SYMBOL_CRC(rc_map_register, 0x6b03e675, "_gpl");
SYMBOL_CRC(rc_map_unregister, 0xa78196d1, "_gpl");
SYMBOL_CRC(rc_g_keycode_from_table, 0x2c6f3a06, "_gpl");
SYMBOL_CRC(rc_keyup, 0xd8c5e3d1, "_gpl");
SYMBOL_CRC(rc_repeat, 0xa3c22f17, "_gpl");
SYMBOL_CRC(rc_keydown, 0x7618c407, "_gpl");
SYMBOL_CRC(rc_keydown_notimeout, 0x54238c2d, "_gpl");
SYMBOL_CRC(rc_allocate_device, 0x3f5c6211, "_gpl");
SYMBOL_CRC(rc_free_device, 0x99330e39, "_gpl");
SYMBOL_CRC(devm_rc_allocate_device, 0x5a474834, "_gpl");
SYMBOL_CRC(rc_register_device, 0x42cb75ea, "_gpl");
SYMBOL_CRC(devm_rc_register_device, 0xd69f9422, "_gpl");
SYMBOL_CRC(rc_unregister_device, 0xcdc4ff8a, "_gpl");
SYMBOL_CRC(ir_raw_event_store, 0xa22e2d2a, "_gpl");
SYMBOL_CRC(ir_raw_event_store_edge, 0x6cb729d0, "_gpl");
SYMBOL_CRC(ir_raw_event_store_with_timeout, 0xf2d82135, "_gpl");
SYMBOL_CRC(ir_raw_event_store_with_filter, 0xe3fefd70, "_gpl");
SYMBOL_CRC(ir_raw_event_set_idle, 0xe5d5b7f6, "_gpl");
SYMBOL_CRC(ir_raw_event_handle, 0xdd859cf2, "_gpl");
SYMBOL_CRC(ir_raw_gen_manchester, 0xce3696f3, "");
SYMBOL_CRC(ir_raw_gen_pd, 0x2fe55cf5, "");
SYMBOL_CRC(ir_raw_gen_pl, 0x7a02ee87, "");
SYMBOL_CRC(ir_raw_encode_scancode, 0x01098f88, "");
SYMBOL_CRC(ir_raw_encode_carrier, 0xb5516017, "");
SYMBOL_CRC(ir_raw_handler_register, 0x32752535, "");
SYMBOL_CRC(ir_raw_handler_unregister, 0xb069394b, "");
SYMBOL_CRC(lirc_scancode_event, 0x0d0e7fd1, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe0918b76, "led_trigger_unregister_simple" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x90fe8bbd, "__module_get" },
	{ 0x1a2f220, "get_device" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x67098dda, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaeb5bdc3, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f64df31, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x3724b25d, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45ee0529, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x6857cc3d, "module_put" },
	{ 0x2a730987, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc794f8c, "fput" },
	{ 0x33719327, "_dev_err" },
	{ 0x3d44dcd8, "device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x58145b6e, "__devres_alloc_node" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x10119bb, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0xd960722a, "kthread_stop" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2e9c96c7, "device_del" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xd6935a2c, "input_event" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7230beea, "fdget" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x2bcf0760, "stream_open" },
	{ 0x22524e88, "led_trigger_event" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xe99bba1f, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xaf86b7d6, "cdev_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x52176ab1, "input_allocate_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xf3723554, "cdev_device_del" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x4ca16b7d, "led_trigger_register_simple" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x1057a279, "bsearch" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x8832978e, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x61a43e39, "kobject_get_path" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "044656005F022B7ED24E637");

MODULE_INFO(suserelease, "SLFO-1.2");
