#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_cypress_load_firmware, "", "");
KSYMTAB_FUNC(dvb_usb_get_hexline, "", "");
KSYMTAB_FUNC(dvb_usb_device_init, "", "");
KSYMTAB_FUNC(dvb_usb_device_exit, "", "");
KSYMTAB_FUNC(dvb_usb_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usb_generic_write, "", "");
KSYMTAB_FUNC(dvb_usb_nec_rc_key_to_event, "", "");

SYMBOL_CRC(usb_cypress_load_firmware, 0x0eced077, "");
SYMBOL_CRC(dvb_usb_get_hexline, 0x8b6f5395, "");
SYMBOL_CRC(dvb_usb_device_init, 0xfb36b190, "");
SYMBOL_CRC(dvb_usb_device_exit, 0x138cc684, "");
SYMBOL_CRC(dvb_usb_generic_rw, 0x95b89ee1, "");
SYMBOL_CRC(dvb_usb_generic_write, 0xc7dd8a3b, "");
SYMBOL_CRC(dvb_usb_nec_rc_key_to_event, 0x25ff1813, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2476a690, "request_firmware" },
	{ 0x8832978e, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x2b477aca, "__media_device_register" },
	{ 0x2c256e1f, "input_scancode_to_scalar" },
	{ 0x973260ca, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaeb5bdc3, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x2e58d2de, "usb_clear_halt" },
	{ 0xebc770a, "usb_bulk_msg" },
	{ 0x3724b25d, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1161409, "usb_submit_urb" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x2af85aaf, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x1035ffc1, "media_device_cleanup" },
	{ 0x18aebc6, "dvb_dmx_swfilter_204" },
	{ 0xbab247e1, "dvb_dmx_release" },
	{ 0x810f623f, "usb_free_coherent" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x42cb75ea, "rc_register_device" },
	{ 0xa8f7a713, "usb_control_msg" },
	{ 0x30598217, "dvb_net_init" },
	{ 0x40ad8e3f, "dvb_dmx_swfilter" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x99f7915f, "dvb_dmxdev_release" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x99330e39, "rc_free_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xb9365a75, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd6935a2c, "input_event" },
	{ 0x8c3825c2, "dvb_frontend_detach" },
	{ 0x6e418612, "i2c_add_adapter" },
	{ 0xe2ea8481, "dvb_net_release" },
	{ 0x3f5c6211, "rc_allocate_device" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd6841367, "dvb_unregister_frontend" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x4d4770a7, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x693509b6, "__media_device_usb_init" },
	{ 0xd3849119, "dvb_register_frontend" },
	{ 0x31f1ce94, "dvb_create_media_graph" },
	{ 0xcd6e5ae, "dvb_unregister_adapter" },
	{ 0xec92912b, "dvb_dmx_init" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcdc4ff8a, "rc_unregister_device" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x52176ab1, "input_allocate_device" },
	{ 0x925afb81, "dvb_dmxdev_init" },
	{ 0x6a578ab1, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf00c4cae, "media_device_unregister" },
	{ 0x96e6d83, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4a3dcf5e, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mc,dvb-core,usbcore,rc-core");


MODULE_INFO(srcversion, "083703896CC43B04798B56C");

MODULE_INFO(suserelease, "SLFO-1.2");
