#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(v4l2_async_nf_init, "", "");
KSYMTAB_FUNC(v4l2_async_subdev_nf_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_nf_register, "", "");
KSYMTAB_FUNC(v4l2_async_nf_unregister, "", "");
KSYMTAB_FUNC(v4l2_async_nf_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode_remote, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_i2c, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_subdev_endpoint_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_connection_unique, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_register_subdev, "", "");
KSYMTAB_FUNC(v4l2_async_unregister_subdev, "", "");

SYMBOL_CRC(v4l2_async_nf_init, 0x26149f8c, "");
SYMBOL_CRC(v4l2_async_subdev_nf_init, 0xaba61e11, "_gpl");
SYMBOL_CRC(v4l2_async_nf_register, 0x84238846, "");
SYMBOL_CRC(v4l2_async_nf_unregister, 0x6903323e, "");
SYMBOL_CRC(v4l2_async_nf_cleanup, 0x8b5ad300, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode, 0x4f84ad78, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode_remote, 0xd498b55d, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_i2c, 0x31ae473e, "_gpl");
SYMBOL_CRC(v4l2_async_subdev_endpoint_add, 0x4c25c7f3, "_gpl");
SYMBOL_CRC(v4l2_async_connection_unique, 0x875fe428, "_gpl");
SYMBOL_CRC(__v4l2_async_register_subdev, 0xc509f643, "");
SYMBOL_CRC(v4l2_async_unregister_subdev, 0x2d36e750, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x26b0dada, "i2c_verify_client" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0xd898659, "single_open" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x3335abed, "seq_printf" },
	{ 0xd2ea4a39, "fwnode_property_present" },
	{ 0x51059323, "fwnode_graph_get_port_parent" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x1ed09d48, "fwnode_handle_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd8f1785d, "v4l2_device_unregister_subdev" },
	{ 0x69d6b635, "v4l2_subdev_put_privacy_led" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdd66df2e, "fwnode_graph_get_remote_endpoint" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x86725ba4, "__dev_fwnode" },
	{ 0x9f5be3b5, "__v4l2_device_register_subdev" },
	{ 0x285efa5f, "media_create_ancillary_link" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x33719327, "_dev_err" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x911c8743, "seq_read" },
	{ 0x55473fb7, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "videodev,mc");


MODULE_INFO(srcversion, "5BA6B5B7A07FBD1A4525A8B");

MODULE_INFO(suserelease, "SLFO-1.2");
