#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(v4l2_fwnode_endpoint_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_alloc_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_parse_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_put_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_add_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_device_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev_sensor, "_gpl", "");

SYMBOL_CRC(v4l2_fwnode_endpoint_parse, 0x45da547d, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_free, 0xb10dcdc1, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_alloc_parse, 0x60df8cd4, "_gpl");
SYMBOL_CRC(v4l2_fwnode_parse_link, 0x86e9ac6f, "_gpl");
SYMBOL_CRC(v4l2_fwnode_put_link, 0x37185ad4, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_free, 0x612ddce5, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_parse, 0x5f6990b4, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_add_link, 0x569c1816, "_gpl");
SYMBOL_CRC(v4l2_fwnode_device_parse, 0xe784254e, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev_sensor, 0x960daf73, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb1ca3625, "fwnode_property_read_u32_array" },
	{ 0xd2ea4a39, "fwnode_property_present" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x191ef357, "fwnode_graph_parse_endpoint" },
	{ 0x37a0cba, "kfree" },
	{ 0x72741cbf, "fwnode_property_read_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x86725ba4, "__dev_fwnode" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x34c3d39b, "fwnode_property_get_reference_args" },
	{ 0x4f84ad78, "__v4l2_async_nf_add_fwnode" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9c26d1f, "fwnode_get_next_child_node" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xaba61e11, "v4l2_async_subdev_nf_init" },
	{ 0x56bdf709, "v4l2_subdev_get_privacy_led" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0x8b0ed581, "is_acpi_data_node" },
	{ 0x84238846, "v4l2_async_nf_register" },
	{ 0xc509f643, "__v4l2_async_register_subdev" },
	{ 0x6903323e, "v4l2_async_nf_unregister" },
	{ 0x69d6b635, "v4l2_subdev_put_privacy_led" },
	{ 0x8b5ad300, "v4l2_async_nf_cleanup" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x11bf89e5, "fwnode_property_read_u64_array" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x51059323, "fwnode_graph_get_port_parent" },
	{ 0x49b51aab, "fwnode_get_name" },
	{ 0x50147130, "fwnode_graph_get_remote_port_parent" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xdd66df2e, "fwnode_graph_get_remote_endpoint" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "v4l2-async,videodev");


MODULE_INFO(srcversion, "1118A6A1EB4212D5621572D");

MODULE_INFO(suserelease, "SLFO-1.2");
