#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(video_device_alloc, "", "");
KSYMTAB_FUNC(video_device_release, "", "");
KSYMTAB_FUNC(video_device_release_empty, "", "");
KSYMTAB_FUNC(video_devdata, "", "");
KSYMTAB_FUNC(v4l2_prio_init, "", "");
KSYMTAB_FUNC(v4l2_prio_change, "", "");
KSYMTAB_FUNC(v4l2_prio_open, "", "");
KSYMTAB_FUNC(v4l2_prio_close, "", "");
KSYMTAB_FUNC(v4l2_prio_max, "", "");
KSYMTAB_FUNC(v4l2_prio_check, "", "");
KSYMTAB_FUNC(__video_register_device, "", "");
KSYMTAB_FUNC(video_unregister_device, "", "");
KSYMTAB_FUNC(v4l2_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline, "_gpl", "");
KSYMTAB_FUNC(v4l2_norm_to_name, "", "");
KSYMTAB_FUNC(v4l2_video_std_frame_period, "", "");
KSYMTAB_FUNC(v4l2_video_std_construct, "", "");
KSYMTAB_DATA(v4l2_field_names, "", "");
KSYMTAB_DATA(v4l2_type_names, "", "");
KSYMTAB_FUNC(v4l_printk_ioctl, "", "");
KSYMTAB_FUNC(video_ioctl2, "", "");
KSYMTAB_FUNC(v4l2_device_register, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev_nodes, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_open, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_del, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_exit, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_release, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_is_singular, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_dequeue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue_fh, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_pending, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_wake_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subdev_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subdev_subscribe, "_gpl", "");
KSYMTAB_DATA(v4l2_subdev_call_wrappers, "", "");
KSYMTAB_FUNC(v4l2_subdev_get_fwnode_pad_1_to_1, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate_default, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_has_pad_interdep, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_alloc, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_free, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_init_finalize, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_format, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_crop, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_compose, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_frame_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_next_active_route, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing_with_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_find_opposite_end, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_opposite_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_xlate_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_enable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_disable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_s_stream_helper, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_init, "", "");
KSYMTAB_FUNC(v4l2_subdev_notify_event, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_is_streaming, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_put_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_query_fill, "", "");
KSYMTAB_FUNC(v4l_bound_align_image, "_gpl", "");
KSYMTAB_FUNC(__v4l2_find_nearest_size, "_gpl", "");
KSYMTAB_FUNC(v4l2_g_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_s_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_format_info, "", "");
KSYMTAB_FUNC(v4l2_apply_frmsize_constraints, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt_mp, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_get_link_freq, "_gpl", "");
KSYMTAB_FUNC(v4l2_simplify_fraction, "_gpl", "");
KSYMTAB_FUNC(v4l2_fraction_to_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_link_freq_to_bitmap, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_equal, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_init, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_log, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_validate, "", "");
KSYMTAB_FUNC(v4l2_ctrl_notify, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_init_class, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_free, "", "");
KSYMTAB_FUNC(v4l2_ctrl_find, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_custom, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu_items, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_compound, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_add_handler, "", "");
KSYMTAB_FUNC(v4l2_ctrl_radio_filter, "", "");
KSYMTAB_FUNC(v4l2_ctrl_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_auto_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_activate, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_grab, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_handler_setup, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_fwnode_properties, "", "");
KSYMTAB_FUNC(v4l2_g_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_try_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_s_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_s_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_string, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_compound, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_range, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_dimensions, "", "");
KSYMTAB_FUNC(v4l2_query_ext_ctrl, "", "");
KSYMTAB_FUNC(v4l2_queryctrl, "", "");
KSYMTAB_FUNC(v4l2_querymenu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_replace, "", "");
KSYMTAB_FUNC(v4l2_ctrl_merge, "", "");
KSYMTAB_DATA(v4l2_ctrl_sub_ev_ops, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_poll, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_ctrl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_complete, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_name, "", "");
KSYMTAB_FUNC(v4l2_ctrl_fill, "", "");
KSYMTAB_FUNC(v4l2_compat_ioctl32, "_gpl", "");
KSYMTAB_FUNC(v4l2_mc_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(v4l_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_disable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_vb2q_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links_to_pad, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_get, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_link_notify, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_new_subdev, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev_board, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_addr, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_tuner_addrs, "_gpl", "");

SYMBOL_CRC(video_device_alloc, 0x9f53023d, "");
SYMBOL_CRC(video_device_release, 0xf4ae3c81, "");
SYMBOL_CRC(video_device_release_empty, 0x1676ba33, "");
SYMBOL_CRC(video_devdata, 0x60ac35fb, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0x7529c68d, "");
SYMBOL_CRC(video_unregister_device, 0xcd1b50bf, "");
SYMBOL_CRC(v4l2_debugfs_root, 0xdd273d0f, "_gpl");
SYMBOL_CRC(video_device_pipeline_start, 0x8a856575, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0xd735d92a, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0x0a349f0b, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0x9926f413, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0x31b11751, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0x9bbbf029, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0x3f2f504f, "");
SYMBOL_CRC(v4l2_device_register, 0x1fe9fb8e, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0x540a50dc, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0xd4584a43, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0x751a28aa, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0x20c09e8e, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev, 0x9f5be3b5, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0xf15be06b, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0xd8f1785d, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0x92727196, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0x2633ddec, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0x3f0b4e8f, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0x4528af03, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0x7b13c5ad, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0x970e97f1, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0x1c0d3a41, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0xc7c70899, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0x482eab36, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0xe55b496f, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0x293a22d1, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0x273fb14c, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0xbd7d03bc, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0x49075c2c, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0xc6969b18, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0x9e4fa001, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0x4519d372, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0x7267a831, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0x8e2d3bf6, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0xd80b1de4, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0xb8dd477b, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0x8e1aae33, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0xb9661860, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0x5c281db2, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0x44c90891, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0xf6a0b1b9, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0xac557db6, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_format, 0x0a3a3b66, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_crop, 0xc26a6c83, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_compose, 0x18d0f683, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_interval, 0x538278ea, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0x91218ab8, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_frame_interval, 0x29427949, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0x4d800756, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0x180f326c, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0x5961ec1d, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0x2776e4eb, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0x0cbce617, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0xe0f35ad4, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0x221f2b86, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0x3a9a8b60, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0xef100415, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0x225e4060, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0x4c91f4ce, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0x86025b26, "_gpl");
SYMBOL_CRC(v4l2_subdev_is_streaming, 0x7f49934c, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0x56bdf709, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0x69d6b635, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xe2822320, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0x75f13131, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0xd697ff21, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x35ff98bf, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0x03ac5537, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_link_freq_to_bitmap, 0x7ba7f6b9, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0xdb3e5007, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0x1ffa10e9, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0x278d8d77, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0x15c83e40, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0x2d92a0fa, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0x0c250707, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0xe7629d99, "");
SYMBOL_CRC(v4l2_ctrl_find, 0xf7982b8a, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0xe5d7aabd, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0x15d58cfa, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0x73dce34d, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0xcb754988, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0x30b91a1e, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0x2aa11448, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0x23c05329, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0x66bc8c59, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0x8d495b5f, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0x1dd07f1a, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0x352f882b, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0xf23ccab1, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0x44de39f3, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0x6e3a5233, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0x5d6a2570, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0xe22ada6b, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0xaecac866, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0xf6dee149, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0xfd86535e, "");
SYMBOL_CRC(v4l2_g_ctrl, 0x8d967c30, "");
SYMBOL_CRC(v4l2_s_ctrl, 0x0b28d061, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0x1fe9534d, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0x3ebd3cb8, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0xbad45d3b, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0xbe483359, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0x1202acfc, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0xab8debe5, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0xb82d0dad, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0xd4a1acba, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0x11566f6a, "");
SYMBOL_CRC(v4l2_queryctrl, 0x0620bc00, "");
SYMBOL_CRC(v4l2_querymenu, 0x57c560f7, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0x9f1a16b4, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0xade8a3bb, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0x33cb298a, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0x9d339a60, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0x59c6fb72, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0x9ba1b3d0, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0xfc53d0f3, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0x1369fb5b, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0x060919bc, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0x299f91b9, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_compat_ioctl32, 0x5701d8b7, "_gpl");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0xe1cec142, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0xb37d0ae4, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0xe60d0042, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0xa220bf19, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0x464c51a0, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0x1c39f3a9, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0xb4e4b715, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0x9abecb37, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0x09aa73f9, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0x3db42ef9, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0xd9f95543, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0x2066d4e9, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0x58c6fb15, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0x25964b1b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0x0ff87077, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0x9e2c1928, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0x5c4e13d8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0xbfb69821, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0x9eb37975, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0x1a9dbc5a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0x6406b774, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0x61e8ab22, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0x4597a753, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0xbc3c96c5, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0xb6b51afe, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0x06c2c67f, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0x391b5fb8, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0x540c72d3, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa09d0cff, "media_graph_walk_next" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xba280219, "i2c_new_client_device" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd6f020db, "device_register" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xc9473eea, "media_pipeline_start" },
	{ 0xad297a71, "media_pipeline_stop" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa69e41ea, "media_get_pad_index" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xfc981c9b, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x7c346251, "led_set_brightness" },
	{ 0xbf9e0618, "media_graph_walk_start" },
	{ 0x37aec97f, "media_devnode_create" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0x82d83449, "media_entity_get_fwnode_pad" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x905dbe2e, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xd5ec612e, "__media_pipeline_start" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xe99bba1f, "class_register" },
	{ 0x3e345ee6, "led_sysfs_disable" },
	{ 0xc8b70d7, "media_entity_find_link" },
	{ 0x835e057b, "pci_bus_type" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xee672399, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4163d86c, "cdev_alloc" },
	{ 0xf3e9f9b0, "media_devnode_remove" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x44e76108, "media_request_object_find" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe83c8224, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb158ef41, "led_sysfs_enable" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdd66df2e, "fwnode_graph_get_remote_endpoint" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0xe11f5328, "spi_unregister_device" },
	{ 0x343c8959, "device_unregister" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2f1c9be4, "media_request_object_unbind" },
	{ 0xd98a626e, "led_put" },
	{ 0x54098a44, "led_trigger_remove" },
	{ 0xd22c0e2f, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x1518c41, "media_request_object_complete" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x51059323, "fwnode_graph_get_port_parent" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x1a2f220, "get_device" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeed8188a, "media_create_intf_link" },
	{ 0xe4117671, "media_create_pad_link" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x406f0e53, "device_match_fwnode" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xda721cec, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x45ee0529, "put_device" },
	{ 0xd8190a08, "i2c_new_scanned_device" },
	{ 0xd3358728, "media_pad_pipeline" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4129e435, "media_request_object_put" },
	{ 0x6857cc3d, "module_put" },
	{ 0x4e4bdc60, "media_pipeline_alloc_start" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7dfa13ba, "media_device_register_entity" },
	{ 0x85aa66b3, "media_request_get_by_fd" },
	{ 0x56bbb810, "cdev_add" },
	{ 0x47f590d9, "led_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x33719327, "_dev_err" },
	{ 0x7a0ca99, "i2c_unregister_device" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb59ef76b, "media_request_put" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0xa250f73d, "spi_new_device" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x94f7ce7c, "media_request_object_bind" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "BAA5FE688B0AC86C2BEA932");

MODULE_INFO(suserelease, "SLFO-1.2");
