#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtsx_pci_start_run, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_stop_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd_no_wait, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_map_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_unmap_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_transfer, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_enable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_disable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_on, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_off, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exclusive_check, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_output_voltage, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exist, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_complete_unfinished_transfer, "_gpl", "");

SYMBOL_CRC(rtsx_pci_start_run, 0xb8a9a422, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0xbc66bcdc, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0x645cd1c0, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0x6b8d1517, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0x71cb2cb3, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0xbeb2ecf2, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0xa5a0c861, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0x0d971e64, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0xa94dfc4a, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0xa03e7194, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0xfef6b9a0, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0xb2fc811d, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0xecc5adba, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0xf180a763, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0x4c7f542f, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0x1a540d8f, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0x9824d9d0, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0x7018124b, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0xf2e1741a, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0xaaeb0f23, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0x81618d33, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0x4decf141, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0xada46d28, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0x60c37aea, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xee126581, "pci_disable_msi" },
	{ 0xa1e4b115, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2123f09b, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfed7f63d, "pm_schedule_suspend" },
	{ 0xf1b25740, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x27a9a4cd, "pci_enable_msi" },
	{ 0x33719327, "_dev_err" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa7db12f0, "radix_tree_preloads" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7fc2e7b0, "pcie_capability_clear_and_set_word_locked" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0xf422928, "mfd_add_devices" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb19b445, "ioread8" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x73c3bfab, "pm_runtime_forbid" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0xb0d7d0f2, "pm_runtime_allow" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x2f12357e, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9b69ddd2, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0x8b011d2f, "mfd_remove_devices" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0x11e6ecb, "dma_unmap_sg_attrs" },
	{ 0xad82bbd2, "pci_read_config_byte" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x2ab99f9f, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x529386f3, "pci_write_config_dword" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x3f166ba5, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x66268818, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xfc827c93, "pci_find_ext_capability" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mfd-core");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005264sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "C84F85E7544A89EC63E766C");

MODULE_INFO(suserelease, "SLFO-1.2");
