#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtsx_usb_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_rsp, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_card_status, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_card_exclusive_check, "_gpl", "");

SYMBOL_CRC(rtsx_usb_transfer_data, 0x5ff57462, "_gpl");
SYMBOL_CRC(rtsx_usb_read_ppbuf, 0x1890a472, "_gpl");
SYMBOL_CRC(rtsx_usb_write_ppbuf, 0xd4bfea31, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_write_register, 0x442386a8, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_read_register, 0xcd56d6f5, "_gpl");
SYMBOL_CRC(rtsx_usb_add_cmd, 0x47fda8ee, "_gpl");
SYMBOL_CRC(rtsx_usb_send_cmd, 0xfe78ae54, "_gpl");
SYMBOL_CRC(rtsx_usb_get_rsp, 0xc2cd1108, "_gpl");
SYMBOL_CRC(rtsx_usb_get_card_status, 0x3218693f, "_gpl");
SYMBOL_CRC(rtsx_usb_write_register, 0x68c9e5e7, "_gpl");
SYMBOL_CRC(rtsx_usb_read_register, 0xe027707f, "_gpl");
SYMBOL_CRC(rtsx_usb_switch_clock, 0x832bde67, "_gpl");
SYMBOL_CRC(rtsx_usb_card_exclusive_check, 0xdc0da0f2, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xebc770a, "usb_bulk_msg" },
	{ 0x99c138f, "usb_sg_init" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0x4e94feb6, "usb_sg_wait" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xa8f7a713, "usb_control_msg" },
	{ 0x33972a88, "usb_register_driver" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x5b5d292e, "device_for_each_child" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0x8b011d2f, "mfd_remove_devices" },
	{ 0x37a0cba, "kfree" },
	{ 0xd55c30aa, "usb_sg_cancel" },
	{ 0x45d621e6, "usb_deregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x82b5fad, "mutex_trylock" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf422928, "mfd_add_devices" },
	{ 0x81e442b7, "usb_enable_autosuspend" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mfd-core");

MODULE_ALIAS("usb:v0BDAp0129d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0140d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "8B54AA5A59BA0DE59F004C7");

MODULE_INFO(suserelease, "SLFO-1.2");
