#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0x75110850, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0x0165b014, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0x71eef237, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0xe27a7b1f, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x6e681594, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0xea881449, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0x98f70d78, "_gpl");
SYMBOL_CRC(register_mtd_user, 0x54648cea, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0xa2857144, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x2b01b4b5, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0x2fb5f0fd, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0x081223ea, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0xbe19efc3, "_gpl");
SYMBOL_CRC(put_mtd_device, 0x874de931, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0xef14d6b9, "_gpl");
SYMBOL_CRC(mtd_erase, 0x94f4e2ad, "_gpl");
SYMBOL_CRC(mtd_point, 0x2a40a509, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0x3a7d07fa, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0x58645a08, "_gpl");
SYMBOL_CRC(mtd_read, 0x4a2851c4, "_gpl");
SYMBOL_CRC(mtd_write, 0x0e5992fd, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0x2f48af15, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x4aa63f30, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0x4fcbf651, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0x850610ce, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0x2df84a09, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0x4a05fc22, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0x009f0ad3, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0x9e72d183, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0xf0041713, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0xbd68c4ba, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0xc20132ff, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0x31e6de70, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0xd8e112e0, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0xb96b169f, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0x1b690a7c, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0x3dfd2b62, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0xf05eeb25, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0x2a440ef0, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0x990b92af, "_gpl");
SYMBOL_CRC(mtd_lock, 0xab1e1125, "_gpl");
SYMBOL_CRC(mtd_unlock, 0xa3bcc493, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0x573871f2, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0xa55dc47e, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0x1df984a6, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0xa21d1229, "_gpl");
SYMBOL_CRC(mtd_writev, 0x624b84f4, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0x139b59fe, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0x353c0128, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x71ce56a0, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0x62c41269, "");
SYMBOL_CRC(mtd_concat_destroy, 0x4000d3b1, "");
SYMBOL_CRC(mtd_add_partition, 0x32ac4311, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0xec06e510, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0xd3ea70b7, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0x347c0883, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0x55553a9e, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9820f51a, "idr_alloc" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xe0ec2229, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x77e0a229, "fixed_size_llseek" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0xe39d381b, "bdi_alloc" },
	{ 0xd6f020db, "device_register" },
	{ 0xe78c1cdf, "idr_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1ec7d1c9, "__register_chrdev" },
	{ 0x66ca9904, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x29644857, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcb8a4261, "remove_proc_entry" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xe2ab9700, "sysfs_create_files" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xe0ddb2aa, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0x8e025ba, "proc_create_single_data" },
	{ 0xf5bb044f, "nvmem_register" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xe99bba1f, "class_register" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x497a798c, "generic_shutdown_super" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x333051c0, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x25f2b2c8, "kmemdup_array" },
	{ 0xf3a01e64, "sget_dev" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x534b909d, "bdi_unregister" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xdd45c2c2, "bdi_register" },
	{ 0x343c8959, "device_unregister" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xf4dbed27, "nvmem_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xd65b245a, "logfc" },
	{ 0x9ea85240, "sysfs_remove_files" },
	{ 0x90fe8bbd, "__module_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x92997ed8, "_printk" },
	{ 0x767c75cc, "bdi_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x45ee0529, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6857cc3d, "module_put" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0xcfe8571b, "debugfs_create_bool" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5655080261274AEC2A5A86D");

MODULE_INFO(suserelease, "SLFO-1.2");
