#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ubi_do_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_volume_info, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_nm, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_path, "_gpl", "");
KSYMTAB_FUNC(ubi_close_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read_sg, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_write, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_change, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_erase, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_unmap, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_map, "_gpl", "");
KSYMTAB_FUNC(ubi_is_mapped, "_gpl", "");
KSYMTAB_FUNC(ubi_sync, "_gpl", "");
KSYMTAB_FUNC(ubi_flush, "_gpl", "");
KSYMTAB_FUNC(ubi_register_volume_notifier, "_gpl", "");
KSYMTAB_FUNC(ubi_unregister_volume_notifier, "_gpl", "");

SYMBOL_CRC(ubi_do_get_device_info, 0x3c721423, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0x0c0bf312, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0xb20c0604, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0x0e982780, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0x04a4696c, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0xbd895ff8, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0x8d96d856, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0x1b66f240, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0xda11f08e, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0x6cdfb257, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0x319467b9, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0x7ecb8c18, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0x44c44f98, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0x73952be8, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96fcaff9, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe9d722b4, "device_set_node" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f64df31, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0xbc40496c, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45ee0529, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xb1ca3625, "fwnode_property_read_u32_array" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6857cc3d, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x2a730987, "compat_ptr_ioctl" },
	{ 0x56bbb810, "cdev_add" },
	{ 0xa21d1229, "mtd_block_markbad" },
	{ 0x77f5bb81, "down_write" },
	{ 0x264635e1, "up_write" },
	{ 0x52978850, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa2857144, "unregister_mtd_user" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x77e0a229, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x874de931, "put_mtd_device" },
	{ 0x54648cea, "register_mtd_user" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4a2851c4, "mtd_read" },
	{ 0xd960722a, "kthread_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5ad1ef3d, "freezing_slow_path" },
	{ 0xd6f020db, "device_register" },
	{ 0xfb578fc5, "memset" },
	{ 0xe71e7af3, "kern_path" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xe54012d3, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x94f4e2ad, "mtd_erase" },
	{ 0x9bf19f49, "down_write_trylock" },
	{ 0xa985aeff, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0x911c8743, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe5992fd, "mtd_write" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x72741cbf, "fwnode_property_read_string" },
	{ 0xea9a479d, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x699df697, "device_get_named_child_node" },
	{ 0x66ca9904, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x55553a9e, "mtd_get_device_size" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd7123d06, "seq_open" },
	{ 0x754d539c, "strlen" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x1df984a6, "mtd_block_isbad" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xe99bba1f, "class_register" },
	{ 0xaf86b7d6, "cdev_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xee672399, "cdev_del" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0x760a0f4f, "yield" },
	{ 0xdc0df056, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x173756c, "__init_rwsem" },
	{ 0xbca03f0, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x60ab0e4e, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0xb916c778, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf3723554, "cdev_device_del" },
	{ 0x343c8959, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0xb9c26d1f, "fwnode_get_next_child_node" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x1a2f220, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xbe19efc3, "get_mtd_device_nm" },
	{ 0x8d7ceb72, "path_put" },
	{ 0x10537f19, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2b01b4b5, "get_mtd_device" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mtd");


MODULE_INFO(srcversion, "5470A517A24964CAE386EE5");

MODULE_INFO(suserelease, "SLFO-1.2");
