#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0x3aabc8d0, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0x0ab52f6c, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x71f11a51, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0xac3c228a, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0x981fd00f, "_gpl");
SYMBOL_CRC(m_can_class_register, 0x35936992, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0x45839037, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0xc847c91b, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0xf9622ddd, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc34ced0c, "can_free_echo_skb" },
	{ 0x373b0d5, "dql_reset" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa2ab3e0c, "unregister_candev" },
	{ 0xf5a7e7c2, "can_rx_offload_del" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x701e06df, "devm_clk_get" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x62d1ac71, "netif_tx_wake_queue" },
	{ 0x34c3024b, "netif_schedule_queue" },
	{ 0x82fc96d3, "can_skb_get_frame_len" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x978b8b21, "can_put_echo_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x295a0e4e, "hrtimer_try_to_cancel" },
	{ 0x93fae14b, "hrtimer_cancel" },
	{ 0x2ab99f9f, "__pm_runtime_idle" },
	{ 0x4102c5e2, "hrtimer_start_range_ns" },
	{ 0xa1cbdf5e, "netdev_warn" },
	{ 0x56caf454, "phy_power_on" },
	{ 0x7791c9df, "open_candev" },
	{ 0xf667f730, "napi_enable" },
	{ 0x4d6f2b25, "phy_power_off" },
	{ 0xac74ab21, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x948e7075, "napi_disable" },
	{ 0x564b782a, "close_candev" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xcb36ab8d, "can_dropped_invalid_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xd397c945, "netdev_printk" },
	{ 0x3a4483d9, "pinctrl_pm_select_default_state" },
	{ 0x464b9c63, "netif_device_attach" },
	{ 0x5bf7db3e, "hrtimer_init" },
	{ 0x4b63302f, "register_candev" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xf4da9c19, "can_rx_offload_add_manual" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x224c0970, "netif_napi_add_weight_locked" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xfe088ccf, "alloc_can_err_skb" },
	{ 0x2e85ce89, "can_rx_offload_queue_timestamp" },
	{ 0x43cb93ec, "netif_receive_skb" },
	{ 0x92225dd3, "__dynamic_netdev_dbg" },
	{ 0xada2ce5f, "pinctrl_pm_select_sleep_state" },
	{ 0xba06c412, "netif_device_detach" },
	{ 0x7306d11b, "can_bus_off" },
	{ 0xf5667b43, "alloc_canfd_skb" },
	{ 0x7f2b63a8, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0xd2cf8f93, "napi_complete_done" },
	{ 0xab01c693, "hrtimer_active" },
	{ 0x4e0aac0c, "napi_schedule_prep" },
	{ 0x1c5a9635, "can_rx_offload_threaded_irq_finish" },
	{ 0xc057d3fd, "__napi_schedule" },
	{ 0xbad37768, "hrtimer_forward" },
	{ 0x872addb6, "ethtool_op_get_ts_info" },
	{ 0xb40c9a94, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x33719327, "_dev_err" },
	{ 0x86725ba4, "__dev_fwnode" },
	{ 0xb1ca3625, "fwnode_property_read_u32_array" },
	{ 0x60f36309, "alloc_candev_mqs" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x8d1cbbf3, "free_candev" },
	{ 0x695afa95, "netdev_err" },
	{ 0x1e16c23d, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0xb52afcbb, "can_get_echo_skb" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "91F07721A1A9F5A18888370");

MODULE_INFO(suserelease, "SLFO-1.2");
