#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x92225dd3, "__dynamic_netdev_dbg" },
	{ 0xa4c15cf1, "call_switchdev_notifiers" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3f3d85b8, "spi_get_device_id" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x149eb2a8, "device_property_present" },
	{ 0x22d50cc, "devm_gpiod_get_optional" },
	{ 0xb83ed180, "spi_bus_lock" },
	{ 0x51836a8c, "gpiod_set_value" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3acc31b9, "spi_bus_unlock" },
	{ 0x4ae21619, "devm_mdiobus_alloc_size" },
	{ 0x7019b77d, "__devm_mdiobus_register" },
	{ 0x50f2b616, "devm_alloc_etherdev_mqs" },
	{ 0xec3e2730, "device_get_ethdev_address" },
	{ 0xba61bfe9, "netif_carrier_off" },
	{ 0xf8b13e88, "get_phy_device" },
	{ 0x2e809ddc, "phy_connect" },
	{ 0x23e55a9c, "__devm_add_action" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0xe3e53e9f, "devm_register_netdev" },
	{ 0x695afa95, "netdev_err" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x62d1ac71, "netif_tx_wake_queue" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc1504f53, "phy_stop" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0x6c612fb3, "eth_prepare_mac_addr_change" },
	{ 0x175ffba3, "phy_start" },
	{ 0xffba72b5, "ethtool_op_get_link" },
	{ 0x2661e053, "phy_ethtool_get_link_ksettings" },
	{ 0xf6e749e2, "phy_ethtool_set_link_ksettings" },
	{ 0xe4425a2b, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xecb9e982, "phy_disconnect" },
	{ 0xd9704a7, "phy_print_status" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x59639153, "phy_do_ioctl" },
	{ 0xd4c80e8b, "switchdev_handle_port_attr_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xd2ba727a, "__spi_register_driver" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0xb8978ab1, "spi_sync" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9c5d5b94, "crc8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x33719327, "_dev_err" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0x349f744b, "netif_rx" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mdio_devres,libphy,crc8");

MODULE_ALIAS("spi:adin1110");
MODULE_ALIAS("spi:adin2111");
MODULE_ALIAS("of:N*T*Cadi,adin1110");
MODULE_ALIAS("of:N*T*Cadi,adin1110C*");
MODULE_ALIAS("of:N*T*Cadi,adin2111");
MODULE_ALIAS("of:N*T*Cadi,adin2111C*");

MODULE_INFO(srcversion, "458E69A5B1D3479444DCC45");

MODULE_INFO(suserelease, "SLFO-1.2");
