#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pdsc_get_pf_struct, "_gpl", "");
KSYMTAB_FUNC(pds_client_register, "_gpl", "");
KSYMTAB_FUNC(pds_client_unregister, "_gpl", "");
KSYMTAB_FUNC(pds_client_adminq_cmd, "_gpl", "");
KSYMTAB_FUNC(pdsc_adminq_post, "_gpl", "");
KSYMTAB_FUNC(pdsc_register_notify, "_gpl", "");
KSYMTAB_FUNC(pdsc_unregister_notify, "_gpl", "");

SYMBOL_CRC(pdsc_get_pf_struct, 0x2cc898ed, "_gpl");
SYMBOL_CRC(pds_client_register, 0xeb4da904, "_gpl");
SYMBOL_CRC(pds_client_unregister, 0xadd09bbe, "_gpl");
SYMBOL_CRC(pds_client_adminq_cmd, 0x6d4f393b, "_gpl");
SYMBOL_CRC(pdsc_adminq_post, 0x61b6eddd, "_gpl");
SYMBOL_CRC(pdsc_register_notify, 0x45b87b4f, "_gpl");
SYMBOL_CRC(pdsc_unregister_notify, 0xce714617, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x67881199, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x33a9134d, "devl_lock" },
	{ 0xb0c76689, "pci_dev_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x8e7a03c, "debugfs_create_u16" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0xe07e8840, "devlink_params_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xa1e4b115, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x37a0cba, "kfree" },
	{ 0x38dd9ed7, "devlink_alloc_ns" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x8777251, "pci_reset_function_locked" },
	{ 0xf305c792, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x61f891c3, "pci_irq_vector" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0x10537f19, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd03b1b8f, "devlink_flash_update_status_notify" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x89b1c85d, "priv_to_devlink" },
	{ 0xbc40496c, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x38690fbe, "debugfs_create_x64" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x45ee0529, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xe77a76a1, "debugfs_create_regset32" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe6c71c81, "devl_health_reporter_create" },
	{ 0x46bc82cd, "pci_iov_vf_id" },
	{ 0xa0cae8bb, "debugfs_lookup" },
	{ 0x9581520b, "pci_iomap_range" },
	{ 0xa5d099f5, "devlink_flash_update_timeout_notify" },
	{ 0x33719327, "_dev_err" },
	{ 0xf1597117, "init_net" },
	{ 0xcfe8571b, "debugfs_create_bool" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xd5e487f8, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x7a905b8, "seq_putc" },
	{ 0x10119bb, "ida_free" },
	{ 0x2e403224, "devl_params_register" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x401c84a9, "debugfs_create_ulong" },
	{ 0x97ab7810, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2e9c96c7, "device_del" },
	{ 0xb19b445, "ioread8" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce3ecac6, "debugfs_create_u32" },
	{ 0x2a44c893, "devl_params_unregister" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x3bae7a98, "pci_reset_function" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xf352968a, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0x911c8743, "seq_read" },
	{ 0xea9a479d, "blocking_notifier_chain_unregister" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x45f5e226, "debugfs_create_x32" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2f12357e, "pci_release_regions" },
	{ 0xfb35297e, "pcie_print_link_status" },
	{ 0xe102c22b, "pci_dev_get" },
	{ 0x66ca9904, "seq_write" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0x56accdf1, "devlink_priv" },
	{ 0x81c283ad, "pci_disable_sriov" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0x55473fb7, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xd898659, "single_open" },
	{ 0x89fee5d9, "devl_register" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0x85909793, "pci_free_irq_vectors" },
	{ 0x65106459, "pci_enable_sriov" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfda2c542, "pci_iov_get_pf_drvdata" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xbbd1a328, "devl_unregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf2d9339d, "auxiliary_device_init" },
	{ 0x16902ab6, "pci_iomap" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001DD8d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001DD8d0000100Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "34EB1C58C0D5B6CC8EEF280");

MODULE_INFO(suserelease, "SLFO-1.2");
