#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd9704a7, "phy_print_status" },
	{ 0x948e7075, "napi_disable" },
	{ 0xc1504f53, "phy_stop" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0x43cb93ec, "netif_receive_skb" },
	{ 0x62d1ac71, "netif_tx_wake_queue" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd2cf8f93, "napi_complete_done" },
	{ 0x33719327, "_dev_err" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x4e0aac0c, "napi_schedule_prep" },
	{ 0xc057d3fd, "__napi_schedule" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0x1f7f45cd, "skb_tstamp_tx" },
	{ 0x8d15063, "__skb_pad" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf667f730, "napi_enable" },
	{ 0x175ffba3, "phy_start" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xeb05b3a8, "alloc_etherdev_mqs" },
	{ 0x88cbaf59, "platform_get_resource" },
	{ 0x77358855, "iomem_resource" },
	{ 0x45021218, "__devm_request_region" },
	{ 0xa79728d8, "platform_get_irq" },
	{ 0xc2c787a3, "devm_ioremap" },
	{ 0x6749cd3f, "dmam_alloc_attrs" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xc2b91464, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcee9a939, "__mdiobus_register" },
	{ 0xe675bea1, "phy_connect_direct" },
	{ 0x422634e9, "phy_set_max_speed" },
	{ 0x224c0970, "netif_napi_add_weight_locked" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x96d19db4, "register_netdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x701e06df, "devm_clk_get" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xe96bf46a, "phy_find_first" },
	{ 0x815588a6, "clk_enable" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0xb9574992, "phy_ethtool_nway_reset" },
	{ 0xffba72b5, "ethtool_op_get_link" },
	{ 0x872addb6, "ethtool_op_get_ts_info" },
	{ 0x2661e053, "phy_ethtool_get_link_ksettings" },
	{ 0xf6e749e2, "phy_ethtool_set_link_ksettings" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ccaa77e, "__platform_driver_register" },
	{ 0xeb515ab2, "mdiobus_get_phy" },
	{ 0x2a77ff8a, "phy_mii_ioctl" },
	{ 0x5ad12e30, "platform_driver_unregister" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x9ec81667, "__netif_napi_del_locked" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xecb9e982, "phy_disconnect" },
	{ 0xa8e44c6a, "mdiobus_unregister" },
	{ 0xb40f3a02, "mdiobus_free" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x69492855, "unregister_netdev" },
	{ 0x653194b1, "free_netdev" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("of:N*T*Copencores,ethoc");
MODULE_ALIAS("of:N*T*Copencores,ethocC*");

MODULE_INFO(srcversion, "394572389829294D0E3577E");

MODULE_INFO(suserelease, "SLFO-1.2");
