#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fun_submit_admin_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(fun_get_res_count, "_gpl", "");
KSYMTAB_FUNC(fun_res_destroy, "_gpl", "");
KSYMTAB_FUNC(fun_bind, "_gpl", "");
KSYMTAB_FUNC(fun_reserve_irqs, "", "");
KSYMTAB_FUNC(fun_release_irqs, "", "");
KSYMTAB_FUNC(fun_serv_stop, "_gpl", "");
KSYMTAB_FUNC(fun_serv_restart, "_gpl", "");
KSYMTAB_FUNC(fun_serv_sched, "_gpl", "");
KSYMTAB_FUNC(fun_dev_disable, "", "");
KSYMTAB_FUNC(fun_dev_enable, "", "");
KSYMTAB_FUNC(fun_alloc_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_free_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_sq_create, "_gpl", "");
KSYMTAB_FUNC(fun_cq_create, "_gpl", "");

SYMBOL_CRC(fun_submit_admin_sync_cmd, 0xb87a3505, "_gpl");
SYMBOL_CRC(fun_get_res_count, 0xa9bb3193, "_gpl");
SYMBOL_CRC(fun_res_destroy, 0x51a2614c, "_gpl");
SYMBOL_CRC(fun_bind, 0x42ab8a54, "_gpl");
SYMBOL_CRC(fun_reserve_irqs, 0x02a36747, "");
SYMBOL_CRC(fun_release_irqs, 0x41bd5ee9, "");
SYMBOL_CRC(fun_serv_stop, 0x24aee9a5, "_gpl");
SYMBOL_CRC(fun_serv_restart, 0xcae1495d, "_gpl");
SYMBOL_CRC(fun_serv_sched, 0xb7fe014b, "_gpl");
SYMBOL_CRC(fun_dev_disable, 0x99facc3a, "");
SYMBOL_CRC(fun_dev_enable, 0x1744ec82, "");
SYMBOL_CRC(fun_alloc_ring_mem, 0x62488c6b, "_gpl");
SYMBOL_CRC(fun_free_ring_mem, 0xa0dc8161, "_gpl");
SYMBOL_CRC(fun_sq_create, 0xcbb5c789, "_gpl");
SYMBOL_CRC(fun_cq_create, 0xb957813a, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd9619c73, "pci_release_selected_regions" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x56484b4b, "pci_enable_device_mem" },
	{ 0x67881199, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0xedc03953, "iounmap" },
	{ 0x41ff049a, "sbitmap_queue_wake_all" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x61f891c3, "pci_irq_vector" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xd38211ba, "pci_ioremap_bar" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdb04da36, "sbitmap_queue_init_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0x6249bb21, "__alloc_pages_noprof" },
	{ 0xfbcdb5f9, "sbitmap_prepare_to_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x618911fc, "numa_node" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x12bfdb89, "pci_select_bars" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x8d816799, "__dma_sync_single_for_cpu" },
	{ 0x33719327, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x3c52136a, "sbitmap_queue_clear" },
	{ 0xbada6f58, "__put_devmap_managed_folio_refs" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x8b50604b, "sbitmap_finish_wait" },
	{ 0x7e88de20, "__dma_sync_single_for_device" },
	{ 0xfb35297e, "pcie_print_link_status" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb320dce3, "__sbitmap_queue_get" },
	{ 0x85909793, "pci_free_irq_vectors" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4fca9753, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa96e26fc, "pci_msix_vec_count" },
	{ 0x118ab15a, "pci_request_selected_regions" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "95B697930470BE54ACB93ED");

MODULE_INFO(suserelease, "SLFO-1.2");
