#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0xdebba767, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0xea012692, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0xfc757aab, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x5d012b77, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0x677a5a69, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8c9e54d3, "devlink_info_version_running_put_ext" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xffba72b5, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xbb72e7ed, "netif_set_xps_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc5616071, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x32486b42, "netif_tx_stop_all_queues" },
	{ 0xef211625, "pci_restore_state" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0x62d1ac71, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x2e9c96c7, "device_del" },
	{ 0xe78c1cdf, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7e91ea33, "dcb_getapp" },
	{ 0xe00337c8, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x6c59e077, "flow_rule_match_ports" },
	{ 0x2a52217c, "gnss_allocate_device" },
	{ 0xa5cb1a, "dpll_netdev_pin_set" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x6ab45b09, "ptp_clock_event" },
	{ 0xdef801a1, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x34c3024b, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0xe4cd6380, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x33a6269f, "flow_rule_match_ipv6_addrs" },
	{ 0x83576647, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x2a44c893, "devl_params_unregister" },
	{ 0xf3710ebc, "ptp_clock_unregister" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x6d65dd75, "xp_dma_unmap" },
	{ 0xd7009000, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x83047ab5, "rhashtable_destroy" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x277be111, "switchdev_handle_port_obj_add" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xf352968a, "devl_unlock" },
	{ 0x9ec81667, "__netif_napi_del_locked" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x92225dd3, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0xb98fa7ed, "__xa_insert" },
	{ 0x918431c7, "xa_erase" },
	{ 0x4760e88e, "flow_rule_match_pppoe" },
	{ 0x535cbfc1, "flow_rule_match_enc_control" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0x911c8743, "seq_read" },
	{ 0x1a49a4e0, "__page_frag_cache_drain" },
	{ 0x42348b13, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x758ad137, "_dev_notice" },
	{ 0xf92b00a8, "gnss_deregister_device" },
	{ 0xcee6bdf5, "rps_may_expire_flow" },
	{ 0x27952cc5, "metadata_dst_free" },
	{ 0x8d4ebb2a, "xsk_set_tx_need_wakeup" },
	{ 0xf6acf8d5, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4e45c13a, "netdev_reset_tc" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x93cd0ba5, "rhashtable_init_noprof" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xbe179e15, "page_pool_put_netmem_bulk" },
	{ 0x537f474e, "kthread_destroy_worker" },
	{ 0x62947455, "flow_rule_match_enc_ipv6_addrs" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xed220a6f, "flow_rule_match_enc_ports" },
	{ 0x289d514, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x1203e731, "dpll_netdev_pin_clear" },
	{ 0xd8549c34, "netif_queue_set_napi" },
	{ 0x7e88de20, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0x9db965fe, "call_netdevice_notifiers" },
	{ 0xfea41449, "xa_find" },
	{ 0x680d1145, "devl_assert_locked" },
	{ 0xfb35297e, "pcie_print_link_status" },
	{ 0xac4010bf, "xp_set_rxq_info" },
	{ 0xd7b5b5e1, "flow_rule_match_vlan" },
	{ 0xf74cc695, "devl_port_unregister" },
	{ 0xf8c23ee0, "xdp_rxq_info_unreg" },
	{ 0xe102c22b, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xba7bd1a6, "napi_build_skb" },
	{ 0xf40d8fa8, "netdev_master_upper_dev_get_rcu" },
	{ 0xe36429c0, "__xdp_rxq_info_reg" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x6d3a49d8, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xba61bfe9, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3335abed, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x81d54b67, "dpll_pin_register" },
	{ 0xe965080e, "gnss_register_device" },
	{ 0xe534dea0, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x56accdf1, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0x269c07ff, "__hw_addr_sync_dev" },
	{ 0x81c283ad, "pci_disable_sriov" },
	{ 0xfc38b0e4, "pldmfw_flash_image" },
	{ 0x59c4b66f, "kthread_queue_delayed_work" },
	{ 0x30098b59, "metadata_dst_alloc" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0xbe2d6696, "netif_carrier_on" },
	{ 0x2cfb4914, "netdev_set_num_tc" },
	{ 0x39cee1a7, "dpll_device_register" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x77c0729f, "hwmon_device_unregister" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd2e6f93e, "dev_uc_add_excl" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0x32af9c47, "xp_free" },
	{ 0xf7458de9, "dev_mc_add_excl" },
	{ 0xda252a42, "gnss_put_device" },
	{ 0x55473fb7, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0xb83ae5e1, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf3c38f7e, "pack_fields_u8" },
	{ 0xca1e1f76, "netif_set_tso_max_size" },
	{ 0xcfdeb295, "__skb_flow_dissect" },
	{ 0x4050ab3d, "vlan_dev_vlan_id" },
	{ 0x4749ebdf, "pci_msix_alloc_irq_at" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x5189aeee, "skb_add_rx_frag_netmem" },
	{ 0xa256d729, "xa_find_after" },
	{ 0xcdf837bf, "pcim_iomap_table" },
	{ 0x768c573, "xdp_master_redirect" },
	{ 0x23e55a9c, "__devm_add_action" },
	{ 0x9ff9143c, "dpll_pin_on_pin_register" },
	{ 0x4e0aac0c, "napi_schedule_prep" },
	{ 0xe027a14f, "napi_consume_skb" },
	{ 0xad82bbd2, "pci_read_config_byte" },
	{ 0x36be323c, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0x948e7075, "napi_disable" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x2e4a9cb0, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xd898659, "single_open" },
	{ 0xe3d14983, "pcim_enable_device" },
	{ 0x89fee5d9, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x85909793, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x2c08c823, "flow_rule_match_control" },
	{ 0xb5de17c2, "flow_rule_match_ip" },
	{ 0x65106459, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xce904365, "dpll_device_get" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xa0653200, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x872addb6, "ethtool_op_get_ts_info" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x8b3f301, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xd6a3ce27, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4e7b468d, "__tracepoint_xdp_exception" },
	{ 0x645da0a0, "xsk_tx_completed" },
	{ 0x54759cf4, "napi_alloc_skb" },
	{ 0xeb05b3a8, "alloc_etherdev_mqs" },
	{ 0xa2c88188, "netdev_lower_get_next" },
	{ 0x52f232bd, "flow_block_cb_lookup" },
	{ 0x4fca9753, "pci_save_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xbc91ef1, "devl_rate_leaf_create" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x290bc1d9, "device_set_wakeup_enable" },
	{ 0x8d15063, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbbd1a328, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3e5220fd, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfc827c93, "pci_find_ext_capability" },
	{ 0x28f42571, "kthread_create_worker" },
	{ 0x4bae8348, "bpf_prog_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x35a2089b, "devl_region_create" },
	{ 0x677a4e0a, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0x333051c0, "idr_find" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0x93554ffe, "kthread_cancel_delayed_work_sync" },
	{ 0xd89b9d0d, "dpll_device_change_ntf" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x349056f0, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x1f7f45cd, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa4c15cf1, "call_switchdev_notifiers" },
	{ 0x86871b40, "devlink_info_version_stored_put_ext" },
	{ 0xe1e21a2a, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x98ce86d6, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xabdeeb7e, "ethtool_forced_speed_maps_init" },
	{ 0xf2d9339d, "auxiliary_device_init" },
	{ 0x56484b4b, "pci_enable_device_mem" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0x5ae793f5, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0x67881199, "pci_alloc_irq_vectors" },
	{ 0x24820e4a, "flow_rule_match_l2tpv3" },
	{ 0xcd3d008c, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5df52214, "xsk_tx_peek_release_desc_batch" },
	{ 0xa0774cf1, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6749cd3f, "dmam_alloc_attrs" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x33a9134d, "devl_lock" },
	{ 0xb0c76689, "pci_dev_put" },
	{ 0x828526d, "xp_fill_cb" },
	{ 0x4b9f5640, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x45d6165, "ndo_dflt_bridge_getlink" },
	{ 0x69492855, "unregister_netdev" },
	{ 0x70e7639, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xa7330157, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd0e47cdd, "xdp_features_set_redirect_target" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xf9664f72, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2476a690, "request_firmware" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0xfe3073e8, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x5a420bb, "flow_rule_match_cvlan" },
	{ 0x1057a279, "bsearch" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x7ad2f904, "gnss_insert_raw" },
	{ 0xe6c0bcfc, "pci_num_vf" },
	{ 0xe6817d86, "flow_rule_match_eth_addrs" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0xb086a20d, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x592487b8, "ptp_clock_index" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x9224ff98, "devl_port_fn_devlink_set" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf1cf0d86, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x38dd9ed7, "devlink_alloc_ns" },
	{ 0xf1ebb194, "devl_rate_leaf_destroy" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd34846e8, "xdp_do_redirect" },
	{ 0xf305c792, "devlink_free" },
	{ 0xe4425a2b, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x224c0970, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xd6e22000, "devl_rate_node_create" },
	{ 0xa1cbdf5e, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xd9cb60b3, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x68e801b6, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x275ad424, "devl_rate_nodes_destroy" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x61f891c3, "pci_irq_vector" },
	{ 0x339c1e77, "flow_rule_match_ipv4_addrs" },
	{ 0x46e90499, "dpll_pin_on_pin_unregister" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x9446dbc9, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x695afa95, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0xd4c80e8b, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xd03b1b8f, "devlink_flash_update_status_notify" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0xf1813375, "pci_restore_msi_state" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x83fac280, "xdp_return_buff" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0x2a6ed38, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x57bf10ff, "auxiliary_driver_unregister" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0xd2cf8f93, "napi_complete_done" },
	{ 0x174cbdd3, "switchdev_handle_port_obj_del" },
	{ 0x6249bb21, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x89b1c85d, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7870e98b, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xbba5a531, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x45ee0529, "put_device" },
	{ 0x172eda11, "devm_free_irq" },
	{ 0x8ee8543e, "net_dim" },
	{ 0xc057d3fd, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x2f860523, "ipv6_skip_exthdr" },
	{ 0xdce8ee65, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x36c34f11, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xba06c412, "netif_device_detach" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8375762d, "__free_pages" },
	{ 0xd60e2963, "__hw_addr_unsync_dev" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x7bea261e, "napi_gro_receive" },
	{ 0x464b9c63, "netif_device_attach" },
	{ 0xf73fdc34, "xdp_features_clear_redirect_target" },
	{ 0x24eb4c33, "netdev_pick_tx" },
	{ 0xf9f9c208, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf2c1808a, "xp_raw_get_dma" },
	{ 0xf038aac4, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4776013, "pci_iov_virtfn_devfn" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x3888b4c2, "xdp_rxq_info_is_reg" },
	{ 0x5e986f27, "flow_rule_match_enc_opts" },
	{ 0xe6c71c81, "devl_health_reporter_create" },
	{ 0x7085bba, "flow_block_cb_setup_simple" },
	{ 0x436af6d5, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xdb5dd39e, "flow_rule_match_basic" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x1fd06c13, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9325f7fe, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x75a54147, "__xa_alloc" },
	{ 0xaebc0749, "vlan_dev_real_dev" },
	{ 0xa8528430, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8d816799, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf8226993, "devm_kmemdup" },
	{ 0xa9d64345, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xa5d099f5, "devlink_flash_update_timeout_notify" },
	{ 0x5fbdd86f, "devm_kfree" },
	{ 0x33719327, "_dev_err" },
	{ 0xf1597117, "init_net" },
	{ 0x52978850, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8f82ff9c, "xdp_return_frame" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x1c47cd62, "ptp_clock_register" },
	{ 0x8b5d5315, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x7be577eb, "__wake_up_locked" },
	{ 0xff6e59c2, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xf583afa8, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xd5e487f8, "__auxiliary_device_add" },
	{ 0x44cd18ee, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb9b31de8, "xa_load" },
	{ 0x1a8479d1, "netif_set_real_num_rx_queues" },
	{ 0x72e611e1, "do_wait_intr_irq" },
	{ 0x72d72b07, "flow_indr_block_cb_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x2b0456c5, "devl_port_register_with_ops" },
	{ 0x6f664f4b, "devlink_fmsg_dump_skb" },
	{ 0xf6dc2533, "pci_wait_for_pending_transaction" },
	{ 0x7b22ce3b, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xdefa98a7, "pci_device_is_present" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x2b8216f, "pci_read_config_word" },
	{ 0x6bb00cf3, "pcie_flr" },
	{ 0xf667f730, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x35d53108, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xd2b981aa, "dcbnl_ieee_notify" },
	{ 0xc876210e, "xsk_uses_need_wakeup" },
	{ 0x96d19db4, "register_netdev" },
	{ 0xd02809b8, "dev_mc_del" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x653194b1, "free_netdev" },
	{ 0x17b4dd07, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2e403224, "devl_params_register" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "gnss,libie");

MODULE_ALIAS("auxiliary:ice.sf");
MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DEsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "2F01B4F180BF65F3E9B6AAE");

MODULE_INFO(suserelease, "SLFO-1.2");
