#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x36787405, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x518e25ba, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x863de607, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0xfddf470a, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0xb25dbfa3, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x5bb2e37d, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x9b2b9ee3, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0xd636f065, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0x14c8cf2c, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x8feb51b2, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0xe64ad8b9, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0xcb549792, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0x65652fee, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0xaec0a57b, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x13b1f1ce, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x8108fece, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x5e04f18c, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x04cbfb3d, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0xeda03dbe, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0x42705e15, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x0146e3c2, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x610623d0, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0xae8dce2d, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0xddb4ce9f, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0x0715f65c, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0xba1b2833, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x5b629f39, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x0bcd78a4, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0xdb2321f5, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0x527ea91f, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0xdae1bbfd, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x6bd1011b, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x8a30af31, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x6b978728, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0xeda6c134, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0x1fc77e2c, "");
SYMBOL_CRC(mlx4_test_async, 0x36f9f264, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x41ff645b, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x46d3870e, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0x45e6e1fe, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0x6bc78da1, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0xaaae365d, "");
SYMBOL_CRC(mlx4_assign_eq, 0x52dfeffd, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0xfaba873f, "");
SYMBOL_CRC(mlx4_release_eq, 0xdc3c34c6, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x8fc13079, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0xecfc22a1, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0xeed058e5, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0xe36b756f, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x51ba81c4, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0xf1e0782f, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0xd37976e3, "");
SYMBOL_CRC(mlx4_wol_read, 0x06987fa5, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x76f214ef, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x848fe201, "_gpl");
SYMBOL_CRC(get_phv_bit, 0x7cd45370, "");
SYMBOL_CRC(set_phv_bit, 0xfeb58b8d, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0xea532d18, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0x0f80e3e4, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0xb1aa9776, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0x7de58ab1, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0xe6998009, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x81ed6c93, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0xf389628b, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x617ffd0e, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x2ab620d3, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0xacd08ef6, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x3271872b, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0xdaa11174, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0x990c5177, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0xd5525f4b, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0x23cbbd7e, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0x3234686e, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x78ac8fe8, "");
SYMBOL_CRC(mlx4_is_slave_active, 0xd8b444c9, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0x98bf9ca9, "");
SYMBOL_CRC(mlx4_read_clock, 0xf4788504, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0xfc0fa1f9, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x55da85ba, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x081b9c9f, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x3d29465d, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0xc343fdf4, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x08b4c2b2, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0x48e0bdd8, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x135832e4, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x81589f0e, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x5a5e2f0c, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0xa5d50392, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x7adbad76, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x00a6dbc7, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x2f999254, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x6f6fa980, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x8912b7f7, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0x02ad762d, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0xf71859c5, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x938914fc, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x480b16a5, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0xaed3e9cd, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0xec78edee, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0xec5893b8, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0xefe14dfb, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0xf7a6e797, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x441d462a, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0xc349e797, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0xe49da58c, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0xef346a92, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0x3a221def, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0x941a85e3, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0x485e226a, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x7e7b0bc3, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0x79a8378d, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x8643a474, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x0c506d96, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x690aa912, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0xc5f68a1f, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x987cce5c, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0x297a90a3, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0xd05362dd, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0x551bfbe4, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0x5dec89f4, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0x1fb682b3, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x1c850a82, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0x9f928e41, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0x84b6645f, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x7acbac5c, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x3aac77a3, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0x7754eaf7, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0xdbef9bca, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x4a3e6c08, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x4df27781, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0xcc8fa924, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0xab6d2bc9, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0xcd216fdb, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x98186fb6, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x9d9620ef, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x974db852, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x95b4f455, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0xad6ed72d, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0xbad97b26, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0xbf8c9085, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0xb26882b4, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0xfe7bac43, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0xbf9a3b2d, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0xdf8e7118, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x1b04dc8c, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0xe9f02031, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0xaeb003fe, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x59118ef6, "");
SYMBOL_CRC(mlx4_get_module_info, 0x8716d9af, "");
SYMBOL_CRC(mlx4_max_tc, 0x49c2e880, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0xeeabe713, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0xf3539fae, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0xd4853d38, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x6e17b815, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0x34110a30, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0xcfe537d3, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0xe5112848, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0xfaa7cbb1, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0x4ac0a687, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x750b0d48, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x28dfeee5, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0xceead54b, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x9d069268, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0xf97b92ce, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0cf09d0, "devlink_port_type_clear" },
	{ 0xf305c792, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x77ad1ab3, "param_ops_byte" },
	{ 0x1a2f220, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x9493fc86, "node_states" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x2123f09b, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x57bf10ff, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x6249bb21, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xea429543, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x89b1c85d, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x31ff760, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x45ee0529, "put_device" },
	{ 0x8f47e2dd, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0x8375762d, "__free_pages" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xf4bf5395, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0xedca7114, "radix_tree_delete" },
	{ 0x8d816799, "__dma_sync_single_for_cpu" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x77f5bb81, "down_write" },
	{ 0x33719327, "_dev_err" },
	{ 0xf1597117, "init_net" },
	{ 0x264635e1, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0xd5e487f8, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x2b0456c5, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x2b8216f, "pci_read_config_word" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x10119bb, "ida_free" },
	{ 0x2e403224, "devl_params_register" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xef211625, "pci_restore_state" },
	{ 0x2e9c96c7, "device_del" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x6e670de8, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x3c6a98c7, "__kmalloc_cache_node_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x68e6df7b, "atomic_notifier_call_chain" },
	{ 0x2a44c893, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa985aeff, "down_read" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xf352968a, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0x526336c8, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x2f12357e, "pci_release_regions" },
	{ 0x7e88de20, "__dma_sync_single_for_device" },
	{ 0x680d1145, "devl_assert_locked" },
	{ 0xfb35297e, "pcie_print_link_status" },
	{ 0xf74cc695, "devl_port_unregister" },
	{ 0x3550f980, "devl_param_driverinit_value_get" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x56accdf1, "devlink_priv" },
	{ 0x81c283ad, "pci_disable_sriov" },
	{ 0x797178ae, "pci_disable_msix" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0xb83ae5e1, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x11e6ecb, "dma_unmap_sg_attrs" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x754d539c, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xf80797cf, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x65106459, "pci_enable_sriov" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x529386f3, "pci_write_config_dword" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x69d137d1, "device_remove_file" },
	{ 0x3f166ba5, "dma_map_sg_attrs" },
	{ 0xb74c17d6, "devl_param_value_changed" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe914e41e, "strcpy" },
	{ 0x4fca9753, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5adde7b8, "pcie_capability_write_word" },
	{ 0x173756c, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x35a2089b, "devl_region_create" },
	{ 0xb5943313, "devlink_unregister" },
	{ 0x5c249a89, "dma_pool_create" },
	{ 0x1056f31c, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf2d9339d, "auxiliary_device_init" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x843f15ac, "devlink_region_snapshot_id_get" },
	{ 0x33a9134d, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf7c2c630, "radix_tree_lookup" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0xe6c0bcfc, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x9449d1a3, "param_array_ops" },
	{ 0xa1e4b115, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x38dd9ed7, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xe332dbde, "pci_sriov_get_totalvfs" },
	{ 0xa705fd3d, "devlink_register" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FD3B380A8BE9456BE066421");

MODULE_INFO(suserelease, "SLFO-1.2");
