#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_fc_local_create, "", "");
KSYMTAB_FUNC(mlx5_fc_local_destroy, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x2333263d, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x8fbfa00e, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x1edc1529, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x8bb355c9, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0xf96856a2, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x7d96447d, "");
SYMBOL_CRC(mlx5_cmd_check, 0xbfaa8cf7, "");
SYMBOL_CRC(mlx5_cmd_do, 0x082a2548, "");
SYMBOL_CRC(mlx5_cmd_exec, 0xc3a4b950, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0xfb048163, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xd60fc169, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x820f11c5, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x07a4502f, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xb10175eb, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x51aa8b47, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x964d08d5, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0xd5067db3, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x2fba0d53, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0xde1f7bb7, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x144a878a, "");
SYMBOL_CRC(mlx5_eq_enable, 0xb1f669af, "");
SYMBOL_CRC(mlx5_eq_disable, 0x47b6813c, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xc9c70ac1, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x59ff0698, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0xff1f18eb, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0xef1d95e8, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0xf04b2df5, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x00ff20d5, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x0888e4ba, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0xc6350db1, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0xa72871fe, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x72700026, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x76f72ea3, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xf006b83a, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x761b6e20, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x84813c80, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0xefdd29da, "");
SYMBOL_CRC(mlx5_create_cq, 0x8183cdd5, "");
SYMBOL_CRC(mlx5_core_create_cq, 0xc76978af, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x47e3629b, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x1483f486, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x05d91f7f, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0xad12a034, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0xadb040dc, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x367ed900, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x3e5b9c78, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x6e4af49d, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x35b8a874, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x284afb8e, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x5a137073, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x3de60559, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x897003ca, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x86c4439d, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x62897138, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0xd37b9e64, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x23969507, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0x7804fa03, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x3f6439de, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x1c5f2392, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x2e8d20af, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0xe7557cd9, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0xbd099b7e, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0xec0ddd29, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x947dfcf7, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0xae037589, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0xa80d863a, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0xfb55d8df, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x2bbb7e26, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x93b914e4, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0xf73914b8, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x3758611c, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0xac5b40fa, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x82d9eb20, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x2a8083d8, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xfb861920, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x46bce785, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0xee1a6c2c, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x4753d65b, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x752fdc8c, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x11cee435, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x8f2be3e1, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0xfeb6a655, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x5d30523b, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x6645deac, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x8310baee, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x17e95d30, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0xf2cecbfc, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xbea5b1af, "");
SYMBOL_CRC(mlx5_core_query_rq, 0xb6a868c8, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xfcfab8fb, "");
SYMBOL_CRC(mlx5_core_query_sq, 0xb89c1bcf, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0xde3ab95f, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0xd74489df, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xb41e1e3e, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x492e280f, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x8fa5c58c, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xcb5be7a0, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0xf9e53fa9, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x8c83007c, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0xb1b1b7e3, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x42c6ab5e, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x22886ef9, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0x79ff708c, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x98920ac2, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0xcae13cd8, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x051570a2, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x79fd920d, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x211f4dab, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x1a0c9b3c, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x3f3534fe, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x1544a5e8, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x57ad07d6, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x0f6f63a2, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x8f33c92d, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xf6f84619, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x4e5e1bc2, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xf34bfafb, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x53b06a6e, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xb54cce10, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0xdca98a18, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0xbedb79b3, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xe98eaf40, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x46d7d860, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0xcded535f, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x639c11e0, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0xd1d7d004, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x01339cec, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x8fa9152a, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0xa2d4af99, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x49d3164b, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x83122bfa, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x3f97fabd, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xb2a79371, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0x98f84926, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x182c6e07, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x7240ef8b, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0xae862241, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x0b0093b3, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xe59f2a54, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x73ebe764, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x176b5b80, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x21902872, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x78ccafec, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x3dde5dec, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x9d0fd028, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x2f298665, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x7f0cfa96, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x85d653ec, "");
SYMBOL_CRC(mlx5_fc_create, 0xe01b7cb1, "");
SYMBOL_CRC(mlx5_fc_id, 0x43d3bc60, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x1d2da74c, "");
SYMBOL_CRC(mlx5_fc_query, 0x7a1ec6a4, "");
SYMBOL_CRC(mlx5_fc_local_create, 0x48b3a7c3, "");
SYMBOL_CRC(mlx5_fc_local_destroy, 0xb802aced, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x03e149a9, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xb12ab629, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0xce0ef129, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0xd050e5ba, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x7e98145d, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0xa7598ad2, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x3bdafe90, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x34898693, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x0a6bacf3, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xaeded20a, "");
SYMBOL_CRC(mlx5_lag_is_master, 0xf6507fb5, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0xb1767092, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0xc26a13f8, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0xfee28b8f, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x9ef8acd5, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x410adebd, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x8eb1093f, "");
SYMBOL_CRC(mlx5_notifier_register, 0xc4687dae, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0xb9faa0bb, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x57ecf3af, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0xaae1ac59, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x7f0cd85b, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x5f9f661f, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0xfc8fc0fd, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0xb4a16694, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x98e8a71d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x8bd2cbf6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x869fc52c, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0x31fc10de, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xdcf68ca4, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x2f8b72ef, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0xf907e68f, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x5ea2ce5d, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0xe77084be, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0x5013514c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0x7371915e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0x4e64337d, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x9cc3cf02, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xd7e0cb6a, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0xcd03b85a, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x053877c6, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0xaf650c25, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0x54f8009e, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0x81bf4de9, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x12b0904c, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xe45e5458, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x346d465f, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0xd2169d66, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x518c5fee, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0xe6869738, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x13d072c5, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x3159571a, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x3b6418b1, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x216c8bdd, "");
SYMBOL_CRC(mlx5_wc_support_get, 0xb5dfce09, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0xcf88a57a, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x3a2e311c, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0xeb0e7cc6, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x88e1d7cf, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x2cbc2ab9, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x9e1a9cfd, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x757e9408, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0xf9d53edd, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x029450eb, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x5e495f61, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0xdd4b305f, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0xac0cb81f, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0xc123d6eb, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x62d62407, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x6ec98316, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xd2882d34, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xe5f21cb5, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x1b41ad77, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0xa6bc74c1, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x49b178d8, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0xe88208da, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x50897c1a, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x93a1352c, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0xf25eecdf, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x783d1725, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1c47cd62, "ptp_clock_register" },
	{ 0xf1ebb194, "devl_rate_leaf_destroy" },
	{ 0x592487b8, "ptp_clock_index" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x745ac523, "dev_get_by_index" },
	{ 0x9224ff98, "devl_port_fn_devlink_set" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x173756c, "__init_rwsem" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x9e571b9b, "debugfs_attr_read" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xe027a14f, "napi_consume_skb" },
	{ 0xd397c945, "netdev_printk" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x24eb4c33, "netdev_pick_tx" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf1bfa205, "page_pool_alloc_pages" },
	{ 0xeac35e53, "devlink_port_attrs_pci_pf_set" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x90043a2e, "arp_tbl" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x2f12357e, "pci_release_regions" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xbb304251, "ptp_schedule_worker" },
	{ 0x83047ab5, "rhashtable_destroy" },
	{ 0xc2c5802, "work_busy" },
	{ 0x2a6ed38, "xdp_rxq_info_reg_mem_model" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x633d3db, "udp4_hwcsum" },
	{ 0x89fee5d9, "devl_register" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x4e45c13a, "netdev_reset_tc" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x92225dd3, "__dynamic_netdev_dbg" },
	{ 0x96d19db4, "register_netdev" },
	{ 0x1af267f8, "int_pow" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcf2a6966, "up" },
	{ 0xf2d9339d, "auxiliary_device_init" },
	{ 0x5a1fc02, "ipv6_stub" },
	{ 0xc32874e4, "ktime_get_snapshot" },
	{ 0x9005f3a2, "net_dim_get_def_tx_moderation" },
	{ 0x10537f19, "blocking_notifier_chain_register" },
	{ 0xaebc0749, "vlan_dev_real_dev" },
	{ 0xbc91ef1, "devl_rate_leaf_create" },
	{ 0xb5de17c2, "flow_rule_match_ip" },
	{ 0x862258db, "timecounter_init" },
	{ 0x1a8479d1, "netif_set_real_num_rx_queues" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x35d53108, "xsk_clear_rx_need_wakeup" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x2e90e4f0, "page_pool_put_unrefed_page" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x33a6269f, "flow_rule_match_ipv6_addrs" },
	{ 0xa8ae5560, "devlink_trap_report" },
	{ 0xa256d729, "xa_find_after" },
	{ 0x57bf10ff, "auxiliary_driver_unregister" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc876210e, "xsk_uses_need_wakeup" },
	{ 0xba06c412, "netif_device_detach" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2d573fa7, "devl_traps_register" },
	{ 0x7e88de20, "__dma_sync_single_for_device" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0x59e03780, "skb_push" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x2e9c96c7, "device_del" },
	{ 0x1056f31c, "radix_tree_insert" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0xe63d83c4, "xsk_tx_release" },
	{ 0x29c7acca, "vlan_dev_vlan_proto" },
	{ 0xdef801a1, "rht_bucket_nested_insert" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0xf9b4270d, "__inet6_lookup_established" },
	{ 0x9bf19f49, "down_write_trylock" },
	{ 0xf2c1808a, "xp_raw_get_dma" },
	{ 0x77f5bb81, "down_write" },
	{ 0xef211625, "pci_restore_state" },
	{ 0x2e4a9cb0, "dcb_ieee_delapp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xdce8ee65, "xsk_set_rx_need_wakeup" },
	{ 0xea9a479d, "blocking_notifier_chain_unregister" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xf038aac4, "eth_get_headlen" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb42eb307, "rhashtable_walk_next" },
	{ 0x67cbc0af, "page_pool_destroy" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xce3ecac6, "debugfs_create_u32" },
	{ 0x9ec81667, "__netif_napi_del_locked" },
	{ 0x65106459, "pci_enable_sriov" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xb19b445, "ioread8" },
	{ 0x4d89d6c, "devlink_net" },
	{ 0xbe2d6696, "netif_carrier_on" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x640c8f92, "simple_attr_open" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xa9d64345, "pci_msix_free_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc46949e0, "pci_cfg_access_lock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x45f775b8, "ipv6_find_hdr" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x1f975e2, "devl_resources_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0x339c1e77, "flow_rule_match_ipv4_addrs" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x8b3f301, "netdev_info" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xc0ff936f, "simple_attr_release" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x991f030e, "devlink_health_reporter_create" },
	{ 0x9be667eb, "xsk_tx_peek_desc" },
	{ 0x9081a696, "pci_reset_bus" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0xd25d240b, "pci_enable_ptm" },
	{ 0x69492855, "unregister_netdev" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0x4040c3fb, "debugfs_attr_write" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x529386f3, "pci_write_config_dword" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x52978850, "simple_open" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2b0456c5, "devl_port_register_with_ops" },
	{ 0xe36429c0, "__xdp_rxq_info_reg" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0xb3bcf772, "flow_block_cb_alloc" },
	{ 0x4050ab3d, "vlan_dev_vlan_id" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0xeb05b3a8, "alloc_etherdev_mqs" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x32af9c47, "xp_free" },
	{ 0xf8c23ee0, "xdp_rxq_info_unreg" },
	{ 0xa32475c3, "pcie_relaxed_ordering_enabled" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xa1e4b115, "pci_request_regions" },
	{ 0x6e670de8, "devl_param_driverinit_value_set" },
	{ 0x7757ece4, "request_firmware_direct" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf1b91d18, "rhashtable_walk_stop" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8375762d, "__free_pages" },
	{ 0x653194b1, "free_netdev" },
	{ 0xb98fa7ed, "__xa_insert" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1e21a2a, "flow_indr_dev_register" },
	{ 0x6c59e077, "flow_rule_match_ports" },
	{ 0x436af6d5, "pci_msix_can_alloc_dyn" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x948e7075, "napi_disable" },
	{ 0x33a9134d, "devl_lock" },
	{ 0x72d72b07, "flow_indr_block_cb_alloc" },
	{ 0xd5e487f8, "__auxiliary_device_add" },
	{ 0xb2a85e3d, "skb_coalesce_rx_frag" },
	{ 0xb40b76aa, "rhashtable_free_and_destroy" },
	{ 0x5860ae34, "pci_enable_atomic_ops_to_root" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd9cb60b3, "udp_tunnel_nic_ops" },
	{ 0xac4010bf, "xp_set_rxq_info" },
	{ 0x5c249a89, "dma_pool_create" },
	{ 0x217d8e58, "__inet_lookup_established" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x66268818, "pcie_capability_read_word" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5ae793f5, "flow_rule_match_enc_ip" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0xed220a6f, "flow_rule_match_enc_ports" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xcfdeb295, "__skb_flow_dissect" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x54759cf4, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xbd0f9e0a, "__xa_erase" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x754d539c, "strlen" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x52d5adfe, "netdev_update_features" },
	{ 0xf667f730, "napi_enable" },
	{ 0x975f3004, "unregister_netdevice_notifier_dev_net" },
	{ 0x5189aeee, "skb_add_rx_frag_netmem" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xa2c88188, "netdev_lower_get_next" },
	{ 0x31ff760, "atomic_notifier_chain_register" },
	{ 0xb685deb2, "dev_printk_emit" },
	{ 0xfd2cc0c, "flow_block_cb_free" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x10119bb, "ida_free" },
	{ 0x75decb13, "devlink_remote_reload_actions_performed" },
	{ 0x61f891c3, "pci_irq_vector" },
	{ 0xe6c0bcfc, "pci_num_vf" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xa0653200, "dcb_ieee_setapp" },
	{ 0xe6c71c81, "devl_health_reporter_create" },
	{ 0x55473fb7, "single_release" },
	{ 0x7bea261e, "napi_gro_receive" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0x4bae8348, "bpf_prog_put" },
	{ 0xedc03953, "iounmap" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0x1fe3365a, "secpath_set" },
	{ 0xdac35719, "qdisc_reset" },
	{ 0xc057d3fd, "__napi_schedule" },
	{ 0xe534dea0, "xa_store" },
	{ 0x36be323c, "xp_alloc_batch" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x241e25b8, "tls_validate_xmit_skb" },
	{ 0x9df12509, "skb_vlan_pop" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x81c283ad, "pci_disable_sriov" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x918431c7, "xa_erase" },
	{ 0x4d7afd24, "register_netdevice_notifier_dev_net" },
	{ 0x63a43ec2, "neigh_destroy" },
	{ 0x768c573, "xdp_master_redirect" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x83576647, "netdev_set_tc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf911ee79, "dev_add_pack" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x6d65dd75, "xp_dma_unmap" },
	{ 0x91a1f3d3, "page_pool_create" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x5caf6806, "devl_trap_groups_unregister" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x18551bd6, "devlink_port_register_with_ops" },
	{ 0xf3710ebc, "ptp_clock_unregister" },
	{ 0x43da9d62, "page_pool_update_nid" },
	{ 0xd8549c34, "netif_queue_set_napi" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x40c784b4, "__dev_get_by_index" },
	{ 0x3f5b8b7f, "xdp_set_features_flag" },
	{ 0x92269bf5, "auxiliary_device_sysfs_irq_remove" },
	{ 0x8a9dfb1c, "devl_traps_unregister" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x8ee8543e, "net_dim" },
	{ 0x47c20f8a, "refcount_dec_not_one" },
	{ 0x36c34f11, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x7eaced69, "pci_cfg_access_unlock" },
	{ 0xc5616071, "__SCK__tp_func_xdp_exception" },
	{ 0xd38e7892, "debugfs_create_atomic_t" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xdfcc992c, "current_work" },
	{ 0x2b8216f, "pci_read_config_word" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0xf6acf8d5, "__dev_queue_xmit" },
	{ 0x6d3a49d8, "netdev_master_upper_dev_get" },
	{ 0xecc0753c, "xa_get_mark" },
	{ 0x45d6165, "ndo_dflt_bridge_getlink" },
	{ 0x224c0970, "netif_napi_add_weight_locked" },
	{ 0x43e833f2, "bpf_trace_run7" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x9cb9b3be, "pci_find_capability" },
	{ 0x45f5e226, "debugfs_create_x32" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xbcb8c1c, "flow_rule_match_mpls" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x73d78539, "down_read_trylock" },
	{ 0x645da0a0, "xsk_tx_completed" },
	{ 0x96848186, "scnprintf" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x64736447, "xsk_clear_tx_need_wakeup" },
	{ 0xdc9fcddf, "net_dim_get_tx_moderation" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0xdb5dd39e, "flow_rule_match_basic" },
	{ 0xae8aebd2, "bpf_trace_run5" },
	{ 0x3888b4c2, "xdp_rxq_info_is_reg" },
	{ 0x24d273d1, "add_timer" },
	{ 0xce5de57c, "debugfs_create_size_t" },
	{ 0xedca7114, "radix_tree_delete" },
	{ 0x4e7b468d, "__tracepoint_xdp_exception" },
	{ 0x27952cc5, "metadata_dst_free" },
	{ 0x89b1c85d, "priv_to_devlink" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb916c778, "seq_release" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0xa83b005e, "pci_disable_ptm" },
	{ 0xfe110be5, "dev_get_port_parent_id" },
	{ 0xfda2c542, "pci_iov_get_pf_drvdata" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x9be2091a, "devlink_port_unregister" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x7cc52843, "debugfs_create_u8" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0xa2c355ef, "page_pool_put_unrefed_netmem" },
	{ 0xba7bd1a6, "napi_build_skb" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd0d81b71, "bpf_trace_run4" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xe1f11f7, "xa_set_mark" },
	{ 0x6ab45b09, "ptp_clock_event" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x1c247e4, "skb_ext_add" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4b9f5640, "bpf_warn_invalid_xdp_action" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0xa1cbdf5e, "netdev_warn" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0x758d7a7c, "__kmalloc_node_noprof" },
	{ 0x28d7a5ab, "xas_find" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x680d1145, "devl_assert_locked" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0xfb578fc5, "memset" },
	{ 0xece784c2, "rb_first" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xd898659, "single_open" },
	{ 0x9fc9e9a1, "netif_carrier_event" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x275ad424, "devl_rate_nodes_destroy" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7ad2cb97, "xp_raw_get_data" },
	{ 0x320d871f, "flow_rule_match_icmp" },
	{ 0x4e0aac0c, "napi_schedule_prep" },
	{ 0x9677bab1, "flow_rule_match_ct" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x4a0fa443, "ip_route_output_flow" },
	{ 0x1322947, "rhltable_init_noprof" },
	{ 0x12b9a71d, "devl_trap_groups_register" },
	{ 0x3198a851, "xfrm_replay_seqhi" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x2123f09b, "pci_read_config_dword" },
	{ 0x2cfb4914, "netdev_set_num_tc" },
	{ 0x31b708cd, "psample_sample_packet" },
	{ 0x4749ebdf, "pci_msix_alloc_irq_at" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x40cbfd60, "xdp_rxq_info_unused" },
	{ 0xfea41449, "xa_find" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x5a921311, "strncmp" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x77c0729f, "hwmon_device_unregister" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xbc40496c, "blocking_notifier_call_chain" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x6638f664, "net_dim_get_def_rx_moderation" },
	{ 0x6376aa14, "register_fib_notifier" },
	{ 0x5ca637c8, "devlink_port_attrs_pci_sf_set" },
	{ 0x526336c8, "atomic_notifier_chain_unregister" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xc40bf4ce, "up_read" },
	{ 0xff6e59c2, "hwmon_device_register_with_info" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcee6bdf5, "rps_may_expire_flow" },
	{ 0x264635e1, "up_write" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x695afa95, "netdev_err" },
	{ 0xefccdc7a, "devl_resource_register" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x289d514, "xdp_return_frame_bulk" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xa916b694, "strnlen" },
	{ 0xca1e1f76, "netif_set_tso_max_size" },
	{ 0xb83ae5e1, "__auxiliary_driver_register" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x7085bba, "flow_block_cb_setup_simple" },
	{ 0x67881199, "pci_alloc_irq_vectors" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2c08c823, "flow_rule_match_control" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x405a41e6, "__neigh_event_send" },
	{ 0xd908fc5a, "unregister_netdevice_notifier_net" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x42348b13, "rhashtable_insert_slow" },
	{ 0x8d4ebb2a, "xsk_set_tx_need_wakeup" },
	{ 0x9b22d216, "irq_get_irq_data" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x52f232bd, "flow_block_cb_lookup" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x2e403224, "devl_params_register" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2a0a7ad1, "xdp_convert_zc_to_xdp_frame" },
	{ 0xd7123d06, "seq_open" },
	{ 0xe332dbde, "pci_sriov_get_totalvfs" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0xf305c792, "devlink_free" },
	{ 0x2a01a1d5, "devlink_port_attrs_pci_vf_set" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4a1054e7, "xfrm_state_check_expire" },
	{ 0x5e986f27, "flow_rule_match_enc_opts" },
	{ 0x6626afca, "down" },
	{ 0x30098b59, "metadata_dst_alloc" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x85909793, "pci_free_irq_vectors" },
	{ 0xf7c2c630, "radix_tree_lookup" },
	{ 0xa705fd3d, "devlink_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x23f20028, "rhashtable_walk_start_check" },
	{ 0x7a905b8, "seq_putc" },
	{ 0xa6257a2f, "complete" },
	{ 0x3335abed, "seq_printf" },
	{ 0x7fc2e7b0, "pcie_capability_clear_and_set_word_locked" },
	{ 0xcd279169, "nla_find" },
	{ 0xfd6e50df, "xp_alloc" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x46bc82cd, "pci_iov_vf_id" },
	{ 0xe06e9e05, "rhashtable_walk_enter" },
	{ 0x255d1d35, "rhashtable_walk_exit" },
	{ 0x37a0cba, "kfree" },
	{ 0x2a44c893, "devl_params_unregister" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0xb086a20d, "devlink_port_attrs_set" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x581234e, "flow_rule_match_meta" },
	{ 0x45ee0529, "put_device" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x349cba85, "strchr" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x1e13bbcb, "sock_gen_put" },
	{ 0x63d6fd57, "bpf_prog_add" },
	{ 0xd7b5b5e1, "flow_rule_match_vlan" },
	{ 0x9b07dd86, "neigh_lookup" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0xf9f9c208, "flow_indr_dev_unregister" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf583afa8, "netif_set_real_num_tx_queues" },
	{ 0xf1597117, "init_net" },
	{ 0x8e958c0d, "skb_checksum" },
	{ 0xffba72b5, "ethtool_op_get_link" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x2d96b022, "bpf_prog_inc" },
	{ 0x68e6df7b, "atomic_notifier_call_chain" },
	{ 0x2bf5df2d, "dev_get_iflink" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x3c6a98c7, "__kmalloc_cache_node_noprof" },
	{ 0x3e5220fd, "flow_rule_match_enc_keyid" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0x8b691015, "register_netdevice_notifier_net" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x535cbfc1, "flow_rule_match_enc_control" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x6249bb21, "__alloc_pages_noprof" },
	{ 0x618911fc, "numa_node" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0xcb98efe1, "pcie_bandwidth_available" },
	{ 0xe4c47856, "ptp_find_pin" },
	{ 0xd34846e8, "xdp_do_redirect" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xff829e65, "__ethtool_get_link_ksettings" },
	{ 0x464b9c63, "netif_device_attach" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa96e26fc, "pci_msix_vec_count" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0x62d1ac71, "netif_tx_wake_queue" },
	{ 0x1b66833b, "page_pool_get_stats" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xbe179e15, "page_pool_put_netmem_bulk" },
	{ 0xa985aeff, "down_read" },
	{ 0xa4c15cf1, "call_switchdev_notifiers" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0xfb35297e, "pcie_print_link_status" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xb313d5e9, "devl_port_health_reporter_create" },
	{ 0x8b5d5315, "devl_nested_devlink_set" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x9acd77f3, "tls_get_record" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbbd1a328, "devl_unregister" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xf40d8fa8, "netdev_master_upper_dev_get_rcu" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xf74cc695, "devl_port_unregister" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0xb3a2275e, "debugfs_create_u64" },
	{ 0x3b7b4d4f, "___pskb_trim" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x34c3024b, "netif_schedule_queue" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc9d1fccd, "free_fib_info" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x8560b8e1, "netdev_port_same_parent_id" },
	{ 0x93cd0ba5, "rhashtable_init_noprof" },
	{ 0xe6817d86, "flow_rule_match_eth_addrs" },
	{ 0x3dd8b689, "dev_remove_pack" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xdd70c690, "__xa_set_mark" },
	{ 0xf1cf0d86, "xp_can_alloc" },
	{ 0x677a4e0a, "xp_dma_map" },
	{ 0x75a54147, "__xa_alloc" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x8f82ff9c, "xdp_return_frame" },
	{ 0x6c88aae8, "dev_get_by_index_rcu" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xf26f53bd, "skb_store_bits" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x3550f980, "devl_param_driverinit_value_get" },
	{ 0x741155f0, "flow_rule_match_tcp" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1f7f45cd, "skb_tstamp_tx" },
	{ 0x9383e5e2, "unregister_fib_notifier" },
	{ 0x62947455, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x8d816799, "__dma_sync_single_for_cpu" },
	{ 0xc2dd6de7, "ip6_dst_hoplimit" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x18bcc7ae, "devlink_port_health_reporter_create" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x33719327, "_dev_err" },
	{ 0xb5943313, "devlink_unregister" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xba61bfe9, "netif_carrier_off" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x911c8743, "seq_read" },
	{ 0x4fca9753, "pci_save_state" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xde80cd09, "ioremap" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xb9b31de8, "xa_load" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x5a420bb, "flow_rule_match_cvlan" },
	{ 0xbb72e7ed, "netif_set_xps_queue" },
	{ 0xf352968a, "devl_unlock" },
	{ 0xd7d5f81c, "auxiliary_device_sysfs_irq_add" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xd2cf8f93, "napi_complete_done" },
	{ 0xe1ec24c1, "__neigh_create" },
	{ 0x92e683f5, "down_timeout" },
	{ 0x38dd9ed7, "devlink_alloc_ns" },
	{ 0x56accdf1, "devlink_priv" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "pci-hyperv-intf,mlxfw,tls,psample");

MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth");

MODULE_INFO(srcversion, "595265E74834550B3C47191");

MODULE_INFO(suserelease, "SLFO-1.2");
