#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ks8851_suspend, "_gpl", "");
KSYMTAB_FUNC(ks8851_resume, "_gpl", "");
KSYMTAB_FUNC(ks8851_probe_common, "_gpl", "");
KSYMTAB_FUNC(ks8851_remove_common, "_gpl", "");

SYMBOL_CRC(ks8851_suspend, 0x96bdcbaf, "_gpl");
SYMBOL_CRC(ks8851_resume, 0x67ed5daf, "_gpl");
SYMBOL_CRC(ks8851_probe_common, 0x7b406e2d, "_gpl");
SYMBOL_CRC(ks8851_remove_common, 0x018f014e, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x349f744b, "netif_rx" },
	{ 0x363ae0e7, "mii_check_link" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0xd0e342b5, "skb_put" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0x62d1ac71, "netif_tx_wake_queue" },
	{ 0x695afa95, "netdev_err" },
	{ 0x22d50cc, "devm_gpiod_get_optional" },
	{ 0x6de15b3c, "gpiod_set_consumer_name" },
	{ 0x9b447f0e, "devm_regulator_get" },
	{ 0x5ed6577, "regulator_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2927e8c6, "gpiod_set_value_cansleep" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xc2b91464, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcee9a939, "__mdiobus_register" },
	{ 0xba61bfe9, "netif_carrier_off" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x96d19db4, "register_netdev" },
	{ 0xb40f3a02, "mdiobus_free" },
	{ 0xc684d9df, "regulator_disable" },
	{ 0x33719327, "_dev_err" },
	{ 0xa8e44c6a, "mdiobus_unregister" },
	{ 0xa1cbdf5e, "netdev_warn" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x69492855, "unregister_netdev" },
	{ 0x4b0b05dc, "eeprom_93cx6_multiread" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x464b9c63, "netif_device_attach" },
	{ 0xe4425a2b, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x92225dd3, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8b3f301, "netdev_info" },
	{ 0xba06c412, "netif_device_detach" },
	{ 0x8ee36b8d, "generic_mii_ioctl" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0x5fc202ed, "mii_ethtool_set_link_ksettings" },
	{ 0x84108bb, "mii_ethtool_get_link_ksettings" },
	{ 0x32952d32, "eeprom_93cx6_wren" },
	{ 0xa51e8d0d, "eeprom_93cx6_read" },
	{ 0xd848391b, "eeprom_93cx6_write" },
	{ 0x18e41d5f, "mii_link_ok" },
	{ 0x7408f276, "mii_nway_restart" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mii,libphy,eeprom_93cx6");


MODULE_INFO(srcversion, "A4AB64D5ADB8E139380B616");

MODULE_INFO(suserelease, "SLFO-1.2");
