#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mana_gd_send_request, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_wq_ring_doorbell, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_ring_cq, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_dma_region, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_create_mana_eq, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_create_mana_wq_cq, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_queue, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_post_work_request, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_poll_cq, "", "NET_MANA");
KSYMTAB_FUNC(mana_uncfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_cfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_create_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_destroy_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_get_primary_netdev, "", "NET_MANA");

SYMBOL_CRC(mana_gd_send_request, 0x5094d520, "");
SYMBOL_CRC(mana_gd_wq_ring_doorbell, 0xba0ee5e4, "");
SYMBOL_CRC(mana_gd_ring_cq, 0xa8cb3ec8, "");
SYMBOL_CRC(mana_gd_destroy_dma_region, 0x3f512750, "");
SYMBOL_CRC(mana_gd_create_mana_eq, 0xb50531e6, "");
SYMBOL_CRC(mana_gd_create_mana_wq_cq, 0x846f7ca2, "");
SYMBOL_CRC(mana_gd_destroy_queue, 0x7625ceab, "");
SYMBOL_CRC(mana_gd_post_work_request, 0x2fa41e11, "");
SYMBOL_CRC(mana_gd_poll_cq, 0x4c67f3a6, "");
SYMBOL_CRC(mana_uncfg_vport, 0x48771063, "");
SYMBOL_CRC(mana_cfg_vport, 0x7a8551fb, "");
SYMBOL_CRC(mana_create_wq_obj, 0x1184731e, "");
SYMBOL_CRC(mana_destroy_wq_obj, 0xa3ac51cb, "");
SYMBOL_CRC(mana_get_primary_netdev, 0x559b69b0, "");

MODULE_INFO(supported, "external");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x695afa95, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0x2a6ed38, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0xd2cf8f93, "napi_complete_done" },
	{ 0x6249bb21, "__alloc_pages_noprof" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xbba5a531, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45ee0529, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xba06c412, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x7bea261e, "napi_gro_receive" },
	{ 0x464b9c63, "netif_device_attach" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x386a4a2f, "__skb_get_hash_net" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x33719327, "_dev_err" },
	{ 0x52978850, "simple_open" },
	{ 0x17cea113, "xdp_build_skb_from_frame" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf583afa8, "netif_set_real_num_tx_queues" },
	{ 0xd5e487f8, "__auxiliary_device_add" },
	{ 0x1a8479d1, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd397c945, "netdev_printk" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x6bb00cf3, "pcie_flr" },
	{ 0xf667f730, "napi_enable" },
	{ 0x96d19db4, "register_netdev" },
	{ 0x10119bb, "ida_free" },
	{ 0x653194b1, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa2c355ef, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbada6f58, "__put_devmap_managed_folio_refs" },
	{ 0xffba72b5, "ethtool_op_get_link" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc5616071, "__SCK__tp_func_xdp_exception" },
	{ 0x97ab7810, "pci_iounmap" },
	{ 0x62d1ac71, "netif_tx_wake_queue" },
	{ 0x2e9c96c7, "device_del" },
	{ 0x91a1f3d3, "page_pool_create" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x666426fb, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce3ecac6, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9ec81667, "__netif_napi_del_locked" },
	{ 0xe79042ae, "__bitmap_weight_andnot" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x92225dd3, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x2f12357e, "pci_release_regions" },
	{ 0x63d6fd57, "bpf_prog_add" },
	{ 0xf8c23ee0, "xdp_rxq_info_unreg" },
	{ 0xf1bfa205, "page_pool_alloc_pages" },
	{ 0xba7bd1a6, "napi_build_skb" },
	{ 0xf40d8fa8, "netdev_master_upper_dev_get_rcu" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0xe36429c0, "__xdp_rxq_info_reg" },
	{ 0x3f5b8b7f, "xdp_set_features_flag" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xba61bfe9, "netif_carrier_off" },
	{ 0xbe2d6696, "netif_carrier_on" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0xca1e1f76, "netif_set_tso_max_size" },
	{ 0x768c573, "xdp_master_redirect" },
	{ 0x33eba614, "__napi_schedule_irqoff" },
	{ 0x4e0aac0c, "napi_schedule_prep" },
	{ 0xe027a14f, "napi_consume_skb" },
	{ 0x948e7075, "napi_disable" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0x85909793, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x8b3f301, "netdev_info" },
	{ 0x3b83610f, "cpu_sibling_map" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4e7b468d, "__tracepoint_xdp_exception" },
	{ 0xeb05b3a8, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4bae8348, "bpf_prog_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0xd0e342b5, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf2d9339d, "auxiliary_device_init" },
	{ 0x16902ab6, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x67881199, "pci_alloc_irq_vectors" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4b9f5640, "bpf_warn_invalid_xdp_action" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x8e7a03c, "debugfs_create_u16" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xa1e4b115, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x67cbc0af, "page_pool_destroy" },
	{ 0xd34846e8, "xdp_do_redirect" },
	{ 0xe4425a2b, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x224c0970, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa1cbdf5e, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x61f891c3, "pci_irq_vector" },
	{ 0xb27e097b, "unregister_netdevice_queue" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001414d000000B9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001414d000000BAsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "005F2B03F7E078085442216");

MODULE_INFO(suserelease, "SLFO-1.2");
