#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");
KSYMTAB_DATA(dwmac1000_dma_ops, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0xfb6bbc86, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0xea7faed4, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0x8b489257, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x4dcb6247, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x01ee28ed, "_gpl");
SYMBOL_CRC(stmmac_resume, 0x22c454a2, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0x545572d4, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");
SYMBOL_CRC(dwmac1000_dma_ops, 0xa5b38d55, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9cfb127, "__wake_up" },
	{ 0x339c1e77, "flow_rule_match_ipv4_addrs" },
	{ 0xf5a41899, "xdp_rxq_info_unreg_mem_model" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x695afa95, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0x57fdf29f, "phylink_limit_mac_speed" },
	{ 0x3d3c6ae9, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x3a4483d9, "pinctrl_pm_select_default_state" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0x2a6ed38, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0xd2cf8f93, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xc4306950, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x5b87a211, "pm_wakeup_dev_event" },
	{ 0xbba5a531, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc057d3fd, "__napi_schedule" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0xdce8ee65, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0xba06c412, "netif_device_detach" },
	{ 0xdb240edb, "xpcs_config_eee" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x68bcf26f, "xpcs_create_mdiodev" },
	{ 0x7bea261e, "napi_gro_receive" },
	{ 0x464b9c63, "netif_device_attach" },
	{ 0xf73fdc34, "xdp_features_clear_redirect_target" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x24eb4c33, "netdev_pick_tx" },
	{ 0x8f61e58d, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf2c1808a, "xp_raw_get_dma" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3888b4c2, "xdp_rxq_info_is_reg" },
	{ 0x50f2b616, "devm_alloc_etherdev_mqs" },
	{ 0x7085bba, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xdb5dd39e, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x1fd06c13, "dev_open" },
	{ 0x8d816799, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x33719327, "_dev_err" },
	{ 0x1347002f, "xpcs_destroy" },
	{ 0xada2ce5f, "pinctrl_pm_select_sleep_state" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8f82ff9c, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1c47cd62, "ptp_clock_register" },
	{ 0x9be667eb, "xsk_tx_peek_desc" },
	{ 0xf583afa8, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1a8479d1, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x7b22ce3b, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x59e03780, "skb_push" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0xf667f730, "napi_enable" },
	{ 0x35d53108, "xsk_clear_rx_need_wakeup" },
	{ 0x2a43a0f7, "xpcs_get_interfaces" },
	{ 0xc876210e, "xsk_uses_need_wakeup" },
	{ 0x96d19db4, "register_netdev" },
	{ 0x17b4dd07, "xsk_get_pool_from_qid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa2c355ef, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb40f3a02, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xffba72b5, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc5616071, "__SCK__tp_func_xdp_exception" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x62d1ac71, "netif_tx_wake_queue" },
	{ 0x4ac21b75, "fwnode_get_phy_node" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x91a1f3d3, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x6c59e077, "flow_rule_match_ports" },
	{ 0xddbed4b6, "phylink_fwnode_phy_connect" },
	{ 0x4102c5e2, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x6ab45b09, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x34c3024b, "netif_schedule_queue" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9fca33d, "fwnode_get_named_child_node" },
	{ 0x83576647, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xf3710ebc, "ptp_clock_unregister" },
	{ 0x6d65dd75, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb29f6905, "xpcs_get_an_mode" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9ec81667, "__netif_napi_del_locked" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x92225dd3, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6b454813, "xdp_return_frame_rx_napi" },
	{ 0xa0ae472a, "netdev_alert" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0x911c8743, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xa8e44c6a, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x2bb34fb4, "fwnode_find_reference" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x664b7fea, "debugfs_rename" },
	{ 0xd2ea4a39, "fwnode_property_present" },
	{ 0x8d4ebb2a, "xsk_set_tx_need_wakeup" },
	{ 0x4e45c13a, "netdev_reset_tc" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7e88de20, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xac4010bf, "xp_set_rxq_info" },
	{ 0xd7b5b5e1, "flow_rule_match_vlan" },
	{ 0xf8c23ee0, "xdp_rxq_info_unreg" },
	{ 0xf1bfa205, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe36429c0, "__xdp_rxq_info_reg" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xba61bfe9, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3335abed, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0xeb515ab2, "mdiobus_get_phy" },
	{ 0xbe2d6696, "netif_carrier_on" },
	{ 0x2cfb4914, "netdev_set_num_tc" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0x373b0d5, "dql_reset" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xcee9a939, "__mdiobus_register" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x93fae14b, "hrtimer_cancel" },
	{ 0x32af9c47, "xp_free" },
	{ 0x55473fb7, "single_release" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0x982e9a23, "xpcs_create_fwnode" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x5189aeee, "skb_add_rx_frag_netmem" },
	{ 0x768c573, "xdp_master_redirect" },
	{ 0x7ad2cb97, "xp_raw_get_data" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x4e0aac0c, "napi_schedule_prep" },
	{ 0x948e7075, "napi_disable" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x5395f101, "eth_header_parse_protocol" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xadba2cbc, "phylink_pcs_pre_init" },
	{ 0xd898659, "single_open" },
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x2ab99f9f, "__pm_runtime_idle" },
	{ 0x872addb6, "ethtool_op_get_ts_info" },
	{ 0xe63d83c4, "xsk_tx_release" },
	{ 0x86725ba4, "__dev_fwnode" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x8b3f301, "netdev_info" },
	{ 0xd1982c66, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc2b91464, "mdiobus_alloc_size" },
	{ 0x4e7b468d, "__tracepoint_xdp_exception" },
	{ 0x645da0a0, "xsk_tx_completed" },
	{ 0x54759cf4, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xfd6e50df, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x290bc1d9, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4bae8348, "bpf_prog_put" },
	{ 0xfecdcb5b, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x677a4e0a, "xp_dma_map" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x9c42265a, "eth_mac_addr" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x1f7f45cd, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x52d5adfe, "netdev_update_features" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x295a0e4e, "hrtimer_try_to_cancel" },
	{ 0x4b9f5640, "bpf_warn_invalid_xdp_action" },
	{ 0x69492855, "unregister_netdev" },
	{ 0x2a0a7ad1, "xdp_convert_zc_to_xdp_frame" },
	{ 0xd0e47cdd, "xdp_features_set_redirect_target" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5bf7db3e, "hrtimer_init" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0x592487b8, "ptp_clock_index" },
	{ 0x7149f701, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x67cbc0af, "page_pool_destroy" },
	{ 0xd34846e8, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x224c0970, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa1cbdf5e, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "phylink,pcs_xpcs,libphy");


MODULE_INFO(srcversion, "51B57ABD375BC38AD79AD20");

MODULE_INFO(suserelease, "SLFO-1.2");
