#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x1e9d4097, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x09d9a3a7, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xf0561cdd, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x381f3d6f, "netdev_rx_handler_register" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa0102472, "skb_ensure_writable_head_tail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x29a46790, "gro_cells_init" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6646c565, "skb_copy" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0x59e03780, "skb_push" },
	{ 0xd0e342b5, "skb_put" },
	{ 0xab27253, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x40dcf6d6, "skb_to_sgvec" },
	{ 0x3a3a14a9, "crypto_aead_encrypt" },
	{ 0x9ab26ac0, "skb_copy_expand" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0xac5f87bd, "__netif_rx" },
	{ 0x7fa3ddcb, "crypto_aead_decrypt" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x77f2fd78, "netdev_rx_handler_unregister" },
	{ 0x354b78dc, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xba61bfe9, "netif_carrier_off" },
	{ 0x328c5d73, "dev_mc_unsync" },
	{ 0x59c914fd, "dev_uc_unsync" },
	{ 0xfe3073e8, "dev_uc_del" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xafa5e50c, "dev_uc_add" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xbe2d6696, "netif_carrier_on" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xfbe6207f, "genlmsg_put" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x17931dd5, "rtnl_link_register" },
	{ 0x797f7724, "genl_register_family" },
	{ 0xbd918098, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x8a1f3eca, "crypto_destroy_tfm" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xced99116, "crypto_alloc_aead" },
	{ 0x6f2d2f6c, "crypto_aead_setkey" },
	{ 0xcd4b3a77, "crypto_aead_setauthsize" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x8d304f20, "nla_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x3b7b4d4f, "___pskb_trim" },
	{ 0xc55906, "ether_setup" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x268c05c4, "dev_mc_sync" },
	{ 0x8afbd4b9, "dev_uc_sync" },
	{ 0x132fd925, "dev_set_allmulti" },
	{ 0x7f8a304f, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x28306963, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xf6acf8d5, "__dev_queue_xmit" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0x997c7031, "gro_cells_receive" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x40c784b4, "__dev_get_by_index" },
	{ 0xeb60b8ef, "register_netdevice" },
	{ 0x166b95ec, "netdev_upper_dev_link" },
	{ 0xe4b56a1e, "netdev_upper_dev_unlink" },
	{ 0xb27e097b, "unregister_netdevice_queue" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x30098b59, "metadata_dst_alloc" },
	{ 0x46da5709, "netif_stacked_transfer_operstate" },
	{ 0x263c85e, "linkwatch_fire_event" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C78414ACA870AFB19B161BC");

MODULE_INFO(suserelease, "SLFO-1.2");
