#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xc50f3da8, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xee745326, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x502e42e0, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xc4dd1385, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xc9a3996c, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb27e097b, "unregister_netdevice_queue" },
	{ 0xe4b56a1e, "netdev_upper_dev_unlink" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0xafa5e50c, "dev_uc_add" },
	{ 0x354b78dc, "dev_set_mtu" },
	{ 0x52d5adfe, "netdev_update_features" },
	{ 0x46da5709, "netif_stacked_transfer_operstate" },
	{ 0x9db965fe, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0x349f744b, "netif_rx" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x63c0e06e, "__dev_forward_skb" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xf6acf8d5, "__dev_queue_xmit" },
	{ 0x30ce1bea, "dev_forward_skb" },
	{ 0x5485c736, "netpoll_send_skb" },
	{ 0xac5f87bd, "__netif_rx" },
	{ 0x498727eb, "ip_check_defrag" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x30d51e1b, "netdev_core_stats_inc" },
	{ 0x40c784b4, "__dev_get_by_index" },
	{ 0xc3779fee, "netdev_is_rx_handler_busy" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x381f3d6f, "netdev_rx_handler_register" },
	{ 0xeb60b8ef, "register_netdevice" },
	{ 0x166b95ec, "netdev_upper_dev_link" },
	{ 0x263c85e, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x471656a, "passthru_features_check" },
	{ 0xe4425a2b, "eth_validate_addr" },
	{ 0xd0405d76, "ndo_dflt_fdb_dump" },
	{ 0xffba72b5, "ethtool_op_get_link" },
	{ 0x933f0fa7, "eth_header_parse" },
	{ 0xd5bf78f9, "eth_header_cache" },
	{ 0x4fc1690b, "eth_header_cache_update" },
	{ 0x5395f101, "eth_header_parse_protocol" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc55906, "ether_setup" },
	{ 0xff829e65, "__ethtool_get_link_ksettings" },
	{ 0xadac364a, "ethtool_get_ts_info_by_layer" },
	{ 0xf1597117, "init_net" },
	{ 0x8df5f2cb, "generic_hwtstamp_set_lower" },
	{ 0x36ad61fd, "generic_hwtstamp_get_lower" },
	{ 0xd02809b8, "dev_mc_del" },
	{ 0xfe3073e8, "dev_uc_del" },
	{ 0xf7458de9, "dev_mc_add_excl" },
	{ 0xd2e6f93e, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x19f962f, "__netpoll_free" },
	{ 0x83c01a34, "vlan_vid_del" },
	{ 0x119b8354, "vlan_vid_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8afbd4b9, "dev_uc_sync" },
	{ 0x268c05c4, "dev_mc_sync" },
	{ 0x132fd925, "dev_set_allmulti" },
	{ 0x7f8a304f, "dev_set_promiscuity" },
	{ 0x59c914fd, "dev_uc_unsync" },
	{ 0x328c5d73, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x77f2fd78, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xd9edf9f9, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2077bcd7, "netif_inherit_tso_max" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x17931dd5, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xbd918098, "rtnl_link_unregister" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x8d304f20, "nla_put" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "01F2D5BF5E95FB4A7EDA4A7");

MODULE_INFO(suserelease, "SLFO-1.2");
