#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xpcs_get_an_mode, "_gpl", "");
KSYMTAB_FUNC(xpcs_get_interfaces, "_gpl", "");
KSYMTAB_FUNC(xpcs_config_eee, "_gpl", "");
KSYMTAB_FUNC(xpcs_do_config, "_gpl", "");
KSYMTAB_FUNC(xpcs_link_up, "_gpl", "");
KSYMTAB_FUNC(xpcs_create_mdiodev, "_gpl", "");
KSYMTAB_FUNC(xpcs_create_fwnode, "_gpl", "");
KSYMTAB_FUNC(xpcs_destroy, "_gpl", "");

SYMBOL_CRC(xpcs_get_an_mode, 0xb29f6905, "_gpl");
SYMBOL_CRC(xpcs_get_interfaces, 0x2a43a0f7, "_gpl");
SYMBOL_CRC(xpcs_config_eee, 0xdb240edb, "_gpl");
SYMBOL_CRC(xpcs_do_config, 0x8287830b, "_gpl");
SYMBOL_CRC(xpcs_link_up, 0xc91ab124, "_gpl");
SYMBOL_CRC(xpcs_create_mdiodev, 0x68bcf26f, "_gpl");
SYMBOL_CRC(xpcs_create_fwnode, 0x982e9a23, "_gpl");
SYMBOL_CRC(xpcs_destroy, 0x1347002f, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4fb6f10b, "mdiobus_c45_write" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0xe9d722b4, "device_set_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf40c71a7, "device_property_read_u32_array" },
	{ 0xcb648252, "mdio_device_register" },
	{ 0xef29fcdd, "clk_bulk_put" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x33719327, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1e227956, "phylink_mii_c45_pcs_get_state" },
	{ 0x8a274461, "mdio_device_create" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xd5a1cec0, "device_get_match_data" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1ed09d48, "fwnode_handle_get" },
	{ 0xc0632f95, "phylink_mii_c22_pcs_encode_advertisement" },
	{ 0x4ae21619, "devm_mdiobus_alloc_size" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7ccaa77e, "__platform_driver_register" },
	{ 0xea18123c, "fwnode_device_is_available" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0xfc5dd970, "devm_ioremap_resource" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9c0653fe, "clk_bulk_get_optional" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x8264c293, "phylink_mii_c22_pcs_decode_state" },
	{ 0x7019b77d, "__devm_mdiobus_register" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0xef5b5db0, "mdio_device_free" },
	{ 0x815588a6, "clk_enable" },
	{ 0x2ab99f9f, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x86725ba4, "__dev_fwnode" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xc7b9670d, "mdiobus_c45_modify_changed" },
	{ 0xceb5b3ea, "mdiobus_c45_read" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xdd241b93, "devm_pm_runtime_enable" },
	{ 0x5ad12e30, "platform_driver_unregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0xc8ad4615, "phylink_resolve_c73" },
	{ 0x37a0cba, "kfree" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5256c11a, "platform_get_resource_byname" },
	{ 0x1a2f220, "get_device" },
	{ 0xb5a24f37, "fwnode_mdio_find_device" },
	{ 0x701e06df, "devm_clk_get" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "libphy,phylink,mdio_devres");

MODULE_ALIAS("of:N*T*Csnps,dw-xpcs");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcsC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen1-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen1-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-6g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-6gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-6g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-6gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-10g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-10gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-12g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-12gC*");

MODULE_INFO(srcversion, "AC790F5A8CE6E48436D0D6B");

MODULE_INFO(suserelease, "SLFO-1.2");
