#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x9763f45a, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0x4ffdc037, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x82c70b19, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x3611d301, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x6f9c42ca, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0x0b5d8de6, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x972d1579, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0x70cdc176, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0xb2d2bd2c, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0xb9e9d9c2, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0xf1ba613a, "_gpl");
SYMBOL_CRC(at803x_read_status, 0xb3d86ef3, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0xca342aed, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0xba278c70, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0xa5bafbca, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x8dd3ca35, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x12130f5f, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x0451744e, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x02af5497, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0x7742490b, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x562cf721, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2faadaaa, "mdiobus_write" },
	{ 0x60a4b97c, "mdiobus_read" },
	{ 0xad8451f, "phy_write_mmd" },
	{ 0xd752ef3d, "phy_modify" },
	{ 0x577431a6, "phy_trigger_machine" },
	{ 0xa70afbcb, "phy_error" },
	{ 0x6856c103, "phy_modify_changed" },
	{ 0x5a4cbe3b, "genphy_update_link" },
	{ 0xb423bfd8, "genphy_read_lpa" },
	{ 0x18818f1d, "phy_resolve_aneg_pause" },
	{ 0x191593a9, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x33719327, "_dev_err" },
	{ 0xeffd005c, "phy_read_mmd" },
	{ 0x26b27a69, "ethnl_cable_test_result_with_src" },
	{ 0x2f3aad4d, "ethnl_cable_test_fault_length_with_src" },
	{ 0xff90ff38, "phy_modify_mmd" },
	{ 0xc039a47e, "genphy_soft_reset" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "libphy");


MODULE_INFO(srcversion, "7713A75A3D1ED6CE6391A77");

MODULE_INFO(suserelease, "SLFO-1.2");
