#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0xceb20630, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x445dec19, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x21ec22fa, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x3f3dff4f, "_gpl");
SYMBOL_CRC(tap_get_socket, 0xa536e1b6, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x99076bab, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x1fde4941, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x8a2737eb, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0xc620e0ba, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x695afa95, "netdev_err" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x333051c0, "idr_find" },
	{ 0x8b268e5a, "sk_alloc" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xc7a0f22a, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf398ee77, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xaf86b7d6, "cdev_init" },
	{ 0x56bbb810, "cdev_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xee672399, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc8594623, "dev_set_mac_address_user" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd8cc55ef, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7d13f9d1, "skb_copy_datagram_iter" },
	{ 0x31a59dec, "_copy_to_iter" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0x1000e51, "schedule" },
	{ 0x9612cd5b, "prepare_to_wait" },
	{ 0x5a3638ff, "iov_iter_advance" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x59e03780, "skb_push" },
	{ 0xe4d9da04, "__skb_gso_segment" },
	{ 0xbba5a531, "skb_checksum_help" },
	{ 0x81050554, "kfree_skb_list_reason" },
	{ 0x386a4a2f, "__skb_get_hash_net" },
	{ 0xe78c1cdf, "idr_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37a0cba, "kfree" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xcfdeb295, "__skb_flow_dissect" },
	{ 0x5480d9c8, "skb_partial_csum_set" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x10364471, "iov_iter_npages" },
	{ 0xc27e3380, "sock_alloc_send_pskb" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x4368d92e, "zerocopy_sg_from_iter" },
	{ 0xf6acf8d5, "__dev_queue_xmit" },
	{ 0x69dc6f5d, "_copy_from_iter" },
	{ 0xf4029deb, "skb_copy_datagram_from_iter" },
	{ 0xc67b1fbe, "iov_iter_revert" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0x58e9ba09, "build_skb" },
	{ 0x2a730987, "compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "93134EA5D8F9469F2B75E51");

MODULE_INFO(suserelease, "SLFO-1.2");
