#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0x57fafe68, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x9b535319, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0x0a8081a3, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0x244b3743, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0xde26c582, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0xe3f47c25, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0xab0b996d, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0x872c1fcd, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0x5d22ecb3, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x6d32c71b, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0xb5510316, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcf026e0, "usbnet_update_max_qlen" },
	{ 0x49452dcb, "usbnet_unlink_rx_urbs" },
	{ 0x270c1c0, "netif_tx_lock" },
	{ 0x4d1cfcd, "usbnet_start_xmit" },
	{ 0x6777840c, "netif_tx_unlock" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xcc5b1425, "usbnet_write_cmd" },
	{ 0xab01c693, "hrtimer_active" },
	{ 0x4102c5e2, "hrtimer_start_range_ns" },
	{ 0xa28f7586, "usbnet_read_cmd" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4cc71b44, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x5bf7db3e, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x42703336, "cdc_parse_cdc_header" },
	{ 0xadc71f84, "usb_ifnum_to_if" },
	{ 0xd987aac4, "usb_driver_claim_interface" },
	{ 0xa12d9eed, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf6746864, "usbnet_get_ethernet_addr" },
	{ 0x33719327, "_dev_err" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0x3447621, "usbnet_manage_power" },
	{ 0xbadba962, "usbnet_cdc_update_filter" },
	{ 0x56326361, "usbnet_open" },
	{ 0x6b088055, "usbnet_stop" },
	{ 0x6f471eab, "usbnet_set_rx_mode" },
	{ 0x9c42265a, "eth_mac_addr" },
	{ 0xe4425a2b, "eth_validate_addr" },
	{ 0xa3a40b73, "usbnet_tx_timeout" },
	{ 0xbbfa6de5, "dev_get_tstats64" },
	{ 0x6a560cec, "usbnet_get_drvinfo" },
	{ 0x62174fde, "usbnet_get_msglevel" },
	{ 0x7531527d, "usbnet_set_msglevel" },
	{ 0x80f7a564, "usbnet_nway_reset" },
	{ 0xbe0419bd, "usbnet_get_link" },
	{ 0x872addb6, "ethtool_op_get_ts_info" },
	{ 0x8fa926a2, "usbnet_get_link_ksettings_internal" },
	{ 0x6e916ca3, "usbnet_probe" },
	{ 0x7b9cfb6c, "usbnet_disconnect" },
	{ 0xe60aafd6, "usbnet_suspend" },
	{ 0x832a73de, "usbnet_resume" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x93fae14b, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x743f54e, "usb_driver_release_interface" },
	{ 0xe1889841, "usb_altnum_to_altsetting" },
	{ 0x92225dd3, "__dynamic_netdev_dbg" },
	{ 0x33972a88, "usb_register_driver" },
	{ 0x45d621e6, "usb_deregister" },
	{ 0x38699b43, "usbnet_link_change" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore,cdc_ether");

MODULE_ALIAS("usb:v05ACp12A8d*dc*dsc*dp*ic*isc*ip*in02*");
MODULE_ALIAS("usb:v05ACp12A8d*dc*dsc*dp*ic*isc*ip*in04*");
MODULE_ALIAS("usb:v05ACp12ABd*dc*dsc*dp*ic*isc*ip*in02*");
MODULE_ALIAS("usb:v05ACp12ABd*dc*dsc*dp*ic*isc*ip*in04*");
MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "D3DE83AE5D5E875CFE14D00");

MODULE_INFO(suserelease, "SLFO-1.2");
