#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x5d984a0b, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x3f777e59, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xca6ebf66, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xb2c9ccd3, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5d1358a7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xffba72b5, "ethtool_op_get_link" },
	{ 0xe2f77338, "nexthop_find_by_id" },
	{ 0x7b794ac2, "arp_create" },
	{ 0xff829e65, "__ethtool_get_link_ksettings" },
	{ 0xf1bcf96, "netdev_adjacent_change_prepare" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb40b76aa, "rhashtable_free_and_destroy" },
	{ 0xdef801a1, "rht_bucket_nested_insert" },
	{ 0x81f1dd58, "netdev_adjacent_change_abort" },
	{ 0xe59d10ea, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa8466abb, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf09f6aca, "__iptunnel_pull_header" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x349f744b, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x83047ab5, "rhashtable_destroy" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xd249da80, "setup_udp_tunnel_sock" },
	{ 0x1a319337, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x92225dd3, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc1d6dd3c, "skb_scrub_packet" },
	{ 0xe5a86efb, "nexthop_select_path" },
	{ 0x42348b13, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x27952cc5, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x63a43ec2, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x93cd0ba5, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xf2f22e2a, "udp_tun_rx_dst" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xf494fe3a, "rtnl_notify" },
	{ 0x540de23c, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xac5f87bd, "__netif_rx" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0x30098b59, "metadata_dst_alloc" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0x90043a2e, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xc2e8b517, "udp_tunnel_notify_del_rx_port" },
	{ 0xfcdbe669, "register_nexthop_notifier" },
	{ 0xdbd55082, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3d01e89b, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x4a7b5694, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x30d51e1b, "netdev_core_stats_inc" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x8b3f301, "netdev_info" },
	{ 0x9b07dd86, "neigh_lookup" },
	{ 0xfaa14df5, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xeb60b8ef, "register_netdevice" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x2fc75db8, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0xf583f1a1, "__nlmsg_put" },
	{ 0xb5ed44d7, "netdev_adjacent_change_commit" },
	{ 0x9c42265a, "eth_mac_addr" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa4c15cf1, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc2dd6de7, "ip6_dst_hoplimit" },
	{ 0xa5191c76, "param_ops_ushort" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x13bc8f5a, "udp_sock_create4" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x718c7619, "udp_tunnel6_xmit_skb" },
	{ 0x17931dd5, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xf681acc1, "__unregister_nexthop_notifier" },
	{ 0x2077bcd7, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xe4425a2b, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x29a46790, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x210ca5e5, "rtnl_create_link" },
	{ 0xb27e097b, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd7e28eae, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xc55906, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xccacc4a8, "udp_tunnel_drop_rx_port" },
	{ 0x166b95ec, "netdev_upper_dev_link" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x86b355fc, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0xd0cce62d, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x5f862029, "eth_gro_complete" },
	{ 0x434baa95, "rtnl_set_sk_err" },
	{ 0xf6365ee5, "eth_gro_receive" },
	{ 0x9fbeb9f4, "rtnl_configure_link" },
	{ 0x768f52a2, "skb_tunnel_check_pmtu" },
	{ 0xec929c80, "udp_tunnel_dst_lookup" },
	{ 0xcd0ed6e4, "rtnl_unicast" },
	{ 0x43da1501, "peernet2id" },
	{ 0x386a4a2f, "__skb_get_hash_net" },
	{ 0xd047d131, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x40c784b4, "__dev_get_by_index" },
	{ 0xbd918098, "rtnl_link_unregister" },
	{ 0x5a1fc02, "ipv6_stub" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0xa569022d, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6c88aae8, "dev_get_by_index_rcu" },
	{ 0x997c7031, "gro_cells_receive" },
	{ 0x59e03780, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xe4b56a1e, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0x1a4efd5a, "__rtnl_register_many" },
	{ 0x653194b1, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7e78a45, "ip_mc_join_group" },
	{ 0x19d9d97, "udp_tunnel_push_rx_port" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "290D199E9F67937749E5B2F");

MODULE_INFO(suserelease, "SLFO-1.2");
