#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6c713da5, "chacha20poly1305_encrypt_sg_inplace" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x224c0970, "netif_napi_add_weight_locked" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4a0fa443, "ip_route_output_flow" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa3cefaa0, "blake2s_update" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd2cf8f93, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x147c3f2e, "chacha20poly1305_encrypt" },
	{ 0xbba5a531, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc057d3fd, "__napi_schedule" },
	{ 0x9a450743, "sk_clear_memalloc" },
	{ 0xa916b694, "strnlen" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0x7bea261e, "napi_gro_receive" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0xc765b51f, "icmpv6_ndo_send" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x386a4a2f, "__skb_get_hash_net" },
	{ 0xbd918098, "rtnl_link_unregister" },
	{ 0x77f5bb81, "down_write" },
	{ 0x264635e1, "up_write" },
	{ 0x5a1fc02, "ipv6_stub" },
	{ 0x7982f19c, "inet_confirm_addr" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc8032479, "ip6_mtu" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x745ac523, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0xf667f730, "napi_enable" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xb9d6ea7f, "icmp_ndo_send" },
	{ 0x916491ac, "chacha20poly1305_decrypt_sg_inplace" },
	{ 0x8d304f20, "nla_put" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x653194b1, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x43c9f1fa, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x967c4bd0, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xce15a526, "xchacha20poly1305_encrypt" },
	{ 0xbc18112e, "security_sk_classify_flow" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x521c7102, "xchacha20poly1305_decrypt" },
	{ 0xbd3b41ef, "sk_set_memalloc" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x6eb04f46, "register_random_vmfork_notifier" },
	{ 0x81050554, "kfree_skb_list_reason" },
	{ 0xe59d10ea, "udp_tunnel_sock_release" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xd249da80, "setup_udp_tunnel_sock" },
	{ 0x1a319337, "udp_sock_create6" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa985aeff, "down_read" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xab27253, "skb_cow_data" },
	{ 0x9ec81667, "__netif_napi_del_locked" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc1d6dd3c, "skb_scrub_packet" },
	{ 0xc832c670, "curve25519_arch" },
	{ 0xd1bff884, "__put_net" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd34760c4, "ipv4_mtu" },
	{ 0xe9179ea2, "dst_cache_get_ip6" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x313cae22, "dst_cache_get_ip4" },
	{ 0xc20134e7, "chacha20poly1305_decrypt" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf73e86bf, "rt_spin_trylock_bh" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x90c997d1, "dst_cache_set_ip6" },
	{ 0xa6a0fd68, "pskb_put" },
	{ 0x3c74a43e, "curve25519_base_arch" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x540de23c, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xba61bfe9, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x250847f5, "dev_get_by_name" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9e0fa5ae, "hsiphash_3u32" },
	{ 0xcfdeb295, "__skb_flow_dissect" },
	{ 0x28306963, "genl_unregister_family" },
	{ 0x30acfde9, "hsiphash_2u32" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x35dec015, "ipv6_chk_addr" },
	{ 0x4e0aac0c, "napi_schedule_prep" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x948e7075, "napi_disable" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1deab069, "ip_tunnel_parse_protocol" },
	{ 0x797f7724, "genl_register_family" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x40dcf6d6, "skb_to_sgvec" },
	{ 0xe4d9da04, "__skb_gso_segment" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x41191db1, "register_pernet_device" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x3a4f9d28, "rng_is_initialized" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0x71b6cf94, "dst_cache_reset_now" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xeb60b8ef, "register_netdevice" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x173756c, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0xd0e342b5, "skb_put" },
	{ 0xadae6df8, "blake2s_final" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xc2dd6de7, "ip6_dst_hoplimit" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4a5a8811, "curve25519_null_point" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x13bc8f5a, "udp_sock_create4" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb4ecc9aa, "dst_cache_set_ip4" },
	{ 0x718c7619, "udp_tunnel6_xmit_skb" },
	{ 0x17931dd5, "rtnl_link_register" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x6a14d3af, "unregister_random_vmfork_notifier" },
	{ 0xc6ac5c0, "ip_tunnel_header_ops" },
	{ 0xfbe6207f, "genlmsg_put" },
	{ 0x3b7b4d4f, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "libchacha20poly1305,udp_tunnel,ip6_udp_tunnel,curve25519-x86_64,libcurve25519-generic");


MODULE_INFO(srcversion, "1C5B75973AA65E931E22643");

MODULE_INFO(suserelease, "SLFO-1.2");
