#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ath11k_debug_mask, "", "");
KSYMTAB_FUNC(ath11k_core_suspend, "", "");
KSYMTAB_FUNC(ath11k_core_suspend_late, "", "");
KSYMTAB_FUNC(ath11k_core_resume_early, "", "");
KSYMTAB_FUNC(ath11k_core_resume, "", "");
KSYMTAB_FUNC(ath11k_core_pre_init, "", "");
KSYMTAB_FUNC(ath11k_core_pm_notifier_unregister, "", "");
KSYMTAB_FUNC(ath11k_core_init, "", "");
KSYMTAB_FUNC(ath11k_core_deinit, "", "");
KSYMTAB_FUNC(ath11k_core_free, "", "");
KSYMTAB_FUNC(ath11k_core_alloc, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_init, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_deinit, "", "");
KSYMTAB_DATA(ath11k_cold_boot_cal, "", "");
KSYMTAB_FUNC(ath11k_qmi_fwreset_from_cold_boot, "", "");
KSYMTAB_FUNC(ath11k_qmi_deinit_service, "", "");
KSYMTAB_FUNC(ath11k_dp_service_srng, "", "");
KSYMTAB_FUNC(ath11k_info, "", "");
KSYMTAB_FUNC(ath11k_err, "", "");
KSYMTAB_FUNC(ath11k_warn, "", "");
KSYMTAB_FUNC(ath11k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath11k_ce_get_shadow_config, "", "");
KSYMTAB_FUNC(ath11k_ce_cleanup_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath11k_ce_free_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_alloc_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_get_attr_flags, "", "");
KSYMTAB_FUNC(ath11k_pcic_init_msi_config, "", "");
KSYMTAB_FUNC(ath11k_pcic_write32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_msi_address, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_user_msi_assignment, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_ce_msi_idx, "", "");
KSYMTAB_FUNC(ath11k_pcic_free_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_disable, "", "");
KSYMTAB_FUNC(ath11k_pcic_config_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irqs_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irq_disable_sync, "", "");
KSYMTAB_FUNC(ath11k_pcic_stop, "", "");
KSYMTAB_FUNC(ath11k_pcic_start, "", "");
KSYMTAB_FUNC(ath11k_pcic_map_service_to_pipe, "", "");
KSYMTAB_FUNC(ath11k_pcic_register_pci_ops, "", "");
KSYMTAB_FUNC(ath11k_pci_enable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_pci_disable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_fw_destroy, "", "");

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0x87b7daa2, "");
SYMBOL_CRC(ath11k_core_suspend_late, 0xb1c285d6, "");
SYMBOL_CRC(ath11k_core_resume_early, 0xa7ac9679, "");
SYMBOL_CRC(ath11k_core_resume, 0x6372c27a, "");
SYMBOL_CRC(ath11k_core_pre_init, 0xa822e8fa, "");
SYMBOL_CRC(ath11k_core_pm_notifier_unregister, 0x5f0014fd, "");
SYMBOL_CRC(ath11k_core_init, 0x8a89e764, "");
SYMBOL_CRC(ath11k_core_deinit, 0x33774f00, "");
SYMBOL_CRC(ath11k_core_free, 0x64072bd8, "");
SYMBOL_CRC(ath11k_core_alloc, 0x0459dda6, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0xe70eec19, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0x39427ffc, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0x6484a488, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0x099d889d, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0x0f01569f, "");
SYMBOL_CRC(ath11k_info, 0xc7fe4b27, "");
SYMBOL_CRC(ath11k_err, 0xa80ceb36, "");
SYMBOL_CRC(ath11k_warn, 0x8f021dfb, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0x75b943ee, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0x0b39385d, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0xa04932b9, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0x32d9ca16, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0x617cfac2, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0xe65d559a, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0xf1ab2f90, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0x5a474537, "");
SYMBOL_CRC(ath11k_pcic_write32, 0xa4c7801f, "");
SYMBOL_CRC(ath11k_pcic_read32, 0xaa5d5616, "");
SYMBOL_CRC(ath11k_pcic_read, 0x1c3288f6, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0xd7a2d8cf, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0x84dfd893, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0xb8642bb5, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0xa7344f91, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0x58cb5d4c, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0xcc77966d, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0x0c640017, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0xebb34a73, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0x906b7712, "");
SYMBOL_CRC(ath11k_pcic_stop, 0x5d71dd5a, "");
SYMBOL_CRC(ath11k_pcic_start, 0xd0f65bdd, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0xaf9c7e5c, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0xf7f88e2e, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0xef6a3568, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0x0496eb4c, "");
SYMBOL_CRC(ath11k_fw_destroy, 0x9f391130, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x84d6d204, "ieee80211_wake_queues" },
	{ 0x653194b1, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xf4a48916, "qmi_txn_init" },
	{ 0x32219693, "ieee80211_report_low_ack" },
	{ 0x7b57140c, "ieee80211_beacon_get_template" },
	{ 0xde80cd09, "ioremap" },
	{ 0x90f58b77, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xed437a4a, "ieee80211_free_txskb" },
	{ 0x4f60a2df, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe78c1cdf, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x169c888a, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x4cb3ec3d, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xdef801a1, "rht_bucket_nested_insert" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x21086bb5, "ieee80211_beacon_free_ema_list" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x83047ab5, "rhashtable_destroy" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xd8d9fc44, "ieee80211_ready_on_channel" },
	{ 0xaebf34d2, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xae649c74, "qmi_handle_release" },
	{ 0x9ec81667, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42348b13, "rhashtable_insert_slow" },
	{ 0x41229c10, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x22a663d5, "ieee80211_vif_to_wdev" },
	{ 0x9749d73d, "alloc_netdev_dummy" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0x93cd0ba5, "rhashtable_init_noprof" },
	{ 0xfd16c81d, "ieee80211_scan_completed" },
	{ 0xfe5f73f7, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x40188962, "crypto_shash_final" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x7e88de20, "__dma_sync_single_for_device" },
	{ 0x6889c6c8, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xacc44fde, "ieee80211_color_change_finish" },
	{ 0x76690196, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe8fd8ab2, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xa94df853, "ieee80211_queue_work" },
	{ 0x4e0aac0c, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x948e7075, "napi_disable" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xf3d0f921, "regulatory_set_wiphy_regd" },
	{ 0xf88a8479, "cfg80211_chandef_dfs_cac_time" },
	{ 0xbaeb8e8c, "crypto_alloc_shash" },
	{ 0x33044184, "ieee80211_beacon_get_template_ema_list" },
	{ 0x8e911aa5, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf981c9e4, "__cfg80211_get_bss" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x65461ef4, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbf02db51, "ieee80211_beacon_update_cntdwn" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe91f9b82, "ieee80211_gtk_rekey_notify" },
	{ 0x290bc1d9, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x2d0f958c, "cfg80211_chandef_dfs_usable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xad68421f, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfecdcb5b, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x333051c0, "idr_find" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd0e342b5, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x98ce86d6, "firmware_request_nowarn" },
	{ 0x4622878c, "qmi_handle_init" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x293c301a, "device_get_mac_address" },
	{ 0x3475d259, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x29b2e302, "ieee80211_free_hw" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x36a33e13, "dma_free_pages" },
	{ 0xd36148a, "ieee80211_iterate_stations_atomic" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xc2c787a3, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x3a521ee5, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb1f865e, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0xa3e797ee, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xb9901316, "thermal_cooling_device_register" },
	{ 0xbb680c1b, "ieee80211_register_hw" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x224c0970, "netif_napi_add_weight_locked" },
	{ 0x22cc564c, "ieee80211_restart_hw" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9437e346, "ieee80211_get_hdrlen_from_skb" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xfdb512aa, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x8a1f3eca, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69509299, "ieee80211_find_sta" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0xe5a78a74, "qmi_send_request" },
	{ 0xd2cf8f93, "napi_complete_done" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x9f2c3d3a, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xef3f10c4, "ieee80211_tx_status_irqsafe" },
	{ 0x11ea121, "dma_alloc_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x8a644a6, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xc057d3fd, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x144ec853, "cfg80211_put_bss" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x95e332db, "qmi_txn_wait" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x9856b61b, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xec21d530, "sysfs_create_link" },
	{ 0x9a052515, "ieee80211_obss_color_collision_notify" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x9d6e9d62, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x386a4a2f, "__skb_get_hash_net" },
	{ 0x8d816799, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68c29c1e, "ieee80211_queue_delayed_work" },
	{ 0x33719327, "_dev_err" },
	{ 0x8e0c2dc3, "crypto_shash_setkey" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x17475579, "qmi_txn_cancel" },
	{ 0x94f19c54, "sysfs_remove_link" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x72b93fb4, "ieee80211_find_sta_by_ifaddr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xad0cad4f, "ieee80211_remain_on_channel_expired" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xf667f730, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x13c0013, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mac80211,qmi_helpers,cfg80211");


MODULE_INFO(srcversion, "35CCC48FFD60F2196C5434B");

MODULE_INFO(suserelease, "SLFO-1.2");
