#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath12k_core_suspend, "", "");
KSYMTAB_FUNC(ath12k_core_suspend_late, "", "");
KSYMTAB_FUNC(ath12k_core_resume_early, "", "");
KSYMTAB_FUNC(ath12k_core_resume, "", "");

SYMBOL_CRC(ath12k_core_suspend, 0xc58658f4, "");
SYMBOL_CRC(ath12k_core_suspend_late, 0x24e168e8, "");
SYMBOL_CRC(ath12k_core_resume_early, 0x3eedfc60, "");
SYMBOL_CRC(ath12k_core_resume, 0xe4acab07, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf80e37de, "mhi_free_controller" },
	{ 0x97ab7810, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe78c1cdf, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x169c888a, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xd43e2d93, "wiphy_work_cancel" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x21086bb5, "ieee80211_beacon_free_ema_list" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x4972f583, "ieee80211_iterate_stations_mtx" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xd8d9fc44, "ieee80211_ready_on_channel" },
	{ 0xaebf34d2, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xae649c74, "qmi_handle_release" },
	{ 0xab27253, "skb_cow_data" },
	{ 0x9ec81667, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0x1697ed7d, "mhi_alloc_controller" },
	{ 0x740cd1c5, "skb_realloc_headroom" },
	{ 0x6ed01a4f, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x41229c10, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xac240ad8, "mhi_unregister_controller" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x22a663d5, "ieee80211_vif_to_wdev" },
	{ 0x9749d73d, "alloc_netdev_dummy" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0x526336c8, "atomic_notifier_chain_unregister" },
	{ 0xfd16c81d, "ieee80211_scan_completed" },
	{ 0xfe5f73f7, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x40188962, "crypto_shash_final" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xbc8afa44, "mhi_unprepare_after_power_down" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa6a0fd68, "pskb_put" },
	{ 0x6889c6c8, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0x76690196, "ieee80211_radar_detected" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xe300e696, "mhi_download_rddm_image" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xa94df853, "ieee80211_queue_work" },
	{ 0x4e0aac0c, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x948e7075, "napi_disable" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xbaeb8e8c, "crypto_alloc_shash" },
	{ 0x8c03c156, "pci_write_config_word" },
	{ 0x33044184, "ieee80211_beacon_get_template_ema_list" },
	{ 0x17957eb8, "pci_release_region" },
	{ 0x5188c57e, "mhi_prepare_for_power_up" },
	{ 0x85909793, "pci_free_irq_vectors" },
	{ 0x8e911aa5, "qmi_add_lookup" },
	{ 0xf981c9e4, "__cfg80211_get_bss" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0x65461ef4, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe91f9b82, "ieee80211_gtk_rekey_notify" },
	{ 0x290bc1d9, "device_set_wakeup_enable" },
	{ 0x66268818, "pcie_capability_read_word" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xa5351293, "regulatory_set_wiphy_regd_sync" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x72649912, "pci_request_region" },
	{ 0xad68421f, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0xfecdcb5b, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x333051c0, "idr_find" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x98ce86d6, "firmware_request_nowarn" },
	{ 0x3ed701a6, "mhi_power_down_keep_dev" },
	{ 0x4622878c, "qmi_handle_init" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0x16902ab6, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x67881199, "pci_alloc_irq_vectors" },
	{ 0x86e269fd, "mhi_device_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3475d259, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0xb38225e5, "mhi_sync_power_up" },
	{ 0x681adcb9, "mhi_power_down" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x2cc0149, "mhi_pm_resume" },
	{ 0x29b2e302, "ieee80211_free_hw" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0xc21f87a, "pci_assign_resource" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb1f865e, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0xa3e797ee, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x9eddd7a2, "in6_dev_finish_destroy" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xbb680c1b, "ieee80211_register_hw" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x224c0970, "netif_napi_add_weight_locked" },
	{ 0x22cc564c, "ieee80211_restart_hw" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9437e346, "ieee80211_get_hdrlen_from_skb" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x61f891c3, "pci_irq_vector" },
	{ 0xb8dd6e14, "mhi_register_controller" },
	{ 0xfdb512aa, "ieee80211_hw_restart_disconnect" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0xbf73d358, "ieee80211_tx_status_skb" },
	{ 0x8a1f3eca, "crypto_destroy_tfm" },
	{ 0x2123f09b, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69509299, "ieee80211_find_sta" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0xb75c70e5, "panic_notifier_list" },
	{ 0xe5a78a74, "qmi_send_request" },
	{ 0xd2cf8f93, "napi_complete_done" },
	{ 0x9f2c3d3a, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xef3f10c4, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x31ff760, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x8a644a6, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xc057d3fd, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x144ec853, "cfg80211_put_bss" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x95e332db, "qmi_txn_wait" },
	{ 0x4c55e08e, "mhi_pm_suspend" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x9856b61b, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x9d6e9d62, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68c29c1e, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x33719327, "_dev_err" },
	{ 0x8e0c2dc3, "crypto_shash_setkey" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0xb8ec5a2, "mhi_device_get_sync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x17475579, "qmi_txn_cancel" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9b22d216, "irq_get_irq_data" },
	{ 0x72b93fb4, "ieee80211_find_sta_by_ifaddr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xad0cad4f, "ieee80211_remain_on_channel_expired" },
	{ 0x7fc2e7b0, "pcie_capability_clear_and_set_word_locked" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x2b8216f, "pci_read_config_word" },
	{ 0xf667f730, "napi_enable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x84d6d204, "ieee80211_wake_queues" },
	{ 0x653194b1, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xf4a48916, "qmi_txn_init" },
	{ 0x32219693, "ieee80211_report_low_ack" },
	{ 0x7b57140c, "ieee80211_beacon_get_template" },
	{ 0x90f58b77, "crypto_shash_update" },
	{ 0xeebf57c5, "wiphy_work_queue" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xed437a4a, "ieee80211_free_txskb" },
	{ 0x4f60a2df, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mhi,cfg80211,mac80211,qmi_helpers");

MODULE_ALIAS("pci:v000017CBd00001109sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00001107sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "58C8A3FC91BDDEBCBA90597");

MODULE_INFO(suserelease, "SLFO-1.2");
