#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(brcmf_set_wsec, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_register_vendor, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_unregister_vendor, "_gpl", "BRCMFMAC");

SYMBOL_CRC(brcmf_set_wsec, 0x5e10dc7e, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_set, 0x49c3317f, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_get, 0xda3046d3, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_set, 0x30f8a12f, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_get, 0x4c9d6b5d, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_set, 0xf0c6dbcb, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_get, 0x9aa77613, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_set, 0xb961b8f9, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_get, 0x0961a30c, "_gpl");
SYMBOL_CRC(brcmf_fwvid_register_vendor, 0xb956f3fb, "_gpl");
SYMBOL_CRC(brcmf_fwvid_unregister_vendor, 0xa8d462dc, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98c21216, "mmc_wait_for_req" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x349f744b, "netif_rx" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xa024d28d, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9f7a2fc2, "skb_unlink" },
	{ 0xb1b0ea75, "sdio_get_host_pm_caps" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0x56e76cc9, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x73c3bfab, "pm_runtime_forbid" },
	{ 0x4a9492af, "brcmu_pktq_mdeq" },
	{ 0x324322f3, "cfg80211_unregister_wdev" },
	{ 0x8947da82, "pci_pme_capable" },
	{ 0x98ba8bb8, "brcmu_pktq_penq" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0xb0d7d0f2, "pm_runtime_allow" },
	{ 0x999e8297, "vfree" },
	{ 0x64432a35, "__platform_driver_probe" },
	{ 0x3a84be1f, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7bd3b23, "usb_autopm_get_interface" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xf17938e0, "brcmu_pktq_pdeq_tail" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbc9e7db2, "driver_for_each_device" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xc310b981, "strnstr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x4d4770a7, "usb_kill_urb" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xba61bfe9, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xbe2d6696, "netif_carrier_on" },
	{ 0x2cb56ab9, "brcmu_pkt_buf_get_skb" },
	{ 0x8e727b85, "mmc_hw_reset" },
	{ 0x9e72a23b, "sdio_retune_release" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x7eb39895, "sdio_claim_irq" },
	{ 0xd192859f, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0x3824ec88, "pci_match_id" },
	{ 0x7b1cfc98, "sdio_enable_func" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd4d9c646, "acpi_dev_get_property" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0x662e433b, "send_sig" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xce7b78fa, "cfg80211_inform_bss_data" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xea124bd1, "gcd" },
	{ 0x279c4c99, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0xb3fa0a04, "cfg80211_connect_done" },
	{ 0x7410aba2, "strreplace" },
	{ 0xceab0311, "strchrnul" },
	{ 0xe15a71d1, "wiphy_free" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x24031264, "cfg80211_cqm_rssi_notify" },
	{ 0x529386f3, "pci_write_config_dword" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xd6217d91, "brcmu_d11_attach" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3131f672, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a3f3d84, "sdio_readb" },
	{ 0x729a3960, "sdio_writeb" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xf15f12bc, "brcmu_pktq_mlen" },
	{ 0x54ad4ca6, "cfg80211_sched_scan_results" },
	{ 0x340a13cf, "sdio_retune_hold_now" },
	{ 0xeaa2bf53, "sdio_release_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6a578ab1, "usb_alloc_urb" },
	{ 0x4b6f2fac, "sdio_disable_func" },
	{ 0xa59eb01f, "cfg80211_mgmt_tx_status_ext" },
	{ 0x290bc1d9, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xb30f0d41, "usb_autopm_put_interface" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x8a4c63d2, "sdio_set_block_size" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x96e6d83, "usb_free_urb" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0xd0e342b5, "skb_put" },
	{ 0xc1ba70f5, "brcmu_pkt_buf_free_skb" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x1c384ca0, "sdio_retune_crc_disable" },
	{ 0x3a2dba3a, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x98ce86d6, "firmware_request_nowarn" },
	{ 0x5ad12e30, "platform_driver_unregister" },
	{ 0x7a66c929, "sdio_claim_host" },
	{ 0x2b190fd1, "cfg80211_sched_scan_stopped" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x59d6359, "sdio_memcpy_fromio" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x69492855, "unregister_netdev" },
	{ 0x8fed9ecf, "cfg80211_remain_on_channel_expired" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xa7d8078, "cfg80211_register_netdevice" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x2476a690, "request_firmware" },
	{ 0x33972a88, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xee126581, "pci_disable_msi" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xf06a8d3, "cfg80211_port_authorized" },
	{ 0xb3534e89, "brcmu_pktq_init" },
	{ 0x56639fff, "brcmu_pktq_penq_head" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xa832cc4c, "sdio_memcpy_toio" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x33a04565, "cfg80211_new_sta" },
	{ 0xa17c0ccf, "brcmu_dotrev_str" },
	{ 0x55416df2, "cfg80211_disconnected" },
	{ 0xc55906, "ether_setup" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0x3fe92e67, "sdio_f0_readb" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0x2123f09b, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0xf14da2c6, "alloc_netdev_mqs" },
	{ 0xbf688c58, "wiphy_new_nm" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x6912bbc3, "cfg80211_ready_on_channel" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe03fcc4c, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x348b2ab3, "sdio_release_irq" },
	{ 0x5c542ef3, "cfg80211_crit_proto_stopped" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xae6b40dd, "wiphy_register" },
	{ 0x62f02d9b, "__cfg80211_alloc_reply_skb" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x144ec853, "cfg80211_put_bss" },
	{ 0x1c9a8e46, "cfg80211_roamed" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1161409, "usb_submit_urb" },
	{ 0x9f984513, "strrchr" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x9856b61b, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa8b65bca, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4ee20fbb, "sdio_set_host_pm_flags" },
	{ 0xffe8f3cc, "sdio_f0_writeb" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xc5efebe2, "sdio_unregister_driver" },
	{ 0xfc1717a7, "sdio_readsb" },
	{ 0x59cd5e33, "usb_match_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x27a9a4cd, "pci_enable_msi" },
	{ 0xfddeb056, "efi" },
	{ 0x33719327, "_dev_err" },
	{ 0xf1347464, "device_wakeup_enable" },
	{ 0x6775463f, "cfg80211_ibss_joined" },
	{ 0xa8cf5735, "request_firmware_nowait" },
	{ 0x52978850, "simple_open" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1fcf4bbc, "wiphy_apply_custom_regulatory" },
	{ 0x313751ee, "cfg80211_michael_mic_failure" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0x14a90720, "sdio_retune_crc_enable" },
	{ 0xc90df2c, "brcmu_pktq_flush" },
	{ 0xcf1f16aa, "brcmu_pktq_peek_tail" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0xd34ae69f, "cfg80211_del_sta_sinfo" },
	{ 0xbdce3a8f, "sdio_readl" },
	{ 0x3ef4a0f4, "mmc_set_data_timeout" },
	{ 0x8d304f20, "nla_put" },
	{ 0x96d19db4, "register_netdev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x70b507a5, "wiphy_unregister" },
	{ 0x653194b1, "free_netdev" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd960722a, "kthread_stop" },
	{ 0xafbc8377, "eth_platform_get_mac_address" },
	{ 0x45d621e6, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x62d1ac71, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x39c6cced, "brcmu_pktq_pdeq_match" },
	{ 0x2e6e0d59, "cfg80211_vendor_cmd_reply" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa78c44d5, "__sdio_register_driver" },
	{ 0x2cfa25bd, "sdio_writel" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,brcmutil,cfg80211,usbcore");

MODULE_ALIAS("pci:v000014E4d000043A3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004355sv000014E4sd00004355bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004354sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043DCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043ECsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA31sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043E9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043EFsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA52sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004464sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004365sv000014E4sd00004365bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C4sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C5sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000440Dsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004415sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004488sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004425sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004433sv*sd*bc02sc80i*");
MODULE_ALIAS("usb:v0A5CpBD1Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD17d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD1Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD27d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4pBD29d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("sdio:c*v02D0dA887*");
MODULE_ALIAS("sdio:c*v02D0d4324*");
MODULE_ALIAS("sdio:c*v02D0d4329*");
MODULE_ALIAS("sdio:c*v02D0d4330*");
MODULE_ALIAS("sdio:c*v02D0d4334*");
MODULE_ALIAS("sdio:c*v02D0dA94C*");
MODULE_ALIAS("sdio:c*v02D0dA94D*");
MODULE_ALIAS("sdio:c*v02D0dA962*");
MODULE_ALIAS("sdio:c*v02D0dA9A4*");
MODULE_ALIAS("sdio:c*v02D0d4335*");
MODULE_ALIAS("sdio:c*v02D0d4339*");
MODULE_ALIAS("sdio:c*v02D0dA9A6*");
MODULE_ALIAS("sdio:c*v02D0dA9AF*");
MODULE_ALIAS("sdio:c*v02D0d4345*");
MODULE_ALIAS("sdio:c*v02D0dA9BF*");
MODULE_ALIAS("sdio:c*v02D0d4354*");
MODULE_ALIAS("sdio:c*v02D0d4356*");
MODULE_ALIAS("sdio:c*v02D0d4359*");
MODULE_ALIAS("sdio:c*v02D0d4373*");
MODULE_ALIAS("sdio:c*v02D0dA804*");
MODULE_ALIAS("sdio:c*v02D0dAAE8*");
MODULE_ALIAS("sdio:c*v02D0d4355*");
MODULE_ALIAS("sdio:c*v04B4dBD3D*");

MODULE_INFO(srcversion, "4C50C3729A99771D5698D32");

MODULE_INFO(suserelease, "SLFO-1.2");
