#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(libipw_networks_age, "", "");
KSYMTAB_FUNC(alloc_libipw, "", "");
KSYMTAB_FUNC(free_libipw, "", "");
KSYMTAB_DATA(libipw_debug_level, "_gpl", "");
KSYMTAB_FUNC(libipw_xmit, "", "");
KSYMTAB_FUNC(libipw_txb_free, "", "");
KSYMTAB_FUNC(libipw_rx_any, "_gpl", "");
KSYMTAB_FUNC(libipw_rx_mgt, "", "");
KSYMTAB_FUNC(libipw_rx, "", "");
KSYMTAB_FUNC(libipw_wx_set_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_scan, "", "");
KSYMTAB_FUNC(libipw_wx_set_encode, "", "");
KSYMTAB_FUNC(libipw_wx_get_encode, "", "");
KSYMTAB_FUNC(libipw_get_channel, "", "");
KSYMTAB_FUNC(libipw_get_channel_flags, "", "");
KSYMTAB_FUNC(libipw_is_valid_channel, "", "");
KSYMTAB_FUNC(libipw_freq_to_channel, "", "");
KSYMTAB_FUNC(libipw_channel_to_freq, "", "");
KSYMTAB_FUNC(libipw_channel_to_index, "", "");
KSYMTAB_FUNC(libipw_set_geo, "", "");
KSYMTAB_FUNC(libipw_get_geo, "", "");

SYMBOL_CRC(libipw_networks_age, 0x1c863348, "");
SYMBOL_CRC(alloc_libipw, 0x9473d58f, "");
SYMBOL_CRC(free_libipw, 0x842204ae, "");
SYMBOL_CRC(libipw_debug_level, 0x498e4f1a, "_gpl");
SYMBOL_CRC(libipw_xmit, 0xeed4fab6, "");
SYMBOL_CRC(libipw_txb_free, 0x4662e487, "");
SYMBOL_CRC(libipw_rx_any, 0x81a62ff5, "_gpl");
SYMBOL_CRC(libipw_rx_mgt, 0x07ef0468, "");
SYMBOL_CRC(libipw_rx, 0xcf6b509e, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0xa1799ecd, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0xd6d2d2c0, "");
SYMBOL_CRC(libipw_wx_get_scan, 0xac750d7c, "");
SYMBOL_CRC(libipw_wx_set_encode, 0x8fe2b381, "");
SYMBOL_CRC(libipw_wx_get_encode, 0x57cf35fe, "");
SYMBOL_CRC(libipw_get_channel, 0xac7b1c4d, "");
SYMBOL_CRC(libipw_get_channel_flags, 0xb31e7634, "");
SYMBOL_CRC(libipw_is_valid_channel, 0x7cc5ef7b, "");
SYMBOL_CRC(libipw_freq_to_channel, 0xa66912ca, "");
SYMBOL_CRC(libipw_channel_to_freq, 0x0201eeb2, "");
SYMBOL_CRC(libipw_channel_to_index, 0xe829eac5, "");
SYMBOL_CRC(libipw_set_geo, 0x3dffb425, "");
SYMBOL_CRC(libipw_get_geo, 0x1e7b2902, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x20aec938, "dev_kfree_skb_irq_reason" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbf688c58, "wiphy_new_nm" },
	{ 0x9692e911, "lib80211_crypt_info_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xad2b1ffa, "lib80211_get_crypto_ops" },
	{ 0xf1597117, "init_net" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x59e03780, "skb_push" },
	{ 0x653194b1, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xefa589cf, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x939b580b, "wireless_spy_update" },
	{ 0x349f744b, "netif_rx" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x911c8743, "seq_read" },
	{ 0x6a6bb394, "lib80211_crypt_info_free" },
	{ 0xcb8a4261, "remove_proc_entry" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0xa2607993, "lib80211_crypt_delayed_deinit" },
	{ 0x55473fb7, "single_release" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xd898659, "single_open" },
	{ 0xe15a71d1, "wiphy_free" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xeb05b3a8, "alloc_etherdev_mqs" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x608e1b53, "proc_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,lib80211");


MODULE_INFO(srcversion, "2C19031B733A5804C34CA22");

MODULE_INFO(suserelease, "SLFO-1.2");
