#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(p54_parse_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_read_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_parse_firmware, "_gpl", "");
KSYMTAB_FUNC(p54_free_skb, "_gpl", "");
KSYMTAB_FUNC(p54_rx, "_gpl", "");
KSYMTAB_FUNC(p54_init_common, "_gpl", "");
KSYMTAB_FUNC(p54_register_common, "_gpl", "");
KSYMTAB_FUNC(p54_free_common, "_gpl", "");
KSYMTAB_FUNC(p54_unregister_common, "_gpl", "");

SYMBOL_CRC(p54_parse_eeprom, 0x4c066af6, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0xd43c3488, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0xe90bc9a9, "_gpl");
SYMBOL_CRC(p54_free_skb, 0x8347e551, "_gpl");
SYMBOL_CRC(p54_rx, 0x59ba71d7, "_gpl");
SYMBOL_CRC(p54_init_common, 0x1fd16c8e, "_gpl");
SYMBOL_CRC(p54_register_common, 0x32ce62de, "_gpl");
SYMBOL_CRC(p54_free_common, 0x6cf3ac05, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0x3116d3db, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaff79895, "__ieee80211_get_radio_led_name" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x9890ba2a, "ieee80211_wake_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x70e6911a, "__ieee80211_get_tx_led_name" },
	{ 0x310e3a08, "skb_queue_purge_reason" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9f2c3d3a, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0xef3f10c4, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x713407a8, "__ieee80211_get_rx_led_name" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x68c29c1e, "ieee80211_queue_delayed_work" },
	{ 0x33719327, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xed437a4a, "ieee80211_free_txskb" },
	{ 0x17a9aa1c, "led_classdev_register_ext" },
	{ 0x4f60a2df, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x82bea626, "ieee80211_emulate_add_chanctx" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x55b63eb7, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x455c12b0, "ieee80211_stop_queue" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9f7a2fc2, "skb_unlink" },
	{ 0x6ed01a4f, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xab023be1, "__ieee80211_get_assoc_led_name" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x6889c6c8, "ieee80211_unregister_hw" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x305b2cbf, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0xf80797cf, "_dev_printk" },
	{ 0x537f4911, "ieee80211_emulate_remove_chanctx" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xd96539, "ieee80211_rx_irqsafe" },
	{ 0x3131f672, "skb_queue_head" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x29b2e302, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb1f865e, "ieee80211_beacon_loss" },
	{ 0x6d3c75f1, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1dab9fa0, "led_classdev_unregister" },
	{ 0xbb680c1b, "ieee80211_register_hw" },
	{ 0x3cbbd2f2, "ieee80211_emulate_change_chanctx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9437e346, "ieee80211_get_hdrlen_from_skb" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "8342CBDB8DFBEEFF8CA0EC7");

MODULE_INFO(suserelease, "SLFO-1.2");
