#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(lbtf_debug, "_gpl", "");
KSYMTAB_FUNC(lbtf_rx, "_gpl", "");
KSYMTAB_FUNC(lbtf_add_card, "_gpl", "");
KSYMTAB_FUNC(lbtf_remove_card, "_gpl", "");
KSYMTAB_FUNC(lbtf_send_tx_feedback, "_gpl", "");
KSYMTAB_FUNC(lbtf_bcn_sent, "_gpl", "");
KSYMTAB_FUNC(lbtf_cmd_copyback, "_gpl", "");
KSYMTAB_FUNC(__lbtf_cmd, "_gpl", "");
KSYMTAB_FUNC(lbtf_cmd_response_rx, "_gpl", "");

SYMBOL_CRC(lbtf_debug, 0xc85e6899, "_gpl");
SYMBOL_CRC(lbtf_rx, 0x4431d4e1, "_gpl");
SYMBOL_CRC(lbtf_add_card, 0xdaca9b23, "_gpl");
SYMBOL_CRC(lbtf_remove_card, 0x77d84a7e, "_gpl");
SYMBOL_CRC(lbtf_send_tx_feedback, 0x6f3d5d61, "_gpl");
SYMBOL_CRC(lbtf_bcn_sent, 0x426dddf8, "_gpl");
SYMBOL_CRC(lbtf_cmd_copyback, 0x42d40917, "_gpl");
SYMBOL_CRC(__lbtf_cmd, 0xc428ed38, "_gpl");
SYMBOL_CRC(lbtf_cmd_response_rx, 0x161ef012, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbb680c1b, "ieee80211_register_hw" },
	{ 0x3cbbd2f2, "ieee80211_emulate_change_chanctx" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f2b8111, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9f2c3d3a, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xef3f10c4, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0x84d6d204, "ieee80211_wake_queues" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4f60a2df, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x82bea626, "ieee80211_emulate_add_chanctx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x55b63eb7, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xaebf34d2, "ieee80211_stop_queues" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6889c6c8, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x305b2cbf, "ieee80211_beacon_get_tim" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x537f4911, "ieee80211_emulate_remove_chanctx" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xd96539, "ieee80211_rx_irqsafe" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x29b2e302, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mac80211");


MODULE_INFO(srcversion, "7DA56B97EE98003B8CCFFD4");

MODULE_INFO(suserelease, "SLFO-1.2");
