#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mwifiex_queue_main_work, "_gpl", "");
KSYMTAB_FUNC(mwifiex_main_process, "_gpl", "");
KSYMTAB_FUNC(mwifiex_multi_chan_resync, "_gpl", "");
KSYMTAB_FUNC(mwifiex_upload_device_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_drv_info_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_prepare_fw_dump_info, "_gpl", "");
KSYMTAB_FUNC(mwifiex_shutdown_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_reinit_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_card, "_gpl", "");
KSYMTAB_FUNC(mwifiex_remove_card, "_gpl", "");
KSYMTAB_FUNC(_mwifiex_dbg, "_gpl", "");
KSYMTAB_FUNC(mwifiex_dnld_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_hs_config, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_sleep_confirm_resp, "_gpl", "");
KSYMTAB_FUNC(mwifiex_init_shutdown_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_alloc_dma_align_buf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_fw_dump_event, "_gpl", "");
KSYMTAB_FUNC(mwifiex_handle_rx_packet, "_gpl", "");
KSYMTAB_FUNC(mwifiex_write_data_complete, "_gpl", "");
KSYMTAB_FUNC(mwifiex_deauthenticate_all, "_gpl", "");
KSYMTAB_FUNC(mwifiex_cancel_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_enable_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_disable_auto_ds, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_virtual_intf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_del_virtual_intf, "_gpl", "");

SYMBOL_CRC(mwifiex_queue_main_work, 0x8a2dc8ca, "_gpl");
SYMBOL_CRC(mwifiex_main_process, 0x6c039513, "_gpl");
SYMBOL_CRC(mwifiex_multi_chan_resync, 0x3aa537af, "_gpl");
SYMBOL_CRC(mwifiex_upload_device_dump, 0xc7a4d028, "_gpl");
SYMBOL_CRC(mwifiex_drv_info_dump, 0x4052bc85, "_gpl");
SYMBOL_CRC(mwifiex_prepare_fw_dump_info, 0xd40ca44e, "_gpl");
SYMBOL_CRC(mwifiex_shutdown_sw, 0x96e41fe7, "_gpl");
SYMBOL_CRC(mwifiex_reinit_sw, 0x599ffb33, "_gpl");
SYMBOL_CRC(mwifiex_add_card, 0x465ae3c5, "_gpl");
SYMBOL_CRC(mwifiex_remove_card, 0xa6ff1e8f, "_gpl");
SYMBOL_CRC(_mwifiex_dbg, 0xf2c6ee6a, "_gpl");
SYMBOL_CRC(mwifiex_dnld_fw, 0xc4abd931, "_gpl");
SYMBOL_CRC(mwifiex_process_hs_config, 0x969612c9, "_gpl");
SYMBOL_CRC(mwifiex_process_sleep_confirm_resp, 0x30ca8bbd, "_gpl");
SYMBOL_CRC(mwifiex_init_shutdown_fw, 0x51400d97, "_gpl");
SYMBOL_CRC(mwifiex_alloc_dma_align_buf, 0xd4dad9f3, "_gpl");
SYMBOL_CRC(mwifiex_fw_dump_event, 0x906adb80, "_gpl");
SYMBOL_CRC(mwifiex_handle_rx_packet, 0x772cc5d9, "_gpl");
SYMBOL_CRC(mwifiex_write_data_complete, 0xa3260406, "_gpl");
SYMBOL_CRC(mwifiex_deauthenticate_all, 0xf3d7c708, "_gpl");
SYMBOL_CRC(mwifiex_cancel_hs, 0x0366551d, "_gpl");
SYMBOL_CRC(mwifiex_enable_hs, 0xa423e685, "_gpl");
SYMBOL_CRC(mwifiex_disable_auto_ds, 0x5155255d, "_gpl");
SYMBOL_CRC(mwifiex_add_virtual_intf, 0x862f1e73, "_gpl");
SYMBOL_CRC(mwifiex_del_virtual_intf, 0x1e02c1b7, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0x6912bbc3, "cfg80211_ready_on_channel" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xe03fcc4c, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x733f214d, "cfg80211_rx_mlme_mgmt" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xae6b40dd, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x144ec853, "cfg80211_put_bss" },
	{ 0xba06c412, "netif_device_detach" },
	{ 0x851a4597, "cfg80211_ch_switch_notify" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x464b9c63, "netif_device_attach" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x9856b61b, "ieee80211_get_channel_khz" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xe70c161, "__cfg80211_radar_event" },
	{ 0x7aba66fd, "cfg80211_tdls_oper_request" },
	{ 0x462c439c, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf8226993, "devm_kmemdup" },
	{ 0x33719327, "_dev_err" },
	{ 0x6775463f, "cfg80211_ibss_joined" },
	{ 0xa8cf5735, "request_firmware_nowait" },
	{ 0x52978850, "simple_open" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1fcf4bbc, "wiphy_apply_custom_regulatory" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x313751ee, "cfg80211_michael_mic_failure" },
	{ 0x7b22ce3b, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xd34ae69f, "cfg80211_del_sta_sinfo" },
	{ 0x70b507a5, "wiphy_unregister" },
	{ 0x653194b1, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5dab2b07, "dev_coredumpv" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0x32486b42, "netif_tx_stop_all_queues" },
	{ 0x62d1ac71, "netif_tx_wake_queue" },
	{ 0xe78c1cdf, "idr_destroy" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xe9baa2f2, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x349f744b, "netif_rx" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9f7a2fc2, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xae91390c, "cfg80211_sched_scan_stopped_locked" },
	{ 0x740cd1c5, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x41229c10, "idr_for_each" },
	{ 0x324322f3, "cfg80211_unregister_wdev" },
	{ 0x999e8297, "vfree" },
	{ 0x3a84be1f, "cfg80211_rx_mgmt_ext" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xba61bfe9, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6646c565, "skb_copy" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0xbe2d6696, "netif_carrier_on" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0xd192859f, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xce7b78fa, "cfg80211_inform_bss_data" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xb3fa0a04, "cfg80211_connect_done" },
	{ 0xf981c9e4, "__cfg80211_get_bss" },
	{ 0xe15a71d1, "wiphy_free" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x24031264, "cfg80211_cqm_rssi_notify" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3131f672, "skb_queue_head" },
	{ 0x54ad4ca6, "cfg80211_sched_scan_results" },
	{ 0xdf3dc9aa, "skb_complete_wifi_ack" },
	{ 0xa59eb01f, "cfg80211_mgmt_tx_status_ext" },
	{ 0x290bc1d9, "device_set_wakeup_enable" },
	{ 0xceb57d0, "cfg80211_rx_assoc_resp" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfecdcb5b, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x20d52d9a, "cfg80211_chandef_dfs_required" },
	{ 0x3a2dba3a, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2b190fd1, "cfg80211_sched_scan_stopped" },
	{ 0xa5191c76, "param_ops_ushort" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8fed9ecf, "cfg80211_remain_on_channel_expired" },
	{ 0x668e04d1, "cfg80211_cac_event" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xa7d8078, "cfg80211_register_netdevice" },
	{ 0x2476a690, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x3a126082, "ieee80211_amsdu_to_8023s" },
	{ 0x76c7d865, "cfg80211_ref_bss" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6d3c75f1, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe4425a2b, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x33a04565, "cfg80211_new_sta" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x55416df2, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc55906, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0xa599989a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf14da2c6, "alloc_netdev_mqs" },
	{ 0xbf688c58, "wiphy_new_nm" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "C8D43078F7C0AE3278BA3D4");

MODULE_INFO(suserelease, "SLFO-1.2");
