#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76s_read_pcr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rr, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rmw, "_gpl", "");
KSYMTAB_FUNC(mt76s_write_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_rd_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_hw_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_rx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(mt76s_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76s_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_txrx_worker, "_gpl", "");
KSYMTAB_FUNC(mt76s_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(mt76s_txqs_empty, "_gpl", "");

SYMBOL_CRC(mt76s_read_pcr, 0x131e2396, "_gpl");
SYMBOL_CRC(mt76s_rr, 0xa3fccb63, "_gpl");
SYMBOL_CRC(mt76s_wr, 0x32f7dfb8, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0x10ebe7cf, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0x89d84fda, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0x8f7dd8a0, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0x82979cf5, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0x1dee0cbb, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0xc65405d8, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0xa449e63c, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0x148871ee, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0x485b87b0, "_gpl");
SYMBOL_CRC(mt76s_init, 0x2a2469e0, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0x164cff87, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0x68c453a4, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0xea9b0820, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x44b8da9b, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0x12a7f13c, "mt76_tx_status_check" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6249bb21, "__alloc_pages_noprof" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x348b2ab3, "sdio_release_irq" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xfc1717a7, "sdio_readsb" },
	{ 0x33719327, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdf286a2c, "__SCK__tp_func_dev_irq" },
	{ 0xbdce3a8f, "sdio_readl" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbada6f58, "__put_devmap_managed_folio_refs" },
	{ 0xd960722a, "kthread_stop" },
	{ 0x2cfa25bd, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc075b36e, "mt76_queue_tx_complete" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0xa22497e9, "__tracepoint_dev_irq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc77625a1, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0x7eb39895, "sdio_claim_irq" },
	{ 0xfbd34423, "mt76_skb_adjust_pad" },
	{ 0x7b1cfc98, "sdio_enable_func" },
	{ 0x1304611f, "sdio_writesb" },
	{ 0x5189aeee, "skb_add_rx_frag_netmem" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xeaa2bf53, "sdio_release_host" },
	{ 0x4b6f2fac, "sdio_disable_func" },
	{ 0x8a4c63d2, "sdio_set_block_size" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7a66c929, "sdio_claim_host" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mt76,mmc_core");


MODULE_INFO(srcversion, "1AA474BB8FE527D03744F41");

MODULE_INFO(suserelease, "SLFO-1.2");
