#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_mtd, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_nvmem, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_find_power_limits_node, "_gpl", "");
KSYMTAB_FUNC(mt76_find_channel_node, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_release_rx_buf, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_offload_disable, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_reset_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_net_setup_tc, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_dma_reset, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_aspm_supported, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0xf87810b2, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0x00907df2, "_gpl");
SYMBOL_CRC(__mt76_poll, 0x6afc3200, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0xb64ae1ea, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0xfee6c842, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x62c884a3, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x68823bcb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0x5d0803ae, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0xa22497e9, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x80b94dcc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0xdf286a2c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0xc53e87fa, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0xed90ac23, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0xf271b2ab, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0x1410798a, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0xeada2489, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0x52d47a35, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0xe75fbfe4, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x6b0a0077, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x8b20ce8e, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0x3807aab2, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x2e7e1373, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0x72e3a4d6, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0xbca15c5c, "_gpl");
SYMBOL_CRC(mt76_register_device, 0xa8c1b76e, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0x59aa9a51, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x4701d641, "_gpl");
SYMBOL_CRC(mt76_rx, 0x12ea356a, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0xc0be4b25, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0xa9b9a07a, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x4482e722, "_gpl");
SYMBOL_CRC(mt76_update_channel, 0x14965f60, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0xf4320870, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x01c5c248, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0xc77625a1, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0x467347e1, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0xa2847332, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x922e2b21, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0xfad6ea0e, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0x57b56da3, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0xbec1e3b2, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0x1a0b5a3c, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0x8032005b, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xadc4e834, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0x9b0cc9c0, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x2b79c296, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0xe90a957a, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0xb6e30a91, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0x42845153, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0xc73b67e9, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0xff80e062, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0x06ef9735, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0xff4bfc96, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0x422a20dc, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0x942f436a, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x2b249c25, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0x57e89419, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x1bfefe40, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0x879d58ea, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0xb24f0c10, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0x873cc963, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0x837b023c, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0xe502324f, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0xa35003ac, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0x045629b2, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x6b98f90e, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x1287a29c, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0xf60c4037, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0x65991b50, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0x8ddf5d10, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0xd628213f, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0x12a7f13c, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0xcbe49a41, "_gpl");
SYMBOL_CRC(mt76_tx, 0x145b80c2, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0xd026b5df, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0xccec2c66, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x107328d2, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x38d2a45e, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0xe11bce83, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x75ff3334, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0xfbd34423, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0xc075b36e, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x2d431867, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x7933fe5e, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x28f40ed8, "_gpl");
SYMBOL_CRC(mt76_token_release, 0xfe260bf0, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x97df5b9d, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0x4e4ef24b, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0xe5452b34, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x989ecb57, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0xaebc610a, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0xc35eaf96, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x53bbec1e, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x6ce34a19, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0x9c99a7a3, "_gpl");
SYMBOL_CRC(mt76_wed_release_rx_buf, 0x2a310631, "_gpl");
SYMBOL_CRC(mt76_wed_offload_disable, 0xda4fd8c4, "_gpl");
SYMBOL_CRC(mt76_wed_reset_complete, 0x4958cfc1, "_gpl");
SYMBOL_CRC(mt76_wed_net_setup_tc, 0x00e6b1a4, "_gpl");
SYMBOL_CRC(mt76_wed_dma_reset, 0x88c429e4, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x7b311e5b, "_gpl");
SYMBOL_CRC(mt76_pci_aspm_supported, 0x19db1589, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3a521ee5, "ieee80211_tx_status_ext" },
	{ 0xdae7837b, "debugfs_create_blob" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x67cbc0af, "page_pool_destroy" },
	{ 0xbb680c1b, "ieee80211_register_hw" },
	{ 0x1dab9fa0, "led_classdev_unregister" },
	{ 0xc395fcce, "__ieee80211_create_tpt_led_trigger" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x224c0970, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x5b67576f, "ieee80211_sta_eosp" },
	{ 0x9437e346, "ieee80211_get_hdrlen_from_skb" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xcfb92bea, "kthread_park" },
	{ 0x44b8da9b, "sched_set_fifo_low" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0xd2cf8f93, "napi_complete_done" },
	{ 0x5b44f3e7, "ieee80211_get_tx_rates" },
	{ 0xf6060c12, "ieee80211_send_bar" },
	{ 0x275857e7, "cfg80211_reg_check_beaconing" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x1569940e, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c07851b, "debugfs_create_devm_seqfile" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xfb8c5a9d, "pci_disable_link_state" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x7bea261e, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x73c90389, "page_pool_ethtool_stats_get" },
	{ 0x3393c5c2, "kthread_unpark" },
	{ 0x9257d7a0, "dev_set_threaded" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x9e571b9b, "debugfs_attr_read" },
	{ 0x8d816799, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68c29c1e, "ieee80211_queue_delayed_work" },
	{ 0xf8226993, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x33719327, "_dev_err" },
	{ 0x76687440, "debugfs_create_file_unsafe" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0xc0ff936f, "simple_attr_release" },
	{ 0xf5e84f7a, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x72b93fb4, "ieee80211_find_sta_by_ifaddr" },
	{ 0x6ddfd56c, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7fc2e7b0, "pcie_capability_clear_and_set_word_locked" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0xf667f730, "napi_enable" },
	{ 0x13c0013, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x7a905b8, "seq_putc" },
	{ 0x62173924, "trace_event_reg" },
	{ 0xc3858fb3, "ieee80211_sta_pspoll" },
	{ 0x653194b1, "free_netdev" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa2c355ef, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd960722a, "kthread_stop" },
	{ 0xed437a4a, "ieee80211_free_txskb" },
	{ 0x17a9aa1c, "led_classdev_register_ext" },
	{ 0x4f60a2df, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe78c1cdf, "idr_destroy" },
	{ 0xe109f8bc, "ieee80211_tx_dequeue" },
	{ 0x3a0e264, "ieee80211_rx_list" },
	{ 0x91a1f3d3, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce3ecac6, "debugfs_create_u32" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9ec81667, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9749d73d, "alloc_netdev_dummy" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xfe5f73f7, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7e88de20, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6889c6c8, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xba7bd1a6, "napi_build_skb" },
	{ 0x66ca9904, "seq_write" },
	{ 0x69c3ea2e, "radix_tree_tagged" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5189aeee, "skb_add_rx_frag_netmem" },
	{ 0x948e7075, "napi_disable" },
	{ 0x42c9a3f7, "ieee80211_sta_ps_transition" },
	{ 0x7cc52843, "debugfs_create_u8" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4ae8caa7, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x66268818, "pcie_capability_read_word" },
	{ 0x8d15063, "__skb_pad" },
	{ 0x1b66833b, "page_pool_get_stats" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x640c8f92, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4ff0809f, "__ieee80211_schedule_txq" },
	{ 0x4040c3fb, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbb46b5d7, "page_pool_alloc_frag" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x6749cd3f, "dmam_alloc_attrs" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x29b2e302, "ieee80211_free_hw" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x4cdf3d1f, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "6735B1B1CE1ABD6C69DB325");

MODULE_INFO(suserelease, "SLFO-1.2");
