#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x71ec543f, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x84e8b7db, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x5d8a2454, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0xa904796f, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x8cf44bd2, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0xacb3a403, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0xd73145c4, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x56e85493, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0xf5d5fad4, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x32bde272, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0xd8762636, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0x9bda7351, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0x5a7d23b6, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0xf95953fa, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x6577da9a, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0xbb91563c, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0xc8e45e2a, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0xe693c833, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0x3dd57599, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0xdb205701, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0x893df2fe, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0xeaa20752, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0x3ceb364c, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0x895f3662, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0x854fdf98, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x2750e439, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x4551de56, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0x45750f8c, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0xc4d9eafe, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x1f2852e2, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0xbea64d4d, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0xfe9ff52a, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x0163561a, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x8989c97c, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x98ee43ee, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x5585c4b1, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x8e9b2ed4, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0xb17338ae, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x5dc0c891, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x1f6396d4, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x6802bcdf, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0x476b9c85, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0xa8e5a20a, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x47bc59d1, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0x19c9cd6c, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0xda1fb36a, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x197adba4, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0x62be52b4, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x54bc482b, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x6026299c, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x5ae6224e, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0xa0670978, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0xf8322be1, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0xe01ea482, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x2261cbf4, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x6a1ed978, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0x188e82d4, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0x35a9adab, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0x8661cbe4, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0x26dc6427, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0x39dd577c, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x88503d49, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0xc0881b46, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x291a65c2, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x2f6bd719, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x187fbbdb, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53569707, "this_cpu_off" },
	{ 0x9b0cc9c0, "mt76_csa_check" },
	{ 0x8ddf5d10, "mt76_tx_status_skb_add" },
	{ 0x62c884a3, "__tracepoint_mac_txdone" },
	{ 0x6b98f90e, "mt76_tx_check_agg_ssn" },
	{ 0x3a521ee5, "ieee80211_tx_status_ext" },
	{ 0xe11bce83, "mt76_stop_tx_queues" },
	{ 0x3b7b4d4f, "___pskb_trim" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcbe49a41, "__mt76_tx_complete_skb" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x224c0970, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x22cc564c, "ieee80211_restart_hw" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x9437e346, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcfb92bea, "kthread_park" },
	{ 0xc35eaf96, "mt76_mcu_rx_event" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfad6ea0e, "mt76_wcid_init" },
	{ 0x12a7f13c, "mt76_tx_status_check" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x3f2b8111, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd2cf8f93, "napi_complete_done" },
	{ 0x5b44f3e7, "ieee80211_get_tx_rates" },
	{ 0xf6060c12, "ieee80211_send_bar" },
	{ 0xc46fc27e, "rt_spin_trylock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c07851b, "debugfs_create_devm_seqfile" },
	{ 0x145b80c2, "mt76_tx" },
	{ 0xc057d3fd, "__napi_schedule" },
	{ 0xadc4e834, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1c5c248, "mt76_wcid_key_setup" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xaeb98a5e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x12ea356a, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3393c5c2, "kthread_unpark" },
	{ 0x942f436a, "mt76_phy_dfs_state" },
	{ 0x9d6e9d62, "wiphy_to_ieee80211_hw" },
	{ 0x6ef9735, "mt76_init_queue" },
	{ 0x9e571b9b, "debugfs_attr_read" },
	{ 0x467347e1, "__mt76_sta_remove" },
	{ 0x65991b50, "mt76_tx_status_skb_done" },
	{ 0x68c29c1e, "ieee80211_queue_delayed_work" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x33719327, "_dev_err" },
	{ 0xcfe8571b, "debugfs_create_bool" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0xc0ff936f, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdf286a2c, "__SCK__tp_func_dev_irq" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xf667f730, "napi_enable" },
	{ 0x7a905b8, "seq_putc" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x4482e722, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x84d6d204, "ieee80211_wake_queues" },
	{ 0x53bbec1e, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9eb67961, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x989ecb57, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf87810b2, "mt76_set_irq_mask" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0x97ee33df, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce3ecac6, "debugfs_create_u32" },
	{ 0x5d0803ae, "__SCK__tp_func_mac_txdone" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x57e89419, "mt76_seq_puts_array" },
	{ 0xaebf34d2, "ieee80211_stop_queues" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa22497e9, "__tracepoint_dev_irq" },
	{ 0x911c8743, "seq_read" },
	{ 0xaebc610a, "mt76_mcu_get_response" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xfe5f73f7, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x107328d2, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4e4ef24b, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66ca9904, "seq_write" },
	{ 0xb64ae1ea, "____mt76_poll_msec" },
	{ 0x3335abed, "seq_printf" },
	{ 0x305b2cbf, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x57b56da3, "mt76_wcid_cleanup" },
	{ 0x76690196, "ieee80211_radar_detected" },
	{ 0x55473fb7, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2b249c25, "mt76_queues_read" },
	{ 0x1bfefe40, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x4e0aac0c, "napi_schedule_prep" },
	{ 0x948e7075, "napi_disable" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x6afc3200, "__mt76_poll" },
	{ 0xe5452b34, "mt76_rx_aggr_stop" },
	{ 0x7cc52843, "debugfs_create_u8" },
	{ 0xd898659, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x52d47a35, "mt76_dma_attach" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x4ae8caa7, "ieee80211_sta_register_airtime" },
	{ 0xeada2489, "mt76_dma_rx_poll" },
	{ 0xf60c4037, "mt76_tx_status_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x640c8f92, "simple_attr_open" },
	{ 0x4040c3fb, "debugfs_attr_write" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd628213f, "mt76_tx_status_skb_get" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x1287a29c, "mt76_tx_status_lock" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "3BCE9E193DAC7DD9D285BC4");

MODULE_INFO(suserelease, "SLFO-1.2");
