#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7921_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7921_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7921_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_radio_led_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(__mt7921_start, "_gpl", "");
KSYMTAB_FUNC(mt7921_roc_abort_sync, "_gpl", "");
KSYMTAB_FUNC(mt7921_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_event, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7921_ops, "_gpl", "");
KSYMTAB_FUNC(mt7921_regd_update, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7921_register_device, "_gpl", "");

SYMBOL_CRC(mt7921_rx_check, 0xa8b21857, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0x2973cbdd, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0x58f3d0de, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0x33416262, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0xeffdc403, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0x7ed0daee, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0xc40b0a76, "_gpl");
SYMBOL_CRC(mt7921_mcu_radio_led_ctrl, 0xce0d8893, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0xf5dc9fa9, "_gpl");
SYMBOL_CRC(__mt7921_start, 0xcf2ecd4c, "_gpl");
SYMBOL_CRC(mt7921_roc_abort_sync, 0x33f46971, "_gpl");
SYMBOL_CRC(mt7921_set_channel, 0x81ff368d, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0xf31320ee, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_event, 0x9e991e15, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0xf4249bbd, "_gpl");
SYMBOL_CRC(mt7921_ops, 0x7edce46f, "_gpl");
SYMBOL_CRC(mt7921_regd_update, 0x88008ebc, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0x8b62a27c, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0x01cf5fb1, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0x30f32e5f, "mt76_connac_mcu_update_arp_filter" },
	{ 0xe2eac78d, "mt76_connac2_tx_check_aggr" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xc35eaf96, "mt76_mcu_rx_event" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0xfad6ea0e, "mt76_wcid_init" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0xa7c9fdcc, "mt76_connac_free_pending_tx_skbs" },
	{ 0xa1bc09d6, "mt792x_sta_statistics" },
	{ 0x310e3a08, "skb_queue_purge_reason" },
	{ 0x9da4649f, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6cfbb04a, "mt792x_conf_tx" },
	{ 0x275857e7, "cfg80211_reg_check_beaconing" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c07851b, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4401f930, "mt792x_get_et_sset_count" },
	{ 0x14f6ccd6, "mt76_connac_mcu_set_mac_enable" },
	{ 0xba50d904, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x1ab6d1c7, "mt792x_init_acpi_sar_power" },
	{ 0x6c4293e9, "mt792x_set_wakeup" },
	{ 0x1c5c248, "mt76_wcid_key_setup" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0xaeb98a5e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x12ea356a, "mt76_rx" },
	{ 0x4d59115b, "mt792x_load_firmware" },
	{ 0xc24aff6c, "mt76_connac_mcu_sched_scan_req" },
	{ 0x166d7f5a, "mt792x_get_et_stats" },
	{ 0x9eb284f0, "mt76_connac2_txwi_free" },
	{ 0xa68c67b5, "__tracepoint_lp_event" },
	{ 0xc13fb07e, "mt76_connac_mcu_uni_add_bss" },
	{ 0xed16de17, "mt76_connac2_mac_add_txs_skb" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x9d6e9d62, "wiphy_to_ieee80211_hw" },
	{ 0x9e571b9b, "debugfs_attr_read" },
	{ 0x475857db, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68c29c1e, "ieee80211_queue_delayed_work" },
	{ 0xf8226993, "devm_kmemdup" },
	{ 0x33719327, "_dev_err" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0xa8c1b76e, "mt76_register_device" },
	{ 0x7f36d5c, "mt792x_get_stats" },
	{ 0x6ce34a19, "mt76_mcu_skb_send_and_get_msg" },
	{ 0xc0ff936f, "simple_attr_release" },
	{ 0xb8841616, "mt792x_mac_set_timeing" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x837b023c, "mt76_find_power_limits_node" },
	{ 0xad0cad4f, "ieee80211_remain_on_channel_expired" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0x7a905b8, "seq_putc" },
	{ 0x84d6d204, "ieee80211_wake_queues" },
	{ 0x53bbec1e, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7b57140c, "ieee80211_beacon_get_template" },
	{ 0x888ef016, "mt792x_pm_stats" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x873cc963, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5dab2b07, "dev_coredumpv" },
	{ 0x989ecb57, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf4320870, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x4cb3ec3d, "devm_hwmon_device_register_with_groups" },
	{ 0xfe260bf0, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x442dd89b, "mt792x_get_tsf" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0x39a4ce0d, "mt792x_tx" },
	{ 0x9220fe89, "mt792x_get_et_strings" },
	{ 0xa2847332, "mt76_sta_state" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xd8d9fc44, "ieee80211_ready_on_channel" },
	{ 0xaebf34d2, "ieee80211_stop_queues" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x56e76cc9, "devm_kasprintf" },
	{ 0x2e482444, "mt792x_remove_interface" },
	{ 0x911c8743, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x11d5d482, "mt792x_queues_read" },
	{ 0xc245d7a1, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x93284ec5, "mt792x_queues_acq" },
	{ 0xaf382fbe, "ieee80211_sched_scan_results" },
	{ 0xfd16c81d, "ieee80211_scan_completed" },
	{ 0xfe5f73f7, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe90a957a, "mt76_insert_ccmp_hdr" },
	{ 0x39ad8c77, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x272efc4d, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0x46c5c608, "mt792x_tx_stats_show" },
	{ 0x9058fd29, "mt792x_acpi_get_mtcl_conf" },
	{ 0x4e4ef24b, "mt76_rx_aggr_start" },
	{ 0x4dff5d77, "__SCK__tp_func_lp_event" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3335abed, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0x18b62732, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe07c644b, "mt792x_mac_init_band" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0xfbd34423, "mt76_skb_adjust_pad" },
	{ 0x686a6862, "ieee80211_cqm_rssi_notify" },
	{ 0xe8ee4369, "mt792x_init_wiphy" },
	{ 0xca7730e4, "mt76_connac_sta_state_dp" },
	{ 0xeea4feec, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x55473fb7, "single_release" },
	{ 0x2b249c25, "mt76_queues_read" },
	{ 0x922e2b21, "mt76_sta_pre_rcu_remove" },
	{ 0x1bfefe40, "mt76_register_debugfs_fops" },
	{ 0xc36e77b8, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0x166b780a, "mt76_connac2_mac_write_txwi" },
	{ 0x2d431867, "__mt76_set_tx_blocked" },
	{ 0xde17f455, "mt76_connac_mcu_sta_ba" },
	{ 0xdb8fa24b, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0xa94df853, "ieee80211_queue_work" },
	{ 0x44b29ade, "mt792x_mac_reset_counters" },
	{ 0xe027a14f, "napi_consume_skb" },
	{ 0x6afc3200, "__mt76_poll" },
	{ 0xe5452b34, "mt76_rx_aggr_stop" },
	{ 0xd898659, "single_open" },
	{ 0xc0194742, "mt76_connac_mcu_add_key" },
	{ 0x8cf10c05, "mt792x_unassign_vif_chanctx" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xef7f1f41, "ieee80211_disconnect" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0xabff3e0f, "__SCT__tp_func_lp_event" },
	{ 0xa9f94bb5, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f0766f1, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xb2dbff67, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x14965f60, "mt76_update_channel" },
	{ 0x4ae8caa7, "ieee80211_sta_register_airtime" },
	{ 0x64880aee, "mt792x_init_wcid" },
	{ 0x7a15d8a7, "mt792x_init_acpi_sar" },
	{ 0x1a0b5a3c, "mt76_init_sar_power" },
	{ 0xad68421f, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x640c8f92, "simple_attr_open" },
	{ 0xad2d1dd3, "ieee80211_iterate_interfaces" },
	{ 0x84fd23a1, "mt792x_stop" },
	{ 0x4040c3fb, "debugfs_attr_write" },
	{ 0x45cb7c68, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0xe04c22c5, "mt76_connac_mcu_sched_scan_enable" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa58e5404, "mt76_connac_mcu_uni_set_chctx" },
	{ 0x9a20b0fa, "mt792x_tx_worker" },
	{ 0xe126f0e2, "mt792x_flush" },
	{ 0xa26a6861, "mt792x_rx_get_wcid" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x741232cf, "mt76_connac_mcu_set_rts_thresh" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xfd7b45c0, "mt76_connac_mcu_set_channel_domain" },
	{ 0x2f9d5f7f, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd026b5df, "mt76_release_buffered_frames" },
	{ 0x2476a690, "request_firmware" },
	{ 0xbec1e3b2, "mt76_get_txpower" },
	{ 0x8ddf5d10, "mt76_tx_status_skb_add" },
	{ 0x3a57172e, "mt76_connac_pm_wake" },
	{ 0xa1ef5451, "mt76_connac2_mac_fill_rx_rate" },
	{ 0xdf73a34, "mt792x_pm_wake_work" },
	{ 0x9e820f08, "mt76_connac_mcu_set_deep_sleep" },
	{ 0x75ff3334, "mt76_wake_tx_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x32292d04, "mt76_connac_mcu_chip_config" },
	{ 0xff80e062, "mt76_get_antenna" },
	{ 0x10194e1b, "mt792x_set_coverage_class" },
	{ 0x69063772, "mt792x_acpi_get_flags" },
	{ 0xcbe49a41, "__mt76_tx_complete_skb" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x6b0a0077, "mt76_set_stream_caps" },
	{ 0x6553dbbc, "mt792x_mac_assoc_rssi" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9437e346, "ieee80211_get_hdrlen_from_skb" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mt792x-lib,mt76-connac-lib,mt76,cfg80211,mac80211");


MODULE_INFO(srcversion, "6867F291828935711D0BB94");

MODULE_INFO(suserelease, "SLFO-1.2");
