#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qtnf_core_attach, "_gpl", "");
KSYMTAB_FUNC(qtnf_core_detach, "_gpl", "");
KSYMTAB_FUNC(qtnf_classify_skb, "_gpl", "");
KSYMTAB_FUNC(qtnf_wake_all_queues, "_gpl", "");
KSYMTAB_FUNC(qtnf_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(qtnf_trans_handle_rx_ctl_packet, "_gpl", "");
KSYMTAB_FUNC(qtnf_chipid_to_string, "_gpl", "");

SYMBOL_CRC(qtnf_core_attach, 0x1191f7fa, "_gpl");
SYMBOL_CRC(qtnf_core_detach, 0xb1e69f86, "_gpl");
SYMBOL_CRC(qtnf_classify_skb, 0x58d7e84f, "_gpl");
SYMBOL_CRC(qtnf_wake_all_queues, 0x45f5e9c5, "_gpl");
SYMBOL_CRC(qtnf_get_debugfs_dir, 0x78625937, "_gpl");
SYMBOL_CRC(qtnf_trans_handle_rx_ctl_packet, 0x9c9735b8, "_gpl");
SYMBOL_CRC(qtnf_chipid_to_string, 0x31fab83c, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf14da2c6, "alloc_netdev_mqs" },
	{ 0xbf688c58, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xae6b40dd, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x144ec853, "cfg80211_put_bss" },
	{ 0x851a4597, "cfg80211_ch_switch_notify" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x9856b61b, "ieee80211_get_channel_khz" },
	{ 0xa8b65bca, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe70c161, "__cfg80211_radar_event" },
	{ 0xc7b5a4ee, "cfg80211_get_drvinfo" },
	{ 0xf1597117, "init_net" },
	{ 0x2d3c134d, "platform_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x313751ee, "cfg80211_michael_mic_failure" },
	{ 0x1fcf4bbc, "wiphy_apply_custom_regulatory" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0xd34ae69f, "cfg80211_del_sta_sinfo" },
	{ 0xdb865d3a, "cfg80211_update_owe_info_event" },
	{ 0x70b507a5, "wiphy_unregister" },
	{ 0x653194b1, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x32486b42, "netif_tx_stop_all_queues" },
	{ 0x62d1ac71, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x35312657, "wdev_chandef" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x324322f3, "cfg80211_unregister_wdev" },
	{ 0x537dcc0d, "platform_device_register_full" },
	{ 0x3a84be1f, "cfg80211_rx_mgmt_ext" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xba61bfe9, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbe2d6696, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x397fccb7, "netdev_walk_all_lower_dev" },
	{ 0xce7b78fa, "cfg80211_inform_bss_data" },
	{ 0x4f29d1e9, "cfg80211_shutdown_all_interfaces" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0xf3d0f921, "regulatory_set_wiphy_regd" },
	{ 0x349cba85, "strchr" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0xb3fa0a04, "cfg80211_connect_done" },
	{ 0xf981c9e4, "__cfg80211_get_bss" },
	{ 0xe15a71d1, "wiphy_free" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x290bc1d9, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9c42265a, "eth_mac_addr" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x3a2dba3a, "cfg80211_scan_done" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x668e04d1, "cfg80211_cac_event" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xa7d8078, "cfg80211_register_netdevice" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6d3c75f1, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x218d7afd, "cfg80211_external_auth_request" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x33a04565, "cfg80211_new_sta" },
	{ 0x55416df2, "cfg80211_disconnected" },
	{ 0xc55906, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8560b8e1, "netdev_port_same_parent_id" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "567CDD98B383AFF54B39C15");

MODULE_INFO(suserelease, "SLFO-1.2");
