#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtl_pci_probe, "", "");
KSYMTAB_FUNC(rtl_pci_disconnect, "", "");
KSYMTAB_FUNC(rtl_pci_suspend, "", "");
KSYMTAB_FUNC(rtl_pci_resume, "", "");

SYMBOL_CRC(rtl_pci_probe, 0x967eeca7, "");
SYMBOL_CRC(rtl_pci_disconnect, 0xcf8273fc, "");
SYMBOL_CRC(rtl_pci_suspend, 0x18d0cdce, "");
SYMBOL_CRC(rtl_pci_resume, 0x4786e462, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb0294c40, "rtl_lps_leave" },
	{ 0xbb680c1b, "ieee80211_register_hw" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x20aec938, "dev_kfree_skb_irq_reason" },
	{ 0x9890ba2a, "ieee80211_wake_queue" },
	{ 0x707834c0, "rtl_p2p_info" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0xa30eb87d, "_rtl_dbg_print" },
	{ 0x2123f09b, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2d2d744, "rtl_deinit_rfkill" },
	{ 0x3c92f224, "rtl_ops" },
	{ 0xef3f10c4, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x97e05663, "rtl_tid_to_ac" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9a9536ee, "rtl_init_sw_leds" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x27a9a4cd, "pci_enable_msi" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8c6bcc1d, "rtl_init_rx_config" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x2d32cdfc, "rtl_lps_change_work_callback" },
	{ 0x7fc2e7b0, "pcie_capability_clear_and_set_word_locked" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x2b8216f, "pci_read_config_word" },
	{ 0xb03cf498, "rtl_action_proc" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf62a05aa, "rtl_init_core" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4f60a2df, "ieee80211_alloc_hw_nm" },
	{ 0x97ab7810, "pci_iounmap" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x455c12b0, "ieee80211_stop_queue" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x5994b07a, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x24421e53, "rtl_collect_scan_list" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0x2f12357e, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9b69ddd2, "pci_write_config_byte" },
	{ 0x6889c6c8, "ieee80211_unregister_hw" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x305b2cbf, "ieee80211_beacon_get_tim" },
	{ 0xf389cdbc, "rtl_deinit_core" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0x741af8ab, "rtl_efuse_ops_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xad82bbd2, "pci_read_config_byte" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0xefece854, "rtl_debug_remove_one" },
	{ 0x7c39d61b, "rtl_deinit_deferred_work" },
	{ 0xe953ec2e, "rtl_swlps_beacon" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd96539, "ieee80211_rx_irqsafe" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x66268818, "pcie_capability_read_word" },
	{ 0xfde1b97f, "rtl_beacon_statistic" },
	{ 0x6eeffbc9, "rtl_tx_mgmt_proc" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0x16902ab6, "pci_iomap" },
	{ 0xa4591a60, "rtl_c2hcmd_enqueue" },
	{ 0xc75a5521, "rtl_debug_add_one" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x29b2e302, "ieee80211_free_hw" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x6bfb45f4, "rtl_init_rfkill" },
	{ 0xafb19015, "rtl_tx_ackqueue" },
	{ 0xee126581, "pci_disable_msi" },
	{ 0xbcfde484, "rtl_is_special_data" },
	{ 0xa1e4b115, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x30fe6e14, "rtl_recognize_peer" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi,mac80211");


MODULE_INFO(srcversion, "6B3B6520366A8B399CF3AEF");

MODULE_INFO(suserelease, "SLFO-1.2");
