#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0xd3f5705d, "");
SYMBOL_CRC(rtw_pci_probe, 0x09241085, "");
SYMBOL_CRC(rtw_pci_remove, 0x4354040a, "");
SYMBOL_CRC(rtw_pci_shutdown, 0xb7962c37, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x8d816799, "__dma_sync_single_for_cpu" },
	{ 0xb2eaa6f1, "rtw_unregister_hw" },
	{ 0x33719327, "_dev_err" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0xf29c2b8, "rtw_tx_fill_tx_desc" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0xf667f730, "napi_enable" },
	{ 0x5fc03cd9, "rtw_core_init" },
	{ 0x653194b1, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4f60a2df, "ieee80211_alloc_hw_nm" },
	{ 0x97ab7810, "pci_iounmap" },
	{ 0x3cb9463f, "rtw_update_rx_freq_from_ie" },
	{ 0x8cffca0c, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x455c12b0, "ieee80211_stop_queue" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0xdcec1027, "rtw_rx_stats" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x5994b07a, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9ec81667, "__netif_napi_del_locked" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf63beaef, "rtw_register_hw" },
	{ 0x9749d73d, "alloc_netdev_dummy" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x2f12357e, "pci_release_regions" },
	{ 0x7e88de20, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6889c6c8, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3ea2fba4, "rtw_core_deinit" },
	{ 0x1ff3dab4, "rtw_ops" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0x4e0aac0c, "napi_schedule_prep" },
	{ 0x90ffa27, "rtw_write_firmware_page" },
	{ 0x948e7075, "napi_disable" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x7bebea45, "rtw_power_mode_change" },
	{ 0xcaba00a4, "rtw_tx_write_data_h2c_get" },
	{ 0x85909793, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2726acbd, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x65461ef4, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x749754fe, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x929102b7, "rtw_tx_queue_mapping" },
	{ 0x66268818, "pcie_capability_read_word" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0x16902ab6, "pci_iomap" },
	{ 0x67881199, "pci_alloc_irq_vectors" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x29b2e302, "ieee80211_free_hw" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0xa1e4b115, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x224c0970, "netif_napi_add_weight_locked" },
	{ 0x20aec938, "dev_kfree_skb_irq_reason" },
	{ 0x68e801b6, "pci_set_power_state" },
	{ 0x9890ba2a, "ieee80211_wake_queue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0xd2cf8f93, "napi_complete_done" },
	{ 0xef3f10c4, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x172eda11, "devm_free_irq" },
	{ 0xc057d3fd, "__napi_schedule" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xab621359, "rtw_chip_info_setup" },
	{ 0xe1e75adc, "rtw_fw_c2h_cmd_isr" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "F235F522B575430E717BD70");

MODULE_INFO(suserelease, "SLFO-1.2");
