#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v2, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_be, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_DATA(rtw89_pci_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops_be, "", "");
KSYMTAB_DATA(rtw89_pci_gen_be, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0x0062ac7f, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0x3b9e2360, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v2, 0xf418ba5a, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0xe4c565d3, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0x129dfc26, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0xfda76ad0, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0x8b9b3388, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v2, 0x1d937729, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v2, 0x6baf2e71, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_be, 0x33c84a55, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0xbe932e4e, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0x1b393d79, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0xf2fae31f, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0xd9710411, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0xaccbd185, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0x150fb680, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v2, 0xab90cba0, "");
SYMBOL_CRC(rtw89_pm_ops, 0xcb2d5e06, "");
SYMBOL_CRC(rtw89_pci_gen_ax, 0x87703fbc, "");
SYMBOL_CRC(rtw89_pci_probe, 0xe6ff32e0, "");
SYMBOL_CRC(rtw89_pci_remove, 0x5a7020be, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v2, 0x0f8baafa, "");
SYMBOL_CRC(rtw89_pm_ops_be, 0xc1c0996a, "");
SYMBOL_CRC(rtw89_pci_gen_be, 0x7a5aedf9, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff5f9aa4, "rtw89_core_rx" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x2f12357e, "pci_release_regions" },
	{ 0x7e88de20, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x82da1926, "rtw89_core_deinit" },
	{ 0x9b69ddd2, "pci_write_config_byte" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0x4e0aac0c, "napi_schedule_prep" },
	{ 0xad82bbd2, "pci_read_config_byte" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x85909793, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa800a0af, "rtw89_core_napi_stop" },
	{ 0x52a94495, "rtw89_chip_info_setup" },
	{ 0x1fed7f96, "rtw89_mac_get_err_status" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x66268818, "pcie_capability_read_word" },
	{ 0xfc827c93, "pci_find_ext_capability" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x44d9a724, "rtw89_alloc_ieee80211_hw" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0x16902ab6, "pci_iomap" },
	{ 0x67881199, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa1e4b115, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x58ae3785, "rtw89_core_napi_init" },
	{ 0x1753570f, "rtw89_core_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0xbf73d358, "ieee80211_tx_status_skb" },
	{ 0x2123f09b, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0xd2cf8f93, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x172eda11, "devm_free_irq" },
	{ 0xc057d3fd, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x155afc69, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x8d816799, "__dma_sync_single_for_cpu" },
	{ 0x33719327, "_dev_err" },
	{ 0x440eaf00, "rtw89_check_quirks" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x274f898e, "rtw89_core_napi_deinit" },
	{ 0x59e03780, "skb_push" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0xc2bd2615, "rtw89_free_ieee80211_hw" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1e7b58f6, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x97ab7810, "pci_iounmap" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9453d9f5, "rtw89_ser_notify" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9f7a2fc2, "skb_unlink" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0xa7df2214, "rtw89_core_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "7871B5958A6EE5B44388508");

MODULE_INFO(suserelease, "SLFO-1.2");
