#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wl1251_init_ieee80211, "_gpl", "");
KSYMTAB_FUNC(wl1251_alloc_hw, "_gpl", "");
KSYMTAB_FUNC(wl1251_free_hw, "_gpl", "");

SYMBOL_CRC(wl1251_init_ieee80211, 0x2478562d, "_gpl");
SYMBOL_CRC(wl1251_alloc_hw, 0xcf815716, "_gpl");
SYMBOL_CRC(wl1251_free_hw, 0x5f51448d, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4f60a2df, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x82bea626, "ieee80211_emulate_add_chanctx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x55b63eb7, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xaebf34d2, "ieee80211_stop_queues" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x999e8297, "vfree" },
	{ 0xfd16c81d, "ieee80211_scan_completed" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6889c6c8, "ieee80211_unregister_hw" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x305b2cbf, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x686a6862, "ieee80211_cqm_rssi_notify" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa94df853, "ieee80211_queue_work" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x38bc19cd, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x537f4911, "ieee80211_emulate_remove_chanctx" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x3131f672, "skb_queue_head" },
	{ 0x65461ef4, "ieee80211_rx_napi" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x29b2e302, "ieee80211_free_hw" },
	{ 0xc53582b1, "ieee80211_probereq_get" },
	{ 0x2476a690, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb1f865e, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cfd2cbb, "ieee80211_nullfunc_get" },
	{ 0xfc6b20de, "ieee80211_pspoll_get" },
	{ 0xbb680c1b, "ieee80211_register_hw" },
	{ 0x3cbbd2f2, "ieee80211_emulate_change_chanctx" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9437e346, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xbf73d358, "ieee80211_tx_status_skb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9f2c3d3a, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x9ab26ac0, "skb_copy_expand" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x68c29c1e, "ieee80211_queue_delayed_work" },
	{ 0x52978850, "simple_open" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x9166fada, "strncpy" },
	{ 0x84d6d204, "ieee80211_wake_queues" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "1B95ED8390DD366ADCBAD1B");

MODULE_INFO(suserelease, "SLFO-1.2");
