#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ntb_transport_unregister_client_dev, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_register_client_dev, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_register_client, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_unregister_client, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_create_queue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_free_queue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_rx_remove, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_rx_enqueue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_tx_enqueue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_link_up, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_link_down, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_link_query, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_qp_num, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_max_size, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_tx_free_entry, "_gpl", "");

SYMBOL_CRC(ntb_transport_unregister_client_dev, 0xf9eb813f, "_gpl");
SYMBOL_CRC(ntb_transport_register_client_dev, 0xf55d6313, "_gpl");
SYMBOL_CRC(ntb_transport_register_client, 0x13f001bc, "_gpl");
SYMBOL_CRC(ntb_transport_unregister_client, 0x4714ae3b, "_gpl");
SYMBOL_CRC(ntb_transport_create_queue, 0x80da1100, "_gpl");
SYMBOL_CRC(ntb_transport_free_queue, 0xc270dc24, "_gpl");
SYMBOL_CRC(ntb_transport_rx_remove, 0xc37d9036, "_gpl");
SYMBOL_CRC(ntb_transport_rx_enqueue, 0xd40e7a02, "_gpl");
SYMBOL_CRC(ntb_transport_tx_enqueue, 0x3d54dbfc, "_gpl");
SYMBOL_CRC(ntb_transport_link_up, 0x9c992c8f, "_gpl");
SYMBOL_CRC(ntb_transport_link_down, 0x436098aa, "_gpl");
SYMBOL_CRC(ntb_transport_link_query, 0x32537aca, "_gpl");
SYMBOL_CRC(ntb_transport_qp_num, 0x82e6c13d, "_gpl");
SYMBOL_CRC(ntb_transport_max_size, 0x30934216, "_gpl");
SYMBOL_CRC(ntb_transport_tx_free_entry, 0x0862001f, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x33719327, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x96848186, "scnprintf" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x13e9098f, "ntb_unregister_client" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x343c8959, "device_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3c6a98c7, "__kmalloc_cache_node_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0xd6f020db, "device_register" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x69acdf38, "memcpy" },
	{ 0x172eda11, "devm_free_irq" },
	{ 0x4458352, "ntbm_msi_request_threaded_irq" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x3b423410, "__copy_user_nocache" },
	{ 0x32a26b32, "ntb_msi_peer_trigger" },
	{ 0xb9b283f8, "dmaengine_get_unmap_data" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0x7c766934, "dmaengine_unmap_put" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa810e9b3, "dma_release_channel" },
	{ 0x18bfd7a5, "__dma_request_channel" },
	{ 0x14f5dfe8, "dma_map_resource" },
	{ 0xfaf333b7, "dma_unmap_resource" },
	{ 0x96ddfcde, "dma_sync_wait" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf9a482f9, "msleep" },
	{ 0x581363b5, "ntb_clear_ctx" },
	{ 0xedc03953, "iounmap" },
	{ 0x5ca83979, "ntb_msi_setup_mws" },
	{ 0x758d7a7c, "__kmalloc_node_noprof" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x73ef0d03, "ntb_msi_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x43155cf9, "ntb_default_peer_port_count" },
	{ 0x442ceed7, "ntb_set_ctx" },
	{ 0xd8fcef66, "ntb_link_event" },
	{ 0x52978850, "simple_open" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x77ad1ab3, "param_ops_byte" },
	{ 0x39d54c05, "param_ops_ulong" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x45ee0529, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x1a2f220, "get_device" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x92997ed8, "_printk" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x16136184, "bus_register" },
	{ 0xd93d434b, "__ntb_register_client" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "ntb");


MODULE_INFO(srcversion, "AB75822B06ECA317196D8F4");

MODULE_INFO(suserelease, "SLFO-1.2");
