#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_keep_alive_work_period, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_should_fail, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_revoke_tls_key, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0xb98c3464, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x607ce5a1, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x3f4f9980, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x9b01fc74, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x881f63a3, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xd950f7fa, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0xb3db4c7f, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x1aea348a, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x5572cc41, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xfcdd5b68, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x2fce5fb9, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0xf2ea5879, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x176e251f, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xa67a077c, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x5ffd417d, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x3ce8ce7e, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xb907e7f0, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x901e5c57, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x5f290c79, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x2d065fce, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x7125ddcb, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0xfa0b01b7, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x51898aa5, "_gpl");
SYMBOL_CRC(nvme_keep_alive_work_period, 0x4ad1e096, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x7e5acd92, "_gpl");
SYMBOL_CRC(nvme_set_features, 0xf415c359, "_gpl");
SYMBOL_CRC(nvme_get_features, 0xd642c994, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x0db379de, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0xca1b4b76, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x40754967, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x7c72543d, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x97aba942, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0xb5a33166, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x921f7db3, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x3998e5c0, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x85101cb5, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0xda16dfa1, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0xbe9b5d99, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x78740bae, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x149e543a, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xe218d8ef, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xf55a2101, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0xf2f3c88e, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x0c08659c, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xb93a9c2c, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x7985a9c3, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xcb1f07c7, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x7403e0d9, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0xea1e0206, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x3844593a, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xd2599210, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x5d13b1c9, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0xf323b575, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x73c5dc79, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x4d560e36, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x83a13941, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0xd6702404, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0xa93cd5e7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x5bc17f3d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0xaae0d4f9, "_gpl");
SYMBOL_CRC(nvme_should_fail, 0x4cd95465, "_gpl");
SYMBOL_CRC(nvme_auth_revoke_tls_key, 0xf9a89496, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x538b41c1, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x521076bf, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0xa0d45aab, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x2d6e8184, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x14056097, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3fb7a406, "mempool_alloc_noprof" },
	{ 0x423e5994, "key_put" },
	{ 0xcb629113, "kobject_uevent_env" },
	{ 0x66444d06, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x3ed5a5a3, "init_srcu_struct" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x7693bfe8, "__SCK__tp_func_block_bio_remap" },
	{ 0x33719327, "_dev_err" },
	{ 0x6cc2a62a, "blk_revalidate_disk_zones" },
	{ 0xcfe8571b, "debugfs_create_bool" },
	{ 0x8e0c2dc3, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3d44dcd8, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xbf855982, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x94f19c54, "sysfs_remove_link" },
	{ 0xf4a93867, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc4510dc7, "__srcu_read_lock" },
	{ 0xff6e59c2, "hwmon_device_register_with_info" },
	{ 0x18eccd2d, "blk_mq_unfreeze_queue_nomemrestore" },
	{ 0xdc42c581, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2ab660cc, "submit_bio_noacct" },
	{ 0xb9b31de8, "xa_load" },
	{ 0xb03a3eca, "nvme_auth_generate_psk" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x19d6778c, "blk_sync_queue" },
	{ 0x57cd24d4, "bdev_start_io_acct" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xc9dc1e1b, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x62173924, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x214499f7, "blk_mq_alloc_request_hctx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf9d85714, "__io_uring_cmd_do_in_task" },
	{ 0xeb20804a, "blk_mq_alloc_request" },
	{ 0x10119bb, "ida_free" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x90f58b77, "crypto_shash_update" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0x89262146, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x87d2294d, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x30ec0b8f, "cleanup_srcu_struct" },
	{ 0xaffddc, "blk_freeze_queue_start_non_owner" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x90bc3ba, "blk_set_stacking_limits" },
	{ 0xed3b2843, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x7597469b, "blk_put_queue" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0x2e9c96c7, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x3c6a98c7, "__kmalloc_cache_node_noprof" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x449abf7c, "blk_mq_wait_quiesce_done" },
	{ 0x5710fa96, "key_revoke" },
	{ 0xe9baa2f2, "param_ops_charp" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x832c88dc, "debugfs_create_x16" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x9d14ef50, "io_uring_cmd_done" },
	{ 0xe2f64538, "blk_rq_unmap_user" },
	{ 0x955d716e, "blk_mq_unfreeze_queue_non_owner" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x53afbf37, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x918431c7, "xa_erase" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x37fd3788, "blk_mq_complete_request" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0x40188962, "crypto_shash_final" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4b34fd97, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x741c3b83, "blk_mq_destroy_queue" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0x3234154e, "blk_freeze_queue_start" },
	{ 0x87508cce, "dev_pm_qos_hide_latency_tolerance" },
	{ 0xfea41449, "xa_find" },
	{ 0xe19028c0, "disk_live" },
	{ 0xee07959b, "mempool_destroy" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x148be3d7, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1d629f7f, "__tracepoint_block_bio_complete" },
	{ 0xe534dea0, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x30024cbb, "__srcu_read_unlock" },
	{ 0xc781258a, "sysfs_add_link_to_group" },
	{ 0x77c0729f, "hwmon_device_unregister" },
	{ 0xac0a5cd3, "__tracepoint_block_bio_remap" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0x8710730a, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xd135a966, "queue_limits_commit_update" },
	{ 0xb60a242e, "blkdev_compat_ptr_ioctl" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd11f4e3f, "blk_rq_map_user_iov" },
	{ 0x75e977d6, "setup_fault_attr" },
	{ 0xa256d729, "xa_find_after" },
	{ 0xe06a3977, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0x879e3df8, "blk_mq_freeze_queue_nomemsave" },
	{ 0xc79a13db, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbaeb8e8c, "crypto_alloc_shash" },
	{ 0x447f56fb, "blk_mq_freeze_queue_wait" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x39a91a47, "nvme_auth_gen_privkey" },
	{ 0xb526a833, "fault_create_debugfs_attr" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xccea8e1d, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xe99bba1f, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xaf86b7d6, "cdev_init" },
	{ 0xd2ee0047, "bdev_end_io_acct" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0xff28003a, "blk_steal_bios" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7b8493dd, "set_capacity_and_notify" },
	{ 0x9c9c3341, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xad10199c, "set_disk_ro" },
	{ 0xc297499a, "__blk_alloc_disk" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xdc0df056, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x6f6dabcd, "blk_rq_integrity_map_user" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0xe2fe568d, "device_remove_file_self" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x39d54c05, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x57114cbb, "bio_split_to_limits" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xe12074f2, "dev_pm_qos_expose_latency_tolerance" },
	{ 0xb4fa948b, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xaaceb3c5, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xf3723554, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x8c44085, "queue_limits_stack_bdev" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2517ddc4, "should_fail" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x252aa5e, "blk_mq_unquiesce_queue" },
	{ 0xb33bc30, "blk_mq_quiesce_queue" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe15fb3ed, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x84f4e89c, "nvme_auth_generate_digest" },
	{ 0x2b55d9fc, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xe9e8f1b6, "synchronize_srcu" },
	{ 0x77ad1ab3, "param_ops_byte" },
	{ 0x1a2f220, "get_device" },
	{ 0x3fb9c1e2, "blk_mq_end_request" },
	{ 0x1e2446ab, "__blk_mq_alloc_disk" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x36abf882, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x377d28fa, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf9820255, "blk_mq_alloc_tag_set" },
	{ 0x16aafab7, "blk_rq_is_poll" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x8a1f3eca, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xd7e4dd72, "put_disk" },
	{ 0x14c574ce, "crypto_alloc_kpp" },
	{ 0x8f64df31, "cdev_device_add" },
	{ 0x915b75bb, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb2642b2, "blk_execute_rq" },
	{ 0x45ee0529, "put_device" },
	{ 0x250524ba, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0x3af8c7c1, "nvme_tls_psk_refresh" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x57e97b84, "blk_mq_free_request" },
	{ 0xb1d34d40, "nvme_auth_derive_tls_psk" },
	{ 0x618911fc, "numa_node" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x8375762d, "__free_pages" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x4376aed7, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6857cc3d, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xec21d530, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd4e131e0, "nvme_auth_gen_pubkey" },
	{ 0x2a730987, "compat_ptr_ioctl" },
	{ 0xb88a3f7e, "sysfs_remove_link_from_group" },
	{ 0x5d3ce414, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x2aafdea3, "blk_mq_quiesce_tagset" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth,nvme-keyring");


MODULE_INFO(srcversion, "042F7153B423DE5BFA24F71");

MODULE_INFO(suserelease, "SLFO-1.2");
