#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0xf1550281, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xaae0d4f9, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8064faea, "nvmf_unregister_transport" },
	{ 0x5e7d31b3, "blkcg_get_fc_appid" },
	{ 0x45ee0529, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xfcdd5b68, "nvme_change_ctrl_state" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xf55a2101, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0xda16dfa1, "nvme_alloc_io_tag_set" },
	{ 0xa67a077c, "nvme_fail_nonready_command" },
	{ 0xcb629113, "kobject_uevent_env" },
	{ 0x8d816799, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x33719327, "_dev_err" },
	{ 0xe0ec2229, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x19d6778c, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0xb549949d, "__blk_rq_map_sg" },
	{ 0x10119bb, "ida_free" },
	{ 0x82982e6b, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0x3291e4c4, "nvmf_connect_admin_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x40754967, "nvme_enable_ctrl" },
	{ 0x5d13b1c9, "nvme_unquiesce_admin_queue" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3844593a, "nvme_unquiesce_io_queues" },
	{ 0xbd31a4a, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe5226eef, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2c79e4a1, "nvmf_should_reconnect" },
	{ 0x7e88de20, "__dma_sync_single_for_device" },
	{ 0x921f7db3, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x29644857, "device_destroy" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xdb379de, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x43dae81b, "nvmf_register_transport" },
	{ 0x71d086d8, "blk_mq_start_request" },
	{ 0xea1e0206, "nvme_quiesce_io_queues" },
	{ 0x8710730a, "blk_mq_tagset_busy_iter" },
	{ 0x78740bae, "nvme_stop_ctrl" },
	{ 0x11e6ecb, "dma_unmap_sg_attrs" },
	{ 0x7c72543d, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x607ce5a1, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xd2599210, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe99bba1f, "class_register" },
	{ 0x5ffd417d, "__nvme_check_ready" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x3f166ba5, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf2f3c88e, "nvme_add_ctrl" },
	{ 0x85101cb5, "nvme_remove_admin_tag_set" },
	{ 0xf323b575, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xe218d8ef, "nvme_uninit_ctrl" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0x9b01fc74, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xba3faa41, "nvmf_free_options" },
	{ 0x8a34b0ef, "nvmf_subsystem_reset" },
	{ 0xaaceb3c5, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x7e5acd92, "nvme_stop_keep_alive" },
	{ 0xe096ad6, "blk_mq_complete_request_remote" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0xb907e7f0, "nvme_setup_cmd" },
	{ 0x149e543a, "nvme_start_ctrl" },
	{ 0x3998e5c0, "nvme_alloc_admin_tag_set" },
	{ 0xb41e1873, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x43dc8c3b, "nvmf_reg_read32" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x3f4f9980, "nvme_delete_ctrl" },
	{ 0x1a2f220, "get_device" },
	{ 0x4cd95465, "nvme_should_fail" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x13b55678, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xbe9b5d99, "nvme_remove_io_tag_set" },
	{ 0x3ce8ce7e, "nvme_cleanup_cmd" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "70A748C45BE697E6D00B6C6");

MODULE_INFO(suserelease, "SLFO-1.2");
