#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__parport_register_driver, "", "");
KSYMTAB_FUNC(parport_unregister_driver, "", "");
KSYMTAB_FUNC(parport_get_port, "", "");
KSYMTAB_FUNC(parport_del_port, "", "");
KSYMTAB_FUNC(parport_put_port, "", "");
KSYMTAB_FUNC(parport_register_port, "", "");
KSYMTAB_FUNC(parport_announce_port, "", "");
KSYMTAB_FUNC(parport_remove_port, "", "");
KSYMTAB_FUNC(parport_register_dev_model, "", "");
KSYMTAB_FUNC(parport_unregister_device, "", "");
KSYMTAB_FUNC(parport_find_number, "", "");
KSYMTAB_FUNC(parport_find_base, "", "");
KSYMTAB_FUNC(parport_claim, "", "");
KSYMTAB_FUNC(parport_claim_or_block, "", "");
KSYMTAB_FUNC(parport_release, "", "");
KSYMTAB_FUNC(parport_irq_handler, "", "");
KSYMTAB_FUNC(parport_negotiate, "", "");
KSYMTAB_FUNC(parport_write, "", "");
KSYMTAB_FUNC(parport_read, "", "");
KSYMTAB_FUNC(parport_wait_peripheral, "", "");
KSYMTAB_FUNC(parport_wait_event, "", "");
KSYMTAB_FUNC(parport_set_timeout, "", "");
KSYMTAB_FUNC(parport_ieee1284_interrupt, "", "");
KSYMTAB_FUNC(parport_ieee1284_ecp_write_data, "", "");
KSYMTAB_FUNC(parport_ieee1284_ecp_read_data, "", "");
KSYMTAB_FUNC(parport_ieee1284_ecp_write_addr, "", "");
KSYMTAB_FUNC(parport_ieee1284_write_compat, "", "");
KSYMTAB_FUNC(parport_ieee1284_read_nibble, "", "");
KSYMTAB_FUNC(parport_ieee1284_read_byte, "", "");
KSYMTAB_FUNC(parport_ieee1284_epp_write_data, "", "");
KSYMTAB_FUNC(parport_ieee1284_epp_read_data, "", "");
KSYMTAB_FUNC(parport_ieee1284_epp_write_addr, "", "");
KSYMTAB_FUNC(parport_ieee1284_epp_read_addr, "", "");

SYMBOL_CRC(__parport_register_driver, 0x60dfb76b, "");
SYMBOL_CRC(parport_unregister_driver, 0xe3655370, "");
SYMBOL_CRC(parport_get_port, 0xa361d250, "");
SYMBOL_CRC(parport_del_port, 0xf239c0e0, "");
SYMBOL_CRC(parport_put_port, 0x50a0b4f0, "");
SYMBOL_CRC(parport_register_port, 0x3598a1f4, "");
SYMBOL_CRC(parport_announce_port, 0xd5987173, "");
SYMBOL_CRC(parport_remove_port, 0x39935d8f, "");
SYMBOL_CRC(parport_register_dev_model, 0x3f4560ed, "");
SYMBOL_CRC(parport_unregister_device, 0x53e35d59, "");
SYMBOL_CRC(parport_find_number, 0x92a37870, "");
SYMBOL_CRC(parport_find_base, 0x07377b9c, "");
SYMBOL_CRC(parport_claim, 0x8db5d11d, "");
SYMBOL_CRC(parport_claim_or_block, 0x4a43744d, "");
SYMBOL_CRC(parport_release, 0xc7fa2b6e, "");
SYMBOL_CRC(parport_irq_handler, 0x5e3a3912, "");
SYMBOL_CRC(parport_negotiate, 0x9a1bb7f1, "");
SYMBOL_CRC(parport_write, 0x94e0612d, "");
SYMBOL_CRC(parport_read, 0x3072853c, "");
SYMBOL_CRC(parport_wait_peripheral, 0x05743be3, "");
SYMBOL_CRC(parport_wait_event, 0xe4368a29, "");
SYMBOL_CRC(parport_set_timeout, 0xbac75345, "");
SYMBOL_CRC(parport_ieee1284_interrupt, 0x4d2a941b, "");
SYMBOL_CRC(parport_ieee1284_ecp_write_data, 0xb610b86a, "");
SYMBOL_CRC(parport_ieee1284_ecp_read_data, 0x4e07db71, "");
SYMBOL_CRC(parport_ieee1284_ecp_write_addr, 0x068d57e8, "");
SYMBOL_CRC(parport_ieee1284_write_compat, 0x43dc56a5, "");
SYMBOL_CRC(parport_ieee1284_read_nibble, 0x3d4ff220, "");
SYMBOL_CRC(parport_ieee1284_read_byte, 0xe0d7a44e, "");
SYMBOL_CRC(parport_ieee1284_epp_write_data, 0xda2a7987, "");
SYMBOL_CRC(parport_ieee1284_epp_read_data, 0xf8eabc6e, "");
SYMBOL_CRC(parport_ieee1284_epp_write_addr, 0x6ab79605, "");
SYMBOL_CRC(parport_ieee1284_epp_read_addr, 0xe3fb8aa2, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x1a2f220, "get_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2dd9cf2b, "unregister_sysctl_table" },
	{ 0x45ee0529, "put_device" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0xb2c92d1, "bus_for_each_dev" },
	{ 0x6857cc3d, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x38051e3d, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd6f020db, "device_register" },
	{ 0xe604c138, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0x754d539c, "strlen" },
	{ 0x349cba85, "strchr" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x16136184, "bus_register" },
	{ 0x1f7347d5, "proc_dointvec_minmax" },
	{ 0xdc0df056, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x343c8959, "device_unregister" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0xcf2a6966, "up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x3bdc0284, "bus_for_each_drv" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "482C362B8A63CF6111B9305");

MODULE_INFO(suserelease, "SLFO-1.2");
