#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ssam_get_controller, "_gpl", "");
KSYMTAB_FUNC(ssam_client_link, "_gpl", "");
KSYMTAB_FUNC(ssam_client_bind, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_get, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_put, "_gpl", "");
KSYMTAB_DATA(ssam_device_type, "_gpl", "");
KSYMTAB_FUNC(ssam_device_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_device_add, "_gpl", "");
KSYMTAB_FUNC(ssam_device_remove, "_gpl", "");
KSYMTAB_FUNC(ssam_device_id_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match_data, "_gpl", "");
KSYMTAB_FUNC(__ssam_device_driver_register, "_gpl", "");
KSYMTAB_FUNC(ssam_device_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(__ssam_register_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_remove_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_device, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_get, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_put, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_statelock, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_stateunlock, "_gpl", "");
KSYMTAB_FUNC(ssam_request_write_data, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_free, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_init, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_submit, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync_with_buffer, "_gpl", "");
KSYMTAB_FUNC(ssam_notifier_register, "_gpl", "");
KSYMTAB_FUNC(__ssam_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_enable, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_disable, "_gpl", "");

SYMBOL_CRC(ssam_get_controller, 0xa8c35dd2, "_gpl");
SYMBOL_CRC(ssam_client_link, 0xa4c89d51, "_gpl");
SYMBOL_CRC(ssam_client_bind, 0xfac04177, "_gpl");
SYMBOL_CRC(ssh_packet_get, 0x60232ec1, "_gpl");
SYMBOL_CRC(ssh_packet_put, 0x9453267f, "_gpl");
SYMBOL_CRC(ssam_device_type, 0x7241ca56, "_gpl");
SYMBOL_CRC(ssam_device_alloc, 0x866df43d, "_gpl");
SYMBOL_CRC(ssam_device_add, 0xf5618e5c, "_gpl");
SYMBOL_CRC(ssam_device_remove, 0x0e2da9b1, "_gpl");
SYMBOL_CRC(ssam_device_id_match, 0xc2bd582d, "_gpl");
SYMBOL_CRC(ssam_device_get_match, 0xe521a23e, "_gpl");
SYMBOL_CRC(ssam_device_get_match_data, 0xc49d8a70, "_gpl");
SYMBOL_CRC(__ssam_device_driver_register, 0x1e9e7444, "_gpl");
SYMBOL_CRC(ssam_device_driver_unregister, 0x56c66e1f, "_gpl");
SYMBOL_CRC(__ssam_register_clients, 0x8ef3cadd, "_gpl");
SYMBOL_CRC(ssam_remove_clients, 0x91c63597, "_gpl");
SYMBOL_CRC(ssam_controller_device, 0x61b3f855, "_gpl");
SYMBOL_CRC(ssam_controller_get, 0x1b9226c7, "_gpl");
SYMBOL_CRC(ssam_controller_put, 0x530f7dbe, "_gpl");
SYMBOL_CRC(ssam_controller_statelock, 0x904c323f, "_gpl");
SYMBOL_CRC(ssam_controller_stateunlock, 0x4242d019, "_gpl");
SYMBOL_CRC(ssam_request_write_data, 0x6beb49bb, "_gpl");
SYMBOL_CRC(ssam_request_sync_alloc, 0xdc4d948a, "_gpl");
SYMBOL_CRC(ssam_request_sync_free, 0x3451947b, "_gpl");
SYMBOL_CRC(ssam_request_sync_init, 0x49bbf697, "_gpl");
SYMBOL_CRC(ssam_request_sync_submit, 0x2aa78378, "_gpl");
SYMBOL_CRC(ssam_request_do_sync, 0x2ac41954, "_gpl");
SYMBOL_CRC(ssam_request_do_sync_with_buffer, 0x810935cf, "_gpl");
SYMBOL_CRC(ssam_notifier_register, 0xd35b97df, "_gpl");
SYMBOL_CRC(__ssam_notifier_unregister, 0x665957e9, "_gpl");
SYMBOL_CRC(ssam_controller_event_enable, 0xa0c0c9da, "_gpl");
SYMBOL_CRC(ssam_controller_event_disable, 0xdf8797a9, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x45ee0529, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x74f05c5f, "device_for_each_child_reverse" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x49b51aab, "fwnode_get_name" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x3ed5a5a3, "init_srcu_struct" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0xb152ec2b, "devm_acpi_dev_add_driver_gpios" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x77f5bb81, "down_write" },
	{ 0x33719327, "_dev_err" },
	{ 0x264635e1, "up_write" },
	{ 0x3d44dcd8, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc4510dc7, "__srcu_read_lock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x30ec0b8f, "cleanup_srcu_struct" },
	{ 0x6270d8b3, "sysfs_create_group" },
	{ 0xd960722a, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb7027cb0, "serdev_device_wait_until_sent" },
	{ 0x7ea7d1c5, "__serdev_device_driver_register" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xda01659, "acpi_dev_clear_dependencies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0x1ed09d48, "fwnode_handle_get" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xce3fddba, "serdev_device_write_buf" },
	{ 0xa985aeff, "down_read" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0x23d8e0a9, "sysfs_remove_group" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x537dcc0d, "platform_device_register_full" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3e338cb, "serdev_device_close" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x30024cbb, "__srcu_read_unlock" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0xed0fefc, "device_link_add" },
	{ 0x969167ee, "fwnode_irq_get" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc40bf4ce, "up_read" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x86725ba4, "__dev_fwnode" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x16136184, "bus_register" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2fba1c26, "gpiod_get" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x173756c, "__init_rwsem" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0x6ef96a37, "gpiod_put" },
	{ 0xfecdcb5b, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbc5a30bc, "serdev_device_set_baudrate" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x954d3d5e, "gpiod_count" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x343c8959, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xea312c8c, "serdev_acpi_get_uart_resource" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x42515f88, "serdev_device_set_flow_control" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0xba0a72d1, "gpiod_to_irq" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x818b34ae, "serdev_device_open" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xb9c26d1f, "fwnode_get_next_child_node" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xe9e8f1b6, "synchronize_srcu" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x72af6dd5, "serdev_device_set_parity" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");

MODULE_ALIAS("acpi*:MSHW0084:*");

MODULE_INFO(srcversion, "8F52398202C36736FCD8942");

MODULE_INFO(suserelease, "SLFO-1.2");
