#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tpmi_get_linux_cpu_number, "_gpl", "INTEL_TPMI_POWER_DOMAIN");
KSYMTAB_FUNC(tpmi_get_punit_core_number, "_gpl", "INTEL_TPMI_POWER_DOMAIN");
KSYMTAB_FUNC(tpmi_get_power_domain_id, "_gpl", "INTEL_TPMI_POWER_DOMAIN");
KSYMTAB_FUNC(tpmi_get_power_domain_mask, "_gpl", "INTEL_TPMI_POWER_DOMAIN");

SYMBOL_CRC(tpmi_get_linux_cpu_number, 0x5e435394, "_gpl");
SYMBOL_CRC(tpmi_get_punit_core_number, 0x4f937a22, "_gpl");
SYMBOL_CRC(tpmi_get_power_domain_id, 0x6766a2b6, "_gpl");
SYMBOL_CRC(tpmi_get_power_domain_mask, 0x513a5e06, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x39081193, "__max_logical_packages" },
	{ 0x37a0cba, "kfree" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x39e3c030, "do_trace_read_msr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6b406731, "__cpuhp_setup_state" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x83250b00, "cpu_info" },
	{ 0xe16ed2c6, "__tracepoint_read_msr" },
	{ 0xb86748d1, "__cpuhp_remove_state" },
	{ 0x66283031, "x86_match_cpu" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00AD:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00AF:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00B6:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00DD:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00AE:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0013mod0001:feature:*");

MODULE_INFO(srcversion, "4C78F4FD4419E3616785528");

MODULE_INFO(suserelease, "SLFO-1.2");
