#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pmt_telem_get_next_endpoint, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_register_endpoint, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_unregister_endpoint, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_get_endpoint_info, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_read, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_read32, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_find_and_register_endpoint, "_gpl", "INTEL_PMT_TELEMETRY");

SYMBOL_CRC(pmt_telem_get_next_endpoint, 0xd71cecee, "_gpl");
SYMBOL_CRC(pmt_telem_register_endpoint, 0x311919fc, "_gpl");
SYMBOL_CRC(pmt_telem_unregister_endpoint, 0x9f40e3b0, "_gpl");
SYMBOL_CRC(pmt_telem_get_endpoint_info, 0x603fe2ba, "_gpl");
SYMBOL_CRC(pmt_telem_read, 0xa7c201ca, "_gpl");
SYMBOL_CRC(pmt_telem_read32, 0x1191c85c, "_gpl");
SYMBOL_CRC(pmt_telem_find_and_register_endpoint, 0xc47c1e96, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57bf10ff, "auxiliary_driver_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1abb7010, "intel_pmt_is_early_client_hw" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xc02ff36b, "intel_pmt_dev_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0xfea41449, "xa_find" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb83ae5e1, "__auxiliary_driver_register" },
	{ 0xa256d729, "xa_find_after" },
	{ 0xaaee3b6d, "intel_pmt_dev_create" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xfd1a0b0d, "pmt_telem_read_mmio" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x37a0cba, "kfree" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "pmt_class");

MODULE_ALIAS("auxiliary:intel_vsec.telemetry");

MODULE_INFO(srcversion, "DADC77B9FC2E76B088F6EDA");

MODULE_INFO(suserelease, "SLFO-1.2");
