#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tpmi_sst_dev_add, "_gpl", "INTEL_TPMI_SST");
KSYMTAB_FUNC(tpmi_sst_dev_remove, "_gpl", "INTEL_TPMI_SST");
KSYMTAB_FUNC(tpmi_sst_dev_suspend, "_gpl", "INTEL_TPMI_SST");
KSYMTAB_FUNC(tpmi_sst_dev_resume, "_gpl", "INTEL_TPMI_SST");
KSYMTAB_FUNC(tpmi_sst_init, "_gpl", "INTEL_TPMI_SST");
KSYMTAB_FUNC(tpmi_sst_exit, "_gpl", "INTEL_TPMI_SST");

SYMBOL_CRC(tpmi_sst_dev_add, 0x610146ac, "_gpl");
SYMBOL_CRC(tpmi_sst_dev_remove, 0x7fea58b2, "_gpl");
SYMBOL_CRC(tpmi_sst_dev_suspend, 0x02396ec5, "_gpl");
SYMBOL_CRC(tpmi_sst_dev_resume, 0xbf905973, "_gpl");
SYMBOL_CRC(tpmi_sst_init, 0x45083054, "_gpl");
SYMBOL_CRC(tpmi_sst_exit, 0x98bbc7d5, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdb42462d, "tpmi_get_platform_data" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe18f42a5, "isst_if_cdev_unregister" },
	{ 0x39081193, "__max_logical_packages" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7c958809, "isst_if_cdev_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf2ba9aad, "tpmi_get_feature_status" },
	{ 0xd5b0ec72, "tpmi_get_resource_count" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x988cbd93, "tpmi_get_resource_at_index" },
	{ 0xfc5dd970, "devm_ioremap_resource" },
	{ 0x8397d845, "devm_iounmap" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x33719327, "_dev_err" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe16ed2c6, "__tracepoint_read_msr" },
	{ 0xf9a482f9, "msleep" },
	{ 0x39e3c030, "do_trace_read_msr" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "intel_vsec_tpmi,isst_if_common");


MODULE_INFO(srcversion, "5C4C0278C24E6F37E83CC0E");

MODULE_INFO(suserelease, "SLFO-1.2");
