#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wmi_instance_count, "_gpl", "");
KSYMTAB_FUNC(wmidev_instance_count, "_gpl", "");
KSYMTAB_FUNC(wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(wmidev_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(wmi_query_block, "_gpl", "");
KSYMTAB_FUNC(wmidev_block_query, "_gpl", "");
KSYMTAB_FUNC(wmi_set_block, "_gpl", "");
KSYMTAB_FUNC(wmidev_block_set, "_gpl", "");
KSYMTAB_FUNC(wmi_install_notify_handler, "_gpl", "");
KSYMTAB_FUNC(wmi_remove_notify_handler, "_gpl", "");
KSYMTAB_FUNC(wmi_has_guid, "_gpl", "");
KSYMTAB_FUNC(wmi_get_acpi_device_uid, "_gpl", "");
KSYMTAB_FUNC(__wmi_driver_register, "", "");
KSYMTAB_FUNC(wmi_driver_unregister, "", "");

SYMBOL_CRC(wmi_instance_count, 0xd5bf6c16, "_gpl");
SYMBOL_CRC(wmidev_instance_count, 0x752563e7, "_gpl");
SYMBOL_CRC(wmi_evaluate_method, 0x6068bedf, "_gpl");
SYMBOL_CRC(wmidev_evaluate_method, 0xa96d0e61, "_gpl");
SYMBOL_CRC(wmi_query_block, 0xaba842fe, "_gpl");
SYMBOL_CRC(wmidev_block_query, 0x66bc3074, "_gpl");
SYMBOL_CRC(wmi_set_block, 0xd7752b86, "_gpl");
SYMBOL_CRC(wmidev_block_set, 0x12f680a9, "_gpl");
SYMBOL_CRC(wmi_install_notify_handler, 0x33c30ffe, "_gpl");
SYMBOL_CRC(wmi_remove_notify_handler, 0x76ae31fd, "_gpl");
SYMBOL_CRC(wmi_has_guid, 0xc9d4d6d1, "_gpl");
SYMBOL_CRC(wmi_get_acpi_device_uid, 0x065b4695, "_gpl");
SYMBOL_CRC(__wmi_driver_register, 0xb369453a, "");
SYMBOL_CRC(wmi_driver_unregister, 0x2945a78f, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x742c8a9e, "driver_unregister" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0xe99bba1f, "class_register" },
	{ 0x16136184, "bus_register" },
	{ 0x7ccaa77e, "__platform_driver_register" },
	{ 0x92997ed8, "_printk" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0x74f05c5f, "device_for_each_child_reverse" },
	{ 0x343c8959, "device_unregister" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x5b5d292e, "device_for_each_child" },
	{ 0x37a0cba, "kfree" },
	{ 0x5ad12e30, "platform_driver_unregister" },
	{ 0xa985aeff, "down_read" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0xe0ec2229, "device_create" },
	{ 0x23e55a9c, "__devm_add_action" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x72f14ff7, "acpi_get_object_info" },
	{ 0x173756c, "__init_rwsem" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x4f32143d, "device_initialize" },
	{ 0xed0fefc, "device_link_add" },
	{ 0x3d44dcd8, "device_add" },
	{ 0x33719327, "_dev_err" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x45ee0529, "put_device" },
	{ 0x77f5bb81, "down_write" },
	{ 0x264635e1, "up_write" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xf74536a0, "bus_find_device" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x393a8d51, "driver_set_override" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0C14:*");
MODULE_ALIAS("acpi*:pnp0c14:*");

MODULE_INFO(srcversion, "187BC9387AAA5C80B10749B");

MODULE_INFO(suserelease, "SLFO-1.2");
