#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pwrseq_device_register, "_gpl", "");
KSYMTAB_FUNC(pwrseq_device_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_pwrseq_device_register, "_gpl", "");
KSYMTAB_FUNC(pwrseq_device_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(pwrseq_get, "_gpl", "");
KSYMTAB_FUNC(pwrseq_put, "_gpl", "");
KSYMTAB_FUNC(devm_pwrseq_get, "_gpl", "");
KSYMTAB_FUNC(pwrseq_power_on, "_gpl", "");
KSYMTAB_FUNC(pwrseq_power_off, "_gpl", "");

SYMBOL_CRC(pwrseq_device_register, 0x4b6949fc, "_gpl");
SYMBOL_CRC(pwrseq_device_unregister, 0x74730198, "_gpl");
SYMBOL_CRC(devm_pwrseq_device_register, 0xa0038524, "_gpl");
SYMBOL_CRC(pwrseq_device_get_drvdata, 0xc6650d5c, "_gpl");
SYMBOL_CRC(pwrseq_get, 0x1ac0db08, "_gpl");
SYMBOL_CRC(pwrseq_put, 0xdb61449c, "_gpl");
SYMBOL_CRC(devm_pwrseq_get, 0x95306438, "_gpl");
SYMBOL_CRC(pwrseq_power_on, 0x809bb19b, "_gpl");
SYMBOL_CRC(pwrseq_power_off, 0xca3fe8c9, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe9d722b4, "device_set_node" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x45ee0529, "put_device" },
	{ 0xb2c92d1, "bus_for_each_dev" },
	{ 0x6857cc3d, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xedca7114, "radix_tree_delete" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x77f5bb81, "down_write" },
	{ 0x33719327, "_dev_err" },
	{ 0x264635e1, "up_write" },
	{ 0xf74536a0, "bus_find_device" },
	{ 0x3d44dcd8, "device_add" },
	{ 0xc7e6f0f4, "radix_tree_next_chunk" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x10119bb, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2e9c96c7, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa985aeff, "down_read" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x911c8743, "seq_read" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x66ca9904, "seq_write" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0xa57234f8, "device_match_any" },
	{ 0xd7123d06, "seq_open" },
	{ 0x23e55a9c, "__devm_add_action" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x86725ba4, "__dev_fwnode" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x16136184, "bus_register" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x173756c, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x1056f31c, "radix_tree_insert" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0xb916c778, "seq_release" },
	{ 0xf7c2c630, "radix_tree_lookup" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x1a2f220, "get_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C5E8E63B0329A24A5B9E22C");

MODULE_INFO(suserelease, "SLFO-1.2");
