#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rio_local_get_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_query_mport, "", "");
KSYMTAB_FUNC(rio_alloc_net, "_gpl", "");
KSYMTAB_FUNC(rio_add_net, "_gpl", "");
KSYMTAB_FUNC(rio_free_net, "_gpl", "");
KSYMTAB_FUNC(rio_local_set_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_add_device, "_gpl", "");
KSYMTAB_FUNC(rio_del_device, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_add_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_del_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_pw_enable, "_gpl", "");
KSYMTAB_FUNC(rio_map_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_map_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_physefb, "_gpl", "");
KSYMTAB_FUNC(rio_get_comptag, "_gpl", "");
KSYMTAB_FUNC(rio_set_port_lockout, "_gpl", "");
KSYMTAB_FUNC(rio_enable_rx_tx_port, "_gpl", "");
KSYMTAB_FUNC(rio_mport_chk_dev_access, "_gpl", "");
KSYMTAB_FUNC(rio_inb_pwrite_handler, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_efb, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_feature, "_gpl", "");
KSYMTAB_FUNC(rio_lock_device, "_gpl", "");
KSYMTAB_FUNC(rio_unlock_device, "_gpl", "");
KSYMTAB_FUNC(rio_route_add_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_get_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_clr_table, "_gpl", "");
KSYMTAB_FUNC(rio_request_mport_dma, "_gpl", "");
KSYMTAB_FUNC(rio_request_dma, "_gpl", "");
KSYMTAB_FUNC(rio_release_dma, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_xfer, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_slave_sg, "_gpl", "");
KSYMTAB_FUNC(rio_register_scan, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_scan, "_gpl", "");
KSYMTAB_FUNC(rio_init_mports, "_gpl", "");
KSYMTAB_FUNC(rio_mport_initialize, "_gpl", "");
KSYMTAB_FUNC(rio_register_mport, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_mport, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_32, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_send_doorbell, "_gpl", "");
KSYMTAB_FUNC(rio_attach_device, "_gpl", "");
KSYMTAB_DATA(rio_mport_class, "_gpl", "");
KSYMTAB_FUNC(rio_register_driver, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_driver, "_gpl", "");
KSYMTAB_DATA(rio_bus_type, "_gpl", "");
KSYMTAB_FUNC(rio_dev_get, "_gpl", "");
KSYMTAB_FUNC(rio_dev_put, "_gpl", "");

SYMBOL_CRC(rio_local_get_device_id, 0xc046ad55, "_gpl");
SYMBOL_CRC(rio_query_mport, 0x59362fd8, "");
SYMBOL_CRC(rio_alloc_net, 0x0a6600fb, "_gpl");
SYMBOL_CRC(rio_add_net, 0xfff0dcdc, "_gpl");
SYMBOL_CRC(rio_free_net, 0xaa6f5d3b, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0x26063af7, "_gpl");
SYMBOL_CRC(rio_add_device, 0xddac307e, "_gpl");
SYMBOL_CRC(rio_del_device, 0x3062c173, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0xd9b571dd, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0x45f86382, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0x7c181afc, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0x7be5235a, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0xe94ec74d, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0xa857c3c1, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0x004a7792, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0x9ae535f6, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0x959325c1, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0x44a518e8, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0xcc51c3be, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0xe7742bde, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0xc09d2206, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0xd5e6fa92, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0x51154a00, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0x3eff1c04, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0xadfb463f, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0xfc917aa9, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0xe0115a5d, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0x2eebee5b, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0xf64230ee, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0xc9e9031c, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0xd9bf8e00, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0xc37f36f8, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0x21fcce27, "_gpl");
SYMBOL_CRC(rio_lock_device, 0x5979fc87, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0xb2ba2f55, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0x2f4d6cc9, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0xaec17afe, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0x47e6fb0e, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0x49ad3b01, "_gpl");
SYMBOL_CRC(rio_request_dma, 0x8e154853, "_gpl");
SYMBOL_CRC(rio_release_dma, 0x6e71cdb5, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0xabbfc820, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0x715a311e, "_gpl");
SYMBOL_CRC(rio_register_scan, 0xb064975c, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0x3b0ff193, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0xecaad024, "_gpl");
SYMBOL_CRC(rio_register_mport, 0x6576784f, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0x7b33eb99, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0xa9363394, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0x4bdb689d, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0x05e61007, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0xe4a7f086, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0xc7edeff9, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0x3f90cf1a, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0xb5511a3b, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0xda46cdb8, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0x9ddb492d, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0x831a1a50, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0x3c5ae988, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0x18cc80b4, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0x00796de4, "_gpl");
SYMBOL_CRC(rio_attach_device, 0x1f104886, "_gpl");
SYMBOL_CRC(rio_mport_class, 0x3270dca2, "_gpl");
SYMBOL_CRC(rio_register_driver, 0xfbef9c52, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0x2f0738b0, "_gpl");
SYMBOL_CRC(rio_bus_type, 0x487348ad, "_gpl");
SYMBOL_CRC(rio_dev_get, 0x4aa84822, "_gpl");
SYMBOL_CRC(rio_dev_put, 0xaf026d86, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b5d292e, "device_for_each_child" },
	{ 0x1a2f220, "get_device" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x18bfd7a5, "__dma_request_channel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45ee0529, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6857cc3d, "module_put" },
	{ 0x33719327, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0xd6f020db, "device_register" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc5e74216, "release_resource" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xe99bba1f, "class_register" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x16136184, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x343c8959, "device_unregister" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x9449d1a3, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xa810e9b3, "dma_release_channel" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7C3C1A8BC085EC9B7BCC133");

MODULE_INFO(suserelease, "SLFO-1.2");
