#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(fc_lport_notifier_head, "", "");
KSYMTAB_FUNC(fc_fill_hdr, "", "");
KSYMTAB_FUNC(fc_fill_reply_hdr, "", "");
KSYMTAB_FUNC(fc_lport_iterate, "", "");
KSYMTAB_FUNC(fc_fc4_register_provider, "", "");
KSYMTAB_FUNC(fc_fc4_deregister_provider, "", "");
KSYMTAB_FUNC(fc_disc_config, "", "");
KSYMTAB_FUNC(fc_disc_init, "", "");
KSYMTAB_DATA(fc_cpu_mask, "", "");
KSYMTAB_FUNC(fc_seq_send, "", "");
KSYMTAB_FUNC(fc_seq_start_next, "", "");
KSYMTAB_FUNC(fc_seq_set_resp, "", "");
KSYMTAB_FUNC(fc_exch_done, "", "");
KSYMTAB_FUNC(fc_seq_els_rsp_send, "_gpl", "");
KSYMTAB_FUNC(fc_seq_assign, "", "");
KSYMTAB_FUNC(fc_seq_release, "", "");
KSYMTAB_FUNC(fc_exch_mgr_reset, "", "");
KSYMTAB_FUNC(fc_exch_seq_send, "", "");
KSYMTAB_FUNC(fc_exch_update_stats, "", "");
KSYMTAB_FUNC(fc_exch_mgr_add, "", "");
KSYMTAB_FUNC(fc_exch_mgr_del, "", "");
KSYMTAB_FUNC(fc_exch_mgr_list_clone, "", "");
KSYMTAB_FUNC(fc_exch_mgr_alloc, "", "");
KSYMTAB_FUNC(fc_exch_mgr_free, "", "");
KSYMTAB_FUNC(fc_exch_recv, "", "");
KSYMTAB_FUNC(fc_exch_init, "", "");
KSYMTAB_FUNC(fc_elsct_send, "", "");
KSYMTAB_FUNC(fc_elsct_init, "", "");
KSYMTAB_FUNC(fc_frame_crc_check, "", "");
KSYMTAB_FUNC(_fc_frame_alloc, "", "");
KSYMTAB_FUNC(fc_frame_alloc_fill, "", "");
KSYMTAB_FUNC(fc_get_host_port_state, "", "");
KSYMTAB_FUNC(fc_get_host_speed, "", "");
KSYMTAB_FUNC(fc_get_host_stats, "", "");
KSYMTAB_FUNC(fc_fabric_login, "", "");
KSYMTAB_FUNC(fc_linkup, "", "");
KSYMTAB_FUNC(fc_linkdown, "", "");
KSYMTAB_FUNC(fc_fabric_logoff, "", "");
KSYMTAB_FUNC(fc_lport_destroy, "", "");
KSYMTAB_FUNC(fc_set_mfs, "", "");
KSYMTAB_FUNC(fc_lport_set_local_id, "", "");
KSYMTAB_FUNC(fc_lport_recv, "", "");
KSYMTAB_FUNC(fc_lport_reset, "", "");
KSYMTAB_FUNC(fc_lport_logo_resp, "", "");
KSYMTAB_FUNC(fc_lport_flogi_resp, "", "");
KSYMTAB_FUNC(fc_lport_config, "", "");
KSYMTAB_FUNC(fc_lport_init, "", "");
KSYMTAB_FUNC(fc_lport_bsg_request, "", "");
KSYMTAB_FUNC(fc_rport_lookup, "", "");
KSYMTAB_FUNC(fc_rport_create, "", "");
KSYMTAB_FUNC(fc_rport_destroy, "", "");
KSYMTAB_FUNC(fc_set_rport_loss_tmo, "", "");
KSYMTAB_FUNC(fc_rport_login, "", "");
KSYMTAB_FUNC(fc_rport_logoff, "", "");
KSYMTAB_FUNC(fc_rport_recv_req, "", "");
KSYMTAB_FUNC(fc_rport_flush_queue, "", "");
KSYMTAB_FUNC(fc_rport_terminate_io, "", "");
KSYMTAB_FUNC(fc_queuecommand, "", "");
KSYMTAB_FUNC(fc_eh_abort, "", "");
KSYMTAB_FUNC(fc_eh_device_reset, "", "");
KSYMTAB_FUNC(fc_eh_host_reset, "", "");
KSYMTAB_FUNC(fc_sdev_init, "", "");
KSYMTAB_FUNC(fc_fcp_destroy, "", "");
KSYMTAB_FUNC(fc_fcp_init, "", "");
KSYMTAB_FUNC(libfc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_id_lookup, "", "");
KSYMTAB_FUNC(fc_vport_setlink, "", "");

SYMBOL_CRC(fc_lport_notifier_head, 0x44eff7f2, "");
SYMBOL_CRC(fc_fill_hdr, 0x5b0be2b9, "");
SYMBOL_CRC(fc_fill_reply_hdr, 0x0733fea6, "");
SYMBOL_CRC(fc_lport_iterate, 0x81d75842, "");
SYMBOL_CRC(fc_fc4_register_provider, 0x8b65b64f, "");
SYMBOL_CRC(fc_fc4_deregister_provider, 0x5a12b2c9, "");
SYMBOL_CRC(fc_disc_config, 0xf4133c64, "");
SYMBOL_CRC(fc_disc_init, 0xfbb20c01, "");
SYMBOL_CRC(fc_cpu_mask, 0xa1bcd198, "");
SYMBOL_CRC(fc_seq_send, 0x76923b59, "");
SYMBOL_CRC(fc_seq_start_next, 0x7f3407a7, "");
SYMBOL_CRC(fc_seq_set_resp, 0x14a5164f, "");
SYMBOL_CRC(fc_exch_done, 0x811811e0, "");
SYMBOL_CRC(fc_seq_els_rsp_send, 0xde0e78be, "_gpl");
SYMBOL_CRC(fc_seq_assign, 0x9224af1f, "");
SYMBOL_CRC(fc_seq_release, 0xfa4667d1, "");
SYMBOL_CRC(fc_exch_mgr_reset, 0x4b25e332, "");
SYMBOL_CRC(fc_exch_seq_send, 0x95a7edbc, "");
SYMBOL_CRC(fc_exch_update_stats, 0xb44986ac, "");
SYMBOL_CRC(fc_exch_mgr_add, 0x92a5536d, "");
SYMBOL_CRC(fc_exch_mgr_del, 0x22b90986, "");
SYMBOL_CRC(fc_exch_mgr_list_clone, 0xbaac181e, "");
SYMBOL_CRC(fc_exch_mgr_alloc, 0x24a0f99f, "");
SYMBOL_CRC(fc_exch_mgr_free, 0xe6c0d90a, "");
SYMBOL_CRC(fc_exch_recv, 0x2df05998, "");
SYMBOL_CRC(fc_exch_init, 0x8deae417, "");
SYMBOL_CRC(fc_elsct_send, 0x43cfffbf, "");
SYMBOL_CRC(fc_elsct_init, 0xc1126d1e, "");
SYMBOL_CRC(fc_frame_crc_check, 0x2b0748d2, "");
SYMBOL_CRC(_fc_frame_alloc, 0x56159110, "");
SYMBOL_CRC(fc_frame_alloc_fill, 0x37e5535f, "");
SYMBOL_CRC(fc_get_host_port_state, 0x94797d4f, "");
SYMBOL_CRC(fc_get_host_speed, 0xe3c95550, "");
SYMBOL_CRC(fc_get_host_stats, 0x5501639b, "");
SYMBOL_CRC(fc_fabric_login, 0xf690b1af, "");
SYMBOL_CRC(fc_linkup, 0x94cc1563, "");
SYMBOL_CRC(fc_linkdown, 0x2132151c, "");
SYMBOL_CRC(fc_fabric_logoff, 0xf30d2eb7, "");
SYMBOL_CRC(fc_lport_destroy, 0xb52b7f95, "");
SYMBOL_CRC(fc_set_mfs, 0x01a6497f, "");
SYMBOL_CRC(fc_lport_set_local_id, 0xd4aa2819, "");
SYMBOL_CRC(fc_lport_recv, 0xec377e91, "");
SYMBOL_CRC(fc_lport_reset, 0x205468ef, "");
SYMBOL_CRC(fc_lport_logo_resp, 0x65baafa9, "");
SYMBOL_CRC(fc_lport_flogi_resp, 0x5b623e38, "");
SYMBOL_CRC(fc_lport_config, 0x9ec770a1, "");
SYMBOL_CRC(fc_lport_init, 0x3cd1ef9e, "");
SYMBOL_CRC(fc_lport_bsg_request, 0xe2b19528, "");
SYMBOL_CRC(fc_rport_lookup, 0x0b9c43d7, "");
SYMBOL_CRC(fc_rport_create, 0x4d319131, "");
SYMBOL_CRC(fc_rport_destroy, 0x9d50ed7e, "");
SYMBOL_CRC(fc_set_rport_loss_tmo, 0xf607c019, "");
SYMBOL_CRC(fc_rport_login, 0x65c1d09d, "");
SYMBOL_CRC(fc_rport_logoff, 0x52164b75, "");
SYMBOL_CRC(fc_rport_recv_req, 0x90fd3b89, "");
SYMBOL_CRC(fc_rport_flush_queue, 0xb0ddd5a1, "");
SYMBOL_CRC(fc_rport_terminate_io, 0x5a6583fe, "");
SYMBOL_CRC(fc_queuecommand, 0x9c618aa8, "");
SYMBOL_CRC(fc_eh_abort, 0x1d5855f7, "");
SYMBOL_CRC(fc_eh_device_reset, 0xd356cd58, "");
SYMBOL_CRC(fc_eh_host_reset, 0xdb0f088d, "");
SYMBOL_CRC(fc_sdev_init, 0x82ceb090, "");
SYMBOL_CRC(fc_fcp_destroy, 0x27351fff, "");
SYMBOL_CRC(fc_fcp_init, 0x98dfd16a, "");
SYMBOL_CRC(libfc_vport_create, 0x3176a18b, "");
SYMBOL_CRC(fc_vport_id_lookup, 0x4dece8fb, "");
SYMBOL_CRC(fc_vport_setlink, 0xf278c218, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xc023a1f6, "scsi_is_host_device" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4b34fd97, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xee07959b, "mempool_destroy" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x56dabe6e, "scsi_is_fc_rport" },
	{ 0x68957e6a, "scsi_done" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xf80797cf, "_dev_printk" },
	{ 0x8c644909, "scsi_host_alloc" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x9748032d, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdc0df056, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x345b4858, "bsg_job_done" },
	{ 0x89e26206, "fc_remote_port_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x9612cd5b, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x36abf882, "mempool_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd863e807, "fc_block_scsi_eh" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xbc40496c, "blocking_notifier_call_chain" },
	{ 0x5db349da, "fc_remote_port_delete" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x514cf379, "fc_host_post_event" },
	{ 0x6857cc3d, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x3fb7a406, "mempool_alloc_noprof" },
	{ 0x49608959, "migrate_disable" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x3d45bb64, "init_uts_ns" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,scsi_transport_fc,scsi_common");


MODULE_INFO(srcversion, "A1E58FA7A2C566E30BB6946");

MODULE_INFO(suserelease, "SLFO-1.2");
