#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qlt_unreg_sess, "", "");
KSYMTAB_FUNC(qlt_stop_phase1, "", "");
KSYMTAB_FUNC(qlt_stop_phase2, "", "");
KSYMTAB_FUNC(qlt_free_mcmd, "", "");
KSYMTAB_FUNC(qlt_xmit_tm_rsp, "", "");
KSYMTAB_FUNC(qlt_xmit_response, "", "");
KSYMTAB_FUNC(qlt_rdy_to_xfer, "", "");
KSYMTAB_FUNC(qlt_abort_cmd, "", "");
KSYMTAB_FUNC(qlt_free_cmd, "", "");
KSYMTAB_FUNC(qlt_lport_register, "", "");
KSYMTAB_FUNC(qlt_lport_deregister, "", "");
KSYMTAB_FUNC(qlt_enable_vha, "", "");

SYMBOL_CRC(qlt_unreg_sess, 0x4e685090, "");
SYMBOL_CRC(qlt_stop_phase1, 0xaefe7bcc, "");
SYMBOL_CRC(qlt_stop_phase2, 0x21121f5f, "");
SYMBOL_CRC(qlt_free_mcmd, 0x88864daf, "");
SYMBOL_CRC(qlt_xmit_tm_rsp, 0x9847ae18, "");
SYMBOL_CRC(qlt_xmit_response, 0xc645a01f, "");
SYMBOL_CRC(qlt_rdy_to_xfer, 0xcac68b49, "");
SYMBOL_CRC(qlt_abort_cmd, 0x5da4c914, "");
SYMBOL_CRC(qlt_free_cmd, 0xa36be252, "");
SYMBOL_CRC(qlt_lport_register, 0x6c7df09b, "");
SYMBOL_CRC(qlt_lport_deregister, 0x093c76f2, "");
SYMBOL_CRC(qlt_enable_vha, 0x5161030b, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x33719327, "_dev_err" },
	{ 0xed7006c1, "fc_vport_create" },
	{ 0x94279677, "scsi_host_put" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc0ff936f, "simple_attr_release" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x136d2728, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe831f6f3, "fc_remote_port_rolechg" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x4b7a880d, "blk_mq_map_hw_queues" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x57891024, "scsi_scan_host" },
	{ 0xfca9dc99, "nvme_fc_unregister_remoteport" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x2b8216f, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x7a905b8, "seq_putc" },
	{ 0x62173924, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x34119c80, "fc_vport_terminate" },
	{ 0xfdd546d6, "blk_mq_num_online_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8486cbd0, "fc_block_rport" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd960722a, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x648921e9, "trace_array_get_by_name" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6eecfaf4, "sg_copy_buffer" },
	{ 0xef211625, "pci_restore_state" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x53d4717d, "pci_alloc_irq_vectors_affinity" },
	{ 0xc023a1f6, "scsi_is_host_device" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0xe9baa2f2, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xee5d5b9b, "dma_get_required_mask" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xae4277af, "blk_mq_unique_tag" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x3e4f8768, "vmalloc_array_noprof" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xf6fce095, "device_show_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0x911c8743, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x5734eac7, "trace_array_set_clr_event" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x1bc258d3, "fc_host_fpin_rcv" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x41110a99, "btree_destroy" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x4b34fd97, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe851d8b7, "scmd_printk" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x23aa8ec3, "btree_update" },
	{ 0x7e88de20, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9b69ddd2, "pci_write_config_byte" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1ec7d1c9, "__register_chrdev" },
	{ 0x66ca9904, "seq_write" },
	{ 0xee07959b, "mempool_destroy" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x357f2fe8, "fc_eh_should_retry_cmd" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x42bd5f0a, "pcie_capability_read_dword" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x3884f8b8, "nvme_fc_unregister_localport" },
	{ 0x56dabe6e, "scsi_is_fc_rport" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0x68957e6a, "scsi_done" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xa97c5435, "btree_get_prev" },
	{ 0x55473fb7, "single_release" },
	{ 0x25694f62, "scsi_unblock_requests" },
	{ 0xbc8fa4cf, "pcie_set_readrq" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x7240a408, "pci_disable_rom" },
	{ 0x11e6ecb, "dma_unmap_sg_attrs" },
	{ 0x8d1c0290, "pci_irq_get_affinity" },
	{ 0x6397f056, "scsi_block_requests" },
	{ 0xcfcc8304, "scsi_add_host_with_dma" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xad82bbd2, "pci_read_config_byte" },
	{ 0x754d539c, "strlen" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xd12e564, "nvme_fc_register_remoteport" },
	{ 0xd898659, "single_open" },
	{ 0x8c644909, "scsi_host_alloc" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x8c03c156, "pci_write_config_word" },
	{ 0xd1c98366, "sysfs_remove_bin_file" },
	{ 0x85909793, "pci_free_irq_vectors" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xf1550281, "nvme_fc_register_localport" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x9748032d, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9c2280ab, "pcix_set_mmrbc" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0x3f166ba5, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xd6ca117e, "param_ops_ullong" },
	{ 0x4fca9753, "pci_save_state" },
	{ 0x106df2e4, "btree_last" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x66268818, "pcie_capability_read_word" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7e501a41, "fc_attach_transport" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x640c8f92, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa3a04602, "btree_geo64" },
	{ 0x4040c3fb, "debugfs_attr_write" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x5c249a89, "dma_pool_create" },
	{ 0x118ab15a, "pci_request_selected_regions" },
	{ 0xd9619c73, "pci_release_selected_regions" },
	{ 0x8a9cf5a7, "nvme_fc_set_remoteport_devloss" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x56484b4b, "pci_enable_device_mem" },
	{ 0x345b4858, "bsg_job_done" },
	{ 0x61e80549, "btree_insert" },
	{ 0x67881199, "pci_alloc_irq_vectors" },
	{ 0x89e26206, "fc_remote_port_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x5334e5c8, "scsi_remove_host" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x2d66d778, "scsi_build_sense" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x2476a690, "request_firmware" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x26619a0a, "fc_remove_host" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0x6de6d991, "set_user_nice" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xee374a8, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xa1e4b115, "pci_request_regions" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfe269cba, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xf434de0, "pci_clear_mwi" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x58ce5c0f, "fc_eh_timed_out" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x9e8f0471, "btree_remove" },
	{ 0x61f891c3, "pci_irq_vector" },
	{ 0x148653, "vsnprintf" },
	{ 0x56ad0232, "pci_try_set_mwi" },
	{ 0x1a2f220, "get_device" },
	{ 0xbb0e18a6, "nvme_fc_rcv_ls_req" },
	{ 0x36abf882, "mempool_free" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x8c9a122a, "trace_array_put" },
	{ 0x2123f09b, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0xd863e807, "fc_block_scsi_eh" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xf331236f, "btree_geo32" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5db349da, "fc_remote_port_delete" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xb18c95c1, "scsi_host_get" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9fa4564a, "timer_shutdown" },
	{ 0x514cf379, "fc_host_post_event" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x12bfdb89, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x502dee70, "fc_release_transport" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6c141b5d, "pci_set_mwi" },
	{ 0x136a47ef, "btree_lookup" },
	{ 0x9cb9b3be, "pci_find_capability" },
	{ 0x9e571b9b, "debugfs_attr_read" },
	{ 0xd8590f3b, "btree_init" },
	{ 0x3fb7a406, "mempool_alloc_noprof" },
	{ 0xcb629113, "kobject_uevent_env" },
	{ 0xa8528430, "pci_clear_master" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,scsi_mod,nvme-fc,scsi_common");

MODULE_ALIAS("pci:v00001077d00002100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002532sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d0000F001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002071sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002271sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002261sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002061sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002281sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002089sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002289sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "70AABE0F1A42A225B7F01EA");

MODULE_INFO(suserelease, "SLFO-1.2");
