#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(scsi_logging_level, "", "");
KSYMTAB_FUNC(scsi_change_queue_depth, "", "");
KSYMTAB_FUNC(scsi_track_queue_full, "", "");
KSYMTAB_FUNC(scsi_get_vpd_page, "_gpl", "");
KSYMTAB_FUNC(scsi_report_opcode, "", "");
KSYMTAB_FUNC(scsi_device_get, "", "");
KSYMTAB_FUNC(scsi_device_put, "", "");
KSYMTAB_FUNC(__scsi_iterate_devices, "", "");
KSYMTAB_FUNC(starget_for_each_device, "", "");
KSYMTAB_FUNC(__starget_for_each_device, "", "");
KSYMTAB_FUNC(__scsi_device_lookup_by_target, "", "");
KSYMTAB_FUNC(scsi_device_lookup_by_target, "", "");
KSYMTAB_FUNC(__scsi_device_lookup, "", "");
KSYMTAB_FUNC(scsi_device_lookup, "", "");
KSYMTAB_FUNC(scsi_remove_host, "", "");
KSYMTAB_FUNC(scsi_add_host_with_dma, "", "");
KSYMTAB_FUNC(scsi_host_alloc, "", "");
KSYMTAB_FUNC(scsi_host_lookup, "", "");
KSYMTAB_FUNC(scsi_host_get, "", "");
KSYMTAB_FUNC(scsi_host_busy, "", "");
KSYMTAB_FUNC(scsi_host_put, "", "");
KSYMTAB_FUNC(scsi_is_host_device, "", "");
KSYMTAB_FUNC(scsi_queue_work, "_gpl", "");
KSYMTAB_FUNC(scsi_flush_work, "_gpl", "");
KSYMTAB_FUNC(scsi_host_complete_all_commands, "_gpl", "");
KSYMTAB_FUNC(scsi_host_busy_iter, "_gpl", "");
KSYMTAB_FUNC(scsi_set_medium_removal, "", "");
KSYMTAB_FUNC(scsi_cmd_allowed, "", "");
KSYMTAB_FUNC(sg_io, "", "");
KSYMTAB_FUNC(put_sg_io_hdr, "", "");
KSYMTAB_FUNC(get_sg_io_hdr, "", "");
KSYMTAB_FUNC(scsi_ioctl, "", "");
KSYMTAB_FUNC(scsi_ioctl_block_when_processing_errors, "_gpl", "");
KSYMTAB_FUNC(scsi_bios_ptable, "", "");
KSYMTAB_FUNC(scsi_partsize, "", "");
KSYMTAB_FUNC(scsicam_bios_param, "", "");
KSYMTAB_FUNC(scsi_schedule_eh, "_gpl", "");
KSYMTAB_FUNC(scsi_block_when_processing_errors, "", "");
KSYMTAB_FUNC(scsi_check_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_prep_cmnd, "", "");
KSYMTAB_FUNC(scsi_eh_restore_cmnd, "", "");
KSYMTAB_FUNC(scsi_eh_finish_cmd, "", "");
KSYMTAB_FUNC(scsi_eh_get_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_ready_devs, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_flush_done_q, "", "");
KSYMTAB_FUNC(scsi_report_bus_reset, "", "");
KSYMTAB_FUNC(scsi_report_device_reset, "", "");
KSYMTAB_FUNC(scsi_command_normalize_sense, "", "");
KSYMTAB_FUNC(scsi_get_sense_info_fld, "", "");
KSYMTAB_FUNC(scsi_failures_reset_retries, "_gpl", "");
KSYMTAB_FUNC(scsi_execute_cmd, "", "");
KSYMTAB_FUNC(scsi_free_sgtables, "_gpl", "");
KSYMTAB_FUNC(scsi_alloc_sgtables, "", "");
KSYMTAB_FUNC(scsi_alloc_request, "_gpl", "");
KSYMTAB_FUNC(scsi_done, "", "");
KSYMTAB_FUNC(scsi_done_direct, "", "");
KSYMTAB_FUNC(scsi_init_limits, "_gpl", "");
KSYMTAB_FUNC(scsi_device_from_queue, "_gpl", "");
KSYMTAB_FUNC(scsi_block_requests, "", "");
KSYMTAB_FUNC(scsi_unblock_requests, "", "");
KSYMTAB_FUNC(scsi_mode_select, "_gpl", "");
KSYMTAB_FUNC(scsi_mode_sense, "", "");
KSYMTAB_FUNC(scsi_test_unit_ready, "", "");
KSYMTAB_FUNC(scsi_device_set_state, "", "");
KSYMTAB_FUNC(sdev_evt_send, "_gpl", "");
KSYMTAB_FUNC(sdev_evt_alloc, "_gpl", "");
KSYMTAB_FUNC(sdev_evt_send_simple, "_gpl", "");
KSYMTAB_FUNC(scsi_device_quiesce, "", "");
KSYMTAB_FUNC(scsi_device_resume, "", "");
KSYMTAB_FUNC(scsi_target_quiesce, "", "");
KSYMTAB_FUNC(scsi_target_resume, "", "");
KSYMTAB_FUNC(scsi_internal_device_block_nowait, "_gpl", "");
KSYMTAB_FUNC(scsi_internal_device_unblock_nowait, "_gpl", "");
KSYMTAB_FUNC(scsi_block_targets, "_gpl", "");
KSYMTAB_FUNC(scsi_target_unblock, "_gpl", "");
KSYMTAB_FUNC(scsi_host_block, "_gpl", "");
KSYMTAB_FUNC(scsi_host_unblock, "_gpl", "");
KSYMTAB_FUNC(scsi_kmap_atomic_sg, "", "");
KSYMTAB_FUNC(scsi_kunmap_atomic_sg, "", "");
KSYMTAB_FUNC(sdev_disable_disk_events, "", "");
KSYMTAB_FUNC(sdev_enable_disk_events, "", "");
KSYMTAB_FUNC(scsi_vpd_lun_id, "", "");
KSYMTAB_FUNC(scsi_vpd_tpg_id, "", "");
KSYMTAB_FUNC(scsi_build_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_sense_key_string, "", "");
KSYMTAB_FUNC(scsi_extd_sense_format, "", "");
KSYMTAB_FUNC(scsi_hostbyte_string, "", "");
KSYMTAB_FUNC(scsi_mlreturn_string, "", "");
KSYMTAB_FUNC(scsi_dma_map, "", "");
KSYMTAB_FUNC(scsi_dma_unmap, "", "");
KSYMTAB_FUNC(scsi_is_target_device, "", "");
KSYMTAB_FUNC(scsi_sanitize_inquiry_string, "", "");
KSYMTAB_FUNC(__scsi_add_device, "", "");
KSYMTAB_FUNC(scsi_add_device, "", "");
KSYMTAB_FUNC(scsi_resume_device, "", "");
KSYMTAB_FUNC(scsi_rescan_device, "", "");
KSYMTAB_FUNC(scsi_scan_target, "", "");
KSYMTAB_FUNC(scsi_scan_host, "", "");
KSYMTAB_FUNC(scsi_remove_device, "", "");
KSYMTAB_FUNC(scsi_remove_target, "", "");
KSYMTAB_FUNC(__scsi_register_driver, "", "");
KSYMTAB_FUNC(scsi_register_interface, "", "");
KSYMTAB_FUNC(scsi_is_sdev_device, "", "");
KSYMTAB_FUNC(scsi_dev_info_list_add_keyed, "", "");
KSYMTAB_FUNC(scsi_dev_info_list_del_keyed, "", "");
KSYMTAB_FUNC(scsi_get_device_flags_keyed, "", "");
KSYMTAB_FUNC(scsi_dev_info_add_list, "", "");
KSYMTAB_FUNC(scsi_dev_info_remove_list, "", "");
KSYMTAB_DATA(scsi_nl_sock, "_gpl", "");
KSYMTAB_FUNC(scsi_template_proc_dir, "_gpl", "");
KSYMTAB_FUNC(sdev_prefix_printk, "", "");
KSYMTAB_FUNC(scmd_printk, "", "");
KSYMTAB_FUNC(__scsi_format_command, "", "");
KSYMTAB_FUNC(scsi_print_command, "", "");
KSYMTAB_FUNC(scsi_print_sense_hdr, "", "");
KSYMTAB_FUNC(__scsi_print_sense, "", "");
KSYMTAB_FUNC(scsi_print_sense, "", "");
KSYMTAB_FUNC(scsi_print_result, "", "");
KSYMTAB_FUNC(scsi_autopm_get_device, "_gpl", "");
KSYMTAB_FUNC(scsi_autopm_put_device, "_gpl", "");
KSYMTAB_FUNC(scsi_register_device_handler, "_gpl", "");
KSYMTAB_FUNC(scsi_unregister_device_handler, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_activate, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_set_params, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_attach, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_attached_handler_name, "_gpl", "");

SYMBOL_CRC(scsi_logging_level, 0xaf3dd7dc, "");
SYMBOL_CRC(scsi_change_queue_depth, 0x9748032d, "");
SYMBOL_CRC(scsi_track_queue_full, 0xd95e972b, "");
SYMBOL_CRC(scsi_get_vpd_page, 0x61c1fdf6, "_gpl");
SYMBOL_CRC(scsi_report_opcode, 0xcc18e127, "");
SYMBOL_CRC(scsi_device_get, 0x3ad908fa, "");
SYMBOL_CRC(scsi_device_put, 0x7707036e, "");
SYMBOL_CRC(__scsi_iterate_devices, 0x76a15f2a, "");
SYMBOL_CRC(starget_for_each_device, 0x38b6f852, "");
SYMBOL_CRC(__starget_for_each_device, 0x1e7d8b33, "");
SYMBOL_CRC(__scsi_device_lookup_by_target, 0xc20f5a14, "");
SYMBOL_CRC(scsi_device_lookup_by_target, 0xb050b05c, "");
SYMBOL_CRC(__scsi_device_lookup, 0xfa6cc869, "");
SYMBOL_CRC(scsi_device_lookup, 0x932c70b3, "");
SYMBOL_CRC(scsi_remove_host, 0x5334e5c8, "");
SYMBOL_CRC(scsi_add_host_with_dma, 0xcfcc8304, "");
SYMBOL_CRC(scsi_host_alloc, 0x8c644909, "");
SYMBOL_CRC(scsi_host_lookup, 0xfe587e9d, "");
SYMBOL_CRC(scsi_host_get, 0xb18c95c1, "");
SYMBOL_CRC(scsi_host_busy, 0x1a1861ff, "");
SYMBOL_CRC(scsi_host_put, 0x94279677, "");
SYMBOL_CRC(scsi_is_host_device, 0xc023a1f6, "");
SYMBOL_CRC(scsi_queue_work, 0x4aa1bc5e, "_gpl");
SYMBOL_CRC(scsi_flush_work, 0x55fa34cd, "_gpl");
SYMBOL_CRC(scsi_host_complete_all_commands, 0x302bc021, "_gpl");
SYMBOL_CRC(scsi_host_busy_iter, 0x13c085b3, "_gpl");
SYMBOL_CRC(scsi_set_medium_removal, 0x08ac2eec, "");
SYMBOL_CRC(scsi_cmd_allowed, 0xeda2e038, "");
SYMBOL_CRC(sg_io, 0xd742d1df, "");
SYMBOL_CRC(put_sg_io_hdr, 0x5ec4aee6, "");
SYMBOL_CRC(get_sg_io_hdr, 0x1de4ccb2, "");
SYMBOL_CRC(scsi_ioctl, 0x6a49053f, "");
SYMBOL_CRC(scsi_ioctl_block_when_processing_errors, 0xe92e20ed, "_gpl");
SYMBOL_CRC(scsi_bios_ptable, 0x8b4793cc, "");
SYMBOL_CRC(scsi_partsize, 0xc5dbd534, "");
SYMBOL_CRC(scsicam_bios_param, 0xda81ced7, "");
SYMBOL_CRC(scsi_schedule_eh, 0x3154b62e, "_gpl");
SYMBOL_CRC(scsi_block_when_processing_errors, 0x36154953, "");
SYMBOL_CRC(scsi_check_sense, 0x11af771c, "_gpl");
SYMBOL_CRC(scsi_eh_prep_cmnd, 0x4de584cb, "");
SYMBOL_CRC(scsi_eh_restore_cmnd, 0x94145d2a, "");
SYMBOL_CRC(scsi_eh_finish_cmd, 0xf1dc205d, "");
SYMBOL_CRC(scsi_eh_get_sense, 0x26c90ea4, "_gpl");
SYMBOL_CRC(scsi_eh_ready_devs, 0xf01bf25d, "_gpl");
SYMBOL_CRC(scsi_eh_flush_done_q, 0xf811e69d, "");
SYMBOL_CRC(scsi_report_bus_reset, 0xb48c9466, "");
SYMBOL_CRC(scsi_report_device_reset, 0x38af1ada, "");
SYMBOL_CRC(scsi_command_normalize_sense, 0x5ae5a528, "");
SYMBOL_CRC(scsi_get_sense_info_fld, 0xdd849d51, "");
SYMBOL_CRC(scsi_failures_reset_retries, 0x7ee9199d, "_gpl");
SYMBOL_CRC(scsi_execute_cmd, 0x92a95b69, "");
SYMBOL_CRC(scsi_free_sgtables, 0x6f7e444a, "_gpl");
SYMBOL_CRC(scsi_alloc_sgtables, 0x0a7930b2, "");
SYMBOL_CRC(scsi_alloc_request, 0x33d7aa2d, "_gpl");
SYMBOL_CRC(scsi_done, 0x68957e6a, "");
SYMBOL_CRC(scsi_done_direct, 0xd807dba8, "");
SYMBOL_CRC(scsi_init_limits, 0xd4f262c6, "_gpl");
SYMBOL_CRC(scsi_device_from_queue, 0x2b3d0798, "_gpl");
SYMBOL_CRC(scsi_block_requests, 0x6397f056, "");
SYMBOL_CRC(scsi_unblock_requests, 0x25694f62, "");
SYMBOL_CRC(scsi_mode_select, 0x99e04e2c, "_gpl");
SYMBOL_CRC(scsi_mode_sense, 0x593e42c2, "");
SYMBOL_CRC(scsi_test_unit_ready, 0x0f5e9bb0, "");
SYMBOL_CRC(scsi_device_set_state, 0xab0eb898, "");
SYMBOL_CRC(sdev_evt_send, 0xfc17698d, "_gpl");
SYMBOL_CRC(sdev_evt_alloc, 0x13ed8784, "_gpl");
SYMBOL_CRC(sdev_evt_send_simple, 0x5080cca8, "_gpl");
SYMBOL_CRC(scsi_device_quiesce, 0x2649a067, "");
SYMBOL_CRC(scsi_device_resume, 0x209ebafd, "");
SYMBOL_CRC(scsi_target_quiesce, 0x186a804e, "");
SYMBOL_CRC(scsi_target_resume, 0x06076dea, "");
SYMBOL_CRC(scsi_internal_device_block_nowait, 0x0d8ca8f5, "_gpl");
SYMBOL_CRC(scsi_internal_device_unblock_nowait, 0x80f52e8e, "_gpl");
SYMBOL_CRC(scsi_block_targets, 0xebcf6b74, "_gpl");
SYMBOL_CRC(scsi_target_unblock, 0x4857dfad, "_gpl");
SYMBOL_CRC(scsi_host_block, 0x262d304d, "_gpl");
SYMBOL_CRC(scsi_host_unblock, 0xa310864f, "_gpl");
SYMBOL_CRC(scsi_kmap_atomic_sg, 0xae66472b, "");
SYMBOL_CRC(scsi_kunmap_atomic_sg, 0x56c8799d, "");
SYMBOL_CRC(sdev_disable_disk_events, 0x61ba5538, "");
SYMBOL_CRC(sdev_enable_disk_events, 0x339a3055, "");
SYMBOL_CRC(scsi_vpd_lun_id, 0xde17218a, "");
SYMBOL_CRC(scsi_vpd_tpg_id, 0xd682af0b, "");
SYMBOL_CRC(scsi_build_sense, 0x2d66d778, "_gpl");
SYMBOL_CRC(scsi_sense_key_string, 0x96cd2b04, "");
SYMBOL_CRC(scsi_extd_sense_format, 0xd8a994eb, "");
SYMBOL_CRC(scsi_hostbyte_string, 0xb3d2c76d, "");
SYMBOL_CRC(scsi_mlreturn_string, 0xd1d87e92, "");
SYMBOL_CRC(scsi_dma_map, 0x933ae292, "");
SYMBOL_CRC(scsi_dma_unmap, 0xfe269cba, "");
SYMBOL_CRC(scsi_is_target_device, 0x71a819b7, "");
SYMBOL_CRC(scsi_sanitize_inquiry_string, 0x27756bc8, "");
SYMBOL_CRC(__scsi_add_device, 0x915a5d5d, "");
SYMBOL_CRC(scsi_add_device, 0x8fdc675a, "");
SYMBOL_CRC(scsi_resume_device, 0xea079252, "");
SYMBOL_CRC(scsi_rescan_device, 0x5b163da2, "");
SYMBOL_CRC(scsi_scan_target, 0x7180a106, "");
SYMBOL_CRC(scsi_scan_host, 0x57891024, "");
SYMBOL_CRC(scsi_remove_device, 0x72a646ed, "");
SYMBOL_CRC(scsi_remove_target, 0x8fce120f, "");
SYMBOL_CRC(__scsi_register_driver, 0xae7bf481, "");
SYMBOL_CRC(scsi_register_interface, 0x4f943297, "");
SYMBOL_CRC(scsi_is_sdev_device, 0x9bf8da4a, "");
SYMBOL_CRC(scsi_dev_info_list_add_keyed, 0x2733eaf7, "");
SYMBOL_CRC(scsi_dev_info_list_del_keyed, 0xccfd2ebc, "");
SYMBOL_CRC(scsi_get_device_flags_keyed, 0x300a21bd, "");
SYMBOL_CRC(scsi_dev_info_add_list, 0x204c5067, "");
SYMBOL_CRC(scsi_dev_info_remove_list, 0x97bdfa60, "");
SYMBOL_CRC(scsi_nl_sock, 0x8f276f8f, "_gpl");
SYMBOL_CRC(scsi_template_proc_dir, 0x2f50444e, "_gpl");
SYMBOL_CRC(sdev_prefix_printk, 0xf575fa24, "");
SYMBOL_CRC(scmd_printk, 0xe851d8b7, "");
SYMBOL_CRC(__scsi_format_command, 0x93022ba6, "");
SYMBOL_CRC(scsi_print_command, 0xe855fe39, "");
SYMBOL_CRC(scsi_print_sense_hdr, 0xd4b6a467, "");
SYMBOL_CRC(__scsi_print_sense, 0x47ed3cfc, "");
SYMBOL_CRC(scsi_print_sense, 0xd7e0cb41, "");
SYMBOL_CRC(scsi_print_result, 0xc3760104, "");
SYMBOL_CRC(scsi_autopm_get_device, 0xf7161690, "_gpl");
SYMBOL_CRC(scsi_autopm_put_device, 0x56ac7e9e, "_gpl");
SYMBOL_CRC(scsi_register_device_handler, 0x19019ab7, "_gpl");
SYMBOL_CRC(scsi_unregister_device_handler, 0x2d4eafd7, "_gpl");
SYMBOL_CRC(scsi_dh_activate, 0xe4f24c2d, "_gpl");
SYMBOL_CRC(scsi_dh_set_params, 0x3b150c25, "_gpl");
SYMBOL_CRC(scsi_dh_attach, 0xdc3671e8, "_gpl");
SYMBOL_CRC(scsi_dh_attached_handler_name, 0x1eb0dce5, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6cbbc89, "capable" },
	{ 0x6857cc3d, "module_put" },
	{ 0x691ab74f, "blk_get_queue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcb629113, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xfd05c402, "blk_rq_map_user" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x33719327, "_dev_err" },
	{ 0xf1597117, "init_net" },
	{ 0xd51f8d50, "blk_update_request" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf74536a0, "bus_find_device" },
	{ 0x3d44dcd8, "device_add" },
	{ 0xbf855982, "blk_rq_map_user_io" },
	{ 0xf4a93867, "blk_execute_rq_nowait" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x18eccd2d, "blk_mq_unfreeze_queue_nomemrestore" },
	{ 0xd0811cd0, "blk_mq_delay_run_hw_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0x5a921311, "strncmp" },
	{ 0x7a905b8, "seq_putc" },
	{ 0xb549949d, "__blk_rq_map_sg" },
	{ 0x62173924, "trace_event_reg" },
	{ 0xeb20804a, "blk_mq_alloc_request" },
	{ 0x10119bb, "ida_free" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x1d773587, "transport_configure_device" },
	{ 0x86cdb59a, "bsg_register_queue" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x13103b1a, "netlink_kernel_release" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0x89262146, "blk_mq_free_tag_set" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xeec1759c, "class_interface_register" },
	{ 0x72ea7b2d, "scsi_device_type" },
	{ 0xd960722a, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xf441a43a, "transport_add_device" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7597469b, "blk_put_queue" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0x2e9c96c7, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xefa589cf, "proc_mkdir" },
	{ 0xe604c138, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x449abf7c, "blk_mq_wait_quiesce_done" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x34017271, "blk_post_runtime_resume" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xe2f64538, "blk_rq_unmap_user" },
	{ 0xa024d28d, "param_ops_string" },
	{ 0x7069594a, "blk_clear_pm_only" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x911c8743, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x37fd3788, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x73c3bfab, "pm_runtime_forbid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x741c3b83, "blk_mq_destroy_queue" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc8b3e642, "sysfs_break_active_protection" },
	{ 0x66ca9904, "seq_write" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x7d5147b7, "blk_rq_map_integrity_sg" },
	{ 0xf26146f4, "transport_destroy_device" },
	{ 0xcb8a4261, "remove_proc_entry" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x148be3d7, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0xa57234f8, "device_match_any" },
	{ 0x71d086d8, "blk_mq_start_request" },
	{ 0x8710730a, "blk_mq_tagset_busy_iter" },
	{ 0xd135a966, "queue_limits_commit_update" },
	{ 0x55473fb7, "single_release" },
	{ 0x2ad414a7, "blk_mq_quiesce_queue_nowait" },
	{ 0x233622c7, "sbitmap_weight" },
	{ 0x11e6ecb, "dma_unmap_sg_attrs" },
	{ 0xd7123d06, "seq_open" },
	{ 0x9bb3d5f9, "__seq_puts" },
	{ 0x22ccebc2, "blk_pre_runtime_suspend" },
	{ 0xbefec929, "__pm_runtime_suspend" },
	{ 0x66910d23, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x879e3df8, "blk_mq_freeze_queue_nomemsave" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xf80797cf, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xac8d3000, "blk_mq_run_hw_queues" },
	{ 0xfbad3cf0, "scsi_normalize_sense" },
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xeafa5113, "sbitmap_get" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x693ed5e5, "blk_post_runtime_suspend" },
	{ 0xccea8e1d, "blk_mq_requeue_request" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xe99bba1f, "class_register" },
	{ 0x2ab99f9f, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xf62b0aa9, "blk_queue_rq_timeout" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x69d137d1, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x16136184, "bus_register" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0x3f166ba5, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2ff2eaef, "class_find_device" },
	{ 0xfc5d808, "__blk_mq_end_request" },
	{ 0x61b7b126, "simple_strtoull" },
	{ 0x1f7347d5, "proc_dointvec_minmax" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd6ca117e, "param_ops_ullong" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x581e2a47, "add_disk_randomness" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x24ec9086, "sbitmap_resize" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x608e1b53, "proc_create" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xb916c778, "seq_release" },
	{ 0xf581d306, "blk_pre_runtime_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x41eeb0d3, "transport_remove_device" },
	{ 0x343c8959, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfe034371, "read_cache_folio" },
	{ 0xc0091dcb, "sysfs_unbreak_active_protection" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x252aa5e, "blk_mq_unquiesce_queue" },
	{ 0x463c3e3b, "sbitmap_init_node" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x10d9f885, "scsi_sense_desc_find" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x44f7e986, "__netlink_kernel_create" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x65614a31, "blk_mq_kick_requeue_list" },
	{ 0x7e43bb47, "proc_create_data" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0x5b5d292e, "device_for_each_child" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x1a2f220, "get_device" },
	{ 0x7d8cadef, "blk_set_queue_depth" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0x3f8314b6, "netlink_ack" },
	{ 0x7dbc14ab, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x377d28fa, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x30a50624, "platform_bus" },
	{ 0xf9820255, "blk_mq_alloc_tag_set" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0x23c37ad3, "trace_seq_puts" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0xe8c42e61, "blk_rq_init" },
	{ 0x41b9a6e6, "bsg_unregister_queue" },
	{ 0x6cbf70a9, "transport_setup_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb2642b2, "blk_execute_rq" },
	{ 0x2dd9cf2b, "unregister_sysctl_table" },
	{ 0x2b96e014, "blk_set_pm_only" },
	{ 0xabed6000, "dma_max_mapping_size" },
	{ 0x45ee0529, "put_device" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x57e97b84, "blk_mq_free_request" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x238b129c, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4376aed7, "blk_rq_map_kern" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "scsi_common");


MODULE_INFO(srcversion, "05DD5EBE21BF3EF76C49846");

MODULE_INFO(suserelease, "SLFO-1.2");
