#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fc_get_event_number, "", "");
KSYMTAB_FUNC(fc_host_post_fc_event, "", "");
KSYMTAB_FUNC(fc_host_post_event, "", "");
KSYMTAB_FUNC(fc_host_post_vendor_event, "", "");
KSYMTAB_FUNC(fc_find_rport_by_wwpn, "", "");
KSYMTAB_FUNC(fc_host_fpin_rcv, "", "");
KSYMTAB_FUNC(scsi_is_fc_rport, "", "");
KSYMTAB_FUNC(fc_eh_timed_out, "", "");
KSYMTAB_FUNC(fc_attach_transport, "", "");
KSYMTAB_FUNC(fc_release_transport, "", "");
KSYMTAB_FUNC(fc_remove_host, "", "");
KSYMTAB_FUNC(fc_remote_port_add, "", "");
KSYMTAB_FUNC(fc_remote_port_delete, "", "");
KSYMTAB_FUNC(fc_remote_port_rolechg, "", "");
KSYMTAB_FUNC(fc_block_rport, "", "");
KSYMTAB_FUNC(fc_block_scsi_eh, "", "");
KSYMTAB_FUNC(fc_eh_should_retry_cmd, "_gpl", "");
KSYMTAB_FUNC(fc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_terminate, "", "");

SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_post_fc_event, 0xcde1ef2f, "");
SYMBOL_CRC(fc_host_post_event, 0x514cf379, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0xd1a59d54, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0xf963ba08, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0x1bc258d3, "");
SYMBOL_CRC(scsi_is_fc_rport, 0x56dabe6e, "");
SYMBOL_CRC(fc_eh_timed_out, 0x58ce5c0f, "");
SYMBOL_CRC(fc_attach_transport, 0x7e501a41, "");
SYMBOL_CRC(fc_release_transport, 0x502dee70, "");
SYMBOL_CRC(fc_remove_host, 0x26619a0a, "");
SYMBOL_CRC(fc_remote_port_add, 0x89e26206, "");
SYMBOL_CRC(fc_remote_port_delete, 0x5db349da, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0xe831f6f3, "");
SYMBOL_CRC(fc_block_rport, 0x8486cbd0, "");
SYMBOL_CRC(fc_block_scsi_eh, 0xd863e807, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0x357f2fe8, "_gpl");
SYMBOL_CRC(fc_vport_create, 0xed7006c1, "");
SYMBOL_CRC(fc_vport_terminate, 0x34119c80, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f32143d, "device_initialize" },
	{ 0x1a2f220, "get_device" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x6cbf70a9, "transport_setup_device" },
	{ 0x3d44dcd8, "device_add" },
	{ 0xf441a43a, "transport_add_device" },
	{ 0x1d773587, "transport_configure_device" },
	{ 0xec21d530, "sysfs_create_link" },
	{ 0xf80797cf, "_dev_printk" },
	{ 0x41eeb0d3, "transport_remove_device" },
	{ 0x2e9c96c7, "device_del" },
	{ 0xf26146f4, "transport_destroy_device" },
	{ 0x94279677, "scsi_host_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x1636cab8, "attribute_container_register" },
	{ 0x55fa34cd, "scsi_flush_work" },
	{ 0x94f19c54, "sysfs_remove_link" },
	{ 0x220cd2, "bsg_remove_queue" },
	{ 0x4857dfad, "scsi_target_unblock" },
	{ 0x8fce120f, "scsi_remove_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0x71a819b7, "scsi_is_target_device" },
	{ 0xebcf6b74, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x4aa1bc5e, "scsi_queue_work" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xdfca945a, "bsg_job_get" },
	{ 0x3fb9c1e2, "blk_mq_end_request" },
	{ 0x1a327a45, "bsg_job_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xac8d3000, "blk_mq_run_hw_queues" },
	{ 0x345b4858, "bsg_job_done" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x45ee0529, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5a921311, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7180a106, "scsi_scan_target" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x37bdfb4, "transport_class_register" },
	{ 0x4e40fe96, "transport_class_unregister" },
	{ 0x8f276f8f, "scsi_nl_sock" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0xf583f1a1, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0x15b95f19, "netlink_broadcast_filtered" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xd4f262c6, "scsi_init_limits" },
	{ 0x3f204514, "bsg_setup_queue" },
	{ 0xf62b0aa9, "blk_queue_rq_timeout" },
	{ 0x33719327, "_dev_err" },
	{ 0xc023a1f6, "scsi_is_host_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa498a4fd, "attribute_container_unregister" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb18c95c1, "scsi_host_get" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "FD1C5C62001CAEB8AFAA692");

MODULE_INFO(suserelease, "SLFO-1.2");
