#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x50bf0875, "");
SYMBOL_CRC(sas_remove_host, 0xa79b81a8, "");
SYMBOL_CRC(sas_get_address, 0x54bbfe97, "");
SYMBOL_CRC(sas_tlr_supported, 0xabdb7e94, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x20b22125, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x0405ac18, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x3adcf4b0, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0x14d1dfa2, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x75d81f14, "");
SYMBOL_CRC(sas_phy_add, 0x2f512e9b, "");
SYMBOL_CRC(sas_phy_free, 0xae838e5c, "");
SYMBOL_CRC(sas_phy_delete, 0x87ca2c62, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x2257609e, "");
SYMBOL_CRC(sas_port_alloc, 0x87d0001d, "");
SYMBOL_CRC(sas_port_alloc_num, 0xd99e5a83, "");
SYMBOL_CRC(sas_port_add, 0x0ce9c099, "");
SYMBOL_CRC(sas_port_free, 0x63042a2d, "");
SYMBOL_CRC(sas_port_delete, 0x6a7bf700, "");
SYMBOL_CRC(scsi_is_sas_port, 0xc8564303, "");
SYMBOL_CRC(sas_port_get_phy, 0x49aa8ec5, "");
SYMBOL_CRC(sas_port_add_phy, 0x0eb7cb68, "");
SYMBOL_CRC(sas_port_delete_phy, 0x586b21d4, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xa22b8a8f, "");
SYMBOL_CRC(sas_read_port_mode_page, 0xf3ab6c99, "");
SYMBOL_CRC(sas_end_device_alloc, 0x2d609409, "");
SYMBOL_CRC(sas_expander_alloc, 0x90603d2c, "");
SYMBOL_CRC(sas_rphy_add, 0x7414ede1, "");
SYMBOL_CRC(sas_rphy_free, 0x32af425b, "");
SYMBOL_CRC(sas_rphy_delete, 0x4b64aeb2, "");
SYMBOL_CRC(sas_rphy_unlink, 0xc449ad70, "");
SYMBOL_CRC(sas_rphy_remove, 0x904cfa82, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0xb100a7cc, "");
SYMBOL_CRC(sas_attach_transport, 0xc3e53597, "");
SYMBOL_CRC(sas_release_transport, 0xcc1c726c, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x1636cab8, "attribute_container_register" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xf80797cf, "_dev_printk" },
	{ 0xa498a4fd, "attribute_container_unregister" },
	{ 0x61c1fdf6, "scsi_get_vpd_page" },
	{ 0x593e42c2, "scsi_mode_sense" },
	{ 0x5334e5c8, "scsi_remove_host" },
	{ 0x220cd2, "bsg_remove_queue" },
	{ 0x8fce120f, "scsi_remove_target" },
	{ 0xc023a1f6, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x345b4858, "bsg_job_done" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x2e4be36d, "dma_opt_mapping_size" },
	{ 0x4f32143d, "device_initialize" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x6cbf70a9, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5b5d292e, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x45ee0529, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x3d44dcd8, "device_add" },
	{ 0xf441a43a, "transport_add_device" },
	{ 0x1d773587, "transport_configure_device" },
	{ 0x2e9c96c7, "device_del" },
	{ 0xf26146f4, "transport_destroy_device" },
	{ 0x41eeb0d3, "transport_remove_device" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x1a2f220, "get_device" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x94f19c54, "sysfs_remove_link" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xec21d530, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0x7180a106, "scsi_scan_target" },
	{ 0x3f204514, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x37bdfb4, "transport_class_register" },
	{ 0x4e40fe96, "transport_class_unregister" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "3109B07A74B7470B8C8BE31");

MODULE_INFO(suserelease, "SLFO-1.2");
