#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(spi_dv_device, "", "");
KSYMTAB_FUNC(spi_schedule_dv_device, "", "");
KSYMTAB_FUNC(spi_display_xfer_agreement, "", "");
KSYMTAB_FUNC(spi_populate_width_msg, "_gpl", "");
KSYMTAB_FUNC(spi_populate_sync_msg, "_gpl", "");
KSYMTAB_FUNC(spi_populate_ppr_msg, "_gpl", "");
KSYMTAB_FUNC(spi_populate_tag_msg, "_gpl", "");
KSYMTAB_FUNC(spi_print_msg, "", "");
KSYMTAB_FUNC(spi_attach_transport, "", "");
KSYMTAB_FUNC(spi_release_transport, "", "");

SYMBOL_CRC(spi_dv_device, 0x121af150, "");
SYMBOL_CRC(spi_schedule_dv_device, 0x2e4f83da, "");
SYMBOL_CRC(spi_display_xfer_agreement, 0x85b08db6, "");
SYMBOL_CRC(spi_populate_width_msg, 0xcffa2aff, "_gpl");
SYMBOL_CRC(spi_populate_sync_msg, 0xa0c71dac, "_gpl");
SYMBOL_CRC(spi_populate_ppr_msg, 0x0ef06974, "_gpl");
SYMBOL_CRC(spi_populate_tag_msg, 0x39bc5e97, "_gpl");
SYMBOL_CRC(spi_print_msg, 0x3686ea09, "");
SYMBOL_CRC(spi_attach_transport, 0xccc09901, "");
SYMBOL_CRC(spi_release_transport, 0x12b1ffc0, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x6076dea, "scsi_target_resume" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1636cab8, "attribute_container_register" },
	{ 0xa498a4fd, "attribute_container_unregister" },
	{ 0xbf26855, "sysfs_chmod_file" },
	{ 0x71a819b7, "scsi_is_target_device" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf80797cf, "_dev_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92a95b69, "scsi_execute_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfb578fc5, "memset" },
	{ 0xab0eb898, "scsi_device_set_state" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf575fa24, "sdev_prefix_printk" },
	{ 0x92997ed8, "_printk" },
	{ 0xc023a1f6, "scsi_is_host_device" },
	{ 0x5b5d292e, "device_for_each_child" },
	{ 0x9bf8da4a, "scsi_is_sdev_device" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xeeff7562, "sysfs_update_group" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x204c5067, "scsi_dev_info_add_list" },
	{ 0x37bdfb4, "transport_class_register" },
	{ 0x8cd9c205, "anon_transport_class_register" },
	{ 0x2733eaf7, "scsi_dev_info_list_add_keyed" },
	{ 0x300a21bd, "scsi_get_device_flags_keyed" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x4e40fe96, "transport_class_unregister" },
	{ 0xcdc07327, "anon_transport_class_unregister" },
	{ 0x97bdfa60, "scsi_dev_info_remove_list" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe914e41e, "strcpy" },
	{ 0x51085e3, "lock_system_sleep" },
	{ 0xf7161690, "scsi_autopm_get_device" },
	{ 0x3ad908fa, "scsi_device_get" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x2649a067, "scsi_device_quiesce" },
	{ 0x186a804e, "scsi_target_quiesce" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x37a0cba, "kfree" },
	{ 0x7707036e, "scsi_device_put" },
	{ 0x56ac7e9e, "scsi_autopm_put_device" },
	{ 0x893c5ddb, "unlock_system_sleep" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "09DDC60794E32320F804204");

MODULE_INFO(suserelease, "SLFO-1.2");
