#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0x3d65ad32, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0x352f98f2, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0x52f647b6, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0xc8c99b1f, "");
SYMBOL_CRC(sdw_bus_master_delete, 0x3ee2d4c5, "");
SYMBOL_CRC(sdw_show_ping_status, 0x2497f4a2, "");
SYMBOL_CRC(sdw_nread_no_pm, 0x9f6b204c, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x167361b5, "");
SYMBOL_CRC(sdw_write_no_pm, 0x462a205f, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0x45ef3153, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0x33988deb, "");
SYMBOL_CRC(sdw_read_no_pm, 0x4ec3d64f, "");
SYMBOL_CRC(sdw_update_no_pm, 0xb24838e4, "");
SYMBOL_CRC(sdw_update, 0x947f0230, "");
SYMBOL_CRC(sdw_nread, 0xa58c78c1, "");
SYMBOL_CRC(sdw_nwrite, 0x667bf460, "");
SYMBOL_CRC(sdw_read, 0x049d2932, "");
SYMBOL_CRC(sdw_write, 0xcf4b80c9, "");
SYMBOL_CRC(sdw_compare_devid, 0x6e31284d, "");
SYMBOL_CRC(sdw_extract_slave_id, 0x453716d9, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0x1bf79408, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x7e9e2bca, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0x4e93d477, "");
SYMBOL_CRC(sdw_handle_slave_status, 0xedd00c7c, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x9646beff, "");
SYMBOL_CRC(sdw_slave_add, 0xa99aa6a4, "");
SYMBOL_CRC(sdw_master_read_prop, 0x0f02161e, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x2b872fb9, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x8a156323, "");
SYMBOL_CRC(sdw_enable_stream, 0x250bd32d, "");
SYMBOL_CRC(sdw_disable_stream, 0xdfde2b3a, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x401c7ea1, "");
SYMBOL_CRC(sdw_alloc_stream, 0x84d21766, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0x95db52ba, "");
SYMBOL_CRC(sdw_stream_add_master, 0xf4ba3ae9, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x1dab750b, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x3ffaca87, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0xcdcaa49e, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x56e76cc9, "devm_kasprintf" },
	{ 0x911c8743, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd2ea4a39, "fwnode_property_present" },
	{ 0x5a972402, "irq_domain_instantiate" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x699df697, "device_get_named_child_node" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3335abed, "seq_printf" },
	{ 0xef8d0f4f, "irq_create_mapping_affinity" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x55473fb7, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xa34ea76d, "acpi_dev_for_each_child" },
	{ 0xbefec929, "__pm_runtime_suspend" },
	{ 0xa6c429e1, "irq_set_chip" },
	{ 0x473c64b6, "__pm_runtime_use_autosuspend" },
	{ 0xd898659, "single_open" },
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x2ab99f9f, "__pm_runtime_idle" },
	{ 0x597db3ac, "acpi_get_local_u64_address" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x16136184, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x7d9fc086, "debugfs_create_str" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x149eb2a8, "device_property_present" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x640c8f92, "simple_attr_open" },
	{ 0x4040c3fb, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x343c8959, "device_unregister" },
	{ 0xa7ab3e7c, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xc0e029b3, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x2476a690, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0xae4460d1, "dev_pm_domain_attach" },
	{ 0x6144e86d, "devm_device_add_group" },
	{ 0x5b5d292e, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2e593877, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45ee0529, "put_device" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xf40c71a7, "device_property_read_u32_array" },
	{ 0xb1ca3625, "fwnode_property_read_u32_array" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x6bde40f8, "dev_pm_domain_detach" },
	{ 0x121a4642, "pm_generic_runtime_suspend" },
	{ 0x9e571b9b, "debugfs_attr_read" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x33719327, "_dev_err" },
	{ 0xc0ff936f, "simple_attr_release" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x10119bb, "ida_free" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd6f020db, "device_register" },
	{ 0xef1d8289, "__irq_resolve_mapping" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0D87C84A91B10E49AA890BF");

MODULE_INFO(suserelease, "SLFO-1.2");
