#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(spmi_device_add, "_gpl", "");
KSYMTAB_FUNC(spmi_device_remove, "_gpl", "");
KSYMTAB_FUNC(spmi_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_readl, "_gpl", "");
KSYMTAB_FUNC(spmi_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_register_zero_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_writel, "_gpl", "");
KSYMTAB_FUNC(spmi_command_reset, "_gpl", "");
KSYMTAB_FUNC(spmi_command_sleep, "_gpl", "");
KSYMTAB_FUNC(spmi_command_wakeup, "_gpl", "");
KSYMTAB_FUNC(spmi_command_shutdown, "_gpl", "");
KSYMTAB_FUNC(spmi_find_device_by_of_node, "_gpl", "");
KSYMTAB_FUNC(spmi_device_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_add, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_remove, "_gpl", "");
KSYMTAB_FUNC(__spmi_driver_register, "_gpl", "");

SYMBOL_CRC(spmi_device_add, 0x12a28dfc, "_gpl");
SYMBOL_CRC(spmi_device_remove, 0x426b771c, "_gpl");
SYMBOL_CRC(spmi_register_read, 0xa1635d81, "_gpl");
SYMBOL_CRC(spmi_ext_register_read, 0x8b053401, "_gpl");
SYMBOL_CRC(spmi_ext_register_readl, 0x1099800f, "_gpl");
SYMBOL_CRC(spmi_register_write, 0x9bc5e0a6, "_gpl");
SYMBOL_CRC(spmi_register_zero_write, 0x8f3690f4, "_gpl");
SYMBOL_CRC(spmi_ext_register_write, 0x96846368, "_gpl");
SYMBOL_CRC(spmi_ext_register_writel, 0xfd0e74cb, "_gpl");
SYMBOL_CRC(spmi_command_reset, 0xfccc04b9, "_gpl");
SYMBOL_CRC(spmi_command_sleep, 0x5417fd82, "_gpl");
SYMBOL_CRC(spmi_command_wakeup, 0x5557b672, "_gpl");
SYMBOL_CRC(spmi_command_shutdown, 0x4d231def, "_gpl");
SYMBOL_CRC(spmi_find_device_by_of_node, 0x7e7c0055, "_gpl");
SYMBOL_CRC(spmi_device_alloc, 0xa579586a, "_gpl");
SYMBOL_CRC(spmi_controller_alloc, 0x070a310d, "_gpl");
SYMBOL_CRC(spmi_controller_add, 0x482233af, "_gpl");
SYMBOL_CRC(spmi_controller_remove, 0xc2d6075a, "_gpl");
SYMBOL_CRC(__spmi_driver_register, 0x29f25169, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xae8aebd2, "bpf_trace_run5" },
	{ 0xd0d81b71, "bpf_trace_run4" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0x7a2a96c7, "bpf_trace_run6" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x3d44dcd8, "device_add" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x33719327, "_dev_err" },
	{ 0x343c8959, "device_unregister" },
	{ 0x10119bb, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0x5a921311, "strncmp" },
	{ 0xd899e3da, "device_match_of_node" },
	{ 0xf74536a0, "bus_find_device" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x16136184, "bus_register" },
	{ 0x5b5d292e, "device_for_each_child" },
	{ 0x2e9c96c7, "device_del" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4f32143d, "device_initialize" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x45ee0529, "put_device" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "459AB680E85BBB4CC3319F9");

MODULE_INFO(suserelease, "SLFO-1.2");
