#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_find_param_from_key, "", "");
KSYMTAB_FUNC(iscsit_get_datain_values, "", "");
KSYMTAB_FUNC(iscsit_increment_maxcmdsn, "", "");
KSYMTAB_FUNC(iscsit_cause_connection_reinstatement, "", "");
KSYMTAB_FUNC(iscsit_stop_dataout_timer, "", "");
KSYMTAB_FUNC(iscsi_change_param_sprintf, "", "");
KSYMTAB_FUNC(iscsi_target_check_login_request, "", "");
KSYMTAB_FUNC(iscsit_tmr_post_handler, "", "");
KSYMTAB_FUNC(iscsit_allocate_cmd, "", "");
KSYMTAB_FUNC(iscsit_sequence_cmd, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt_or_dump, "", "");
KSYMTAB_FUNC(iscsit_add_cmd_to_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_release_cmd, "", "");
KSYMTAB_FUNC(iscsit_free_cmd, "", "");
KSYMTAB_FUNC(iscsit_queue_rsp, "", "");
KSYMTAB_FUNC(iscsit_aborted_task, "", "");
KSYMTAB_FUNC(iscsit_add_reject, "", "");
KSYMTAB_FUNC(iscsit_reject_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_scsi_cmd, "", "");
KSYMTAB_FUNC(iscsit_set_unsolicited_dataout, "", "");
KSYMTAB_FUNC(iscsit_process_scsi_cmd, "", "");
KSYMTAB_FUNC(__iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_payload, "", "");
KSYMTAB_FUNC(iscsit_setup_nop_out, "", "");
KSYMTAB_FUNC(iscsit_process_nop_out, "", "");
KSYMTAB_FUNC(iscsit_handle_task_mgt_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_process_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_logout_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_snack, "", "");
KSYMTAB_FUNC(iscsit_build_datain_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_logout_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_nopin_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_r2ts_for_cmd, "", "");
KSYMTAB_FUNC(iscsit_build_rsp_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_task_mgt_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_text_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_reject, "", "");
KSYMTAB_FUNC(iscsit_thread_check_cpumask, "", "");
KSYMTAB_FUNC(iscsit_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_response_queue, "", "");
KSYMTAB_FUNC(iscsit_logout_post_handler, "", "");
KSYMTAB_FUNC(iscsit_register_transport, "", "");
KSYMTAB_FUNC(iscsit_unregister_transport, "", "");

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0xa6d77797, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0x41103e17, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0xc01157cc, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0x7c268523, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0x7dff5107, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0x3390c3ea, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0x35a3bf72, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0x4657f7b3, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0x8f9e1b80, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0x7e8c62f9, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0x6b2f4d63, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0x2ce876ea, "");
SYMBOL_CRC(iscsit_release_cmd, 0x9560e81a, "");
SYMBOL_CRC(iscsit_free_cmd, 0x70bdd178, "");
SYMBOL_CRC(iscsit_queue_rsp, 0x03035ba2, "");
SYMBOL_CRC(iscsit_aborted_task, 0x142eba2e, "");
SYMBOL_CRC(iscsit_add_reject, 0x5dc80b76, "");
SYMBOL_CRC(iscsit_reject_cmd, 0x5640adc9, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0x5e6d5d23, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0x14a4b354, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0x09b90248, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0x75e35123, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0x77c3a2b4, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0xcdb1242d, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0x7144d586, "");
SYMBOL_CRC(iscsit_process_nop_out, 0xacda6c42, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0x262f6577, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0x6e647822, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0xa65633ee, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0x6a9943ee, "");
SYMBOL_CRC(iscsit_handle_snack, 0xf9dc57b8, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0xa118cf56, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0xdd270efb, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0x6469cd02, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0x2a1d71f1, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0x3ab04d62, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0x2a9db509, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0xe334eda2, "");
SYMBOL_CRC(iscsit_build_reject, 0x7aafce12, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0xbe9ddd62, "");
SYMBOL_CRC(iscsit_immediate_queue, 0x85f3f6df, "");
SYMBOL_CRC(iscsit_response_queue, 0x9e90c316, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0x74840050, "");
SYMBOL_CRC(iscsit_register_transport, 0x1a3db9f6, "");
SYMBOL_CRC(iscsit_unregister_transport, 0x7f1282fc, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11089ac7, "_ctype" },
	{ 0x9ad3e789, "target_cmd_parse_cdb" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9010dd7e, "sock_set_reuseaddr" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfe61eb36, "crypto_ahash_finup" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xb8903bb3, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xd18e29ca, "crypto_ahash_digest" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x181102a6, "crypto_ahash_final" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xa6e5d491, "__target_init_cmd" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x61e638ef, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcd2f480f, "core_tpg_check_initiator_node_acl" },
	{ 0x5fb4ad73, "target_cmd_init_cdb" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0xac69c04d, "kernel_listen" },
	{ 0x52fe178b, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0x1132fd81, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x8b50604b, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x1cb0c412, "crypto_shash_finup" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf3eb0b8c, "transport_wait_for_tasks" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8b83218, "target_get_sess_cmd" },
	{ 0x9e539de2, "target_complete_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6c6723d7, "sock_recvmsg" },
	{ 0x1546f267, "core_tpg_deregister" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x851a5306, "__transport_register_session" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xbff12749, "target_show_dynamic_sessions" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0xbf635fd6, "sock_release" },
	{ 0x23385012, "target_register_template" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa3528bfb, "tcp_sock_set_nodelay" },
	{ 0x662e433b, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1dd78fb3, "transport_generic_free_cmd" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x5b97803, "core_tpg_register" },
	{ 0x754d539c, "strlen" },
	{ 0xf844ad37, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x601a449e, "crypto_ahash_update" },
	{ 0xe454d031, "transport_deregister_session" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0xbaeb8e8c, "crypto_alloc_shash" },
	{ 0xb320dce3, "__sbitmap_queue_get" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0xd1f33c59, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xefe395e7, "crypto_alloc_ahash" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xd38dc408, "target_alloc_cmd_counter" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xdc0df056, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdf69c1f4, "target_wait_for_cmds" },
	{ 0x5772df64, "transport_generic_new_cmd" },
	{ 0xcc9c4a90, "target_free_cmd_counter" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x4b203b23, "target_execute_cmd" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6ccd8595, "kernel_bind" },
	{ 0xcf2a6966, "up" },
	{ 0xd3c345a1, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7b55d23f, "__tracepoint_sk_data_ready" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xeef4eb8f, "target_submit" },
	{ 0xf2b7c359, "kernel_accept" },
	{ 0x148653, "vsnprintf" },
	{ 0xba896edc, "core_tpg_set_initiator_node_queue_depth" },
	{ 0x89890a3a, "target_stop_cmd_counter" },
	{ 0xe08a8d9e, "transport_generic_handle_tmr" },
	{ 0x881c64aa, "transport_lookup_tmr_lun" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x8a1f3eca, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6cb08aca, "transport_alloc_session_tags" },
	{ 0x9e9615a4, "transport_alloc_session" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0xfbcdb5f9, "sbitmap_prepare_to_wait" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7435244d, "target_unregister_template" },
	{ 0x83af8ac3, "transport_send_check_condition_and_sense" },
	{ 0xa916b694, "strnlen" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0xcc270e03, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6857cc3d, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4bf2ef0a, "flush_signals" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0xcc93aa7e, "crypto_ahash_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf1597117, "init_net" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa7db12f0, "radix_tree_preloads" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x27ab35aa, "__SCK__tp_func_sk_data_ready" },
	{ 0xc5efe949, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0xe7b9f34a, "set_cpus_allowed_ptr" },
	{ 0x6c326f36, "transport_deregister_session_configfs" },
	{ 0x5a921311, "strncmp" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x3c52136a, "sbitmap_queue_clear" },
	{ 0xc0db7e74, "iov_iter_kvec" },
	{ 0x10119bb, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xd2204ff2, "inet_pton_with_scope" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x895dfc31, "sock_sendmsg" },
	{ 0x90f58b77, "crypto_shash_update" },
	{ 0xbe7d7352, "core_tpg_set_initiator_node_tag" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd960722a, "kthread_stop" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod,scsi_common,configfs");


MODULE_INFO(srcversion, "9CA55D8970A09E85C48891E");

MODULE_INFO(suserelease, "SLFO-1.2");
