#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(teedev_open, "_gpl", "");
KSYMTAB_FUNC(teedev_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_session_calc_client_uuid, "_gpl", "");
KSYMTAB_FUNC(tee_device_alloc, "_gpl", "");
KSYMTAB_FUNC(tee_device_set_dev_groups, "_gpl", "");
KSYMTAB_FUNC(tee_device_register, "_gpl", "");
KSYMTAB_FUNC(tee_device_unregister, "_gpl", "");
KSYMTAB_FUNC(tee_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_get_version, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_system_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_invoke_func, "_gpl", "");
KSYMTAB_DATA(tee_bus_type, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_priv_buf, "_gpl", "");
KSYMTAB_FUNC(tee_dyn_shm_alloc_helper, "_gpl", "");
KSYMTAB_FUNC(tee_dyn_shm_free_helper, "_gpl", "");
KSYMTAB_FUNC(tee_shm_register_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_free, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_va, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_pa, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_from_id, "_gpl", "");
KSYMTAB_FUNC(tee_shm_put, "_gpl", "");
KSYMTAB_FUNC(tee_shm_pool_alloc_res_mem, "_gpl", "");

SYMBOL_CRC(teedev_open, 0xfad07369, "_gpl");
SYMBOL_CRC(teedev_close_context, 0x543e72b6, "_gpl");
SYMBOL_CRC(tee_session_calc_client_uuid, 0x85fd9922, "_gpl");
SYMBOL_CRC(tee_device_alloc, 0xef7c4a21, "_gpl");
SYMBOL_CRC(tee_device_set_dev_groups, 0xe5152f57, "_gpl");
SYMBOL_CRC(tee_device_register, 0xfeb68f8a, "_gpl");
SYMBOL_CRC(tee_device_unregister, 0x080c5280, "_gpl");
SYMBOL_CRC(tee_get_drvdata, 0x236fded8, "_gpl");
SYMBOL_CRC(tee_client_open_context, 0x2f907f9b, "_gpl");
SYMBOL_CRC(tee_client_close_context, 0x5faa21a7, "_gpl");
SYMBOL_CRC(tee_client_get_version, 0xea5d0eed, "_gpl");
SYMBOL_CRC(tee_client_open_session, 0xe6f113fd, "_gpl");
SYMBOL_CRC(tee_client_close_session, 0x1882c870, "_gpl");
SYMBOL_CRC(tee_client_system_session, 0x0caf934f, "_gpl");
SYMBOL_CRC(tee_client_invoke_func, 0x7fef747e, "_gpl");
SYMBOL_CRC(tee_bus_type, 0x03f5b322, "_gpl");
SYMBOL_CRC(tee_shm_alloc_kernel_buf, 0xb63814d8, "_gpl");
SYMBOL_CRC(tee_shm_alloc_priv_buf, 0x93e478cf, "_gpl");
SYMBOL_CRC(tee_dyn_shm_alloc_helper, 0xbbed6960, "_gpl");
SYMBOL_CRC(tee_dyn_shm_free_helper, 0xfdd4b756, "_gpl");
SYMBOL_CRC(tee_shm_register_kernel_buf, 0xb3a2d7ec, "_gpl");
SYMBOL_CRC(tee_shm_free, 0xcb9ea87e, "_gpl");
SYMBOL_CRC(tee_shm_get_va, 0xcaedeb1e, "_gpl");
SYMBOL_CRC(tee_shm_get_pa, 0x19a6b26e, "_gpl");
SYMBOL_CRC(tee_shm_get_from_id, 0x022a728c, "_gpl");
SYMBOL_CRC(tee_shm_put, 0x63c1bfe3, "_gpl");
SYMBOL_CRC(tee_shm_pool_alloc_res_mem, 0xcc2a1252, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf32a0d32, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8a1f3eca, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa245c32d, "gen_pool_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f64df31, "cdev_device_add" },
	{ 0x8d4f5071, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x45ee0529, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xd81d213c, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x2a730987, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x33719327, "_dev_err" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xc0db7e74, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x90f58b77, "crypto_shash_update" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0xbada6f58, "__put_devmap_managed_folio_refs" },
	{ 0xe78c1cdf, "idr_destroy" },
	{ 0x896c3e8, "alloc_pages_exact_noprof" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xa80863d6, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x947142a7, "make_kgid" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x40188962, "crypto_shash_final" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x2d325e0c, "gen_pool_free_owner" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x1ea50f03, "gen_pool_alloc_algo_owner" },
	{ 0x4aac8719, "gen_pool_first_fit_align" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0x2a61eed6, "gen_pool_virt_to_phys" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0xbaeb8e8c, "crypto_alloc_shash" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x10364471, "iov_iter_npages" },
	{ 0xe99bba1f, "class_register" },
	{ 0xaf86b7d6, "cdev_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x16136184, "bus_register" },
	{ 0x2ff2eaef, "class_find_device" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x333051c0, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x520c667, "gen_pool_create" },
	{ 0xf3723554, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0xe4ef0a16, "idr_replace" },
	{ 0x4f32143d, "device_initialize" },
	{ 0xa02ea0a5, "unpin_user_pages" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F990AB9E202D0939F5B8C9E");

MODULE_INFO(suserelease, "SLFO-1.2");
