#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__tb_ring_enqueue, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll_complete, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_rx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_start, "_gpl", "");
KSYMTAB_FUNC(tb_ring_stop, "_gpl", "");
KSYMTAB_FUNC(tb_ring_free, "_gpl", "");
KSYMTAB_FUNC(tb_property_create_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_free_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_immediate, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_data, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_text, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_remove, "_gpl", "");
KSYMTAB_FUNC(tb_property_find, "_gpl", "");
KSYMTAB_FUNC(tb_property_get_next, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_response, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_request, "_gpl", "");
KSYMTAB_FUNC(tb_register_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_register_service_driver, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_service_driver, "_gpl", "");
KSYMTAB_DATA(tb_service_type, "_gpl", "");
KSYMTAB_DATA(tb_xdomain_type, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_enable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_disable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_enable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_disable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_uuid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_route, "_gpl", "");
KSYMTAB_FUNC(tb_register_property_dir, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_property_dir, "_gpl", "");

SYMBOL_CRC(__tb_ring_enqueue, 0x701af612, "_gpl");
SYMBOL_CRC(tb_ring_poll, 0xbe9b0dc0, "_gpl");
SYMBOL_CRC(tb_ring_poll_complete, 0x1c70acca, "_gpl");
SYMBOL_CRC(tb_ring_alloc_tx, 0x3d77f0bc, "_gpl");
SYMBOL_CRC(tb_ring_alloc_rx, 0x82911882, "_gpl");
SYMBOL_CRC(tb_ring_start, 0x2fe0301d, "_gpl");
SYMBOL_CRC(tb_ring_stop, 0x2a7d4792, "_gpl");
SYMBOL_CRC(tb_ring_free, 0x74be8ffe, "_gpl");
SYMBOL_CRC(tb_property_create_dir, 0x830c470b, "_gpl");
SYMBOL_CRC(tb_property_free_dir, 0xe61dbaef, "_gpl");
SYMBOL_CRC(tb_property_add_immediate, 0xb9d0e094, "_gpl");
SYMBOL_CRC(tb_property_add_data, 0xbf02f5db, "_gpl");
SYMBOL_CRC(tb_property_add_text, 0x7e6285e5, "_gpl");
SYMBOL_CRC(tb_property_add_dir, 0xe144f8ef, "_gpl");
SYMBOL_CRC(tb_property_remove, 0x214a7c75, "_gpl");
SYMBOL_CRC(tb_property_find, 0x4a6f3f08, "_gpl");
SYMBOL_CRC(tb_property_get_next, 0x4b78cfd4, "_gpl");
SYMBOL_CRC(tb_xdomain_response, 0xe95a543a, "_gpl");
SYMBOL_CRC(tb_xdomain_request, 0x367eae7a, "_gpl");
SYMBOL_CRC(tb_register_protocol_handler, 0x682e4cc9, "_gpl");
SYMBOL_CRC(tb_unregister_protocol_handler, 0xc4a69547, "_gpl");
SYMBOL_CRC(tb_register_service_driver, 0x35d66a55, "_gpl");
SYMBOL_CRC(tb_unregister_service_driver, 0x3daa27de, "_gpl");
SYMBOL_CRC(tb_service_type, 0x31806833, "_gpl");
SYMBOL_CRC(tb_xdomain_type, 0xdfdf8206, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_enable, 0x87037f4e, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_disable, 0x2760d833, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_in_hopid, 0xe64533c4, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_out_hopid, 0x552e709b, "_gpl");
SYMBOL_CRC(tb_xdomain_release_in_hopid, 0x72f4a7c0, "_gpl");
SYMBOL_CRC(tb_xdomain_release_out_hopid, 0x52d70516, "_gpl");
SYMBOL_CRC(tb_xdomain_enable_paths, 0x2aaf0e8b, "_gpl");
SYMBOL_CRC(tb_xdomain_disable_paths, 0x754b2032, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_uuid, 0xdef02d7b, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_route, 0x4fbb3a75, "_gpl");
SYMBOL_CRC(tb_register_property_dir, 0xaa7733d4, "_gpl");
SYMBOL_CRC(tb_unregister_property_dir, 0xbb51750a, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x911c8743, "seq_read" },
	{ 0x7129a6f4, "osc_sb_native_usb4_support_confirmed" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2bb34fb4, "fwnode_find_reference" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x73c3bfab, "pm_runtime_forbid" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xb0d7d0f2, "pm_runtime_allow" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf2d5f6a8, "acpi_fetch_acpi_dev" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xd7269c64, "osc_sb_native_usb4_control" },
	{ 0x66ca9904, "seq_write" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x369e7826, "kobject_uevent" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x2b1196f2, "device_iommu_capable" },
	{ 0x55473fb7, "single_release" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x30965d40, "pci_walk_bus" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xf5bb044f, "nvmem_register" },
	{ 0xcdf837bf, "pcim_iomap_table" },
	{ 0xbefec929, "__pm_runtime_suspend" },
	{ 0x548df626, "component_add" },
	{ 0x754d539c, "strlen" },
	{ 0x473c64b6, "__pm_runtime_use_autosuspend" },
	{ 0xd898659, "single_open" },
	{ 0xe3d14983, "pcim_enable_device" },
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0xbaeb8e8c, "crypto_alloc_shash" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0xed0fefc, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x2ab99f9f, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x86725ba4, "__dev_fwnode" },
	{ 0x835e057b, "pci_bus_type" },
	{ 0x529386f3, "pci_write_config_dword" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x16136184, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xfc827c93, "pci_find_ext_capability" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0xfecdcb5b, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d81b71, "bpf_trace_run4" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x5c249a89, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x67881199, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x343c8959, "device_unregister" },
	{ 0xa7ab3e7c, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xf4dbed27, "nvmem_unregister" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3679cd8b, "component_del" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0x4f72b07c, "acpi_find_child_by_adr" },
	{ 0x5b5d292e, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x61f891c3, "pci_irq_vector" },
	{ 0x1a2f220, "get_device" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x23c37ad3, "trace_seq_puts" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x8a1f3eca, "crypto_destroy_tfm" },
	{ 0x2123f09b, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x5b87a211, "pm_wakeup_dev_event" },
	{ 0xf317ffc2, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0x8f008bf7, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x29edf56b, "debugfs_lookup_and_remove" },
	{ 0x45ee0529, "put_device" },
	{ 0x172eda11, "devm_free_irq" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0x74f05c5f, "device_for_each_child_reverse" },
	{ 0xa916b694, "strnlen" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb2c92d1, "bus_for_each_dev" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xec21d530, "sysfs_create_link" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9325f7fe, "pcim_iomap_regions" },
	{ 0xcb629113, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x33719327, "_dev_err" },
	{ 0xf1347464, "device_wakeup_enable" },
	{ 0x8e0c2dc3, "crypto_shash_setkey" },
	{ 0xf74536a0, "bus_find_device" },
	{ 0x3d44dcd8, "device_add" },
	{ 0x94f19c54, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x330ba121, "device_property_read_u8_array" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xae8aebd2, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xdefa98a7, "pci_device_is_present" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x7a905b8, "seq_putc" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x291c3c62, "crypto_shash_digest" },
	{ 0x10119bb, "ida_free" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdd40ce26, "device_find_child" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd6f020db, "device_register" },
	{ 0x2e9c96c7, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x7a0e0e36, "unregister_acpi_bus_type" },
	{ 0x70ae034, "acpi_get_first_physical_node" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xba1008c8, "__crc32c_le" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xc792841, "pm_runtime_no_callbacks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x82b5fad, "mutex_trylock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001513sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001547sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Asv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Csv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001575sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000463Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000466Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A73Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A76Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A833sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A834sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E333sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E334sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E433sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E434sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i40*");

MODULE_INFO(srcversion, "300C2B9BF88EAECFE40833E");

MODULE_INFO(suserelease, "SLFO-1.2");
