#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6f46339, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0xd98f8b6a, "uart_resume_port" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0xa8286452, "uart_get_baud_rate" },
	{ 0xfefdb90c, "uart_update_timeout" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x3fb96801, "tty_flip_buffer_push" },
	{ 0x16b6d679, "__tty_insert_flip_string_flags" },
	{ 0x76320279, "__dma_sync_sg_for_cpu" },
	{ 0x3878d6ff, "__dma_sync_sg_for_device" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4a17ed66, "sysrq_mask" },
	{ 0x979bd7f, "uart_try_toggle_sysrq" },
	{ 0xc9993ea2, "handle_sysrq" },
	{ 0xc46fc27e, "rt_spin_trylock" },
	{ 0x2bf99822, "uart_suspend_port" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8181ee47, "uart_register_driver" },
	{ 0x7ccaa77e, "__platform_driver_register" },
	{ 0x3d68ee20, "uart_unregister_driver" },
	{ 0x34609b40, "tty_port_tty_get" },
	{ 0xb7cebdfe, "tty_kref_put" },
	{ 0x366307a, "console_suspend_enabled" },
	{ 0xc64cde6e, "dma_request_chan" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x37303ef, "devm_platform_get_and_ioremap_resource" },
	{ 0xa79728d8, "platform_get_irq" },
	{ 0x701e06df, "devm_clk_get" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x33719327, "_dev_err" },
	{ 0x5ad12e30, "platform_driver_unregister" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xbefec929, "__pm_runtime_suspend" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x58a59ee1, "__kfifo_dma_out_prepare" },
	{ 0x3f166ba5, "dma_map_sg_attrs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x11e6ecb, "dma_unmap_sg_attrs" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x2d81c49e, "uart_remove_one_port" },
	{ 0xa810e9b3, "dma_release_channel" },
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0x473c64b6, "__pm_runtime_use_autosuspend" },
	{ 0x37a0cba, "kfree" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x36695697, "nbcon_device_try_acquire" },
	{ 0xae5d7bd9, "nbcon_device_release" },
	{ 0xc040fa3c, "uart_write_wakeup" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x3a4483d9, "pinctrl_pm_select_default_state" },
	{ 0x9b22d216, "irq_get_irq_data" },
	{ 0xada2ce5f, "pinctrl_pm_select_sleep_state" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x1687ec20, "tty_get_frame_size" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cfsl,vf610-lpuart");
MODULE_ALIAS("of:N*T*Cfsl,vf610-lpuartC*");
MODULE_ALIAS("of:N*T*Cfsl,ls1021a-lpuart");
MODULE_ALIAS("of:N*T*Cfsl,ls1021a-lpuartC*");
MODULE_ALIAS("of:N*T*Cfsl,ls1028a-lpuart");
MODULE_ALIAS("of:N*T*Cfsl,ls1028a-lpuartC*");
MODULE_ALIAS("of:N*T*Cfsl,imx7ulp-lpuart");
MODULE_ALIAS("of:N*T*Cfsl,imx7ulp-lpuartC*");
MODULE_ALIAS("of:N*T*Cfsl,imx8ulp-lpuart");
MODULE_ALIAS("of:N*T*Cfsl,imx8ulp-lpuartC*");
MODULE_ALIAS("of:N*T*Cfsl,imx8qxp-lpuart");
MODULE_ALIAS("of:N*T*Cfsl,imx8qxp-lpuartC*");
MODULE_ALIAS("of:N*T*Cfsl,imxrt1050-lpuart");
MODULE_ALIAS("of:N*T*Cfsl,imxrt1050-lpuartC*");

MODULE_INFO(srcversion, "DCDB3620A4BAF13A23F76BB");

MODULE_INFO(suserelease, "SLFO-1.2");
