#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sc16is74x_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is750_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is752_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is760_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is762_devtype, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_FUNC(sc16is7xx_probe, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_FUNC(sc16is7xx_remove, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is7xx_dt_ids, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_DATA(sc16is7xx_regcfg, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_FUNC(sc16is7xx_regmap_name, "_gpl", "SERIAL_NXP_SC16IS7XX");
KSYMTAB_FUNC(sc16is7xx_regmap_port_mask, "_gpl", "SERIAL_NXP_SC16IS7XX");

SYMBOL_CRC(sc16is74x_devtype, 0x561783a9, "_gpl");
SYMBOL_CRC(sc16is750_devtype, 0x1af41b3d, "_gpl");
SYMBOL_CRC(sc16is752_devtype, 0x1e01cb00, "_gpl");
SYMBOL_CRC(sc16is760_devtype, 0x83167d3c, "_gpl");
SYMBOL_CRC(sc16is762_devtype, 0x87e3ad01, "_gpl");
SYMBOL_CRC(sc16is7xx_probe, 0x2595eaea, "_gpl");
SYMBOL_CRC(sc16is7xx_remove, 0x892df635, "_gpl");
SYMBOL_CRC(sc16is7xx_dt_ids, 0x97b77680, "_gpl");
SYMBOL_CRC(sc16is7xx_regcfg, 0xf87fc399, "_gpl");
SYMBOL_CRC(sc16is7xx_regmap_name, 0xe64f5280, "_gpl");
SYMBOL_CRC(sc16is7xx_regmap_port_mask, 0x01e26f72, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae5d7bd9, "nbcon_device_release" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xf40c71a7, "device_property_read_u32_array" },
	{ 0x89a9f940, "devm_clk_get_optional" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x26121e08, "__kthread_init_worker" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0xc0ac8962, "sched_set_fifo" },
	{ 0x22d50cc, "devm_gpiod_get_optional" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2927e8c6, "gpiod_set_value_cansleep" },
	{ 0xfb578fc5, "memset" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xc030563a, "uart_get_rs485_mode" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x76d3f86e, "uart_add_one_port" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0x2bb532c, "gpiochip_add_data_with_key" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x33719327, "_dev_err" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xa3bff67d, "uart_handle_cts_change" },
	{ 0x4c954f4a, "uart_handle_dcd_change" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xa8286452, "uart_get_baud_rate" },
	{ 0xfefdb90c, "uart_update_timeout" },
	{ 0xdd5fa381, "__kfifo_out_linear" },
	{ 0x2ad249ef, "regmap_noinc_write" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xc040fa3c, "uart_write_wakeup" },
	{ 0x2f58502e, "regmap_noinc_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaf42319d, "uart_insert_char" },
	{ 0x3fb96801, "tty_flip_buffer_push" },
	{ 0x4a17ed66, "sysrq_mask" },
	{ 0x979bd7f, "uart_try_toggle_sysrq" },
	{ 0xc9993ea2, "handle_sysrq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5a1c02b6, "do_SAK" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa5eb5d93, "regmap_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5a506143, "kthread_queue_work" },
	{ 0x59c4b66f, "kthread_queue_delayed_work" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe976d673, "regmap_write" },
	{ 0x723cd8a1, "regcache_cache_bypass" },
	{ 0x3e415997, "gpiochip_get_data" },
	{ 0x8181ee47, "uart_register_driver" },
	{ 0x3d68ee20, "uart_unregister_driver" },
	{ 0x93554ffe, "kthread_cancel_delayed_work_sync" },
	{ 0x10119bb, "ida_free" },
	{ 0x2d81c49e, "uart_remove_one_port" },
	{ 0xde80edd1, "regmap_update_bits_base" },
	{ 0xd11b8e08, "kthread_flush_worker" },
	{ 0xd960722a, "kthread_stop" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xf18fa9a1, "gpiochip_remove" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x36695697, "nbcon_device_try_acquire" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "1375F5E15195AA4EA245E93");

MODULE_INFO(suserelease, "SLFO-1.2");
