#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_enable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_disable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_opp_config_clks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_queue_cfg_addr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0xf933dadb, "_gpl");
SYMBOL_CRC(ufshcd_enable_irq, 0x2b2172bf, "_gpl");
SYMBOL_CRC(ufshcd_disable_irq, 0x420ebd88, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0x460badf6, "_gpl");
SYMBOL_CRC(ufshcd_opp_config_clks, 0x69b6a14c, "_gpl");
SYMBOL_CRC(ufshcd_hold, 0x30a706ac, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x848c773c, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0x988a086c, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0x757ab87b, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0x750453e9, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0x45c0cf6f, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0x30c74927, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0xf0f5c778, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0xa6c51be0, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0x649efa4a, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0x8247ee90, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0x7cedfa63, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0xfd7bfbce, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x8dcf95c8, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x8820eb8e, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0x2ce1ac3b, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0x9d6d7829, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0xd0c74b5f, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0x3be546e6, "");
SYMBOL_CRC(ufshcd_system_resume, 0x8fcca86b, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0x50422ed1, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0x43f56b3b, "");
SYMBOL_CRC(ufshcd_remove, 0x00b00974, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0x68e9391e, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0x5f109a95, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0xd4bd7291, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0x8e511c00, "");
SYMBOL_CRC(ufshcd_init, 0x0f790178, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0xa947d3dc, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0x0496d43a, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0xb54e74a9, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0x37be1fb9, "_gpl");
SYMBOL_CRC(ufshcd_mcq_queue_cfg_addr, 0xb9f72851, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0x590bb4d0, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x91a9cd58, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0x6a17cff5, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0xdc985531, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0x86ca661f, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable, 0xe8befd5d, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0x1f419cc5, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x815588a6, "clk_enable" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xc40bf4ce, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x9748032d, "scsi_change_queue_depth" },
	{ 0x2ab99f9f, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x69d137d1, "device_remove_file" },
	{ 0x3f166ba5, "dma_map_sg_attrs" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x824eb988, "cpu_latency_qos_remove_request" },
	{ 0x933ae292, "scsi_dma_map" },
	{ 0xd4b6a467, "scsi_print_sense_hdr" },
	{ 0x5ed6577, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6fbd779e, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x173756c, "__init_rwsem" },
	{ 0x640c8f92, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d81b71, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0x4040c3fb, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x3f204514, "bsg_setup_queue" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x56ac7e9e, "scsi_autopm_put_device" },
	{ 0x3ad908fa, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x220cd2, "bsg_remove_queue" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x345b4858, "bsg_job_done" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6749cd3f, "dmam_alloc_attrs" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x5334e5c8, "scsi_remove_host" },
	{ 0x7a2a96c7, "bpf_trace_run6" },
	{ 0xa7ab3e7c, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x48851779, "blk_pm_runtime_init" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0xb48c9466, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x89fe7541, "sysfs_remove_groups" },
	{ 0x5826f55c, "hwmon_notify_event" },
	{ 0xfc6968f3, "pm_runtime_get_if_active" },
	{ 0x1686d7ce, "dev_pm_opp_find_freq_floor_indexed" },
	{ 0xcf2a6966, "up" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x23e89a79, "devfreq_recommended_opp" },
	{ 0x57ddc487, "sysfs_create_groups" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfe269cba, "scsi_dma_unmap" },
	{ 0xb81d7c7f, "cpu_latency_qos_add_request" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xbb819605, "cpu_latency_qos_request_active" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x76a15f2a, "__scsi_iterate_devices" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x1a2f220, "get_device" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0x701e06df, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf9820255, "blk_mq_alloc_tag_set" },
	{ 0xab0eb898, "scsi_device_set_state" },
	{ 0x9ae9f728, "devfreq_add_device" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0x411de822, "blk_crypto_register" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xe67c33b2, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x45ee0529, "put_device" },
	{ 0x250524ba, "blk_mq_unquiesce_tagset" },
	{ 0xa04d53b4, "dev_pm_opp_put" },
	{ 0x57e97b84, "blk_mq_free_request" },
	{ 0xf40c71a7, "device_property_read_u32_array" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x9b447f0e, "devm_regulator_get" },
	{ 0x9214a944, "dev_pm_opp_get_freq_indexed" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7707036e, "scsi_device_put" },
	{ 0xf4bf5395, "device_create_file" },
	{ 0x2aafdea3, "blk_mq_quiesce_tagset" },
	{ 0x9e571b9b, "debugfs_attr_read" },
	{ 0xbe4d2917, "regulator_set_load" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x77f5bb81, "down_write" },
	{ 0x5fbdd86f, "devm_kfree" },
	{ 0x33719327, "_dev_err" },
	{ 0xe4fd7c4, "devfreq_remove_device" },
	{ 0x94279677, "scsi_host_put" },
	{ 0x264635e1, "up_write" },
	{ 0x3d44dcd8, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc0ff936f, "simple_attr_release" },
	{ 0xff6e59c2, "hwmon_device_register_with_info" },
	{ 0x18eccd2d, "blk_mq_unfreeze_queue_nomemrestore" },
	{ 0x8b024042, "dev_pm_opp_add_dynamic" },
	{ 0x6626afca, "down" },
	{ 0xae8aebd2, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x37840415, "dev_pm_opp_remove" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x5a4f9d59, "cpu_latency_qos_update_request" },
	{ 0xf575fa24, "sdev_prefix_printk" },
	{ 0x57891024, "scsi_scan_host" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x62173924, "trace_event_reg" },
	{ 0xf1b61c1e, "device_link_remove" },
	{ 0xeb20804a, "blk_mq_alloc_request" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0x89262146, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x7597469b, "blk_put_queue" },
	{ 0x2e9c96c7, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x1ec2359c, "dev_pm_opp_set_opp" },
	{ 0xe00337c8, "dmam_free_coherent" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xb780f46f, "regulator_count_voltages" },
	{ 0xc023a1f6, "scsi_is_host_device" },
	{ 0x449abf7c, "blk_mq_wait_quiesce_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce3ecac6, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x820a25b8, "bpf_trace_run10" },
	{ 0x2649a067, "scsi_device_quiesce" },
	{ 0xa985aeff, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xf7161690, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0xe855fe39, "scsi_print_command" },
	{ 0x911c8743, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xae7bf481, "__scsi_register_driver" },
	{ 0x73c3bfab, "pm_runtime_forbid" },
	{ 0x3a07ab38, "param_set_uint_minmax" },
	{ 0xb0d7d0f2, "pm_runtime_allow" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0x56a0b482, "devfreq_suspend_device" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x741c3b83, "blk_mq_destroy_queue" },
	{ 0x92a95b69, "scsi_execute_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x148be3d7, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xd0a1a10, "devm_blk_crypto_profile_init" },
	{ 0x77c0729f, "hwmon_device_unregister" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x8710730a, "blk_mq_tagset_busy_iter" },
	{ 0x68957e6a, "scsi_done" },
	{ 0x55473fb7, "single_release" },
	{ 0x25694f62, "scsi_unblock_requests" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0x233622c7, "sbitmap_weight" },
	{ 0xc684d9df, "regulator_disable" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0x11e6ecb, "dma_unmap_sg_attrs" },
	{ 0x23e55a9c, "__devm_add_action" },
	{ 0x72a646ed, "scsi_remove_device" },
	{ 0x6397f056, "scsi_block_requests" },
	{ 0xcfcc8304, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x879e3df8, "blk_mq_freeze_queue_nomemsave" },
	{ 0xd898659, "single_open" },
	{ 0x8c644909, "scsi_host_alloc" },
	{ 0x915a5d5d, "__scsi_add_device" },
	{ 0xcfc46421, "devfreq_resume_device" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0xed0fefc, "device_link_add" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "E7125ABEB587E9E5AEC3F20");

MODULE_INFO(suserelease, "SLFO-1.2");
