#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_disabled, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints_reverse, "_gpl", "");
KSYMTAB_FUNC(usb_check_bulk_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_check_int_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_alt_setting, "_gpl", "");
KSYMTAB_FUNC(usb_ifnum_to_if, "_gpl", "");
KSYMTAB_FUNC(usb_altnum_to_altsetting, "_gpl", "");
KSYMTAB_FUNC(usb_find_interface, "_gpl", "");
KSYMTAB_FUNC(usb_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_dev, "_gpl", "");
KSYMTAB_FUNC(usb_put_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_intf, "_gpl", "");
KSYMTAB_FUNC(usb_put_intf, "_gpl", "");
KSYMTAB_FUNC(usb_intf_get_dma_device, "_gpl", "");
KSYMTAB_FUNC(usb_lock_device_for_reset, "_gpl", "");
KSYMTAB_FUNC(usb_get_current_frame_number, "_gpl", "");
KSYMTAB_FUNC(__usb_get_extra_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_coherent, "_gpl", "");
KSYMTAB_FUNC(usb_free_coherent, "_gpl", "");
KSYMTAB_DATA(ehci_cf_port_reset_rwsem, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_notification, "_gpl", "");
KSYMTAB_FUNC(usb_hub_clear_tt_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_hub_claim_port, "_gpl", "");
KSYMTAB_FUNC(usb_hub_release_port, "_gpl", "");
KSYMTAB_FUNC(usb_set_device_state, "_gpl", "");
KSYMTAB_FUNC(usb_disable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_enabled_descendants, "_gpl", "");
KSYMTAB_FUNC(usb_root_hub_lost_power, "_gpl", "");
KSYMTAB_FUNC(usb_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_ep0_reinit, "_gpl", "");
KSYMTAB_FUNC(usb_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_queue_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_hub_find_child, "_gpl", "");
KSYMTAB_DATA(usb_hcds_loaded, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr_lock, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_poll_rh_status, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_start_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_end_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_calc_bus_time, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_link_urb_to_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_check_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unlink_urb_from_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_setup_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_map_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_giveback_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_streams, "_gpl", "");
KSYMTAB_FUNC(usb_free_streams, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_resume_root_hub, "_gpl", "");
KSYMTAB_FUNC(usb_bus_start_enum, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_irq, "_gpl", "");
KSYMTAB_FUNC(usb_hc_died, "_gpl", "");
KSYMTAB_FUNC(__usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_shared_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_get_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_put_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_is_primary_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_add_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_remove_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_setup_local_mem, "_gpl", "");
KSYMTAB_FUNC(usb_mon_register, "_gpl", "");
KSYMTAB_FUNC(usb_mon_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_init_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_urb, "_gpl", "");
KSYMTAB_FUNC(usb_free_urb, "_gpl", "");
KSYMTAB_FUNC(usb_get_urb, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unanchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_pipe_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_urb_ep_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_submit_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_urb, "_gpl", "");
KSYMTAB_FUNC(usb_poison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_block_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_poison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_suspend_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_resume_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_wait_anchor_empty_timeout, "_gpl", "");
KSYMTAB_FUNC(usb_get_from_anchor, "_gpl", "");
KSYMTAB_FUNC(usb_scuttle_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_empty, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_send, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_recv, "_gpl", "");
KSYMTAB_FUNC(usb_interrupt_msg, "_gpl", "");
KSYMTAB_FUNC(usb_bulk_msg, "_gpl", "");
KSYMTAB_FUNC(usb_sg_init, "_gpl", "");
KSYMTAB_FUNC(usb_sg_wait, "_gpl", "");
KSYMTAB_FUNC(usb_sg_cancel, "_gpl", "");
KSYMTAB_FUNC(usb_get_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_string, "_gpl", "");
KSYMTAB_FUNC(usb_cache_string, "_gpl", "");
KSYMTAB_FUNC(usb_get_status, "_gpl", "");
KSYMTAB_FUNC(usb_clear_halt, "_gpl", "");
KSYMTAB_FUNC(usb_reset_endpoint, "_gpl", "");
KSYMTAB_FUNC(usb_set_interface, "_gpl", "");
KSYMTAB_FUNC(usb_reset_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_set_wireless_status, "_gpl", "");
KSYMTAB_FUNC(usb_set_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_driver_set_configuration, "_gpl", "");
KSYMTAB_FUNC(cdc_parse_cdc_header, "", "");
KSYMTAB_FUNC(usb_store_new_id, "_gpl", "");
KSYMTAB_FUNC(usb_show_dynids, "_gpl", "");
KSYMTAB_FUNC(usb_driver_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_driver_release_interface, "_gpl", "");
KSYMTAB_FUNC(usb_match_one_id, "_gpl", "");
KSYMTAB_FUNC(usb_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_device_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_register_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_register_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_enable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_disable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_no_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_no_resume, "_gpl", "");
KSYMTAB_FUNC(usb_register_dev, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_dev, "_gpl", "");
KSYMTAB_FUNC(usb_register_notify, "_gpl", "");
KSYMTAB_FUNC(usb_unregister_notify, "_gpl", "");
KSYMTAB_FUNC(usb_choose_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc_usb3_phy, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_init, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_exit, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_set_mode, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_calibrate, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_connect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_disconnect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_on, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_off, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_probe, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_remove, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_shutdown, "_gpl", "");
KSYMTAB_DATA(usb_hcd_pci_pm_ops, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_power_manageable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_port_lpm_incapable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_set_power_state, "_gpl", "");

SYMBOL_CRC(usb_disabled, 0x19a304ba, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints, 0x83cf503b, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints_reverse, 0x6acba631, "_gpl");
SYMBOL_CRC(usb_check_bulk_endpoints, 0x6de3d3ec, "_gpl");
SYMBOL_CRC(usb_check_int_endpoints, 0xc7ecd71d, "_gpl");
SYMBOL_CRC(usb_find_alt_setting, 0xcdd35076, "_gpl");
SYMBOL_CRC(usb_ifnum_to_if, 0xadc71f84, "_gpl");
SYMBOL_CRC(usb_altnum_to_altsetting, 0xe1889841, "_gpl");
SYMBOL_CRC(usb_find_interface, 0x9744c7c4, "_gpl");
SYMBOL_CRC(usb_for_each_dev, 0x593a5dca, "_gpl");
SYMBOL_CRC(usb_alloc_dev, 0xea5eff3e, "_gpl");
SYMBOL_CRC(usb_get_dev, 0x4224246b, "_gpl");
SYMBOL_CRC(usb_put_dev, 0x3d95014d, "_gpl");
SYMBOL_CRC(usb_get_intf, 0x422fa097, "_gpl");
SYMBOL_CRC(usb_put_intf, 0xdd17275a, "_gpl");
SYMBOL_CRC(usb_intf_get_dma_device, 0x97543a1c, "_gpl");
SYMBOL_CRC(usb_lock_device_for_reset, 0xfffa6843, "_gpl");
SYMBOL_CRC(usb_get_current_frame_number, 0x172d5c2e, "_gpl");
SYMBOL_CRC(__usb_get_extra_descriptor, 0xd36760ef, "_gpl");
SYMBOL_CRC(usb_alloc_coherent, 0x4a3dcf5e, "_gpl");
SYMBOL_CRC(usb_free_coherent, 0x810f623f, "_gpl");
SYMBOL_CRC(ehci_cf_port_reset_rwsem, 0x304d7347, "_gpl");
SYMBOL_CRC(usb_wakeup_notification, 0x4ff71e79, "_gpl");
SYMBOL_CRC(usb_hub_clear_tt_buffer, 0xbaf72e74, "_gpl");
SYMBOL_CRC(usb_hub_claim_port, 0xe045244b, "_gpl");
SYMBOL_CRC(usb_hub_release_port, 0xfa245198, "_gpl");
SYMBOL_CRC(usb_set_device_state, 0x84f8bfb9, "_gpl");
SYMBOL_CRC(usb_disable_ltm, 0x89e9330d, "_gpl");
SYMBOL_CRC(usb_enable_ltm, 0xb5bd2397, "_gpl");
SYMBOL_CRC(usb_wakeup_enabled_descendants, 0xec25c76e, "_gpl");
SYMBOL_CRC(usb_root_hub_lost_power, 0x4cec7c22, "_gpl");
SYMBOL_CRC(usb_disable_lpm, 0x9d224754, "_gpl");
SYMBOL_CRC(usb_unlocked_disable_lpm, 0x1a2fc872, "_gpl");
SYMBOL_CRC(usb_enable_lpm, 0xa17657ce, "_gpl");
SYMBOL_CRC(usb_unlocked_enable_lpm, 0xace6bd97, "_gpl");
SYMBOL_CRC(usb_ep0_reinit, 0xa34d5aec, "_gpl");
SYMBOL_CRC(usb_reset_device, 0x4e86534f, "_gpl");
SYMBOL_CRC(usb_queue_reset_device, 0x27c93138, "_gpl");
SYMBOL_CRC(usb_hub_find_child, 0xf4d9a83c, "_gpl");
SYMBOL_CRC(usb_hcds_loaded, 0xc17515d7, "_gpl");
SYMBOL_CRC(usb_bus_idr, 0xd6e7cc3e, "_gpl");
SYMBOL_CRC(usb_bus_idr_lock, 0xe2be8682, "_gpl");
SYMBOL_CRC(usb_hcd_poll_rh_status, 0xaa27d081, "_gpl");
SYMBOL_CRC(usb_hcd_start_port_resume, 0x99b774e0, "_gpl");
SYMBOL_CRC(usb_hcd_end_port_resume, 0x6b32f725, "_gpl");
SYMBOL_CRC(usb_calc_bus_time, 0x7e64181d, "_gpl");
SYMBOL_CRC(usb_hcd_link_urb_to_ep, 0x9b50ec69, "_gpl");
SYMBOL_CRC(usb_hcd_check_unlink_urb, 0x091920d6, "_gpl");
SYMBOL_CRC(usb_hcd_unlink_urb_from_ep, 0x7a7a02ef, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_setup_for_dma, 0x964d71f5, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_for_dma, 0xa89db11b, "_gpl");
SYMBOL_CRC(usb_hcd_map_urb_for_dma, 0x493649aa, "_gpl");
SYMBOL_CRC(usb_hcd_giveback_urb, 0x6eee8fec, "_gpl");
SYMBOL_CRC(usb_alloc_streams, 0x75eceae1, "_gpl");
SYMBOL_CRC(usb_free_streams, 0x1887934b, "_gpl");
SYMBOL_CRC(usb_hcd_resume_root_hub, 0xce703ca3, "_gpl");
SYMBOL_CRC(usb_bus_start_enum, 0x17f10351, "_gpl");
SYMBOL_CRC(usb_hcd_irq, 0x70cf032f, "_gpl");
SYMBOL_CRC(usb_hc_died, 0xb2b5d211, "_gpl");
SYMBOL_CRC(__usb_create_hcd, 0x973d5595, "_gpl");
SYMBOL_CRC(usb_create_shared_hcd, 0x80e1aa79, "_gpl");
SYMBOL_CRC(usb_create_hcd, 0x3ad623c4, "_gpl");
SYMBOL_CRC(usb_get_hcd, 0x46c80bc7, "_gpl");
SYMBOL_CRC(usb_put_hcd, 0xf1bb0eae, "_gpl");
SYMBOL_CRC(usb_hcd_is_primary_hcd, 0xc4e13b9f, "_gpl");
SYMBOL_CRC(usb_add_hcd, 0xe81fd804, "_gpl");
SYMBOL_CRC(usb_remove_hcd, 0x64637ee4, "_gpl");
SYMBOL_CRC(usb_hcd_platform_shutdown, 0xa95bdb5b, "_gpl");
SYMBOL_CRC(usb_hcd_setup_local_mem, 0x1cab1df4, "_gpl");
SYMBOL_CRC(usb_mon_register, 0x510409e2, "_gpl");
SYMBOL_CRC(usb_mon_deregister, 0xfed11ed1, "_gpl");
SYMBOL_CRC(usb_init_urb, 0x207d5f49, "_gpl");
SYMBOL_CRC(usb_alloc_urb, 0x6a578ab1, "_gpl");
SYMBOL_CRC(usb_free_urb, 0x096e6d83, "_gpl");
SYMBOL_CRC(usb_get_urb, 0xc36853cd, "_gpl");
SYMBOL_CRC(usb_anchor_urb, 0xa7cab92e, "_gpl");
SYMBOL_CRC(usb_unanchor_urb, 0x75f7afc6, "_gpl");
SYMBOL_CRC(usb_pipe_type_check, 0xe2d66cc9, "_gpl");
SYMBOL_CRC(usb_urb_ep_type_check, 0xfb7baef7, "_gpl");
SYMBOL_CRC(usb_submit_urb, 0xb1161409, "_gpl");
SYMBOL_CRC(usb_unlink_urb, 0x3d9e5d8a, "_gpl");
SYMBOL_CRC(usb_kill_urb, 0x4d4770a7, "_gpl");
SYMBOL_CRC(usb_poison_urb, 0xa9a9f738, "_gpl");
SYMBOL_CRC(usb_unpoison_urb, 0xb105e8bf, "_gpl");
SYMBOL_CRC(usb_block_urb, 0x488bfe0a, "_gpl");
SYMBOL_CRC(usb_kill_anchored_urbs, 0x36e23310, "_gpl");
SYMBOL_CRC(usb_poison_anchored_urbs, 0xc609b8df, "_gpl");
SYMBOL_CRC(usb_unpoison_anchored_urbs, 0x5ab975a4, "_gpl");
SYMBOL_CRC(usb_unlink_anchored_urbs, 0x17bc899a, "_gpl");
SYMBOL_CRC(usb_anchor_suspend_wakeups, 0x46c1022b, "_gpl");
SYMBOL_CRC(usb_anchor_resume_wakeups, 0xcab6e868, "_gpl");
SYMBOL_CRC(usb_wait_anchor_empty_timeout, 0xc8f4e4a9, "_gpl");
SYMBOL_CRC(usb_get_from_anchor, 0x24073b84, "_gpl");
SYMBOL_CRC(usb_scuttle_anchored_urbs, 0xb593872c, "_gpl");
SYMBOL_CRC(usb_anchor_empty, 0x1d1e7f6b, "_gpl");
SYMBOL_CRC(usb_control_msg, 0xa8f7a713, "_gpl");
SYMBOL_CRC(usb_control_msg_send, 0x5ae8107b, "_gpl");
SYMBOL_CRC(usb_control_msg_recv, 0x0e92a66c, "_gpl");
SYMBOL_CRC(usb_interrupt_msg, 0xc0779a75, "_gpl");
SYMBOL_CRC(usb_bulk_msg, 0x0ebc770a, "_gpl");
SYMBOL_CRC(usb_sg_init, 0x099c138f, "_gpl");
SYMBOL_CRC(usb_sg_wait, 0x4e94feb6, "_gpl");
SYMBOL_CRC(usb_sg_cancel, 0xd55c30aa, "_gpl");
SYMBOL_CRC(usb_get_descriptor, 0x5c51f521, "_gpl");
SYMBOL_CRC(usb_string, 0xb6f3a998, "_gpl");
SYMBOL_CRC(usb_cache_string, 0xacd19d30, "_gpl");
SYMBOL_CRC(usb_get_status, 0xe149cc49, "_gpl");
SYMBOL_CRC(usb_clear_halt, 0x2e58d2de, "_gpl");
SYMBOL_CRC(usb_reset_endpoint, 0x35ea5300, "_gpl");
SYMBOL_CRC(usb_set_interface, 0xa12d9eed, "_gpl");
SYMBOL_CRC(usb_reset_configuration, 0xe69aa965, "_gpl");
SYMBOL_CRC(usb_set_wireless_status, 0x4e45b0c8, "_gpl");
SYMBOL_CRC(usb_set_configuration, 0xe4112d14, "_gpl");
SYMBOL_CRC(usb_driver_set_configuration, 0x7ce5be03, "_gpl");
SYMBOL_CRC(cdc_parse_cdc_header, 0x42703336, "");
SYMBOL_CRC(usb_store_new_id, 0xb825c192, "_gpl");
SYMBOL_CRC(usb_show_dynids, 0x7f16e2af, "_gpl");
SYMBOL_CRC(usb_driver_claim_interface, 0xd987aac4, "_gpl");
SYMBOL_CRC(usb_driver_release_interface, 0x0743f54e, "_gpl");
SYMBOL_CRC(usb_match_one_id, 0xb92f3a6a, "_gpl");
SYMBOL_CRC(usb_match_id, 0x59cd5e33, "_gpl");
SYMBOL_CRC(usb_device_match_id, 0x4f7962ff, "_gpl");
SYMBOL_CRC(usb_register_device_driver, 0xf4e18194, "_gpl");
SYMBOL_CRC(usb_deregister_device_driver, 0x55d656bd, "_gpl");
SYMBOL_CRC(usb_register_driver, 0x33972a88, "_gpl");
SYMBOL_CRC(usb_deregister, 0x45d621e6, "_gpl");
SYMBOL_CRC(usb_enable_autosuspend, 0x81e442b7, "_gpl");
SYMBOL_CRC(usb_disable_autosuspend, 0x42b4fde3, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface, 0xb30f0d41, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_async, 0x2f601106, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_no_suspend, 0x370a00c7, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface, 0x07bd3b23, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_async, 0x311122ac, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_no_resume, 0xe654e061, "_gpl");
SYMBOL_CRC(usb_register_dev, 0xab9b1b89, "_gpl");
SYMBOL_CRC(usb_deregister_dev, 0x8ca7c4de, "_gpl");
SYMBOL_CRC(usb_register_notify, 0x89bbafc6, "_gpl");
SYMBOL_CRC(usb_unregister_notify, 0x811dc334, "_gpl");
SYMBOL_CRC(usb_choose_configuration, 0xdedac2ce, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc, 0x76e07046, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc_usb3_phy, 0xb2421958, "_gpl");
SYMBOL_CRC(usb_phy_roothub_init, 0xc93ee1e7, "_gpl");
SYMBOL_CRC(usb_phy_roothub_exit, 0xe39d0794, "_gpl");
SYMBOL_CRC(usb_phy_roothub_set_mode, 0x5bdae35b, "_gpl");
SYMBOL_CRC(usb_phy_roothub_calibrate, 0x851e6003, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_connect, 0x193780c4, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_disconnect, 0xef6a57e5, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_on, 0x9c803020, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_off, 0x8c89e3b8, "_gpl");
SYMBOL_CRC(usb_phy_roothub_suspend, 0x1e7e6d8a, "_gpl");
SYMBOL_CRC(usb_phy_roothub_resume, 0xf5f32048, "_gpl");
SYMBOL_CRC(usb_hcd_pci_probe, 0x9196cb6e, "_gpl");
SYMBOL_CRC(usb_hcd_pci_remove, 0xe42f87b1, "_gpl");
SYMBOL_CRC(usb_hcd_pci_shutdown, 0x6d11589d, "_gpl");
SYMBOL_CRC(usb_hcd_pci_pm_ops, 0x38998ff9, "_gpl");
SYMBOL_CRC(usb_acpi_power_manageable, 0x36cea689, "_gpl");
SYMBOL_CRC(usb_acpi_port_lpm_incapable, 0x7487d23d, "_gpl");
SYMBOL_CRC(usb_acpi_set_power_state, 0x10249250, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x136d2728, "noop_llseek" },
	{ 0xa433da30, "sysfs_merge_group" },
	{ 0x2607e948, "phy_notify_disconnect" },
	{ 0x944e1160, "device_attach" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfb6eedf9, "power_group_name" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x4e00f93a, "kernfs_find_and_get_ns" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x56caf454, "phy_power_on" },
	{ 0x1c1e4ebd, "no_seek_end_llseek" },
	{ 0x742c8a9e, "driver_unregister" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1ebf6c2a, "pci_power_names" },
	{ 0x7cb69041, "sysfs_remove_file_from_group" },
	{ 0x6270d8b3, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd6f020db, "device_register" },
	{ 0x1d1abdf0, "acpi_get_physical_device_location" },
	{ 0x2e9c96c7, "device_del" },
	{ 0xe78c1cdf, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xaae8ab0e, "acpi_bus_power_manageable" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0x9f346f3a, "device_bind_driver" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x257f912, "system_bh_highpri_wq" },
	{ 0x7a0e0e36, "unregister_acpi_bus_type" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xf497d350, "device_match_devt" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xa80863d6, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xc792841, "pm_runtime_no_callbacks" },
	{ 0x4d6f2b25, "phy_power_off" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x5b462d7, "devm_gen_pool_create" },
	{ 0xa985aeff, "down_read" },
	{ 0x82b5fad, "mutex_trylock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9f7221eb, "dev_pm_qos_flags" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x23d8e0a9, "sysfs_remove_group" },
	{ 0xb7659e1e, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2bb34fb4, "fwnode_find_reference" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x758ad137, "_dev_notice" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x73c3bfab, "pm_runtime_forbid" },
	{ 0xea9a479d, "blocking_notifier_chain_unregister" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0xb0d7d0f2, "pm_runtime_allow" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x282cdabc, "usb_led_activity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf2d5f6a8, "acpi_fetch_acpi_dev" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x80fd7c33, "kernfs_put" },
	{ 0x2d325e0c, "gen_pool_free_owner" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x940f8397, "inode_set_ctime_current" },
	{ 0x1ec7d1c9, "__register_chrdev" },
	{ 0xc8b3e642, "sysfs_break_active_protection" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x29644857, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xa559c089, "usb_dynids_lock" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x369e7826, "kobject_uevent" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x89eff7f4, "device_pm_wait_for_dev" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0x6d298b0e, "kill_pid_usb_asyncio" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0x5f7aa5f6, "dma_mmap_attrs" },
	{ 0xd4c500, "usb_decode_interval" },
	{ 0xf6b0b588, "usb_hcd_amd_remote_wakeup_quirk" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x11e6ecb, "dma_unmap_sg_attrs" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x2c467e6f, "dev_pm_qos_add_request" },
	{ 0x744dddc4, "pm_runtime_barrier" },
	{ 0xbefec929, "__pm_runtime_suspend" },
	{ 0xf9a68ee3, "usb_debug_root" },
	{ 0x548df626, "component_add" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x57ac7e36, "set_primary_fwnode" },
	{ 0x279c4c99, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x473c64b6, "__pm_runtime_use_autosuspend" },
	{ 0x77358855, "iomem_resource" },
	{ 0xabc5f61f, "phy_calibrate" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xf80797cf, "_dev_printk" },
	{ 0x11c9859, "__vma_start_write" },
	{ 0x8ceed316, "dev_pm_qos_expose_flags" },
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0x4de17ab3, "usb_state_string" },
	{ 0xd098765b, "dev_pm_qos_remove_request" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xed0fefc, "device_link_add" },
	{ 0x85909793, "pci_free_irq_vectors" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xc40bf4ce, "up_read" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x5caa6567, "put_pid" },
	{ 0xe99bba1f, "class_register" },
	{ 0x2ab99f9f, "__pm_runtime_idle" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xaf86b7d6, "cdev_init" },
	{ 0x86725ba4, "__dev_fwnode" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xee672399, "cdev_del" },
	{ 0x69d137d1, "device_remove_file" },
	{ 0x16136184, "bus_register" },
	{ 0x3f166ba5, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2e2a5cfb, "phy_init" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x44603709, "phy_notify_connect" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1a146ec3, "usb_ep_type_string" },
	{ 0x4fca9753, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x760a0f4f, "yield" },
	{ 0x290bc1d9, "device_set_wakeup_enable" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0xfecdcb5b, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb06aada3, "device_set_of_node_from_dev" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x5c249a89, "dma_pool_create" },
	{ 0xae14d918, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x10a9f477, "devm_memremap" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb0e602eb, "memmove" },
	{ 0x67881199, "pci_alloc_irq_vectors" },
	{ 0x8bf85132, "param_get_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6749cd3f, "dmam_alloc_attrs" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x90bc8788, "driver_remove_file" },
	{ 0x84839c3e, "sysfs_add_file_to_group" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x54c3ce7, "driver_attach" },
	{ 0x343c8959, "device_unregister" },
	{ 0xa7ab3e7c, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xafc2042a, "gen_pool_dma_alloc_align" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xf9664f72, "pci_get_device" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0091dcb, "sysfs_unbreak_active_protection" },
	{ 0xd0b212ac, "pci_dev_run_wake" },
	{ 0xc2c787a3, "devm_ioremap" },
	{ 0x2d685326, "pci_prepare_to_sleep" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xfffc6e3b, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3679cd8b, "component_del" },
	{ 0xf32a0d32, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x61a43e39, "kobject_get_path" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0x4f72b07c, "acpi_find_child_by_adr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x3bdc0284, "bus_for_each_drv" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x61f891c3, "pci_irq_vector" },
	{ 0x1a2f220, "get_device" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x47b63e8d, "kernfs_notify" },
	{ 0x10537f19, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8f2d6afd, "param_set_copystring" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x45f894dc, "__put_cred" },
	{ 0x17073595, "__suspend_report_result" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x31e84a57, "gen_pool_dma_alloc" },
	{ 0x3ea5ce43, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x45021218, "__devm_request_region" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x5b87a211, "pm_wakeup_dev_event" },
	{ 0xa7f7c0af, "device_reprobe" },
	{ 0xf317ffc2, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbc40496c, "blocking_notifier_call_chain" },
	{ 0x8f008bf7, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x29edf56b, "debugfs_lookup_and_remove" },
	{ 0x45ee0529, "put_device" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xe3ab63c8, "driver_create_file" },
	{ 0x7d59dd46, "pm_wq" },
	{ 0x822dccd3, "phy_exit" },
	{ 0xe1ff3063, "bus_register_notifier" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb2c92d1, "bus_for_each_dev" },
	{ 0x9f984513, "strrchr" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x6857cc3d, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xec21d530, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x462c439c, "device_wakeup_disable" },
	{ 0x2a730987, "compat_ptr_ioctl" },
	{ 0x56bbb810, "cdev_add" },
	{ 0xf4bf5395, "device_create_file" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xcb629113, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xeeff7562, "sysfs_update_group" },
	{ 0x3c36b8a0, "sysfs_unmerge_group" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x77f5bb81, "down_write" },
	{ 0x33719327, "_dev_err" },
	{ 0xf1347464, "device_wakeup_enable" },
	{ 0x264635e1, "up_write" },
	{ 0xf74536a0, "bus_find_device" },
	{ 0x3d44dcd8, "device_add" },
	{ 0x94f19c54, "sysfs_remove_link" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x3d45bb64, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe0ec2229, "device_create" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("usb:v0424p5534d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v04B4p6570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E3p*d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v0451p8142d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p8140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4913d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4914d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc09dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic09isc*ip*in*");

MODULE_INFO(srcversion, "14D6968594FCE80099B06EA");

MODULE_INFO(suserelease, "SLFO-1.2");
