#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_gadget_get_string, "_gpl", "");
KSYMTAB_FUNC(usb_validate_langid, "_gpl", "");
KSYMTAB_FUNC(usb_descriptor_fillbuf, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_config_buf, "_gpl", "");
KSYMTAB_FUNC(usb_copy_descriptors, "_gpl", "");
KSYMTAB_FUNC(usb_assign_descriptors, "_gpl", "");
KSYMTAB_FUNC(usb_free_all_descriptors, "_gpl", "");
KSYMTAB_FUNC(usb_otg_descriptor_alloc, "_gpl", "");
KSYMTAB_FUNC(usb_otg_descriptor_init, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig_ss, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig_release, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig_reset, "_gpl", "");
KSYMTAB_FUNC(config_ep_by_speed_and_alt, "_gpl", "");
KSYMTAB_FUNC(config_ep_by_speed, "_gpl", "");
KSYMTAB_FUNC(usb_add_function, "_gpl", "");
KSYMTAB_FUNC(usb_remove_function, "_gpl", "");
KSYMTAB_FUNC(usb_function_deactivate, "_gpl", "");
KSYMTAB_FUNC(usb_function_activate, "_gpl", "");
KSYMTAB_FUNC(usb_interface_id, "_gpl", "");
KSYMTAB_FUNC(usb_func_wakeup, "_gpl", "");
KSYMTAB_FUNC(usb_add_config_only, "_gpl", "");
KSYMTAB_FUNC(usb_add_config, "_gpl", "");
KSYMTAB_FUNC(usb_string_id, "_gpl", "");
KSYMTAB_FUNC(usb_string_ids_tab, "_gpl", "");
KSYMTAB_FUNC(usb_gstrings_attach, "_gpl", "");
KSYMTAB_FUNC(usb_string_ids_n, "_gpl", "");
KSYMTAB_FUNC(usb_composite_probe, "_gpl", "");
KSYMTAB_FUNC(usb_composite_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_composite_setup_continue, "_gpl", "");
KSYMTAB_FUNC(usb_composite_overwrite_options, "_gpl", "");
KSYMTAB_FUNC(usb_get_function_instance, "_gpl", "");
KSYMTAB_FUNC(usb_get_function, "_gpl", "");
KSYMTAB_FUNC(usb_put_function_instance, "_gpl", "");
KSYMTAB_FUNC(usb_put_function, "_gpl", "");
KSYMTAB_FUNC(usb_function_register, "_gpl", "");
KSYMTAB_FUNC(usb_function_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_os_desc_prepare_interf_dir, "", "");
KSYMTAB_FUNC(unregister_gadget_item, "_gpl", "");
KSYMTAB_FUNC(alloc_ep_req, "_gpl", "");

SYMBOL_CRC(usb_gadget_get_string, 0x4beb505d, "_gpl");
SYMBOL_CRC(usb_validate_langid, 0x0c589aba, "_gpl");
SYMBOL_CRC(usb_descriptor_fillbuf, 0xd2ea2134, "_gpl");
SYMBOL_CRC(usb_gadget_config_buf, 0xf474a207, "_gpl");
SYMBOL_CRC(usb_copy_descriptors, 0x2e09263f, "_gpl");
SYMBOL_CRC(usb_assign_descriptors, 0x66e23a39, "_gpl");
SYMBOL_CRC(usb_free_all_descriptors, 0xf1cc231a, "_gpl");
SYMBOL_CRC(usb_otg_descriptor_alloc, 0x853dbc04, "_gpl");
SYMBOL_CRC(usb_otg_descriptor_init, 0x53832fe7, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_ss, 0x104311db, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig, 0xa511cbc3, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_release, 0xfb096883, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_reset, 0x1adbc4e2, "_gpl");
SYMBOL_CRC(config_ep_by_speed_and_alt, 0xcf17660d, "_gpl");
SYMBOL_CRC(config_ep_by_speed, 0xb2fde947, "_gpl");
SYMBOL_CRC(usb_add_function, 0xfa1079a7, "_gpl");
SYMBOL_CRC(usb_remove_function, 0x657b5cb5, "_gpl");
SYMBOL_CRC(usb_function_deactivate, 0x06b10996, "_gpl");
SYMBOL_CRC(usb_function_activate, 0x40748757, "_gpl");
SYMBOL_CRC(usb_interface_id, 0x55fc55d9, "_gpl");
SYMBOL_CRC(usb_func_wakeup, 0x93bcd2a5, "_gpl");
SYMBOL_CRC(usb_add_config_only, 0x85bd764b, "_gpl");
SYMBOL_CRC(usb_add_config, 0x5726b822, "_gpl");
SYMBOL_CRC(usb_string_id, 0x96c0a3ee, "_gpl");
SYMBOL_CRC(usb_string_ids_tab, 0xdd346a95, "_gpl");
SYMBOL_CRC(usb_gstrings_attach, 0xa90ea103, "_gpl");
SYMBOL_CRC(usb_string_ids_n, 0x83b76a3a, "_gpl");
SYMBOL_CRC(usb_composite_probe, 0x12a3a0bf, "_gpl");
SYMBOL_CRC(usb_composite_unregister, 0xc2f24cfd, "_gpl");
SYMBOL_CRC(usb_composite_setup_continue, 0x7d75ff6f, "_gpl");
SYMBOL_CRC(usb_composite_overwrite_options, 0xbf72c6c0, "_gpl");
SYMBOL_CRC(usb_get_function_instance, 0xba0feb31, "_gpl");
SYMBOL_CRC(usb_get_function, 0x683f1b90, "_gpl");
SYMBOL_CRC(usb_put_function_instance, 0xbd8ece61, "_gpl");
SYMBOL_CRC(usb_put_function, 0x439a270a, "_gpl");
SYMBOL_CRC(usb_function_register, 0x39299c44, "_gpl");
SYMBOL_CRC(usb_function_unregister, 0x16bab21f, "_gpl");
SYMBOL_CRC(usb_os_desc_prepare_interf_dir, 0x604650a5, "");
SYMBOL_CRC(unregister_gadget_item, 0xbfe50be7, "_gpl");
SYMBOL_CRC(alloc_ep_req, 0x70218f00, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2224364, "usb_ep_alloc_request" },
	{ 0xc59b3d34, "usb_gadget_unregister_driver" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x138e505f, "config_item_init_type_name" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6f1a02b3, "config_item_put" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x255659ae, "usb_gadget_register_driver_owner" },
	{ 0x9a645086, "usb_ep_queue" },
	{ 0x754d539c, "strlen" },
	{ 0x19eb6dca, "usb_gadget_deactivate" },
	{ 0x349cba85, "strchr" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x97adb487, "utf8s_to_utf16s" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x69d137d1, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe914e41e, "strcpy" },
	{ 0xdc0df056, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x7884654e, "config_group_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x23d2ca88, "usb_gadget_check_config" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xb4c3fc76, "usb_gadget_ep_match_desc" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x5f18014, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x22c6ba36, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5c2a493c, "usb_gadget_set_selfpowered" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbf04ec49, "usb_gadget_set_remote_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5ed087c7, "usb_gadget_vbus_draw" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x97a2a09b, "config_item_set_name" },
	{ 0x6857cc3d, "module_put" },
	{ 0xc7ab3c63, "usb_ep_dequeue" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf4bf5395, "device_create_file" },
	{ 0x33719327, "_dev_err" },
	{ 0x7c0edf48, "configfs_register_subsystem" },
	{ 0x3d45bb64, "init_uts_ns" },
	{ 0xc5efe949, "config_group_init_type_name" },
	{ 0x3460779c, "usb_gadget_activate" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xbcac805c, "usb_gadget_clear_selfpowered" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xb63f345, "usb_gadget_set_state" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "F8B31A4BD541B253FD4D873");

MODULE_INFO(suserelease, "SLFO-1.2");
