#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ehci_handshake, "_gpl", "");
KSYMTAB_FUNC(ehci_reset, "_gpl", "");
KSYMTAB_FUNC(ehci_adjust_port_wakeup_flags, "_gpl", "");
KSYMTAB_FUNC(ehci_hub_control, "_gpl", "");
KSYMTAB_FUNC(ehci_setup, "_gpl", "");
KSYMTAB_FUNC(ehci_suspend, "_gpl", "");
KSYMTAB_FUNC(ehci_resume, "_gpl", "");
KSYMTAB_FUNC(ehci_init_driver, "_gpl", "");

SYMBOL_CRC(ehci_handshake, 0xa36a1432, "_gpl");
SYMBOL_CRC(ehci_reset, 0x05185ca2, "_gpl");
SYMBOL_CRC(ehci_adjust_port_wakeup_flags, 0x305fd598, "_gpl");
SYMBOL_CRC(ehci_hub_control, 0x4ca2c99b, "_gpl");
SYMBOL_CRC(ehci_setup, 0x40e557a9, "_gpl");
SYMBOL_CRC(ehci_suspend, 0x3660384b, "_gpl");
SYMBOL_CRC(ehci_resume, 0x8a8197a7, "_gpl");
SYMBOL_CRC(ehci_init_driver, 0xe494afab, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x593a5dca, "usb_for_each_dev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x91920d6, "usb_hcd_check_unlink_urb" },
	{ 0x9b50ec69, "usb_hcd_link_urb_to_ep" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0xb2b5d211, "usb_hc_died" },
	{ 0xaa27d081, "usb_hcd_poll_rh_status" },
	{ 0x84b783, "default_llseek" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x96848186, "scnprintf" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbaf72e74, "usb_hub_clear_tt_buffer" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x7a7a02ef, "usb_hcd_unlink_urb_from_ep" },
	{ 0x6eee8fec, "usb_hcd_giveback_urb" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x999e8297, "vfree" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc17515d7, "usb_hcds_loaded" },
	{ 0x92997ed8, "_printk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf9a68ee3, "usb_debug_root" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x72abf6f7, "__platform_register_drivers" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0xb8d793a1, "platform_unregister_drivers" },
	{ 0xce703ca3, "usb_hcd_resume_root_hub" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4102c5e2, "hrtimer_start_range_ns" },
	{ 0x835e057b, "pci_bus_type" },
	{ 0x2123f09b, "pci_read_config_dword" },
	{ 0x754d539c, "strlen" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x93fae14b, "hrtimer_cancel" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdf1882af, "dbgp_reset_prep" },
	{ 0x6527a231, "dbgp_external_startup" },
	{ 0x7e64181d, "usb_calc_bus_time" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x304d7347, "ehci_cf_port_reset_rwsem" },
	{ 0x77f5bb81, "down_write" },
	{ 0x264635e1, "up_write" },
	{ 0x33719327, "_dev_err" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0xf4bf5395, "device_create_file" },
	{ 0x4cec7c22, "usb_root_hub_lost_power" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5bf7db3e, "hrtimer_init" },
	{ 0x5c249a89, "dma_pool_create" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69d137d1, "device_remove_file" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x99b774e0, "usb_hcd_start_port_resume" },
	{ 0x6b32f725, "usb_hcd_end_port_resume" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "D01CF6CEC3004BF74CEF826");

MODULE_INFO(suserelease, "SLFO-1.2");
