#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ohci_hub_status_data, "_gpl", "");
KSYMTAB_FUNC(ohci_hub_control, "_gpl", "");
KSYMTAB_FUNC(ohci_setup, "_gpl", "");
KSYMTAB_FUNC(ohci_restart, "_gpl", "");
KSYMTAB_FUNC(ohci_suspend, "_gpl", "");
KSYMTAB_FUNC(ohci_resume, "_gpl", "");
KSYMTAB_FUNC(ohci_init_driver, "_gpl", "");

SYMBOL_CRC(ohci_hub_status_data, 0x95f92c13, "_gpl");
SYMBOL_CRC(ohci_hub_control, 0xd99eed8f, "_gpl");
SYMBOL_CRC(ohci_setup, 0xd879e1be, "_gpl");
SYMBOL_CRC(ohci_restart, 0xa728b66c, "_gpl");
SYMBOL_CRC(ohci_suspend, 0x76fc6285, "_gpl");
SYMBOL_CRC(ohci_resume, 0x8feb2c8f, "_gpl");
SYMBOL_CRC(ohci_init_driver, 0x7764830c, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x95ac1172, "sb800_prefetch" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7e64181d, "usb_calc_bus_time" },
	{ 0x9b50ec69, "usb_hcd_link_urb_to_ep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x91920d6, "usb_hcd_check_unlink_urb" },
	{ 0xb2b5d211, "usb_hc_died" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xafc2042a, "gen_pool_dma_alloc_align" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x5c249a89, "dma_pool_create" },
	{ 0xfecdcb5b, "device_set_wakeup_capable" },
	{ 0x4cec7c22, "usb_root_hub_lost_power" },
	{ 0xce703ca3, "usb_hcd_resume_root_hub" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xaa27d081, "usb_hcd_poll_rh_status" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x84b783, "default_llseek" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x2d325e0c, "gen_pool_free_owner" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x96848186, "scnprintf" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0xc17515d7, "usb_hcds_loaded" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xf3223f, "gen_pool_dma_zalloc_align" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf9a68ee3, "usb_debug_root" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x33719327, "_dev_err" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7a7a02ef, "usb_hcd_unlink_urb_from_ep" },
	{ 0x6eee8fec, "usb_hcd_giveback_urb" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "E2B357069A6106B33F2C526");

MODULE_INFO(suserelease, "SLFO-1.2");
