#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xhci_plat_probe, "_gpl", "");
KSYMTAB_FUNC(xhci_plat_remove, "_gpl", "");
KSYMTAB_DATA(xhci_plat_pm_ops, "_gpl", "");

SYMBOL_CRC(xhci_plat_probe, 0x4452f9be, "_gpl");
SYMBOL_CRC(xhci_plat_remove, 0xace1ee45, "_gpl");
SYMBOL_CRC(xhci_plat_pm_ops, 0xf0ab468f, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf9a389eb, "devm_reset_control_array_get" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0xf40c71a7, "device_property_read_u32_array" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x66c62267, "xhci_resume" },
	{ 0xd40424b2, "xhci_run" },
	{ 0xc4e13b9f, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe6b86732, "xhci_init_driver" },
	{ 0xf1bb0eae, "usb_put_hcd" },
	{ 0x7ccaa77e, "__platform_driver_register" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0x89a9f940, "devm_clk_get_optional" },
	{ 0x73c3bfab, "pm_runtime_forbid" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x973d5595, "__usb_create_hcd" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0x64637ee4, "usb_remove_hcd" },
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0xe81fd804, "usb_add_hcd" },
	{ 0x815588a6, "clk_enable" },
	{ 0x835e057b, "pci_bus_type" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x149eb2a8, "device_property_present" },
	{ 0xa95bdb5b, "usb_hcd_platform_shutdown" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0xfecdcb5b, "device_set_wakeup_capable" },
	{ 0xe77e4794, "xhci_suspend" },
	{ 0x37303ef, "devm_platform_get_and_ioremap_resource" },
	{ 0x5ad12e30, "platform_driver_unregister" },
	{ 0xa79728d8, "platform_get_irq" },
	{ 0x4007fd0d, "xhci_gen_setup" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "usbcore,xhci-hcd");

MODULE_ALIAS("acpi*:PNP0D10:*");
MODULE_ALIAS("acpi*:PNP0D15:*");

MODULE_INFO(srcversion, "8EDF1D1AA8AE481F1AA8877");

MODULE_INFO(suserelease, "SLFO-1.2");
