#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ljca_transfer, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_transfer_noack, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_register_event_cb, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_unregister_event_cb, "_gpl", "LJCA");

SYMBOL_CRC(ljca_transfer, 0x7aba3e34, "_gpl");
SYMBOL_CRC(ljca_transfer_noack, 0x16e2bfd3, "_gpl");
SYMBOL_CRC(ljca_register_event_cb, 0xb102fbc1, "_gpl");
SYMBOL_CRC(ljca_unregister_event_cb, 0x61a9eb61, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb30f0d41, "usb_autopm_put_interface" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x33972a88, "usb_register_driver" },
	{ 0xb1161409, "usb_submit_urb" },
	{ 0x4d4770a7, "usb_kill_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0xa6257a2f, "complete" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x33719327, "_dev_err" },
	{ 0x6bbf4c5, "acpi_match_device_ids" },
	{ 0x349cba85, "strchr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x45d621e6, "usb_deregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xf2d9339d, "auxiliary_device_init" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa34ea76d, "acpi_dev_for_each_child" },
	{ 0x57ac7e36, "set_primary_fwnode" },
	{ 0xd5e487f8, "__auxiliary_device_add" },
	{ 0x45ee0529, "put_device" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x422fa097, "usb_get_intf" },
	{ 0x83cf503b, "usb_find_common_endpoints" },
	{ 0x6a578ab1, "usb_alloc_urb" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x2e9c96c7, "device_del" },
	{ 0x96e6d83, "usb_free_urb" },
	{ 0xdd17275a, "usb_put_intf" },
	{ 0xa7ab3e7c, "pm_runtime_set_autosuspend_delay" },
	{ 0x81e442b7, "usb_enable_autosuspend" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x7bd3b23, "usb_autopm_get_interface" },
	{ 0xebc770a, "usb_bulk_msg" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v8086p0B63d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "451E98965F92F186A01E214");

MODULE_INFO(suserelease, "SLFO-1.2");
