#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(typec_altmode_update_active, "_gpl", "");
KSYMTAB_FUNC(typec_altmode2port, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_set_ops, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_mode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_pd_revision, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_partner_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_partner_usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(typec_register_partner, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_partner, "_gpl", "");
KSYMTAB_FUNC(typec_plug_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_plug_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_register_plug, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_plug, "_gpl", "");
KSYMTAB_FUNC(typec_cable_get, "_gpl", "");
KSYMTAB_FUNC(typec_cable_put, "_gpl", "");
KSYMTAB_FUNC(typec_cable_is_active, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_register_cable, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_cable, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_mode, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_set_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_vconn_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_get_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_set_mode, "_gpl", "");
KSYMTAB_FUNC(typec_get_negotiated_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_cable_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_get_fw_cap, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_cable_ops, "_gpl", "");
KSYMTAB_FUNC(typec_register_port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_port, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_switch_get, "_gpl", "");
KSYMTAB_FUNC(typec_switch_put, "_gpl", "");
KSYMTAB_FUNC(typec_switch_register, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set, "_gpl", "");
KSYMTAB_FUNC(typec_switch_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_switch_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_mux_get, "_gpl", "");
KSYMTAB_FUNC(typec_mux_put, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set, "_gpl", "");
KSYMTAB_FUNC(typec_mux_register, "_gpl", "");
KSYMTAB_FUNC(typec_mux_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_mux_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_notify, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_attention, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_partner, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_plug, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_put_plug, "_gpl", "");
KSYMTAB_FUNC(__typec_altmode_register_driver, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(typec_match_altmode, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_link_device, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unlink_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_retimer_get, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_put, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_set, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_register, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_get_drvdata, "_gpl", "");

SYMBOL_CRC(typec_altmode_update_active, 0xf5da5c76, "_gpl");
SYMBOL_CRC(typec_altmode2port, 0x471f9a00, "_gpl");
SYMBOL_CRC(typec_altmode_set_ops, 0x8ad3ba92, "_gpl");
SYMBOL_CRC(typec_unregister_altmode, 0x640fcb76, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_mode, 0x2a261a81, "_gpl");
SYMBOL_CRC(typec_partner_set_identity, 0xd9ef86eb, "_gpl");
SYMBOL_CRC(typec_partner_set_pd_revision, 0x3fad62ff, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_power_delivery, 0xe3f74064, "_gpl");
SYMBOL_CRC(typec_partner_set_num_altmodes, 0x7b057239, "_gpl");
SYMBOL_CRC(typec_partner_register_altmode, 0xd1e680e2, "_gpl");
SYMBOL_CRC(typec_partner_set_svdm_version, 0x3406f86c, "_gpl");
SYMBOL_CRC(typec_partner_usb_power_delivery_register, 0x1c7c2cca, "_gpl");
SYMBOL_CRC(typec_register_partner, 0x21c4dc16, "_gpl");
SYMBOL_CRC(typec_unregister_partner, 0x2a79eeea, "_gpl");
SYMBOL_CRC(typec_plug_set_num_altmodes, 0xd9a4466f, "_gpl");
SYMBOL_CRC(typec_plug_register_altmode, 0x6ee08bd1, "_gpl");
SYMBOL_CRC(typec_register_plug, 0x20eae029, "_gpl");
SYMBOL_CRC(typec_unregister_plug, 0xe07d454e, "_gpl");
SYMBOL_CRC(typec_cable_get, 0xe7e0c57e, "_gpl");
SYMBOL_CRC(typec_cable_put, 0x5ddf6bba, "_gpl");
SYMBOL_CRC(typec_cable_is_active, 0x7119d7a2, "_gpl");
SYMBOL_CRC(typec_cable_set_identity, 0x70ec028f, "_gpl");
SYMBOL_CRC(typec_register_cable, 0x2df3b82d, "_gpl");
SYMBOL_CRC(typec_unregister_cable, 0x2034bbf1, "_gpl");
SYMBOL_CRC(typec_port_set_usb_mode, 0x7ca9b406, "_gpl");
SYMBOL_CRC(typec_port_set_usb_power_delivery, 0xaca3ab4a, "_gpl");
SYMBOL_CRC(typec_set_data_role, 0x9d4dc852, "_gpl");
SYMBOL_CRC(typec_set_pwr_role, 0x26a65de7, "_gpl");
SYMBOL_CRC(typec_set_vconn_role, 0x230ab5e9, "_gpl");
SYMBOL_CRC(typec_set_pwr_opmode, 0x63082f27, "_gpl");
SYMBOL_CRC(typec_find_pwr_opmode, 0xf1234a8b, "_gpl");
SYMBOL_CRC(typec_find_orientation, 0xa254de98, "_gpl");
SYMBOL_CRC(typec_find_port_power_role, 0xeafc1eb8, "_gpl");
SYMBOL_CRC(typec_find_power_role, 0x2d1e301d, "_gpl");
SYMBOL_CRC(typec_find_port_data_role, 0x9049491e, "_gpl");
SYMBOL_CRC(typec_set_orientation, 0x5f5eed35, "_gpl");
SYMBOL_CRC(typec_get_orientation, 0x59f2861a, "_gpl");
SYMBOL_CRC(typec_set_mode, 0x55b76f76, "_gpl");
SYMBOL_CRC(typec_get_negotiated_svdm_version, 0x035d5a61, "_gpl");
SYMBOL_CRC(typec_get_cable_svdm_version, 0xddf376bf, "_gpl");
SYMBOL_CRC(typec_cable_set_svdm_version, 0x69f765a8, "_gpl");
SYMBOL_CRC(typec_get_drvdata, 0x8f7b546c, "_gpl");
SYMBOL_CRC(typec_get_fw_cap, 0x7f13485f, "_gpl");
SYMBOL_CRC(typec_port_register_altmode, 0xcc88dba5, "_gpl");
SYMBOL_CRC(typec_port_register_altmodes, 0x4fc6bd2f, "_gpl");
SYMBOL_CRC(typec_port_register_cable_ops, 0x19a84b09, "_gpl");
SYMBOL_CRC(typec_register_port, 0x23a2b2a2, "_gpl");
SYMBOL_CRC(typec_unregister_port, 0xc9282fdd, "_gpl");
SYMBOL_CRC(fwnode_typec_switch_get, 0xf3697c0c, "_gpl");
SYMBOL_CRC(typec_switch_put, 0x86521d45, "_gpl");
SYMBOL_CRC(typec_switch_register, 0x970e76a6, "_gpl");
SYMBOL_CRC(typec_switch_set, 0xd2fa1286, "_gpl");
SYMBOL_CRC(typec_switch_unregister, 0xfd4b98e3, "_gpl");
SYMBOL_CRC(typec_switch_set_drvdata, 0x2a2da865, "_gpl");
SYMBOL_CRC(typec_switch_get_drvdata, 0xcb3cac2b, "_gpl");
SYMBOL_CRC(fwnode_typec_mux_get, 0x87307b62, "_gpl");
SYMBOL_CRC(typec_mux_put, 0xfc8df340, "_gpl");
SYMBOL_CRC(typec_mux_set, 0x2b40e0cb, "_gpl");
SYMBOL_CRC(typec_mux_register, 0x57c9186a, "_gpl");
SYMBOL_CRC(typec_mux_unregister, 0x9e096623, "_gpl");
SYMBOL_CRC(typec_mux_set_drvdata, 0x84f35d59, "_gpl");
SYMBOL_CRC(typec_mux_get_drvdata, 0xab5d5b7e, "_gpl");
SYMBOL_CRC(typec_altmode_notify, 0xdc396478, "_gpl");
SYMBOL_CRC(typec_altmode_enter, 0x8a4f496c, "_gpl");
SYMBOL_CRC(typec_altmode_exit, 0x9c1aa20e, "_gpl");
SYMBOL_CRC(typec_altmode_attention, 0x080fc408, "_gpl");
SYMBOL_CRC(typec_altmode_vdm, 0x7cf1c951, "_gpl");
SYMBOL_CRC(typec_altmode_get_partner, 0x437f0dfb, "_gpl");
SYMBOL_CRC(typec_cable_altmode_enter, 0x926718ae, "_gpl");
SYMBOL_CRC(typec_cable_altmode_exit, 0x95e27775, "_gpl");
SYMBOL_CRC(typec_cable_altmode_vdm, 0xb3444496, "_gpl");
SYMBOL_CRC(typec_altmode_get_plug, 0x0c60c4b0, "_gpl");
SYMBOL_CRC(typec_altmode_put_plug, 0x538f0a3d, "_gpl");
SYMBOL_CRC(__typec_altmode_register_driver, 0x9b23f878, "_gpl");
SYMBOL_CRC(typec_altmode_unregister_driver, 0xf42478ec, "_gpl");
SYMBOL_CRC(typec_match_altmode, 0x8dca3465, "_gpl");
SYMBOL_CRC(usb_power_delivery_register_capabilities, 0x86858eaa, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister_capabilities, 0x1485ac33, "_gpl");
SYMBOL_CRC(usb_power_delivery_register, 0x51df8b7a, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister, 0xc33744d5, "_gpl");
SYMBOL_CRC(usb_power_delivery_link_device, 0x7aa87b7f, "_gpl");
SYMBOL_CRC(usb_power_delivery_unlink_device, 0x22191cc5, "_gpl");
SYMBOL_CRC(fwnode_typec_retimer_get, 0x349ddc14, "_gpl");
SYMBOL_CRC(typec_retimer_put, 0x2383ce30, "_gpl");
SYMBOL_CRC(typec_retimer_set, 0x20443f1f, "_gpl");
SYMBOL_CRC(typec_retimer_register, 0xccc5b4cd, "_gpl");
SYMBOL_CRC(typec_retimer_unregister, 0x0541e807, "_gpl");
SYMBOL_CRC(typec_retimer_get_drvdata, 0xfa2b675d, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x742c8a9e, "driver_unregister" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0xdd40ce26, "device_find_child" },
	{ 0xd6f020db, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x72741cbf, "fwnode_property_read_string" },
	{ 0xd2ea4a39, "fwnode_property_present" },
	{ 0xcb5b3f08, "component_master_del" },
	{ 0x38d89afb, "component_match_add_release" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x699df697, "device_get_named_child_node" },
	{ 0x137f302, "component_bind_all" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xda578269, "device_match_name" },
	{ 0x369e7826, "kobject_uevent" },
	{ 0x78971610, "fwnode_connection_find_matches" },
	{ 0x81188c30, "match_string" },
	{ 0x7541c895, "component_unbind_all" },
	{ 0xfdd7d0bd, "driver_register" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xe99bba1f, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x86725ba4, "__dev_fwnode" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x16136184, "bus_register" },
	{ 0x2ff2eaef, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x7625fd2c, "device_match_type" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x80a86b0b, "component_master_add_with_match" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x343c8959, "device_unregister" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x516432ff, "acpi_bus_for_each_dev" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c5d8709, "fwnode_connection_find_match" },
	{ 0xb9c26d1f, "fwnode_get_next_child_node" },
	{ 0x5b5d292e, "device_for_each_child" },
	{ 0x1a2f220, "get_device" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3ea5ce43, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x406f0e53, "device_match_fwnode" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45ee0529, "put_device" },
	{ 0xb1ca3625, "fwnode_property_read_u32_array" },
	{ 0x6857cc3d, "module_put" },
	{ 0xec21d530, "sysfs_create_link" },
	{ 0x49b51aab, "fwnode_get_name" },
	{ 0xcb629113, "kobject_uevent_env" },
	{ 0xeeff7562, "sysfs_update_group" },
	{ 0x1e3963de, "bus_unregister" },
	{ 0x33719327, "_dev_err" },
	{ 0x3d44dcd8, "device_add" },
	{ 0x94f19c54, "sysfs_remove_link" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x19d29739, "fwnode_property_read_u16_array" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x10119bb, "ida_free" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8E6F579410DFB5B24EDDF4E");

MODULE_INFO(suserelease, "SLFO-1.2");
