#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_do_io_rw, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_setup_barmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_range_intersect_range, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x9f269ab5, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0xe751a82e, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x45a83e74, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x06038dc3, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x5c8a6490, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x92e2a782, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x04090916, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x478d4d6d, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xf4f987d6, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x979c7754, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x2b157771, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0xe72345ea, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0xac1182bf, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x07dc0399, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x353578cd, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0xc68c4942, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0xd45d9674, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x5b255682, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0x6e70ea9d, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite8, 0x4e1f52b2, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite16, 0x8b377d2c, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite32, 0x9b23693f, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread8, 0x356ef032, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread16, 0xab88b4bb, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread32, 0xd0bd3140, "_gpl");
SYMBOL_CRC(vfio_pci_core_do_io_rw, 0xe78e5ded, "_gpl");
SYMBOL_CRC(vfio_pci_core_setup_barmap, 0x81bff01b, "_gpl");
SYMBOL_CRC(vfio_pci_core_range_intersect_range, 0xe850ca1f, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe09c2cb7, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xcc8a24d6, "pci_probe_reset_slot" },
	{ 0x68e801b6, "pci_set_power_state" },
	{ 0x61f891c3, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x73d78539, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2123f09b, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x594bf15b, "ioport_map" },
	{ 0xf1b25740, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3e5a3f07, "pci_user_write_config_word" },
	{ 0xe1ff3063, "bus_register_notifier" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xb8f05a15, "vfio_file_is_group" },
	{ 0x436af6d5, "pci_msix_can_alloc_dyn" },
	{ 0x6ec310b, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa8528430, "pci_clear_master" },
	{ 0xb6ce2347, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xc794f8c, "fput" },
	{ 0x77f5bb81, "down_write" },
	{ 0x264635e1, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb9b31de8, "xa_load" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0xe559846c, "pci_write_vpd" },
	{ 0x5ba9c086, "vfio_virqfd_enable" },
	{ 0x21e1f459, "vga_client_register" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x2b8216f, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xf37a30f5, "aperture_remove_conflicting_pci_devices" },
	{ 0x7551f460, "vfio_unregister_group_dev" },
	{ 0x2058ee30, "pci_map_rom" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x14476cf3, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0x97ab7810, "pci_iounmap" },
	{ 0xef211625, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfc39e32f, "ioport_unmap" },
	{ 0xd8f7619f, "pcie_get_mps" },
	{ 0xca75d04d, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9bf19f49, "down_write_trylock" },
	{ 0xa985aeff, "down_read" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x5c992123, "vga_put" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0xbbcb0f3b, "pci_dev_driver" },
	{ 0xb98fa7ed, "__xa_insert" },
	{ 0x918431c7, "xa_erase" },
	{ 0xb0300925, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x758ad137, "_dev_notice" },
	{ 0x73c3bfab, "pm_runtime_forbid" },
	{ 0xb0d7d0f2, "pm_runtime_allow" },
	{ 0x9081a696, "pci_reset_bus" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0x58e483da, "vfio_register_group_dev" },
	{ 0x75acd70, "vfio_assign_device_set" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc56445de, "pci_user_read_config_byte" },
	{ 0x88880d22, "pci_try_reset_function" },
	{ 0xfea41449, "xa_find" },
	{ 0xd9160073, "pci_get_class" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xaa24a834, "pci_user_write_config_dword" },
	{ 0x42bd5f0a, "pcie_capability_read_dword" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x6e41470, "pci_load_and_free_saved_state" },
	{ 0x81c283ad, "pci_disable_sriov" },
	{ 0xf0bf04b6, "vfio_device_set_open_count" },
	{ 0x6f308c95, "pci_disable_device" },
	{ 0x3824ec88, "pci_match_id" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0x32258618, "pci_check_and_unmask_intx" },
	{ 0xbc8fa4cf, "pcie_set_readrq" },
	{ 0x30965d40, "pci_walk_bus" },
	{ 0x4749ebdf, "pci_msix_alloc_irq_at" },
	{ 0xa256d729, "xa_find_after" },
	{ 0x48f3c03c, "vga_get" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x62392eb7, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xad82bbd2, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0x87887e5c, "vga_set_legacy_decoding" },
	{ 0x11c9859, "__vma_start_write" },
	{ 0xe1ebad0a, "pci_dev_unlock" },
	{ 0x8c03c156, "pci_write_config_word" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x85909793, "pci_free_irq_vectors" },
	{ 0x65106459, "pci_enable_sriov" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x2ab99f9f, "__pm_runtime_idle" },
	{ 0xf452d7ba, "vfio_virqfd_flush_thread" },
	{ 0x835e057b, "pci_bus_type" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x4fca9753, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xefffb992, "vmf_insert_pfn" },
	{ 0x173756c, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x60e51c37, "pci_read_vpd" },
	{ 0xae14d918, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x118ab15a, "pci_request_selected_regions" },
	{ 0xd9619c73, "pci_release_selected_regions" },
	{ 0x3f29193f, "pci_user_write_config_byte" },
	{ 0xfd5c2074, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd20a92f1, "pci_bus_max_busnr" },
	{ 0x32a42c2e, "pci_check_and_mask_intx" },
	{ 0x16902ab6, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x67881199, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0x5860ae34, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb0c76689, "pci_dev_put" },
	{ 0x46d63662, "iommu_group_get" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x6c8b359f, "vfio_virqfd_disable" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf7a53a57, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0xe6c0bcfc, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x355baffc, "unmap_mapping_range" },
	{ 0x1c8f3316, "pci_user_read_config_dword" },
	{ 0x37a0cba, "kfree" },
	{ 0x8ab39a60, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "vfio,irqbypass");


MODULE_INFO(srcversion, "CD5EE1C4009DCA6D3DB06EA");

MODULE_INFO(suserelease, "SLFO-1.2");
