#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_worker_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0xc7b9789b, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0x5d0440c3, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0xfb484356, "_gpl");
SYMBOL_CRC(vhost_vq_work_queue, 0x1a4189c3, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0x29341edd, "_gpl");
SYMBOL_CRC(vhost_vq_has_work, 0x32bd1aef, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0x42d9e486, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0xf2aabcd9, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0x55e03f7b, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0x13c90a03, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0xe2530a3d, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0xbea533ff, "_gpl");
SYMBOL_CRC(vhost_worker_ioctl, 0x7eacdd4e, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0xd91d96cd, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0xef3ae86d, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0x99db1621, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x4760a6a2, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0x5a8cfa4f, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0x52efad23, "");
SYMBOL_CRC(vhost_chr_poll, 0xbb6ef0bd, "");
SYMBOL_CRC(vhost_chr_read_iter, 0x37005fe3, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0x049fb0a3, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0xb0c53c5c, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0xb05a8b71, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0xe38a3fc2, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0xde8eb91f, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0x0b045708, "_gpl");
SYMBOL_CRC(vhost_log_write, 0x60d39b46, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0xdc1d21d0, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0x5066a9cc, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0x7fecc951, "_gpl");
SYMBOL_CRC(vhost_add_used, 0xe01374fd, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0xb521c61f, "_gpl");
SYMBOL_CRC(vhost_signal, 0x5a44bae0, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0x88eef585, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0x34c306df, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x8a5c8f01, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0xac1faad9, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x3ad795ac, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0xb643eac8, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0x2b72f407, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0x8fd231da, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0x1ddd420f, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xa6257a2f, "complete" },
	{ 0xfdd3e608, "mmput" },
	{ 0x81fd7be2, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x5b30e25c, "vhost_task_wake" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc58007de, "vhost_task_create" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x8f00f6d1, "vhost_task_start" },
	{ 0x75a54147, "__xa_alloc" },
	{ 0x4471a51d, "vhost_task_stop" },
	{ 0x37a0cba, "kfree" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x8c1c2e2a, "unpin_user_pages_dirty_lock" },
	{ 0xbc683d8f, "pin_user_pages_fast" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xfea41449, "xa_find" },
	{ 0xa256d729, "xa_find_after" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xc794f8c, "fput" },
	{ 0x918431c7, "xa_erase" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x520b0dd7, "iov_iter_init" },
	{ 0x31a59dec, "_copy_to_iter" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1000e51, "schedule" },
	{ 0x9612cd5b, "prepare_to_wait" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x65df35ca, "__put_user_nocheck_2" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9eef0766, "get_task_mm" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xd2bc5c46, "__get_user_nocheck_2" },
	{ 0x69dc6f5d, "_copy_from_iter" },
	{ 0xc67b1fbe, "iov_iter_revert" },
	{ 0xd958691c, "eventfd_fget" },
	{ 0x5a3638ff, "iov_iter_advance" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xa5191c76, "param_ops_ushort" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "C4F23D70DE2A05B29BE97B0");

MODULE_INFO(suserelease, "SLFO-1.2");
