#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x1cabfb0f, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0xa687bfa3, "_gpl");
SYMBOL_CRC(fuse_request_end, 0xcc91128a, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x165b3af6, "_gpl");
SYMBOL_CRC(fuse_abort_conn, 0x3e0d1389, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x1aee590d, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x46f8e589, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x5e767907, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x6f042c91, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x468be763, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x5f354dda, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0xc94d979b, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0xbecd80c9, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x8e074a8a, "_gpl");
SYMBOL_CRC(fuse_send_init, 0xd7896282, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x1bdcf22f, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x259bc7c4, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0xef86cd1b, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xaba5d272, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0xf344d0e7, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0xbd71ace0, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xad4d89fd, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0xaccc0815, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x458c5f44, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xaa3ae825, "");
SYMBOL_CRC(fuse_do_ioctl, 0x086763bd, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x8124fa7d, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3698d537, "__var_waitqueue" },
	{ 0xd81d213c, "iov_iter_extract_pages" },
	{ 0x1cfbc85c, "backing_file_write_iter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x1700ffd, "copy_page_from_iter_atomic" },
	{ 0x8ff6b09c, "fs_param_is_gid" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x97cdf208, "fs_context_for_submount" },
	{ 0x8f8da21e, "inode_init_once" },
	{ 0xafdd70a2, "file_write_and_wait_range" },
	{ 0x2a730987, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0xc3e6ae00, "nosteal_pipe_buf_ops" },
	{ 0xf2b42cde, "ilookup5" },
	{ 0x981ce084, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x28e2c592, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xf1f3446, "release_pages" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0xee1a2227, "generic_file_direct_write" },
	{ 0xc794f8c, "fput" },
	{ 0x77f5bb81, "down_write" },
	{ 0x264635e1, "up_write" },
	{ 0xfe146636, "generic_file_read_iter" },
	{ 0xec59356e, "inode_maybe_inc_iversion" },
	{ 0x288d3483, "unlock_page" },
	{ 0x13d22b21, "inc_node_page_state" },
	{ 0xa07a37f0, "memchr" },
	{ 0xac68e423, "truncate_pagecache" },
	{ 0xa7db12f0, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1496aad8, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x8173b255, "backing_file_splice_read" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc533281, "dec_node_page_state" },
	{ 0x954f099c, "idr_preload" },
	{ 0x3024bfba, "write_cache_pages" },
	{ 0xa764d06d, "file_update_time" },
	{ 0x1641dcac, "set_nlink" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x19e96d05, "kmem_cache_alloc_lru_noprof" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0xa21c3026, "fget_raw" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x8497ec18, "from_kgid" },
	{ 0xb974afde, "fasync_helper" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc49605b5, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8bd15a29, "from_vfsgid" },
	{ 0xfe230969, "write_inode_now" },
	{ 0x9e067a0e, "dax_writeback_mapping_range" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc261f720, "d_obtain_alias" },
	{ 0x1796d14, "file_modified" },
	{ 0xe1d9bf44, "copy_page_to_iter" },
	{ 0xbada6f58, "__put_devmap_managed_folio_refs" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x48ce8c8a, "folio_end_read" },
	{ 0x7aba5513, "finish_no_open" },
	{ 0xc98007b0, "idr_alloc_cyclic" },
	{ 0x2a553db7, "__folio_start_writeback" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0xe78c1cdf, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xb14ef6cd, "kill_litter_super" },
	{ 0xf95c4380, "folio_end_writeback" },
	{ 0x7296068c, "folio_alloc_noprof" },
	{ 0xf21ce8d2, "from_kuid" },
	{ 0xae7bc4e9, "current_in_userns" },
	{ 0xff12b212, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0xb232fae5, "sysfs_remove_mount_point" },
	{ 0xe54012d3, "misc_register" },
	{ 0x5fb6747, "unpin_user_page" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xa8ee4a52, "in_group_or_capable" },
	{ 0x947142a7, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xc93b4a48, "d_delete" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x268c62bd, "from_kgid_munged" },
	{ 0x7d3b7302, "end_page_writeback" },
	{ 0x9bf19f49, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xa9c1db69, "kobject_create_and_add" },
	{ 0xa985aeff, "down_read" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xb9298d15, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4b4f6903, "nonseekable_open" },
	{ 0x151ce735, "dax_finish_sync_fault" },
	{ 0xaadbe66c, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7fd3b795, "backing_file_read_iter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x41229c10, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x36c9d969, "noop_direct_IO" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7230beea, "fdget" },
	{ 0x436bc9f6, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5c988008, "generic_read_dir" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xa0d363c9, "d_add" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x538eb2d2, "init_user_ns" },
	{ 0x21d3afc5, "folio_copy" },
	{ 0xdbcd559c, "d_find_alias" },
	{ 0x4440820f, "invalidate_inode_pages2" },
	{ 0x940f8397, "inode_set_ctime_current" },
	{ 0x2f8348cd, "inc_nlink" },
	{ 0x66ca9904, "seq_write" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8ff65683, "get_tree_bdev" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xea104bc3, "set_anon_super_fc" },
	{ 0x3335abed, "seq_printf" },
	{ 0xef50d181, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x597e3467, "generic_delete_inode" },
	{ 0xe0ddb2aa, "deactivate_locked_super" },
	{ 0x77fb75f0, "touch_atime" },
	{ 0x986ff2bf, "__percpu_down_read" },
	{ 0xe162b5c4, "__d_lookup_unhash_wake" },
	{ 0xd3d87112, "set_page_dirty_lock" },
	{ 0xe74210ef, "pid_nr_ns" },
	{ 0xdce674c4, "generic_file_open" },
	{ 0x7ba1d67, "truncate_inode_pages_range" },
	{ 0x86347902, "__put_user_ns" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0xc9c6d666, "__folio_lock" },
	{ 0x912e3e38, "filemap_dirty_folio" },
	{ 0x5bc2ac50, "pagecache_get_page" },
	{ 0x2bcf0760, "stream_open" },
	{ 0x3c41cf91, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xd147280e, "__wake_up_sync" },
	{ 0x98a7f538, "add_to_pipe" },
	{ 0xaa903c3a, "__fs_parse" },
	{ 0xc5709697, "dax_layout_busy_page_range" },
	{ 0xdd3ae9e1, "filemap_splice_read" },
	{ 0xbcc8e1de, "posix_acl_to_xattr" },
	{ 0x680d6ada, "dget_parent" },
	{ 0xc34199a6, "kill_anon_super" },
	{ 0x36cab5e2, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x7da0083e, "iget5_locked" },
	{ 0x9a3eb71d, "security_dentry_init_security" },
	{ 0x6706e0a5, "filemap_write_and_wait_range" },
	{ 0x31b0de52, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x3342c9df, "generic_write_checks" },
	{ 0xc67b1fbe, "iov_iter_revert" },
	{ 0x24c709c5, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x11c9859, "__vma_start_write" },
	{ 0xd162bb78, "mntget" },
	{ 0x63ef9951, "filemap_fault" },
	{ 0x4f4863d7, "d_invalidate" },
	{ 0xceff8f29, "__mark_inode_dirty" },
	{ 0x38bc19cd, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x10364471, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x1cac320c, "drop_nlink" },
	{ 0xd8e2b9c4, "fault_in_iov_iter_readable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xdac6e110, "filemap_check_errors" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x75e62f88, "fs_param_is_uid" },
	{ 0xa247df7c, "bdi_set_max_ratio" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0xde021df3, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xff9f77ce, "super_setup_bdi_name" },
	{ 0x63e6ffe0, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xb762aa18, "truncate_inode_pages" },
	{ 0x3062996, "noop_backing_dev_info" },
	{ 0x91c67b7a, "pipe_lock" },
	{ 0x444cdee8, "generic_fillattr" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9b72714d, "vfs_fsync_range" },
	{ 0xa10bcf6d, "setattr_prepare" },
	{ 0xd27a79bd, "filemap_migrate_folio" },
	{ 0xf9ac406e, "clear_nlink" },
	{ 0xe9a9076d, "file_check_and_advance_wb_err" },
	{ 0x1ebac21, "d_alloc_parallel" },
	{ 0x173756c, "__init_rwsem" },
	{ 0x490e48ae, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xbca03f0, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xb563a361, "make_vfsgid" },
	{ 0x6e041218, "clear_inode" },
	{ 0xbe42edc5, "inode_to_bdi" },
	{ 0x28e019cd, "find_pid_ns" },
	{ 0x333051c0, "idr_find" },
	{ 0x58962ff3, "invalid_mnt_idmap" },
	{ 0x2cf8f026, "grab_cache_page_write_begin" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xed2d430, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x353c5cbc, "pipe_unlock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xcdad8617, "fs_param_is_string" },
	{ 0x1eab809c, "folio_unlock" },
	{ 0x7bebfd01, "new_inode" },
	{ 0x7e3a4726, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0x453e73c8, "dump_page" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x6ff08b4f, "forget_all_cached_acls" },
	{ 0x47ef2700, "init_special_inode" },
	{ 0x9894396d, "unregister_filesystem" },
	{ 0xa5ae326b, "task_active_pid_ns" },
	{ 0x8799ea52, "iov_iter_single_seg_count" },
	{ 0xb783f99e, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x373dbe2a, "filemap_fdatawrite_range" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x4f633cf, "d_alloc_name" },
	{ 0xd8f30456, "replace_page_cache_folio" },
	{ 0x7c19216b, "inode_query_iversion" },
	{ 0x5a3638ff, "iov_iter_advance" },
	{ 0x7087ee17, "kill_fasync" },
	{ 0x48c2fa14, "d_make_root" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7f29f8d4, "backing_file_splice_write" },
	{ 0x4d837285, "sb_set_blocksize" },
	{ 0xf7a53a57, "fget" },
	{ 0x75e757a9, "simple_fill_super" },
	{ 0x28d7a5ab, "xas_find" },
	{ 0x1ab185ed, "sync_filesystem" },
	{ 0x57b19ed6, "noop_dirty_folio" },
	{ 0xd172d8ac, "sget_fc" },
	{ 0x1187629c, "param_set_uint" },
	{ 0x2c3b996d, "d_splice_alias" },
	{ 0x86e1b733, "iov_iter_get_pages2" },
	{ 0xd6ee0ec, "direct_write_fallback" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbbefb5d1, "from_vfsuid" },
	{ 0xc30d0f07, "page_get_link" },
	{ 0x7a3eb862, "generic_permission" },
	{ 0x9e0f3659, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x8743030a, "invalidate_inode_pages2_range" },
	{ 0x44d71095, "posix_lock_file" },
	{ 0xe24d997d, "finish_open" },
	{ 0x558aadf8, "dax_iomap_rw" },
	{ 0x7707c6ca, "iput" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xd65b245a, "logfc" },
	{ 0x68385a64, "iter_file_splice_write" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xa511dc13, "init_pid_ns" },
	{ 0x84725dac, "dax_iomap_fault" },
	{ 0x520b0dd7, "iov_iter_init" },
	{ 0xdc15a611, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x21ccc7c4, "sysfs_create_mount_point" },
	{ 0x116a901c, "generic_file_write_iter" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x800f9343, "register_filesystem" },
	{ 0xfa05038b, "folio_add_lru" },
	{ 0xc44190f8, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xfff04abd, "sync_inode_metadata" },
	{ 0xe380cd7a, "simple_empty" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x73d78539, "down_read_trylock" },
	{ 0xd42410d7, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x45ede1b9, "shrink_dcache_parent" },
	{ 0xc27f870b, "make_vfsuid" },
	{ 0x45f894dc, "__put_cred" },
	{ 0x9beef533, "backing_file_open" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0xb0d77f19, "get_tree_nodev" },
	{ 0x7cf4040c, "splice_file_range" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x428699ec, "simple_inode_init_ts" },
	{ 0x9e5c8639, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf2a2abfd, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xf82c7e3c, "fs_param_is_u32" },
	{ 0x18ba6ebf, "inode_newsize_ok" },
	{ 0x1b05f75d, "d_drop" },
	{ 0x92195ffa, "kill_block_super" },
	{ 0x4cdf58b8, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x767c75cc, "bdi_put" },
	{ 0xa0f9fda, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0xe67c33b2, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8e9c69fd, "make_kuid" },
	{ 0xd7ed981c, "truncate_inode_pages_final" },
	{ 0x38e28582, "fs_kobj" },
	{ 0xdaabb212, "__filemap_set_wb_err" },
	{ 0xf43cdf97, "simple_dir_operations" },
	{ 0x7c1851e7, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x95d1c8d2, "backing_file_mmap" },
	{ 0xd567a1b2, "__filemap_get_folio" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x8375762d, "__free_pages" },
	{ 0x17be70cc, "folio_mark_dirty" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0x6dce50c2, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xad4fa068, "setattr_should_drop_suidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "32BB753D0C235C2A343312C");

MODULE_INFO(suserelease, "SLFO-1.2");
