#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nlmclnt_init, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_done, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_rpc_clnt, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_proc, "_gpl", "");
KSYMTAB_DATA(nlmsvc_ops, "_gpl", "");
KSYMTAB_FUNC(lockd_up, "_gpl", "");
KSYMTAB_FUNC(lockd_down, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_sb, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_ip, "_gpl", "");

SYMBOL_CRC(nlmclnt_init, 0x7406f7e6, "_gpl");
SYMBOL_CRC(nlmclnt_done, 0x55b502a0, "_gpl");
SYMBOL_CRC(nlmclnt_rpc_clnt, 0x1ee8edf0, "_gpl");
SYMBOL_CRC(nlmclnt_proc, 0x730a14c3, "_gpl");
SYMBOL_CRC(nlmsvc_ops, 0xd28456c2, "_gpl");
SYMBOL_CRC(lockd_up, 0xec5da6f0, "_gpl");
SYMBOL_CRC(lockd_down, 0xc3adc19d, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_sb, 0xc0d3fd32, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_ip, 0x9cbde0a0, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x923a5f97, "vfs_cancel_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x2fa9d304, "proc_doulongvec_minmax" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x53445f68, "nlm_debug" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5ad1ef3d, "freezing_slow_path" },
	{ 0x154dc74d, "rpc_create" },
	{ 0x8e48a259, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xae689781, "rpc_call_start" },
	{ 0xc12dd782, "svc_create" },
	{ 0x84b783, "default_llseek" },
	{ 0x8c763dec, "rpc_call_sync" },
	{ 0xefa589cf, "proc_mkdir" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0xe604c138, "register_sysctl_sz" },
	{ 0xa59900bc, "vfs_lock_file" },
	{ 0xe396214a, "rpc_delay" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x40f0ddc5, "svc_generic_init_request" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xa985aeff, "down_read" },
	{ 0xd24639ee, "svc_set_client" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x4150866, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x54092893, "rpc_force_rebind" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xa7e66318, "rpc_restart_call" },
	{ 0x17dcdceb, "svc_xprt_destroy_all" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xcb8a4261, "remove_proc_entry" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x951cec93, "svc_find_xprt" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xa8e69db7, "proc_dointvec" },
	{ 0xb0fe3b1d, "svc_print_addr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x59ee4de3, "locks_delete_block" },
	{ 0x754d539c, "strlen" },
	{ 0x3f60bf92, "locks_start_grace" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x2f6fa27a, "param_get_int" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x96ae272c, "svc_xprt_create" },
	{ 0xc85e8d97, "rpc_wait_for_completion_task" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x981cf0c7, "locks_copy_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1f7347d5, "proc_dointvec_minmax" },
	{ 0x656451d6, "rpc_put_task" },
	{ 0x178766f4, "svc_generic_rpcbind_set" },
	{ 0x4cdbc981, "svc_wake_up" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x173756c, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d81b71, "bpf_trace_run4" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x35847fd, "rpc_shutdown_client" },
	{ 0x4573d57d, "svc_bind" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x608e1b53, "proc_create" },
	{ 0xc801b56, "svc_recv" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa5742c1d, "xdr_inline_decode" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x9612cd5b, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb9deda01, "simple_transaction_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x828ff206, "vfs_test_lock" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x57be1984, "svc_exit_thread" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xcdc2d77c, "param_get_ulong" },
	{ 0x95199e44, "rpc_run_task" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x45f894dc, "__put_cred" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0x6bc55b9e, "locks_in_grace" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3dc290eb, "proc_dobool" },
	{ 0xf2a2abfd, "locks_lock_inode_wait" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2dd9cf2b, "unregister_sysctl_table" },
	{ 0x4e54f97b, "locks_release_private" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xb2844896, "locks_init_lock" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd1f695fb, "simple_transaction_release" },
	{ 0xd6f4eb7d, "svc_xprt_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb9a472e4, "svc_age_temp_xprts_now" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x77f5bb81, "down_write" },
	{ 0xf1597117, "init_net" },
	{ 0x264635e1, "up_write" },
	{ 0x23121f3f, "svc_set_num_threads" },
	{ 0x1d0b21fe, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,grace");


MODULE_INFO(srcversion, "02DED2EC4D3F96AEF535842");

MODULE_INFO(suserelease, "SLFO-1.2");
