#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(netfs_readahead, "", "");
KSYMTAB_FUNC(netfs_read_folio, "", "");
KSYMTAB_FUNC(netfs_write_begin, "", "");
KSYMTAB_FUNC(netfs_buffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_file_read_iter, "", "");
KSYMTAB_FUNC(netfs_perform_write, "", "");
KSYMTAB_FUNC(netfs_buffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_file_write_iter, "", "");
KSYMTAB_FUNC(netfs_page_mkwrite, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter, "", "");
KSYMTAB_FUNC(netfs_extract_user_iter, "_gpl", "");
KSYMTAB_FUNC(netfs_limit_iter, "", "");
KSYMTAB_FUNC(netfs_start_io_read, "", "");
KSYMTAB_FUNC(netfs_end_io_read, "", "");
KSYMTAB_FUNC(netfs_start_io_write, "", "");
KSYMTAB_FUNC(netfs_end_io_write, "", "");
KSYMTAB_FUNC(netfs_start_io_direct, "", "");
KSYMTAB_FUNC(netfs_end_io_direct, "", "");
KSYMTAB_DATA(__tracepoint_netfs_sreq, "", "");
KSYMTAB_FUNC(__traceiter_netfs_sreq, "", "");
KSYMTAB_DATA(__SCK__tp_func_netfs_sreq, "", "");
KSYMTAB_FUNC(__SCT__tp_func_netfs_sreq, "", "");
KSYMTAB_FUNC(netfs_dirty_folio, "", "");
KSYMTAB_FUNC(netfs_unpin_writeback, "", "");
KSYMTAB_FUNC(netfs_clear_inode_writeback, "", "");
KSYMTAB_FUNC(netfs_invalidate_folio, "", "");
KSYMTAB_FUNC(netfs_release_folio, "", "");
KSYMTAB_FUNC(netfs_read_subreq_progress, "", "");
KSYMTAB_FUNC(netfs_read_subreq_terminated, "", "");
KSYMTAB_FUNC(netfs_write_subrequest_terminated, "", "");
KSYMTAB_FUNC(netfs_prepare_write_failed, "", "");
KSYMTAB_FUNC(netfs_writepages, "", "");
KSYMTAB_FUNC(netfs_stats_show, "", "");
KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");
KSYMTAB_DATA(fscache_n_dio_misfit, "", "");

SYMBOL_CRC(netfs_readahead, 0xd5364b60, "");
SYMBOL_CRC(netfs_read_folio, 0x8a7ccea0, "");
SYMBOL_CRC(netfs_write_begin, 0x1208f2a0, "");
SYMBOL_CRC(netfs_buffered_read_iter, 0xfd09a1b8, "");
SYMBOL_CRC(netfs_file_read_iter, 0x374edc36, "");
SYMBOL_CRC(netfs_perform_write, 0xff1502c9, "");
SYMBOL_CRC(netfs_buffered_write_iter_locked, 0x4cc8d50f, "");
SYMBOL_CRC(netfs_file_write_iter, 0x6a3ac5b5, "");
SYMBOL_CRC(netfs_page_mkwrite, 0x8d253e9a, "");
SYMBOL_CRC(netfs_unbuffered_read_iter_locked, 0x8d0e7c96, "");
SYMBOL_CRC(netfs_unbuffered_read_iter, 0xf0ac4c83, "");
SYMBOL_CRC(netfs_unbuffered_write_iter_locked, 0x269a8190, "");
SYMBOL_CRC(netfs_unbuffered_write_iter, 0xd1f66026, "");
SYMBOL_CRC(netfs_extract_user_iter, 0x8eab2a25, "_gpl");
SYMBOL_CRC(netfs_limit_iter, 0xd71ff4a3, "");
SYMBOL_CRC(netfs_start_io_read, 0x6056c4e7, "");
SYMBOL_CRC(netfs_end_io_read, 0x8612a934, "");
SYMBOL_CRC(netfs_start_io_write, 0xae8841b4, "");
SYMBOL_CRC(netfs_end_io_write, 0xb1b486b7, "");
SYMBOL_CRC(netfs_start_io_direct, 0x87919d16, "");
SYMBOL_CRC(netfs_end_io_direct, 0x1e87f06b, "");
SYMBOL_CRC(__tracepoint_netfs_sreq, 0xb1d23eb3, "");
SYMBOL_CRC(__traceiter_netfs_sreq, 0x1091bc02, "");
SYMBOL_CRC(__SCK__tp_func_netfs_sreq, 0xf1f67775, "");
SYMBOL_CRC(__SCT__tp_func_netfs_sreq, 0x42c377ab, "");
SYMBOL_CRC(netfs_dirty_folio, 0x18c6bb09, "");
SYMBOL_CRC(netfs_unpin_writeback, 0xae372527, "");
SYMBOL_CRC(netfs_clear_inode_writeback, 0x1211ba6a, "");
SYMBOL_CRC(netfs_invalidate_folio, 0xd3bd72ba, "");
SYMBOL_CRC(netfs_release_folio, 0x43d6135a, "");
SYMBOL_CRC(netfs_read_subreq_progress, 0x2f33e819, "");
SYMBOL_CRC(netfs_read_subreq_terminated, 0xabddb959, "");
SYMBOL_CRC(netfs_write_subrequest_terminated, 0x90f5f875, "");
SYMBOL_CRC(netfs_prepare_write_failed, 0xb092a3c8, "");
SYMBOL_CRC(netfs_writepages, 0xd8dfc395, "");
SYMBOL_CRC(netfs_stats_show, 0xae1aa41b, "");
SYMBOL_CRC(fscache_addremove_sem, 0xbd39a847, "");
SYMBOL_CRC(fscache_clearance_waiters, 0xdfdf72c8, "");
SYMBOL_CRC(fscache_acquire_cache, 0x81382a9f, "");
SYMBOL_CRC(fscache_relinquish_cache, 0xb56142ff, "");
SYMBOL_CRC(fscache_add_cache, 0x4b28ee9f, "");
SYMBOL_CRC(fscache_io_error, 0xb4a3b947, "");
SYMBOL_CRC(fscache_withdraw_cache, 0xb999b2ae, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x55f2d70a, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0xe72b43e4, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x9d809577, "");
SYMBOL_CRC(fscache_caching_failed, 0x363b057e, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0x11d51be2, "");
SYMBOL_CRC(__fscache_use_cookie, 0x0a21ada9, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0x5db8df7a, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0xa54adc17, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0xa5486c67, "");
SYMBOL_CRC(fscache_put_cookie, 0x5acee30d, "");
SYMBOL_CRC(fscache_get_cookie, 0xd058249d, "");
SYMBOL_CRC(__fscache_invalidate, 0x88d34091, "");
SYMBOL_CRC(fscache_wait_for_operation, 0x7dd6513c, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0x0be7d48e, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0x0ec7854e, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x381e2889, "");
SYMBOL_CRC(__fscache_write_to_cache, 0x69d54d13, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x91423537, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x5c62934b, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x62c54124, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_cache, 0x7c87e02d, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0xa4ec15bc, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x79dfcea7, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_volume, 0x7b1b25da, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0xba4a4f0c, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x1113e8af, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access, 0x5954d7ac, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0x28a9ccae, "");
SYMBOL_CRC(fscache_end_volume_access, 0xb55ce393, "");
SYMBOL_CRC(__fscache_acquire_volume, 0x75d79e6e, "");
SYMBOL_CRC(fscache_put_volume, 0xa7208798, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0x5947e613, "");
SYMBOL_CRC(fscache_withdraw_volume, 0x131116fa, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");
SYMBOL_CRC(fscache_n_dio_misfit, 0x2acb5e19, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdaabb212, "__filemap_set_wb_err" },
	{ 0xd567a1b2, "__filemap_get_folio" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6563b78c, "filemap_invalidate_inode" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0x17be70cc, "folio_mark_dirty" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0x3698d537, "__var_waitqueue" },
	{ 0xd81d213c, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x1700ffd, "copy_page_from_iter_atomic" },
	{ 0xf4a22eec, "__folio_swap_cache_index" },
	{ 0x831700f6, "folio_wait_private_2" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x1d214110, "kmem_cache_size" },
	{ 0x3fb7a406, "mempool_alloc_noprof" },
	{ 0xeb4104ea, "readahead_expand" },
	{ 0xbfac13aa, "__inode_attach_wb" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x9b2109eb, "__folio_lock_killable" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x77f5bb81, "down_write" },
	{ 0x264635e1, "up_write" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcec4fb63, "out_of_line_wait_on_bit_timeout" },
	{ 0xae8aebd2, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xeba13c1, "inode_dio_finished" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa764d06d, "file_update_time" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0x7a905b8, "seq_putc" },
	{ 0x62173924, "trace_event_reg" },
	{ 0xc49605b5, "file_remove_privs" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x2a553db7, "__folio_start_writeback" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xf95c4380, "folio_end_writeback" },
	{ 0x7296068c, "folio_alloc_noprof" },
	{ 0xeadac4b7, "down_read_interruptible" },
	{ 0xefa589cf, "proc_mkdir" },
	{ 0x8033a3e5, "inode_dio_wait_interruptible" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8903bb3, "iov_iter_bvec" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5fb6747, "unpin_user_page" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x256fe3b4, "folio_end_private_2" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xf3790ebf, "writeback_iter" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa985aeff, "down_read" },
	{ 0x82b5fad, "mutex_trylock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9cfa588a, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x29dd4a3c, "bit_wait_timeout" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x42a8676, "down_write_killable" },
	{ 0x6c45b61b, "filemap_fdatawait_range" },
	{ 0x66ca9904, "seq_write" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0xcb8a4261, "remove_proc_entry" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0x2067d302, "iov_iter_zero" },
	{ 0x77fb75f0, "touch_atime" },
	{ 0x5daeb3e3, "filemap_read" },
	{ 0x986ff2bf, "__percpu_down_read" },
	{ 0xfaa6a487, "balance_dirty_pages_ratelimited_flags" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0x1be11656, "downgrade_write" },
	{ 0x912e3e38, "filemap_dirty_folio" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x3c41cf91, "rcuwait_wake_up" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xfe02790e, "iov_iter_xarray" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x8e025ba, "proc_create_single_data" },
	{ 0x6706e0a5, "filemap_write_and_wait_range" },
	{ 0x1cfb7e43, "folio_wait_writeback_killable" },
	{ 0xa4ef547d, "mempool_init_noprof" },
	{ 0x754d539c, "strlen" },
	{ 0x5a5548a4, "proc_symlink" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x3342c9df, "generic_write_checks" },
	{ 0xc67b1fbe, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x57cd58c3, "proc_create_seq_private" },
	{ 0x990cf0cb, "folio_wait_private_2_killable" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x10364471, "iov_iter_npages" },
	{ 0xd8e2b9c4, "fault_in_iov_iter_readable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xfae0e8fa, "mempool_exit" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9b72714d, "vfs_fsync_range" },
	{ 0xf3f59ded, "wbc_detach_inode" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d81b71, "bpf_trace_run4" },
	{ 0xf1d6844f, "kiocb_write_and_wait" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x9471d48, "filemap_range_has_page" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xada3da17, "__folio_batch_release" },
	{ 0x1eab809c, "folio_unlock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0x373dbe2a, "filemap_fdatawrite_range" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x5a3638ff, "iov_iter_advance" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x28d7a5ab, "xas_find" },
	{ 0xf6e810d3, "folio_redirty_for_writepage" },
	{ 0x554b4ffc, "iov_iter_folio_queue" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x355baffc, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x8743030a, "invalidate_inode_pages2_range" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x75656218, "wbc_attach_and_unlock_inode" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xac8c446a, "remove_proc_subtree" },
	{ 0xc44190f8, "folio_clear_dirty_for_io" },
	{ 0x36abf882, "mempool_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "08DF572E7BDBEB7B45456E7");

MODULE_INFO(suserelease, "SLFO-1.2");
