#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs3_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs3_set_ds_client, 0xdab1ffd4, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb4c2f23f, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc2bb3f25, "nfs_async_iocounter_wait" },
	{ 0x96485e8, "nfs_setattr_update_inode" },
	{ 0xc0c736c5, "nfs_sops" },
	{ 0x538eb2d2, "init_user_ns" },
	{ 0xa7e66318, "rpc_restart_call" },
	{ 0xa8bc0037, "nfs_link" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xef50d181, "dput" },
	{ 0x1ce1598c, "nfs_stat_to_errno" },
	{ 0xdb03abd5, "put_nfs_open_context" },
	{ 0x657e167f, "nfs_permission" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0x999ea71b, "nfs_add_or_obtain" },
	{ 0x36cab5e2, "from_kuid_munged" },
	{ 0x754d539c, "strlen" },
	{ 0x4f44173, "nfs_free_client" },
	{ 0x57f8813b, "nfs_close_context" },
	{ 0xb45ecb4b, "nfs_refresh_inode" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0x5454b89f, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa8601412, "nfs_symlink" },
	{ 0x6c806ebe, "nfs_unlink" },
	{ 0xd86462db, "forget_cached_acl" },
	{ 0x69e4cf05, "nfs_clone_server" },
	{ 0xe914e41e, "strcpy" },
	{ 0x730a14c3, "nlmclnt_proc" },
	{ 0xc7562bf2, "nfs_writeback_update_inode" },
	{ 0x2474cf7b, "nfs_alloc_client" },
	{ 0xc2cede16, "nfs_dentry_operations" },
	{ 0x8a787077, "xdr_write_pages" },
	{ 0xc986d6a2, "nfs_access_zap_cache" },
	{ 0xeed5505f, "nfs_wb_all" },
	{ 0xa5742c1d, "xdr_inline_decode" },
	{ 0x6ff08b4f, "forget_all_cached_acls" },
	{ 0x4ceaf04c, "nfs_submount" },
	{ 0x7edb96ba, "__tracepoint_nfs_xdr_status" },
	{ 0xe58fb336, "nfs_mknod" },
	{ 0xe38b9667, "nfs_create_server" },
	{ 0x6b0bdeb9, "nfs_init_client" },
	{ 0x37a0cba, "kfree" },
	{ 0xa8f9519e, "nfs_post_op_update_inode" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xf96cb7c0, "xdr_read_pages" },
	{ 0x30461691, "nfsacl_decode" },
	{ 0x5818fe3c, "posix_acl_from_mode" },
	{ 0xc7cc8d22, "nfs_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbf8346e6, "nfs_mkdir" },
	{ 0x5afe5c3f, "nfs_revalidate_inode" },
	{ 0x380c2e59, "nfs_get_lock_context" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdbd6dd2f, "nfs_try_get_tree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e9c69fd, "make_kuid" },
	{ 0xfeb42418, "__SCT__tp_func_nfs_xdr_status" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xb4a30135, "nfs_get_client" },
	{ 0x8375762d, "__free_pages" },
	{ 0x87624573, "nfs_file_operations" },
	{ 0xb0ac9e87, "get_inode_acl" },
	{ 0x37239e6d, "__SCT__tp_func_nfs_xdr_bad_filehandle" },
	{ 0x5d3878a9, "nfs_put_lock_context" },
	{ 0x71e3d283, "nfs_rename" },
	{ 0x76e12849, "nfs_lookup" },
	{ 0x16290045, "nfs_sysfs_link_rpc_client" },
	{ 0xc98671ea, "nfsacl_encode" },
	{ 0xc14e0beb, "posix_acl_create" },
	{ 0x1fcfc573, "get_nfs_open_context" },
	{ 0x5df653dc, "__SCK__tp_func_nfs_xdr_status" },
	{ 0x9b93e75c, "nfs_invalidate_atime" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x14164f8b, "nfs_getattr" },
	{ 0x624a7361, "__SCK__tp_func_nfs_xdr_bad_filehandle" },
	{ 0x3ef19449, "nfs_zap_acl_cache" },
	{ 0xd7b8294d, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4d6d18f, "rpc_bind_new_program" },
	{ 0xde823263, "register_nfs_version" },
	{ 0x66c9189, "nfs_atomic_open_v23" },
	{ 0xae689781, "rpc_call_start" },
	{ 0x8c763dec, "rpc_call_sync" },
	{ 0xa1dfdb36, "rpc_prepare_reply_pages" },
	{ 0xc413a107, "nfs_fs_type" },
	{ 0x932e2a76, "nfs_setattr" },
	{ 0xa437f59, "xdr_terminate_string" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xe396214a, "rpc_delay" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x947142a7, "make_kgid" },
	{ 0x268c62bd, "from_kgid_munged" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0x4150866, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf7f9d62e, "nfs_rmdir" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,lockd,nfs_acl");


MODULE_INFO(srcversion, "60475D94ACE9D1D590C5D46");

MODULE_INFO(suserelease, "SLFO-1.2");
