#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x94e0c7dd, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x7e51b380, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x07455cbb, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xae92eb1e, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x0a48df00, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x5ee9c1b7, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x1174bfa1, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x8a702599, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x01491ac5, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x5a4655d7, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0xc3a8f716, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0xb30fd15e, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x8bc37a8c, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0xb81a926e, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0xeeeb8b41, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0x99576b2f, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0xac1975f9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0x16da5e6c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x94b54f89, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x0a2f9796, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x7befd296, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0xf8586d26, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0xeea53bd8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x75084b7b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x44a3eb56, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0xdf8c727f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0x0fa6d99f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0xbdb17291, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x9c0ed93a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x5f420db7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x49730118, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x7bc26edf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0xddb12daa, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0xc3ce8183, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x030f2aa7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0xe47817e6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0xc2c17919, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0xca3ca96f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0xff3e5a58, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xe5d2ddda, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0xc41d2894, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x0721a2fc, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x7c67d22b, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x82445480, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xae88a4a9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x7325c2f3, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0xcbf063ba, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x6672bf9c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x551feac1, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x018005d7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x8807c175, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0xe6d91eeb, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x6f3e27b7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x2a087155, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x22c33e98, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0x97e8654f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0xca688244, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg, 0xf0a5b199, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0x449aec09, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0x7ff8e6da, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x077ee234, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg_err, 0x87ed16c4, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x53b11902, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0x04e44e6b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0xbceb841d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg, 0xa37b1177, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x916ee772, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0xb06520e0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x1c3ec12f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg_err, 0xe1bc35e8, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xaf33d70d, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0x8ea5946a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x47986bd1, "_gpl");
SYMBOL_CRC(__SCT__tp_func_fl_getdevinfo, 0x6f27cded, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0xbf3c1938, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0xd72ecebd, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x5dfd3061, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0xd6fab7a8, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0xbea2b8ab, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0xbbb591c5, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x016e8365, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0xbb2032a9, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x76344782, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0xa88bc32c, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x0dcb815e, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x900c65f7, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x033be5ba, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x552081d7, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x89b5426d, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0xc0da3796, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0xa06d20d8, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x29a85dab, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x02232972, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x9092412d, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0xabfe72a4, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x7828f9c9, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x5be5588d, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x32757c62, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x42db32a3, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0xb96b3e1f, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x09979db5, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x81148230, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0x8cb5869a, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0xd62b732f, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x8a11a3ee, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x5066b210, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x724779bb, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x117791d3, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x29d0b23f, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0xb417deb9, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x2add6ca4, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0xb7676006, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0xc1c3e620, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x75283ca3, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0xd10b17f2, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x22472660, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xe27abd79, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0xeec48f53, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x6ad6faa2, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0xc3f456af, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0xae7b1b83, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x634fa322, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0xc5959622, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xde3b1a3b, "xdr_stream_subsegment" },
	{ 0x3ef19449, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xd9b29468, "nfs_fscache_open_file" },
	{ 0x8497ec18, "from_kgid" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc91556c1, "nfs_write_inode" },
	{ 0x48f420a5, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x2decd5b5, "rpc_wake_up_first" },
	{ 0x201bdfe6, "alloc_nfs_open_context" },
	{ 0x2842c1a6, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1556d286, "vfs_parse_fs_param" },
	{ 0x7c1936e4, "nfs_path" },
	{ 0x6c236b83, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd48f3537, "nfs_create_rpc_client" },
	{ 0xbada6f58, "__put_devmap_managed_folio_refs" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xde823263, "register_nfs_version" },
	{ 0x30a27e84, "rpc_sleep_on_timeout" },
	{ 0x666c9b27, "list_lru_count_one" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8e48a259, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xae689781, "rpc_call_start" },
	{ 0x102dd507, "xprt_setup_backchannel" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0xc12dd782, "svc_create" },
	{ 0x6e1ace63, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x288feccb, "nfs_file_set_open_context" },
	{ 0x2dd0125c, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x8c763dec, "rpc_call_sync" },
	{ 0xf21ce8d2, "from_kuid" },
	{ 0xda62c25f, "rpc_put_task_async" },
	{ 0xa1dfdb36, "rpc_prepare_reply_pages" },
	{ 0x7b5c75d2, "rpc_queue_upcall" },
	{ 0x8a81b86e, "nfs_free_server" },
	{ 0xff12b212, "fc_mount" },
	{ 0xe604c138, "register_sysctl_sz" },
	{ 0x932e2a76, "nfs_setattr" },
	{ 0xa437f59, "xdr_terminate_string" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9f0f08fb, "nfs4_fs_type" },
	{ 0x5710fa96, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xe396214a, "rpc_delay" },
	{ 0x1decf30e, "nfs_flock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5684a17b, "__list_lru_init" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x40f0ddc5, "svc_generic_init_request" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x16004b44, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x606d6463, "rpc_exit" },
	{ 0x947142a7, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xaf767c91, "rpc_remove_pipe_dir_object" },
	{ 0xd9b1d0f0, "nfs_may_open" },
	{ 0x268c62bd, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0x7ee9eda4, "out_of_line_wait_on_bit_lock" },
	{ 0x5366653b, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa985aeff, "down_read" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x4150866, "xdr_reserve_space" },
	{ 0xfb88593a, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf7f9d62e, "nfs_rmdir" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0xfc06c75f, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xcd79b75e, "nfs_filemap_write_and_wait_range" },
	{ 0xd97c66c6, "rpc_mkpipe_dentry" },
	{ 0x53f3db5c, "alloc_file_pseudo" },
	{ 0xb75e5044, "rpc_mkpipe_data" },
	{ 0x36a97916, "rpc_add_pipe_dir_object" },
	{ 0x436bc9f6, "igrab" },
	{ 0xb4c2f23f, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc2bb3f25, "nfs_async_iocounter_wait" },
	{ 0xe112e4b2, "nfs_file_read" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0x440f4988, "nfs_alloc_fattr_with_label" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x6c45b61b, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x547582f3, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x96485e8, "nfs_setattr_update_inode" },
	{ 0x4bcb0cae, "nfs_instantiate" },
	{ 0x538eb2d2, "init_user_ns" },
	{ 0x8b71a19c, "rpc_uaddr2sockaddr" },
	{ 0x3350cd1, "user_read" },
	{ 0xa7e66318, "rpc_restart_call" },
	{ 0x30a14f60, "request_key_tag" },
	{ 0x716522cb, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x50dea99e, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x17dcdceb, "svc_xprt_destroy_all" },
	{ 0x1cb5188, "generic_key_instantiate" },
	{ 0x2f8348cd, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xa8bc0037, "nfs_link" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x83ff4af3, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0xad2cac02, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0xef50d181, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0x26b9f2d, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x40916fed, "xdr_stream_move_subsegment" },
	{ 0x9f8ed254, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x29465b7b, "nfs_post_op_update_inode_force_wcc" },
	{ 0x522eec89, "nfs_pgheader_init" },
	{ 0xdb03abd5, "put_nfs_open_context" },
	{ 0xf90935e8, "nfs_show_path" },
	{ 0xc2adc495, "nfs_show_devname" },
	{ 0x657e167f, "nfs_permission" },
	{ 0xe9fd8e8b, "nfs_initiate_commit" },
	{ 0x7ba1d67, "truncate_inode_pages_range" },
	{ 0x86347902, "__put_user_ns" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0x89f1561a, "cred_fscmp" },
	{ 0x867a0100, "rpc_unlink" },
	{ 0xfe85abd4, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xa8e69db7, "proc_dointvec" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0x10038750, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0xf768a688, "node_data" },
	{ 0xb32513dc, "nfs_probe_server" },
	{ 0xf280d238, "nfs_setsecurity" },
	{ 0x6abbeef7, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x22771e85, "rpc_clnt_test_and_add_xprt" },
	{ 0xcdac4d4a, "file_ra_state_init" },
	{ 0xc218c766, "nfs_force_lookup_revalidate" },
	{ 0x4b7511a5, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb18c8e70, "rpc_clnt_add_xprt" },
	{ 0x680d6ada, "dget_parent" },
	{ 0x36cab5e2, "from_kuid_munged" },
	{ 0x14fe0eef, "prepare_kernel_cred" },
	{ 0x35479e74, "nfs_alloc_server" },
	{ 0x688e924c, "rpc_call_async" },
	{ 0x9a3eb71d, "security_dentry_init_security" },
	{ 0x6706e0a5, "filemap_write_and_wait_range" },
	{ 0xba67b8d9, "list_lru_del_obj" },
	{ 0xed6809c5, "nfs_server_insert_lists" },
	{ 0x5de830b1, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0x4f44173, "nfs_free_client" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0xa33fb55c, "rpc_init_pipe_dir_object" },
	{ 0x43e833f2, "bpf_trace_run7" },
	{ 0xb45ecb4b, "nfs_refresh_inode" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0xe56e3f6, "nfs_init_server_rpcclient" },
	{ 0xceff8f29, "__mark_inode_dirty" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x24dd6f5, "rpc_set_connect_timeout" },
	{ 0xe259cfdf, "rpcauth_create" },
	{ 0x5454b89f, "xdr_stream_pos" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x9a17ed98, "key_set_timeout" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x96ae272c, "svc_xprt_create" },
	{ 0xb2041c64, "nfs42_ssc_register" },
	{ 0xc85e8d97, "rpc_wait_for_completion_task" },
	{ 0x1cac320c, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xfeff6336, "rpc_num_bc_slots" },
	{ 0x8c490caa, "nfs_alloc_inode" },
	{ 0xc0c0211c, "rpc_destroy_wait_queue" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x31090217, "security_inode_listsecurity" },
	{ 0x6cda5006, "nfs_fhget" },
	{ 0xa8601412, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x981cf0c7, "locks_copy_lock" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x6c806ebe, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xaa08637b, "nfs_set_verifier" },
	{ 0x1f7347d5, "proc_dointvec_minmax" },
	{ 0x656451d6, "rpc_put_task" },
	{ 0x21955cf8, "nfs4_stat_to_errno" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x178766f4, "svc_generic_rpcbind_set" },
	{ 0x69e4cf05, "nfs_clone_server" },
	{ 0x8fac0b28, "nfs_access_add_cache" },
	{ 0x3da1701, "filemap_fdatawrite" },
	{ 0xa7a8ddfd, "nfs_show_stats" },
	{ 0x502c3768, "nfs_server_remove_lists" },
	{ 0xdf5f361d, "shrinker_alloc" },
	{ 0x82ae50d5, "nfs42_ssc_unregister" },
	{ 0xf1520d13, "generic_listxattr" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x7d5286b1, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc7562bf2, "nfs_writeback_update_inode" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6e041218, "clear_inode" },
	{ 0xbe42edc5, "inode_to_bdi" },
	{ 0xd0d81b71, "bpf_trace_run4" },
	{ 0xa89faca2, "user_destroy" },
	{ 0x333051c0, "idr_find" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0xadad15ce, "user_revoke" },
	{ 0x86fa43e8, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2474cf7b, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x280f893f, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x339eb647, "rpc_clnt_probe_trunked_xprts" },
	{ 0xf3d7cb2a, "nfs_pageio_reset_read_mds" },
	{ 0x8a787077, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x35847fd, "rpc_shutdown_client" },
	{ 0x4573d57d, "svc_bind" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xce97e777, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x4161e916, "nfs_wait_bit_killable" },
	{ 0xfb1676e, "nfs_free_inode" },
	{ 0xc986d6a2, "nfs_access_zap_cache" },
	{ 0x1019975f, "nfs_sb_deactive" },
	{ 0xeed5505f, "nfs_wb_all" },
	{ 0x16dca79, "__break_lease" },
	{ 0x10e40c3f, "nfs_pageio_init_write" },
	{ 0xc801b56, "svc_recv" },
	{ 0x9b863deb, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa5742c1d, "xdr_inline_decode" },
	{ 0xff73130e, "nfs_pageio_init_read" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0xaf23ffcd, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x95f313bc, "nfs_init_commit" },
	{ 0x935d27bc, "nfs_commitdata_release" },
	{ 0x7a2a96c7, "bpf_trace_run6" },
	{ 0x5dc05def, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0xa0280fee, "rpc_net_ns" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xe58fb336, "nfs_mknod" },
	{ 0x4485a708, "nfs_inode_attach_open_context" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xc70eaf05, "nfs4_label_alloc" },
	{ 0x13b8c978, "rpc_localaddr" },
	{ 0xd988bb92, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0xfba6d225, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe4ef0a16, "idr_replace" },
	{ 0xe9a3fa98, "nfs_lock" },
	{ 0x4ceb0d84, "unregister_key_type" },
	{ 0xa03c6141, "nfs_client_init_is_complete" },
	{ 0x80d14bc7, "nfs_file_splice_read" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2c3b996d, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x9612cd5b, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x34097cca, "ihold" },
	{ 0x9e0f3659, "truncate_pagecache_range" },
	{ 0xc48a863d, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x8743030a, "invalidate_inode_pages2_range" },
	{ 0xa8f9519e, "nfs_post_op_update_inode" },
	{ 0x57be1984, "svc_exit_thread" },
	{ 0x7707c6ca, "iput" },
	{ 0x9b32749d, "xdr_set_pagelen" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x17102e49, "nfs_pgio_header_free" },
	{ 0x1ec12974, "nfs_request_add_commit_list_locked" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0xd65b245a, "logfc" },
	{ 0x3703f373, "nfs_pgio_header_alloc" },
	{ 0x68385a64, "iter_file_splice_write" },
	{ 0xbaceedbc, "rpc_pton" },
	{ 0x511d0aab, "nfs_sb_active" },
	{ 0x176be760, "mod_node_page_state" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0x44a0da41, "rpc_wake_up_queued_task" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xf6b7df77, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xc2964ba3, "rpc_restart_call_prepare" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x13a939c2, "_copy_from_pages" },
	{ 0x90fe8bbd, "__module_get" },
	{ 0x16d5cbe4, "rpc_task_release_transport" },
	{ 0x3a51e301, "xdr_page_pos" },
	{ 0x5bb69bc2, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xefe33d6c, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc16823c, "key_instantiate_and_link" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0xf96cb7c0, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x4f81a8ea, "register_key_type" },
	{ 0x34ddad03, "rpc_sleep_on" },
	{ 0x95199e44, "rpc_run_task" },
	{ 0xd96f8a81, "nfs_pageio_resend" },
	{ 0x5a8a6466, "keyring_alloc" },
	{ 0xd42410d7, "vfs_setpos" },
	{ 0xc7cc8d22, "nfs_create" },
	{ 0xc76d32cc, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x45f894dc, "__put_cred" },
	{ 0xf4157c7f, "nfs_update_delegated_mtime" },
	{ 0x551549f6, "nfs_statfs" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0x383ca47, "shrinker_free" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7cf4040c, "splice_file_range" },
	{ 0xf0df1f08, "rpc_max_bc_payload" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x55e140f9, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf2a2abfd, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xbf8346e6, "nfs_mkdir" },
	{ 0x5afe5c3f, "nfs_revalidate_inode" },
	{ 0x18ba6ebf, "inode_newsize_ok" },
	{ 0x4b7e820e, "nfs_file_mmap" },
	{ 0x380c2e59, "nfs_get_lock_context" },
	{ 0x1b05f75d, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0x80172dd6, "nfs_set_cache_invalid" },
	{ 0xffc8c8b4, "rpc_release_client" },
	{ 0xed51d8f8, "rpc_clnt_manage_trunked_xprts" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc46fc27e, "rt_spin_trylock" },
	{ 0xd55dfa0, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1bb9aa83, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2dd9cf2b, "unregister_sysctl_table" },
	{ 0x602462b0, "nfs_generic_pgio" },
	{ 0x8e9c69fd, "make_kuid" },
	{ 0xd7ed981c, "truncate_inode_pages_final" },
	{ 0x3f2c84ad, "generic_setlease" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x40ed0cb, "xprt_destroy_backchannel" },
	{ 0x51e818ab, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0x15f4cc24, "nfs_scan_commit_list" },
	{ 0x87c7e4b8, "xdr_stream_decode_string_dup" },
	{ 0x4b8ab62f, "nfs_commit_inode" },
	{ 0xfdace282, "shrinker_register" },
	{ 0xb2844896, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x64a26334, "rpc_destroy_pipe_data" },
	{ 0xb4a30135, "nfs_get_client" },
	{ 0x8375762d, "__free_pages" },
	{ 0x9f984513, "strrchr" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x6fbba800, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xe8820953, "nfs_atomic_open" },
	{ 0x726aa81a, "rpc_pipe_generic_upcall" },
	{ 0xfc3fe130, "nfs_file_fsync" },
	{ 0x6857cc3d, "module_put" },
	{ 0x3698d537, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x63e379d3, "mntput" },
	{ 0x5d3878a9, "nfs_put_lock_context" },
	{ 0x71e3d283, "nfs_rename" },
	{ 0x76e12849, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x16290045, "nfs_sysfs_link_rpc_client" },
	{ 0x1482b874, "nfs_put_client" },
	{ 0x4de9ae91, "nfs_show_options" },
	{ 0x49010019, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x423e5994, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xdfcc54e7, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x1fcfc573, "get_nfs_open_context" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0xbe6af5f, "nfs_clear_verifier_delegated" },
	{ 0x47550ade, "nfs_sysfs_add_server" },
	{ 0xc794f8c, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0x77f5bb81, "down_write" },
	{ 0xba4b411a, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x347d9fed, "nfs_do_submount" },
	{ 0x83cf6699, "vfs_dup_fs_context" },
	{ 0x264635e1, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xd3783977, "request_key_with_auxdata" },
	{ 0xe50001e9, "rpc_clone_client_set_auth" },
	{ 0x3cc71220, "rpc_clone_client" },
	{ 0x23121f3f, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xbe0cc3b1, "nfs_client_init_status" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x1d0b21fe, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0xa7db12f0, "radix_tree_preloads" },
	{ 0xf3cb6846, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1496aad8, "put_fs_context" },
	{ 0x1ca2e315, "nfs_retry_commit" },
	{ 0x43270f6b, "nfs4_dentry_operations" },
	{ 0xbb0b5b4e, "__module_put_and_kthread_exit" },
	{ 0xb7a3b26b, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x708e872a, "nfs_client_for_each_server" },
	{ 0x98520d8d, "nfs_clear_inode" },
	{ 0x5888efec, "rpc_sleep_on_priority" },
	{ 0x9b93e75c, "nfs_invalidate_atime" },
	{ 0xae8aebd2, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x51f09577, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x14164f8b, "nfs_getattr" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xb26e23b5, "nfs_pageio_reset_write_mds" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0xe7a35339, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "2C253BC369E739A60F245F3");

MODULE_INFO(suserelease, "SLFO-1.2");
