#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(o2hb_fill_node_map, "_gpl", "");
KSYMTAB_FUNC(o2hb_setup_callback, "_gpl", "");
KSYMTAB_FUNC(o2hb_register_callback, "_gpl", "");
KSYMTAB_FUNC(o2hb_unregister_callback, "_gpl", "");
KSYMTAB_FUNC(o2hb_check_node_heartbeating_no_sem, "_gpl", "");
KSYMTAB_FUNC(o2hb_check_node_heartbeating_from_callback, "_gpl", "");
KSYMTAB_FUNC(o2hb_stop_all_regions, "_gpl", "");
KSYMTAB_FUNC(o2hb_get_all_regions, "_gpl", "");
KSYMTAB_FUNC(o2hb_global_heartbeat_active, "", "");
KSYMTAB_DATA(mlog_and_bits, "_gpl", "");
KSYMTAB_DATA(mlog_not_bits, "_gpl", "");
KSYMTAB_FUNC(__mlog_printk, "_gpl", "");
KSYMTAB_FUNC(o2nm_get_node_by_num, "_gpl", "");
KSYMTAB_FUNC(o2nm_configured_node_map, "_gpl", "");
KSYMTAB_FUNC(o2nm_get_node_by_ip, "_gpl", "");
KSYMTAB_FUNC(o2nm_node_put, "_gpl", "");
KSYMTAB_FUNC(o2nm_node_get, "_gpl", "");
KSYMTAB_FUNC(o2nm_this_node, "_gpl", "");
KSYMTAB_FUNC(o2net_register_handler, "_gpl", "");
KSYMTAB_FUNC(o2net_unregister_handler_list, "_gpl", "");
KSYMTAB_FUNC(o2net_fill_node_map, "_gpl", "");
KSYMTAB_FUNC(o2net_send_message_vec, "_gpl", "");
KSYMTAB_FUNC(o2net_send_message, "_gpl", "");

SYMBOL_CRC(o2hb_fill_node_map, 0xa941cb47, "_gpl");
SYMBOL_CRC(o2hb_setup_callback, 0x60540e9e, "_gpl");
SYMBOL_CRC(o2hb_register_callback, 0x12fcaab4, "_gpl");
SYMBOL_CRC(o2hb_unregister_callback, 0xffa2b384, "_gpl");
SYMBOL_CRC(o2hb_check_node_heartbeating_no_sem, 0xbd13ee5d, "_gpl");
SYMBOL_CRC(o2hb_check_node_heartbeating_from_callback, 0xc4d99852, "_gpl");
SYMBOL_CRC(o2hb_stop_all_regions, 0x4900035b, "_gpl");
SYMBOL_CRC(o2hb_get_all_regions, 0x58c88ff2, "_gpl");
SYMBOL_CRC(o2hb_global_heartbeat_active, 0xbfd7d7a2, "");
SYMBOL_CRC(mlog_and_bits, 0x81a17396, "_gpl");
SYMBOL_CRC(mlog_not_bits, 0xf56c2017, "_gpl");
SYMBOL_CRC(__mlog_printk, 0x6a0c3847, "_gpl");
SYMBOL_CRC(o2nm_get_node_by_num, 0x4fe624e2, "_gpl");
SYMBOL_CRC(o2nm_configured_node_map, 0xa87bc9e7, "_gpl");
SYMBOL_CRC(o2nm_get_node_by_ip, 0x9a25c34c, "_gpl");
SYMBOL_CRC(o2nm_node_put, 0x0c683c0d, "_gpl");
SYMBOL_CRC(o2nm_node_get, 0x420aa576, "_gpl");
SYMBOL_CRC(o2nm_this_node, 0xb6ebf62a, "_gpl");
SYMBOL_CRC(o2net_register_handler, 0xfe1298f3, "_gpl");
SYMBOL_CRC(o2net_unregister_handler_list, 0xf1a5611d, "_gpl");
SYMBOL_CRC(o2net_fill_node_map, 0xd859ac8c, "_gpl");
SYMBOL_CRC(o2net_send_message_vec, 0x5e95a4b2, "_gpl");
SYMBOL_CRC(o2net_send_message, 0xf982e6db, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1e046cc, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x895dfc31, "sock_sendmsg" },
	{ 0xd20a185b, "bio_add_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6270d8b3, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd960722a, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8a5ba58f, "__seq_open_private" },
	{ 0x52eeb35d, "bdev_file_open_by_dev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7296068c, "folio_alloc_noprof" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xb8903bb3, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x62a6f586, "configfs_depend_item" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa985aeff, "down_read" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0x911c8743, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x7230beea, "fdget" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x138e505f, "config_item_init_type_name" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6f1a02b3, "config_item_put" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x3b239a4e, "kobject_set_name" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3335abed, "seq_printf" },
	{ 0x6c6723d7, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0xbf635fd6, "sock_release" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0xc9cc8b5f, "file_bdev" },
	{ 0x2e03b140, "configfs_undepend_item" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa3528bfb, "tcp_sock_set_nodelay" },
	{ 0x7b76e9b5, "seq_release_private" },
	{ 0xc2572809, "kset_register" },
	{ 0x754d539c, "strlen" },
	{ 0xee983c9b, "sock_create_lite" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x38bc19cd, "generic_file_llseek" },
	{ 0x8bbade6, "kernel_sendmsg" },
	{ 0x524f33bc, "bio_alloc_bioset" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x5de38d20, "fs_bio_set" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x25eb9e4c, "kset_create_and_add" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7884654e, "config_group_init" },
	{ 0x333051c0, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x2f934659, "config_item_get" },
	{ 0x6de6d991, "set_user_nice" },
	{ 0xd3c345a1, "sock_create" },
	{ 0xb02ce6c0, "tcp_sock_set_user_timeout" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x84dc2356, "kset_unregister" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7b55d23f, "__tracepoint_sk_data_ready" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x22c6ba36, "configfs_unregister_subsystem" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd0c05159, "emergency_restart" },
	{ 0x38e28582, "fs_kobj" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x8375762d, "__free_pages" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0xd4155d2c, "submit_bio" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x24ac13d3, "bio_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc794f8c, "fput" },
	{ 0x77f5bb81, "down_write" },
	{ 0x264635e1, "up_write" },
	{ 0x7c0edf48, "configfs_register_subsystem" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0xd70958b6, "configfs_remove_default_groups" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x27ab35aa, "__SCK__tp_func_sk_data_ready" },
	{ 0xc5efe949, "config_group_init_type_name" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x41567b7b, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc0db7e74, "iov_iter_kvec" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "15029E0F276A2DE84E6A4B7");

MODULE_INFO(suserelease, "SLFO-1.2");
