#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x76c7f17f, "kthread_create_on_cpu" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xd960722a, "kthread_stop" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x95609b26, "context_tracking_key" },
	{ 0x9a185ace, "tick_nohz_full_running" },
	{ 0xf2cfdee7, "rcu_momentary_eqs" },
	{ 0x3c1c3725, "rcu_fwd_progress_check" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x1b2fca48, "torture_must_stop_irq" },
	{ 0x3f83f8d3, "rcu_bind_current_to_nocb" },
	{ 0xd535267, "torture_num_online_cpus" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xab3f46c1, "tick_nohz_dep_set_task" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x152748a3, "tick_nohz_dep_clear_task" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x7944e0fc, "tracing_off" },
	{ 0xb0747ed2, "rcu_cpu_stall_suppress" },
	{ 0x17fb15ac, "ftrace_dump" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2b3de84b, "torture_hrtimeout_us" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc0a96e14, "rcu_gp_is_expedited" },
	{ 0x5bdbac4e, "rcu_unexpedite_gp" },
	{ 0xf4af35c2, "rcu_gp_is_normal" },
	{ 0x8f0748af, "rcu_expedite_gp" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x789c73d9, "rcu_cpu_stall_suppress_at_boot" },
	{ 0x3e9619f5, "torture_onoff_stats" },
	{ 0x72d1806e, "sched_show_task" },
	{ 0xc67a49d4, "torture_cleanup_begin" },
	{ 0x688e6a64, "torture_cleanup_end" },
	{ 0xc617f82c, "unregister_oom_notifier" },
	{ 0xb86748d1, "__cpuhp_remove_state" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0x1be7d8be, "torture_onoff_failures" },
	{ 0xcb561441, "mem_dump_obj" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0x6c3ff11a, "torture_init_begin" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4cae13d4, "_torture_create_kthread" },
	{ 0xe6989fd3, "torture_init_end" },
	{ 0xf184d189, "kernel_power_off" },
	{ 0x8b0e1d2f, "torture_shuffle_init" },
	{ 0x5a12a7da, "torture_stutter_init" },
	{ 0xdbc5277a, "torture_shutdown_init" },
	{ 0x6b406731, "__cpuhp_setup_state" },
	{ 0xc94a93e3, "torture_onoff_init" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x622c7922, "register_oom_notifier" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xcfc7b4e4, "rcu_barrier_tasks_trace" },
	{ 0x7c291e86, "show_rcu_tasks_trace_gp_kthread" },
	{ 0x2a4191f3, "rcu_tasks_trace_get_gp_data" },
	{ 0xb7a387fc, "synchronize_rcu_tasks_rude" },
	{ 0xd42f1d4e, "show_rcu_tasks_rude_gp_kthread" },
	{ 0x10579794, "rcu_tasks_rude_get_gp_data" },
	{ 0xb1bb9f9, "synchronize_rcu_tasks" },
	{ 0xf6f16c56, "rcu_barrier_tasks" },
	{ 0xd74e400f, "show_rcu_tasks_classic_gp_kthread" },
	{ 0x25bf7b31, "rcu_tasks_get_gp_data" },
	{ 0xe6e40502, "rcu_get_gp_seq" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xf3808cb1, "get_state_synchronize_rcu" },
	{ 0x4c2b351d, "start_poll_synchronize_rcu_expedited" },
	{ 0x59b063ba, "start_poll_synchronize_rcu_expedited_full" },
	{ 0x442deaa9, "poll_state_synchronize_rcu" },
	{ 0xbda04a91, "cond_synchronize_rcu_expedited" },
	{ 0xbb4146b3, "get_completed_synchronize_rcu" },
	{ 0x61bd0bd0, "get_completed_synchronize_rcu_full" },
	{ 0x67c3c795, "get_state_synchronize_rcu_full" },
	{ 0x91955a9f, "start_poll_synchronize_rcu" },
	{ 0xb23b7691, "start_poll_synchronize_rcu_full" },
	{ 0x836d652f, "poll_state_synchronize_rcu_full" },
	{ 0x49e96999, "cond_synchronize_rcu" },
	{ 0x1b0602c1, "cond_synchronize_rcu_full" },
	{ 0x8924eb1e, "rcu_force_quiescent_state" },
	{ 0x4f6a07fe, "show_rcu_gp_kthreads" },
	{ 0x8c0ed103, "rcu_check_boost_fail" },
	{ 0x3d510a7b, "rcu_jiffies_till_stall_check" },
	{ 0xbf088e37, "rcutorture_get_gp_data" },
	{ 0xbb028ad3, "rcu_gp_slow_register" },
	{ 0x7f84f35d, "rcu_gp_slow_unregister" },
	{ 0xe9baa2f2, "param_ops_charp" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x92997ed8, "_printk" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbb8ef471, "verbose_torout_sleep" },
	{ 0x44b8da9b, "sched_set_fifo_low" },
	{ 0xe2430307, "stutter_wait" },
	{ 0x679d9e50, "torture_must_stop" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x4c7529bd, "torture_shutdown_absorb" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xf6d34fb5, "torture_kthread_stopping" },
	{ 0x82b5fad, "mutex_trylock" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x8412af4a, "sched_set_normal" },
	{ 0x52665f8b, "torture_random" },
	{ 0x37a0cba, "kfree" },
	{ 0x2951a872, "trace_clock_local" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x92db8f68, "do_trace_rcu_torture_read" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6de6d991, "set_user_nice" },
	{ 0x52acfe88, "torture_hrtimeout_jiffies" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe9e8f1b6, "synchronize_srcu" },
	{ 0x24da0093, "rcu_inkernel_boot_has_ended" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7c3e736a, "rcu_nocb_cpu_offload" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0xe791df1f, "rcu_nocb_cpu_deoffload" },
	{ 0x216de4e1, "rcu_get_gp_kthreads_prio" },
	{ 0xa422dcfc, "rcu_cpu_stall_notifiers" },
	{ 0xb2c1732e, "rcu_gp_set_torture_wait" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x267df662, "smp_call_on_cpu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x91928560, "torture_sched_setaffinity" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x52c35e83, "call_rcu_tasks_trace" },
	{ 0x959ec5f5, "call_rcu_tasks" },
	{ 0xdc19a4c, "__wait_rcu_gp" },
	{ 0x88c749, "srcu_torture_stats_print" },
	{ 0xc0438ba2, "srcu_barrier" },
	{ 0xb701036f, "call_srcu" },
	{ 0x226e615c, "synchronize_srcu_expedited" },
	{ 0x62c9ce60, "srcu_batches_completed" },
	{ 0x30ec0b8f, "cleanup_srcu_struct" },
	{ 0x3ed5a5a3, "init_srcu_struct" },
	{ 0xdeff7400, "srcutorture_get_gp_data" },
	{ 0xb33a9a03, "poll_state_synchronize_srcu" },
	{ 0x9771e7a3, "start_poll_synchronize_srcu" },
	{ 0xd1c988de, "get_state_synchronize_srcu" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x56067854, "_torture_stop_kthread" },
	{ 0xc4510dc7, "__srcu_read_lock" },
	{ 0x30024cbb, "__srcu_read_unlock" },
	{ 0xa985aeff, "down_read" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x77f5bb81, "down_write" },
	{ 0x264635e1, "up_write" },
	{ 0x6246a629, "synchronize_rcu_tasks_trace" },
	{ 0xf4cf04bf, "rcu_read_unlock_trace_special" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "torture");


MODULE_INFO(srcversion, "7C18AB70147D026E9294146");

MODULE_INFO(suserelease, "SLFO-1.2");
