#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(register_atm_ioctl, "", "");
KSYMTAB_FUNC(deregister_atm_ioctl, "", "");
KSYMTAB_DATA(vcc_hash, "", "");
KSYMTAB_DATA(vcc_sklist_lock, "", "");
KSYMTAB_FUNC(vcc_insert_socket, "", "");
KSYMTAB_FUNC(vcc_release_async, "", "");
KSYMTAB_FUNC(vcc_process_recv_queue, "", "");
KSYMTAB_FUNC(atm_dev_signal_change, "", "");
KSYMTAB_FUNC(atm_dev_release_vccs, "", "");
KSYMTAB_FUNC(register_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(unregister_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(atm_charge, "", "");
KSYMTAB_FUNC(atm_alloc_charge, "", "");
KSYMTAB_FUNC(atm_pcr_goal, "", "");
KSYMTAB_FUNC(sonet_copy_stats, "", "");
KSYMTAB_FUNC(sonet_subtract_stats, "", "");
KSYMTAB_FUNC(atm_init_aal5, "", "");
KSYMTAB_FUNC(atm_dev_lookup, "", "");
KSYMTAB_FUNC(atm_dev_register, "", "");
KSYMTAB_FUNC(atm_dev_deregister, "", "");
KSYMTAB_DATA(atm_proc_root, "", "");

SYMBOL_CRC(register_atm_ioctl, 0xde51addc, "");
SYMBOL_CRC(deregister_atm_ioctl, 0x85449950, "");
SYMBOL_CRC(vcc_hash, 0x2cc2d52d, "");
SYMBOL_CRC(vcc_sklist_lock, 0x7845d430, "");
SYMBOL_CRC(vcc_insert_socket, 0xfcb05232, "");
SYMBOL_CRC(vcc_release_async, 0x18120e79, "");
SYMBOL_CRC(vcc_process_recv_queue, 0x3f4aa066, "");
SYMBOL_CRC(atm_dev_signal_change, 0x0bcb6324, "");
SYMBOL_CRC(atm_dev_release_vccs, 0xf5fa7108, "");
SYMBOL_CRC(register_atmdevice_notifier, 0xb09faf79, "_gpl");
SYMBOL_CRC(unregister_atmdevice_notifier, 0xcfb6a3da, "_gpl");
SYMBOL_CRC(atm_charge, 0xfd6e6079, "");
SYMBOL_CRC(atm_alloc_charge, 0x36e8eee9, "");
SYMBOL_CRC(atm_pcr_goal, 0xf49bc67a, "");
SYMBOL_CRC(sonet_copy_stats, 0xaa024146, "");
SYMBOL_CRC(sonet_subtract_stats, 0x9feaf287, "");
SYMBOL_CRC(atm_init_aal5, 0x9ae0d0cc, "");
SYMBOL_CRC(atm_dev_lookup, 0xa4138b5a, "");
SYMBOL_CRC(atm_dev_register, 0xe68bfee6, "");
SYMBOL_CRC(atm_dev_deregister, 0xf97e9e15, "");
SYMBOL_CRC(atm_proc_root, 0x4443d399, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4d5c07d3, "sock_register" },
	{ 0xeee2f292, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x31ff760, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x45ee0529, "put_device" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0x547ccf6f, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x6857cc3d, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xf4bf5395, "device_create_file" },
	{ 0xf1597117, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x136d2728, "noop_llseek" },
	{ 0xf398ee77, "sk_free" },
	{ 0x3b60a6b0, "sock_wake_async" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b20415d, "sock_no_accept" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x63643d75, "sock_no_listen" },
	{ 0x7a905b8, "seq_putc" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0x5d1358a7, "lock_sock_nested" },
	{ 0x7d13f9d1, "skb_copy_datagram_iter" },
	{ 0x8b268e5a, "sk_alloc" },
	{ 0xd6f020db, "device_register" },
	{ 0x2e9c96c7, "device_del" },
	{ 0xafe91e81, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x68e6df7b, "atomic_notifier_call_chain" },
	{ 0x61d169a1, "sock_no_mmap" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x526336c8, "atomic_notifier_chain_unregister" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x90509256, "skb_recv_datagram" },
	{ 0x66ca9904, "seq_write" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcb8a4261, "remove_proc_entry" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x3335abed, "seq_printf" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0x69dc6f5d, "_copy_from_iter" },
	{ 0x17937b97, "sock_gettstamp" },
	{ 0x73987a18, "_proc_mkdir" },
	{ 0x662e433b, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x9bb3d5f9, "__seq_puts" },
	{ 0x754d539c, "strlen" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0xc67b1fbe, "iov_iter_revert" },
	{ 0x57cd58c3, "proc_create_seq_private" },
	{ 0xe99bba1f, "class_register" },
	{ 0x2d19ff87, "sock_init_data" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x69d137d1, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfaa14df5, "release_sock" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa2db2783, "skb_free_datagram" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x9612cd5b, "prepare_to_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0x7e43bb47, "proc_create_data" },
	{ 0xac8c446a, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x310e3a08, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x13356863, "proto_unregister" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1000e51, "schedule" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2B146EF15E7BB381AD1AAC1");

MODULE_INFO(suserelease, "SLFO-1.2");
