#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_sock_linked, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0x2d4ae885, "");
SYMBOL_CRC(bt_sock_register, 0x5b41595f, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x94545057, "");
SYMBOL_CRC(bt_sock_link, 0x06fa7413, "");
SYMBOL_CRC(bt_sock_unlink, 0x0cc3d6ae, "");
SYMBOL_CRC(bt_sock_linked, 0xfa5b8fac, "");
SYMBOL_CRC(bt_accept_enqueue, 0x2fa74e16, "");
SYMBOL_CRC(bt_accept_unlink, 0xb0c5a33e, "");
SYMBOL_CRC(bt_accept_dequeue, 0x1d584e7b, "");
SYMBOL_CRC(bt_sock_recvmsg, 0xee369ea2, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0xb5dbd1dd, "");
SYMBOL_CRC(bt_sock_poll, 0xe113f3a6, "");
SYMBOL_CRC(bt_sock_ioctl, 0x5d070685, "");
SYMBOL_CRC(bt_sock_wait_state, 0x5710d289, "");
SYMBOL_CRC(bt_sock_wait_ready, 0xa1148ad6, "");
SYMBOL_CRC(bt_procfs_init, 0x1e00de1a, "");
SYMBOL_CRC(bt_procfs_cleanup, 0xe6346e8f, "");
SYMBOL_CRC(bt_debugfs, 0xd40226b2, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x26a4e37d, "");
SYMBOL_CRC(hci_free_dev, 0xdd8ed7ef, "");
SYMBOL_CRC(hci_register_dev, 0xb2814643, "");
SYMBOL_CRC(hci_unregister_dev, 0xa8c2dbb9, "");
SYMBOL_CRC(hci_release_dev, 0x1c3ad323, "");
SYMBOL_CRC(hci_suspend_dev, 0x676f65d2, "");
SYMBOL_CRC(hci_resume_dev, 0x10085849, "");
SYMBOL_CRC(hci_reset_dev, 0xedb68d44, "");
SYMBOL_CRC(hci_recv_frame, 0x6bfeb7ac, "");
SYMBOL_CRC(hci_recv_diag, 0x7a5ac7ed, "");
SYMBOL_CRC(hci_set_hw_info, 0xd168fc46, "");
SYMBOL_CRC(hci_set_fw_info, 0xcc621418, "");
SYMBOL_CRC(hci_register_cb, 0xcc278c8b, "");
SYMBOL_CRC(hci_unregister_cb, 0x211cd8f0, "");
SYMBOL_CRC(__hci_cmd_send, 0x12b00b67, "");
SYMBOL_CRC(hci_get_route, 0xea50080a, "");
SYMBOL_CRC(hci_conn_security, 0xf1238429, "");
SYMBOL_CRC(hci_conn_check_secure, 0xb2a5c440, "");
SYMBOL_CRC(hci_conn_switch_role, 0xde85332f, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x8a982c4b, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x4dc6f872, "");
SYMBOL_CRC(l2cap_add_psm, 0x5817829d, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x53e6f49f, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0x82ce129f, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0xe8c33d50, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xebf3aa8d, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x6787a671, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x78187176, "");
SYMBOL_CRC(l2cap_register_user, 0xec3b1e3d, "");
SYMBOL_CRC(l2cap_unregister_user, 0x64895742, "");
SYMBOL_CRC(l2cap_conn_get, 0x5d7545fe, "");
SYMBOL_CRC(l2cap_conn_put, 0x8b7c9b80, "");
SYMBOL_CRC(l2cap_chan_send, 0xa1b3fdca, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x19a4effa, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0xf4804fde, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0xea8b1ced, "");
SYMBOL_CRC(__hci_cmd_sync, 0xcc606390, "");
SYMBOL_CRC(hci_cmd_sync, 0x120570fd, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0xc5572027, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0xccf3da09, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0xb48f8bd5, "");
SYMBOL_CRC(hci_cmd_sync_status, 0xb22eda5d, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0xea30c5d5, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0x57039916, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x114f2d7e, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0xd89070a1, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0x04f39b4f, "");
SYMBOL_CRC(hci_cmd_sync_run, 0x5c2b0449, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0x6eee6c24, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0x33d77127, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0x2b230464, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x3fd0d42d, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x2eac79f7, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0xbe36cce2, "");
SYMBOL_CRC(hci_devcd_init, 0x42afbbe8, "");
SYMBOL_CRC(hci_devcd_append, 0x25ef49f8, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0xb0e48583, "");
SYMBOL_CRC(hci_devcd_complete, 0xcac2611d, "");
SYMBOL_CRC(hci_devcd_abort, 0x167cf624, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0x7dd6c90e, "ida_destroy" },
	{ 0x333051c0, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xd0e342b5, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0xeaf74efa, "scm_detach_fds" },
	{ 0x210fa621, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x343c8959, "device_unregister" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x4ca16b7d, "led_trigger_register_simple" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc3fd61a7, "device_find_any_child" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x5a3cd7db, "add_wait_queue_exclusive" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xec46c799, "sock_no_connect" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x20aec938, "dev_kfree_skb_irq_reason" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xe0918b76, "led_trigger_unregister_simple" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x90fe8bbd, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x1a2f220, "get_device" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x6b8b6841, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x45f894dc, "__put_cred" },
	{ 0x111fc268, "put_cmsg" },
	{ 0x310e3a08, "skb_queue_purge_reason" },
	{ 0x8a1f3eca, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b631508, "disable_delayed_work" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0x14c574ce, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x13356863, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4d5c07d3, "sock_register" },
	{ 0xaf8f5d61, "datagram_poll" },
	{ 0xeee2f292, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x45ee0529, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xed0bc201, "idr_get_next" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0x547ccf6f, "proto_register" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x6857cc3d, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb9a85f0c, "idr_remove" },
	{ 0x8a7f276e, "__sock_recv_timestamp" },
	{ 0x53a59f22, "sock_no_shutdown" },
	{ 0x5c6d898, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5fbdd86f, "devm_kfree" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xf1597117, "init_net" },
	{ 0x8e0c2dc3, "crypto_shash_setkey" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3d44dcd8, "device_add" },
	{ 0x9820f51a, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x3d45bb64, "init_uts_ns" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xf398ee77, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe73d9c16, "device_move" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x1b20415d, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x63643d75, "sock_no_listen" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x7a905b8, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc0db7e74, "iov_iter_kvec" },
	{ 0x10119bb, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6c0b99e4, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x5d1358a7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5dab2b07, "dev_coredumpv" },
	{ 0x7d13f9d1, "skb_copy_datagram_iter" },
	{ 0x832ea1d1, "rfkill_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0x8b268e5a, "sk_alloc" },
	{ 0x2e9c96c7, "device_del" },
	{ 0x45308f9a, "__sock_queue_rcv_skb" },
	{ 0xe78c1cdf, "idr_destroy" },
	{ 0xc02bad57, "__sock_recv_wifi_status" },
	{ 0xf21ce8d2, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xafe91e81, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x97ebdfc4, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x61d169a1, "sock_no_mmap" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x84d22272, "security_sk_clone" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xcd830cce, "__scm_destroy" },
	{ 0x268c62bd, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9f7a2fc2, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x56e76cc9, "devm_kasprintf" },
	{ 0x911c8743, "seq_read" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0xa069efa7, "sock_i_ino" },
	{ 0x962630d2, "devm_led_trigger_register" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xefb244a2, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x90509256, "skb_recv_datagram" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc27e3380, "sock_alloc_send_pskb" },
	{ 0x66ca9904, "seq_write" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcb8a4261, "remove_proc_entry" },
	{ 0x69c3ea2e, "radix_tree_tagged" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6646c565, "skb_copy" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0x69dc6f5d, "_copy_from_iter" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x7c346251, "led_set_brightness" },
	{ 0x965a246d, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0x17937b97, "sock_gettstamp" },
	{ 0x55473fb7, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xeb393c92, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x696c866d, "disable_delayed_work_sync" },
	{ 0x36cab5e2, "from_kuid_munged" },
	{ 0x22524e88, "led_trigger_event" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0xc67b1fbe, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x57cd58c3, "proc_create_seq_private" },
	{ 0xd898659, "single_open" },
	{ 0xbaeb8e8c, "crypto_alloc_shash" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x6b31fbb2, "fwnode_property_read_u8_array" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x5caa6567, "put_pid" },
	{ 0xe99bba1f, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2d19ff87, "sock_init_data" },
	{ 0x86725ba4, "__dev_fwnode" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfaa14df5, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3131f672, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x9ccb5761, "security_sock_graft" },
	{ 0xa2db2783, "skb_free_datagram" },
	{ 0x20692f, "sock_queue_rcv_skb_reason" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x49a5643f, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "rfkill,crc16");


MODULE_INFO(srcversion, "7FC91E6D5A9AF2AE48FAC18");

MODULE_INFO(suserelease, "SLFO-1.2");
