#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xbcf25c59, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x892033d1, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x57b04a40, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0xffc7e2e3, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x8592b1e5, "_gpl");
SYMBOL_CRC(br_forward, 0x3b5234a5, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x9c90d69c, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0xf70175a8, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x61534d87, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0xbb73b075, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x59c9efff, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x4c239c31, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0xdc7bbd3f, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x903c0079, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0xcfb30159, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x29171e4e, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xe4bbef15, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xea3be39d, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x27bc9b9b, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0xd07bffb9, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x776cc9a9, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0xeb531aef, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xf45b9320, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x1d3b8414, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x0c6f4556, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x131db64a, "system_long_wq" },
	{ 0xa9c1db69, "kobject_create_and_add" },
	{ 0xf107d26e, "skb_trim" },
	{ 0x9a14bb0c, "nf_hook_slow" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x92225dd3, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x63214039, "__ip_mc_inc_group" },
	{ 0x7c9648e7, "netdev_walk_all_upper_dev_rcu" },
	{ 0x23d8e0a9, "sysfs_remove_group" },
	{ 0x44bf9995, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x42348b13, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb1f6057d, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc9a3996c, "__netpoll_setup" },
	{ 0xf6acf8d5, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x119b8354, "vlan_vid_add" },
	{ 0x63a43ec2, "neigh_destroy" },
	{ 0x1aa16eed, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xc55d9811, "kobject_del" },
	{ 0x93cd0ba5, "rhashtable_init_noprof" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0xff685cf7, "__SCK__tp_func_br_fdb_update" },
	{ 0x9db965fe, "call_netdevice_notifiers" },
	{ 0x1135b5aa, "is_skb_forwardable" },
	{ 0x83c01a34, "vlan_vid_del" },
	{ 0x132fd925, "dev_set_allmulti" },
	{ 0x8383f1bc, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x6d3a49d8, "netdev_master_upper_dev_get" },
	{ 0x3d383a27, "ipv6_dev_mc_inc" },
	{ 0xf494fe3a, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xba61bfe9, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xdf1e7caf, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0x7a30238d, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0x30098b59, "metadata_dst_alloc" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0xbe2d6696, "netif_carrier_on" },
	{ 0x369e7826, "kobject_uevent" },
	{ 0x90043a2e, "arp_tbl" },
	{ 0x5f62006, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x381f3d6f, "netdev_rx_handler_register" },
	{ 0xafa5e50c, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xca1e1f76, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x643d19b1, "dev_disable_lro" },
	{ 0x35dec015, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd547fe47, "dev_get_flags" },
	{ 0x3d01e89b, "__rtnl_unregister_many" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc160bf96, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x1e1ff3cb, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x2d429ce4, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x1c247e4, "skb_ext_add" },
	{ 0xd1c98366, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x417f2a9e, "stp_proto_unregister" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x9b07dd86, "neigh_lookup" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xde021df3, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xeb60b8ef, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xa2c88188, "netdev_lower_get_next" },
	{ 0x354b78dc, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc0e5e0bc, "dev_pre_changeaddr_notify" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0xf583f1a1, "__nlmsg_put" },
	{ 0x3bd244af, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x81ef066c, "ipv6_mc_check_mld" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa4c15cf1, "call_switchdev_notifiers" },
	{ 0xb4e85d51, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x52d5adfe, "netdev_update_features" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x19f962f, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0xfe3073e8, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5485c736, "netpoll_send_skb" },
	{ 0x17931dd5, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xee374a8, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0x118c2e10, "switchdev_port_obj_act_is_deferred" },
	{ 0x2bf5df2d, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f8a304f, "dev_set_promiscuity" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb27e097b, "unregister_netdevice_queue" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9446dbc9, "netdev_state_change" },
	{ 0x6b8b6841, "__pskb_copy_fclone" },
	{ 0x17689f0b, "__dev_get_by_name" },
	{ 0xc55906, "ether_setup" },
	{ 0x695afa95, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xa486fd6c, "brioctl_set" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x96316386, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf14da2c6, "alloc_netdev_mqs" },
	{ 0x471656a, "passthru_features_check" },
	{ 0x86b355fc, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x77f2fd78, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xcb5e6e34, "__SCK__tp_func_br_mdb_full" },
	{ 0xe5e4d18, "rtnl_af_register" },
	{ 0xf4ae8d54, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x434baa95, "rtnl_set_sk_err" },
	{ 0x9df12509, "skb_vlan_pop" },
	{ 0xcd0ed6e4, "rtnl_unicast" },
	{ 0xec21d530, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb971f9ad, "ipv6_dev_get_saddr" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x639cb360, "nla_reserve_64bit" },
	{ 0xe682b7dd, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x40c784b4, "__dev_get_by_index" },
	{ 0xbd918098, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xfe110be5, "dev_get_port_parent_id" },
	{ 0xf1597117, "init_net" },
	{ 0x5a1fc02, "ipv6_stub" },
	{ 0x7982f19c, "inet_confirm_addr" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x94f19c54, "sysfs_remove_link" },
	{ 0x45d44bc7, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x5a5da2ad, "__SCK__tp_func_br_fdb_add" },
	{ 0x3f892e4b, "rtnl_af_unregister" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x51646b69, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6c88aae8, "dev_get_by_index_rcu" },
	{ 0x1fb81f0b, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0x59e03780, "skb_push" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0xe74032b2, "br_fdb_test_addr_hook" },
	{ 0xd0405d76, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0xe4b56a1e, "netdev_upper_dev_unlink" },
	{ 0x43cb93ec, "netif_receive_skb" },
	{ 0x8d304f20, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc914ad38, "llc_mac_hdr_init" },
	{ 0x1a4efd5a, "__rtnl_register_many" },
	{ 0x653194b1, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xf413b8db, "__SCK__tp_func_fdb_delete" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x11ae8dd8, "kobject_init_and_add" },
	{ 0xe9f4efdb, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x43c9f1fa, "ns_capable" },
	{ 0x18108793, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6270d8b3, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xffba72b5, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x7b794ac2, "arp_create" },
	{ 0xff829e65, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe7909197, "stp_proto_register" },
	{ 0xa396bb62, "__tracepoint_br_fdb_update" },
	{ 0x50f8fb84, "sysfs_rename_link_ns" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xdef801a1, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0xfa4f55f6, "switchdev_port_obj_add" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0xbbfa6de5, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x349f744b, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x4004ae19, "ip_mc_check_igmp" },
	{ 0x80b7cd0f, "__netdev_alloc_skb" },
	{ 0x83047ab5, "rhashtable_destroy" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xf65e1bf6, "switchdev_port_obj_del" },
	{ 0xfbef13, "netdev_master_upper_dev_link" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "stp,llc");


MODULE_INFO(srcversion, "0AEB558277C131C0D9082DA");

MODULE_INFO(suserelease, "SLFO-1.2");
