#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ebt_register_template, "", "");
KSYMTAB_FUNC(ebt_unregister_template, "", "");
KSYMTAB_FUNC(ebt_unregister_table_pre_exit, "", "");
KSYMTAB_FUNC(ebt_register_table, "", "");
KSYMTAB_FUNC(ebt_unregister_table, "", "");
KSYMTAB_FUNC(ebt_do_table, "", "");

SYMBOL_CRC(ebt_register_template, 0x349958fb, "");
SYMBOL_CRC(ebt_unregister_template, 0x61b87e65, "");
SYMBOL_CRC(ebt_unregister_table_pre_exit, 0x3427d510, "");
SYMBOL_CRC(ebt_register_table, 0xa4bea665, "");
SYMBOL_CRC(ebt_unregister_table, 0x4d08031a, "");
SYMBOL_CRC(ebt_do_table, 0xb1687c4c, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x5bfa8e0d, "nf_unregister_net_hooks" },
	{ 0xcfeea89b, "xt_register_target" },
	{ 0x819c4d57, "nf_register_sockopt" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0x1478dce6, "nf_unregister_sockopt" },
	{ 0x1baffda3, "xt_unregister_target" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x999e8297, "vfree" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x84613de1, "xt_compat_target_offset" },
	{ 0xa916b694, "strnlen" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7bce4603, "xt_data_to_user" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfb578fc5, "memset" },
	{ 0x49e62f18, "xt_request_find_match" },
	{ 0xebc9920e, "xt_compat_match_offset" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x823edea5, "xt_compat_add_offset" },
	{ 0x618911fc, "numa_node" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x838eb641, "vmalloc_node_noprof" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x37a0cba, "kfree" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x50873741, "xt_compat_init_offsets" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc0df056, "try_module_get" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x5afc722e, "__audit_log_nfcfg" },
	{ 0xa7c94f1d, "xt_compat_lock" },
	{ 0x4e27719, "xt_compat_flush_offsets" },
	{ 0xd1e246a2, "xt_compat_unlock" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x43c9f1fa, "ns_capable" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x25f2b2c8, "kmemdup_array" },
	{ 0x4fa4351a, "nf_register_net_hooks" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69acdf38, "memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc7fae024, "xt_compat_calc_jump" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf6383325, "xt_find_match" },
	{ 0x6857cc3d, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4b5e25f1, "xt_check_match" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf056a37e, "xt_request_find_target" },
	{ 0x523f03b9, "xt_check_target" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "x_tables");


MODULE_INFO(srcversion, "837FE815A81F6BE599BCC22");

MODULE_INFO(suserelease, "SLFO-1.2");
