#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(get_cfcnfg, "", "");
KSYMTAB_FUNC(caif_enroll_dev, "", "");
KSYMTAB_FUNC(caif_disconnect_client, "", "");
KSYMTAB_FUNC(caif_connect_client, "", "");
KSYMTAB_FUNC(cfcnfg_add_phy_layer, "", "");
KSYMTAB_FUNC(cfcnfg_set_phy_state, "", "");
KSYMTAB_FUNC(cfcnfg_del_phy_layer, "", "");
KSYMTAB_FUNC(caif_free_client, "", "");
KSYMTAB_FUNC(caif_client_register_refcnt, "", "");
KSYMTAB_FUNC(cfpkt_fromnative, "", "");
KSYMTAB_FUNC(cfpkt_tonative, "", "");
KSYMTAB_FUNC(cfpkt_extr_head, "", "");
KSYMTAB_FUNC(cfpkt_add_head, "", "");
KSYMTAB_FUNC(cfpkt_info, "", "");
KSYMTAB_FUNC(cfpkt_set_prio, "", "");

SYMBOL_CRC(get_cfcnfg, 0x822dc906, "");
SYMBOL_CRC(caif_enroll_dev, 0x8da042a7, "");
SYMBOL_CRC(caif_disconnect_client, 0xe1f9bd71, "");
SYMBOL_CRC(caif_connect_client, 0x772a3f4d, "");
SYMBOL_CRC(cfcnfg_add_phy_layer, 0xeeae4c97, "");
SYMBOL_CRC(cfcnfg_set_phy_state, 0x839ddb7b, "");
SYMBOL_CRC(cfcnfg_del_phy_layer, 0x38701a7c, "");
SYMBOL_CRC(caif_free_client, 0xb7b6874e, "");
SYMBOL_CRC(caif_client_register_refcnt, 0x1446b60a, "");
SYMBOL_CRC(cfpkt_fromnative, 0x2a09f713, "");
SYMBOL_CRC(cfpkt_tonative, 0x4a237e57, "");
SYMBOL_CRC(cfpkt_extr_head, 0x40babbe0, "");
SYMBOL_CRC(cfpkt_add_head, 0x3fa84493, "");
SYMBOL_CRC(cfpkt_info, 0x329dbd06, "");
SYMBOL_CRC(cfpkt_set_prio, 0x9e3e305d, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16e83a0d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x3dd8b689, "dev_remove_pack" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xab27253, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xf6acf8d5, "__dev_queue_xmit" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xa6a0fd68, "pskb_put" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf911ee79, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x3b7b4d4f, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4A17B56AFA37779199D885F");

MODULE_INFO(suserelease, "SLFO-1.2");
