#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(libceph_compatible, "", "");
KSYMTAB_FUNC(ceph_msg_type_name, "", "");
KSYMTAB_FUNC(ceph_check_fsid, "", "");
KSYMTAB_FUNC(ceph_compare_options, "", "");
KSYMTAB_FUNC(ceph_parse_fsid, "", "");
KSYMTAB_FUNC(ceph_alloc_options, "", "");
KSYMTAB_FUNC(ceph_destroy_options, "", "");
KSYMTAB_FUNC(ceph_parse_mon_ips, "", "");
KSYMTAB_FUNC(ceph_parse_param, "", "");
KSYMTAB_FUNC(ceph_print_client_options, "", "");
KSYMTAB_FUNC(ceph_client_addr, "", "");
KSYMTAB_FUNC(ceph_client_gid, "", "");
KSYMTAB_FUNC(ceph_create_client, "", "");
KSYMTAB_FUNC(ceph_destroy_client, "", "");
KSYMTAB_FUNC(ceph_reset_client_addr, "", "");
KSYMTAB_FUNC(__ceph_open_session, "", "");
KSYMTAB_FUNC(ceph_open_session, "", "");
KSYMTAB_FUNC(ceph_wait_for_latest_osdmap, "", "");
KSYMTAB_FUNC(ceph_pr_addr, "", "");
KSYMTAB_FUNC(ceph_msgr_flush, "", "");
KSYMTAB_FUNC(ceph_con_close, "", "");
KSYMTAB_FUNC(ceph_con_open, "", "");
KSYMTAB_FUNC(ceph_con_init, "", "");
KSYMTAB_FUNC(ceph_addr_is_blank, "", "");
KSYMTAB_FUNC(ceph_con_send, "", "");
KSYMTAB_FUNC(ceph_con_keepalive, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_pages, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_pagelist, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_bio, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_bvecs, "", "");
KSYMTAB_FUNC(ceph_msg_new2, "", "");
KSYMTAB_FUNC(ceph_msg_new, "", "");
KSYMTAB_FUNC(ceph_msg_get, "", "");
KSYMTAB_FUNC(ceph_msg_put, "", "");
KSYMTAB_FUNC(ceph_msg_dump, "", "");
KSYMTAB_FUNC(ceph_buffer_new, "", "");
KSYMTAB_FUNC(ceph_buffer_release, "", "");
KSYMTAB_FUNC(ceph_pagelist_alloc, "", "");
KSYMTAB_FUNC(ceph_pagelist_release, "", "");
KSYMTAB_FUNC(ceph_pagelist_append, "", "");
KSYMTAB_FUNC(ceph_pagelist_reserve, "", "");
KSYMTAB_FUNC(ceph_pagelist_free_reserve, "", "");
KSYMTAB_FUNC(ceph_pagelist_set_cursor, "", "");
KSYMTAB_FUNC(ceph_pagelist_truncate, "", "");
KSYMTAB_FUNC(ceph_monc_want_map, "", "");
KSYMTAB_FUNC(ceph_monc_got_map, "", "");
KSYMTAB_FUNC(ceph_monc_renew_subs, "", "");
KSYMTAB_FUNC(ceph_monc_wait_osdmap, "", "");
KSYMTAB_FUNC(ceph_monc_open_session, "", "");
KSYMTAB_FUNC(ceph_monc_do_statfs, "", "");
KSYMTAB_FUNC(ceph_monc_get_version, "", "");
KSYMTAB_FUNC(ceph_monc_get_version_async, "", "");
KSYMTAB_FUNC(ceph_monc_blocklist_add, "", "");
KSYMTAB_FUNC(ceph_monc_init, "", "");
KSYMTAB_FUNC(ceph_monc_stop, "", "");
KSYMTAB_FUNC(ceph_monc_validate_auth, "", "");
KSYMTAB_FUNC(ceph_decode_entity_addr, "", "");
KSYMTAB_FUNC(ceph_decode_entity_addrvec, "", "");
KSYMTAB_FUNC(ceph_cls_lock, "", "");
KSYMTAB_FUNC(ceph_cls_unlock, "", "");
KSYMTAB_FUNC(ceph_cls_break_lock, "", "");
KSYMTAB_FUNC(ceph_cls_set_cookie, "", "");
KSYMTAB_FUNC(ceph_free_lockers, "", "");
KSYMTAB_FUNC(ceph_cls_lock_info, "", "");
KSYMTAB_FUNC(ceph_cls_assert_locked, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data, "", "");
KSYMTAB_FUNC(osd_req_op_raw_data_in_pages, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_pages, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_pagelist, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bio, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bvecs, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bvec_pos, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_iter, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_pagelist, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_pages, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_bvecs, "", "");
KSYMTAB_FUNC(osd_req_op_cls_response_data_pages, "", "");
KSYMTAB_FUNC(ceph_osdc_get_request, "", "");
KSYMTAB_FUNC(ceph_osdc_put_request, "", "");
KSYMTAB_FUNC(ceph_osdc_alloc_request, "", "");
KSYMTAB_FUNC(ceph_osdc_alloc_messages, "", "");
KSYMTAB_FUNC(osd_req_op_init, "", "");
KSYMTAB_FUNC(osd_req_op_extent_init, "", "");
KSYMTAB_FUNC(osd_req_op_extent_update, "", "");
KSYMTAB_FUNC(osd_req_op_extent_dup_last, "", "");
KSYMTAB_FUNC(osd_req_op_cls_init, "", "");
KSYMTAB_FUNC(osd_req_op_xattr_init, "", "");
KSYMTAB_FUNC(osd_req_op_alloc_hint_init, "", "");
KSYMTAB_FUNC(ceph_osdc_new_request, "", "");
KSYMTAB_FUNC(__ceph_alloc_sparse_ext_map, "", "");
KSYMTAB_FUNC(ceph_osdc_abort_requests, "", "");
KSYMTAB_FUNC(ceph_osdc_clear_abort_err, "", "");
KSYMTAB_FUNC(ceph_osdc_update_epoch_barrier, "", "");
KSYMTAB_FUNC(ceph_osdc_start_request, "", "");
KSYMTAB_FUNC(ceph_osdc_cancel_request, "", "");
KSYMTAB_FUNC(ceph_osdc_wait_request, "", "");
KSYMTAB_FUNC(ceph_osdc_sync, "", "");
KSYMTAB_FUNC(ceph_osdc_watch, "", "");
KSYMTAB_FUNC(ceph_osdc_unwatch, "", "");
KSYMTAB_FUNC(ceph_osdc_notify_ack, "", "");
KSYMTAB_FUNC(ceph_osdc_notify, "", "");
KSYMTAB_FUNC(ceph_osdc_list_watchers, "", "");
KSYMTAB_FUNC(ceph_osdc_flush_notifies, "", "");
KSYMTAB_FUNC(ceph_osdc_maybe_request_map, "", "");
KSYMTAB_FUNC(ceph_osdc_call, "", "");
KSYMTAB_FUNC(osd_req_op_copy_from_init, "", "");
KSYMTAB_FUNC(ceph_pg_pool_name_by_id, "", "");
KSYMTAB_FUNC(ceph_pg_poolid_by_name, "", "");
KSYMTAB_FUNC(ceph_pg_pool_flags, "", "");
KSYMTAB_FUNC(ceph_oloc_copy, "", "");
KSYMTAB_FUNC(ceph_oloc_destroy, "", "");
KSYMTAB_FUNC(ceph_oid_copy, "", "");
KSYMTAB_FUNC(ceph_oid_printf, "", "");
KSYMTAB_FUNC(ceph_oid_aprintf, "", "");
KSYMTAB_FUNC(ceph_oid_destroy, "", "");
KSYMTAB_FUNC(ceph_object_locator_to_pg, "", "");
KSYMTAB_FUNC(ceph_pg_to_acting_primary, "", "");
KSYMTAB_FUNC(ceph_calc_file_object_mapping, "", "");
KSYMTAB_FUNC(ceph_file_to_extents, "", "");
KSYMTAB_FUNC(ceph_iterate_extents, "", "");
KSYMTAB_FUNC(ceph_extent_to_file, "", "");
KSYMTAB_FUNC(ceph_get_num_objects, "", "");
KSYMTAB_FUNC(ceph_auth_is_authenticated, "", "");
KSYMTAB_FUNC(__ceph_auth_get_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_destroy_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_add_authorizer_challenge, "", "");
KSYMTAB_FUNC(ceph_auth_verify_authorizer_reply, "", "");
KSYMTAB_FUNC(ceph_auth_invalidate_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_get_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_handle_svc_reply_more, "", "");
KSYMTAB_FUNC(ceph_auth_handle_svc_reply_done, "", "");
KSYMTAB_FUNC(ceph_auth_handle_bad_authorizer, "", "");
KSYMTAB_FUNC(ceph_entity_type_name, "", "");
KSYMTAB_FUNC(ceph_str_hash, "", "");
KSYMTAB_FUNC(ceph_str_hash_name, "", "");
KSYMTAB_FUNC(ceph_put_page_vector, "", "");
KSYMTAB_FUNC(ceph_release_page_vector, "", "");
KSYMTAB_FUNC(ceph_alloc_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_user_to_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_to_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_from_page_vector, "", "");
KSYMTAB_FUNC(ceph_zero_page_vector_range, "", "");
KSYMTAB_FUNC(ceph_create_snap_context, "", "");
KSYMTAB_FUNC(ceph_get_snap_context, "", "");
KSYMTAB_FUNC(ceph_put_snap_context, "", "");
KSYMTAB_FUNC(ceph_find_or_create_string, "", "");
KSYMTAB_FUNC(ceph_release_string, "", "");

SYMBOL_CRC(libceph_compatible, 0x466b85b8, "");
SYMBOL_CRC(ceph_msg_type_name, 0xb54676fa, "");
SYMBOL_CRC(ceph_check_fsid, 0x9a00f15e, "");
SYMBOL_CRC(ceph_compare_options, 0xa4cdbe68, "");
SYMBOL_CRC(ceph_parse_fsid, 0x4affd6c2, "");
SYMBOL_CRC(ceph_alloc_options, 0x987d3968, "");
SYMBOL_CRC(ceph_destroy_options, 0xd4d736db, "");
SYMBOL_CRC(ceph_parse_mon_ips, 0x582d8091, "");
SYMBOL_CRC(ceph_parse_param, 0x50ffde28, "");
SYMBOL_CRC(ceph_print_client_options, 0x5712c459, "");
SYMBOL_CRC(ceph_client_addr, 0x8831a9b0, "");
SYMBOL_CRC(ceph_client_gid, 0x6b8f14a5, "");
SYMBOL_CRC(ceph_create_client, 0x7dc9439b, "");
SYMBOL_CRC(ceph_destroy_client, 0xd4d1a46b, "");
SYMBOL_CRC(ceph_reset_client_addr, 0x6aebe7da, "");
SYMBOL_CRC(__ceph_open_session, 0xdbf3a3de, "");
SYMBOL_CRC(ceph_open_session, 0x0f91ce36, "");
SYMBOL_CRC(ceph_wait_for_latest_osdmap, 0x6c6321ee, "");
SYMBOL_CRC(ceph_pr_addr, 0x6a7a38a0, "");
SYMBOL_CRC(ceph_msgr_flush, 0xafb8a407, "");
SYMBOL_CRC(ceph_con_close, 0x00d80650, "");
SYMBOL_CRC(ceph_con_open, 0xf65eaa64, "");
SYMBOL_CRC(ceph_con_init, 0xcd160905, "");
SYMBOL_CRC(ceph_addr_is_blank, 0xf254297e, "");
SYMBOL_CRC(ceph_con_send, 0x63163797, "");
SYMBOL_CRC(ceph_con_keepalive, 0x73e80703, "");
SYMBOL_CRC(ceph_msg_data_add_pages, 0x5c1c3c25, "");
SYMBOL_CRC(ceph_msg_data_add_pagelist, 0x000bef4b, "");
SYMBOL_CRC(ceph_msg_data_add_bio, 0x148f59ca, "");
SYMBOL_CRC(ceph_msg_data_add_bvecs, 0xb9db1bc4, "");
SYMBOL_CRC(ceph_msg_new2, 0xb05201f4, "");
SYMBOL_CRC(ceph_msg_new, 0xe8982cb4, "");
SYMBOL_CRC(ceph_msg_get, 0xaf546164, "");
SYMBOL_CRC(ceph_msg_put, 0xb7986de8, "");
SYMBOL_CRC(ceph_msg_dump, 0xc49590ad, "");
SYMBOL_CRC(ceph_buffer_new, 0x9fbba67f, "");
SYMBOL_CRC(ceph_buffer_release, 0xb72c162e, "");
SYMBOL_CRC(ceph_pagelist_alloc, 0xe76e7226, "");
SYMBOL_CRC(ceph_pagelist_release, 0x2a983d26, "");
SYMBOL_CRC(ceph_pagelist_append, 0xefce991c, "");
SYMBOL_CRC(ceph_pagelist_reserve, 0xefce3c3b, "");
SYMBOL_CRC(ceph_pagelist_free_reserve, 0x165b1948, "");
SYMBOL_CRC(ceph_pagelist_set_cursor, 0xf03fe862, "");
SYMBOL_CRC(ceph_pagelist_truncate, 0xc366bfa1, "");
SYMBOL_CRC(ceph_monc_want_map, 0x890c18d0, "");
SYMBOL_CRC(ceph_monc_got_map, 0x65dd2b74, "");
SYMBOL_CRC(ceph_monc_renew_subs, 0x847f86db, "");
SYMBOL_CRC(ceph_monc_wait_osdmap, 0xf862110d, "");
SYMBOL_CRC(ceph_monc_open_session, 0x64c08dd3, "");
SYMBOL_CRC(ceph_monc_do_statfs, 0x905d25fd, "");
SYMBOL_CRC(ceph_monc_get_version, 0x60175cf2, "");
SYMBOL_CRC(ceph_monc_get_version_async, 0x3fbc6f65, "");
SYMBOL_CRC(ceph_monc_blocklist_add, 0xe39d67eb, "");
SYMBOL_CRC(ceph_monc_init, 0x448fe1c5, "");
SYMBOL_CRC(ceph_monc_stop, 0x832614a4, "");
SYMBOL_CRC(ceph_monc_validate_auth, 0xc460dfaf, "");
SYMBOL_CRC(ceph_decode_entity_addr, 0xd4eb7735, "");
SYMBOL_CRC(ceph_decode_entity_addrvec, 0x50603ce3, "");
SYMBOL_CRC(ceph_cls_lock, 0x391742fd, "");
SYMBOL_CRC(ceph_cls_unlock, 0x708a397b, "");
SYMBOL_CRC(ceph_cls_break_lock, 0x77e56ac0, "");
SYMBOL_CRC(ceph_cls_set_cookie, 0x92294439, "");
SYMBOL_CRC(ceph_free_lockers, 0xa698f998, "");
SYMBOL_CRC(ceph_cls_lock_info, 0xe4426e8a, "");
SYMBOL_CRC(ceph_cls_assert_locked, 0xab49b989, "");
SYMBOL_CRC(osd_req_op_extent_osd_data, 0x685f2400, "");
SYMBOL_CRC(osd_req_op_raw_data_in_pages, 0x50827e39, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pages, 0x1bd1cb8f, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pagelist, 0xb9309263, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bio, 0x913639e5, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvecs, 0xdd25444b, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvec_pos, 0x7622bf87, "");
SYMBOL_CRC(osd_req_op_extent_osd_iter, 0x1489ea96, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pagelist, 0x4a16ce71, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pages, 0x23c89b97, "");
SYMBOL_CRC(osd_req_op_cls_request_data_bvecs, 0x0684a403, "");
SYMBOL_CRC(osd_req_op_cls_response_data_pages, 0x828fd362, "");
SYMBOL_CRC(ceph_osdc_get_request, 0xc8e1076f, "");
SYMBOL_CRC(ceph_osdc_put_request, 0x2c7ddf65, "");
SYMBOL_CRC(ceph_osdc_alloc_request, 0x414a9d42, "");
SYMBOL_CRC(ceph_osdc_alloc_messages, 0x42c7cbb2, "");
SYMBOL_CRC(osd_req_op_init, 0x9c3040ba, "");
SYMBOL_CRC(osd_req_op_extent_init, 0xbcc943fc, "");
SYMBOL_CRC(osd_req_op_extent_update, 0x6d6e7f94, "");
SYMBOL_CRC(osd_req_op_extent_dup_last, 0x7242137e, "");
SYMBOL_CRC(osd_req_op_cls_init, 0x2fc0b4b7, "");
SYMBOL_CRC(osd_req_op_xattr_init, 0xa2747441, "");
SYMBOL_CRC(osd_req_op_alloc_hint_init, 0xd36e1907, "");
SYMBOL_CRC(ceph_osdc_new_request, 0x3e04bdce, "");
SYMBOL_CRC(__ceph_alloc_sparse_ext_map, 0x71791029, "");
SYMBOL_CRC(ceph_osdc_abort_requests, 0x891b5540, "");
SYMBOL_CRC(ceph_osdc_clear_abort_err, 0x6c13a8ed, "");
SYMBOL_CRC(ceph_osdc_update_epoch_barrier, 0xe97db489, "");
SYMBOL_CRC(ceph_osdc_start_request, 0x289c066d, "");
SYMBOL_CRC(ceph_osdc_cancel_request, 0x4c09120e, "");
SYMBOL_CRC(ceph_osdc_wait_request, 0x4f506fa5, "");
SYMBOL_CRC(ceph_osdc_sync, 0x4a185237, "");
SYMBOL_CRC(ceph_osdc_watch, 0xe4d94664, "");
SYMBOL_CRC(ceph_osdc_unwatch, 0xef116864, "");
SYMBOL_CRC(ceph_osdc_notify_ack, 0xf39d92ea, "");
SYMBOL_CRC(ceph_osdc_notify, 0x31ca4724, "");
SYMBOL_CRC(ceph_osdc_list_watchers, 0x69d9bdaf, "");
SYMBOL_CRC(ceph_osdc_flush_notifies, 0xa7debd3a, "");
SYMBOL_CRC(ceph_osdc_maybe_request_map, 0x325d3660, "");
SYMBOL_CRC(ceph_osdc_call, 0x0959b649, "");
SYMBOL_CRC(osd_req_op_copy_from_init, 0xa0c6d95d, "");
SYMBOL_CRC(ceph_pg_pool_name_by_id, 0x8b1b67ad, "");
SYMBOL_CRC(ceph_pg_poolid_by_name, 0x68048934, "");
SYMBOL_CRC(ceph_pg_pool_flags, 0x04c13b4f, "");
SYMBOL_CRC(ceph_oloc_copy, 0xbd2f79ae, "");
SYMBOL_CRC(ceph_oloc_destroy, 0x417a9131, "");
SYMBOL_CRC(ceph_oid_copy, 0x2087719e, "");
SYMBOL_CRC(ceph_oid_printf, 0xdf6ef4a1, "");
SYMBOL_CRC(ceph_oid_aprintf, 0x5aeeee62, "");
SYMBOL_CRC(ceph_oid_destroy, 0x2101cbc9, "");
SYMBOL_CRC(ceph_object_locator_to_pg, 0x04b392c2, "");
SYMBOL_CRC(ceph_pg_to_acting_primary, 0x7b8333fb, "");
SYMBOL_CRC(ceph_calc_file_object_mapping, 0x9fefa3cb, "");
SYMBOL_CRC(ceph_file_to_extents, 0x38f2d94e, "");
SYMBOL_CRC(ceph_iterate_extents, 0xeef6cfa3, "");
SYMBOL_CRC(ceph_extent_to_file, 0xca80437b, "");
SYMBOL_CRC(ceph_get_num_objects, 0x3c8d7111, "");
SYMBOL_CRC(ceph_auth_is_authenticated, 0x6bff61ed, "");
SYMBOL_CRC(__ceph_auth_get_authorizer, 0xc6a26239, "");
SYMBOL_CRC(ceph_auth_destroy_authorizer, 0xad703657, "");
SYMBOL_CRC(ceph_auth_add_authorizer_challenge, 0x07033de6, "");
SYMBOL_CRC(ceph_auth_verify_authorizer_reply, 0x5040e837, "");
SYMBOL_CRC(ceph_auth_invalidate_authorizer, 0x20c047b9, "");
SYMBOL_CRC(ceph_auth_get_authorizer, 0xa4438f5e, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_more, 0xb5ea69aa, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_done, 0xa530dfb1, "");
SYMBOL_CRC(ceph_auth_handle_bad_authorizer, 0x8b4bed56, "");
SYMBOL_CRC(ceph_entity_type_name, 0xdfc091f9, "");
SYMBOL_CRC(ceph_str_hash, 0x57baf885, "");
SYMBOL_CRC(ceph_str_hash_name, 0x63758856, "");
SYMBOL_CRC(ceph_put_page_vector, 0xf6dc17b8, "");
SYMBOL_CRC(ceph_release_page_vector, 0x53b8f688, "");
SYMBOL_CRC(ceph_alloc_page_vector, 0xd266732c, "");
SYMBOL_CRC(ceph_copy_user_to_page_vector, 0x51351e36, "");
SYMBOL_CRC(ceph_copy_to_page_vector, 0x8bfc6e75, "");
SYMBOL_CRC(ceph_copy_from_page_vector, 0x134d539f, "");
SYMBOL_CRC(ceph_zero_page_vector_range, 0x38bad708, "");
SYMBOL_CRC(ceph_create_snap_context, 0x9ca95932, "");
SYMBOL_CRC(ceph_get_snap_context, 0xbe3879aa, "");
SYMBOL_CRC(ceph_put_snap_context, 0x86fca7e4, "");
SYMBOL_CRC(ceph_find_or_create_string, 0x9bc6b539, "");
SYMBOL_CRC(ceph_release_string, 0xee120c03, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x895dfc31, "sock_sendmsg" },
	{ 0x90f58b77, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbada6f58, "__put_devmap_managed_folio_refs" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd35424b5, "tcp_stream_memory_free" },
	{ 0x91cbbcc0, "sg_alloc_table_from_pages_segment" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x169c888a, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8903bb3, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x66c0f584, "crypto_alloc_sync_skcipher" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xa985aeff, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x911c8743, "seq_read" },
	{ 0xd1bff884, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x40188962, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4b34fd97, "mempool_create_node_noprof" },
	{ 0x7680187a, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x30a14f60, "request_key_tag" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x1cb5188, "generic_key_instantiate" },
	{ 0x66ca9904, "seq_write" },
	{ 0xee07959b, "mempool_destroy" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0x6c6723d7, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd3d87112, "set_page_dirty_lock" },
	{ 0xbf635fd6, "sock_release" },
	{ 0x9ac443e1, "iov_iter_discard" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0x1be11656, "downgrade_write" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0x55473fb7, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa3528bfb, "tcp_sock_set_nodelay" },
	{ 0xaa903c3a, "__fs_parse" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x754d539c, "strlen" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0xc67b1fbe, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd898659, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xbaeb8e8c, "crypto_alloc_shash" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x8bbade6, "kernel_sendmsg" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xc40bf4ce, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0xdb382c0a, "crypto_skcipher_encrypt" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xfb60992f, "tcp_sock_set_cork" },
	{ 0x173756c, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xcdad8617, "fs_param_is_string" },
	{ 0xebafee8d, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x5a3638ff, "iov_iter_advance" },
	{ 0x609bcd98, "in6_pton" },
	{ 0x4ceb0d84, "unregister_key_type" },
	{ 0x9612cd5b, "prepare_to_wait" },
	{ 0x86e1b733, "iov_iter_get_pages2" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xaf7e754c, "fs_param_is_enum" },
	{ 0xd65b245a, "logfc" },
	{ 0xced99116, "crypto_alloc_aead" },
	{ 0x7b55d23f, "__tracepoint_sk_data_ready" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xcd4b3a77, "crypto_aead_setauthsize" },
	{ 0x7fa3ddcb, "crypto_aead_decrypt" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xeaa4ddd4, "crypto_skcipher_setkey" },
	{ 0x148653, "vsnprintf" },
	{ 0xb9ee697a, "filemap_alloc_folio_noprof" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x36abf882, "mempool_free" },
	{ 0x4f81a8ea, "register_key_type" },
	{ 0x73d78539, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8a1f3eca, "crypto_destroy_tfm" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf82c7e3c, "fs_param_is_u32" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3c7f8eae, "crypto_skcipher_decrypt" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8375762d, "__free_pages" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x5e1f47e3, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x3fb7a406, "mempool_alloc_noprof" },
	{ 0x423e5994, "key_put" },
	{ 0x6f2d2f6c, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x77f5bb81, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x264635e1, "up_write" },
	{ 0x8e0c2dc3, "crypto_shash_setkey" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3a3a14a9, "crypto_aead_encrypt" },
	{ 0x27ab35aa, "__SCK__tp_func_sk_data_ready" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x7a905b8, "seq_putc" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc0db7e74, "iov_iter_kvec" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "libcrc32c");


MODULE_INFO(srcversion, "8A0658F337C66A3DB0101F8");

MODULE_INFO(suserelease, "SLFO-1.2");
