#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(inet_diag_msg_common_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_msg_attrs_fill, "_gpl", "");
KSYMTAB_FUNC(inet_sk_diag_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_find_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_bc_sk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_register, "_gpl", "");
KSYMTAB_FUNC(inet_diag_unregister, "_gpl", "");

SYMBOL_CRC(inet_diag_msg_common_fill, 0xb7ef9b31, "_gpl");
SYMBOL_CRC(inet_diag_msg_attrs_fill, 0x9a9c61fa, "_gpl");
SYMBOL_CRC(inet_sk_diag_fill, 0x8a9ebd29, "_gpl");
SYMBOL_CRC(inet_diag_find_one_icsk, 0x30bb9faf, "_gpl");
SYMBOL_CRC(inet_diag_dump_one_icsk, 0x7d866aa0, "_gpl");
SYMBOL_CRC(inet_diag_bc_sk, 0xf517f675, "_gpl");
SYMBOL_CRC(inet_diag_dump_icsk, 0xb42e7bd6, "_gpl");
SYMBOL_CRC(inet_diag_register, 0x0bb62df7, "_gpl");
SYMBOL_CRC(inet_diag_unregister, 0x556b4e53, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x449ad0a7, "memcmp" },
	{ 0x8e4eb451, "bpf_sk_storage_diag_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf665f74f, "sock_load_diag_module" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6857cc3d, "module_put" },
	{ 0x8d404f63, "__netlink_dump_start" },
	{ 0x518d2519, "sock_diag_unregister" },
	{ 0xacd63d77, "sock_diag_unregister_inet_compat" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x9eca18b5, "sock_diag_register" },
	{ 0xb7cf9fd4, "sock_diag_register_inet_compat" },
	{ 0x34c690a6, "netlink_net_capable" },
	{ 0x5d8476d3, "bpf_sk_storage_diag_alloc" },
	{ 0x970b4fbb, "inet6_lookup" },
	{ 0x6d1ef723, "sock_diag_check_cookie" },
	{ 0x217d8e58, "__inet_lookup_established" },
	{ 0x1e13bbcb, "sock_gen_put" },
	{ 0x369767d7, "__inet_lookup_listener" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf583f1a1, "__nlmsg_put" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9edf05b3, "bpf_sk_storage_diag_put" },
	{ 0x6ba706e6, "sock_diag_put_meminfo" },
	{ 0xa916b694, "strnlen" },
	{ 0x639cb360, "nla_reserve_64bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0x6d896d3c, "netlink_unicast" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf398ee77, "sk_free" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3b3030b6, "sock_diag_save_cookie" },
	{ 0x8d304f20, "nla_put" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x49a5643f, "sock_i_uid" },
	{ 0x36cab5e2, "from_kuid_munged" },
	{ 0xa069efa7, "sock_i_ino" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf107d26e, "skb_trim" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "90F85384506243E4694C237");

MODULE_INFO(suserelease, "SLFO-1.2");
