#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(l2tp_ioctl, "_gpl", "");

SYMBOL_CRC(l2tp_ioctl, 0xc70696e8, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc20267c3, "inet_unregister_protosw" },
	{ 0xa88f9a6d, "inet_del_protocol" },
	{ 0x20692f, "sock_queue_rcv_skb_reason" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xf4ec7524, "l2tp_sk_to_tunnel" },
	{ 0x7b43da8d, "l2tp_tunnel_delete" },
	{ 0x3b204333, "l2tp_tunnel_put" },
	{ 0x7ece64c8, "__udp_disconnect" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5d1358a7, "lock_sock_nested" },
	{ 0xfaa14df5, "release_sock" },
	{ 0x38ea08a1, "inet_addr_type" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0xf7f89ef8, "sk_common_release" },
	{ 0x402fff43, "__ip4_datagram_connect" },
	{ 0x1e23de1, "sock_wmalloc" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x69dc6f5d, "_copy_from_iter" },
	{ 0x6c1d0da0, "__sk_dst_check" },
	{ 0x96ae8991, "ip_queue_xmit" },
	{ 0xbc18112e, "security_sk_classify_flow" },
	{ 0x4a0fa443, "ip_route_output_flow" },
	{ 0xcbb6744e, "sk_setup_caps" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8e9c69fd, "make_kuid" },
	{ 0xc67b1fbe, "iov_iter_revert" },
	{ 0x90509256, "skb_recv_datagram" },
	{ 0x7d13f9d1, "skb_copy_datagram_iter" },
	{ 0xa2db2783, "skb_free_datagram" },
	{ 0x8a7f276e, "__sock_recv_timestamp" },
	{ 0xd121276b, "ip_cmsg_recv_offset" },
	{ 0xc02bad57, "__sock_recv_wifi_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8e5fd71e, "l2tp_v3_session_get" },
	{ 0xbe992a15, "l2tp_recv_common" },
	{ 0x4cdb779d, "l2tp_session_put" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x2170e5bf, "__sk_receive_skb" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x1c7d34ff, "__xfrm_policy_check" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xf398ee77, "sk_free" },
	{ 0xb31984f0, "__skb_ext_del" },
	{ 0xa85e8d5a, "inet_release" },
	{ 0x454e6d26, "inet_bind" },
	{ 0xdca6ad80, "inet_dgram_connect" },
	{ 0xafe91e81, "sock_no_socketpair" },
	{ 0x1b20415d, "sock_no_accept" },
	{ 0xaf8f5d61, "datagram_poll" },
	{ 0xd87d0ae, "inet_ioctl" },
	{ 0x17937b97, "sock_gettstamp" },
	{ 0x63643d75, "sock_no_listen" },
	{ 0x3792611a, "inet_shutdown" },
	{ 0x3d92deea, "sock_common_setsockopt" },
	{ 0x5cce8481, "sock_common_getsockopt" },
	{ 0xc3097489, "inet_sendmsg" },
	{ 0xb6876670, "sock_common_recvmsg" },
	{ 0x61d169a1, "sock_no_mmap" },
	{ 0xaa79d36a, "ip_setsockopt" },
	{ 0x206b0e34, "ip_getsockopt" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x41191db1, "register_pernet_device" },
	{ 0x547ccf6f, "proto_register" },
	{ 0xc578b725, "inet_add_protocol" },
	{ 0x13356863, "proto_unregister" },
	{ 0x67282142, "inet_register_protosw" },
	{ 0x967c4bd0, "unregister_pernet_device" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "l2tp_core");


MODULE_INFO(srcversion, "423F2831315564D2491389F");

MODULE_INFO(suserelease, "SLFO-1.2");
