#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_configure_durations, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");
KSYMTAB_FUNC(ieee802154_xmit_error, "", "");
KSYMTAB_FUNC(ieee802154_xmit_hw_error, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0xda84accc, "");
SYMBOL_CRC(ieee802154_configure_durations, 0x0deed9a0, "");
SYMBOL_CRC(ieee802154_free_hw, 0xbe4325a8, "");
SYMBOL_CRC(ieee802154_register_hw, 0x3ab5eb35, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0xafee2419, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0x73ffb29b, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0xf6c26536, "");
SYMBOL_CRC(ieee802154_xmit_error, 0x1bf51bd8, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0x5ee4291b, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa916b694, "strnlen" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0x9ab26ac0, "skb_copy_expand" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6f2d2f6c, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x12d3c239, "cfg802154_get_free_short_addr" },
	{ 0x33719327, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xba1beb16, "wpan_phy_register" },
	{ 0xf1726ebf, "cfg802154_set_max_associations" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3a3a14a9, "crypto_aead_encrypt" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0x5aa51c93, "ieee802154_hdr_peek" },
	{ 0x23ff3020, "wpan_phy_free" },
	{ 0x43cb93ec, "netif_receive_skb" },
	{ 0x62173924, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x653194b1, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0x62d1ac71, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x4102c5e2, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f5cecfe, "ieee802154_hdr_pull" },
	{ 0xe78fb319, "nl802154_scan_event" },
	{ 0x66c0f584, "crypto_alloc_sync_skcipher" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x92225dd3, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0xcf6b65fa, "ieee802154_beacon_push" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x17442ab, "ieee802154_mac_cmd_pl_pull" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe9b40930, "wpan_phy_new" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x93fae14b, "hrtimer_cancel" },
	{ 0xd6df8089, "ieee802154_hdr_push" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xcf0cb5b, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xaaec85e3, "cfg802154_device_is_parent" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xc24ac857, "cfg802154_device_is_child" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xeb60b8ef, "register_netdevice" },
	{ 0xdb382c0a, "crypto_skcipher_encrypt" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d81b71, "bpf_trace_run4" },
	{ 0xaf45b213, "nl802154_beaconing_done" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5bf7db3e, "hrtimer_init" },
	{ 0x70ee9f47, "dev_alloc_name" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x248bcdff, "ieee802154_mac_cmd_push" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xced99116, "crypto_alloc_aead" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xa1cbdf5e, "netdev_warn" },
	{ 0xcd4b3a77, "crypto_aead_setauthsize" },
	{ 0x7fa3ddcb, "crypto_aead_decrypt" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xeaa4ddd4, "crypto_skcipher_setkey" },
	{ 0xb27e097b, "unregister_netdevice_queue" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x24770d00, "ieee802154_hdr_peek_addrs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xce942293, "wpan_phy_unregister" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0xc7eb2066, "dev_addr_mod" },
	{ 0x8a1f3eca, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf14da2c6, "alloc_netdev_mqs" },
	{ 0xfed90578, "nl802154_scan_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x204f9c1c, "nl802154_scan_started" },
	{ 0x3c7f8eae, "crypto_skcipher_decrypt" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "DC1138AE16B2B32E5FDFC74");

MODULE_INFO(suserelease, "SLFO-1.2");
