#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xf45b7c79, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xe3b99538, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xe874f400, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xe25376ee, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x5eea434b, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0xc7f56f9a, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x30bb43ff, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x840f9beb, "");
SYMBOL_CRC(ip_vs_conn_put, 0x9a460edd, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x9a5fd287, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0xef0805be, "");
SYMBOL_CRC(register_ip_vs_app, 0x4484b003, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xb71e2748, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x575ecab8, "");
SYMBOL_CRC(ip_vs_proto_get, 0x41f8c180, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x0c20395d, "");
SYMBOL_CRC(register_ip_vs_pe, 0x41b55321, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x22022638, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x65891641, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdee43f99, "ip_route_me_harder" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0xe7b9f34a, "set_cpus_allowed_ptr" },
	{ 0x7a905b8, "seq_putc" },
	{ 0x8d304f20, "nla_put" },
	{ 0x2fa9d304, "proc_doulongvec_minmax" },
	{ 0x568c951f, "nf_ct_expect_alloc" },
	{ 0xbcabb4a9, "skb_ensure_writable" },
	{ 0xc0db7e74, "iov_iter_kvec" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7e78a45, "ip_mc_join_group" },
	{ 0xab9d020c, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x43c9f1fa, "ns_capable" },
	{ 0x5bfa8e0d, "nf_unregister_net_hooks" },
	{ 0x18108793, "inet_select_addr" },
	{ 0x967c4bd0, "unregister_pernet_device" },
	{ 0x5d1358a7, "lock_sock_nested" },
	{ 0x38ea08a1, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xd960722a, "kthread_stop" },
	{ 0xbf3628c0, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x169c888a, "kernel_connect" },
	{ 0x8e958c0d, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0xad1e0b7b, "ip_defrag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0xfce8cfed, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf107d26e, "skb_trim" },
	{ 0x9a14bb0c, "nf_hook_slow" },
	{ 0x82b5fad, "mutex_trylock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c24f10b, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xc1d94d9e, "nf_ct_deliver_cached_events" },
	{ 0x740cd1c5, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x45f775b8, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe0701d48, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd34760c4, "ipv4_mtu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x4655cafc, "skb_set_owner_w" },
	{ 0x2f447813, "__skb_checksum" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7680187a, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x538eb2d2, "init_user_ns" },
	{ 0x34fa4f6, "nf_ct_expect_init" },
	{ 0x66ca9904, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcb8a4261, "remove_proc_entry" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3335abed, "seq_printf" },
	{ 0x6c6723d7, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xdf8d5bda, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfea85ff4, "ipv4_update_pmtu" },
	{ 0xaf328ab9, "nf_defrag_ipv6_enable" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0xbf635fd6, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa8e69db7, "proc_dointvec" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xba5ca3d7, "unregister_net_sysctl_table" },
	{ 0x70b0301b, "ip_local_out" },
	{ 0x28306963, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x4936a06a, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x797f7724, "genl_register_family" },
	{ 0x8bbade6, "kernel_sendmsg" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xedaa3b1d, "nf_ct_netns_put" },
	{ 0x41191db1, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0xfaa14df5, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1f7347d5, "proc_dointvec_minmax" },
	{ 0x332fdd75, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xdef437b, "nf_conntrack_find_get" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x26be68a9, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x59585938, "icmp6_send" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0x7f84c9c, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3017c5f7, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xba60262d, "housekeeping_cpumask" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xb25f34a7, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0xa19a7748, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x819c4d57, "nf_register_sockopt" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x5e9ecea3, "nf_ct_netns_get" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6ccd8595, "kernel_bind" },
	{ 0x6de6d991, "set_user_nice" },
	{ 0xfbe6207f, "genlmsg_put" },
	{ 0x15da6ba2, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xbacbec07, "ip6_output" },
	{ 0x61d3fd61, "ip6_route_me_harder" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x90fe8bbd, "__module_get" },
	{ 0x4a0fa443, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd7e28eae, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0x17689f0b, "__dev_get_by_name" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x20773db5, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0x96fcaff9, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x46017207, "register_net_sysctl_sz" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x1478dce6, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x4fa4351a, "nf_register_net_hooks" },
	{ 0x1486bb95, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdf022f08, "ipv6_sock_mc_join" },
	{ 0x6857cc3d, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0xb971f9ad, "ipv6_dev_get_saddr" },
	{ 0x386a4a2f, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf1597117, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc8032479, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x6d896d3c, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9a9b8980, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "37DB7994F788AD0AB3980C3");

MODULE_INFO(suserelease, "SLFO-1.2");
