#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_register_bpf, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0x2eab37d9, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0xd0130b1f, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x5bd253cb, "_gpl");
SYMBOL_CRC(flow_offload_add, 0xd47d45f4, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0x9014b56c, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0xc95f21cb, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x1d882384, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0xc2eff1b4, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0xb0dbbc5c, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0xbc60bc72, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0xc9efa16d, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x2b38ada5, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x1d22b86f, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0x7698bbcc, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x9dae089b, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x7163fda1, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x4553e4dd, "_gpl");
SYMBOL_CRC(nf_flow_register_bpf, 0x098f9d9b, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x77f5bb81, "down_write" },
	{ 0x264635e1, "up_write" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x745ac523, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6c88aae8, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x23f20028, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x50d14d7f, "flow_indr_dev_setup_offload" },
	{ 0xf1b91d18, "rhashtable_walk_stop" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xdef801a1, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x83047ab5, "rhashtable_destroy" },
	{ 0x64e70137, "register_btf_kfunc_id_set" },
	{ 0xa985aeff, "down_read" },
	{ 0x54b1b593, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42348b13, "rhashtable_insert_slow" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0xf6acf8d5, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x63a43ec2, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x93cd0ba5, "rhashtable_init_noprof" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x68112b71, "inet_proto_csum_replace4" },
	{ 0x66ca9904, "seq_write" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0xcb8a4261, "remove_proc_entry" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x229b47ef, "nf_ct_acct_add" },
	{ 0x3335abed, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0xb42eb307, "rhashtable_walk_next" },
	{ 0x181ed67, "ipv4_dst_check" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x255d1d35, "rhashtable_walk_exit" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x39b13ff9, "flow_rule_alloc" },
	{ 0xd96e2ed5, "ip6_dst_check" },
	{ 0x173756c, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xee716992, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa19a7748, "ip_output" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3dae00ec, "neigh_xmit" },
	{ 0xfd2cc0c, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xbacbec07, "ip6_output" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xe06e9e05, "rhashtable_walk_enter" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x20773db5, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "CFF181516A0CF8DFB0F0E2E");

MODULE_INFO(suserelease, "SLFO-1.2");
