#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x694a82c1, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0xa477c5b2, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x57bf1d28, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x5f7b7458, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0xf6bc98b8, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0xcbbb8caf, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0xfbe83465, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x7b6815b1, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0xdad784ef, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0xf22a99fb, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x3ccd64b2, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0xe4edf79e, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x8e4da1c8, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0xaae64f80, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x3e6366f7, "");
SYMBOL_CRC(nf_nat_follow_master, 0xf7a8288a, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0x029236d9, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x0d6a6bb1, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0xd1b2b597, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xfaa5e252, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0xd909a3cb, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x98d787fc, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0x53cfdcc8, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x586bf03c, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2f860523, "ipv6_skip_exthdr" },
	{ 0x4fa4351a, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6857cc3d, "module_put" },
	{ 0xb971f9ad, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x9a9b8980, "nf_ct_expect_related_report" },
	{ 0xdee43f99, "ip_route_me_harder" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xab76eff, "nf_hook_entries_delete_raw" },
	{ 0xbcabb4a9, "skb_ensure_writable" },
	{ 0x5bfa8e0d, "nf_unregister_net_hooks" },
	{ 0x18108793, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0x8e958c0d, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xfce8cfed, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xed1a06fd, "nf_ip_checksum" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x64e70137, "register_btf_kfunc_id_set" },
	{ 0xa2c39bae, "nf_ct_iterate_destroy" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0x54b1b593, "inet_proto_csum_replace16" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd1bff884, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2f447813, "__skb_checksum" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x68112b71, "inet_proto_csum_replace4" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0x1b9bfca, "nf_ct_l4proto_find" },
	{ 0x923d917d, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x20673a62, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x332fdd75, "nf_ct_ext_add" },
	{ 0x40952540, "__do_once_done" },
	{ 0xdef437b, "nf_conntrack_find_get" },
	{ 0xdc0df056, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x2eee6ea1, "nf_ip6_checksum" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0xf1219a97, "nf_hook_entries_insert_raw" },
	{ 0x7f84c9c, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x6582ccae, "nf_ct_seqadj_set" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x25f2b2c8, "kmemdup_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x21e6dd85, "nf_ct_helper_expectfn_unregister" },
	{ 0xcc289b6f, "__xfrm_decode_session" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x1a1fe9a3, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x61d3fd61, "ip6_route_me_harder" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "8575CF19F3DC7A43D0EECFA");

MODULE_INFO(suserelease, "SLFO-1.2");
