#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x25ddc051, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x34afc941, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x86add754, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x205c1da4, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x268399c1, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0xe6e4ea3f, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x6754d367, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x18a7817d, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x238fa8e2, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0xc7a1f627, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x07c685d9, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0x4fa4351a, "nf_register_net_hooks" },
	{ 0x3335abed, "seq_printf" },
	{ 0x66ca9904, "seq_write" },
	{ 0x5bfa8e0d, "nf_unregister_net_hooks" },
	{ 0xbcabb4a9, "skb_ensure_writable" },
	{ 0x68112b71, "inet_proto_csum_replace4" },
	{ 0xdee43f99, "ip_route_me_harder" },
	{ 0x70b0301b, "ip_local_out" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x552d29d, "security_skb_classify_flow" },
	{ 0xea8d42d2, "__nf_ip6_route" },
	{ 0x7f84c9c, "xfrm_lookup" },
	{ 0xb25f34a7, "ip6_local_out" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcb8a4261, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x950f0f0a, "nf_ct_tmpl_alloc" },
	{ 0x332fdd75, "nf_ct_ext_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x20773db5, "proc_create_net_data" },
	{ 0x484c38a3, "nf_ct_tmpl_free" },
	{ 0x99e6780e, "__cookie_v6_check" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x2f860523, "ipv6_skip_exthdr" },
	{ 0xb68440d0, "nf_ct_seqadj_init" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x18428692, "__cookie_v6_init_sequence" },
	{ 0x2d0143e8, "__cookie_v4_check" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "99500728F5B57851ADBDFD3");

MODULE_INFO(suserelease, "SLFO-1.2");
