#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nci_get_conn_info_by_dest_type_params, "", "");
KSYMTAB_FUNC(nci_req_complete, "", "");
KSYMTAB_FUNC(nci_prop_cmd, "", "");
KSYMTAB_FUNC(nci_core_cmd, "", "");
KSYMTAB_FUNC(nci_core_reset, "", "");
KSYMTAB_FUNC(nci_core_init, "", "");
KSYMTAB_FUNC(nci_nfcc_loopback, "", "");
KSYMTAB_FUNC(nci_set_config, "", "");
KSYMTAB_FUNC(nci_nfcee_discover, "", "");
KSYMTAB_FUNC(nci_nfcee_mode_set, "", "");
KSYMTAB_FUNC(nci_core_conn_create, "", "");
KSYMTAB_FUNC(nci_core_conn_close, "", "");
KSYMTAB_FUNC(nci_allocate_device, "", "");
KSYMTAB_FUNC(nci_free_device, "", "");
KSYMTAB_FUNC(nci_register_device, "", "");
KSYMTAB_FUNC(nci_unregister_device, "", "");
KSYMTAB_FUNC(nci_recv_frame, "", "");
KSYMTAB_FUNC(nci_send_frame, "", "");
KSYMTAB_FUNC(nci_send_cmd, "", "");
KSYMTAB_FUNC(nci_conn_max_data_pkt_payload_size, "", "");
KSYMTAB_FUNC(nci_send_data, "", "");
KSYMTAB_FUNC(nci_to_errno, "", "");
KSYMTAB_FUNC(nci_hci_send_event, "", "");
KSYMTAB_FUNC(nci_hci_send_cmd, "", "");
KSYMTAB_FUNC(nci_hci_clear_all_pipes, "", "");
KSYMTAB_FUNC(nci_hci_open_pipe, "", "");
KSYMTAB_FUNC(nci_hci_set_param, "", "");
KSYMTAB_FUNC(nci_hci_get_param, "", "");
KSYMTAB_FUNC(nci_hci_connect_gate, "", "");
KSYMTAB_FUNC(nci_hci_dev_session_init, "", "");

SYMBOL_CRC(nci_get_conn_info_by_dest_type_params, 0x8a3a3571, "");
SYMBOL_CRC(nci_req_complete, 0xb8d2e3a4, "");
SYMBOL_CRC(nci_prop_cmd, 0x6d6d94fc, "");
SYMBOL_CRC(nci_core_cmd, 0x9b9ec086, "");
SYMBOL_CRC(nci_core_reset, 0x5556d62b, "");
SYMBOL_CRC(nci_core_init, 0x37b0721f, "");
SYMBOL_CRC(nci_nfcc_loopback, 0x5d7b954d, "");
SYMBOL_CRC(nci_set_config, 0xc95eb752, "");
SYMBOL_CRC(nci_nfcee_discover, 0x250836a1, "");
SYMBOL_CRC(nci_nfcee_mode_set, 0x0ca4615b, "");
SYMBOL_CRC(nci_core_conn_create, 0xd02de970, "");
SYMBOL_CRC(nci_core_conn_close, 0xe2f81dd9, "");
SYMBOL_CRC(nci_allocate_device, 0x4fbb3f7e, "");
SYMBOL_CRC(nci_free_device, 0x6ef45cfb, "");
SYMBOL_CRC(nci_register_device, 0xdc601ea9, "");
SYMBOL_CRC(nci_unregister_device, 0xd58251f1, "");
SYMBOL_CRC(nci_recv_frame, 0x992fb136, "");
SYMBOL_CRC(nci_send_frame, 0xf998484d, "");
SYMBOL_CRC(nci_send_cmd, 0x390f4840, "");
SYMBOL_CRC(nci_conn_max_data_pkt_payload_size, 0xcd984bd3, "");
SYMBOL_CRC(nci_send_data, 0x68c6f679, "");
SYMBOL_CRC(nci_to_errno, 0xba490602, "");
SYMBOL_CRC(nci_hci_send_event, 0x6b0f34dc, "");
SYMBOL_CRC(nci_hci_send_cmd, 0x0b4e1374, "");
SYMBOL_CRC(nci_hci_clear_all_pipes, 0xdb86c65b, "");
SYMBOL_CRC(nci_hci_open_pipe, 0x2ed54a9d, "");
SYMBOL_CRC(nci_hci_set_param, 0x25efbc33, "");
SYMBOL_CRC(nci_hci_get_param, 0x09ec6523, "");
SYMBOL_CRC(nci_hci_connect_gate, 0xefaafcb2, "");
SYMBOL_CRC(nci_hci_dev_session_init, 0xe5c7ebb8, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x25295790, "nfc_get_local_general_bytes" },
	{ 0x99b02a2f, "nfc_set_remote_general_bytes" },
	{ 0x5fbdd86f, "devm_kfree" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbe86f1da, "nfc_tm_activated" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5bb4dca, "nfc_targets_found" },
	{ 0x79014cec, "nfc_dep_link_is_up" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x43d307b6, "nfc_send_to_raw_sock" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x8a5da525, "nfc_register_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x174c32e1, "nfc_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xbc14ae92, "nfc_allocate_device" },
	{ 0x27902aa6, "nfc_tm_data_received" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0x310e3a08, "skb_queue_purge_reason" },
	{ 0xb84345c0, "nfc_tm_deactivated" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x31a34484, "nfc_alloc_recv_skb" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45ee0529, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0x780e27dd, "skb_queue_tail" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "391DF707015D465A8F7479D");

MODULE_INFO(suserelease, "SLFO-1.2");
