#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pn_sock_hash, "", "");
KSYMTAB_FUNC(pn_sock_unhash, "", "");
KSYMTAB_DATA(phonet_stream_ops, "", "");
KSYMTAB_FUNC(pn_sock_get_port, "", "");
KSYMTAB_DATA(phonet_header_ops, "", "");
KSYMTAB_FUNC(pn_skb_send, "", "");
KSYMTAB_FUNC(phonet_proto_register, "", "");
KSYMTAB_FUNC(phonet_proto_unregister, "", "");

SYMBOL_CRC(pn_sock_hash, 0xbf198396, "");
SYMBOL_CRC(pn_sock_unhash, 0x4f569088, "");
SYMBOL_CRC(phonet_stream_ops, 0x173dfa3c, "");
SYMBOL_CRC(pn_sock_get_port, 0xa20a4bfa, "");
SYMBOL_CRC(phonet_header_ops, 0x1dd1436f, "");
SYMBOL_CRC(pn_skb_send, 0x6ca6abd4, "");
SYMBOL_CRC(phonet_proto_register, 0x533249eb, "");
SYMBOL_CRC(phonet_proto_unregister, 0xc7094c35, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x46017207, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x13356863, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4d5c07d3, "sock_register" },
	{ 0xaf8f5d61, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x238b129c, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0x434baa95, "rtnl_set_sk_err" },
	{ 0x547ccf6f, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6857cc3d, "module_put" },
	{ 0x2170e5bf, "__sk_receive_skb" },
	{ 0x53a59f22, "sock_no_shutdown" },
	{ 0x40c784b4, "__dev_get_by_index" },
	{ 0xf1597117, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x3dd8b689, "dev_remove_pack" },
	{ 0x745ac523, "dev_get_by_index" },
	{ 0xf398ee77, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b20415d, "sock_no_accept" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0x63643d75, "sock_no_listen" },
	{ 0x8d304f20, "nla_put" },
	{ 0x1a4efd5a, "__rtnl_register_many" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5d1358a7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7d13f9d1, "skb_copy_datagram_iter" },
	{ 0x8b268e5a, "sk_alloc" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0xafe91e81, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x61d169a1, "sock_no_mmap" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x349f744b, "netif_rx" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6876670, "sock_common_recvmsg" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf7f89ef8, "sk_common_release" },
	{ 0x800acb27, "seq_pad" },
	{ 0xa069efa7, "sock_i_ino" },
	{ 0xf6acf8d5, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xbd1468d, "prepare_to_wait_exclusive" },
	{ 0x90509256, "skb_recv_datagram" },
	{ 0xc27e3380, "sock_alloc_send_pskb" },
	{ 0x66ca9904, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcb8a4261, "remove_proc_entry" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xf494fe3a, "rtnl_notify" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3335abed, "seq_printf" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0x69dc6f5d, "_copy_from_iter" },
	{ 0xba5ca3d7, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x36cab5e2, "from_kuid_munged" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc67b1fbe, "iov_iter_revert" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x2d19ff87, "sock_init_data" },
	{ 0x3f61e0b0, "sk_ioctl" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfaa14df5, "release_sock" },
	{ 0x1f7347d5, "proc_dointvec_minmax" },
	{ 0x9ccb5761, "security_sock_graft" },
	{ 0xa2db2783, "skb_free_datagram" },
	{ 0x20692f, "sock_queue_rcv_skb_reason" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x49a5643f, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xf583f1a1, "__nlmsg_put" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xf911ee79, "dev_add_pack" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x5cce8481, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x3b7b4d4f, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xec46c799, "sock_no_connect" },
	{ 0x3d92deea, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x20773db5, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab30cd5b, "pskb_expand_head" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0x310e3a08, "skb_queue_purge_reason" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E4924F66FE3C12BF0274286");

MODULE_INFO(suserelease, "SLFO-1.2");
