#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0xc887c1fb, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0xd7bee2b0, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x6efc409f, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x24af4a7e, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0xb85f7eb1, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb9a85f0c, "idr_remove" },
	{ 0xb81fdcd7, "inet_ctl_sock_create" },
	{ 0xd87d0ae, "inet_ioctl" },
	{ 0xeaff549, "reuseport_add_sock" },
	{ 0x1ca89e06, "reuseport_select_sock" },
	{ 0x84eea9aa, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x5c6d898, "sk_filter_trim_cap" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0xc794f8c, "fput" },
	{ 0x7b3cb4f9, "inet_accept" },
	{ 0xf1597117, "init_net" },
	{ 0x8e0c2dc3, "crypto_shash_setkey" },
	{ 0x16e83a0d, "skb_pull" },
	{ 0xea5ccd5e, "inet_add_offload" },
	{ 0xa7db12f0, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc8032479, "ip6_mtu" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x27ab35aa, "__SCK__tp_func_sk_data_ready" },
	{ 0xc578b725, "inet_add_protocol" },
	{ 0x3792611a, "inet_shutdown" },
	{ 0xf398ee77, "sk_free" },
	{ 0x3b60a6b0, "sock_wake_async" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6c88aae8, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0x77dc4ed8, "inet_del_offload" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x59e03780, "skb_push" },
	{ 0xb82cb4f3, "__ip_queue_xmit" },
	{ 0xcf29f448, "kmem_cache_free" },
	{ 0x4913076f, "__sk_mem_reclaim" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x2fa9d304, "proc_doulongvec_minmax" },
	{ 0x62173924, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x23f20028, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x43c9f1fa, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5d1358a7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x1ed9d9c0, "inet6_ioctl" },
	{ 0x7d13f9d1, "skb_copy_datagram_iter" },
	{ 0xf1b91d18, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc98007b0, "idr_alloc_cyclic" },
	{ 0x8b268e5a, "sk_alloc" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xa3644396, "ip6_dst_lookup_flow" },
	{ 0xb40b76aa, "rhashtable_free_and_destroy" },
	{ 0xafe91e81, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xdef801a1, "rht_bucket_nested_insert" },
	{ 0xe59d10ea, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7e8bef6, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x61d169a1, "sock_no_mmap" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x8c6077bf, "__pskb_pull_tail" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xfb1c1c57, "__kmem_cache_create_args" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xd249da80, "setup_udp_tunnel_sock" },
	{ 0x1a319337, "udp_sock_create6" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf7f89ef8, "sk_common_release" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0x42348b13, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x36af8c7b, "inet6_getname" },
	{ 0xa069efa7, "sock_i_ino" },
	{ 0x2b020298, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6ccbe38, "ip6_xmit" },
	{ 0x8693a04e, "security_sctp_assoc_request" },
	{ 0xa88f9a6d, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd34760c4, "ipv4_mtu" },
	{ 0x1322947, "rhltable_init_noprof" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x4655cafc, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0x2f447813, "__skb_checksum" },
	{ 0x4aed3ac8, "reuseport_alloc" },
	{ 0x14cfc987, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x1aee43fa, "inet6_release" },
	{ 0xbd1468d, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc3097489, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x7d697987, "ipv6_dup_options" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66ca9904, "seq_write" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x540de23c, "udp_tunnel_xmit_skb" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0xdf8d5bda, "proc_create_net_single" },
	{ 0x6646c565, "skb_copy" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0x71328835, "inet_sk_set_state" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0x69dc6f5d, "_copy_from_iter" },
	{ 0xbf635fd6, "sock_release" },
	{ 0xc05a5f9a, "inet_recv_error" },
	{ 0xa8e69db7, "proc_dointvec" },
	{ 0x17937b97, "sock_gettstamp" },
	{ 0x3dbdffd0, "security_sctp_bind_connect" },
	{ 0xb42eb307, "rhashtable_walk_next" },
	{ 0x73987a18, "_proc_mkdir" },
	{ 0xcbb6744e, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x662e433b, "send_sig" },
	{ 0xba5ca3d7, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xc39f1312, "inet6_add_protocol" },
	{ 0x36cab5e2, "from_kuid_munged" },
	{ 0xaa79d36a, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0x35dec015, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x9df8df6c, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0x10bdee96, "reuseport_detach_sock" },
	{ 0x206b0e34, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xc67b1fbe, "iov_iter_revert" },
	{ 0xbaeb8e8c, "crypto_alloc_shash" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x181ed67, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x255d1d35, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2d19ff87, "sock_init_data" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xcb55fc47, "kmem_cache_destroy" },
	{ 0xfaa14df5, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3131f672, "skb_queue_head" },
	{ 0x1f7347d5, "proc_dointvec_minmax" },
	{ 0x3b712c2b, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x49a5643f, "sock_i_uid" },
	{ 0xd96e2ed5, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6814ceed, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0xc20267c3, "inet_unregister_protosw" },
	{ 0x333051c0, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xda14591a, "sock_wfree" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xe3902f64, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc2dd6de7, "ip6_dst_hoplimit" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0x7f3d23a6, "inet6_add_offload" },
	{ 0x210fa621, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2630fa94, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x63086f04, "l3mdev_fib_table_by_index" },
	{ 0x13bc8f5a, "udp_sock_create4" },
	{ 0x92680fb1, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd90c9639, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xb31984f0, "__skb_ext_del" },
	{ 0xfa850093, "skb_segment" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x8b96fe0f, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x718c7619, "udp_tunnel6_xmit_skb" },
	{ 0x5cce8481, "sock_common_getsockopt" },
	{ 0x454e6d26, "inet_bind" },
	{ 0xd3c345a1, "sock_create" },
	{ 0xe293f2e1, "net_hotdata" },
	{ 0xc49971b7, "__kmalloc_node_track_caller_noprof" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x9612cd5b, "prepare_to_wait" },
	{ 0xd3a193e3, "fd_install" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x67282142, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x1c7d34ff, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x711376fd, "security_sctp_assoc_established" },
	{ 0x7b55d23f, "__tracepoint_sk_data_ready" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x3d92deea, "sock_common_setsockopt" },
	{ 0xac8c446a, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x4a0fa443, "ip_route_output_flow" },
	{ 0xe06e9e05, "rhashtable_walk_enter" },
	{ 0x392af371, "__sk_mem_schedule" },
	{ 0x3e695246, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x9d48891e, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x20773db5, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x1773b87e, "sk_error_report" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0x111fc268, "put_cmsg" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x46017207, "register_net_sysctl_sz" },
	{ 0xada54b2d, "inet_sock_destruct" },
	{ 0x8a1f3eca, "crypto_destroy_tfm" },
	{ 0xa4f47ddd, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x874b5f2, "inet_sk_get_local_port_range" },
	{ 0xddc130d9, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0x1f0ba695, "inet_getname" },
	{ 0x13356863, "proto_unregister" },
	{ 0x199ac627, "security_sctp_sk_clone" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xeee2f292, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0xa85e8d5a, "inet_release" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0x547ccf6f, "proto_register" },
	{ 0x9ab26ac0, "skb_copy_expand" },
	{ 0x586661b3, "__wake_up_sync_key" },
	{ 0xb9120428, "inet6_compat_ioctl" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "1C5CAF6CE2D8B689F192E6E");

MODULE_INFO(suserelease, "SLFO-1.2");
