#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(smc_proto, "_gpl", "");
KSYMTAB_DATA(smc_proto6, "_gpl", "");
KSYMTAB_DATA(__tracepoint_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__traceiter_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__tracepoint_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__tracepoint_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__tracepoint_smcr_link_down, "", "");
KSYMTAB_FUNC(__traceiter_smcr_link_down, "", "");
KSYMTAB_DATA(__SCK__tp_func_smcr_link_down, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smcr_link_down, "", "");

SYMBOL_CRC(smc_proto, 0x2023f62c, "_gpl");
SYMBOL_CRC(smc_proto6, 0xc70c3587, "_gpl");
SYMBOL_CRC(__tracepoint_smc_switch_to_fallback, 0x1fec0e4e, "");
SYMBOL_CRC(__traceiter_smc_switch_to_fallback, 0xc9ce28b4, "");
SYMBOL_CRC(__SCK__tp_func_smc_switch_to_fallback, 0x6c9be8e4, "");
SYMBOL_CRC(__SCT__tp_func_smc_switch_to_fallback, 0x1e612b77, "");
SYMBOL_CRC(__tracepoint_smc_tx_sendmsg, 0x8102bca5, "");
SYMBOL_CRC(__traceiter_smc_tx_sendmsg, 0x0d0f5510, "");
SYMBOL_CRC(__SCK__tp_func_smc_tx_sendmsg, 0x784bb51e, "");
SYMBOL_CRC(__SCT__tp_func_smc_tx_sendmsg, 0x87ccd0c7, "");
SYMBOL_CRC(__tracepoint_smc_rx_recvmsg, 0x03a3a144, "");
SYMBOL_CRC(__traceiter_smc_rx_recvmsg, 0x31ff9116, "");
SYMBOL_CRC(__SCK__tp_func_smc_rx_recvmsg, 0xfaeaa8ff, "");
SYMBOL_CRC(__SCT__tp_func_smc_rx_recvmsg, 0x3ac4e1c7, "");
SYMBOL_CRC(__tracepoint_smcr_link_down, 0xd52aa65b, "");
SYMBOL_CRC(__traceiter_smcr_link_down, 0x36879d4c, "");
SYMBOL_CRC(__SCK__tp_func_smcr_link_down, 0x2c63afe0, "");
SYMBOL_CRC(__SCT__tp_func_smcr_link_down, 0x3bcd3bb9, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x46017207, "register_net_sysctl_sz" },
	{ 0xc492f605, "tcp_abort" },
	{ 0xa07d5686, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0x8d2b268, "splice_to_pipe" },
	{ 0x92997ed8, "_printk" },
	{ 0x13356863, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4d5c07d3, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x45ee0529, "put_device" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x6c395b3c, "ib_register_event_handler" },
	{ 0xa916b694, "strnlen" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8375762d, "__free_pages" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0x389117f0, "ib_unregister_event_handler" },
	{ 0x547ccf6f, "proto_register" },
	{ 0xee21bf03, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x586661b3, "__wake_up_sync_key" },
	{ 0x6174d70f, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xcbd24d6b, "ib_map_mr_sg" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x8d816799, "__dma_sync_single_for_cpu" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98444e3c, "generic_pipe_buf_get" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x833c4214, "ib_set_client_data" },
	{ 0x77f5bb81, "down_write" },
	{ 0xf1597117, "init_net" },
	{ 0x264635e1, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x6d896d3c, "netlink_unicast" },
	{ 0x27ab35aa, "__SCK__tp_func_sk_data_ready" },
	{ 0x5cc2be42, "rdma_put_gid_attr" },
	{ 0xfae20034, "kernel_getsockname" },
	{ 0xf398ee77, "sk_free" },
	{ 0x3b60a6b0, "sock_wake_async" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x41567b7b, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x3083bb6c, "ib_query_port" },
	{ 0x5a921311, "strncmp" },
	{ 0x8d304f20, "nla_put" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd9121cbf, "proc_douintvec_minmax" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc0db7e74, "iov_iter_kvec" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5d1358a7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbada6f58, "__put_devmap_managed_folio_refs" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x64d5e309, "__ib_create_cq" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8b268e5a, "sk_alloc" },
	{ 0x8beecf0, "ib_destroy_qp_user" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x169c888a, "kernel_connect" },
	{ 0xafe91e81, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x862b0f03, "sk_wait_data" },
	{ 0x6285e5e0, "proc_douintvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xcabf8bdf, "ib_alloc_mr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x61d169a1, "sock_no_mmap" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xd2bd787c, "ib_destroy_cq_user" },
	{ 0xa985aeff, "down_read" },
	{ 0xf107d26e, "skb_trim" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x7c182975, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1c3fc665, "tcp_register_ulp" },
	{ 0xf7f89ef8, "sk_common_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xcf650376, "ib_device_get_netdev" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0xac69c04d, "kernel_listen" },
	{ 0xa2361b3a, "ib_dma_virt_map_sg" },
	{ 0x63a43ec2, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0x14cfc987, "inet6_register_protosw" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x7680187a, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7e88de20, "__dma_sync_single_for_device" },
	{ 0xa26d9b4f, "workqueue_congested" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6c6723d7, "sock_recvmsg" },
	{ 0x39a2054a, "sk_net_refcnt_upgrade" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x250847f5, "dev_get_by_name" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0xc35b6aa4, "sk_stream_wait_connect" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0x69dc6f5d, "_copy_from_iter" },
	{ 0xbf635fd6, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0x93c80522, "ib_create_qp_kernel" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0x397fccb7, "netdev_walk_all_lower_dev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4050ab3d, "vlan_dev_vlan_id" },
	{ 0xba5ca3d7, "unregister_net_sysctl_table" },
	{ 0xb4ea9553, "ib_dealloc_pd_user" },
	{ 0x867e78e6, "rdma_get_gid_attr" },
	{ 0x11e6ecb, "dma_unmap_sg_attrs" },
	{ 0x28306963, "genl_unregister_family" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xc67b1fbe, "iov_iter_revert" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x797f7724, "genl_register_family" },
	{ 0x8bbade6, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc40bf4ce, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x2d19ff87, "sock_init_data" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xfaa14df5, "release_sock" },
	{ 0x3f166ba5, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x1f7347d5, "proc_dointvec_minmax" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa2c88188, "netdev_lower_get_next" },
	{ 0x9ccb5761, "security_sock_graft" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb792e634, "sk_send_sigurg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x173756c, "__init_rwsem" },
	{ 0xef1124d4, "ib_unregister_client" },
	{ 0x31a59dec, "_copy_to_iter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf583f1a1, "__nlmsg_put" },
	{ 0xc20267c3, "inet_unregister_protosw" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3017c5f7, "proc_dointvec_jiffies" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xebafee8d, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1bb51249, "tcp_have_smc" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x1177fdcb, "rdma_read_gid_l2_fields" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x19a1a60a, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd90c9639, "inet6_unregister_protosw" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8152f8ff, "__dma_need_sync" },
	{ 0x6ccd8595, "kernel_bind" },
	{ 0x5a3cd7db, "add_wait_queue_exclusive" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xfbe6207f, "genlmsg_put" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x67282142, "inet_register_protosw" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9630bf37, "ib_dereg_mr_user" },
	{ 0x7b55d23f, "__tracepoint_sk_data_ready" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xf2b7c359, "kernel_accept" },
	{ 0xa5de157b, "rdma_dev_access_netns" },
	{ 0x90fe8bbd, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x4a0fa443, "ip_route_output_flow" },
	{ 0x1a2f220, "get_device" },
	{ 0xa0008ea0, "sk_stream_error" },
	{ 0x7c3e7b2e, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x8450bd59, "sock_alloc" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1773b87e, "sk_error_report" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "94B28E5DECB321B8AADBD4D");

MODULE_INFO(suserelease, "SLFO-1.2");
