#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x45bdbf5b, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x69ebed88, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x6b42de2a, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0xcbac1a8b, "");
SYMBOL_CRC(gss_mech_put, 0x8357e839, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x5ba7f6ea, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x1b3b2032, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x59f4cdea, "rpcauth_init_credcache" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc80719af, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x4f804bc3, "xdr_init_decode" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x8f898fff, "rpc_call_null" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbada6f58, "__put_devmap_managed_folio_refs" },
	{ 0x30a27e84, "rpc_sleep_on_timeout" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x154dc74d, "rpc_create" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0x8c763dec, "rpc_call_sync" },
	{ 0xf21ce8d2, "from_kuid" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0x7b5c75d2, "rpc_queue_upcall" },
	{ 0x904fe306, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x76b6b99a, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xdfcf3a69, "svcauth_unix_set_client" },
	{ 0xdc17d7a1, "xdr_buf_subsegment" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x947142a7, "make_kgid" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xaf767c91, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x4150866, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4b4f6903, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0xd1bff884, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd97c66c6, "rpc_mkpipe_dentry" },
	{ 0xb75e5044, "rpc_mkpipe_data" },
	{ 0x942a24e, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x6db71341, "cache_register_net" },
	{ 0x538eb2d2, "init_user_ns" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa1c9c053, "xdr_inline_pages" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0xcb8a4261, "remove_proc_entry" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x26b9f2d, "rpc_init_wait_queue" },
	{ 0x9f8ed254, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0x867a0100, "rpc_unlink" },
	{ 0xd1d375cf, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0x36cab5e2, "from_kuid_munged" },
	{ 0xd0ab2556, "rpcauth_init_cred" },
	{ 0xdb8dc5db, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xae38b407, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0xa33fb55c, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x5454b89f, "xdr_stream_pos" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x5ac6c493, "sunrpc_cache_update" },
	{ 0xf46d91d5, "xdr_truncate_encode" },
	{ 0xc0c0211c, "rpc_destroy_wait_queue" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x68dc5914, "auth_domain_put" },
	{ 0x106f1c33, "rpcauth_unwrap_resp_decode" },
	{ 0x87f55615, "rpcauth_register" },
	{ 0x656451d6, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1954fea3, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x7b3ae3a5, "xdr_buf_from_iov" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d81b71, "bpf_trace_run4" },
	{ 0xd0dfe227, "xdr_stream_decode_opaque_auth" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8a787077, "xdr_write_pages" },
	{ 0x35847fd, "rpc_shutdown_client" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdc0600b9, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa5742c1d, "xdr_inline_decode" },
	{ 0x2ddd282c, "cache_create_net" },
	{ 0xa2da234f, "rpcauth_destroy_credcache" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x7a2a96c7, "bpf_trace_run6" },
	{ 0xa0280fee, "rpc_net_ns" },
	{ 0xc0c71c20, "read_bytes_from_xdr_buf" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xd988bb92, "rpc_wake_up" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x78f2337, "sunrpc_cache_lookup_rcu" },
	{ 0x9612cd5b, "prepare_to_wait" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x7e43bb47, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0x7cb3fda1, "xdr_truncate_decode" },
	{ 0x600bcc53, "rpcauth_unregister" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xd1650b91, "__xdr_commit_encode" },
	{ 0x90fe8bbd, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x34ddad03, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x45f894dc, "__put_cred" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x131787f7, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0xffc8c8b4, "rpc_release_client" },
	{ 0x21cbafb0, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe3114c8f, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb9432a91, "svc_auth_register" },
	{ 0x67931c3a, "xdr_stream_encode_opaque_auth" },
	{ 0x8e9c69fd, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x64a26334, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8375762d, "__free_pages" },
	{ 0x726aa81a, "rpc_pipe_generic_upcall" },
	{ 0x6857cc3d, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xe768b08d, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf638e4b5, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe8ebb49, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "491579F52FA966E8CCC38A8");

MODULE_INFO(suserelease, "SLFO-1.2");
