#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x9815d689, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0xa13b90bc, "_gpl");
SYMBOL_CRC(tls_get_record, 0x9acd77f3, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x241e25b8, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x32277628, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdb2eb218, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0xee21bf03, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xd81d213c, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x5a49a214, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6f2d2f6c, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x77f5bb81, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x264635e1, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3a3a14a9, "crypto_aead_encrypt" },
	{ 0xa0751df6, "sk_skb_reason_drop" },
	{ 0x27ab35aa, "__SCK__tp_func_sk_data_ready" },
	{ 0xae8aebd2, "bpf_trace_run5" },
	{ 0xf398ee77, "sk_free" },
	{ 0xf26f53bd, "skb_store_bits" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x4913076f, "__sk_mem_reclaim" },
	{ 0xc23a922b, "sk_stream_wait_memory" },
	{ 0x8d304f20, "nla_put" },
	{ 0x62173924, "trace_event_reg" },
	{ 0xc0db7e74, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x14778c64, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5d1358a7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbada6f58, "__put_devmap_managed_folio_refs" },
	{ 0xdf07a587, "sk_msg_return_zero" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x7d13f9d1, "skb_copy_datagram_iter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0xd35424b5, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6a595f21, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xa2494828, "sock_efree" },
	{ 0xb8903bb3, "iov_iter_bvec" },
	{ 0x81050554, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2e3fb1f, "clean_acked_data_disable" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xefc88d89, "sk_msg_free_partial" },
	{ 0xa985aeff, "down_read" },
	{ 0xf107d26e, "skb_trim" },
	{ 0x82b5fad, "mutex_trylock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xac1f873e, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1c3fc665, "tcp_register_ulp" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0x2d9dcfc5, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x158162b6, "skb_page_frag_refill" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe6ba4401, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xa9ee9bc4, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xcb8a4261, "remove_proc_entry" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3335abed, "seq_printf" },
	{ 0xdf8d5bda, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfa221ee3, "skb_clone" },
	{ 0xfb9b91a3, "dst_release" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0x69dc6f5d, "_copy_from_iter" },
	{ 0x909acda0, "skb_copy_header" },
	{ 0x65775a38, "sk_msg_trim" },
	{ 0x9bb74c8b, "alloc_pages_noprof" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x498afc54, "netdev_sk_get_lowest_dev" },
	{ 0xb4c2b998, "sk_msg_alloc" },
	{ 0xa217c137, "_copy_from_iter_nocache" },
	{ 0xe63e473, "tcp_rate_check_app_limited" },
	{ 0x9ef3f530, "tcp_poll" },
	{ 0xc67b1fbe, "iov_iter_revert" },
	{ 0xb9f0cbb1, "sk_msg_zerocopy_from_iter" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x40dcf6d6, "skb_to_sgvec" },
	{ 0xc40bf4ce, "up_read" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x10364471, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x23a4435, "tcp_read_done" },
	{ 0xfaa14df5, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x69c00949, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x43c4f176, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbd127dee, "tcp_read_sock" },
	{ 0xd0d81b71, "bpf_trace_run4" },
	{ 0x14adfc91, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x910f5557, "sk_page_frag_refill" },
	{ 0xd0e342b5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x24d32340, "tcp_sendmsg_locked" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4c8f702f, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xa66743fb, "sk_psock_msg_verdict" },
	{ 0x7a2a96c7, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x86e1b733, "iov_iter_get_pages2" },
	{ 0x3b7b4d4f, "___pskb_trim" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0x10f47b78, "clean_acked_data_enable" },
	{ 0x38ea7465, "skb_splice_bits" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xced99116, "crypto_alloc_aead" },
	{ 0x7b55d23f, "__tracepoint_sk_data_ready" },
	{ 0xcd4b3a77, "crypto_aead_setauthsize" },
	{ 0x7fa3ddcb, "crypto_aead_decrypt" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xa0008ea0, "sk_stream_error" },
	{ 0xd29e24f9, "sk_msg_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x40d0ba9d, "sk_msg_memcopy_from_iter" },
	{ 0x1773b87e, "sk_error_report" },
	{ 0xbd3c0940, "register_pernet_subsys" },
	{ 0x111fc268, "put_cmsg" },
	{ 0x4037e920, "__sk_flush_backlog" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x8a1f3eca, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x3ab500c0, "sk_psock_tls_strp_read" },
	{ 0x3de225f3, "sk_msg_clone" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A919E2D5C6E2EEFA9B050C6");

MODULE_INFO(suserelease, "SLFO-1.2");
