#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_pcm_format_name, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_new_stream, "", "");
KSYMTAB_FUNC(snd_pcm_new, "", "");
KSYMTAB_FUNC(snd_pcm_new_internal, "", "");
KSYMTAB_FUNC(snd_pcm_notify, "", "");
KSYMTAB_FUNC(snd_pcm_stream_lock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_lock_irq, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irq, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave_nested, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irqrestore, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_hw_refine, "", "");
KSYMTAB_FUNC(snd_pcm_runtime_buffer_set_silence, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stop, "", "");
KSYMTAB_FUNC(snd_pcm_stop_xrun, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_suspend_all, "", "");
KSYMTAB_FUNC(snd_pcm_release_substream, "", "");
KSYMTAB_FUNC(snd_pcm_open_substream, "", "");
KSYMTAB_FUNC(snd_pcm_kernel_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_lib_default_mmap, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_mmap_iomem, "", "");
KSYMTAB_FUNC(snd_pcm_mmap_data, "", "");
KSYMTAB_FUNC(snd_pcm_debug_name, "", "");
KSYMTAB_FUNC(snd_pcm_set_ops, "", "");
KSYMTAB_FUNC(snd_pcm_set_sync_per_card, "_gpl", "");
KSYMTAB_FUNC(snd_interval_refine, "", "");
KSYMTAB_FUNC(snd_interval_ratnum, "", "");
KSYMTAB_FUNC(snd_interval_list, "", "");
KSYMTAB_FUNC(snd_interval_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_add, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_mask64, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_integer, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_minmax, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_list, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratnums, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratdens, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_msbits, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_step, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_pow2, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_noresample, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_params_any, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_value, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_param_setempty, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_first, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_last, "", "");
KSYMTAB_FUNC(snd_pcm_hw_params_bits, "", "");
KSYMTAB_FUNC(snd_pcm_lib_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed_under_stream_lock, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(__snd_pcm_lib_xfer, "", "");
KSYMTAB_DATA(snd_pcm_std_chmaps, "_gpl", "");
KSYMTAB_DATA(snd_pcm_alt_chmaps, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_format_signed, "", "");
KSYMTAB_FUNC(snd_pcm_format_unsigned, "", "");
KSYMTAB_FUNC(snd_pcm_format_linear, "", "");
KSYMTAB_FUNC(snd_pcm_format_little_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_big_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_physical_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_size, "", "");
KSYMTAB_FUNC(snd_pcm_format_silence_64, "", "");
KSYMTAB_FUNC(snd_pcm_format_set_silence, "", "");
KSYMTAB_FUNC(snd_pcm_hw_limit_rates, "", "");
KSYMTAB_FUNC(snd_pcm_rate_to_rate_bit, "", "");
KSYMTAB_FUNC(snd_pcm_rate_bit_to_rate, "", "");
KSYMTAB_FUNC(snd_pcm_rate_mask_intersect, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_rate_range_to_bits, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_free_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_malloc_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_dir_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_pages_fallback, "", "");
KSYMTAB_FUNC(snd_dma_free_pages, "", "");
KSYMTAB_FUNC(snd_devm_alloc_dir_pages, "_gpl", "");
KSYMTAB_FUNC(snd_dma_buffer_mmap, "", "");
KSYMTAB_FUNC(snd_dma_buffer_sync, "_gpl", "");
KSYMTAB_FUNC(snd_sgbuf_get_addr, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_page, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_chunk_size, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_eld, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer_default, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_fill_iec958_consumer, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_fill_iec958_consumer_hw_params, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer, "", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer_hw_params, "", "");

SYMBOL_CRC(snd_pcm_format_name, 0xa286a234, "_gpl");
SYMBOL_CRC(snd_pcm_new_stream, 0x76105724, "");
SYMBOL_CRC(snd_pcm_new, 0xcc77d5b8, "");
SYMBOL_CRC(snd_pcm_new_internal, 0x07652455, "");
SYMBOL_CRC(snd_pcm_notify, 0x2db0d2ee, "");
SYMBOL_CRC(snd_pcm_stream_lock, 0x5dfe238e, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock, 0x90cb498e, "_gpl");
SYMBOL_CRC(snd_pcm_stream_lock_irq, 0xcfa8384a, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irq, 0xcd0c0a07, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave, 0xc42c39b5, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave_nested, 0x3a5ab3e1, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irqrestore, 0x0ebc91f1, "_gpl");
SYMBOL_CRC(snd_pcm_hw_refine, 0x0d677dc2, "");
SYMBOL_CRC(snd_pcm_runtime_buffer_set_silence, 0x13b93b50, "_gpl");
SYMBOL_CRC(snd_pcm_stop, 0x6c579158, "");
SYMBOL_CRC(snd_pcm_stop_xrun, 0xfae97d0e, "_gpl");
SYMBOL_CRC(snd_pcm_suspend_all, 0x4b46c68a, "");
SYMBOL_CRC(snd_pcm_release_substream, 0xffd913d4, "");
SYMBOL_CRC(snd_pcm_open_substream, 0x0b22eb87, "");
SYMBOL_CRC(snd_pcm_kernel_ioctl, 0x1e57e3cd, "");
SYMBOL_CRC(snd_pcm_lib_default_mmap, 0xbb300387, "_gpl");
SYMBOL_CRC(snd_pcm_lib_mmap_iomem, 0x27ffa8f3, "");
SYMBOL_CRC(snd_pcm_mmap_data, 0x8c224288, "");
SYMBOL_CRC(snd_pcm_debug_name, 0x8a2720e5, "");
SYMBOL_CRC(snd_pcm_set_ops, 0xc77fc90f, "");
SYMBOL_CRC(snd_pcm_set_sync_per_card, 0x212718f5, "_gpl");
SYMBOL_CRC(snd_interval_refine, 0x04cda566, "");
SYMBOL_CRC(snd_interval_ratnum, 0xac437f7b, "");
SYMBOL_CRC(snd_interval_list, 0x94098ff8, "");
SYMBOL_CRC(snd_interval_ranges, 0x503bd137, "");
SYMBOL_CRC(snd_pcm_hw_rule_add, 0xd509c7fb, "");
SYMBOL_CRC(snd_pcm_hw_constraint_mask64, 0x0bbb22d3, "");
SYMBOL_CRC(snd_pcm_hw_constraint_integer, 0xb57b12cd, "");
SYMBOL_CRC(snd_pcm_hw_constraint_minmax, 0x2038dbde, "");
SYMBOL_CRC(snd_pcm_hw_constraint_list, 0xd0b95735, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ranges, 0xcb59aaa6, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratnums, 0xda6b15c8, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratdens, 0x6b588daf, "");
SYMBOL_CRC(snd_pcm_hw_constraint_msbits, 0x4265dbc5, "");
SYMBOL_CRC(snd_pcm_hw_constraint_step, 0xf42dd43a, "");
SYMBOL_CRC(snd_pcm_hw_constraint_pow2, 0xeb00b0b3, "");
SYMBOL_CRC(snd_pcm_hw_rule_noresample, 0x6115d79b, "");
SYMBOL_CRC(_snd_pcm_hw_params_any, 0x195b710c, "");
SYMBOL_CRC(snd_pcm_hw_param_value, 0x77bd191e, "");
SYMBOL_CRC(_snd_pcm_hw_param_setempty, 0x42b22246, "");
SYMBOL_CRC(snd_pcm_hw_param_first, 0xc9cdd9b9, "");
SYMBOL_CRC(snd_pcm_hw_param_last, 0x5ed65aa9, "");
SYMBOL_CRC(snd_pcm_hw_params_bits, 0xe385f704, "");
SYMBOL_CRC(snd_pcm_lib_ioctl, 0x6c5e3c94, "");
SYMBOL_CRC(snd_pcm_period_elapsed_under_stream_lock, 0x4e6110e9, "");
SYMBOL_CRC(snd_pcm_period_elapsed, 0xf7bfe4e6, "");
SYMBOL_CRC(__snd_pcm_lib_xfer, 0x54111916, "");
SYMBOL_CRC(snd_pcm_std_chmaps, 0x04e1b99f, "_gpl");
SYMBOL_CRC(snd_pcm_alt_chmaps, 0x09e913c1, "_gpl");
SYMBOL_CRC(snd_pcm_add_chmap_ctls, 0xb2d22b79, "_gpl");
SYMBOL_CRC(snd_pcm_format_signed, 0x1d027e4b, "");
SYMBOL_CRC(snd_pcm_format_unsigned, 0xa61aa028, "");
SYMBOL_CRC(snd_pcm_format_linear, 0x6ef8fcd8, "");
SYMBOL_CRC(snd_pcm_format_little_endian, 0x3796bdcc, "");
SYMBOL_CRC(snd_pcm_format_big_endian, 0x4f816e9b, "");
SYMBOL_CRC(snd_pcm_format_width, 0xe56a9336, "");
SYMBOL_CRC(snd_pcm_format_physical_width, 0x68a24153, "");
SYMBOL_CRC(snd_pcm_format_size, 0x834dc955, "");
SYMBOL_CRC(snd_pcm_format_silence_64, 0x650f8603, "");
SYMBOL_CRC(snd_pcm_format_set_silence, 0x5e7f4920, "");
SYMBOL_CRC(snd_pcm_hw_limit_rates, 0xf70e1a9e, "");
SYMBOL_CRC(snd_pcm_rate_to_rate_bit, 0xb9638db4, "");
SYMBOL_CRC(snd_pcm_rate_bit_to_rate, 0xff6104d0, "");
SYMBOL_CRC(snd_pcm_rate_mask_intersect, 0xab8bc1a2, "_gpl");
SYMBOL_CRC(snd_pcm_rate_range_to_bits, 0x8d864069, "_gpl");
SYMBOL_CRC(snd_pcm_lib_preallocate_free_for_all, 0x39cbe679, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages, 0xae2ae17a, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages_for_all, 0x995e4b19, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer, 0xc89eebdd, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer_all, 0x642ffe94, "");
SYMBOL_CRC(snd_pcm_lib_malloc_pages, 0xd07bc09a, "");
SYMBOL_CRC(snd_pcm_lib_free_pages, 0xf57e32f7, "");
SYMBOL_CRC(snd_dma_alloc_dir_pages, 0x80473ab7, "");
SYMBOL_CRC(snd_dma_alloc_pages_fallback, 0x245af4b6, "");
SYMBOL_CRC(snd_dma_free_pages, 0x2d78f27e, "");
SYMBOL_CRC(snd_devm_alloc_dir_pages, 0x5df1ca83, "_gpl");
SYMBOL_CRC(snd_dma_buffer_mmap, 0xaef8cac3, "");
SYMBOL_CRC(snd_dma_buffer_sync, 0x531b0e4e, "_gpl");
SYMBOL_CRC(snd_sgbuf_get_addr, 0xa90ff5e4, "");
SYMBOL_CRC(snd_sgbuf_get_page, 0xb4a20b47, "");
SYMBOL_CRC(snd_sgbuf_get_chunk_size, 0x4c877a10, "");
SYMBOL_CRC(snd_pcm_hw_constraint_eld, 0xa3d59850, "_gpl");
SYMBOL_CRC(snd_pcm_create_iec958_consumer_default, 0x649892e8, "_gpl");
SYMBOL_CRC(snd_pcm_fill_iec958_consumer, 0x6dbc78f1, "_gpl");
SYMBOL_CRC(snd_pcm_fill_iec958_consumer_hw_params, 0x99b70ac2, "_gpl");
SYMBOL_CRC(snd_pcm_create_iec958_consumer, 0x71484bf4, "");
SYMBOL_CRC(snd_pcm_create_iec958_consumer_hw_params, 0x5115799c, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x91cbbcc0, "sg_alloc_table_from_pages_segment" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x319f796a, "snd_device_new" },
	{ 0x896c3e8, "alloc_pages_exact_noprof" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x154b5863, "snd_ctl_unregister_ioctl" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xa985aeff, "down_read" },
	{ 0x82b5fad, "mutex_trylock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4b4f6903, "nonseekable_open" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x85f7580a, "dma_free_noncontiguous" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x77ddafe2, "dma_alloc_noncontiguous" },
	{ 0x7230beea, "fdget" },
	{ 0xa7ecec17, "dma_mmap_noncontiguous" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0x5c3a6ecd, "dma_map_sgtable" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x7e88de20, "__dma_sync_single_for_device" },
	{ 0x5b5afeb7, "vm_map_pages" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2d325e0c, "gen_pool_free_owner" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0xab8bf77d, "snd_ctl_register_ioctl_compat" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd6352674, "snd_info_create_card_entry" },
	{ 0x69dc6f5d, "_copy_from_iter" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0xe4c60ba0, "snd_power_wait" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0x5f7aa5f6, "dma_mmap_attrs" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xeb393c92, "pid_vnr" },
	{ 0xd17d9278, "snd_device_free" },
	{ 0x26ddebba, "snd_card_file_remove" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0x11e6ecb, "dma_unmap_sg_attrs" },
	{ 0xea124bd1, "gcd" },
	{ 0xd65bf8a7, "remap_vmalloc_range" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x767ddb02, "set_memory_wc" },
	{ 0x754d539c, "strlen" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x11c9859, "__vma_start_write" },
	{ 0x5c1e3f91, "snd_device_register" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x756b240e, "snd_register_device" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc40bf4ce, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x5caa6567, "put_pid" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x824eb988, "cpu_latency_qos_remove_request" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xbe202eb4, "dma_can_mmap" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x31a59dec, "_copy_to_iter" },
	{ 0xb971a0d3, "snd_info_register" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xae435bcb, "snd_info_create_module_entry" },
	{ 0xd5031b02, "snd_ctl_unregister_ioctl_compat" },
	{ 0x39d54c05, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0xde84ac52, "snd_ctl_add" },
	{ 0xebafee8d, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x74c1e37e, "snd_timer_notify" },
	{ 0xd7ce6193, "snd_ctl_get_preferred_subdevice" },
	{ 0x24539a3c, "dma_vunmap_noncontiguous" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xafc2042a, "gen_pool_dma_alloc_align" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xab98fe28, "vm_iomap_memory" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0x1674be05, "dma_unmap_page_attrs" },
	{ 0xdc1e61ae, "dma_mmap_pages" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8152f8ff, "__dma_need_sync" },
	{ 0x36a33e13, "dma_free_pages" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x8e601d2, "snd_timer_interrupt" },
	{ 0xb095d9c0, "snd_info_free_entry" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf32a0d32, "remap_pfn_range" },
	{ 0xb81d7c7f, "cpu_latency_qos_add_request" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x9e6d79f8, "snd_info_get_str" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xbb819605, "cpu_latency_qos_request_active" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0x51db24e0, "snd_fasync_helper" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xd4a26e0, "import_ubuf" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x11471096, "snd_ctl_remove" },
	{ 0x67098dda, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef7f2c54, "dma_map_page_attrs" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xbfdb5412, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x11ea121, "dma_alloc_pages" },
	{ 0xc46fc27e, "rt_spin_trylock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x45ee0529, "put_device" },
	{ 0xb85e305, "snd_ctl_register_ioctl" },
	{ 0xbb16365b, "snd_card_file_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6857cc3d, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x8d816799, "__dma_sync_single_for_cpu" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0xc794f8c, "fput" },
	{ 0x77f5bb81, "down_write" },
	{ 0x33719327, "_dev_err" },
	{ 0x264635e1, "up_write" },
	{ 0x98c708b, "dma_vmap_noncontiguous" },
	{ 0x3878d6ff, "__dma_sync_sg_for_device" },
	{ 0xae8aebd2, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8f595b11, "snd_major" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0x58145b6e, "__devres_alloc_node" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x76320279, "__dma_sync_sg_for_cpu" },
	{ 0xc0db7e74, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1cc093f, "vmap" },
	{ 0x52ee4107, "snd_unregister_device" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x143db144, "snd_device_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x255f186c, "snd_timer_new" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-timer");


MODULE_INFO(srcversion, "9C983824EE186992B730B02");

MODULE_INFO(suserelease, "SLFO-1.2");
