#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_timer_instance_new, "", "");
KSYMTAB_FUNC(snd_timer_instance_free, "", "");
KSYMTAB_FUNC(snd_timer_open, "", "");
KSYMTAB_FUNC(snd_timer_close, "", "");
KSYMTAB_FUNC(snd_timer_resolution, "", "");
KSYMTAB_FUNC(snd_timer_start, "", "");
KSYMTAB_FUNC(snd_timer_stop, "", "");
KSYMTAB_FUNC(snd_timer_continue, "", "");
KSYMTAB_FUNC(snd_timer_pause, "", "");
KSYMTAB_FUNC(snd_timer_interrupt, "", "");
KSYMTAB_FUNC(snd_timer_new, "", "");
KSYMTAB_FUNC(snd_timer_notify, "", "");
KSYMTAB_FUNC(snd_timer_global_new, "", "");
KSYMTAB_FUNC(snd_timer_global_free, "", "");
KSYMTAB_FUNC(snd_timer_global_register, "", "");

SYMBOL_CRC(snd_timer_instance_new, 0x749168fb, "");
SYMBOL_CRC(snd_timer_instance_free, 0x76c63518, "");
SYMBOL_CRC(snd_timer_open, 0xee886ecd, "");
SYMBOL_CRC(snd_timer_close, 0xe7b8defa, "");
SYMBOL_CRC(snd_timer_resolution, 0x86aeb79f, "");
SYMBOL_CRC(snd_timer_start, 0x7abbe8a0, "");
SYMBOL_CRC(snd_timer_stop, 0xbf9ad2e4, "");
SYMBOL_CRC(snd_timer_continue, 0x2217bed7, "");
SYMBOL_CRC(snd_timer_pause, 0x6a3ad653, "");
SYMBOL_CRC(snd_timer_interrupt, 0x08e601d2, "");
SYMBOL_CRC(snd_timer_new, 0x255f186c, "");
SYMBOL_CRC(snd_timer_notify, 0x74c1e37e, "");
SYMBOL_CRC(snd_timer_global_new, 0xd9abb661, "");
SYMBOL_CRC(snd_timer_global_free, 0x054b68e9, "");
SYMBOL_CRC(snd_timer_global_register, 0x6b90ae4f, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0x10119bb, "ida_free" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0x52ee4107, "snd_unregister_device" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x143db144, "snd_device_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x319f796a, "snd_device_new" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0x2bcf0760, "stream_open" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x756b240e, "snd_register_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa2429ab9, "ida_alloc_range" },
	{ 0xdc0df056, "try_module_get" },
	{ 0xb971a0d3, "snd_info_register" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xae435bcb, "snd_info_create_module_entry" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xb095d9c0, "snd_info_free_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x51db24e0, "snd_fasync_helper" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x1a2f220, "get_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8d4f5071, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45ee0529, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6857cc3d, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x136d2728, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd");


MODULE_INFO(srcversion, "4F8F12C5E5F069996D919D5");

MODULE_INFO(suserelease, "SLFO-1.2");
