#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(snd_major, "", "");
KSYMTAB_DATA(snd_ecards_limit, "", "");
KSYMTAB_DATA(sound_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_request_card, "", "");
KSYMTAB_FUNC(snd_lookup_minor_data, "", "");
KSYMTAB_FUNC(snd_register_device, "", "");
KSYMTAB_FUNC(snd_unregister_device, "", "");
KSYMTAB_DATA(snd_mixer_oss_notify_callback, "", "");
KSYMTAB_FUNC(snd_device_alloc, "_gpl", "");
KSYMTAB_FUNC(snd_card_new, "", "");
KSYMTAB_FUNC(snd_devm_card_new, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_on_error, "_gpl", "");
KSYMTAB_FUNC(snd_card_ref, "_gpl", "");
KSYMTAB_FUNC(snd_card_disconnect, "", "");
KSYMTAB_FUNC(snd_card_disconnect_sync, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_when_closed, "", "");
KSYMTAB_FUNC(snd_card_free, "", "");
KSYMTAB_FUNC(snd_card_set_id, "", "");
KSYMTAB_FUNC(snd_card_add_dev_attr, "_gpl", "");
KSYMTAB_FUNC(snd_card_register, "", "");
KSYMTAB_FUNC(snd_component_add, "", "");
KSYMTAB_FUNC(snd_card_file_add, "", "");
KSYMTAB_FUNC(snd_card_file_remove, "", "");
KSYMTAB_FUNC(snd_power_ref_and_wait, "_gpl", "");
KSYMTAB_FUNC(snd_power_wait, "", "");
KSYMTAB_FUNC(copy_to_user_fromio, "", "");
KSYMTAB_FUNC(copy_to_iter_fromio, "", "");
KSYMTAB_FUNC(copy_from_user_toio, "", "");
KSYMTAB_FUNC(copy_from_iter_toio, "", "");
KSYMTAB_FUNC(snd_ctl_notify, "", "");
KSYMTAB_FUNC(snd_ctl_notify_one, "", "");
KSYMTAB_FUNC(snd_ctl_new1, "", "");
KSYMTAB_FUNC(snd_ctl_free_one, "", "");
KSYMTAB_FUNC(snd_ctl_add, "", "");
KSYMTAB_FUNC(snd_ctl_replace, "", "");
KSYMTAB_FUNC(snd_ctl_remove, "", "");
KSYMTAB_FUNC(snd_ctl_remove_id, "", "");
KSYMTAB_FUNC(snd_ctl_activate_id, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_rename_id, "", "");
KSYMTAB_FUNC(snd_ctl_rename, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid, "", "");
KSYMTAB_FUNC(snd_ctl_find_id, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_get_preferred_subdevice, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_request_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_register_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_disconnect_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_boolean_mono_info, "", "");
KSYMTAB_FUNC(snd_ctl_boolean_stereo_info, "", "");
KSYMTAB_FUNC(snd_ctl_enum_info, "", "");
KSYMTAB_FUNC(release_and_free_resource, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup_id, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup, "", "");
KSYMTAB_FUNC(snd_fasync_helper, "_gpl", "");
KSYMTAB_FUNC(snd_kill_fasync, "_gpl", "");
KSYMTAB_FUNC(snd_fasync_free, "_gpl", "");
KSYMTAB_FUNC(snd_device_new, "", "");
KSYMTAB_FUNC(snd_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(snd_device_free, "", "");
KSYMTAB_FUNC(snd_device_register, "", "");
KSYMTAB_FUNC(snd_device_get_state, "_gpl", "");
KSYMTAB_DATA(snd_seq_root, "", "");
KSYMTAB_FUNC(snd_info_get_line, "", "");
KSYMTAB_FUNC(snd_info_get_str, "", "");
KSYMTAB_FUNC(snd_info_create_module_entry, "", "");
KSYMTAB_FUNC(snd_info_create_card_entry, "", "");
KSYMTAB_FUNC(snd_info_free_entry, "", "");
KSYMTAB_FUNC(snd_info_register, "", "");
KSYMTAB_FUNC(snd_card_rw_proc_new, "_gpl", "");
KSYMTAB_FUNC(snd_oss_info_register, "", "");
KSYMTAB_FUNC(snd_dma_program, "", "");
KSYMTAB_FUNC(snd_dma_disable, "", "");
KSYMTAB_FUNC(snd_dma_pointer, "", "");
KSYMTAB_FUNC(snd_devm_request_dma, "_gpl", "");
KSYMTAB_FUNC(snd_lookup_oss_minor_data, "", "");
KSYMTAB_FUNC(snd_register_oss_device, "", "");
KSYMTAB_FUNC(snd_unregister_oss_device, "", "");
KSYMTAB_FUNC(_snd_ctl_add_follower, "", "");
KSYMTAB_FUNC(snd_ctl_add_followers, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_make_virtual_master, "", "");
KSYMTAB_FUNC(snd_ctl_add_vmaster_hook, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_sync_vmaster, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_apply_vmaster_followers, "_gpl", "");
KSYMTAB_FUNC(snd_jack_add_new_kctl, "", "");
KSYMTAB_FUNC(snd_jack_new, "", "");
KSYMTAB_FUNC(snd_jack_set_parent, "", "");
KSYMTAB_FUNC(snd_jack_set_key, "", "");
KSYMTAB_FUNC(snd_jack_report, "", "");

SYMBOL_CRC(snd_major, 0x8f595b11, "");
SYMBOL_CRC(snd_ecards_limit, 0x3971b4df, "");
SYMBOL_CRC(sound_debugfs_root, 0x52b5a55e, "_gpl");
SYMBOL_CRC(snd_request_card, 0x4a3ea5c0, "");
SYMBOL_CRC(snd_lookup_minor_data, 0xb2e5ae4a, "");
SYMBOL_CRC(snd_register_device, 0x756b240e, "");
SYMBOL_CRC(snd_unregister_device, 0x52ee4107, "");
SYMBOL_CRC(snd_mixer_oss_notify_callback, 0x31b516d1, "");
SYMBOL_CRC(snd_device_alloc, 0x143db144, "_gpl");
SYMBOL_CRC(snd_card_new, 0x349b47b5, "");
SYMBOL_CRC(snd_devm_card_new, 0x1afe7f87, "_gpl");
SYMBOL_CRC(snd_card_free_on_error, 0x095c6a42, "_gpl");
SYMBOL_CRC(snd_card_ref, 0xd8f691d7, "_gpl");
SYMBOL_CRC(snd_card_disconnect, 0x638d2e69, "");
SYMBOL_CRC(snd_card_disconnect_sync, 0x1872a58f, "_gpl");
SYMBOL_CRC(snd_card_free_when_closed, 0x830864b1, "");
SYMBOL_CRC(snd_card_free, 0x49ccf114, "");
SYMBOL_CRC(snd_card_set_id, 0x82c3e5dc, "");
SYMBOL_CRC(snd_card_add_dev_attr, 0x46b8d037, "_gpl");
SYMBOL_CRC(snd_card_register, 0xb639d852, "");
SYMBOL_CRC(snd_component_add, 0x3116a1d9, "");
SYMBOL_CRC(snd_card_file_add, 0xbb16365b, "");
SYMBOL_CRC(snd_card_file_remove, 0x26ddebba, "");
SYMBOL_CRC(snd_power_ref_and_wait, 0xda3263de, "_gpl");
SYMBOL_CRC(snd_power_wait, 0xe4c60ba0, "");
SYMBOL_CRC(copy_to_user_fromio, 0x342a2354, "");
SYMBOL_CRC(copy_to_iter_fromio, 0x01a7612f, "");
SYMBOL_CRC(copy_from_user_toio, 0xfffd89db, "");
SYMBOL_CRC(copy_from_iter_toio, 0x9f464e51, "");
SYMBOL_CRC(snd_ctl_notify, 0x8dc26e83, "");
SYMBOL_CRC(snd_ctl_notify_one, 0xd3882f5d, "");
SYMBOL_CRC(snd_ctl_new1, 0xbfdb5412, "");
SYMBOL_CRC(snd_ctl_free_one, 0x03fc0d7b, "");
SYMBOL_CRC(snd_ctl_add, 0xde84ac52, "");
SYMBOL_CRC(snd_ctl_replace, 0x7f7c7a8c, "");
SYMBOL_CRC(snd_ctl_remove, 0x11471096, "");
SYMBOL_CRC(snd_ctl_remove_id, 0xf209dcd2, "");
SYMBOL_CRC(snd_ctl_activate_id, 0x61114908, "_gpl");
SYMBOL_CRC(snd_ctl_rename_id, 0x76bf731e, "");
SYMBOL_CRC(snd_ctl_rename, 0xcb731d82, "");
SYMBOL_CRC(snd_ctl_find_numid, 0xee37cf38, "");
SYMBOL_CRC(snd_ctl_find_id, 0xc980badd, "");
SYMBOL_CRC(snd_ctl_register_ioctl, 0x0b85e305, "");
SYMBOL_CRC(snd_ctl_register_ioctl_compat, 0xab8bf77d, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl, 0x154b5863, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl_compat, 0xd5031b02, "");
SYMBOL_CRC(snd_ctl_get_preferred_subdevice, 0xd7ce6193, "_gpl");
SYMBOL_CRC(snd_ctl_request_layer, 0xfaf598c6, "_gpl");
SYMBOL_CRC(snd_ctl_register_layer, 0xd0188c1d, "_gpl");
SYMBOL_CRC(snd_ctl_disconnect_layer, 0xff3194f1, "_gpl");
SYMBOL_CRC(snd_ctl_boolean_mono_info, 0xde8ff0ec, "");
SYMBOL_CRC(snd_ctl_boolean_stereo_info, 0x58aad9f6, "");
SYMBOL_CRC(snd_ctl_enum_info, 0xcc6a729f, "");
SYMBOL_CRC(release_and_free_resource, 0xc5a6d10b, "");
SYMBOL_CRC(snd_pci_quirk_lookup_id, 0x73076315, "");
SYMBOL_CRC(snd_pci_quirk_lookup, 0x1e8aad26, "");
SYMBOL_CRC(snd_fasync_helper, 0x51db24e0, "_gpl");
SYMBOL_CRC(snd_kill_fasync, 0xf8f2a4eb, "_gpl");
SYMBOL_CRC(snd_fasync_free, 0x5af762f1, "_gpl");
SYMBOL_CRC(snd_device_new, 0x319f796a, "");
SYMBOL_CRC(snd_device_disconnect, 0x9f72ef56, "_gpl");
SYMBOL_CRC(snd_device_free, 0xd17d9278, "");
SYMBOL_CRC(snd_device_register, 0x5c1e3f91, "");
SYMBOL_CRC(snd_device_get_state, 0x7ffdc4a1, "_gpl");
SYMBOL_CRC(snd_seq_root, 0x782ca32e, "");
SYMBOL_CRC(snd_info_get_line, 0x24a94b26, "");
SYMBOL_CRC(snd_info_get_str, 0x9e6d79f8, "");
SYMBOL_CRC(snd_info_create_module_entry, 0xae435bcb, "");
SYMBOL_CRC(snd_info_create_card_entry, 0xd6352674, "");
SYMBOL_CRC(snd_info_free_entry, 0xb095d9c0, "");
SYMBOL_CRC(snd_info_register, 0xb971a0d3, "");
SYMBOL_CRC(snd_card_rw_proc_new, 0xa9634809, "_gpl");
SYMBOL_CRC(snd_oss_info_register, 0x8df3789f, "");
SYMBOL_CRC(snd_dma_program, 0x18e1683f, "");
SYMBOL_CRC(snd_dma_disable, 0x70c15ac1, "");
SYMBOL_CRC(snd_dma_pointer, 0x191e88cf, "");
SYMBOL_CRC(snd_devm_request_dma, 0xbec2a6b8, "_gpl");
SYMBOL_CRC(snd_lookup_oss_minor_data, 0x198788b4, "");
SYMBOL_CRC(snd_register_oss_device, 0x8cb888e7, "");
SYMBOL_CRC(snd_unregister_oss_device, 0x52fdc81b, "");
SYMBOL_CRC(_snd_ctl_add_follower, 0xff6cf0b6, "");
SYMBOL_CRC(snd_ctl_add_followers, 0x6e35ee41, "_gpl");
SYMBOL_CRC(snd_ctl_make_virtual_master, 0xd7a81f01, "");
SYMBOL_CRC(snd_ctl_add_vmaster_hook, 0x3966925f, "_gpl");
SYMBOL_CRC(snd_ctl_sync_vmaster, 0x2fad6977, "_gpl");
SYMBOL_CRC(snd_ctl_apply_vmaster_followers, 0xa4208dc3, "_gpl");
SYMBOL_CRC(snd_jack_add_new_kctl, 0x93555b6d, "");
SYMBOL_CRC(snd_jack_new, 0xb1e1f665, "");
SYMBOL_CRC(snd_jack_set_parent, 0x2dcd8b85, "");
SYMBOL_CRC(snd_jack_set_key, 0x78c2a709, "");
SYMBOL_CRC(snd_jack_report, 0x170c322a, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x77f5bb81, "down_write" },
	{ 0x33719327, "_dev_err" },
	{ 0x264635e1, "up_write" },
	{ 0x3d44dcd8, "device_add" },
	{ 0x3d45bb64, "init_uts_ns" },
	{ 0xb9b31de8, "xa_load" },
	{ 0x136d2728, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x30e954c3, "input_set_capability" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x58145b6e, "__devres_alloc_node" },
	{ 0x9bcf9641, "dma_spin_lock" },
	{ 0xb974afde, "fasync_helper" },
	{ 0xf1e046cc, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2e9c96c7, "device_del" },
	{ 0xefa589cf, "proc_mkdir" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xe9baa2f2, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0xd6935a2c, "input_event" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x56e1812e, "proc_remove" },
	{ 0xa985aeff, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0xb98fa7ed, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x918431c7, "xa_erase" },
	{ 0x911c8743, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfec2a902, "rt_read_lock" },
	{ 0x7054a3e4, "request_dma" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xf01d993d, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2a4038ce, "proc_set_size" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1ec7d1c9, "__register_chrdev" },
	{ 0x7a8aa3c0, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3b239a4e, "kobject_set_name" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xa3d30ed2, "rt_write_lock" },
	{ 0x69dc6f5d, "_copy_from_iter" },
	{ 0x1be11656, "downgrade_write" },
	{ 0x18af4f12, "remove_wait_queue" },
	{ 0x2bcf0760, "stream_open" },
	{ 0x55473fb7, "single_release" },
	{ 0xeb393c92, "pid_vnr" },
	{ 0xfe645927, "devres_find" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x23e55a9c, "__devm_add_action" },
	{ 0x5fe1d6fe, "sound_class" },
	{ 0xc5e74216, "release_resource" },
	{ 0x72b243d4, "free_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x5a5548a4, "proc_symlink" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd898659, "single_open" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xc40bf4ce, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x5caa6567, "put_pid" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x52176ab1, "input_allocate_device" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x173756c, "__init_rwsem" },
	{ 0x31a59dec, "_copy_to_iter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0x7087ee17, "kill_fasync" },
	{ 0x99c95fa5, "unregister_sound_special" },
	{ 0x5211e440, "proc_mkdir_mode" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x4f32143d, "device_initialize" },
	{ 0x9449d1a3, "param_array_ops" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0x8832978e, "input_unregister_device" },
	{ 0x74642f3a, "xa_store_range" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x7c794457, "add_wait_queue" },
	{ 0x7e43bb47, "proc_create_data" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xcdec59ea, "devm_remove_action" },
	{ 0xd4a26e0, "import_ubuf" },
	{ 0x1a2f220, "get_device" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x67098dda, "devres_add" },
	{ 0x7dbc14ab, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb3d98511, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaeb5bdc3, "input_free_device" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x3724b25d, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x45ee0529, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb3000d85, "rt_write_unlock" },
	{ 0x3e192769, "register_sound_special_device" },
	{ 0x6857cc3d, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "soundcore");


MODULE_INFO(srcversion, "9C157CDD3F8ED0FF7FDE456");

MODULE_INFO(suserelease, "SLFO-1.2");
