#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_fw_transaction, "", "");
KSYMTAB_FUNC(fw_iso_resources_init, "", "");
KSYMTAB_FUNC(fw_iso_resources_destroy, "", "");
KSYMTAB_FUNC(fw_iso_resources_allocate, "", "");
KSYMTAB_FUNC(fw_iso_resources_update, "", "");
KSYMTAB_FUNC(fw_iso_resources_free, "", "");
KSYMTAB_FUNC(iso_packets_buffer_init, "", "");
KSYMTAB_FUNC(iso_packets_buffer_destroy, "", "");
KSYMTAB_FUNC(avc_general_set_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_plug_info, "", "");
KSYMTAB_FUNC(fcp_avc_transaction, "", "");
KSYMTAB_FUNC(fcp_bus_reset, "", "");
KSYMTAB_FUNC(cmp_connection_init, "", "");
KSYMTAB_FUNC(cmp_connection_check_used, "", "");
KSYMTAB_FUNC(cmp_connection_destroy, "", "");
KSYMTAB_FUNC(cmp_connection_reserve, "", "");
KSYMTAB_FUNC(cmp_connection_release, "", "");
KSYMTAB_FUNC(cmp_connection_establish, "", "");
KSYMTAB_FUNC(cmp_connection_update, "", "");
KSYMTAB_FUNC(cmp_connection_break, "", "");
KSYMTAB_FUNC(amdtp_stream_init, "", "");
KSYMTAB_FUNC(amdtp_stream_destroy, "", "");
KSYMTAB_DATA(amdtp_syt_intervals, "", "");
KSYMTAB_DATA(amdtp_rate_table, "", "");
KSYMTAB_FUNC(amdtp_stream_add_pcm_hw_constraints, "", "");
KSYMTAB_FUNC(amdtp_stream_set_parameters, "", "");
KSYMTAB_FUNC(amdtp_stream_get_max_payload, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_prepare, "", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_pointer, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_ack, "_gpl", "");
KSYMTAB_FUNC(amdtp_stream_update, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_abort, "", "");
KSYMTAB_FUNC(amdtp_domain_init, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_destroy, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_add_stream, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_start, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stop, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_parameters, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_pcm_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_midi_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_add_pcm_hw_constraints, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_midi_trigger, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_init, "_gpl", "");

SYMBOL_CRC(snd_fw_transaction, 0x920e7f94, "");
SYMBOL_CRC(fw_iso_resources_init, 0x2b01c04d, "");
SYMBOL_CRC(fw_iso_resources_destroy, 0x71ba3891, "");
SYMBOL_CRC(fw_iso_resources_allocate, 0xf4988cdd, "");
SYMBOL_CRC(fw_iso_resources_update, 0x7ec77bdf, "");
SYMBOL_CRC(fw_iso_resources_free, 0xe9ecdbc7, "");
SYMBOL_CRC(iso_packets_buffer_init, 0x09f6d721, "");
SYMBOL_CRC(iso_packets_buffer_destroy, 0x7df58ba3, "");
SYMBOL_CRC(avc_general_set_sig_fmt, 0x11fcc71a, "");
SYMBOL_CRC(avc_general_get_sig_fmt, 0x4f2e010d, "");
SYMBOL_CRC(avc_general_get_plug_info, 0xae49ee71, "");
SYMBOL_CRC(fcp_avc_transaction, 0x51bf00cb, "");
SYMBOL_CRC(fcp_bus_reset, 0xf73eefd5, "");
SYMBOL_CRC(cmp_connection_init, 0xd4fbceeb, "");
SYMBOL_CRC(cmp_connection_check_used, 0x8263c175, "");
SYMBOL_CRC(cmp_connection_destroy, 0x9a3ba9d7, "");
SYMBOL_CRC(cmp_connection_reserve, 0xd1c25ae5, "");
SYMBOL_CRC(cmp_connection_release, 0x06f3f785, "");
SYMBOL_CRC(cmp_connection_establish, 0xe60ae277, "");
SYMBOL_CRC(cmp_connection_update, 0x5788b217, "");
SYMBOL_CRC(cmp_connection_break, 0x3f1a53f5, "");
SYMBOL_CRC(amdtp_stream_init, 0xfcee2656, "");
SYMBOL_CRC(amdtp_stream_destroy, 0xe09823bd, "");
SYMBOL_CRC(amdtp_syt_intervals, 0x20254e45, "");
SYMBOL_CRC(amdtp_rate_table, 0x53ca18e8, "");
SYMBOL_CRC(amdtp_stream_add_pcm_hw_constraints, 0x67b5568c, "");
SYMBOL_CRC(amdtp_stream_set_parameters, 0xab3f75e3, "");
SYMBOL_CRC(amdtp_stream_get_max_payload, 0x39b15391, "");
SYMBOL_CRC(amdtp_stream_pcm_prepare, 0xed2c3299, "");
SYMBOL_CRC(amdtp_domain_stream_pcm_pointer, 0x4119d7cd, "_gpl");
SYMBOL_CRC(amdtp_domain_stream_pcm_ack, 0xfd4043c8, "_gpl");
SYMBOL_CRC(amdtp_stream_update, 0xd5f4056e, "");
SYMBOL_CRC(amdtp_stream_pcm_abort, 0xfb541020, "");
SYMBOL_CRC(amdtp_domain_init, 0xa2c454fd, "_gpl");
SYMBOL_CRC(amdtp_domain_destroy, 0x37bdc481, "_gpl");
SYMBOL_CRC(amdtp_domain_add_stream, 0xce1bc29a, "_gpl");
SYMBOL_CRC(amdtp_domain_start, 0x5569fc76, "_gpl");
SYMBOL_CRC(amdtp_domain_stop, 0xfe36e3c1, "_gpl");
SYMBOL_CRC(amdtp_am824_set_parameters, 0x53c4be1c, "_gpl");
SYMBOL_CRC(amdtp_am824_set_pcm_position, 0x2d2aaf94, "_gpl");
SYMBOL_CRC(amdtp_am824_set_midi_position, 0x1afa95e8, "_gpl");
SYMBOL_CRC(amdtp_am824_add_pcm_hw_constraints, 0x5c7341d4, "_gpl");
SYMBOL_CRC(amdtp_am824_midi_trigger, 0xfa450587, "_gpl");
SYMBOL_CRC(amdtp_am824_init, 0x3399ee82, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xca8161e9, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0xe3908ee8, "fw_core_remove_address_handler" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xfbe454d2, "fw_iso_context_stop" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe30104a9, "fw_core_add_address_handler" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6bd05b34, "const_pcpu_hot" },
	{ 0xd509c7fb, "snd_pcm_hw_rule_add" },
	{ 0xe8b3c971, "fw_iso_context_queue" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xf7ff2b67, "fw_card_read_cycle_time" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x33719327, "_dev_err" },
	{ 0x56a28bf3, "fw_iso_buffer_destroy" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x86468d44, "fw_rcode_string" },
	{ 0x62173924, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x29fb107f, "fw_iso_resource_manage" },
	{ 0x1790915f, "bpf_trace_run9" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0x8a977894, "fw_iso_context_start" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xfae97d0e, "snd_pcm_stop_xrun" },
	{ 0x4265dbc5, "snd_pcm_hw_constraint_msbits" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf7bfe4e6, "snd_pcm_period_elapsed" },
	{ 0x9e831669, "fw_iso_context_flush_completions" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x9508a905, "fw_iso_context_destroy" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0x68a3e915, "fw_run_transaction" },
	{ 0xf0b52911, "snd_rawmidi_receive" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x5e83ab3a, "fw_iso_buffer_init" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x56a0e35c, "snd_rawmidi_transmit" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2038dbde, "snd_pcm_hw_constraint_minmax" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,snd-pcm,snd-rawmidi");


MODULE_INFO(srcversion, "74B4C99841680DC97763886");

MODULE_INFO(suserelease, "SLFO-1.2");
