#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_emu10k1_memblk_map, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_memset, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_copy_from_user, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_read, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write_multiple, "", "");

SYMBOL_CRC(snd_emu10k1_memblk_map, 0x989fb68c, "");
SYMBOL_CRC(snd_emu10k1_synth_alloc, 0x3aedd480, "");
SYMBOL_CRC(snd_emu10k1_synth_free, 0xafdc48a9, "");
SYMBOL_CRC(snd_emu10k1_synth_memset, 0xff009f92, "");
SYMBOL_CRC(snd_emu10k1_synth_copy_from_user, 0x6f619a4c, "");
SYMBOL_CRC(snd_emu10k1_voice_alloc, 0x49b38aac, "");
SYMBOL_CRC(snd_emu10k1_voice_free, 0xbd18e04b, "");
SYMBOL_CRC(snd_emu10k1_ptr_read, 0x4ce9a865, "");
SYMBOL_CRC(snd_emu10k1_ptr_write, 0x6b787eff, "");
SYMBOL_CRC(snd_emu10k1_ptr_write_multiple, 0x20141ce7, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x6115d79b, "snd_pcm_hw_rule_noresample" },
	{ 0xb9401596, "snd_ac97_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe914e41e, "strcpy" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf0b52911, "snd_rawmidi_receive" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x80473ab7, "snd_dma_alloc_dir_pages" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x56a0e35c, "snd_rawmidi_transmit" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc06f1568, "snd_ac97_write_cache" },
	{ 0xde84ac52, "snd_ctl_add" },
	{ 0x8e736ad8, "snd_ac97_resume" },
	{ 0xcc77d5b8, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x32de1e41, "snd_seq_device_new" },
	{ 0xb639d852, "snd_card_register" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x2476a690, "request_firmware" },
	{ 0x5df1ca83, "snd_devm_alloc_dir_pages" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0x2038dbde, "snd_pcm_hw_constraint_minmax" },
	{ 0x212718f5, "snd_pcm_set_sync_per_card" },
	{ 0x8e601d2, "snd_timer_interrupt" },
	{ 0x9449d1a3, "param_array_ops" },
	{ 0xa1e4b115, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa9634809, "snd_card_rw_proc_new" },
	{ 0xac07304c, "snd_ac97_update_bits" },
	{ 0xd55f0108, "snd_ac97_mixer" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xa90ff5e4, "snd_sgbuf_get_addr" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x11471096, "snd_ctl_remove" },
	{ 0x29f6fd5c, "snd_ac97_bus" },
	{ 0xc980badd, "snd_ctl_find_id" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2123f09b, "pci_read_config_dword" },
	{ 0x2d78f27e, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbfdb5412, "snd_ctl_new1" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf209dcd2, "snd_ctl_remove_id" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x77bd52d9, "iommu_get_domain_for_dev" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xef8c727f, "snd_ac97_suspend" },
	{ 0xd07bc09a, "snd_pcm_lib_malloc_pages" },
	{ 0xa3f6727c, "__snd_util_mem_alloc" },
	{ 0xde8ff0ec, "snd_ctl_boolean_mono_info" },
	{ 0x33719327, "_dev_err" },
	{ 0xe73ec955, "snd_util_memhdr_new" },
	{ 0x6c5e3c94, "snd_pcm_lib_ioctl" },
	{ 0xf57e32f7, "snd_pcm_lib_free_pages" },
	{ 0x7277a8, "snd_hwdep_new" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x2b8216f, "pci_read_config_word" },
	{ 0x8dc26e83, "snd_ctl_notify" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc77fc90f, "snd_pcm_set_ops" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc89eebdd, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x255f186c, "snd_timer_new" },
	{ 0xcb731d82, "snd_ctl_rename" },
	{ 0xd0b95735, "snd_pcm_hw_constraint_list" },
	{ 0x4f30ae3f, "snd_ac97_update" },
	{ 0x642ffe94, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0xfb578fc5, "memset" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0xe9baa2f2, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x4563c0f5, "snd_rawmidi_new" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0xb57b12cd, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x758ad137, "_dev_notice" },
	{ 0x578bab46, "__snd_util_mem_free" },
	{ 0x7904a57c, "snd_rawmidi_set_ops" },
	{ 0xae2ae17a, "snd_pcm_lib_preallocate_pages" },
	{ 0x999e8297, "vfree" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x1afe7f87, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0xcf587100, "snd_util_memhdr_free" },
	{ 0xd6352674, "snd_info_create_card_entry" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0xd17d9278, "snd_device_free" },
	{ 0xf7bfe4e6, "snd_pcm_period_elapsed" },
	{ 0x63890e7b, "__snd_util_memblk_new" },
	{ 0x754d539c, "strlen" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xe3d14983, "pcim_enable_device" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-ac97-codec,snd,snd-rawmidi,snd-seq-device,snd-timer,snd-util-mem,snd-hwdep");

MODULE_ALIAS("pci:v00001102d00000002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000008sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "095F33098D9B3DE44D0BCE1");

MODULE_INFO(suserelease, "SLFO-1.2");
