#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_shutup_speakers, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0x01dfbb46, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0xff17ab45, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0x034f8087, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0x071f8f7e, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0x74659b66, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0xae743e02, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0x28e5ca96, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0x78b89443, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0x5e7229f8, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0x0b9789b8, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0xa2c5c753, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0xd5943771, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0x3f55bb1a, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0xb1b88c29, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0x3cac0110, "_gpl");
SYMBOL_CRC(snd_hda_gen_shutup_speakers, 0x9e9d34a5, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0xf459176b, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0xbef1818f, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0x01c64f61, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0x98d51809, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0x27a995cc, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0xe6de28db, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x97480923, "snd_hda_sync_vmaster_hook" },
	{ 0xadcbb631, "snd_hda_apply_fixup" },
	{ 0x475a46c5, "snd_hda_enum_helper_info" },
	{ 0x1e1ba208, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x754d539c, "strlen" },
	{ 0x8ee7fa71, "snd_hdac_codec_read" },
	{ 0x63fe0b, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x38088a58, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0x2857965d, "snd_hda_codec_get_pin_target" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3b0b40a8, "snd_hdac_regmap_sync" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0x92576eb6, "snd_hda_apply_verbs" },
	{ 0x78a4ceaa, "snd_hda_codec_amp_update" },
	{ 0xa46beca4, "snd_hda_add_new_ctls" },
	{ 0x9febf8d0, "snd_hda_get_connections" },
	{ 0x9ee8115b, "snd_hda_codec_amp_init_stereo" },
	{ 0x37da27f3, "snd_hda_set_vmaster_tlv" },
	{ 0xf0972b76, "hda_get_autocfg_input_label" },
	{ 0x3bdf6016, "query_amp_caps" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x771891f2, "snd_hda_mixer_amp_volume_info" },
	{ 0xadc08f34, "snd_hdac_regmap_read_raw" },
	{ 0xf32e73d5, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x799c43ce, "snd_hda_codec_setup_stream" },
	{ 0x7190f57a, "snd_hda_mixer_amp_switch_info" },
	{ 0xa641f8e, "hda_codec_driver_unregister" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xcded1b6c, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x18137fd4, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0x11ecb6d1, "snd_hda_jack_tbl_get_mst" },
	{ 0xa7e03f9, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7a51789b, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0x1dab9fa0, "led_classdev_unregister" },
	{ 0xe024e5b1, "snd_hda_codec_pcm_new" },
	{ 0xa802a706, "__snd_hda_codec_cleanup_stream" },
	{ 0x2fad6977, "snd_ctl_sync_vmaster" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x52060f63, "snd_hda_multi_out_dig_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6de25514, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc5d0069f, "snd_hda_add_imux_item" },
	{ 0x8ca90810, "snd_hda_correct_pin_ctl" },
	{ 0xfa94e201, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x5554b731, "snd_hda_create_dig_out_ctls" },
	{ 0xd845c426, "snd_hda_multi_out_dig_close" },
	{ 0x10fb2a44, "snd_hda_get_conn_index" },
	{ 0x83fc46e8, "snd_hda_multi_out_analog_open" },
	{ 0x247e0afd, "snd_hda_get_bool_hint" },
	{ 0x5c5dfd3a, "snd_hda_create_spdif_share_sw" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xdffa467c, "snd_hda_find_mixer_ctl" },
	{ 0xaa02f36c, "snd_hda_get_int_hint" },
	{ 0x33719327, "_dev_err" },
	{ 0xe5d2d142, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0x27a288af, "snd_hda_parse_pin_defcfg" },
	{ 0xa9f5013, "snd_hda_codec_amp_init" },
	{ 0xb074ba8d, "snd_hda_create_spdif_in_ctls" },
	{ 0xd907bb81, "is_jack_detectable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x910e6972, "snd_hda_multi_out_analog_cleanup" },
	{ 0xbcf76975, "snd_hda_multi_out_analog_prepare" },
	{ 0x58aad9f6, "snd_ctl_boolean_stereo_info" },
	{ 0x560b01bf, "snd_hda_get_conn_list" },
	{ 0x28545b5b, "snd_hda_mixer_amp_switch_get" },
	{ 0xc8bb0ce2, "snd_hda_codec_set_pin_target" },
	{ 0x17a9aa1c, "led_classdev_register_ext" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc5b88046, "snd_hda_attach_beep_device" },
	{ 0xd8c846f0, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0x536988fb, "snd_hdac_regmap_write_raw" },
	{ 0x2edc3fd3, "snd_hda_mixer_amp_volume_get" },
	{ 0x91ceb3d0, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x3d25d97c, "snd_hda_check_amp_caps" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6eb9a83, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x332e84b5, "snd_hda_jack_unsol_event" },
	{ 0x85108f47, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xd0d718a, "snd_hda_mixer_amp_tlv" },
	{ 0x3de0a59f, "snd_hda_jack_add_kctls" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0xc1c75f7b, "__snd_hda_add_vmaster" },
	{ 0x3da6826c, "snd_hda_codec_amp_stereo" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "0C63568A6259984F6E3A5C8");

MODULE_INFO(suserelease, "SLFO-1.2");
