#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(oxygen_read8, "", "");
KSYMTAB_FUNC(oxygen_read16, "", "");
KSYMTAB_FUNC(oxygen_read32, "", "");
KSYMTAB_FUNC(oxygen_write8, "", "");
KSYMTAB_FUNC(oxygen_write16, "", "");
KSYMTAB_FUNC(oxygen_write32, "", "");
KSYMTAB_FUNC(oxygen_write8_masked, "", "");
KSYMTAB_FUNC(oxygen_write16_masked, "", "");
KSYMTAB_FUNC(oxygen_write32_masked, "", "");
KSYMTAB_FUNC(oxygen_write_ac97, "", "");
KSYMTAB_FUNC(oxygen_read_ac97, "", "");
KSYMTAB_FUNC(oxygen_write_ac97_masked, "", "");
KSYMTAB_FUNC(oxygen_write_spi, "", "");
KSYMTAB_FUNC(oxygen_write_i2c, "", "");
KSYMTAB_FUNC(oxygen_reset_uart, "", "");
KSYMTAB_FUNC(oxygen_write_uart, "", "");
KSYMTAB_FUNC(oxygen_pci_probe, "", "");
KSYMTAB_DATA(oxygen_pci_pm, "", "");
KSYMTAB_FUNC(oxygen_pci_shutdown, "", "");
KSYMTAB_FUNC(oxygen_update_dac_routing, "", "");

SYMBOL_CRC(oxygen_read8, 0x8d8cfcfd, "");
SYMBOL_CRC(oxygen_read16, 0xe3ba0121, "");
SYMBOL_CRC(oxygen_read32, 0xee7ff127, "");
SYMBOL_CRC(oxygen_write8, 0x2bdf6a94, "");
SYMBOL_CRC(oxygen_write16, 0xc9d9b843, "");
SYMBOL_CRC(oxygen_write32, 0x9df5b341, "");
SYMBOL_CRC(oxygen_write8_masked, 0xc7420a36, "");
SYMBOL_CRC(oxygen_write16_masked, 0x110216a0, "");
SYMBOL_CRC(oxygen_write32_masked, 0xee4cad07, "");
SYMBOL_CRC(oxygen_write_ac97, 0xbc1ebef7, "");
SYMBOL_CRC(oxygen_read_ac97, 0x716e8e69, "");
SYMBOL_CRC(oxygen_write_ac97_masked, 0xa1492605, "");
SYMBOL_CRC(oxygen_write_spi, 0x6afa02c5, "");
SYMBOL_CRC(oxygen_write_i2c, 0x9bd56085, "");
SYMBOL_CRC(oxygen_reset_uart, 0xea3cd79a, "");
SYMBOL_CRC(oxygen_write_uart, 0x654e8c7b, "");
SYMBOL_CRC(oxygen_pci_probe, 0x3aad1421, "");
SYMBOL_CRC(oxygen_pci_pm, 0xe4a64c5c, "");
SYMBOL_CRC(oxygen_pci_shutdown, 0x13a75bfb, "");
SYMBOL_CRC(oxygen_update_dac_routing, 0x8bd5a763, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x1afe7f87, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3335abed, "seq_printf" },
	{ 0x7810db10, "snd_mpu401_uart_new" },
	{ 0x3824ec88, "pci_match_id" },
	{ 0x4265dbc5, "snd_pcm_hw_constraint_msbits" },
	{ 0xf7bfe4e6, "snd_pcm_period_elapsed" },
	{ 0x81188c30, "match_string" },
	{ 0xf42dd43a, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0xe3d14983, "pcim_enable_device" },
	{ 0x8c03c156, "pci_write_config_word" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x529386f3, "pci_write_config_dword" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xde84ac52, "snd_ctl_add" },
	{ 0xcc77d5b8, "snd_pcm_new" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb639d852, "snd_card_register" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xabd100b0, "finish_wait" },
	{ 0xa1e4b115, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x95c6a42, "snd_card_free_on_error" },
	{ 0xa9634809, "snd_card_rw_proc_new" },
	{ 0x2d2ce378, "prepare_to_wait_event" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2123f09b, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbfdb5412, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3116a1d9, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xde8ff0ec, "snd_ctl_boolean_mono_info" },
	{ 0x33719327, "_dev_err" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x8dc26e83, "snd_ctl_notify" },
	{ 0xc77fc90f, "snd_pcm_set_ops" },
	{ 0xc89eebdd, "snd_pcm_set_managed_buffer" },
	{ 0x8ed1f525, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x642ffe94, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-mpu401-uart,snd-pcm");


MODULE_INFO(srcversion, "7F1C9A83DA5732EA6CB6EEA");

MODULE_INFO(suserelease, "SLFO-1.2");
