#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc77fc90f, "snd_pcm_set_ops" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd0b95735, "snd_pcm_hw_constraint_list" },
	{ 0xb19b445, "ioread8" },
	{ 0x642ffe94, "snd_pcm_set_managed_buffer_all" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0xe9baa2f2, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa46af178, "snd_ac97_get_short_name" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x638d2e69, "snd_card_disconnect" },
	{ 0xabc944fb, "snd_ac97_pcm_assign" },
	{ 0xb57b12cd, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9e913c1, "snd_pcm_alt_chmaps" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x1afe7f87, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1e8aad26, "snd_pci_quirk_lookup" },
	{ 0x3335abed, "seq_printf" },
	{ 0x5d492ed3, "pcim_iomap" },
	{ 0x4265dbc5, "snd_pcm_hw_constraint_msbits" },
	{ 0xf7bfe4e6, "snd_pcm_period_elapsed" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x22c08c4e, "snd_ac97_tune_hardware" },
	{ 0x754d539c, "strlen" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xe3d14983, "pcim_enable_device" },
	{ 0xf9a482f9, "msleep" },
	{ 0x529386f3, "pci_write_config_dword" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xfed8183b, "snd_ac97_pcm_close" },
	{ 0xf70e1a9e, "snd_pcm_hw_limit_rates" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8e736ad8, "snd_ac97_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcc77d5b8, "snd_pcm_new" },
	{ 0xb2d22b79, "snd_pcm_add_chmap_ctls" },
	{ 0xb639d852, "snd_card_register" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x5df1ca83, "snd_devm_alloc_dir_pages" },
	{ 0x8a22a875, "snd_ac97_pcm_open" },
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0xa1e4b115, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x95c6a42, "snd_card_free_on_error" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x3b16cde0, "snd_ac97_set_rate" },
	{ 0xa9634809, "snd_card_rw_proc_new" },
	{ 0xac07304c, "snd_ac97_update_bits" },
	{ 0xd55f0108, "snd_ac97_mixer" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x29f6fd5c, "snd_ac97_bus" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2123f09b, "pci_read_config_dword" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5766747, "snd_ac97_pcm_double_rate_rules" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xf5539991, "snd_ac97_update_power" },
	{ 0xef8c727f, "snd_ac97_suspend" },
	{ 0x65dc489a, "param_ops_bint" },
	{ 0x33719327, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-ac97-codec,snd");

MODULE_ALIAS("pci:v00008086d00002415sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002425sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002445sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002485sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024C5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000025A6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000266Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000027DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002698sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007195sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001039d00007012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000001B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000003Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000006Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000008Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000000DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000000EAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000026Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d0000746Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00007445sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B9d00005455sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "14CEDB6EDF140DDD8AB19B1");

MODULE_INFO(suserelease, "SLFO-1.2");
