#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_calibration_controls, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_calibration, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_read_prot_status, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0x7ee39858, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0x9e07e94b, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0x5a18a83e, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0x0c3fcca5, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0x0ab996a6, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0x78c6a0cd, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0x1f65a291, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0x9424aaf7, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0x1c4f818b, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0xc11a4c63, "_gpl");
SYMBOL_CRC(cs35l56_calibration_controls, 0x0fa4d22d, "_gpl");
SYMBOL_CRC(cs35l56_get_calibration, 0xdc35d7a9, "_gpl");
SYMBOL_CRC(cs35l56_read_prot_status, 0x57c12089, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0x53800109, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0xdf526e0e, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0x01d4878b, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0x2d7fc63e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0x9b2ac0e1, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0x5444f492, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe976d673, "regmap_write" },
	{ 0x9bb88a31, "devm_request_threaded_irq" },
	{ 0x9c6f1b12, "cs_amp_get_efi_calibration_data" },
	{ 0xbf05a9e8, "regmap_raw_read" },
	{ 0xb8692aab, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe5589193, "gpiod_get_array_optional" },
	{ 0xb83ed180, "spi_bus_lock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf40c71a7, "device_property_read_u32_array" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x4fa5853b, "regmap_multi_reg_write_bypassed" },
	{ 0x33719327, "_dev_err" },
	{ 0xfdb3ea43, "gpiod_put_array" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53c27517, "regmap_read_bypassed" },
	{ 0xa5eb5d93, "regmap_read" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x3457a10e, "spi_sync_locked" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x78e26940, "_dev_crit" },
	{ 0xde80edd1, "regmap_update_bits_base" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0xbefec929, "__pm_runtime_suspend" },
	{ 0x9d46ba28, "regmap_register_patch" },
	{ 0x2ab99f9f, "__pm_runtime_idle" },
	{ 0x20b835f4, "gpiod_get_value_cansleep" },
	{ 0x3acc31b9, "spi_bus_unlock" },
	{ 0xf3a60e0b, "regcache_cache_only" },
	{ 0xe8e222dc, "regcache_sync" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs-amp-lib");


MODULE_INFO(srcversion, "A03F0CDDB6749C2C60A4CF1");

MODULE_INFO(suserelease, "SLFO-1.2");
