#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0x3b791ad8, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0x43adbdf3, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0x1349e340, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0xb1d63748, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0xe2488a8a, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0xd9720d6a, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0x717df1ba, "_gpl");
SYMBOL_CRC(cs35l56_init, 0x7121abd4, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0x1c3c7dcc, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x6a84af6b, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8692aab, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x22d50cc, "devm_gpiod_get_optional" },
	{ 0xf5b74eb7, "wm_adsp_stop" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc35d7a9, "cs35l56_get_calibration" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc2669fc, "__pm_runtime_set_status" },
	{ 0xe9afda60, "devm_snd_soc_register_component" },
	{ 0xa123a8a8, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x462a205f, "sdw_write_no_pm" },
	{ 0x172eda11, "devm_free_irq" },
	{ 0x758c84a0, "pm_runtime_enable" },
	{ 0x3573e15, "fwnode_gpiod_get_index" },
	{ 0xb5614da2, "regulator_bulk_disable" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0xca0a7d04, "acpi_dev_remove_driver_gpios" },
	{ 0x2b04bf25, "snd_soc_info_volsw" },
	{ 0xc11a4c63, "cs35l56_init_cs_dsp" },
	{ 0x4a079d8b, "wm_adsp_power_down" },
	{ 0x33719327, "_dev_err" },
	{ 0xcfe8571b, "debugfs_create_bool" },
	{ 0xfdecc38b, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0xac7dc499, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x9424aaf7, "cs35l56_runtime_suspend_common" },
	{ 0x4ec3d64f, "sdw_read_no_pm" },
	{ 0x9e07e94b, "cs35l56_mbox_send" },
	{ 0x53800109, "cs35l56_hw_init" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x62c61a3a, "wm_adsp2_component_probe" },
	{ 0x57c12089, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xab996a6, "cs35l56_system_reset" },
	{ 0xe75e2f79, "snd_soc_info_enum_double" },
	{ 0xbb025590, "regulator_bulk_enable" },
	{ 0x2c708545, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x84522579, "wm_adsp2_component_remove" },
	{ 0xc3fcca5, "cs35l56_wait_for_firmware_boot" },
	{ 0x56e76cc9, "devm_kasprintf" },
	{ 0xdc805932, "snd_soc_get_volsw" },
	{ 0x7ee39858, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xd2ea4a39, "fwnode_property_present" },
	{ 0x1f65a291, "cs35l56_is_fw_reload_needed" },
	{ 0xa5eb5d93, "regmap_read" },
	{ 0x159f5eeb, "snd_soc_put_volsw" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x8185c1dc, "cs_amp_write_cal_coeffs" },
	{ 0x699df697, "device_get_named_child_node" },
	{ 0x309bfb59, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xcdcaa49e, "sdw_stream_remove_slave" },
	{ 0x1c4f818b, "cs35l56_runtime_resume_common" },
	{ 0x7c72ee51, "dapm_regulator_event" },
	{ 0xdf526e0e, "cs35l56_get_speaker_id" },
	{ 0x83549073, "wm_adsp_run" },
	{ 0xde80edd1, "regmap_update_bits_base" },
	{ 0xd4d9c646, "acpi_dev_get_property" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0xbefec929, "__pm_runtime_suspend" },
	{ 0x1d4878b, "cs35l56_fill_supply_names" },
	{ 0x23e55a9c, "__devm_add_action" },
	{ 0x550cda65, "snd_soc_dapm_get_enum_double" },
	{ 0x473c64b6, "__pm_runtime_use_autosuspend" },
	{ 0x225935ac, "wm_halo_init" },
	{ 0x45a14e85, "__pm_runtime_disable" },
	{ 0x5a18a83e, "cs35l56_firmware_shutdown" },
	{ 0x3ffaca87, "sdw_stream_add_slave" },
	{ 0x1b935c2e, "pm_runtime_force_suspend" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x300721df, "wm_adsp_power_up" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xbae981d9, "snd_soc_dapm_put_enum_double" },
	{ 0x20b835f4, "gpiod_get_value_cansleep" },
	{ 0xf3a60e0b, "regcache_cache_only" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0x6ef96a37, "gpiod_put" },
	{ 0xe8e222dc, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe976d673, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa7ab3e7c, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x2927e8c6, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xefdcb753, "acpi_dev_add_driver_gpios" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-wm-adsp,snd-soc-cs35l56-shared,snd-soc-core,soundwire-bus,snd-soc-cs-amp-lib,snd-pcm");


MODULE_INFO(srcversion, "D62B474544DEF6496D8466A");

MODULE_INFO(suserelease, "SLFO-1.2");
