#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt5640_dmic_enable, "_gpl", "");
KSYMTAB_FUNC(rt5640_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5640_enable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_disable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_detect_headset, "_gpl", "");
KSYMTAB_FUNC(rt5640_set_ovcd_params, "_gpl", "");

SYMBOL_CRC(rt5640_dmic_enable, 0xdde23e1c, "_gpl");
SYMBOL_CRC(rt5640_sel_asrc_clk_src, 0xdedf0313, "_gpl");
SYMBOL_CRC(rt5640_enable_micbias1_for_ovcd, 0x9aed93de, "_gpl");
SYMBOL_CRC(rt5640_disable_micbias1_for_ovcd, 0x3a845708, "_gpl");
SYMBOL_CRC(rt5640_detect_headset, 0xf8873a73, "_gpl");
SYMBOL_CRC(rt5640_set_ovcd_params, 0x09207ff7, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f30105b, "snd_soc_component_write" },
	{ 0xe9afda60, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb5d55eba, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf40c71a7, "device_property_read_u32_array" },
	{ 0xb3e25b07, "snd_soc_get_enum_double" },
	{ 0x575c0b27, "i2c_register_driver" },
	{ 0x2b04bf25, "snd_soc_info_volsw" },
	{ 0x33719327, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xeff0e4af, "snd_soc_dapm_put_volsw" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x526fc39c, "snd_soc_dapm_force_bias_level" },
	{ 0x3cdeaca1, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x3cb24218, "snd_soc_add_component_controls" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x6486f0c1, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe75e2f79, "snd_soc_info_enum_double" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x89a9f940, "devm_clk_get_optional" },
	{ 0xdc805932, "snd_soc_get_volsw" },
	{ 0xa5eb5d93, "regmap_read" },
	{ 0x159f5eeb, "snd_soc_put_volsw" },
	{ 0x96485c0e, "snd_soc_component_update_bits" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8502eb7, "snd_soc_dapm_new_controls" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xde80edd1, "regmap_update_bits_base" },
	{ 0x7d44e6c0, "snd_soc_dapm_get_volsw" },
	{ 0x23e55a9c, "__devm_add_action" },
	{ 0x4e5879c8, "i2c_del_driver" },
	{ 0x9d46ba28, "regmap_register_patch" },
	{ 0x550cda65, "snd_soc_dapm_get_enum_double" },
	{ 0x6de15b3c, "gpiod_set_consumer_name" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xbae981d9, "snd_soc_dapm_put_enum_double" },
	{ 0x20b835f4, "gpiod_get_value_cansleep" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x149eb2a8, "device_property_present" },
	{ 0xf3a60e0b, "regcache_cache_only" },
	{ 0xe8e222dc, "regcache_sync" },
	{ 0xe976d673, "regmap_write" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x295a1795, "snd_soc_jack_report" },
	{ 0xdb93966c, "snd_soc_component_read" },
	{ 0x2927e8c6, "gpiod_set_value_cansleep" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0xba0a72d1, "gpiod_to_irq" },
	{ 0x70c6e0ba, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa2f720f6, "snd_soc_put_enum_double" },
	{ 0xb8692aab, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc742dfc4, "gpiod_get_value" },
	{ 0x22d50cc, "devm_gpiod_get_optional" },
	{ 0xee9124b3, "snd_soc_params_to_frame_size" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xbb6c604a, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,regmap-i2c,snd-soc-rl6231,snd-pcm");

MODULE_ALIAS("i2c:rt5640");
MODULE_ALIAS("i2c:rt5639");
MODULE_ALIAS("i2c:rt5642");
MODULE_ALIAS("acpi*:INT33CA:*");
MODULE_ALIAS("acpi*:10EC3276:*");
MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("acpi*:10EC5642:*");
MODULE_ALIAS("acpi*:INTCCFFD:*");

MODULE_INFO(srcversion, "8DA52D21774CE3081E6DC3B");

MODULE_INFO(suserelease, "SLFO-1.2");
