#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(codec_info_list, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_info_list_count, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_part, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_acpi, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_dai, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_startup, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_prepare, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_trigger, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_params, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_free, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_shutdown, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_name, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_find_codec_dai_used, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_dailink_exit_loop, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_card_late_probe, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_simple_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_count_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_dailink, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_parse_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_dmic_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt700_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt712_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt722_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt5682_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_DATA(soc_sdw_rt1308_i2s_ops, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_count_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_add_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l42_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_hs_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_init, "", "SND_SOC_SDW_UTILS");

SYMBOL_CRC(codec_info_list, 0x025c493d, "");
SYMBOL_CRC(asoc_sdw_get_codec_info_list_count, 0xcb490bf7, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_part, 0x0628d685, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_acpi, 0x9b5267d2, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_dai, 0x23f75384, "");
SYMBOL_CRC(asoc_sdw_rtd_init, 0xdca7024b, "");
SYMBOL_CRC(asoc_sdw_startup, 0xc6305e9a, "");
SYMBOL_CRC(asoc_sdw_prepare, 0x956bee37, "");
SYMBOL_CRC(asoc_sdw_trigger, 0x51e18f19, "");
SYMBOL_CRC(asoc_sdw_hw_params, 0x114a019a, "");
SYMBOL_CRC(asoc_sdw_hw_free, 0x9d419663, "");
SYMBOL_CRC(asoc_sdw_shutdown, 0xbf490d0e, "");
SYMBOL_CRC(asoc_sdw_get_codec_name, 0xee54a4a9, "");
SYMBOL_CRC(asoc_sdw_mc_find_codec_dai_used, 0x4d61d583, "");
SYMBOL_CRC(asoc_sdw_mc_dailink_exit_loop, 0xf8201cff, "");
SYMBOL_CRC(asoc_sdw_card_late_probe, 0x6206759d, "");
SYMBOL_CRC(asoc_sdw_init_dai_link, 0xd2629ba8, "");
SYMBOL_CRC(asoc_sdw_init_simple_dai_link, 0x2380f500, "");
SYMBOL_CRC(asoc_sdw_count_sdw_endpoints, 0x0a0f0f48, "");
SYMBOL_CRC(asoc_sdw_find_dailink, 0x2bed0fe8, "");
SYMBOL_CRC(asoc_sdw_parse_sdw_endpoints, 0x3a6bf344, "");
SYMBOL_CRC(asoc_sdw_dmic_init, 0xa7a0deb8, "");
SYMBOL_CRC(asoc_sdw_rt_dmic_rtd_init, 0x68058afa, "");
SYMBOL_CRC(asoc_sdw_rt700_rtd_init, 0xe1e116b7, "");
SYMBOL_CRC(asoc_sdw_rt711_rtd_init, 0x83ef2381, "");
SYMBOL_CRC(asoc_sdw_rt711_exit, 0x255c69dc, "");
SYMBOL_CRC(asoc_sdw_rt711_init, 0xe26bc902, "");
SYMBOL_CRC(asoc_sdw_rt712_spk_rtd_init, 0x14613657, "");
SYMBOL_CRC(asoc_sdw_rt722_spk_rtd_init, 0x252d612b, "");
SYMBOL_CRC(asoc_sdw_rt5682_rtd_init, 0xaaac15cd, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_rtd_init, 0x32729a5a, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_exit, 0x847ed977, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_init, 0xe5539dd8, "");
SYMBOL_CRC(asoc_sdw_rt_amp_spk_rtd_init, 0xbee3e899, "");
SYMBOL_CRC(soc_sdw_rt1308_i2s_ops, 0xaa932ac6, "");
SYMBOL_CRC(asoc_sdw_rt_amp_exit, 0x8b237aa1, "");
SYMBOL_CRC(asoc_sdw_rt_amp_init, 0xce6e28df, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_count_sidecar, 0xa2f34cfd, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_add_sidecar, 0x1b060c07, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_spk_init, 0xa7d27d8a, "");
SYMBOL_CRC(asoc_sdw_cs42l42_rtd_init, 0x9885b222, "");
SYMBOL_CRC(asoc_sdw_cs42l43_hs_rtd_init, 0x272c9fc1, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_rtd_init, 0xce7aced1, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_init, 0xba223c67, "");
SYMBOL_CRC(asoc_sdw_cs42l43_dmic_rtd_init, 0xe21fc6b3, "");
SYMBOL_CRC(asoc_sdw_cs_spk_rtd_init, 0x905201c0, "");
SYMBOL_CRC(asoc_sdw_cs_amp_init, 0xaaefe80b, "");
SYMBOL_CRC(asoc_sdw_maxim_spk_rtd_init, 0x8b0a82b5, "");
SYMBOL_CRC(asoc_sdw_maxim_init, 0x34b90b63, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf7567787, "snd_soc_limit_volume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x94404c7c, "snd_soc_dai_set_tdm_slot" },
	{ 0x3a39792f, "snd_soc_dapm_enable_pin" },
	{ 0x69acdf38, "memcpy" },
	{ 0x897e1757, "snd_soc_dapm_disable_pin" },
	{ 0xa0632ee2, "snd_soc_component_set_sysclk" },
	{ 0x60160616, "snd_soc_dai_set_sysclk" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3e9dfe6b, "snd_soc_dapm_sync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xee4656ea, "snd_soc_component_set_jack" },
	{ 0xa123a8a8, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45ee0529, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x9f7963d2, "fwnode_create_software_node" },
	{ 0xf8dd518a, "snd_soc_dapm_get_pin_switch" },
	{ 0xdfde2b3a, "sdw_disable_stream" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x33719327, "_dev_err" },
	{ 0xf74536a0, "bus_find_device" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x6f95b16b, "sdw_shutdown_stream" },
	{ 0x3b0a8582, "sdw_startup_stream" },
	{ 0x401c7ea1, "sdw_deprepare_stream" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x6486f0c1, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf3376e1e, "device_remove_software_node" },
	{ 0x78c2a709, "snd_jack_set_key" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x56e76cc9, "devm_kasprintf" },
	{ 0x6eb9f49f, "snd_soc_card_jack_new_pins" },
	{ 0x4fc632f3, "snd_soc_dai_set_pll" },
	{ 0x8502eb7, "snd_soc_dapm_new_controls" },
	{ 0x250bd32d, "sdw_enable_stream" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc896c7c9, "snd_soc_dapm_put_pin_switch" },
	{ 0xda578269, "device_match_name" },
	{ 0x79a0677e, "snd_soc_dapm_info_pin_switch" },
	{ 0x23b2653, "snd_soc_add_card_controls" },
	{ 0xbef6b1a1, "device_add_software_node" },
	{ 0x8a156323, "sdw_prepare_stream" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x3d65ad32, "sdw_bus_type" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xa7790a69, "to_software_node" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,soundwire-bus,snd");


MODULE_INFO(srcversion, "F86405E03CB59B47E7913A4");

MODULE_INFO(suserelease, "SLFO-1.2");
