#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(null_dailink_component, "_gpl", "");
KSYMTAB_DATA(snd_soc_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_name_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_rtdcom_lookup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component_nolocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_close_delayed_work, "_gpl", "");
KSYMTAB_FUNC(snd_soc_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_resume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_copy_dai_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai_with_mutex, "_gpl", "");
KSYMTAB_FUNC(snd_soc_remove_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_pcm_runtimes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_set_dai_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_dmi_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_poweroff, "_gpl", "");
KSYMTAB_DATA(snd_soc_pm_ops, "_gpl", "");
KSYMTAB_FUNC(snd_soc_cnew, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_card_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_dai_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_initialize, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component_by_driver, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_card_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_simple_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_pin_switches, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_slot_mask, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dlc_use_cpu_as_platform, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_node_prefix, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_routing, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_aux_devs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_flipped, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_from_bitmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_format, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_clock_provider_raw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_stream_cpu, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_id, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_via_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(dapm_mark_endpoints_dirty, "_gpl", "");
KSYMTAB_FUNC(dapm_kcontrol_get_value, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_dapm, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_bias_level, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_get_connected_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_free_widgets, "_gpl", "");
KSYMTAB_FUNC(dapm_regulator_event, "_gpl", "");
KSYMTAB_FUNC(dapm_pinctrl_event, "_gpl", "");
KSYMTAB_FUNC(dapm_clock_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mux_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mixer_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_update_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_widget_name_cmp, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_add_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_del_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_weak_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_info_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_dai_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_ignore_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_init, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_report, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_zones, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_get_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpiods, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_free_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tdm_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_is_dummy, "_gpl", "");
KSYMTAB_DATA(snd_soc_dummy_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_clkdiv, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_bclk_ratio, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_get_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tristate, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_digital_mute, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_active, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_notify_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_jack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_jack_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_init_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_exit_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_open, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_codec_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_copy, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits_async, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_async_complete, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_test_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_runtime_hwparams, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_calc_hw, "_gpl", "");
KSYMTAB_FUNC(widget_in_list, "_gpl", "");
KSYMTAB_FUNC(dpcm_end_walk_at_be, "_gpl", "");
KSYMTAB_FUNC(dpcm_be_dai_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_runtime_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_get_substream, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(devm_snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_limit_volume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_put, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info_ext, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_tlv_callback, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_add_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_remove_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_new_compress, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_widget_bind_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_load, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_remove, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_prepare_slave_config, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_unregister, "_gpl", "");

SYMBOL_CRC(null_dailink_component, 0x0178e752, "_gpl");
SYMBOL_CRC(snd_soc_debugfs_root, 0xcec9434a, "_gpl");
SYMBOL_CRC(snd_soc_dai_name_get, 0xcb045448, "_gpl");
SYMBOL_CRC(snd_soc_rtdcom_lookup, 0xdcafe28a, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component_nolocked, 0xd715950e, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component, 0xe6915805, "_gpl");
SYMBOL_CRC(snd_soc_get_pcm_runtime, 0x6ab62993, "_gpl");
SYMBOL_CRC(snd_soc_close_delayed_work, 0xf2c73476, "_gpl");
SYMBOL_CRC(snd_soc_suspend, 0xcb3814f8, "_gpl");
SYMBOL_CRC(snd_soc_resume, 0x3f4bf6c7, "_gpl");
SYMBOL_CRC(snd_soc_copy_dai_args, 0x4adae836, "_gpl");
SYMBOL_CRC(snd_soc_find_dai, 0x1c3bd10b, "_gpl");
SYMBOL_CRC(snd_soc_find_dai_with_mutex, 0x98f65441, "_gpl");
SYMBOL_CRC(snd_soc_remove_pcm_runtime, 0x3eaf56f8, "_gpl");
SYMBOL_CRC(snd_soc_add_pcm_runtimes, 0x892421be, "_gpl");
SYMBOL_CRC(snd_soc_runtime_set_dai_fmt, 0x510523ad, "_gpl");
SYMBOL_CRC(snd_soc_set_dmi_name, 0x46fe7832, "_gpl");
SYMBOL_CRC(snd_soc_poweroff, 0xf9eab9d9, "_gpl");
SYMBOL_CRC(snd_soc_pm_ops, 0x32b93aa6, "_gpl");
SYMBOL_CRC(snd_soc_cnew, 0x13c05e70, "_gpl");
SYMBOL_CRC(snd_soc_add_component_controls, 0x3cb24218, "_gpl");
SYMBOL_CRC(snd_soc_add_card_controls, 0x023b2653, "_gpl");
SYMBOL_CRC(snd_soc_add_dai_controls, 0xd0a62d39, "_gpl");
SYMBOL_CRC(snd_soc_register_card, 0x74e02797, "_gpl");
SYMBOL_CRC(snd_soc_unregister_card, 0x6f57c2c4, "_gpl");
SYMBOL_CRC(snd_soc_unregister_dai, 0x9a87d794, "_gpl");
SYMBOL_CRC(snd_soc_register_dai, 0x3cf3fac8, "_gpl");
SYMBOL_CRC(snd_soc_component_initialize, 0xb0eb2d68, "_gpl");
SYMBOL_CRC(snd_soc_add_component, 0x974598e2, "_gpl");
SYMBOL_CRC(snd_soc_register_component, 0xe322d8ae, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component_by_driver, 0xb48105cb, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component, 0x4d8175e9, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_card_name, 0x78cf39e4, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_simple_widgets, 0x545bd01c, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_pin_switches, 0xccfffba8, "_gpl");
SYMBOL_CRC(snd_soc_of_get_slot_mask, 0xbd42fb06, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_tdm_slot, 0x8d8976bf, "_gpl");
SYMBOL_CRC(snd_soc_dlc_use_cpu_as_platform, 0x89d858a2, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_node_prefix, 0x4a21f9b5, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_routing, 0x63309454, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_aux_devs, 0x5ce595d3, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_flipped, 0xc317a15e, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_from_bitmap, 0xf9622dd1, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_format, 0x39ca4989, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_clock_provider_raw, 0x6dc2e628, "_gpl");
SYMBOL_CRC(snd_soc_get_stream_cpu, 0x79ea68c9, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_id, 0xf340ead2, "_gpl");
SYMBOL_CRC(snd_soc_get_dlc, 0x627ee489, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dlc, 0x1c92f520, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_name, 0x214cf7ed, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_name, 0xdf5b02e1, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_via_args, 0x72198211, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_codecs, 0x1ca3de6e, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_codecs, 0xdbdbec03, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_cpus, 0x0ef8c38b, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_cpus, 0xa690547b, "_gpl");
SYMBOL_CRC(dapm_mark_endpoints_dirty, 0xc5d6831f, "_gpl");
SYMBOL_CRC(dapm_kcontrol_get_value, 0x04c574ca, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_widget, 0xa082765a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_dapm, 0x6598564a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_bias_level, 0x526fc39c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_get_connected_widgets, 0x6aa678dc, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_free_widgets, 0x2011800f, "_gpl");
SYMBOL_CRC(dapm_regulator_event, 0x7c72ee51, "_gpl");
SYMBOL_CRC(dapm_pinctrl_event, 0xaa0b1161, "_gpl");
SYMBOL_CRC(dapm_clock_event, 0xe74ee6be, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mux_update_power, 0x073732a6, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mixer_update_power, 0x11912f58, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free_widget, 0xb5482275, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync_unlocked, 0x70c6e0ba, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync, 0x3e9dfe6b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_update_dai, 0x41160122, "_gpl");
SYMBOL_CRC(snd_soc_dapm_widget_name_cmp, 0x169f9260, "_gpl");
SYMBOL_CRC(snd_soc_dapm_add_routes, 0x6486f0c1, "_gpl");
SYMBOL_CRC(snd_soc_dapm_del_routes, 0xe2ec3c63, "_gpl");
SYMBOL_CRC(snd_soc_dapm_weak_routes, 0x801f51b2, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_widgets, 0xc02ed3d0, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_volsw, 0x7d44e6c0, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_volsw, 0xeff0e4af, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_enum_double, 0x550cda65, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_enum_double, 0xbae981d9, "_gpl");
SYMBOL_CRC(snd_soc_dapm_info_pin_switch, 0x79a0677e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_switch, 0xf8dd518a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_pin_switch, 0xc896c7c9, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_control, 0x56d9626d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_controls, 0x08502eb7, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_dai_widgets, 0xa26421d2, "_gpl");
SYMBOL_CRC(snd_soc_dapm_stream_stop, 0xdf2217e7, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin_unlocked, 0xaf3655c9, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin, 0x3a39792f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin_unlocked, 0xbb6c604a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin, 0x16993e1d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin_unlocked, 0x3cdeaca1, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin, 0x897e1757, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin_unlocked, 0xa6800ad8, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin, 0xffa7d7ad, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_status, 0x727f8cb9, "_gpl");
SYMBOL_CRC(snd_soc_dapm_ignore_suspend, 0xd3c2212a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free, 0x958d1b3d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_init, 0xc86ab995, "_gpl");
SYMBOL_CRC(snd_soc_jack_report, 0x295a1795, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_zones, 0xe43a4419, "_gpl");
SYMBOL_CRC(snd_soc_jack_get_type, 0xf8865725, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_pins, 0x50a1b652, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_register, 0xbf8eb0a2, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_unregister, 0xa0409c91, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpios, 0x11b0d1a2, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpiods, 0xd8884249, "_gpl");
SYMBOL_CRC(snd_soc_jack_free_gpios, 0x75ed7ad5, "_gpl");
SYMBOL_CRC(snd_soc_calc_frame_size, 0x2541a979, "_gpl");
SYMBOL_CRC(snd_soc_params_to_frame_size, 0xee9124b3, "_gpl");
SYMBOL_CRC(snd_soc_calc_bclk, 0x7e606130, "_gpl");
SYMBOL_CRC(snd_soc_params_to_bclk, 0x2acda8a0, "_gpl");
SYMBOL_CRC(snd_soc_tdm_params_to_bclk, 0x6c456e7b, "_gpl");
SYMBOL_CRC(snd_soc_dai_is_dummy, 0x379a3b93, "_gpl");
SYMBOL_CRC(snd_soc_dummy_dlc, 0x64c745a4, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_sysclk, 0x60160616, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_clkdiv, 0xf1962d53, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_pll, 0x4fc632f3, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_bclk_ratio, 0x547a988c, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_fmt, 0xee02719c, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tdm_slot, 0x94404c7c, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_channel_map, 0x9ea54b28, "_gpl");
SYMBOL_CRC(snd_soc_dai_get_channel_map, 0x5b9a5b20, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tristate, 0xbdfba26d, "_gpl");
SYMBOL_CRC(snd_soc_dai_digital_mute, 0x160d31f7, "_gpl");
SYMBOL_CRC(snd_soc_dai_action, 0x49346bb5, "_gpl");
SYMBOL_CRC(snd_soc_dai_active, 0x7b60e31f, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_startup, 0xd90daad1, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_shutdown, 0x4c926cf3, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_trigger, 0xd84fe7e6, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_params, 0x1ecc49e5, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_params, 0xe8704f84, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_ack, 0x64ee60a2, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_pointer, 0x9022b5c8, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_metadata, 0x66331950, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_metadata, 0xc027b3db, "_gpl");
SYMBOL_CRC(snd_soc_component_set_sysclk, 0xa0632ee2, "_gpl");
SYMBOL_CRC(snd_soc_component_set_pll, 0x85296bd4, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin, 0xfebd1859, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin_unlocked, 0x57b6c258, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin, 0x79ecdb58, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin_unlocked, 0x32f350ac, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin, 0x90a6b5ae, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin_unlocked, 0xc34e3848, "_gpl");
SYMBOL_CRC(snd_soc_component_get_pin_status, 0xd9fa914e, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin, 0xd37908ba, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin_unlocked, 0xabd6e32d, "_gpl");
SYMBOL_CRC(snd_soc_component_get_kcontrol, 0x10873e7b, "_gpl");
SYMBOL_CRC(snd_soc_component_notify_control, 0xf22cac52, "_gpl");
SYMBOL_CRC(snd_soc_component_set_jack, 0xee4656ea, "_gpl");
SYMBOL_CRC(snd_soc_component_get_jack_type, 0xe85e8cba, "_gpl");
SYMBOL_CRC(snd_soc_component_init_regmap, 0x8882f2d0, "_gpl");
SYMBOL_CRC(snd_soc_component_exit_regmap, 0xf6bef13f, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_open, 0xbc354688, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_free, 0x62bde964, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_trigger, 0x76af5870, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_params, 0xbf942d37, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_params, 0xc2e134fe, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_caps, 0x5fdfe7d9, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_codec_caps, 0x4eaf0b20, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_ack, 0xe9cc0492, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_pointer, 0x004c85ca, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_copy, 0x01c285c2, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_metadata, 0x00c2425c, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_metadata, 0x119ae2e0, "_gpl");
SYMBOL_CRC(snd_soc_component_read, 0xdb93966c, "_gpl");
SYMBOL_CRC(snd_soc_component_write, 0x6f30105b, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits, 0x96485c0e, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits_async, 0xd2fe2865, "_gpl");
SYMBOL_CRC(snd_soc_component_read_field, 0x9a29b196, "_gpl");
SYMBOL_CRC(snd_soc_component_write_field, 0x6d4eb324, "_gpl");
SYMBOL_CRC(snd_soc_component_async_complete, 0x6356d842, "_gpl");
SYMBOL_CRC(snd_soc_component_test_bits, 0x74afc4c9, "_gpl");
SYMBOL_CRC(snd_soc_runtime_action, 0x6c89fe09, "_gpl");
SYMBOL_CRC(snd_soc_set_runtime_hwparams, 0x3c8c4c8e, "_gpl");
SYMBOL_CRC(snd_soc_runtime_calc_hw, 0x83643494, "_gpl");
SYMBOL_CRC(widget_in_list, 0xcf28a595, "_gpl");
SYMBOL_CRC(dpcm_end_walk_at_be, 0xb40ff47f, "_gpl");
SYMBOL_CRC(dpcm_be_dai_trigger, 0xc5456cb0, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_runtime_update, 0x4ee29b17, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_get_substream, 0x32c545e5, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_dai, 0xcb31d9d0, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_component, 0xe9afda60, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_card, 0x095dbaff, "_gpl");
SYMBOL_CRC(devm_snd_dmaengine_pcm_register, 0x193fe212, "_gpl");
SYMBOL_CRC(snd_soc_info_enum_double, 0xe75e2f79, "_gpl");
SYMBOL_CRC(snd_soc_get_enum_double, 0xb3e25b07, "_gpl");
SYMBOL_CRC(snd_soc_put_enum_double, 0xa2f720f6, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw, 0x2b04bf25, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_sx, 0x746ef039, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw, 0xdc805932, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw, 0x159f5eeb, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_sx, 0xbfa9b49b, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_sx, 0xffb821df, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_range, 0xa372b35b, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_range, 0x77d34d8e, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_range, 0x66c6367f, "_gpl");
SYMBOL_CRC(snd_soc_limit_volume, 0xf7567787, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info, 0x377b7d20, "_gpl");
SYMBOL_CRC(snd_soc_bytes_get, 0xcdf67b6b, "_gpl");
SYMBOL_CRC(snd_soc_bytes_put, 0xd60b4f93, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info_ext, 0x26ff8ddb, "_gpl");
SYMBOL_CRC(snd_soc_bytes_tlv_callback, 0x715e19bc, "_gpl");
SYMBOL_CRC(snd_soc_info_xr_sx, 0xcb9b482e, "_gpl");
SYMBOL_CRC(snd_soc_get_xr_sx, 0x4bb21f4d, "_gpl");
SYMBOL_CRC(snd_soc_put_xr_sx, 0x82ad1894, "_gpl");
SYMBOL_CRC(snd_soc_get_strobe, 0x686f2d34, "_gpl");
SYMBOL_CRC(snd_soc_put_strobe, 0x97a95843, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_startup, 0x2484869f, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_shutdown, 0xc3e82d3c, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_set_params, 0x469524c2, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol, 0x6262187e, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new, 0x57a11d35, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new_pins, 0x6eb9f49f, "_gpl");
SYMBOL_CRC(snd_soc_card_add_dai_link, 0x29d4e0e1, "_gpl");
SYMBOL_CRC(snd_soc_card_remove_dai_link, 0xfbb65764, "_gpl");
SYMBOL_CRC(snd_soc_new_compress, 0x75ea3ab9, "_gpl");
SYMBOL_CRC(snd_soc_tplg_widget_bind_event, 0x865d88a3, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_load, 0x3e2325b9, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_remove, 0x3f0d8546, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_prepare_slave_config, 0xa19758cc, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_register, 0x87b88835, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_unregister, 0x82e2cdd7, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b87a211, "pm_wakeup_dev_event" },
	{ 0xbc40496c, "blocking_notifier_call_chain" },
	{ 0xa123a8a8, "devm_kstrdup" },
	{ 0xcfa8384a, "snd_pcm_stream_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x29edf56b, "debugfs_lookup_and_remove" },
	{ 0x45ee0529, "put_device" },
	{ 0xcc07b8be, "gpiod_unexport" },
	{ 0x3116a1d9, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x9b447f0e, "devm_regulator_get" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa2b70ebd, "snd_dmaengine_pcm_close" },
	{ 0xe09b8ac1, "dma_get_slave_caps" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x6857cc3d, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x349b47b5, "snd_card_new" },
	{ 0x1872a58f, "snd_card_disconnect_sync" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xf8226993, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x9bdde87a, "snd_dmaengine_pcm_request_channel" },
	{ 0x613ac75f, "perf_trace_run_bpf_submit" },
	{ 0x5fbdd86f, "devm_kfree" },
	{ 0x33719327, "_dev_err" },
	{ 0xada2ce5f, "pinctrl_pm_select_sleep_state" },
	{ 0x52978850, "simple_open" },
	{ 0x6c5e3c94, "snd_pcm_lib_ioctl" },
	{ 0x2d3c134d, "platform_device_unregister" },
	{ 0xdbdb0e8b, "request_any_context_irq" },
	{ 0xdc02eb39, "dmi_available" },
	{ 0xb1e1f665, "snd_jack_new" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xebc91f1, "snd_pcm_stream_unlock_irqrestore" },
	{ 0x93555b6d, "snd_jack_add_new_kctl" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0xe449b74a, "dev_get_regmap" },
	{ 0x37ee8a13, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x58145b6e, "__devres_alloc_node" },
	{ 0x62173924, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x8dc26e83, "snd_ctl_notify" },
	{ 0xbf3f7f3, "regulator_allow_bypass" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc77fc90f, "snd_pcm_set_ops" },
	{ 0x40ccd48d, "regmap_async_complete" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc89eebdd, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3a5ab3e1, "_snd_pcm_stream_lock_irqsave_nested" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd6f020db, "device_register" },
	{ 0x9fcab838, "bpf_trace_run1" },
	{ 0x84b783, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce3ecac6, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xa8b0685, "snd_dmaengine_pcm_open" },
	{ 0xd331cb07, "regmap_parse_val" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x4b46c68a, "snd_pcm_suspend_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xa07efcc1, "snd_dmaengine_pcm_pointer" },
	{ 0x7ccaa77e, "__platform_driver_register" },
	{ 0xc64cde6e, "dma_request_chan" },
	{ 0x56e76cc9, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xaef958c2, "pinctrl_lookup_state" },
	{ 0x5a2ff131, "bpf_trace_run3" },
	{ 0x911c8743, "seq_read" },
	{ 0x4691eb9a, "snd_compress_new" },
	{ 0xea9a479d, "blocking_notifier_chain_unregister" },
	{ 0xf57ae71d, "snd_hwparams_to_dma_slave_config" },
	{ 0x537dcc0d, "platform_device_register_full" },
	{ 0xa5eb5d93, "regmap_read" },
	{ 0xd9c4d734, "trace_event_buffer_reserve" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3335abed, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9e43feb2, "devm_pinctrl_get" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x69dc6f5d, "_copy_from_iter" },
	{ 0xa56717fd, "debugfs_create_file_full" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xa12b8213, "pinctrl_select_state" },
	{ 0xe4c60ba0, "snd_power_wait" },
	{ 0x4265dbc5, "snd_pcm_hw_constraint_msbits" },
	{ 0x55473fb7, "single_release" },
	{ 0xde80edd1, "regmap_update_bits_base" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0x80a44ec7, "snd_dmaengine_pcm_set_config_from_dai_data" },
	{ 0x43fac10, "device_add_groups" },
	{ 0xbefec929, "__pm_runtime_suspend" },
	{ 0x52fe7421, "regmap_exit" },
	{ 0x81188c30, "match_string" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xca414151, "regmap_raw_write" },
	{ 0x754d539c, "strlen" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xd898659, "single_open" },
	{ 0xa286a234, "snd_pcm_format_name" },
	{ 0xa205373d, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x815588a6, "clk_enable" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x2ab99f9f, "__pm_runtime_idle" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x5236ae4d, "snd_dmaengine_pcm_pointer_no_residue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x20b835f4, "gpiod_get_value_cansleep" },
	{ 0x5ed6577, "regulator_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xdc0df056, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x173756c, "__init_rwsem" },
	{ 0xab8bc1a2, "snd_pcm_rate_mask_intersect" },
	{ 0x31a59dec, "_copy_to_iter" },
	{ 0x6ef96a37, "gpiod_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe976d673, "regmap_write" },
	{ 0xb71c0308, "param_ops_uint" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf70e1a9e, "snd_pcm_hw_limit_rates" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5f11001, "dev_set_name" },
	{ 0x9858c843, "regmap_get_val_bytes" },
	{ 0x5ad12e30, "platform_driver_unregister" },
	{ 0xde84ac52, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd25b3910, "snd_dmaengine_pcm_sync_stop" },
	{ 0xcc77d5b8, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x170c322a, "snd_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5844c27, "trace_raw_output_prep" },
	{ 0xbf05a9e8, "regmap_raw_read" },
	{ 0xb639d852, "snd_card_register" },
	{ 0x343c8959, "device_unregister" },
	{ 0x49ccf114, "snd_card_free" },
	{ 0x494c7d48, "__trace_trigger_soft_disabled" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xa54284dd, "trace_event_printf" },
	{ 0xb20fd5b8, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xba370b8c, "gpiod_get_index" },
	{ 0x93f98385, "snd_dmaengine_pcm_trigger" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x2038dbde, "snd_pcm_hw_constraint_minmax" },
	{ 0x96e79886, "trace_event_raw_init" },
	{ 0xba0a72d1, "gpiod_to_irq" },
	{ 0x489174eb, "gpiod_export" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xa810e9b3, "dma_release_channel" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0xc66bd301, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xb8692aab, "regcache_mark_dirty" },
	{ 0xcc10a6d3, "bpf_trace_run2" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0x212dfbf4, "regulator_disable_deferred" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x11471096, "snd_ctl_remove" },
	{ 0x3fc0d7b, "snd_ctl_free_one" },
	{ 0xc980badd, "snd_ctl_find_id" },
	{ 0x701e06df, "devm_clk_get" },
	{ 0x67098dda, "devres_add" },
	{ 0x7652455, "snd_pcm_new_internal" },
	{ 0x10537f19, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa31bd7b7, "snd_dmaengine_pcm_refine_runtime_hwparams" },
	{ 0x522f8927, "snd_dmaengine_pcm_get_chan" },
	{ 0x3a4483d9, "pinctrl_pm_select_default_state" },
	{ 0x12f1e927, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xbfdb5412, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0xcd0c0a07, "snd_pcm_stream_unlock_irq" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,snd-pcm-dmaengine,snd-compress");


MODULE_INFO(srcversion, "39122DFF2B09336A20DFF23");

MODULE_INFO(suserelease, "SLFO-1.2");
