#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(acp_sof_quirk_table, "_gpl", "");
KSYMTAB_FUNC(amd_sof_acp_suspend, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_resume, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_probe, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_remove, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_get_bar_index, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_pre_fw_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_dsp_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_load_signed_firmware, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_send_msg, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_irq_thread, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_msg_data, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_set_stream_data_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_mailbox_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_window_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_hw_params, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_open, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_close, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_pointer, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_get, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_put, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_release, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_DATA(sof_acp_common_ops, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_register, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_unregister, "", "SND_SOC_SOF_AMD_COMMON");

SYMBOL_CRC(acp_sof_quirk_table, 0x67e5de9e, "_gpl");
SYMBOL_CRC(amd_sof_acp_suspend, 0x1963e833, "");
SYMBOL_CRC(amd_sof_acp_resume, 0xb5d3f2ef, "");
SYMBOL_CRC(amd_sof_acp_probe, 0xfa199abc, "");
SYMBOL_CRC(amd_sof_acp_remove, 0x08f13882, "");
SYMBOL_CRC(acp_dsp_block_read, 0xd21cf438, "");
SYMBOL_CRC(acp_dsp_block_write, 0x9ffab397, "");
SYMBOL_CRC(acp_get_bar_index, 0x2714aea2, "");
SYMBOL_CRC(acp_dsp_pre_fw_run, 0x322539b7, "");
SYMBOL_CRC(acp_sof_dsp_run, 0xbd85e345, "");
SYMBOL_CRC(acp_sof_load_signed_firmware, 0x6f57e68b, "");
SYMBOL_CRC(acp_mailbox_write, 0x52c972ce, "");
SYMBOL_CRC(acp_mailbox_read, 0xcc8e0660, "");
SYMBOL_CRC(acp_sof_ipc_send_msg, 0xd46d1ae8, "");
SYMBOL_CRC(acp_sof_ipc_irq_thread, 0x35fb27dd, "");
SYMBOL_CRC(acp_sof_ipc_msg_data, 0x1c79ed6c, "");
SYMBOL_CRC(acp_set_stream_data_offset, 0x7c33d14b, "");
SYMBOL_CRC(acp_sof_ipc_get_mailbox_offset, 0xd4a4c8fa, "");
SYMBOL_CRC(acp_sof_ipc_get_window_offset, 0xf0444b79, "");
SYMBOL_CRC(acp_pcm_hw_params, 0x54368d62, "");
SYMBOL_CRC(acp_pcm_open, 0xbaf1be52, "");
SYMBOL_CRC(acp_pcm_close, 0x20fd8979, "");
SYMBOL_CRC(acp_pcm_pointer, 0x2d4dd704, "");
SYMBOL_CRC(acp_dsp_stream_get, 0xe261e122, "");
SYMBOL_CRC(acp_dsp_stream_put, 0xea333db4, "");
SYMBOL_CRC(acp_dsp_stream_init, 0x4ecbf612, "");
SYMBOL_CRC(acp_sof_trace_release, 0xd925230a, "");
SYMBOL_CRC(acp_sof_trace_init, 0x932bd6e1, "");
SYMBOL_CRC(sof_acp_common_ops, 0x722bf019, "");
SYMBOL_CRC(acp_probes_register, 0x039500ff, "");
SYMBOL_CRC(acp_probes_unregister, 0xf5ffbc51, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2476a690, "request_firmware" },
	{ 0xc2c787a3, "devm_ioremap" },
	{ 0x88f4d4e3, "sof_xtensa_arch_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc9cfb127, "__wake_up" },
	{ 0xa90ff5e4, "snd_sgbuf_get_addr" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2123f09b, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc94448b6, "amd_sdw_scan_controller" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8f008bf7, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb3027031, "sdw_amd_probe" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x33719327, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2d3c134d, "platform_device_unregister" },
	{ 0xd4c8075b, "dma_alloc_attrs" },
	{ 0xfe43a824, "sof_client_dev_register" },
	{ 0xa27c0363, "snd_soc_acpi_find_machine" },
	{ 0x6007f3c2, "sof_print_oops_and_stack" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0x5c283506, "snd_sof_dsp_update_bits" },
	{ 0x82cafb0f, "sdw_amd_get_slave_info" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x6e5ef822, "sof_io_read" },
	{ 0x56e76cc9, "devm_kasprintf" },
	{ 0x9cbffb70, "snd_sof_ipc_reply" },
	{ 0x537dcc0d, "platform_device_register_full" },
	{ 0xd9b88b35, "dma_free_attrs" },
	{ 0xc36ee528, "param_ops_bool" },
	{ 0x3e696401, "sof_machine_unregister" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x461d811f, "snd_sof_dsp_panic" },
	{ 0x47265739, "sof_client_dev_unregister" },
	{ 0xb1e1e9e5, "snd_sof_load_firmware_memcpy" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x529386f3, "pci_write_config_dword" },
	{ 0xe9609396, "sof_io_write" },
	{ 0xf04c3038, "sof_machine_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5195ecfd, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd16b2d3c, "sdw_amd_exit" },
	{ 0xe200c8ea, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb0c76689, "pci_dev_put" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xf9664f72, "pci_get_device" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-xtensa-dsp,snd-pcm,snd-amd-sdw-acpi,soundwire-amd,snd-sof,snd-soc-acpi");


MODULE_INFO(srcversion, "FDFE2375B6C116A8AC1AE1C");

MODULE_INFO(suserelease, "SLFO-1.2");
