#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_sdw_startup, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_common_check_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_check_wakeen_irq_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_process_wakeen_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe_early, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_remove, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_power_down_dsp, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_DATA(sof_hda_common_ops, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");

SYMBOL_CRC(hda_sdw_startup, 0x70de5f4d, "");
SYMBOL_CRC(hda_common_check_sdw_irq, 0x1cb80710, "");
SYMBOL_CRC(hda_sdw_check_wakeen_irq_common, 0x965690be, "");
SYMBOL_CRC(hda_sdw_process_wakeen_common, 0x030e69aa, "");
SYMBOL_CRC(hda_dsp_post_fw_run, 0x48136629, "");
SYMBOL_CRC(hda_dsp_probe_early, 0x43e12b4d, "");
SYMBOL_CRC(hda_dsp_probe, 0x2764edf8, "");
SYMBOL_CRC(hda_dsp_remove, 0x71c0e02b, "");
SYMBOL_CRC(hda_power_down_dsp, 0xed60559c, "");
SYMBOL_CRC(hda_pci_intel_probe, 0x0fc12fc1, "");
SYMBOL_CRC(sof_hda_common_ops, 0x080532e9, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x2ad078bb, "hda_dsp_d0i3_work" },
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x79bb115b, "__SCT__tp_func_sof_intel_hda_irq" },
	{ 0x67881199, "pci_alloc_irq_vectors" },
	{ 0x8fb4e76c, "intel_nhlt_get_dmic_geo" },
	{ 0xecf10d5b, "hda_dsp_ext_man_get_cavs_config_data" },
	{ 0x3b3b9314, "hda_dsp_ctrl_ppcap_enable" },
	{ 0x160ced29, "hda_sdw_process_wakeen" },
	{ 0x10a3ba21, "hda_sdw_int_enable" },
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0xf7f6d194, "hda_bus_ml_init" },
	{ 0xdf9efaae, "hda_codec_probe_bus" },
	{ 0x30266494, "sof_hda_bus_exit" },
	{ 0xce9fc8c2, "sdw_hda_dai_hw_params" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf029a0, "sdw_intel_exit" },
	{ 0x6e257cdf, "hda_codec_check_for_state_change" },
	{ 0x88f4d4e3, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0xb0b00899, "sdw_hda_dai_trigger" },
	{ 0xec06708c, "hda_bus_ml_free" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa872e75a, "hda_dsp_cl_boot_firmware" },
	{ 0xa5eb3200, "hda_dsp_pcm_hw_params" },
	{ 0xb4506756, "hda_sdw_check_lcount" },
	{ 0xe348265c, "snd_intel_dsp_driver_probe" },
	{ 0x61f891c3, "pci_irq_vector" },
	{ 0xc529e5d4, "hda_dsp_ctrl_clock_power_gating" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xd38211ba, "pci_ioremap_bar" },
	{ 0x56be805, "hda_dsp_ctrl_init_chip" },
	{ 0x462679a4, "sdw_hda_dai_hw_free" },
	{ 0x9581599b, "sof_pci_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc55da27c, "hda_dsp_suspend" },
	{ 0x54e0cba3, "hda_dsp_runtime_suspend" },
	{ 0x14e8f595, "hda_codec_i915_exit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3d36255d, "hda_dsp_ipc_get_mailbox_offset" },
	{ 0x6865c054, "hda_dai_config" },
	{ 0x10522b97, "hda_probes_unregister" },
	{ 0x8f5d7a57, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4f2b5495, "hda_dsp_pcm_ack" },
	{ 0x9516fada, "hda_dsp_trace_release" },
	{ 0xcb2eab5b, "__SCK__tp_func_sof_intel_hda_irq" },
	{ 0xcff06e8a, "_dev_info" },
	{ 0x2e730009, "hda_dsp_dump" },
	{ 0xcce34a05, "sdw_intel_startup" },
	{ 0x421ac9cb, "hda_dsp_pcm_pointer" },
	{ 0xdfa66b16, "sdw_intel_process_wakeen_event" },
	{ 0x855378e4, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xf8226993, "devm_kmemdup" },
	{ 0x5bc2680, "sof_mailbox_read" },
	{ 0xf095b24b, "hda_bus_ml_put_all" },
	{ 0x33719327, "_dev_err" },
	{ 0xcfe8571b, "debugfs_create_bool" },
	{ 0x6a928e77, "hda_dsp_core_reset_power_down" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x99f446f2, "__tracepoint_sof_intel_hda_irq" },
	{ 0x2d3c134d, "platform_device_unregister" },
	{ 0x9a679109, "hda_dsp_trace_init" },
	{ 0xa27c0363, "snd_soc_acpi_find_machine" },
	{ 0x7955356e, "snd_soc_acpi_intel_detect_codec_type" },
	{ 0xc7456e8e, "hda_codec_device_remove" },
	{ 0x80317f3b, "hda_dsp_ctrl_ppcap_int_enable" },
	{ 0x2a5ca07b, "snd_soc_acpi_intel_get_codec_tplg_suffix" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5c283506, "snd_sof_dsp_update_bits" },
	{ 0xee3f0a9f, "snd_sof_pci_update_bits" },
	{ 0xe425351a, "sof_hda_bus_init" },
	{ 0x3f028446, "hda_dsp_runtime_idle" },
	{ 0x17f9b660, "hda_dsp_pcm_open" },
	{ 0xe732561d, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0xc93a743b, "sdw_intel_lnl_hw_ops" },
	{ 0x6f429eb9, "pci_set_master" },
	{ 0xe9baa2f2, "param_ops_charp" },
	{ 0x5377176, "hda_dsp_stream_hw_free" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9587eea, "__init_waitqueue_head" },
	{ 0x3bdcdfa9, "hda_dsp_stream_threaded_handler" },
	{ 0xdc6ed5ca, "hda_dsp_pcm_close" },
	{ 0xcfb898cf, "dma_set_coherent_mask" },
	{ 0x56e76cc9, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xfb3be353, "hda_check_ipc_irq" },
	{ 0x537dcc0d, "platform_device_register_full" },
	{ 0xe84eefc, "snd_soc_acpi_intel_get_amp_tplg_suffix" },
	{ 0x85df9b6c, "strsep" },
	{ 0x1159af1b, "hda_dsp_runtime_resume" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5ef2ad3, "hda_dsp_trace_trigger" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3e696401, "sof_machine_unregister" },
	{ 0x18ee96f9, "skl_dai" },
	{ 0xb47417dc, "hda_dsp_get_stream_llp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3a2f7b93, "sdw_intel_probe" },
	{ 0xe5e2c7c9, "snd_sof_load_firmware_raw" },
	{ 0x24a2742, "snd_soc_acpi_intel_detect_amp_type" },
	{ 0x77b9232f, "hda_is_chain_dma_supported" },
	{ 0xada1db35, "hda_dsp_resume" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0xc399d4de, "dma_set_mask" },
	{ 0x2d976fb7, "hda_probes_register" },
	{ 0xf2ce560f, "sof_hda_position_quirk" },
	{ 0xaf07917b, "dev_err_probe" },
	{ 0x89669d90, "hda_dsp_stream_init" },
	{ 0xc7b895ea, "hda_dsp_get_stream_ldp" },
	{ 0xe62a0093, "hda_dsp_stream_free" },
	{ 0x39e59e2c, "hda_dsp_ctrl_get_caps" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0x2f6b132a, "intel_nhlt_init" },
	{ 0x3d1216b4, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0xa64b3787, "hda_codec_i915_init" },
	{ 0x85909793, "pci_free_irq_vectors" },
	{ 0xb8774185, "hda_dsp_check_stream_irq" },
	{ 0xf10cc0f2, "hda_set_stream_data_offset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0xa7427854, "hda_dsp_ipc_get_window_offset" },
	{ 0x9a496244, "hda_ipc_msg_data" },
	{ 0xf04c3038, "sof_machine_register" },
	{ 0xbf56ee92, "hdac_bus_eml_get_mutex" },
	{ 0x3089c6e9, "snd_soc_acpi_intel_hda_machines" },
	{ 0x8ba66728, "hda_dsp_set_hw_params_upon_resume" },
	{ 0x5195ecfd, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xe6aaf0ef, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe200c8ea, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x279984e, "hda_get_interface_mask" },
	{ 0x54fa7a84, "hda_codec_i915_display_power" },
	{ 0xccaa83d1, "is_acpi_device_node" },
	{ 0x93a1a38b, "hda_dsp_pcm_trigger" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "soundwire-intel,snd-sof-intel-hda-common,snd-intel-dspcfg,snd-sof-intel-hda-mlink,snd-sof-intel-hda,snd-sof-xtensa-dsp,snd-sof-pci,snd-sof,snd-soc-acpi,snd-soc-acpi-intel-match,snd-intel-sdw-acpi");


MODULE_INFO(srcversion, "2247E2DBCA9AECCD5394C8C");

MODULE_INFO(suserelease, "SLFO-1.2");
