#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_bus_ml_init, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_free, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_count, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_lsdiid_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_lsdiid, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_map_stream_ch, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_put_all, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_reset_losidv, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_resume, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_suspend, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mutex, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_ssp_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_dmic_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_offload, "", "SND_SOC_SOF_HDA_MLINK");

SYMBOL_CRC(hda_bus_ml_init, 0xf7f6d194, "");
SYMBOL_CRC(hda_bus_ml_free, 0xec06708c, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0x59c80dba, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0x11c6293e, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0x63fb2eb3, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0x20ac535f, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0x5a59c432, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0x4c6a2d5c, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0xc24e0620, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0x636c0bd0, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0x55fc573a, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0x8f893c28, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0x29fbeaea, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0x0204907c, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0xdcef4ae6, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0x6cfbf46d, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0x2de98b3f, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0x3f458021, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0xc705aae2, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0xe922cf9f, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0x78943cf1, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0x251615fd, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0xa922f6b2, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0x7883e8ab, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0xf095b24b, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0xd494bde8, "");
SYMBOL_CRC(hda_bus_ml_resume, 0xe35eadec, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0xcb7fe2f0, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0xbf56ee92, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0xf52ab772, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0xa75f2fcf, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0x46162900, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0x4948a930, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcf746891, "rt_mutex_base_init" },
	{ 0x8ffe685d, "snd_hdac_ext_bus_link_power_up" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x41023bc1, "snd_hdac_ext_bus_link_power_down" },
	{ 0x33719327, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x8687f8cd, "snd_hdac_ext_bus_link_put" },
	{ 0x220a4e1d, "__mutex_rt_init" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "1FE7A5672CF53E030E982B5");

MODULE_INFO(suserelease, "SLFO-1.2");
