#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_codec_jack_wake_enable, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_jack_check, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_probe_bus, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_for_state_change, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_detect_mask, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_init_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_resume_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_stop_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_suspend_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_rirb_status_clear, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_set_codec_wakeup, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_rirb_status, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_device_remove, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_i915_display_power, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_init, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_exit, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");

SYMBOL_CRC(hda_codec_jack_wake_enable, 0x977f5281, "_gpl");
SYMBOL_CRC(hda_codec_jack_check, 0xaeedfab8, "_gpl");
SYMBOL_CRC(hda_codec_probe_bus, 0xdf9efaae, "_gpl");
SYMBOL_CRC(hda_codec_check_for_state_change, 0x6e257cdf, "_gpl");
SYMBOL_CRC(hda_codec_detect_mask, 0x71ca3477, "_gpl");
SYMBOL_CRC(hda_codec_init_cmd_io, 0xf732d111, "_gpl");
SYMBOL_CRC(hda_codec_resume_cmd_io, 0x3875b0d1, "_gpl");
SYMBOL_CRC(hda_codec_stop_cmd_io, 0x0c481a58, "_gpl");
SYMBOL_CRC(hda_codec_suspend_cmd_io, 0xbd8f2046, "_gpl");
SYMBOL_CRC(hda_codec_rirb_status_clear, 0x014af718, "_gpl");
SYMBOL_CRC(hda_codec_set_codec_wakeup, 0x491cd111, "_gpl");
SYMBOL_CRC(hda_codec_check_rirb_status, 0xf15b3d34, "_gpl");
SYMBOL_CRC(hda_codec_device_remove, 0xc7456e8e, "_gpl");
SYMBOL_CRC(hda_codec_i915_display_power, 0x54fa7a84, "_gpl");
SYMBOL_CRC(hda_codec_i915_init, 0xa64b3787, "_gpl");
SYMBOL_CRC(hda_codec_i915_exit, 0x14e8f595, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a04812, "devm_kmalloc" },
	{ 0x138b6bbe, "snd_hdac_bus_send_cmd" },
	{ 0x21716ebb, "snd_hdac_bus_get_response" },
	{ 0xe0430086, "snd_hdac_bus_update_rirb" },
	{ 0x261cab66, "snd_hdac_codec_modalias" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x6adf78a2, "snd_hdac_ext_bus_device_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45ee0529, "put_device" },
	{ 0xe6f24bd4, "snd_hdac_device_register" },
	{ 0x1f595236, "snd_hdac_i915_init" },
	{ 0x33719327, "_dev_err" },
	{ 0xd76b1ff3, "snd_hdac_device_unregister" },
	{ 0x944e1160, "device_attach" },
	{ 0x34ce5ead, "mutex_lock" },
	{ 0x67e5e066, "snd_hdac_bus_stop_cmd_io" },
	{ 0xe732561d, "_dev_warn" },
	{ 0xff2d70c0, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeafef923, "snd_hdac_bus_init_cmd_io" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaa18fdd4, "snd_hdac_acomp_exit" },
	{ 0x559d9fb, "__pm_runtime_resume" },
	{ 0xe2d5270, "mutex_unlock" },
	{ 0xfd41476e, "snd_hda_codec_device_init" },
	{ 0x7fb9203b, "snd_hdac_set_codec_wakeup" },
	{ 0x6d9ed2ec, "param_ops_int" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-hda-ext-core,snd-sof,snd-hda-codec");


MODULE_INFO(srcversion, "E7D8D2FA67D7736EC539F08");

MODULE_INFO(suserelease, "SLFO-1.2");
