#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cnl_ipc4_irq_thread, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc4_send_msg, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc_send_msg, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc_dump, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc4_dump, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_DATA(sof_cnl_ops, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(sof_cnl_ops_init, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_DATA(jsl_chip_info, "", "SND_SOC_SOF_INTEL_CNL");

SYMBOL_CRC(cnl_ipc4_irq_thread, 0xfb15a137, "");
SYMBOL_CRC(cnl_ipc_irq_thread, 0xf89348f2, "");
SYMBOL_CRC(cnl_ipc4_send_msg, 0x37b1ea21, "");
SYMBOL_CRC(cnl_ipc_send_msg, 0x508fa08e, "");
SYMBOL_CRC(cnl_ipc_dump, 0xb9e30518, "");
SYMBOL_CRC(cnl_ipc4_dump, 0x174199ca, "");
SYMBOL_CRC(sof_cnl_ops, 0xcfa4241a, "");
SYMBOL_CRC(sof_cnl_ops_init, 0x427dcf82, "");
SYMBOL_CRC(jsl_chip_info, 0xcf2c8012, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1bd1edb8, "__pci_register_driver" },
	{ 0xe8cea712, "hda_dsp_disable_interrupts" },
	{ 0x104a719d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa872e75a, "hda_dsp_cl_boot_firmware" },
	{ 0x98eee95, "hda_dsp_set_power_state_ipc4" },
	{ 0x2c8e21d9, "__SCK__tp_func_sof_intel_ipc_firmware_initiated" },
	{ 0x5431644c, "__tracepoint_sof_intel_ipc_firmware_initiated" },
	{ 0x7c2722e7, "hda_dsp_ipc_get_reply" },
	{ 0xed60559c, "hda_power_down_dsp" },
	{ 0x5dccb385, "snd_soc_acpi_intel_cfl_sdw_machines" },
	{ 0xed219ab5, "__dynamic_dev_dbg" },
	{ 0x2313076, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa476ae21, "snd_soc_acpi_intel_cml_machines" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x35e33813, "__SCT__tp_func_sof_intel_ipc_firmware_initiated" },
	{ 0x16bbbb91, "__SCT__tp_func_sof_intel_ipc_firmware_response" },
	{ 0x80532e9, "sof_hda_common_ops" },
	{ 0xbc840d92, "hda_sdw_check_lcount_common" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfc12fc1, "hda_pci_intel_probe" },
	{ 0x855378e4, "sof_mailbox_write" },
	{ 0x33719327, "_dev_err" },
	{ 0x264626f5, "snd_sof_dsp_update_bits_forced" },
	{ 0x4f2f334, "sof_pci_remove" },
	{ 0x68442266, "__tracepoint_sof_intel_ipc_firmware_response" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd0c8152e, "__SCK__tp_func_sof_intel_ipc_firmware_response" },
	{ 0x227bf0c4, "hda_set_dai_drv_ops" },
	{ 0x7f1a733b, "hda_dsp_set_power_state_ipc3" },
	{ 0xc0176537, "snd_soc_acpi_intel_cnl_sdw_machines" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb1a87f24, "snd_sof_ipc_get_reply" },
	{ 0x5c283506, "snd_sof_dsp_update_bits" },
	{ 0x48136629, "hda_dsp_post_fw_run" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x10ddea4, "hda_common_enable_sdw_irq" },
	{ 0xe7eae80e, "hda_dsp_check_ipc_irq" },
	{ 0x132b2d75, "rt_spin_unlock" },
	{ 0xb6e08403, "rt_spin_lock" },
	{ 0x9cbffb70, "snd_sof_ipc_reply" },
	{ 0x52a7f9f5, "cl_dsp_init" },
	{ 0x326190e4, "hda_ipc4_tx_is_busy" },
	{ 0xe4ecdd1b, "hda_ops_free" },
	{ 0x8dbe1ad3, "snd_soc_acpi_intel_cnl_machines" },
	{ 0xb02ced6d, "sof_pci_shutdown" },
	{ 0xc5375199, "hda_dsp_core_get" },
	{ 0x6d36768a, "__kmalloc_cache_noprof" },
	{ 0x30e69aa, "hda_sdw_process_wakeen_common" },
	{ 0x6fbe28fd, "snd_soc_acpi_intel_cml_sdw_machines" },
	{ 0x461d811f, "snd_sof_dsp_panic" },
	{ 0xac506cc5, "hda_dsp_ipc4_load_library" },
	{ 0x2f4720e0, "hda_ipc_irq_dump" },
	{ 0xf25f0f27, "hda_dsp_ipc4_schedule_d0i3_work" },
	{ 0x1cb80710, "hda_common_check_sdw_irq" },
	{ 0xf24bfb37, "sof_pci_pm" },
	{ 0xfead859c, "snd_soc_acpi_intel_cfl_machines" },
	{ 0x6de997f9, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x965690be, "hda_sdw_check_wakeen_irq_common" },
	{ 0x1cd55d7a, "hda_dsp_shutdown" },
	{ 0x27f696c3, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-soc-acpi-intel-match,snd-sof,snd-sof-pci");

MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A3F0sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "9481D74EC7F56BAE3111BF5");

MODULE_INFO(suserelease, "SLFO-1.2");
